searchNodes=[{"doc":"Identity and Access Management Access Analyzer helps identify potential resource-access risks by enabling you to identify any policies that grant access to an external principal. It does this by using logic-based reasoning to analyze resource-based policies in your Amazon Web Services environment. An external principal can be another Amazon Web Services account, a root user, an IAM user or role, a federated user, an Amazon Web Services service, or an anonymous user. You can also use IAM Access Analyzer to preview and validate public and cross-account access to your resources before deploying permissions changes. This guide describes the Identity and Access Management Access Analyzer operations that you can call programmatically. For general information about IAM Access Analyzer, see Identity and Access Management Access Analyzer in the IAM User Guide. To start using IAM Access Analyzer, you first need to create an analyzer.","ref":"aws_accessanalyzer.html","title":"aws_accessanalyzer","type":"module"},{"doc":"Retroactively applies the archive rule to existing findings that meet the archive rule criteria.","ref":"aws_accessanalyzer.html#apply_archive_rule/2","title":"aws_accessanalyzer.apply_archive_rule/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#apply_archive_rule/3","title":"aws_accessanalyzer.apply_archive_rule/3","type":"function"},{"doc":"Cancels the requested policy generation.","ref":"aws_accessanalyzer.html#cancel_policy_generation/3","title":"aws_accessanalyzer.cancel_policy_generation/3","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#cancel_policy_generation/4","title":"aws_accessanalyzer.cancel_policy_generation/4","type":"function"},{"doc":"Creates an access preview that allows you to preview IAM Access Analyzer findings for your resource before deploying resource permissions.","ref":"aws_accessanalyzer.html#create_access_preview/2","title":"aws_accessanalyzer.create_access_preview/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#create_access_preview/3","title":"aws_accessanalyzer.create_access_preview/3","type":"function"},{"doc":"Creates an analyzer for your account.","ref":"aws_accessanalyzer.html#create_analyzer/2","title":"aws_accessanalyzer.create_analyzer/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#create_analyzer/3","title":"aws_accessanalyzer.create_analyzer/3","type":"function"},{"doc":"Creates an archive rule for the specified analyzer. Archive rules automatically archive new findings that meet the criteria you define when you create the rule. To learn about filter keys that you can use to create an archive rule, see IAM Access Analyzer filter keys in the IAM User Guide.","ref":"aws_accessanalyzer.html#create_archive_rule/3","title":"aws_accessanalyzer.create_archive_rule/3","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#create_archive_rule/4","title":"aws_accessanalyzer.create_archive_rule/4","type":"function"},{"doc":"Deletes the specified analyzer. When you delete an analyzer, IAM Access Analyzer is disabled for the account or organization in the current or specific Region. All findings that were generated by the analyzer are deleted. You cannot undo this action.","ref":"aws_accessanalyzer.html#delete_analyzer/3","title":"aws_accessanalyzer.delete_analyzer/3","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#delete_analyzer/4","title":"aws_accessanalyzer.delete_analyzer/4","type":"function"},{"doc":"Deletes the specified archive rule.","ref":"aws_accessanalyzer.html#delete_archive_rule/4","title":"aws_accessanalyzer.delete_archive_rule/4","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#delete_archive_rule/5","title":"aws_accessanalyzer.delete_archive_rule/5","type":"function"},{"doc":"Retrieves information about an access preview for the specified analyzer.","ref":"aws_accessanalyzer.html#get_access_preview/3","title":"aws_accessanalyzer.get_access_preview/3","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#get_access_preview/5","title":"aws_accessanalyzer.get_access_preview/5","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#get_access_preview/6","title":"aws_accessanalyzer.get_access_preview/6","type":"function"},{"doc":"Retrieves information about a resource that was analyzed.","ref":"aws_accessanalyzer.html#get_analyzed_resource/3","title":"aws_accessanalyzer.get_analyzed_resource/3","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#get_analyzed_resource/5","title":"aws_accessanalyzer.get_analyzed_resource/5","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#get_analyzed_resource/6","title":"aws_accessanalyzer.get_analyzed_resource/6","type":"function"},{"doc":"Retrieves information about the specified analyzer.","ref":"aws_accessanalyzer.html#get_analyzer/2","title":"aws_accessanalyzer.get_analyzer/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#get_analyzer/4","title":"aws_accessanalyzer.get_analyzer/4","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#get_analyzer/5","title":"aws_accessanalyzer.get_analyzer/5","type":"function"},{"doc":"Retrieves information about an archive rule. To learn about filter keys that you can use to create an archive rule, see IAM Access Analyzer filter keys in the IAM User Guide.","ref":"aws_accessanalyzer.html#get_archive_rule/3","title":"aws_accessanalyzer.get_archive_rule/3","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#get_archive_rule/5","title":"aws_accessanalyzer.get_archive_rule/5","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#get_archive_rule/6","title":"aws_accessanalyzer.get_archive_rule/6","type":"function"},{"doc":"Retrieves information about the specified finding.","ref":"aws_accessanalyzer.html#get_finding/3","title":"aws_accessanalyzer.get_finding/3","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#get_finding/5","title":"aws_accessanalyzer.get_finding/5","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#get_finding/6","title":"aws_accessanalyzer.get_finding/6","type":"function"},{"doc":"Retrieves the policy that was generated using StartPolicyGeneration .","ref":"aws_accessanalyzer.html#get_generated_policy/2","title":"aws_accessanalyzer.get_generated_policy/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#get_generated_policy/4","title":"aws_accessanalyzer.get_generated_policy/4","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#get_generated_policy/5","title":"aws_accessanalyzer.get_generated_policy/5","type":"function"},{"doc":"Retrieves a list of access preview findings generated by the specified access preview.","ref":"aws_accessanalyzer.html#list_access_preview_findings/3","title":"aws_accessanalyzer.list_access_preview_findings/3","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_access_preview_findings/4","title":"aws_accessanalyzer.list_access_preview_findings/4","type":"function"},{"doc":"Retrieves a list of access previews for the specified analyzer.","ref":"aws_accessanalyzer.html#list_access_previews/2","title":"aws_accessanalyzer.list_access_previews/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_access_previews/4","title":"aws_accessanalyzer.list_access_previews/4","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_access_previews/5","title":"aws_accessanalyzer.list_access_previews/5","type":"function"},{"doc":"Retrieves a list of resources of the specified type that have been analyzed by the specified analyzer..","ref":"aws_accessanalyzer.html#list_analyzed_resources/2","title":"aws_accessanalyzer.list_analyzed_resources/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_analyzed_resources/3","title":"aws_accessanalyzer.list_analyzed_resources/3","type":"function"},{"doc":"Retrieves a list of analyzers.","ref":"aws_accessanalyzer.html#list_analyzers/1","title":"aws_accessanalyzer.list_analyzers/1","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_analyzers/3","title":"aws_accessanalyzer.list_analyzers/3","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_analyzers/4","title":"aws_accessanalyzer.list_analyzers/4","type":"function"},{"doc":"Retrieves a list of archive rules created for the specified analyzer.","ref":"aws_accessanalyzer.html#list_archive_rules/2","title":"aws_accessanalyzer.list_archive_rules/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_archive_rules/4","title":"aws_accessanalyzer.list_archive_rules/4","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_archive_rules/5","title":"aws_accessanalyzer.list_archive_rules/5","type":"function"},{"doc":"Retrieves a list of findings generated by the specified analyzer. To learn about filter keys that you can use to retrieve a list of findings, see IAM Access Analyzer filter keys in the IAM User Guide.","ref":"aws_accessanalyzer.html#list_findings/2","title":"aws_accessanalyzer.list_findings/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_findings/3","title":"aws_accessanalyzer.list_findings/3","type":"function"},{"doc":"Lists all of the policy generations requested in the last seven days.","ref":"aws_accessanalyzer.html#list_policy_generations/1","title":"aws_accessanalyzer.list_policy_generations/1","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_policy_generations/3","title":"aws_accessanalyzer.list_policy_generations/3","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_policy_generations/4","title":"aws_accessanalyzer.list_policy_generations/4","type":"function"},{"doc":"Retrieves a list of tags applied to the specified resource.","ref":"aws_accessanalyzer.html#list_tags_for_resource/2","title":"aws_accessanalyzer.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_tags_for_resource/4","title":"aws_accessanalyzer.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#list_tags_for_resource/5","title":"aws_accessanalyzer.list_tags_for_resource/5","type":"function"},{"doc":"Starts the policy generation request.","ref":"aws_accessanalyzer.html#start_policy_generation/2","title":"aws_accessanalyzer.start_policy_generation/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#start_policy_generation/3","title":"aws_accessanalyzer.start_policy_generation/3","type":"function"},{"doc":"Immediately starts a scan of the policies applied to the specified resource.","ref":"aws_accessanalyzer.html#start_resource_scan/2","title":"aws_accessanalyzer.start_resource_scan/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#start_resource_scan/3","title":"aws_accessanalyzer.start_resource_scan/3","type":"function"},{"doc":"Adds a tag to the specified resource.","ref":"aws_accessanalyzer.html#tag_resource/3","title":"aws_accessanalyzer.tag_resource/3","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#tag_resource/4","title":"aws_accessanalyzer.tag_resource/4","type":"function"},{"doc":"Removes a tag from the specified resource.","ref":"aws_accessanalyzer.html#untag_resource/3","title":"aws_accessanalyzer.untag_resource/3","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#untag_resource/4","title":"aws_accessanalyzer.untag_resource/4","type":"function"},{"doc":"Updates the criteria and values for the specified archive rule.","ref":"aws_accessanalyzer.html#update_archive_rule/4","title":"aws_accessanalyzer.update_archive_rule/4","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#update_archive_rule/5","title":"aws_accessanalyzer.update_archive_rule/5","type":"function"},{"doc":"Updates the status for the specified findings.","ref":"aws_accessanalyzer.html#update_findings/2","title":"aws_accessanalyzer.update_findings/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#update_findings/3","title":"aws_accessanalyzer.update_findings/3","type":"function"},{"doc":"Requests the validation of a policy and returns a list of findings. The findings help you identify issues and provide actionable recommendations to resolve the issue and enable you to author functional policies that meet security best practices.","ref":"aws_accessanalyzer.html#validate_policy/2","title":"aws_accessanalyzer.validate_policy/2","type":"function"},{"doc":"","ref":"aws_accessanalyzer.html#validate_policy/3","title":"aws_accessanalyzer.validate_policy/3","type":"function"},{"doc":"Operations for Amazon Web Services Account Management","ref":"aws_account.html","title":"aws_account","type":"module"},{"doc":"Deletes the specified alternate contact from an Amazon Web Services account. For complete details about how to use the alternate contact operations, see Access or updating the alternate contacts. Before you can update the alternate contact information for an Amazon Web Services account that is managed by Organizations, you must first enable integration between Amazon Web Services Account Management and Organizations. For more information, see Enabling trusted access for Amazon Web Services Account Management.","ref":"aws_account.html#delete_alternate_contact/2","title":"aws_account.delete_alternate_contact/2","type":"function"},{"doc":"","ref":"aws_account.html#delete_alternate_contact/3","title":"aws_account.delete_alternate_contact/3","type":"function"},{"doc":"Disables (opts-out) a particular Region for an account.","ref":"aws_account.html#disable_region/2","title":"aws_account.disable_region/2","type":"function"},{"doc":"","ref":"aws_account.html#disable_region/3","title":"aws_account.disable_region/3","type":"function"},{"doc":"Enables (opts-in) a particular Region for an account.","ref":"aws_account.html#enable_region/2","title":"aws_account.enable_region/2","type":"function"},{"doc":"","ref":"aws_account.html#enable_region/3","title":"aws_account.enable_region/3","type":"function"},{"doc":"Retrieves the specified alternate contact attached to an Amazon Web Services account. For complete details about how to use the alternate contact operations, see Access or updating the alternate contacts. Before you can update the alternate contact information for an Amazon Web Services account that is managed by Organizations, you must first enable integration between Amazon Web Services Account Management and Organizations. For more information, see Enabling trusted access for Amazon Web Services Account Management.","ref":"aws_account.html#get_alternate_contact/2","title":"aws_account.get_alternate_contact/2","type":"function"},{"doc":"","ref":"aws_account.html#get_alternate_contact/3","title":"aws_account.get_alternate_contact/3","type":"function"},{"doc":"Retrieves the primary contact information of an Amazon Web Services account. For complete details about how to use the primary contact operations, see Update the primary and alternate contact information.","ref":"aws_account.html#get_contact_information/2","title":"aws_account.get_contact_information/2","type":"function"},{"doc":"","ref":"aws_account.html#get_contact_information/3","title":"aws_account.get_contact_information/3","type":"function"},{"doc":"Retrieves the opt-in status of a particular Region.","ref":"aws_account.html#get_region_opt_status/2","title":"aws_account.get_region_opt_status/2","type":"function"},{"doc":"","ref":"aws_account.html#get_region_opt_status/3","title":"aws_account.get_region_opt_status/3","type":"function"},{"doc":"Lists all the Regions for a given account and their respective opt-in statuses. Optionally, this list can be filtered by the region-opt-status-contains parameter.","ref":"aws_account.html#list_regions/2","title":"aws_account.list_regions/2","type":"function"},{"doc":"","ref":"aws_account.html#list_regions/3","title":"aws_account.list_regions/3","type":"function"},{"doc":"Modifies the specified alternate contact attached to an Amazon Web Services account. For complete details about how to use the alternate contact operations, see Access or updating the alternate contacts. Before you can update the alternate contact information for an Amazon Web Services account that is managed by Organizations, you must first enable integration between Amazon Web Services Account Management and Organizations. For more information, see Enabling trusted access for Amazon Web Services Account Management.","ref":"aws_account.html#put_alternate_contact/2","title":"aws_account.put_alternate_contact/2","type":"function"},{"doc":"","ref":"aws_account.html#put_alternate_contact/3","title":"aws_account.put_alternate_contact/3","type":"function"},{"doc":"Updates the primary contact information of an Amazon Web Services account. For complete details about how to use the primary contact operations, see Update the primary and alternate contact information.","ref":"aws_account.html#put_contact_information/2","title":"aws_account.put_contact_information/2","type":"function"},{"doc":"","ref":"aws_account.html#put_contact_information/3","title":"aws_account.put_contact_information/3","type":"function"},{"doc":"Certificate Manager You can use Certificate Manager (ACM) to manage SSL/TLS certificates for your Amazon Web Services-based websites and applications. For more information about using ACM, see the Certificate Manager User Guide.","ref":"aws_acm.html","title":"aws_acm","type":"module"},{"doc":"Adds one or more tags to an ACM certificate. Tags are labels that you can use to identify and organize your Amazon Web Services resources. Each tag consists of a key and an optional value . You specify the certificate on input by its Amazon Resource Name (ARN). You specify the tag by using a key-value pair. You can apply a tag to just one certificate if you want to identify a specific characteristic of that certificate, or you can apply the same tag to multiple certificates if you want to filter for a common relationship among those certificates. Similarly, you can apply the same tag to multiple resources if you want to specify a relationship among those resources. For example, you can add the same tag to an ACM certificate and an Elastic Load Balancing load balancer to indicate that they are both used by the same website. For more information, see Tagging ACM certificates. To remove one or more tags, use the RemoveTagsFromCertificate action. To view all of the tags that have been applied to the certificate, use the ListTagsForCertificate action.","ref":"aws_acm.html#add_tags_to_certificate/2","title":"aws_acm.add_tags_to_certificate/2","type":"function"},{"doc":"","ref":"aws_acm.html#add_tags_to_certificate/3","title":"aws_acm.add_tags_to_certificate/3","type":"function"},{"doc":"Deletes a certificate and its associated private key. If this action succeeds, the certificate no longer appears in the list that can be displayed by calling the ListCertificates action or be retrieved by calling the GetCertificate action. The certificate will not be available for use by Amazon Web Services services integrated with ACM. You cannot delete an ACM certificate that is being used by another Amazon Web Services service. To delete a certificate that is in use, the certificate association must first be removed.","ref":"aws_acm.html#delete_certificate/2","title":"aws_acm.delete_certificate/2","type":"function"},{"doc":"","ref":"aws_acm.html#delete_certificate/3","title":"aws_acm.delete_certificate/3","type":"function"},{"doc":"Returns detailed metadata about the specified ACM certificate. If you have just created a certificate using the RequestCertificate action, there is a delay of several seconds before you can retrieve information about it.","ref":"aws_acm.html#describe_certificate/2","title":"aws_acm.describe_certificate/2","type":"function"},{"doc":"","ref":"aws_acm.html#describe_certificate/3","title":"aws_acm.describe_certificate/3","type":"function"},{"doc":"Exports a private certificate issued by a private certificate authority (CA) for use anywhere. The exported file contains the certificate, the certificate chain, and the encrypted private 2048-bit RSA key associated with the public key that is embedded in the certificate. For security, you must assign a passphrase for the private key when exporting it. For information about exporting and formatting a certificate using the ACM console or CLI, see Export a Private Certificate.","ref":"aws_acm.html#export_certificate/2","title":"aws_acm.export_certificate/2","type":"function"},{"doc":"","ref":"aws_acm.html#export_certificate/3","title":"aws_acm.export_certificate/3","type":"function"},{"doc":"Returns the account configuration options associated with an Amazon Web Services account.","ref":"aws_acm.html#get_account_configuration/2","title":"aws_acm.get_account_configuration/2","type":"function"},{"doc":"","ref":"aws_acm.html#get_account_configuration/3","title":"aws_acm.get_account_configuration/3","type":"function"},{"doc":"Retrieves an Amazon-issued certificate and its certificate chain. The chain consists of the certificate of the issuing CA and the intermediate certificates of any other subordinate CAs. All of the certificates are base64 encoded. You can use OpenSSL to decode the certificates and inspect individual fields.","ref":"aws_acm.html#get_certificate/2","title":"aws_acm.get_certificate/2","type":"function"},{"doc":"","ref":"aws_acm.html#get_certificate/3","title":"aws_acm.get_certificate/3","type":"function"},{"doc":"Imports a certificate into Certificate Manager (ACM) to use with services that are integrated with ACM. Note that integrated services allow only certificate types and keys they support to be associated with their resources. Further, their support differs depending on whether the certificate is imported into IAM or into ACM. For more information, see the documentation for each service. For more information about importing certificates into ACM, see Importing Certificates in the Certificate Manager User Guide. ACM does not provide managed renewal for certificates that you import. Note the following guidelines when importing third party certificates: You must enter the private key that matches the certificate you are importing. The private key must be unencrypted. You cannot import a private key that is protected by a password or a passphrase. The private key must be no larger than 5 KB (5,120 bytes). If the certificate you are importing is not self-signed, you must enter its certificate chain. If a certificate chain is included, the issuer must be the subject of one of the certificates in the chain. The certificate, private key, and certificate chain must be PEM-encoded. The current time must be between the Not Before and Not After certificate fields. The Issuer field must not be empty. The OCSP authority URL, if present, must not exceed 1000 characters. To import a new certificate, omit the CertificateArn argument. Include this argument only when you want to replace a previously imported certificate. When you import a certificate by using the CLI, you must specify the certificate, the certificate chain, and the private key by their file names preceded by fileb:// . For example, you can specify a certificate saved in the C:\\temp folder as fileb://C:\\temp\\certificate_to_import.pem . If you are making an HTTP or HTTPS Query request, include these arguments as BLOBs. When you import a certificate by using an SDK, you must specify the certificate, the certificate chain, and the private key files in the manner required by the programming language you're using. The cryptographic algorithm of an imported certificate must match the algorithm of the signing CA. For example, if the signing CA key type is RSA, then the certificate key type must also be RSA. This operation returns the Amazon Resource Name (ARN) of the imported certificate.","ref":"aws_acm.html#import_certificate/2","title":"aws_acm.import_certificate/2","type":"function"},{"doc":"","ref":"aws_acm.html#import_certificate/3","title":"aws_acm.import_certificate/3","type":"function"},{"doc":"Retrieves a list of certificate ARNs and domain names. You can request that only certificates that match a specific status be listed. You can also filter by specific attributes of the certificate. Default filtering returns only RSA_2048 certificates. For more information, see Filters .","ref":"aws_acm.html#list_certificates/2","title":"aws_acm.list_certificates/2","type":"function"},{"doc":"","ref":"aws_acm.html#list_certificates/3","title":"aws_acm.list_certificates/3","type":"function"},{"doc":"Lists the tags that have been applied to the ACM certificate. Use the certificate's Amazon Resource Name (ARN) to specify the certificate. To add a tag to an ACM certificate, use the AddTagsToCertificate action. To delete a tag, use the RemoveTagsFromCertificate action.","ref":"aws_acm.html#list_tags_for_certificate/2","title":"aws_acm.list_tags_for_certificate/2","type":"function"},{"doc":"","ref":"aws_acm.html#list_tags_for_certificate/3","title":"aws_acm.list_tags_for_certificate/3","type":"function"},{"doc":"Adds or modifies account-level configurations in ACM. The supported configuration option is DaysBeforeExpiry . This option specifies the number of days prior to certificate expiration when ACM starts generating EventBridge events. ACM sends one event per day per certificate until the certificate expires. By default, accounts receive events starting 45 days before certificate expiration.","ref":"aws_acm.html#put_account_configuration/2","title":"aws_acm.put_account_configuration/2","type":"function"},{"doc":"","ref":"aws_acm.html#put_account_configuration/3","title":"aws_acm.put_account_configuration/3","type":"function"},{"doc":"Remove one or more tags from an ACM certificate. A tag consists of a key-value pair. If you do not specify the value portion of the tag when calling this function, the tag will be removed regardless of value. If you specify a value, the tag is removed only if it is associated with the specified value. To add tags to a certificate, use the AddTagsToCertificate action. To view all of the tags that have been applied to a specific ACM certificate, use the ListTagsForCertificate action.","ref":"aws_acm.html#remove_tags_from_certificate/2","title":"aws_acm.remove_tags_from_certificate/2","type":"function"},{"doc":"","ref":"aws_acm.html#remove_tags_from_certificate/3","title":"aws_acm.remove_tags_from_certificate/3","type":"function"},{"doc":"Renews an eligible ACM certificate. At this time, only exported private certificates can be renewed with this operation. In order to renew your Amazon Web Services Private CA certificates with ACM, you must first grant the ACM service principal permission to do so. For more information, see Testing Managed Renewal in the ACM User Guide.","ref":"aws_acm.html#renew_certificate/2","title":"aws_acm.renew_certificate/2","type":"function"},{"doc":"","ref":"aws_acm.html#renew_certificate/3","title":"aws_acm.renew_certificate/3","type":"function"},{"doc":"Requests an ACM certificate for use with other Amazon Web Services services. To request an ACM certificate, you must specify a fully qualified domain name (FQDN) in the DomainName parameter. You can also specify additional FQDNs in the SubjectAlternativeNames parameter. If you are requesting a private certificate, domain validation is not required. If you are requesting a public certificate, each domain name that you specify must be validated to verify that you own or control the domain. You can use DNS validation or email validation. We recommend that you use DNS validation. ACM issues public certificates after receiving approval from the domain owner. ACM behavior differs from the RFC 6125 specification of the certificate validation process. ACM first checks for a Subject Alternative Name, and, if it finds one, ignores the common name (CN). After successful completion of the RequestCertificate action, there is a delay of several seconds before you can retrieve information about the new certificate.","ref":"aws_acm.html#request_certificate/2","title":"aws_acm.request_certificate/2","type":"function"},{"doc":"","ref":"aws_acm.html#request_certificate/3","title":"aws_acm.request_certificate/3","type":"function"},{"doc":"Resends the email that requests domain ownership validation. The domain owner or an authorized representative must approve the ACM certificate before it can be issued. The certificate can be approved by clicking a link in the mail to navigate to the Amazon certificate approval website and then clicking I Approve. However, the validation email can be blocked by spam filters. Therefore, if you do not receive the original mail, you can request that the mail be resent within 72 hours of requesting the ACM certificate. If more than 72 hours have elapsed since your original request or since your last attempt to resend validation mail, you must request a new certificate. For more information about setting up your contact email addresses, see Configure Email for your Domain.","ref":"aws_acm.html#resend_validation_email/2","title":"aws_acm.resend_validation_email/2","type":"function"},{"doc":"","ref":"aws_acm.html#resend_validation_email/3","title":"aws_acm.resend_validation_email/3","type":"function"},{"doc":"Updates a certificate. Currently, you can use this function to specify whether to opt in to or out of recording your certificate in a certificate transparency log. For more information, see Opting Out of Certificate Transparency Logging.","ref":"aws_acm.html#update_certificate_options/2","title":"aws_acm.update_certificate_options/2","type":"function"},{"doc":"","ref":"aws_acm.html#update_certificate_options/3","title":"aws_acm.update_certificate_options/3","type":"function"},{"doc":"This is the Amazon Web Services Private Certificate Authority API Reference. It provides descriptions, syntax, and usage examples for each of the actions and data types involved in creating and managing a private certificate authority (CA) for your organization. The documentation for each action shows the API request parameters and the JSON response. Alternatively, you can use one of the Amazon Web Services SDKs to access an API that is tailored to the programming language or platform that you prefer. For more information, see Amazon Web Services SDKs. Each Amazon Web Services Private CA API operation has a quota that determines the number of times the operation can be called per second. Amazon Web Services Private CA throttles API requests at different rates depending on the operation. Throttling means that Amazon Web Services Private CA rejects an otherwise valid request because the request exceeds the operation's quota for the number of requests per second. When a request is throttled, Amazon Web Services Private CA returns a ThrottlingException error. Amazon Web Services Private CA does not guarantee a minimum request rate for APIs. To see an up-to-date list of your Amazon Web Services Private CA quotas, or to request a quota increase, log into your Amazon Web Services account and visit the Service Quotas console.","ref":"aws_acm_pca.html","title":"aws_acm_pca","type":"module"},{"doc":"Creates a root or subordinate private certificate authority (CA). You must specify the CA configuration, an optional configuration for Online Certificate Status Protocol (OCSP) and/or a certificate revocation list (CRL), the CA type, and an optional idempotency token to avoid accidental creation of multiple CAs. The CA configuration specifies the name of the algorithm and key size to be used to create the CA private key, the type of signing algorithm that the CA uses, and X.500 subject information. The OCSP configuration can optionally specify a custom URL for the OCSP responder. The CRL configuration specifies the CRL expiration period in days (the validity period of the CRL), the Amazon S3 bucket that will contain the CRL, and a CNAME alias for the S3 bucket that is included in certificates issued by the CA. If successful, this action returns the Amazon Resource Name (ARN) of the CA. Both Amazon Web Services Private CA and the IAM principal must have permission to write to the S3 bucket that you specify. If the IAM principal making the call does not have permission to write to the bucket, then an exception is thrown. For more information, see Access policies for CRLs in Amazon S3. Amazon Web Services Private CA assets that are stored in Amazon S3 can be protected with encryption. For more information, see Encrypting Your CRLs.","ref":"aws_acm_pca.html#create_certificate_authority/2","title":"aws_acm_pca.create_certificate_authority/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#create_certificate_authority/3","title":"aws_acm_pca.create_certificate_authority/3","type":"function"},{"doc":"Creates an audit report that lists every time that your CA private key is used. The report is saved in the Amazon S3 bucket that you specify on input. The IssueCertificate and RevokeCertificate actions use the private key. Both Amazon Web Services Private CA and the IAM principal must have permission to write to the S3 bucket that you specify. If the IAM principal making the call does not have permission to write to the bucket, then an exception is thrown. For more information, see Access policies for CRLs in Amazon S3. Amazon Web Services Private CA assets that are stored in Amazon S3 can be protected with encryption. For more information, see Encrypting Your Audit Reports. You can generate a maximum of one report every 30 minutes.","ref":"aws_acm_pca.html#create_certificate_authority_audit_report/2","title":"aws_acm_pca.create_certificate_authority_audit_report/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#create_certificate_authority_audit_report/3","title":"aws_acm_pca.create_certificate_authority_audit_report/3","type":"function"},{"doc":"Grants one or more permissions on a private CA to the Certificate Manager (ACM) service principal ( acm.amazonaws.com ). These permissions allow ACM to issue and renew ACM certificates that reside in the same Amazon Web Services account as the CA. You can list current permissions with the ListPermissions action and revoke them with the DeletePermission action. About Permissions If the private CA and the certificates it issues reside in the same account, you can use CreatePermission to grant permissions for ACM to carry out automatic certificate renewals. For automatic certificate renewal to succeed, the ACM service principal needs permissions to create, retrieve, and list certificates. If the private CA and the ACM certificates reside in different accounts, then permissions cannot be used to enable automatic renewals. Instead, the ACM certificate owner must set up a resource-based policy to enable cross-account issuance and renewals. For more information, see Using a Resource Based Policy with Amazon Web Services Private CA.","ref":"aws_acm_pca.html#create_permission/2","title":"aws_acm_pca.create_permission/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#create_permission/3","title":"aws_acm_pca.create_permission/3","type":"function"},{"doc":"Deletes a private certificate authority (CA). You must provide the Amazon Resource Name (ARN) of the private CA that you want to delete. You can find the ARN by calling the ListCertificateAuthorities action. Deleting a CA will invalidate other CAs and certificates below it in your CA hierarchy. Before you can delete a CA that you have created and activated, you must disable it. To do this, call the UpdateCertificateAuthority action and set the CertificateAuthorityStatus parameter to DISABLED . Additionally, you can delete a CA if you are waiting for it to be created (that is, the status of the CA is CREATING ). You can also delete it if the CA has been created but you haven't yet imported the signed certificate into Amazon Web Services Private CA (that is, the status of the CA is PENDING_CERTIFICATE ). When you successfully call DeleteCertificateAuthority, the CA's status changes to DELETED . However, the CA won't be permanently deleted until the restoration period has passed. By default, if you do not set the PermanentDeletionTimeInDays parameter, the CA remains restorable for 30 days. You can set the parameter from 7 to 30 days. The DescribeCertificateAuthority action returns the time remaining in the restoration window of a private CA in the DELETED state. To restore an eligible CA, call the RestoreCertificateAuthority action.","ref":"aws_acm_pca.html#delete_certificate_authority/2","title":"aws_acm_pca.delete_certificate_authority/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#delete_certificate_authority/3","title":"aws_acm_pca.delete_certificate_authority/3","type":"function"},{"doc":"Revokes permissions on a private CA granted to the Certificate Manager (ACM) service principal (acm.amazonaws.com). These permissions allow ACM to issue and renew ACM certificates that reside in the same Amazon Web Services account as the CA. If you revoke these permissions, ACM will no longer renew the affected certificates automatically. Permissions can be granted with the CreatePermission action and listed with the ListPermissions action. About Permissions If the private CA and the certificates it issues reside in the same account, you can use CreatePermission to grant permissions for ACM to carry out automatic certificate renewals. For automatic certificate renewal to succeed, the ACM service principal needs permissions to create, retrieve, and list certificates. If the private CA and the ACM certificates reside in different accounts, then permissions cannot be used to enable automatic renewals. Instead, the ACM certificate owner must set up a resource-based policy to enable cross-account issuance and renewals. For more information, see Using a Resource Based Policy with Amazon Web Services Private CA.","ref":"aws_acm_pca.html#delete_permission/2","title":"aws_acm_pca.delete_permission/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#delete_permission/3","title":"aws_acm_pca.delete_permission/3","type":"function"},{"doc":"Deletes the resource-based policy attached to a private CA. Deletion will remove any access that the policy has granted. If there is no policy attached to the private CA, this action will return successful. If you delete a policy that was applied through Amazon Web Services Resource Access Manager (RAM), the CA will be removed from all shares in which it was included. The Certificate Manager Service Linked Role that the policy supports is not affected when you delete the policy. The current policy can be shown with GetPolicy and updated with PutPolicy. About Policies A policy grants access on a private CA to an Amazon Web Services customer account, to Amazon Web Services Organizations, or to an Amazon Web Services Organizations unit. Policies are under the control of a CA administrator. For more information, see Using a Resource Based Policy with Amazon Web Services Private CA. A policy permits a user of Certificate Manager (ACM) to issue ACM certificates signed by a CA in another account. For ACM to manage automatic renewal of these certificates, the ACM user must configure a Service Linked Role (SLR). The SLR allows the ACM service to assume the identity of the user, subject to confirmation against the Amazon Web Services Private CA policy. For more information, see Using a Service Linked Role with ACM. Updates made in Amazon Web Services Resource Manager (RAM) are reflected in policies. For more information, see Attach a Policy for Cross-Account Access.","ref":"aws_acm_pca.html#delete_policy/2","title":"aws_acm_pca.delete_policy/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#delete_policy/3","title":"aws_acm_pca.delete_policy/3","type":"function"},{"doc":"Lists information about your private certificate authority (CA) or one that has been shared with you. You specify the private CA on input by its ARN (Amazon Resource Name). The output contains the status of your CA. This can be any of the following: CREATING - Amazon Web Services Private CA is creating your private certificate authority. PENDING_CERTIFICATE - The certificate is pending. You must use your Amazon Web Services Private CA-hosted or on-premises root or subordinate CA to sign your private CA CSR and then import it into Amazon Web Services Private CA. ACTIVE - Your private CA is active. DISABLED - Your private CA has been disabled. EXPIRED - Your private CA certificate has expired. FAILED - Your private CA has failed. Your CA can fail because of problems such a network outage or back-end Amazon Web Services failure or other errors. A failed CA can never return to the pending state. You must create a new CA. DELETED - Your private CA is within the restoration period, after which it is permanently deleted. The length of time remaining in the CA's restoration period is also included in this action's output.","ref":"aws_acm_pca.html#describe_certificate_authority/2","title":"aws_acm_pca.describe_certificate_authority/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#describe_certificate_authority/3","title":"aws_acm_pca.describe_certificate_authority/3","type":"function"},{"doc":"Lists information about a specific audit report created by calling the CreateCertificateAuthorityAuditReport action. Audit information is created every time the certificate authority (CA) private key is used. The private key is used when you call the IssueCertificate action or the RevokeCertificate action.","ref":"aws_acm_pca.html#describe_certificate_authority_audit_report/2","title":"aws_acm_pca.describe_certificate_authority_audit_report/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#describe_certificate_authority_audit_report/3","title":"aws_acm_pca.describe_certificate_authority_audit_report/3","type":"function"},{"doc":"Retrieves a certificate from your private CA or one that has been shared with you. The ARN of the certificate is returned when you call the IssueCertificate action. You must specify both the ARN of your private CA and the ARN of the issued certificate when calling the GetCertificate action. You can retrieve the certificate if it is in the ISSUED state. You can call the CreateCertificateAuthorityAuditReport action to create a report that contains information about all of the certificates issued and revoked by your private CA.","ref":"aws_acm_pca.html#get_certificate/2","title":"aws_acm_pca.get_certificate/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#get_certificate/3","title":"aws_acm_pca.get_certificate/3","type":"function"},{"doc":"Retrieves the certificate and certificate chain for your private certificate authority (CA) or one that has been shared with you. Both the certificate and the chain are base64 PEM-encoded. The chain does not include the CA certificate. Each certificate in the chain signs the one before it.","ref":"aws_acm_pca.html#get_certificate_authority_certificate/2","title":"aws_acm_pca.get_certificate_authority_certificate/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#get_certificate_authority_certificate/3","title":"aws_acm_pca.get_certificate_authority_certificate/3","type":"function"},{"doc":"Retrieves the certificate signing request (CSR) for your private certificate authority (CA). The CSR is created when you call the CreateCertificateAuthority action. Sign the CSR with your Amazon Web Services Private CA-hosted or on-premises root or subordinate CA. Then import the signed certificate back into Amazon Web Services Private CA by calling the ImportCertificateAuthorityCertificate action. The CSR is returned as a base64 PEM-encoded string.","ref":"aws_acm_pca.html#get_certificate_authority_csr/2","title":"aws_acm_pca.get_certificate_authority_csr/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#get_certificate_authority_csr/3","title":"aws_acm_pca.get_certificate_authority_csr/3","type":"function"},{"doc":"Retrieves the resource-based policy attached to a private CA. If either the private CA resource or the policy cannot be found, this action returns a ResourceNotFoundException . The policy can be attached or updated with PutPolicy and removed with DeletePolicy. About Policies A policy grants access on a private CA to an Amazon Web Services customer account, to Amazon Web Services Organizations, or to an Amazon Web Services Organizations unit. Policies are under the control of a CA administrator. For more information, see Using a Resource Based Policy with Amazon Web Services Private CA. A policy permits a user of Certificate Manager (ACM) to issue ACM certificates signed by a CA in another account. For ACM to manage automatic renewal of these certificates, the ACM user must configure a Service Linked Role (SLR). The SLR allows the ACM service to assume the identity of the user, subject to confirmation against the Amazon Web Services Private CA policy. For more information, see Using a Service Linked Role with ACM. Updates made in Amazon Web Services Resource Manager (RAM) are reflected in policies. For more information, see Attach a Policy for Cross-Account Access.","ref":"aws_acm_pca.html#get_policy/2","title":"aws_acm_pca.get_policy/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#get_policy/3","title":"aws_acm_pca.get_policy/3","type":"function"},{"doc":"Imports a signed private CA certificate into Amazon Web Services Private CA. This action is used when you are using a chain of trust whose root is located outside Amazon Web Services Private CA. Before you can call this action, the following preparations must in place: In Amazon Web Services Private CA, call the CreateCertificateAuthority action to create the private CA that you plan to back with the imported certificate. Call the GetCertificateAuthorityCsr action to generate a certificate signing request (CSR). Sign the CSR using a root or intermediate CA hosted by either an on-premises PKI hierarchy or by a commercial CA. Create a certificate chain and copy the signed certificate and the certificate chain to your working directory. Amazon Web Services Private CA supports three scenarios for installing a CA certificate: Installing a certificate for a root CA hosted by Amazon Web Services Private CA. Installing a subordinate CA certificate whose parent authority is hosted by Amazon Web Services Private CA. Installing a subordinate CA certificate whose parent authority is externally hosted. The following additional requirements apply when you import a CA certificate. Only a self-signed certificate can be imported as a root CA. A self-signed certificate cannot be imported as a subordinate CA. Your certificate chain must not include the private CA certificate that you are importing. Your root CA must be the last certificate in your chain. The subordinate certificate, if any, that your root CA signed must be next to last. The subordinate certificate signed by the preceding subordinate CA must come next, and so on until your chain is built. The chain must be PEM-encoded. The maximum allowed size of a certificate is 32 KB. The maximum allowed size of a certificate chain is 2 MB. Enforcement of Critical Constraints Amazon Web Services Private CA allows the following extensions to be marked critical in the imported CA certificate or chain. Basic constraints (must be marked critical) Subject alternative names Key usage Extended key usage Authority key identifier Subject key identifier Issuer alternative name Subject directory attributes Subject information access Certificate policies Policy mappings Inhibit anyPolicy Amazon Web Services Private CA rejects the following extensions when they are marked critical in an imported CA certificate or chain. Name constraints Policy constraints CRL distribution points Authority information access Freshest CRL Any other extension","ref":"aws_acm_pca.html#import_certificate_authority_certificate/2","title":"aws_acm_pca.import_certificate_authority_certificate/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#import_certificate_authority_certificate/3","title":"aws_acm_pca.import_certificate_authority_certificate/3","type":"function"},{"doc":"Uses your private certificate authority (CA), or one that has been shared with you, to issue a client certificate. This action returns the Amazon Resource Name (ARN) of the certificate. You can retrieve the certificate by calling the GetCertificate action and specifying the ARN. You cannot use the ACM ListCertificateAuthorities action to retrieve the ARNs of the certificates that you issue by using Amazon Web Services Private CA.","ref":"aws_acm_pca.html#issue_certificate/2","title":"aws_acm_pca.issue_certificate/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#issue_certificate/3","title":"aws_acm_pca.issue_certificate/3","type":"function"},{"doc":"Lists the private certificate authorities that you created by using the CreateCertificateAuthority action.","ref":"aws_acm_pca.html#list_certificate_authorities/2","title":"aws_acm_pca.list_certificate_authorities/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#list_certificate_authorities/3","title":"aws_acm_pca.list_certificate_authorities/3","type":"function"},{"doc":"List all permissions on a private CA, if any, granted to the Certificate Manager (ACM) service principal (acm.amazonaws.com). These permissions allow ACM to issue and renew ACM certificates that reside in the same Amazon Web Services account as the CA. Permissions can be granted with the CreatePermission action and revoked with the DeletePermission action. About Permissions If the private CA and the certificates it issues reside in the same account, you can use CreatePermission to grant permissions for ACM to carry out automatic certificate renewals. For automatic certificate renewal to succeed, the ACM service principal needs permissions to create, retrieve, and list certificates. If the private CA and the ACM certificates reside in different accounts, then permissions cannot be used to enable automatic renewals. Instead, the ACM certificate owner must set up a resource-based policy to enable cross-account issuance and renewals. For more information, see Using a Resource Based Policy with Amazon Web Services Private CA.","ref":"aws_acm_pca.html#list_permissions/2","title":"aws_acm_pca.list_permissions/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#list_permissions/3","title":"aws_acm_pca.list_permissions/3","type":"function"},{"doc":"Lists the tags, if any, that are associated with your private CA or one that has been shared with you. Tags are labels that you can use to identify and organize your CAs. Each tag consists of a key and an optional value. Call the TagCertificateAuthority action to add one or more tags to your CA. Call the UntagCertificateAuthority action to remove tags.","ref":"aws_acm_pca.html#list_tags/2","title":"aws_acm_pca.list_tags/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#list_tags/3","title":"aws_acm_pca.list_tags/3","type":"function"},{"doc":"Attaches a resource-based policy to a private CA. A policy can also be applied by sharing a private CA through Amazon Web Services Resource Access Manager (RAM). For more information, see Attach a Policy for Cross-Account Access. The policy can be displayed with GetPolicy and removed with DeletePolicy. About Policies A policy grants access on a private CA to an Amazon Web Services customer account, to Amazon Web Services Organizations, or to an Amazon Web Services Organizations unit. Policies are under the control of a CA administrator. For more information, see Using a Resource Based Policy with Amazon Web Services Private CA. A policy permits a user of Certificate Manager (ACM) to issue ACM certificates signed by a CA in another account. For ACM to manage automatic renewal of these certificates, the ACM user must configure a Service Linked Role (SLR). The SLR allows the ACM service to assume the identity of the user, subject to confirmation against the Amazon Web Services Private CA policy. For more information, see Using a Service Linked Role with ACM. Updates made in Amazon Web Services Resource Manager (RAM) are reflected in policies. For more information, see Attach a Policy for Cross-Account Access.","ref":"aws_acm_pca.html#put_policy/2","title":"aws_acm_pca.put_policy/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#put_policy/3","title":"aws_acm_pca.put_policy/3","type":"function"},{"doc":"Restores a certificate authority (CA) that is in the DELETED state. You can restore a CA during the period that you defined in the PermanentDeletionTimeInDays parameter of the DeleteCertificateAuthority action. Currently, you can specify 7 to 30 days. If you did not specify a PermanentDeletionTimeInDays value, by default you can restore the CA at any time in a 30 day period. You can check the time remaining in the restoration period of a private CA in the DELETED state by calling the DescribeCertificateAuthority or ListCertificateAuthorities actions. The status of a restored CA is set to its pre-deletion status when the RestoreCertificateAuthority action returns. To change its status to ACTIVE , call the UpdateCertificateAuthority action. If the private CA was in the PENDING_CERTIFICATE state at deletion, you must use the ImportCertificateAuthorityCertificate action to import a certificate authority into the private CA before it can be activated. You cannot restore a CA after the restoration period has ended.","ref":"aws_acm_pca.html#restore_certificate_authority/2","title":"aws_acm_pca.restore_certificate_authority/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#restore_certificate_authority/3","title":"aws_acm_pca.restore_certificate_authority/3","type":"function"},{"doc":"Revokes a certificate that was issued inside Amazon Web Services Private CA. If you enable a certificate revocation list (CRL) when you create or update your private CA, information about the revoked certificates will be included in the CRL. Amazon Web Services Private CA writes the CRL to an S3 bucket that you specify. A CRL is typically updated approximately 30 minutes after a certificate is revoked. If for any reason the CRL update fails, Amazon Web Services Private CA attempts makes further attempts every 15 minutes. With Amazon CloudWatch, you can create alarms for the metrics CRLGenerated and MisconfiguredCRLBucket . For more information, see Supported CloudWatch Metrics. Both Amazon Web Services Private CA and the IAM principal must have permission to write to the S3 bucket that you specify. If the IAM principal making the call does not have permission to write to the bucket, then an exception is thrown. For more information, see Access policies for CRLs in Amazon S3. Amazon Web Services Private CA also writes revocation information to the audit report. For more information, see CreateCertificateAuthorityAuditReport. You cannot revoke a root CA self-signed certificate.","ref":"aws_acm_pca.html#revoke_certificate/2","title":"aws_acm_pca.revoke_certificate/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#revoke_certificate/3","title":"aws_acm_pca.revoke_certificate/3","type":"function"},{"doc":"Adds one or more tags to your private CA. Tags are labels that you can use to identify and organize your Amazon Web Services resources. Each tag consists of a key and an optional value. You specify the private CA on input by its Amazon Resource Name (ARN). You specify the tag by using a key-value pair. You can apply a tag to just one private CA if you want to identify a specific characteristic of that CA, or you can apply the same tag to multiple private CAs if you want to filter for a common relationship among those CAs. To remove one or more tags, use the UntagCertificateAuthority action. Call the ListTags action to see what tags are associated with your CA. To attach tags to a private CA during the creation procedure, a CA administrator must first associate an inline IAM policy with the CreateCertificateAuthority action and explicitly allow tagging. For more information, see Attaching tags to a CA at the time of creation.","ref":"aws_acm_pca.html#tag_certificate_authority/2","title":"aws_acm_pca.tag_certificate_authority/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#tag_certificate_authority/3","title":"aws_acm_pca.tag_certificate_authority/3","type":"function"},{"doc":"Remove one or more tags from your private CA. A tag consists of a key-value pair. If you do not specify the value portion of the tag when calling this action, the tag will be removed regardless of value. If you specify a value, the tag is removed only if it is associated with the specified value. To add tags to a private CA, use the TagCertificateAuthority. Call the ListTags action to see what tags are associated with your CA.","ref":"aws_acm_pca.html#untag_certificate_authority/2","title":"aws_acm_pca.untag_certificate_authority/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#untag_certificate_authority/3","title":"aws_acm_pca.untag_certificate_authority/3","type":"function"},{"doc":"Updates the status or configuration of a private certificate authority (CA). Your private CA must be in the ACTIVE or DISABLED state before you can update it. You can disable a private CA that is in the ACTIVE state or make a CA that is in the DISABLED state active again. Both Amazon Web Services Private CA and the IAM principal must have permission to write to the S3 bucket that you specify. If the IAM principal making the call does not have permission to write to the bucket, then an exception is thrown. For more information, see Access policies for CRLs in Amazon S3.","ref":"aws_acm_pca.html#update_certificate_authority/2","title":"aws_acm_pca.update_certificate_authority/2","type":"function"},{"doc":"","ref":"aws_acm_pca.html#update_certificate_authority/3","title":"aws_acm_pca.update_certificate_authority/3","type":"function"},{"doc":"Alexa for Business helps you use Alexa in your organization. Alexa for Business provides you with the tools to manage Alexa devices, enroll your users, and assign skills, at scale. You can build your own context-aware voice skills using the Alexa Skills Kit and the Alexa for Business API operations. You can also make these available as private skills for your organization. Alexa for Business makes it efficient to voice-enable your products and services, thus providing context-aware voice experiences for your customers. Device makers building with the Alexa Voice Service (AVS) can create fully integrated solutions, register their products with Alexa for Business, and manage them as shared devices in their organization.","ref":"aws_alexa_for_business.html","title":"aws_alexa_for_business","type":"module"},{"doc":"Associates a skill with the organization under the customer's AWS account. If a skill is private, the user implicitly accepts access to this skill during enablement.","ref":"aws_alexa_for_business.html#approve_skill/2","title":"aws_alexa_for_business.approve_skill/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#approve_skill/3","title":"aws_alexa_for_business.approve_skill/3","type":"function"},{"doc":"Associates a contact with a given address book.","ref":"aws_alexa_for_business.html#associate_contact_with_address_book/2","title":"aws_alexa_for_business.associate_contact_with_address_book/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#associate_contact_with_address_book/3","title":"aws_alexa_for_business.associate_contact_with_address_book/3","type":"function"},{"doc":"Associates a device with the specified network profile.","ref":"aws_alexa_for_business.html#associate_device_with_network_profile/2","title":"aws_alexa_for_business.associate_device_with_network_profile/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#associate_device_with_network_profile/3","title":"aws_alexa_for_business.associate_device_with_network_profile/3","type":"function"},{"doc":"Associates a device with a given room. This applies all the settings from the room profile to the device, and all the skills in any skill groups added to that room. This operation requires the device to be online, or else a manual sync is required.","ref":"aws_alexa_for_business.html#associate_device_with_room/2","title":"aws_alexa_for_business.associate_device_with_room/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#associate_device_with_room/3","title":"aws_alexa_for_business.associate_device_with_room/3","type":"function"},{"doc":"Associates a skill group with a given room. This enables all skills in the associated skill group on all devices in the room.","ref":"aws_alexa_for_business.html#associate_skill_group_with_room/2","title":"aws_alexa_for_business.associate_skill_group_with_room/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#associate_skill_group_with_room/3","title":"aws_alexa_for_business.associate_skill_group_with_room/3","type":"function"},{"doc":"Associates a skill with a skill group.","ref":"aws_alexa_for_business.html#associate_skill_with_skill_group/2","title":"aws_alexa_for_business.associate_skill_with_skill_group/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#associate_skill_with_skill_group/3","title":"aws_alexa_for_business.associate_skill_with_skill_group/3","type":"function"},{"doc":"Makes a private skill available for enrolled users to enable on their devices.","ref":"aws_alexa_for_business.html#associate_skill_with_users/2","title":"aws_alexa_for_business.associate_skill_with_users/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#associate_skill_with_users/3","title":"aws_alexa_for_business.associate_skill_with_users/3","type":"function"},{"doc":"Creates an address book with the specified details.","ref":"aws_alexa_for_business.html#create_address_book/2","title":"aws_alexa_for_business.create_address_book/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#create_address_book/3","title":"aws_alexa_for_business.create_address_book/3","type":"function"},{"doc":"Creates a recurring schedule for usage reports to deliver to the specified S3 location with a specified daily or weekly interval.","ref":"aws_alexa_for_business.html#create_business_report_schedule/2","title":"aws_alexa_for_business.create_business_report_schedule/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#create_business_report_schedule/3","title":"aws_alexa_for_business.create_business_report_schedule/3","type":"function"},{"doc":"Adds a new conference provider under the user's AWS account.","ref":"aws_alexa_for_business.html#create_conference_provider/2","title":"aws_alexa_for_business.create_conference_provider/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#create_conference_provider/3","title":"aws_alexa_for_business.create_conference_provider/3","type":"function"},{"doc":"Creates a contact with the specified details.","ref":"aws_alexa_for_business.html#create_contact/2","title":"aws_alexa_for_business.create_contact/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#create_contact/3","title":"aws_alexa_for_business.create_contact/3","type":"function"},{"doc":"Creates a gateway group with the specified details.","ref":"aws_alexa_for_business.html#create_gateway_group/2","title":"aws_alexa_for_business.create_gateway_group/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#create_gateway_group/3","title":"aws_alexa_for_business.create_gateway_group/3","type":"function"},{"doc":"Creates a network profile with the specified details.","ref":"aws_alexa_for_business.html#create_network_profile/2","title":"aws_alexa_for_business.create_network_profile/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#create_network_profile/3","title":"aws_alexa_for_business.create_network_profile/3","type":"function"},{"doc":"Creates a new room profile with the specified details.","ref":"aws_alexa_for_business.html#create_profile/2","title":"aws_alexa_for_business.create_profile/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#create_profile/3","title":"aws_alexa_for_business.create_profile/3","type":"function"},{"doc":"Creates a room with the specified details.","ref":"aws_alexa_for_business.html#create_room/2","title":"aws_alexa_for_business.create_room/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#create_room/3","title":"aws_alexa_for_business.create_room/3","type":"function"},{"doc":"Creates a skill group with a specified name and description.","ref":"aws_alexa_for_business.html#create_skill_group/2","title":"aws_alexa_for_business.create_skill_group/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#create_skill_group/3","title":"aws_alexa_for_business.create_skill_group/3","type":"function"},{"doc":"Creates a user.","ref":"aws_alexa_for_business.html#create_user/2","title":"aws_alexa_for_business.create_user/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#create_user/3","title":"aws_alexa_for_business.create_user/3","type":"function"},{"doc":"Deletes an address book by the address book ARN.","ref":"aws_alexa_for_business.html#delete_address_book/2","title":"aws_alexa_for_business.delete_address_book/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_address_book/3","title":"aws_alexa_for_business.delete_address_book/3","type":"function"},{"doc":"Deletes the recurring report delivery schedule with the specified schedule ARN.","ref":"aws_alexa_for_business.html#delete_business_report_schedule/2","title":"aws_alexa_for_business.delete_business_report_schedule/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_business_report_schedule/3","title":"aws_alexa_for_business.delete_business_report_schedule/3","type":"function"},{"doc":"Deletes a conference provider.","ref":"aws_alexa_for_business.html#delete_conference_provider/2","title":"aws_alexa_for_business.delete_conference_provider/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_conference_provider/3","title":"aws_alexa_for_business.delete_conference_provider/3","type":"function"},{"doc":"Deletes a contact by the contact ARN.","ref":"aws_alexa_for_business.html#delete_contact/2","title":"aws_alexa_for_business.delete_contact/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_contact/3","title":"aws_alexa_for_business.delete_contact/3","type":"function"},{"doc":"Removes a device from Alexa For Business.","ref":"aws_alexa_for_business.html#delete_device/2","title":"aws_alexa_for_business.delete_device/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_device/3","title":"aws_alexa_for_business.delete_device/3","type":"function"},{"doc":"When this action is called for a specified shared device, it allows authorized users to delete the device's entire previous history of voice input data and associated response data. This action can be called once every 24 hours for a specific shared device.","ref":"aws_alexa_for_business.html#delete_device_usage_data/2","title":"aws_alexa_for_business.delete_device_usage_data/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_device_usage_data/3","title":"aws_alexa_for_business.delete_device_usage_data/3","type":"function"},{"doc":"Deletes a gateway group.","ref":"aws_alexa_for_business.html#delete_gateway_group/2","title":"aws_alexa_for_business.delete_gateway_group/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_gateway_group/3","title":"aws_alexa_for_business.delete_gateway_group/3","type":"function"},{"doc":"Deletes a network profile by the network profile ARN.","ref":"aws_alexa_for_business.html#delete_network_profile/2","title":"aws_alexa_for_business.delete_network_profile/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_network_profile/3","title":"aws_alexa_for_business.delete_network_profile/3","type":"function"},{"doc":"Deletes a room profile by the profile ARN.","ref":"aws_alexa_for_business.html#delete_profile/2","title":"aws_alexa_for_business.delete_profile/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_profile/3","title":"aws_alexa_for_business.delete_profile/3","type":"function"},{"doc":"Deletes a room by the room ARN.","ref":"aws_alexa_for_business.html#delete_room/2","title":"aws_alexa_for_business.delete_room/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_room/3","title":"aws_alexa_for_business.delete_room/3","type":"function"},{"doc":"Deletes room skill parameter details by room, skill, and parameter key ID.","ref":"aws_alexa_for_business.html#delete_room_skill_parameter/2","title":"aws_alexa_for_business.delete_room_skill_parameter/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_room_skill_parameter/3","title":"aws_alexa_for_business.delete_room_skill_parameter/3","type":"function"},{"doc":"Unlinks a third-party account from a skill.","ref":"aws_alexa_for_business.html#delete_skill_authorization/2","title":"aws_alexa_for_business.delete_skill_authorization/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_skill_authorization/3","title":"aws_alexa_for_business.delete_skill_authorization/3","type":"function"},{"doc":"Deletes a skill group by skill group ARN.","ref":"aws_alexa_for_business.html#delete_skill_group/2","title":"aws_alexa_for_business.delete_skill_group/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_skill_group/3","title":"aws_alexa_for_business.delete_skill_group/3","type":"function"},{"doc":"Deletes a specified user by user ARN and enrollment ARN.","ref":"aws_alexa_for_business.html#delete_user/2","title":"aws_alexa_for_business.delete_user/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#delete_user/3","title":"aws_alexa_for_business.delete_user/3","type":"function"},{"doc":"Disassociates a contact from a given address book.","ref":"aws_alexa_for_business.html#disassociate_contact_from_address_book/2","title":"aws_alexa_for_business.disassociate_contact_from_address_book/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#disassociate_contact_from_address_book/3","title":"aws_alexa_for_business.disassociate_contact_from_address_book/3","type":"function"},{"doc":"Disassociates a device from its current room. The device continues to be connected to the Wi-Fi network and is still registered to the account. The device settings and skills are removed from the room.","ref":"aws_alexa_for_business.html#disassociate_device_from_room/2","title":"aws_alexa_for_business.disassociate_device_from_room/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#disassociate_device_from_room/3","title":"aws_alexa_for_business.disassociate_device_from_room/3","type":"function"},{"doc":"Disassociates a skill from a skill group.","ref":"aws_alexa_for_business.html#disassociate_skill_from_skill_group/2","title":"aws_alexa_for_business.disassociate_skill_from_skill_group/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#disassociate_skill_from_skill_group/3","title":"aws_alexa_for_business.disassociate_skill_from_skill_group/3","type":"function"},{"doc":"Makes a private skill unavailable for enrolled users and prevents them from enabling it on their devices.","ref":"aws_alexa_for_business.html#disassociate_skill_from_users/2","title":"aws_alexa_for_business.disassociate_skill_from_users/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#disassociate_skill_from_users/3","title":"aws_alexa_for_business.disassociate_skill_from_users/3","type":"function"},{"doc":"Disassociates a skill group from a specified room. This disables all skills in the skill group on all devices in the room.","ref":"aws_alexa_for_business.html#disassociate_skill_group_from_room/2","title":"aws_alexa_for_business.disassociate_skill_group_from_room/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#disassociate_skill_group_from_room/3","title":"aws_alexa_for_business.disassociate_skill_group_from_room/3","type":"function"},{"doc":"Forgets smart home appliances associated to a room.","ref":"aws_alexa_for_business.html#forget_smart_home_appliances/2","title":"aws_alexa_for_business.forget_smart_home_appliances/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#forget_smart_home_appliances/3","title":"aws_alexa_for_business.forget_smart_home_appliances/3","type":"function"},{"doc":"Gets address the book details by the address book ARN.","ref":"aws_alexa_for_business.html#get_address_book/2","title":"aws_alexa_for_business.get_address_book/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_address_book/3","title":"aws_alexa_for_business.get_address_book/3","type":"function"},{"doc":"Retrieves the existing conference preferences.","ref":"aws_alexa_for_business.html#get_conference_preference/2","title":"aws_alexa_for_business.get_conference_preference/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_conference_preference/3","title":"aws_alexa_for_business.get_conference_preference/3","type":"function"},{"doc":"Gets details about a specific conference provider.","ref":"aws_alexa_for_business.html#get_conference_provider/2","title":"aws_alexa_for_business.get_conference_provider/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_conference_provider/3","title":"aws_alexa_for_business.get_conference_provider/3","type":"function"},{"doc":"Gets the contact details by the contact ARN.","ref":"aws_alexa_for_business.html#get_contact/2","title":"aws_alexa_for_business.get_contact/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_contact/3","title":"aws_alexa_for_business.get_contact/3","type":"function"},{"doc":"Gets the details of a device by device ARN.","ref":"aws_alexa_for_business.html#get_device/2","title":"aws_alexa_for_business.get_device/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_device/3","title":"aws_alexa_for_business.get_device/3","type":"function"},{"doc":"Retrieves the details of a gateway.","ref":"aws_alexa_for_business.html#get_gateway/2","title":"aws_alexa_for_business.get_gateway/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_gateway/3","title":"aws_alexa_for_business.get_gateway/3","type":"function"},{"doc":"Retrieves the details of a gateway group.","ref":"aws_alexa_for_business.html#get_gateway_group/2","title":"aws_alexa_for_business.get_gateway_group/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_gateway_group/3","title":"aws_alexa_for_business.get_gateway_group/3","type":"function"},{"doc":"Retrieves the configured values for the user enrollment invitation email template.","ref":"aws_alexa_for_business.html#get_invitation_configuration/2","title":"aws_alexa_for_business.get_invitation_configuration/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_invitation_configuration/3","title":"aws_alexa_for_business.get_invitation_configuration/3","type":"function"},{"doc":"Gets the network profile details by the network profile ARN.","ref":"aws_alexa_for_business.html#get_network_profile/2","title":"aws_alexa_for_business.get_network_profile/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_network_profile/3","title":"aws_alexa_for_business.get_network_profile/3","type":"function"},{"doc":"Gets the details of a room profile by profile ARN.","ref":"aws_alexa_for_business.html#get_profile/2","title":"aws_alexa_for_business.get_profile/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_profile/3","title":"aws_alexa_for_business.get_profile/3","type":"function"},{"doc":"Gets room details by room ARN.","ref":"aws_alexa_for_business.html#get_room/2","title":"aws_alexa_for_business.get_room/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_room/3","title":"aws_alexa_for_business.get_room/3","type":"function"},{"doc":"Gets room skill parameter details by room, skill, and parameter key ARN.","ref":"aws_alexa_for_business.html#get_room_skill_parameter/2","title":"aws_alexa_for_business.get_room_skill_parameter/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_room_skill_parameter/3","title":"aws_alexa_for_business.get_room_skill_parameter/3","type":"function"},{"doc":"Gets skill group details by skill group ARN.","ref":"aws_alexa_for_business.html#get_skill_group/2","title":"aws_alexa_for_business.get_skill_group/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#get_skill_group/3","title":"aws_alexa_for_business.get_skill_group/3","type":"function"},{"doc":"Lists the details of the schedules that a user configured. A download URL of the report associated with each schedule is returned every time this action is called. A new download URL is returned each time, and is valid for 24 hours.","ref":"aws_alexa_for_business.html#list_business_report_schedules/2","title":"aws_alexa_for_business.list_business_report_schedules/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#list_business_report_schedules/3","title":"aws_alexa_for_business.list_business_report_schedules/3","type":"function"},{"doc":"Lists conference providers under a specific AWS account.","ref":"aws_alexa_for_business.html#list_conference_providers/2","title":"aws_alexa_for_business.list_conference_providers/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#list_conference_providers/3","title":"aws_alexa_for_business.list_conference_providers/3","type":"function"},{"doc":"Lists the device event history, including device connection status, for up to 30 days.","ref":"aws_alexa_for_business.html#list_device_events/2","title":"aws_alexa_for_business.list_device_events/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#list_device_events/3","title":"aws_alexa_for_business.list_device_events/3","type":"function"},{"doc":"Retrieves a list of gateway group summaries. Use GetGatewayGroup to retrieve details of a specific gateway group.","ref":"aws_alexa_for_business.html#list_gateway_groups/2","title":"aws_alexa_for_business.list_gateway_groups/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#list_gateway_groups/3","title":"aws_alexa_for_business.list_gateway_groups/3","type":"function"},{"doc":"Retrieves a list of gateway summaries. Use GetGateway to retrieve details of a specific gateway. An optional gateway group ARN can be provided to only retrieve gateway summaries of gateways that are associated with that gateway group ARN.","ref":"aws_alexa_for_business.html#list_gateways/2","title":"aws_alexa_for_business.list_gateways/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#list_gateways/3","title":"aws_alexa_for_business.list_gateways/3","type":"function"},{"doc":"Lists all enabled skills in a specific skill group.","ref":"aws_alexa_for_business.html#list_skills/2","title":"aws_alexa_for_business.list_skills/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#list_skills/3","title":"aws_alexa_for_business.list_skills/3","type":"function"},{"doc":"Lists all categories in the Alexa skill store.","ref":"aws_alexa_for_business.html#list_skills_store_categories/2","title":"aws_alexa_for_business.list_skills_store_categories/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#list_skills_store_categories/3","title":"aws_alexa_for_business.list_skills_store_categories/3","type":"function"},{"doc":"Lists all skills in the Alexa skill store by category.","ref":"aws_alexa_for_business.html#list_skills_store_skills_by_category/2","title":"aws_alexa_for_business.list_skills_store_skills_by_category/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#list_skills_store_skills_by_category/3","title":"aws_alexa_for_business.list_skills_store_skills_by_category/3","type":"function"},{"doc":"Lists all of the smart home appliances associated with a room.","ref":"aws_alexa_for_business.html#list_smart_home_appliances/2","title":"aws_alexa_for_business.list_smart_home_appliances/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#list_smart_home_appliances/3","title":"aws_alexa_for_business.list_smart_home_appliances/3","type":"function"},{"doc":"Lists all tags for the specified resource.","ref":"aws_alexa_for_business.html#list_tags/2","title":"aws_alexa_for_business.list_tags/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#list_tags/3","title":"aws_alexa_for_business.list_tags/3","type":"function"},{"doc":"Sets the conference preferences on a specific conference provider at the account level.","ref":"aws_alexa_for_business.html#put_conference_preference/2","title":"aws_alexa_for_business.put_conference_preference/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#put_conference_preference/3","title":"aws_alexa_for_business.put_conference_preference/3","type":"function"},{"doc":"Configures the email template for the user enrollment invitation with the specified attributes.","ref":"aws_alexa_for_business.html#put_invitation_configuration/2","title":"aws_alexa_for_business.put_invitation_configuration/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#put_invitation_configuration/3","title":"aws_alexa_for_business.put_invitation_configuration/3","type":"function"},{"doc":"Updates room skill parameter details by room, skill, and parameter key ID. Not all skills have a room skill parameter.","ref":"aws_alexa_for_business.html#put_room_skill_parameter/2","title":"aws_alexa_for_business.put_room_skill_parameter/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#put_room_skill_parameter/3","title":"aws_alexa_for_business.put_room_skill_parameter/3","type":"function"},{"doc":"Links a user's account to a third-party skill provider. If this API operation is called by an assumed IAM role, the skill being linked must be a private skill. Also, the skill must be owned by the AWS account that assumed the IAM role.","ref":"aws_alexa_for_business.html#put_skill_authorization/2","title":"aws_alexa_for_business.put_skill_authorization/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#put_skill_authorization/3","title":"aws_alexa_for_business.put_skill_authorization/3","type":"function"},{"doc":"Registers an Alexa-enabled device built by an Original Equipment Manufacturer (OEM) using Alexa Voice Service (AVS).","ref":"aws_alexa_for_business.html#register_avs_device/2","title":"aws_alexa_for_business.register_avs_device/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#register_avs_device/3","title":"aws_alexa_for_business.register_avs_device/3","type":"function"},{"doc":"Disassociates a skill from the organization under a user's AWS account. If the skill is a private skill, it moves to an AcceptStatus of PENDING. Any private or public skill that is rejected can be added later by calling the ApproveSkill API.","ref":"aws_alexa_for_business.html#reject_skill/2","title":"aws_alexa_for_business.reject_skill/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#reject_skill/3","title":"aws_alexa_for_business.reject_skill/3","type":"function"},{"doc":"Determines the details for the room from which a skill request was invoked. This operation is used by skill developers. To query ResolveRoom from an Alexa skill, the skill ID needs to be authorized. When the skill is using an AWS Lambda function, the skill is automatically authorized when you publish your skill as a private skill to your AWS account. Skills that are hosted using a custom web service must be manually authorized. To get your skill authorized, contact AWS Support with your AWS account ID that queries the ResolveRoom API and skill ID.","ref":"aws_alexa_for_business.html#resolve_room/2","title":"aws_alexa_for_business.resolve_room/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#resolve_room/3","title":"aws_alexa_for_business.resolve_room/3","type":"function"},{"doc":"Revokes an invitation and invalidates the enrollment URL.","ref":"aws_alexa_for_business.html#revoke_invitation/2","title":"aws_alexa_for_business.revoke_invitation/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#revoke_invitation/3","title":"aws_alexa_for_business.revoke_invitation/3","type":"function"},{"doc":"Searches address books and lists the ones that meet a set of filter and sort criteria.","ref":"aws_alexa_for_business.html#search_address_books/2","title":"aws_alexa_for_business.search_address_books/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#search_address_books/3","title":"aws_alexa_for_business.search_address_books/3","type":"function"},{"doc":"Searches contacts and lists the ones that meet a set of filter and sort criteria.","ref":"aws_alexa_for_business.html#search_contacts/2","title":"aws_alexa_for_business.search_contacts/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#search_contacts/3","title":"aws_alexa_for_business.search_contacts/3","type":"function"},{"doc":"Searches devices and lists the ones that meet a set of filter criteria.","ref":"aws_alexa_for_business.html#search_devices/2","title":"aws_alexa_for_business.search_devices/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#search_devices/3","title":"aws_alexa_for_business.search_devices/3","type":"function"},{"doc":"Searches network profiles and lists the ones that meet a set of filter and sort criteria.","ref":"aws_alexa_for_business.html#search_network_profiles/2","title":"aws_alexa_for_business.search_network_profiles/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#search_network_profiles/3","title":"aws_alexa_for_business.search_network_profiles/3","type":"function"},{"doc":"Searches room profiles and lists the ones that meet a set of filter criteria.","ref":"aws_alexa_for_business.html#search_profiles/2","title":"aws_alexa_for_business.search_profiles/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#search_profiles/3","title":"aws_alexa_for_business.search_profiles/3","type":"function"},{"doc":"Searches rooms and lists the ones that meet a set of filter and sort criteria.","ref":"aws_alexa_for_business.html#search_rooms/2","title":"aws_alexa_for_business.search_rooms/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#search_rooms/3","title":"aws_alexa_for_business.search_rooms/3","type":"function"},{"doc":"Searches skill groups and lists the ones that meet a set of filter and sort criteria.","ref":"aws_alexa_for_business.html#search_skill_groups/2","title":"aws_alexa_for_business.search_skill_groups/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#search_skill_groups/3","title":"aws_alexa_for_business.search_skill_groups/3","type":"function"},{"doc":"Searches users and lists the ones that meet a set of filter and sort criteria.","ref":"aws_alexa_for_business.html#search_users/2","title":"aws_alexa_for_business.search_users/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#search_users/3","title":"aws_alexa_for_business.search_users/3","type":"function"},{"doc":"Triggers an asynchronous flow to send text, SSML, or audio announcements to rooms that are identified by a search or filter.","ref":"aws_alexa_for_business.html#send_announcement/2","title":"aws_alexa_for_business.send_announcement/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#send_announcement/3","title":"aws_alexa_for_business.send_announcement/3","type":"function"},{"doc":"Sends an enrollment invitation email with a URL to a user. The URL is valid for 30 days or until you call this operation again, whichever comes first.","ref":"aws_alexa_for_business.html#send_invitation/2","title":"aws_alexa_for_business.send_invitation/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#send_invitation/3","title":"aws_alexa_for_business.send_invitation/3","type":"function"},{"doc":"Resets a device and its account to the known default settings. This clears all information and settings set by previous users in the following ways: Bluetooth - This unpairs all bluetooth devices paired with your echo device. Volume - This resets the echo device's volume to the default value. Notifications - This clears all notifications from your echo device. Lists - This clears all to-do items from your echo device. Settings - This internally syncs the room's profile (if the device is assigned to a room), contacts, address books, delegation access for account linking, and communications (if enabled on the room profile).","ref":"aws_alexa_for_business.html#start_device_sync/2","title":"aws_alexa_for_business.start_device_sync/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#start_device_sync/3","title":"aws_alexa_for_business.start_device_sync/3","type":"function"},{"doc":"Initiates the discovery of any smart home appliances associated with the room.","ref":"aws_alexa_for_business.html#start_smart_home_appliance_discovery/2","title":"aws_alexa_for_business.start_smart_home_appliance_discovery/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#start_smart_home_appliance_discovery/3","title":"aws_alexa_for_business.start_smart_home_appliance_discovery/3","type":"function"},{"doc":"Adds metadata tags to a specified resource.","ref":"aws_alexa_for_business.html#tag_resource/2","title":"aws_alexa_for_business.tag_resource/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#tag_resource/3","title":"aws_alexa_for_business.tag_resource/3","type":"function"},{"doc":"Removes metadata tags from a specified resource.","ref":"aws_alexa_for_business.html#untag_resource/2","title":"aws_alexa_for_business.untag_resource/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#untag_resource/3","title":"aws_alexa_for_business.untag_resource/3","type":"function"},{"doc":"Updates address book details by the address book ARN.","ref":"aws_alexa_for_business.html#update_address_book/2","title":"aws_alexa_for_business.update_address_book/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#update_address_book/3","title":"aws_alexa_for_business.update_address_book/3","type":"function"},{"doc":"Updates the configuration of the report delivery schedule with the specified schedule ARN.","ref":"aws_alexa_for_business.html#update_business_report_schedule/2","title":"aws_alexa_for_business.update_business_report_schedule/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#update_business_report_schedule/3","title":"aws_alexa_for_business.update_business_report_schedule/3","type":"function"},{"doc":"Updates an existing conference provider's settings.","ref":"aws_alexa_for_business.html#update_conference_provider/2","title":"aws_alexa_for_business.update_conference_provider/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#update_conference_provider/3","title":"aws_alexa_for_business.update_conference_provider/3","type":"function"},{"doc":"Updates the contact details by the contact ARN.","ref":"aws_alexa_for_business.html#update_contact/2","title":"aws_alexa_for_business.update_contact/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#update_contact/3","title":"aws_alexa_for_business.update_contact/3","type":"function"},{"doc":"Updates the device name by device ARN.","ref":"aws_alexa_for_business.html#update_device/2","title":"aws_alexa_for_business.update_device/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#update_device/3","title":"aws_alexa_for_business.update_device/3","type":"function"},{"doc":"Updates the details of a gateway. If any optional field is not provided, the existing corresponding value is left unmodified.","ref":"aws_alexa_for_business.html#update_gateway/2","title":"aws_alexa_for_business.update_gateway/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#update_gateway/3","title":"aws_alexa_for_business.update_gateway/3","type":"function"},{"doc":"Updates the details of a gateway group. If any optional field is not provided, the existing corresponding value is left unmodified.","ref":"aws_alexa_for_business.html#update_gateway_group/2","title":"aws_alexa_for_business.update_gateway_group/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#update_gateway_group/3","title":"aws_alexa_for_business.update_gateway_group/3","type":"function"},{"doc":"Updates a network profile by the network profile ARN.","ref":"aws_alexa_for_business.html#update_network_profile/2","title":"aws_alexa_for_business.update_network_profile/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#update_network_profile/3","title":"aws_alexa_for_business.update_network_profile/3","type":"function"},{"doc":"Updates an existing room profile by room profile ARN.","ref":"aws_alexa_for_business.html#update_profile/2","title":"aws_alexa_for_business.update_profile/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#update_profile/3","title":"aws_alexa_for_business.update_profile/3","type":"function"},{"doc":"Updates room details by room ARN.","ref":"aws_alexa_for_business.html#update_room/2","title":"aws_alexa_for_business.update_room/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#update_room/3","title":"aws_alexa_for_business.update_room/3","type":"function"},{"doc":"Updates skill group details by skill group ARN.","ref":"aws_alexa_for_business.html#update_skill_group/2","title":"aws_alexa_for_business.update_skill_group/2","type":"function"},{"doc":"","ref":"aws_alexa_for_business.html#update_skill_group/3","title":"aws_alexa_for_business.update_skill_group/3","type":"function"},{"doc":"Amazon Managed Service for Prometheus","ref":"aws_amp.html","title":"aws_amp","type":"module"},{"doc":"Create an alert manager definition.","ref":"aws_amp.html#create_alert_manager_definition/3","title":"aws_amp.create_alert_manager_definition/3","type":"function"},{"doc":"","ref":"aws_amp.html#create_alert_manager_definition/4","title":"aws_amp.create_alert_manager_definition/4","type":"function"},{"doc":"Create logging configuration.","ref":"aws_amp.html#create_logging_configuration/3","title":"aws_amp.create_logging_configuration/3","type":"function"},{"doc":"","ref":"aws_amp.html#create_logging_configuration/4","title":"aws_amp.create_logging_configuration/4","type":"function"},{"doc":"Create a rule group namespace.","ref":"aws_amp.html#create_rule_groups_namespace/3","title":"aws_amp.create_rule_groups_namespace/3","type":"function"},{"doc":"","ref":"aws_amp.html#create_rule_groups_namespace/4","title":"aws_amp.create_rule_groups_namespace/4","type":"function"},{"doc":"Creates a new AMP workspace.","ref":"aws_amp.html#create_workspace/2","title":"aws_amp.create_workspace/2","type":"function"},{"doc":"","ref":"aws_amp.html#create_workspace/3","title":"aws_amp.create_workspace/3","type":"function"},{"doc":"Deletes an alert manager definition.","ref":"aws_amp.html#delete_alert_manager_definition/3","title":"aws_amp.delete_alert_manager_definition/3","type":"function"},{"doc":"","ref":"aws_amp.html#delete_alert_manager_definition/4","title":"aws_amp.delete_alert_manager_definition/4","type":"function"},{"doc":"Delete logging configuration.","ref":"aws_amp.html#delete_logging_configuration/3","title":"aws_amp.delete_logging_configuration/3","type":"function"},{"doc":"","ref":"aws_amp.html#delete_logging_configuration/4","title":"aws_amp.delete_logging_configuration/4","type":"function"},{"doc":"Delete a rule groups namespace.","ref":"aws_amp.html#delete_rule_groups_namespace/4","title":"aws_amp.delete_rule_groups_namespace/4","type":"function"},{"doc":"","ref":"aws_amp.html#delete_rule_groups_namespace/5","title":"aws_amp.delete_rule_groups_namespace/5","type":"function"},{"doc":"Deletes an AMP workspace.","ref":"aws_amp.html#delete_workspace/3","title":"aws_amp.delete_workspace/3","type":"function"},{"doc":"","ref":"aws_amp.html#delete_workspace/4","title":"aws_amp.delete_workspace/4","type":"function"},{"doc":"Describes an alert manager definition.","ref":"aws_amp.html#describe_alert_manager_definition/2","title":"aws_amp.describe_alert_manager_definition/2","type":"function"},{"doc":"","ref":"aws_amp.html#describe_alert_manager_definition/4","title":"aws_amp.describe_alert_manager_definition/4","type":"function"},{"doc":"","ref":"aws_amp.html#describe_alert_manager_definition/5","title":"aws_amp.describe_alert_manager_definition/5","type":"function"},{"doc":"Describes logging configuration.","ref":"aws_amp.html#describe_logging_configuration/2","title":"aws_amp.describe_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_amp.html#describe_logging_configuration/4","title":"aws_amp.describe_logging_configuration/4","type":"function"},{"doc":"","ref":"aws_amp.html#describe_logging_configuration/5","title":"aws_amp.describe_logging_configuration/5","type":"function"},{"doc":"Describe a rule groups namespace.","ref":"aws_amp.html#describe_rule_groups_namespace/3","title":"aws_amp.describe_rule_groups_namespace/3","type":"function"},{"doc":"","ref":"aws_amp.html#describe_rule_groups_namespace/5","title":"aws_amp.describe_rule_groups_namespace/5","type":"function"},{"doc":"","ref":"aws_amp.html#describe_rule_groups_namespace/6","title":"aws_amp.describe_rule_groups_namespace/6","type":"function"},{"doc":"Describes an existing AMP workspace.","ref":"aws_amp.html#describe_workspace/2","title":"aws_amp.describe_workspace/2","type":"function"},{"doc":"","ref":"aws_amp.html#describe_workspace/4","title":"aws_amp.describe_workspace/4","type":"function"},{"doc":"","ref":"aws_amp.html#describe_workspace/5","title":"aws_amp.describe_workspace/5","type":"function"},{"doc":"Lists rule groups namespaces.","ref":"aws_amp.html#list_rule_groups_namespaces/2","title":"aws_amp.list_rule_groups_namespaces/2","type":"function"},{"doc":"","ref":"aws_amp.html#list_rule_groups_namespaces/4","title":"aws_amp.list_rule_groups_namespaces/4","type":"function"},{"doc":"","ref":"aws_amp.html#list_rule_groups_namespaces/5","title":"aws_amp.list_rule_groups_namespaces/5","type":"function"},{"doc":"Lists the tags you have assigned to the resource.","ref":"aws_amp.html#list_tags_for_resource/2","title":"aws_amp.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_amp.html#list_tags_for_resource/4","title":"aws_amp.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_amp.html#list_tags_for_resource/5","title":"aws_amp.list_tags_for_resource/5","type":"function"},{"doc":"Lists all AMP workspaces, including workspaces being created or deleted.","ref":"aws_amp.html#list_workspaces/1","title":"aws_amp.list_workspaces/1","type":"function"},{"doc":"","ref":"aws_amp.html#list_workspaces/3","title":"aws_amp.list_workspaces/3","type":"function"},{"doc":"","ref":"aws_amp.html#list_workspaces/4","title":"aws_amp.list_workspaces/4","type":"function"},{"doc":"Update an alert manager definition.","ref":"aws_amp.html#put_alert_manager_definition/3","title":"aws_amp.put_alert_manager_definition/3","type":"function"},{"doc":"","ref":"aws_amp.html#put_alert_manager_definition/4","title":"aws_amp.put_alert_manager_definition/4","type":"function"},{"doc":"Update a rule groups namespace.","ref":"aws_amp.html#put_rule_groups_namespace/4","title":"aws_amp.put_rule_groups_namespace/4","type":"function"},{"doc":"","ref":"aws_amp.html#put_rule_groups_namespace/5","title":"aws_amp.put_rule_groups_namespace/5","type":"function"},{"doc":"Creates tags for the specified resource.","ref":"aws_amp.html#tag_resource/3","title":"aws_amp.tag_resource/3","type":"function"},{"doc":"","ref":"aws_amp.html#tag_resource/4","title":"aws_amp.tag_resource/4","type":"function"},{"doc":"Deletes tags from the specified resource.","ref":"aws_amp.html#untag_resource/3","title":"aws_amp.untag_resource/3","type":"function"},{"doc":"","ref":"aws_amp.html#untag_resource/4","title":"aws_amp.untag_resource/4","type":"function"},{"doc":"Update logging configuration.","ref":"aws_amp.html#update_logging_configuration/3","title":"aws_amp.update_logging_configuration/3","type":"function"},{"doc":"","ref":"aws_amp.html#update_logging_configuration/4","title":"aws_amp.update_logging_configuration/4","type":"function"},{"doc":"Updates an AMP workspace alias.","ref":"aws_amp.html#update_workspace_alias/3","title":"aws_amp.update_workspace_alias/3","type":"function"},{"doc":"","ref":"aws_amp.html#update_workspace_alias/4","title":"aws_amp.update_workspace_alias/4","type":"function"},{"doc":"Amplify enables developers to develop and deploy cloud-powered mobile and web apps. The Amplify Console provides a continuous delivery and hosting service for web applications. For more information, see the Amplify Console User Guide. The Amplify Framework is a comprehensive set of SDKs, libraries, tools, and documentation for client app development. For more information, see the Amplify Framework.","ref":"aws_amplify.html","title":"aws_amplify","type":"module"},{"doc":"Creates a new Amplify app.","ref":"aws_amplify.html#create_app/2","title":"aws_amplify.create_app/2","type":"function"},{"doc":"","ref":"aws_amplify.html#create_app/3","title":"aws_amplify.create_app/3","type":"function"},{"doc":"Creates a new backend environment for an Amplify app.","ref":"aws_amplify.html#create_backend_environment/3","title":"aws_amplify.create_backend_environment/3","type":"function"},{"doc":"","ref":"aws_amplify.html#create_backend_environment/4","title":"aws_amplify.create_backend_environment/4","type":"function"},{"doc":"Creates a new branch for an Amplify app.","ref":"aws_amplify.html#create_branch/3","title":"aws_amplify.create_branch/3","type":"function"},{"doc":"","ref":"aws_amplify.html#create_branch/4","title":"aws_amplify.create_branch/4","type":"function"},{"doc":"Creates a deployment for a manually deployed Amplify app. Manually deployed apps are not connected to a repository.","ref":"aws_amplify.html#create_deployment/4","title":"aws_amplify.create_deployment/4","type":"function"},{"doc":"","ref":"aws_amplify.html#create_deployment/5","title":"aws_amplify.create_deployment/5","type":"function"},{"doc":"Creates a new domain association for an Amplify app. This action associates a custom domain with the Amplify app","ref":"aws_amplify.html#create_domain_association/3","title":"aws_amplify.create_domain_association/3","type":"function"},{"doc":"","ref":"aws_amplify.html#create_domain_association/4","title":"aws_amplify.create_domain_association/4","type":"function"},{"doc":"Creates a new webhook on an Amplify app.","ref":"aws_amplify.html#create_webhook/3","title":"aws_amplify.create_webhook/3","type":"function"},{"doc":"","ref":"aws_amplify.html#create_webhook/4","title":"aws_amplify.create_webhook/4","type":"function"},{"doc":"Deletes an existing Amplify app specified by an app ID.","ref":"aws_amplify.html#delete_app/3","title":"aws_amplify.delete_app/3","type":"function"},{"doc":"","ref":"aws_amplify.html#delete_app/4","title":"aws_amplify.delete_app/4","type":"function"},{"doc":"Deletes a backend environment for an Amplify app.","ref":"aws_amplify.html#delete_backend_environment/4","title":"aws_amplify.delete_backend_environment/4","type":"function"},{"doc":"","ref":"aws_amplify.html#delete_backend_environment/5","title":"aws_amplify.delete_backend_environment/5","type":"function"},{"doc":"Deletes a branch for an Amplify app.","ref":"aws_amplify.html#delete_branch/4","title":"aws_amplify.delete_branch/4","type":"function"},{"doc":"","ref":"aws_amplify.html#delete_branch/5","title":"aws_amplify.delete_branch/5","type":"function"},{"doc":"Deletes a domain association for an Amplify app.","ref":"aws_amplify.html#delete_domain_association/4","title":"aws_amplify.delete_domain_association/4","type":"function"},{"doc":"","ref":"aws_amplify.html#delete_domain_association/5","title":"aws_amplify.delete_domain_association/5","type":"function"},{"doc":"Deletes a job for a branch of an Amplify app.","ref":"aws_amplify.html#delete_job/5","title":"aws_amplify.delete_job/5","type":"function"},{"doc":"","ref":"aws_amplify.html#delete_job/6","title":"aws_amplify.delete_job/6","type":"function"},{"doc":"Deletes a webhook.","ref":"aws_amplify.html#delete_webhook/3","title":"aws_amplify.delete_webhook/3","type":"function"},{"doc":"","ref":"aws_amplify.html#delete_webhook/4","title":"aws_amplify.delete_webhook/4","type":"function"},{"doc":"Returns the website access logs for a specific time range using a presigned URL.","ref":"aws_amplify.html#generate_access_logs/3","title":"aws_amplify.generate_access_logs/3","type":"function"},{"doc":"","ref":"aws_amplify.html#generate_access_logs/4","title":"aws_amplify.generate_access_logs/4","type":"function"},{"doc":"Returns an existing Amplify app by appID.","ref":"aws_amplify.html#get_app/2","title":"aws_amplify.get_app/2","type":"function"},{"doc":"","ref":"aws_amplify.html#get_app/4","title":"aws_amplify.get_app/4","type":"function"},{"doc":"","ref":"aws_amplify.html#get_app/5","title":"aws_amplify.get_app/5","type":"function"},{"doc":"Returns the artifact info that corresponds to an artifact id.","ref":"aws_amplify.html#get_artifact_url/2","title":"aws_amplify.get_artifact_url/2","type":"function"},{"doc":"","ref":"aws_amplify.html#get_artifact_url/4","title":"aws_amplify.get_artifact_url/4","type":"function"},{"doc":"","ref":"aws_amplify.html#get_artifact_url/5","title":"aws_amplify.get_artifact_url/5","type":"function"},{"doc":"Returns a backend environment for an Amplify app.","ref":"aws_amplify.html#get_backend_environment/3","title":"aws_amplify.get_backend_environment/3","type":"function"},{"doc":"","ref":"aws_amplify.html#get_backend_environment/5","title":"aws_amplify.get_backend_environment/5","type":"function"},{"doc":"","ref":"aws_amplify.html#get_backend_environment/6","title":"aws_amplify.get_backend_environment/6","type":"function"},{"doc":"Returns a branch for an Amplify app.","ref":"aws_amplify.html#get_branch/3","title":"aws_amplify.get_branch/3","type":"function"},{"doc":"","ref":"aws_amplify.html#get_branch/5","title":"aws_amplify.get_branch/5","type":"function"},{"doc":"","ref":"aws_amplify.html#get_branch/6","title":"aws_amplify.get_branch/6","type":"function"},{"doc":"Returns the domain information for an Amplify app.","ref":"aws_amplify.html#get_domain_association/3","title":"aws_amplify.get_domain_association/3","type":"function"},{"doc":"","ref":"aws_amplify.html#get_domain_association/5","title":"aws_amplify.get_domain_association/5","type":"function"},{"doc":"","ref":"aws_amplify.html#get_domain_association/6","title":"aws_amplify.get_domain_association/6","type":"function"},{"doc":"Returns a job for a branch of an Amplify app.","ref":"aws_amplify.html#get_job/4","title":"aws_amplify.get_job/4","type":"function"},{"doc":"","ref":"aws_amplify.html#get_job/6","title":"aws_amplify.get_job/6","type":"function"},{"doc":"","ref":"aws_amplify.html#get_job/7","title":"aws_amplify.get_job/7","type":"function"},{"doc":"Returns the webhook information that corresponds to a specified webhook ID.","ref":"aws_amplify.html#get_webhook/2","title":"aws_amplify.get_webhook/2","type":"function"},{"doc":"","ref":"aws_amplify.html#get_webhook/4","title":"aws_amplify.get_webhook/4","type":"function"},{"doc":"","ref":"aws_amplify.html#get_webhook/5","title":"aws_amplify.get_webhook/5","type":"function"},{"doc":"Returns a list of the existing Amplify apps.","ref":"aws_amplify.html#list_apps/1","title":"aws_amplify.list_apps/1","type":"function"},{"doc":"","ref":"aws_amplify.html#list_apps/3","title":"aws_amplify.list_apps/3","type":"function"},{"doc":"","ref":"aws_amplify.html#list_apps/4","title":"aws_amplify.list_apps/4","type":"function"},{"doc":"Returns a list of artifacts for a specified app, branch, and job.","ref":"aws_amplify.html#list_artifacts/4","title":"aws_amplify.list_artifacts/4","type":"function"},{"doc":"","ref":"aws_amplify.html#list_artifacts/6","title":"aws_amplify.list_artifacts/6","type":"function"},{"doc":"","ref":"aws_amplify.html#list_artifacts/7","title":"aws_amplify.list_artifacts/7","type":"function"},{"doc":"Lists the backend environments for an Amplify app.","ref":"aws_amplify.html#list_backend_environments/2","title":"aws_amplify.list_backend_environments/2","type":"function"},{"doc":"","ref":"aws_amplify.html#list_backend_environments/4","title":"aws_amplify.list_backend_environments/4","type":"function"},{"doc":"","ref":"aws_amplify.html#list_backend_environments/5","title":"aws_amplify.list_backend_environments/5","type":"function"},{"doc":"Lists the branches of an Amplify app.","ref":"aws_amplify.html#list_branches/2","title":"aws_amplify.list_branches/2","type":"function"},{"doc":"","ref":"aws_amplify.html#list_branches/4","title":"aws_amplify.list_branches/4","type":"function"},{"doc":"","ref":"aws_amplify.html#list_branches/5","title":"aws_amplify.list_branches/5","type":"function"},{"doc":"Returns the domain associations for an Amplify app.","ref":"aws_amplify.html#list_domain_associations/2","title":"aws_amplify.list_domain_associations/2","type":"function"},{"doc":"","ref":"aws_amplify.html#list_domain_associations/4","title":"aws_amplify.list_domain_associations/4","type":"function"},{"doc":"","ref":"aws_amplify.html#list_domain_associations/5","title":"aws_amplify.list_domain_associations/5","type":"function"},{"doc":"Lists the jobs for a branch of an Amplify app.","ref":"aws_amplify.html#list_jobs/3","title":"aws_amplify.list_jobs/3","type":"function"},{"doc":"","ref":"aws_amplify.html#list_jobs/5","title":"aws_amplify.list_jobs/5","type":"function"},{"doc":"","ref":"aws_amplify.html#list_jobs/6","title":"aws_amplify.list_jobs/6","type":"function"},{"doc":"Returns a list of tags for a specified Amazon Resource Name (ARN).","ref":"aws_amplify.html#list_tags_for_resource/2","title":"aws_amplify.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_amplify.html#list_tags_for_resource/4","title":"aws_amplify.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_amplify.html#list_tags_for_resource/5","title":"aws_amplify.list_tags_for_resource/5","type":"function"},{"doc":"Returns a list of webhooks for an Amplify app.","ref":"aws_amplify.html#list_webhooks/2","title":"aws_amplify.list_webhooks/2","type":"function"},{"doc":"","ref":"aws_amplify.html#list_webhooks/4","title":"aws_amplify.list_webhooks/4","type":"function"},{"doc":"","ref":"aws_amplify.html#list_webhooks/5","title":"aws_amplify.list_webhooks/5","type":"function"},{"doc":"Starts a deployment for a manually deployed app. Manually deployed apps are not connected to a repository.","ref":"aws_amplify.html#start_deployment/4","title":"aws_amplify.start_deployment/4","type":"function"},{"doc":"","ref":"aws_amplify.html#start_deployment/5","title":"aws_amplify.start_deployment/5","type":"function"},{"doc":"Starts a new job for a branch of an Amplify app.","ref":"aws_amplify.html#start_job/4","title":"aws_amplify.start_job/4","type":"function"},{"doc":"","ref":"aws_amplify.html#start_job/5","title":"aws_amplify.start_job/5","type":"function"},{"doc":"Stops a job that is in progress for a branch of an Amplify app.","ref":"aws_amplify.html#stop_job/5","title":"aws_amplify.stop_job/5","type":"function"},{"doc":"","ref":"aws_amplify.html#stop_job/6","title":"aws_amplify.stop_job/6","type":"function"},{"doc":"Tags the resource with a tag key and value.","ref":"aws_amplify.html#tag_resource/3","title":"aws_amplify.tag_resource/3","type":"function"},{"doc":"","ref":"aws_amplify.html#tag_resource/4","title":"aws_amplify.tag_resource/4","type":"function"},{"doc":"Untags a resource with a specified Amazon Resource Name (ARN).","ref":"aws_amplify.html#untag_resource/3","title":"aws_amplify.untag_resource/3","type":"function"},{"doc":"","ref":"aws_amplify.html#untag_resource/4","title":"aws_amplify.untag_resource/4","type":"function"},{"doc":"Updates an existing Amplify app.","ref":"aws_amplify.html#update_app/3","title":"aws_amplify.update_app/3","type":"function"},{"doc":"","ref":"aws_amplify.html#update_app/4","title":"aws_amplify.update_app/4","type":"function"},{"doc":"Updates a branch for an Amplify app.","ref":"aws_amplify.html#update_branch/4","title":"aws_amplify.update_branch/4","type":"function"},{"doc":"","ref":"aws_amplify.html#update_branch/5","title":"aws_amplify.update_branch/5","type":"function"},{"doc":"Creates a new domain association for an Amplify app.","ref":"aws_amplify.html#update_domain_association/4","title":"aws_amplify.update_domain_association/4","type":"function"},{"doc":"","ref":"aws_amplify.html#update_domain_association/5","title":"aws_amplify.update_domain_association/5","type":"function"},{"doc":"Updates a webhook.","ref":"aws_amplify.html#update_webhook/3","title":"aws_amplify.update_webhook/3","type":"function"},{"doc":"","ref":"aws_amplify.html#update_webhook/4","title":"aws_amplify.update_webhook/4","type":"function"},{"doc":"AWS Amplify Admin API","ref":"aws_amplifybackend.html","title":"aws_amplifybackend","type":"module"},{"doc":"This operation clones an existing backend.","ref":"aws_amplifybackend.html#clone_backend/4","title":"aws_amplifybackend.clone_backend/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#clone_backend/5","title":"aws_amplifybackend.clone_backend/5","type":"function"},{"doc":"This operation creates a backend for an Amplify app. Backends are automatically created at the time of app creation.","ref":"aws_amplifybackend.html#create_backend/2","title":"aws_amplifybackend.create_backend/2","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#create_backend/3","title":"aws_amplifybackend.create_backend/3","type":"function"},{"doc":"Creates a new backend API resource.","ref":"aws_amplifybackend.html#create_backend_api/3","title":"aws_amplifybackend.create_backend_api/3","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#create_backend_api/4","title":"aws_amplifybackend.create_backend_api/4","type":"function"},{"doc":"Creates a new backend authentication resource.","ref":"aws_amplifybackend.html#create_backend_auth/3","title":"aws_amplifybackend.create_backend_auth/3","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#create_backend_auth/4","title":"aws_amplifybackend.create_backend_auth/4","type":"function"},{"doc":"Creates a config object for a backend.","ref":"aws_amplifybackend.html#create_backend_config/3","title":"aws_amplifybackend.create_backend_config/3","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#create_backend_config/4","title":"aws_amplifybackend.create_backend_config/4","type":"function"},{"doc":"Creates a backend storage resource.","ref":"aws_amplifybackend.html#create_backend_storage/3","title":"aws_amplifybackend.create_backend_storage/3","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#create_backend_storage/4","title":"aws_amplifybackend.create_backend_storage/4","type":"function"},{"doc":"Generates a one-time challenge code to authenticate a user into your Amplify Admin UI.","ref":"aws_amplifybackend.html#create_token/3","title":"aws_amplifybackend.create_token/3","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#create_token/4","title":"aws_amplifybackend.create_token/4","type":"function"},{"doc":"Removes an existing environment from your Amplify project.","ref":"aws_amplifybackend.html#delete_backend/4","title":"aws_amplifybackend.delete_backend/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#delete_backend/5","title":"aws_amplifybackend.delete_backend/5","type":"function"},{"doc":"Deletes an existing backend API resource.","ref":"aws_amplifybackend.html#delete_backend_api/4","title":"aws_amplifybackend.delete_backend_api/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#delete_backend_api/5","title":"aws_amplifybackend.delete_backend_api/5","type":"function"},{"doc":"Deletes an existing backend authentication resource.","ref":"aws_amplifybackend.html#delete_backend_auth/4","title":"aws_amplifybackend.delete_backend_auth/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#delete_backend_auth/5","title":"aws_amplifybackend.delete_backend_auth/5","type":"function"},{"doc":"Removes the specified backend storage resource.","ref":"aws_amplifybackend.html#delete_backend_storage/4","title":"aws_amplifybackend.delete_backend_storage/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#delete_backend_storage/5","title":"aws_amplifybackend.delete_backend_storage/5","type":"function"},{"doc":"Deletes the challenge token based on the given appId and sessionId.","ref":"aws_amplifybackend.html#delete_token/4","title":"aws_amplifybackend.delete_token/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#delete_token/5","title":"aws_amplifybackend.delete_token/5","type":"function"},{"doc":"Generates a model schema for an existing backend API resource.","ref":"aws_amplifybackend.html#generate_backend_api_models/4","title":"aws_amplifybackend.generate_backend_api_models/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#generate_backend_api_models/5","title":"aws_amplifybackend.generate_backend_api_models/5","type":"function"},{"doc":"Provides project-level details for your Amplify UI project.","ref":"aws_amplifybackend.html#get_backend/3","title":"aws_amplifybackend.get_backend/3","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#get_backend/4","title":"aws_amplifybackend.get_backend/4","type":"function"},{"doc":"Gets the details for a backend API.","ref":"aws_amplifybackend.html#get_backend_api/4","title":"aws_amplifybackend.get_backend_api/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#get_backend_api/5","title":"aws_amplifybackend.get_backend_api/5","type":"function"},{"doc":"Gets a model introspection schema for an existing backend API resource.","ref":"aws_amplifybackend.html#get_backend_api_models/4","title":"aws_amplifybackend.get_backend_api_models/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#get_backend_api_models/5","title":"aws_amplifybackend.get_backend_api_models/5","type":"function"},{"doc":"Gets a backend auth details.","ref":"aws_amplifybackend.html#get_backend_auth/4","title":"aws_amplifybackend.get_backend_auth/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#get_backend_auth/5","title":"aws_amplifybackend.get_backend_auth/5","type":"function"},{"doc":"Returns information about a specific job.","ref":"aws_amplifybackend.html#get_backend_job/4","title":"aws_amplifybackend.get_backend_job/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#get_backend_job/6","title":"aws_amplifybackend.get_backend_job/6","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#get_backend_job/7","title":"aws_amplifybackend.get_backend_job/7","type":"function"},{"doc":"Gets details for a backend storage resource.","ref":"aws_amplifybackend.html#get_backend_storage/4","title":"aws_amplifybackend.get_backend_storage/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#get_backend_storage/5","title":"aws_amplifybackend.get_backend_storage/5","type":"function"},{"doc":"Gets the challenge token based on the given appId and sessionId.","ref":"aws_amplifybackend.html#get_token/3","title":"aws_amplifybackend.get_token/3","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#get_token/5","title":"aws_amplifybackend.get_token/5","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#get_token/6","title":"aws_amplifybackend.get_token/6","type":"function"},{"doc":"Imports an existing backend authentication resource.","ref":"aws_amplifybackend.html#import_backend_auth/4","title":"aws_amplifybackend.import_backend_auth/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#import_backend_auth/5","title":"aws_amplifybackend.import_backend_auth/5","type":"function"},{"doc":"Imports an existing backend storage resource.","ref":"aws_amplifybackend.html#import_backend_storage/4","title":"aws_amplifybackend.import_backend_storage/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#import_backend_storage/5","title":"aws_amplifybackend.import_backend_storage/5","type":"function"},{"doc":"Lists the jobs for the backend of an Amplify app.","ref":"aws_amplifybackend.html#list_backend_jobs/4","title":"aws_amplifybackend.list_backend_jobs/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#list_backend_jobs/5","title":"aws_amplifybackend.list_backend_jobs/5","type":"function"},{"doc":"The list of S3 buckets in your account.","ref":"aws_amplifybackend.html#list_s3_buckets/2","title":"aws_amplifybackend.list_s3_buckets/2","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#list_s3_buckets/3","title":"aws_amplifybackend.list_s3_buckets/3","type":"function"},{"doc":"Removes all backend environments from your Amplify project.","ref":"aws_amplifybackend.html#remove_all_backends/3","title":"aws_amplifybackend.remove_all_backends/3","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#remove_all_backends/4","title":"aws_amplifybackend.remove_all_backends/4","type":"function"},{"doc":"Removes the AWS resources required to access the Amplify Admin UI.","ref":"aws_amplifybackend.html#remove_backend_config/3","title":"aws_amplifybackend.remove_backend_config/3","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#remove_backend_config/4","title":"aws_amplifybackend.remove_backend_config/4","type":"function"},{"doc":"Updates an existing backend API resource.","ref":"aws_amplifybackend.html#update_backend_api/4","title":"aws_amplifybackend.update_backend_api/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#update_backend_api/5","title":"aws_amplifybackend.update_backend_api/5","type":"function"},{"doc":"Updates an existing backend authentication resource.","ref":"aws_amplifybackend.html#update_backend_auth/4","title":"aws_amplifybackend.update_backend_auth/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#update_backend_auth/5","title":"aws_amplifybackend.update_backend_auth/5","type":"function"},{"doc":"Updates the AWS resources required to access the Amplify Admin UI.","ref":"aws_amplifybackend.html#update_backend_config/3","title":"aws_amplifybackend.update_backend_config/3","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#update_backend_config/4","title":"aws_amplifybackend.update_backend_config/4","type":"function"},{"doc":"Updates a specific job.","ref":"aws_amplifybackend.html#update_backend_job/5","title":"aws_amplifybackend.update_backend_job/5","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#update_backend_job/6","title":"aws_amplifybackend.update_backend_job/6","type":"function"},{"doc":"Updates an existing backend storage resource.","ref":"aws_amplifybackend.html#update_backend_storage/4","title":"aws_amplifybackend.update_backend_storage/4","type":"function"},{"doc":"","ref":"aws_amplifybackend.html#update_backend_storage/5","title":"aws_amplifybackend.update_backend_storage/5","type":"function"},{"doc":"The Amplify UI Builder API provides a programmatic interface for creating and configuring user interface (UI) component libraries and themes for use in your Amplify applications. You can then connect these UI components to an application's backend Amazon Web Services resources. You can also use the Amplify Studio visual designer to create UI components and model data for an app. For more information, see Introduction in the Amplify Docs. The Amplify Framework is a comprehensive set of SDKs, libraries, tools, and documentation for client app development. For more information, see the Amplify Framework. For more information about deploying an Amplify application to Amazon Web Services, see the Amplify User Guide.","ref":"aws_amplifyuibuilder.html","title":"aws_amplifyuibuilder","type":"module"},{"doc":"Creates a new component for an Amplify app.","ref":"aws_amplifyuibuilder.html#create_component/4","title":"aws_amplifyuibuilder.create_component/4","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#create_component/5","title":"aws_amplifyuibuilder.create_component/5","type":"function"},{"doc":"Creates a new form for an Amplify app.","ref":"aws_amplifyuibuilder.html#create_form/4","title":"aws_amplifyuibuilder.create_form/4","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#create_form/5","title":"aws_amplifyuibuilder.create_form/5","type":"function"},{"doc":"Creates a theme to apply to the components in an Amplify app.","ref":"aws_amplifyuibuilder.html#create_theme/4","title":"aws_amplifyuibuilder.create_theme/4","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#create_theme/5","title":"aws_amplifyuibuilder.create_theme/5","type":"function"},{"doc":"Deletes a component from an Amplify app.","ref":"aws_amplifyuibuilder.html#delete_component/5","title":"aws_amplifyuibuilder.delete_component/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#delete_component/6","title":"aws_amplifyuibuilder.delete_component/6","type":"function"},{"doc":"Deletes a form from an Amplify app.","ref":"aws_amplifyuibuilder.html#delete_form/5","title":"aws_amplifyuibuilder.delete_form/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#delete_form/6","title":"aws_amplifyuibuilder.delete_form/6","type":"function"},{"doc":"Deletes a theme from an Amplify app.","ref":"aws_amplifyuibuilder.html#delete_theme/5","title":"aws_amplifyuibuilder.delete_theme/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#delete_theme/6","title":"aws_amplifyuibuilder.delete_theme/6","type":"function"},{"doc":"Exchanges an access code for a token.","ref":"aws_amplifyuibuilder.html#exchange_code_for_token/3","title":"aws_amplifyuibuilder.exchange_code_for_token/3","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#exchange_code_for_token/4","title":"aws_amplifyuibuilder.exchange_code_for_token/4","type":"function"},{"doc":"Exports component configurations to code that is ready to integrate into an Amplify app.","ref":"aws_amplifyuibuilder.html#export_components/3","title":"aws_amplifyuibuilder.export_components/3","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#export_components/5","title":"aws_amplifyuibuilder.export_components/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#export_components/6","title":"aws_amplifyuibuilder.export_components/6","type":"function"},{"doc":"Exports form configurations to code that is ready to integrate into an Amplify app.","ref":"aws_amplifyuibuilder.html#export_forms/3","title":"aws_amplifyuibuilder.export_forms/3","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#export_forms/5","title":"aws_amplifyuibuilder.export_forms/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#export_forms/6","title":"aws_amplifyuibuilder.export_forms/6","type":"function"},{"doc":"Exports theme configurations to code that is ready to integrate into an Amplify app.","ref":"aws_amplifyuibuilder.html#export_themes/3","title":"aws_amplifyuibuilder.export_themes/3","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#export_themes/5","title":"aws_amplifyuibuilder.export_themes/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#export_themes/6","title":"aws_amplifyuibuilder.export_themes/6","type":"function"},{"doc":"Returns an existing component for an Amplify app.","ref":"aws_amplifyuibuilder.html#get_component/4","title":"aws_amplifyuibuilder.get_component/4","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#get_component/6","title":"aws_amplifyuibuilder.get_component/6","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#get_component/7","title":"aws_amplifyuibuilder.get_component/7","type":"function"},{"doc":"Returns an existing form for an Amplify app.","ref":"aws_amplifyuibuilder.html#get_form/4","title":"aws_amplifyuibuilder.get_form/4","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#get_form/6","title":"aws_amplifyuibuilder.get_form/6","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#get_form/7","title":"aws_amplifyuibuilder.get_form/7","type":"function"},{"doc":"Returns existing metadata for an Amplify app.","ref":"aws_amplifyuibuilder.html#get_metadata/3","title":"aws_amplifyuibuilder.get_metadata/3","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#get_metadata/5","title":"aws_amplifyuibuilder.get_metadata/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#get_metadata/6","title":"aws_amplifyuibuilder.get_metadata/6","type":"function"},{"doc":"Returns an existing theme for an Amplify app.","ref":"aws_amplifyuibuilder.html#get_theme/4","title":"aws_amplifyuibuilder.get_theme/4","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#get_theme/6","title":"aws_amplifyuibuilder.get_theme/6","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#get_theme/7","title":"aws_amplifyuibuilder.get_theme/7","type":"function"},{"doc":"Retrieves a list of components for a specified Amplify app and backend environment.","ref":"aws_amplifyuibuilder.html#list_components/3","title":"aws_amplifyuibuilder.list_components/3","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#list_components/5","title":"aws_amplifyuibuilder.list_components/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#list_components/6","title":"aws_amplifyuibuilder.list_components/6","type":"function"},{"doc":"Retrieves a list of forms for a specified Amplify app and backend environment.","ref":"aws_amplifyuibuilder.html#list_forms/3","title":"aws_amplifyuibuilder.list_forms/3","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#list_forms/5","title":"aws_amplifyuibuilder.list_forms/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#list_forms/6","title":"aws_amplifyuibuilder.list_forms/6","type":"function"},{"doc":"Retrieves a list of themes for a specified Amplify app and backend environment.","ref":"aws_amplifyuibuilder.html#list_themes/3","title":"aws_amplifyuibuilder.list_themes/3","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#list_themes/5","title":"aws_amplifyuibuilder.list_themes/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#list_themes/6","title":"aws_amplifyuibuilder.list_themes/6","type":"function"},{"doc":"Stores the metadata information about a feature on a form or view.","ref":"aws_amplifyuibuilder.html#put_metadata_flag/5","title":"aws_amplifyuibuilder.put_metadata_flag/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#put_metadata_flag/6","title":"aws_amplifyuibuilder.put_metadata_flag/6","type":"function"},{"doc":"Refreshes a previously issued access token that might have expired.","ref":"aws_amplifyuibuilder.html#refresh_token/3","title":"aws_amplifyuibuilder.refresh_token/3","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#refresh_token/4","title":"aws_amplifyuibuilder.refresh_token/4","type":"function"},{"doc":"Updates an existing component.","ref":"aws_amplifyuibuilder.html#update_component/5","title":"aws_amplifyuibuilder.update_component/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#update_component/6","title":"aws_amplifyuibuilder.update_component/6","type":"function"},{"doc":"Updates an existing form.","ref":"aws_amplifyuibuilder.html#update_form/5","title":"aws_amplifyuibuilder.update_form/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#update_form/6","title":"aws_amplifyuibuilder.update_form/6","type":"function"},{"doc":"Updates an existing theme.","ref":"aws_amplifyuibuilder.html#update_theme/5","title":"aws_amplifyuibuilder.update_theme/5","type":"function"},{"doc":"","ref":"aws_amplifyuibuilder.html#update_theme/6","title":"aws_amplifyuibuilder.update_theme/6","type":"function"},{"doc":"Amazon API Gateway Amazon API Gateway helps developers deliver robust, secure, and scalable mobile and web application back ends. API Gateway allows developers to securely connect mobile and web applications to APIs that run on AWS Lambda, Amazon EC2, or other publicly addressable web services that are hosted outside of AWS.","ref":"aws_api_gateway.html","title":"aws_api_gateway","type":"module"},{"doc":"Create an ApiKey resource.","ref":"aws_api_gateway.html#create_api_key/2","title":"aws_api_gateway.create_api_key/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_api_key/3","title":"aws_api_gateway.create_api_key/3","type":"function"},{"doc":"Adds a new Authorizer resource to an existing RestApi resource.","ref":"aws_api_gateway.html#create_authorizer/3","title":"aws_api_gateway.create_authorizer/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_authorizer/4","title":"aws_api_gateway.create_authorizer/4","type":"function"},{"doc":"Creates a new BasePathMapping resource.","ref":"aws_api_gateway.html#create_base_path_mapping/3","title":"aws_api_gateway.create_base_path_mapping/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_base_path_mapping/4","title":"aws_api_gateway.create_base_path_mapping/4","type":"function"},{"doc":"Creates a Deployment resource, which makes a specified RestApi callable over the internet.","ref":"aws_api_gateway.html#create_deployment/3","title":"aws_api_gateway.create_deployment/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_deployment/4","title":"aws_api_gateway.create_deployment/4","type":"function"},{"doc":"Creates a documentation part.","ref":"aws_api_gateway.html#create_documentation_part/3","title":"aws_api_gateway.create_documentation_part/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_documentation_part/4","title":"aws_api_gateway.create_documentation_part/4","type":"function"},{"doc":"Creates a documentation version","ref":"aws_api_gateway.html#create_documentation_version/3","title":"aws_api_gateway.create_documentation_version/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_documentation_version/4","title":"aws_api_gateway.create_documentation_version/4","type":"function"},{"doc":"Creates a new domain name.","ref":"aws_api_gateway.html#create_domain_name/2","title":"aws_api_gateway.create_domain_name/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_domain_name/3","title":"aws_api_gateway.create_domain_name/3","type":"function"},{"doc":"Adds a new Model resource to an existing RestApi resource.","ref":"aws_api_gateway.html#create_model/3","title":"aws_api_gateway.create_model/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_model/4","title":"aws_api_gateway.create_model/4","type":"function"},{"doc":"Creates a RequestValidator of a given RestApi.","ref":"aws_api_gateway.html#create_request_validator/3","title":"aws_api_gateway.create_request_validator/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_request_validator/4","title":"aws_api_gateway.create_request_validator/4","type":"function"},{"doc":"Creates a Resource resource.","ref":"aws_api_gateway.html#create_resource/4","title":"aws_api_gateway.create_resource/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_resource/5","title":"aws_api_gateway.create_resource/5","type":"function"},{"doc":"Creates a new RestApi resource.","ref":"aws_api_gateway.html#create_rest_api/2","title":"aws_api_gateway.create_rest_api/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_rest_api/3","title":"aws_api_gateway.create_rest_api/3","type":"function"},{"doc":"Creates a new Stage resource that references a pre-existing Deployment for the API.","ref":"aws_api_gateway.html#create_stage/3","title":"aws_api_gateway.create_stage/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_stage/4","title":"aws_api_gateway.create_stage/4","type":"function"},{"doc":"Creates a usage plan with the throttle and quota limits, as well as the associated API stages, specified in the payload.","ref":"aws_api_gateway.html#create_usage_plan/2","title":"aws_api_gateway.create_usage_plan/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_usage_plan/3","title":"aws_api_gateway.create_usage_plan/3","type":"function"},{"doc":"Creates a usage plan key for adding an existing API key to a usage plan.","ref":"aws_api_gateway.html#create_usage_plan_key/3","title":"aws_api_gateway.create_usage_plan_key/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_usage_plan_key/4","title":"aws_api_gateway.create_usage_plan_key/4","type":"function"},{"doc":"Creates a VPC link, under the caller's account in a selected region, in an asynchronous operation that typically takes 2-4 minutes to complete and become operational. The caller must have permissions to create and update VPC Endpoint services.","ref":"aws_api_gateway.html#create_vpc_link/2","title":"aws_api_gateway.create_vpc_link/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#create_vpc_link/3","title":"aws_api_gateway.create_vpc_link/3","type":"function"},{"doc":"Deletes the ApiKey resource.","ref":"aws_api_gateway.html#delete_api_key/3","title":"aws_api_gateway.delete_api_key/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_api_key/4","title":"aws_api_gateway.delete_api_key/4","type":"function"},{"doc":"Deletes an existing Authorizer resource.","ref":"aws_api_gateway.html#delete_authorizer/4","title":"aws_api_gateway.delete_authorizer/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_authorizer/5","title":"aws_api_gateway.delete_authorizer/5","type":"function"},{"doc":"Deletes the BasePathMapping resource.","ref":"aws_api_gateway.html#delete_base_path_mapping/4","title":"aws_api_gateway.delete_base_path_mapping/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_base_path_mapping/5","title":"aws_api_gateway.delete_base_path_mapping/5","type":"function"},{"doc":"Deletes the ClientCertificate resource.","ref":"aws_api_gateway.html#delete_client_certificate/3","title":"aws_api_gateway.delete_client_certificate/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_client_certificate/4","title":"aws_api_gateway.delete_client_certificate/4","type":"function"},{"doc":"Deletes a Deployment resource. Deleting a deployment will only succeed if there are no Stage resources associated with it.","ref":"aws_api_gateway.html#delete_deployment/4","title":"aws_api_gateway.delete_deployment/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_deployment/5","title":"aws_api_gateway.delete_deployment/5","type":"function"},{"doc":"Deletes a documentation part","ref":"aws_api_gateway.html#delete_documentation_part/4","title":"aws_api_gateway.delete_documentation_part/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_documentation_part/5","title":"aws_api_gateway.delete_documentation_part/5","type":"function"},{"doc":"Deletes a documentation version.","ref":"aws_api_gateway.html#delete_documentation_version/4","title":"aws_api_gateway.delete_documentation_version/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_documentation_version/5","title":"aws_api_gateway.delete_documentation_version/5","type":"function"},{"doc":"Deletes the DomainName resource.","ref":"aws_api_gateway.html#delete_domain_name/3","title":"aws_api_gateway.delete_domain_name/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_domain_name/4","title":"aws_api_gateway.delete_domain_name/4","type":"function"},{"doc":"Clears any customization of a GatewayResponse of a specified response type on the given RestApi and resets it with the default settings.","ref":"aws_api_gateway.html#delete_gateway_response/4","title":"aws_api_gateway.delete_gateway_response/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_gateway_response/5","title":"aws_api_gateway.delete_gateway_response/5","type":"function"},{"doc":"Represents a delete integration.","ref":"aws_api_gateway.html#delete_integration/5","title":"aws_api_gateway.delete_integration/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_integration/6","title":"aws_api_gateway.delete_integration/6","type":"function"},{"doc":"Represents a delete integration response.","ref":"aws_api_gateway.html#delete_integration_response/6","title":"aws_api_gateway.delete_integration_response/6","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_integration_response/7","title":"aws_api_gateway.delete_integration_response/7","type":"function"},{"doc":"Deletes an existing Method resource.","ref":"aws_api_gateway.html#delete_method/5","title":"aws_api_gateway.delete_method/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_method/6","title":"aws_api_gateway.delete_method/6","type":"function"},{"doc":"Deletes an existing MethodResponse resource.","ref":"aws_api_gateway.html#delete_method_response/6","title":"aws_api_gateway.delete_method_response/6","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_method_response/7","title":"aws_api_gateway.delete_method_response/7","type":"function"},{"doc":"Deletes a model.","ref":"aws_api_gateway.html#delete_model/4","title":"aws_api_gateway.delete_model/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_model/5","title":"aws_api_gateway.delete_model/5","type":"function"},{"doc":"Deletes a RequestValidator of a given RestApi.","ref":"aws_api_gateway.html#delete_request_validator/4","title":"aws_api_gateway.delete_request_validator/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_request_validator/5","title":"aws_api_gateway.delete_request_validator/5","type":"function"},{"doc":"Deletes a Resource resource.","ref":"aws_api_gateway.html#delete_resource/4","title":"aws_api_gateway.delete_resource/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_resource/5","title":"aws_api_gateway.delete_resource/5","type":"function"},{"doc":"Deletes the specified API.","ref":"aws_api_gateway.html#delete_rest_api/3","title":"aws_api_gateway.delete_rest_api/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_rest_api/4","title":"aws_api_gateway.delete_rest_api/4","type":"function"},{"doc":"Deletes a Stage resource.","ref":"aws_api_gateway.html#delete_stage/4","title":"aws_api_gateway.delete_stage/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_stage/5","title":"aws_api_gateway.delete_stage/5","type":"function"},{"doc":"Deletes a usage plan of a given plan Id.","ref":"aws_api_gateway.html#delete_usage_plan/3","title":"aws_api_gateway.delete_usage_plan/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_usage_plan/4","title":"aws_api_gateway.delete_usage_plan/4","type":"function"},{"doc":"Deletes a usage plan key and remove the underlying API key from the associated usage plan.","ref":"aws_api_gateway.html#delete_usage_plan_key/4","title":"aws_api_gateway.delete_usage_plan_key/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_usage_plan_key/5","title":"aws_api_gateway.delete_usage_plan_key/5","type":"function"},{"doc":"Deletes an existing VpcLink of a specified identifier.","ref":"aws_api_gateway.html#delete_vpc_link/3","title":"aws_api_gateway.delete_vpc_link/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#delete_vpc_link/4","title":"aws_api_gateway.delete_vpc_link/4","type":"function"},{"doc":"Flushes all authorizer cache entries on a stage.","ref":"aws_api_gateway.html#flush_stage_authorizers_cache/4","title":"aws_api_gateway.flush_stage_authorizers_cache/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#flush_stage_authorizers_cache/5","title":"aws_api_gateway.flush_stage_authorizers_cache/5","type":"function"},{"doc":"Flushes a stage's cache.","ref":"aws_api_gateway.html#flush_stage_cache/4","title":"aws_api_gateway.flush_stage_cache/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#flush_stage_cache/5","title":"aws_api_gateway.flush_stage_cache/5","type":"function"},{"doc":"Generates a ClientCertificate resource.","ref":"aws_api_gateway.html#generate_client_certificate/2","title":"aws_api_gateway.generate_client_certificate/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#generate_client_certificate/3","title":"aws_api_gateway.generate_client_certificate/3","type":"function"},{"doc":"Gets information about the current Account resource.","ref":"aws_api_gateway.html#get_account/1","title":"aws_api_gateway.get_account/1","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_account/3","title":"aws_api_gateway.get_account/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_account/4","title":"aws_api_gateway.get_account/4","type":"function"},{"doc":"Gets information about the current ApiKey resource.","ref":"aws_api_gateway.html#get_api_key/2","title":"aws_api_gateway.get_api_key/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_api_key/4","title":"aws_api_gateway.get_api_key/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_api_key/5","title":"aws_api_gateway.get_api_key/5","type":"function"},{"doc":"Gets information about the current ApiKeys resource.","ref":"aws_api_gateway.html#get_api_keys/1","title":"aws_api_gateway.get_api_keys/1","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_api_keys/3","title":"aws_api_gateway.get_api_keys/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_api_keys/4","title":"aws_api_gateway.get_api_keys/4","type":"function"},{"doc":"Describe an existing Authorizer resource.","ref":"aws_api_gateway.html#get_authorizer/3","title":"aws_api_gateway.get_authorizer/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_authorizer/5","title":"aws_api_gateway.get_authorizer/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_authorizer/6","title":"aws_api_gateway.get_authorizer/6","type":"function"},{"doc":"Describe an existing Authorizers resource.","ref":"aws_api_gateway.html#get_authorizers/2","title":"aws_api_gateway.get_authorizers/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_authorizers/4","title":"aws_api_gateway.get_authorizers/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_authorizers/5","title":"aws_api_gateway.get_authorizers/5","type":"function"},{"doc":"Describe a BasePathMapping resource.","ref":"aws_api_gateway.html#get_base_path_mapping/3","title":"aws_api_gateway.get_base_path_mapping/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_base_path_mapping/5","title":"aws_api_gateway.get_base_path_mapping/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_base_path_mapping/6","title":"aws_api_gateway.get_base_path_mapping/6","type":"function"},{"doc":"Represents a collection of BasePathMapping resources.","ref":"aws_api_gateway.html#get_base_path_mappings/2","title":"aws_api_gateway.get_base_path_mappings/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_base_path_mappings/4","title":"aws_api_gateway.get_base_path_mappings/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_base_path_mappings/5","title":"aws_api_gateway.get_base_path_mappings/5","type":"function"},{"doc":"Gets information about the current ClientCertificate resource.","ref":"aws_api_gateway.html#get_client_certificate/2","title":"aws_api_gateway.get_client_certificate/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_client_certificate/4","title":"aws_api_gateway.get_client_certificate/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_client_certificate/5","title":"aws_api_gateway.get_client_certificate/5","type":"function"},{"doc":"Gets a collection of ClientCertificate resources.","ref":"aws_api_gateway.html#get_client_certificates/1","title":"aws_api_gateway.get_client_certificates/1","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_client_certificates/3","title":"aws_api_gateway.get_client_certificates/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_client_certificates/4","title":"aws_api_gateway.get_client_certificates/4","type":"function"},{"doc":"Gets information about a Deployment resource.","ref":"aws_api_gateway.html#get_deployment/3","title":"aws_api_gateway.get_deployment/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_deployment/5","title":"aws_api_gateway.get_deployment/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_deployment/6","title":"aws_api_gateway.get_deployment/6","type":"function"},{"doc":"Gets information about a Deployments collection.","ref":"aws_api_gateway.html#get_deployments/2","title":"aws_api_gateway.get_deployments/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_deployments/4","title":"aws_api_gateway.get_deployments/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_deployments/5","title":"aws_api_gateway.get_deployments/5","type":"function"},{"doc":"Gets a documentation part.","ref":"aws_api_gateway.html#get_documentation_part/3","title":"aws_api_gateway.get_documentation_part/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_documentation_part/5","title":"aws_api_gateway.get_documentation_part/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_documentation_part/6","title":"aws_api_gateway.get_documentation_part/6","type":"function"},{"doc":"Gets documentation parts.","ref":"aws_api_gateway.html#get_documentation_parts/2","title":"aws_api_gateway.get_documentation_parts/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_documentation_parts/4","title":"aws_api_gateway.get_documentation_parts/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_documentation_parts/5","title":"aws_api_gateway.get_documentation_parts/5","type":"function"},{"doc":"Gets a documentation version.","ref":"aws_api_gateway.html#get_documentation_version/3","title":"aws_api_gateway.get_documentation_version/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_documentation_version/5","title":"aws_api_gateway.get_documentation_version/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_documentation_version/6","title":"aws_api_gateway.get_documentation_version/6","type":"function"},{"doc":"Gets documentation versions.","ref":"aws_api_gateway.html#get_documentation_versions/2","title":"aws_api_gateway.get_documentation_versions/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_documentation_versions/4","title":"aws_api_gateway.get_documentation_versions/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_documentation_versions/5","title":"aws_api_gateway.get_documentation_versions/5","type":"function"},{"doc":"Represents a domain name that is contained in a simpler, more intuitive URL that can be called.","ref":"aws_api_gateway.html#get_domain_name/2","title":"aws_api_gateway.get_domain_name/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_domain_name/4","title":"aws_api_gateway.get_domain_name/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_domain_name/5","title":"aws_api_gateway.get_domain_name/5","type":"function"},{"doc":"Represents a collection of DomainName resources.","ref":"aws_api_gateway.html#get_domain_names/1","title":"aws_api_gateway.get_domain_names/1","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_domain_names/3","title":"aws_api_gateway.get_domain_names/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_domain_names/4","title":"aws_api_gateway.get_domain_names/4","type":"function"},{"doc":"Exports a deployed version of a RestApi in a specified format.","ref":"aws_api_gateway.html#get_export/4","title":"aws_api_gateway.get_export/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_export/6","title":"aws_api_gateway.get_export/6","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_export/7","title":"aws_api_gateway.get_export/7","type":"function"},{"doc":"Gets a GatewayResponse of a specified response type on the given RestApi.","ref":"aws_api_gateway.html#get_gateway_response/3","title":"aws_api_gateway.get_gateway_response/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_gateway_response/5","title":"aws_api_gateway.get_gateway_response/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_gateway_response/6","title":"aws_api_gateway.get_gateway_response/6","type":"function"},{"doc":"Gets the GatewayResponses collection on the given RestApi. If an API developer has not added any definitions for gateway responses, the result will be the API Gateway-generated default GatewayResponses collection for the supported response types.","ref":"aws_api_gateway.html#get_gateway_responses/2","title":"aws_api_gateway.get_gateway_responses/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_gateway_responses/4","title":"aws_api_gateway.get_gateway_responses/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_gateway_responses/5","title":"aws_api_gateway.get_gateway_responses/5","type":"function"},{"doc":"Get the integration settings.","ref":"aws_api_gateway.html#get_integration/4","title":"aws_api_gateway.get_integration/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_integration/6","title":"aws_api_gateway.get_integration/6","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_integration/7","title":"aws_api_gateway.get_integration/7","type":"function"},{"doc":"Represents a get integration response.","ref":"aws_api_gateway.html#get_integration_response/5","title":"aws_api_gateway.get_integration_response/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_integration_response/7","title":"aws_api_gateway.get_integration_response/7","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_integration_response/8","title":"aws_api_gateway.get_integration_response/8","type":"function"},{"doc":"Describe an existing Method resource.","ref":"aws_api_gateway.html#get_method/4","title":"aws_api_gateway.get_method/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_method/6","title":"aws_api_gateway.get_method/6","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_method/7","title":"aws_api_gateway.get_method/7","type":"function"},{"doc":"Describes a MethodResponse resource.","ref":"aws_api_gateway.html#get_method_response/5","title":"aws_api_gateway.get_method_response/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_method_response/7","title":"aws_api_gateway.get_method_response/7","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_method_response/8","title":"aws_api_gateway.get_method_response/8","type":"function"},{"doc":"Describes an existing model defined for a RestApi resource.","ref":"aws_api_gateway.html#get_model/3","title":"aws_api_gateway.get_model/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_model/5","title":"aws_api_gateway.get_model/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_model/6","title":"aws_api_gateway.get_model/6","type":"function"},{"doc":"Generates a sample mapping template that can be used to transform a payload into the structure of a model.","ref":"aws_api_gateway.html#get_model_template/3","title":"aws_api_gateway.get_model_template/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_model_template/5","title":"aws_api_gateway.get_model_template/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_model_template/6","title":"aws_api_gateway.get_model_template/6","type":"function"},{"doc":"Describes existing Models defined for a RestApi resource.","ref":"aws_api_gateway.html#get_models/2","title":"aws_api_gateway.get_models/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_models/4","title":"aws_api_gateway.get_models/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_models/5","title":"aws_api_gateway.get_models/5","type":"function"},{"doc":"Gets a RequestValidator of a given RestApi.","ref":"aws_api_gateway.html#get_request_validator/3","title":"aws_api_gateway.get_request_validator/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_request_validator/5","title":"aws_api_gateway.get_request_validator/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_request_validator/6","title":"aws_api_gateway.get_request_validator/6","type":"function"},{"doc":"Gets the RequestValidators collection of a given RestApi.","ref":"aws_api_gateway.html#get_request_validators/2","title":"aws_api_gateway.get_request_validators/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_request_validators/4","title":"aws_api_gateway.get_request_validators/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_request_validators/5","title":"aws_api_gateway.get_request_validators/5","type":"function"},{"doc":"Lists information about a resource.","ref":"aws_api_gateway.html#get_resource/3","title":"aws_api_gateway.get_resource/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_resource/5","title":"aws_api_gateway.get_resource/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_resource/6","title":"aws_api_gateway.get_resource/6","type":"function"},{"doc":"Lists information about a collection of Resource resources.","ref":"aws_api_gateway.html#get_resources/2","title":"aws_api_gateway.get_resources/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_resources/4","title":"aws_api_gateway.get_resources/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_resources/5","title":"aws_api_gateway.get_resources/5","type":"function"},{"doc":"Lists the RestApi resource in the collection.","ref":"aws_api_gateway.html#get_rest_api/2","title":"aws_api_gateway.get_rest_api/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_rest_api/4","title":"aws_api_gateway.get_rest_api/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_rest_api/5","title":"aws_api_gateway.get_rest_api/5","type":"function"},{"doc":"Lists the RestApis resources for your collection.","ref":"aws_api_gateway.html#get_rest_apis/1","title":"aws_api_gateway.get_rest_apis/1","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_rest_apis/3","title":"aws_api_gateway.get_rest_apis/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_rest_apis/4","title":"aws_api_gateway.get_rest_apis/4","type":"function"},{"doc":"Generates a client SDK for a RestApi and Stage.","ref":"aws_api_gateway.html#get_sdk/4","title":"aws_api_gateway.get_sdk/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_sdk/6","title":"aws_api_gateway.get_sdk/6","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_sdk/7","title":"aws_api_gateway.get_sdk/7","type":"function"},{"doc":"Gets an SDK type.","ref":"aws_api_gateway.html#get_sdk_type/2","title":"aws_api_gateway.get_sdk_type/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_sdk_type/4","title":"aws_api_gateway.get_sdk_type/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_sdk_type/5","title":"aws_api_gateway.get_sdk_type/5","type":"function"},{"doc":"Gets SDK types","ref":"aws_api_gateway.html#get_sdk_types/1","title":"aws_api_gateway.get_sdk_types/1","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_sdk_types/3","title":"aws_api_gateway.get_sdk_types/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_sdk_types/4","title":"aws_api_gateway.get_sdk_types/4","type":"function"},{"doc":"Gets information about a Stage resource.","ref":"aws_api_gateway.html#get_stage/3","title":"aws_api_gateway.get_stage/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_stage/5","title":"aws_api_gateway.get_stage/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_stage/6","title":"aws_api_gateway.get_stage/6","type":"function"},{"doc":"Gets information about one or more Stage resources.","ref":"aws_api_gateway.html#get_stages/2","title":"aws_api_gateway.get_stages/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_stages/4","title":"aws_api_gateway.get_stages/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_stages/5","title":"aws_api_gateway.get_stages/5","type":"function"},{"doc":"Gets the Tags collection for a given resource.","ref":"aws_api_gateway.html#get_tags/2","title":"aws_api_gateway.get_tags/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_tags/4","title":"aws_api_gateway.get_tags/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_tags/5","title":"aws_api_gateway.get_tags/5","type":"function"},{"doc":"Gets the usage data of a usage plan in a specified time interval.","ref":"aws_api_gateway.html#get_usage/4","title":"aws_api_gateway.get_usage/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_usage/6","title":"aws_api_gateway.get_usage/6","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_usage/7","title":"aws_api_gateway.get_usage/7","type":"function"},{"doc":"Gets a usage plan of a given plan identifier.","ref":"aws_api_gateway.html#get_usage_plan/2","title":"aws_api_gateway.get_usage_plan/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_usage_plan/4","title":"aws_api_gateway.get_usage_plan/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_usage_plan/5","title":"aws_api_gateway.get_usage_plan/5","type":"function"},{"doc":"Gets a usage plan key of a given key identifier.","ref":"aws_api_gateway.html#get_usage_plan_key/3","title":"aws_api_gateway.get_usage_plan_key/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_usage_plan_key/5","title":"aws_api_gateway.get_usage_plan_key/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_usage_plan_key/6","title":"aws_api_gateway.get_usage_plan_key/6","type":"function"},{"doc":"Gets all the usage plan keys representing the API keys added to a specified usage plan.","ref":"aws_api_gateway.html#get_usage_plan_keys/2","title":"aws_api_gateway.get_usage_plan_keys/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_usage_plan_keys/4","title":"aws_api_gateway.get_usage_plan_keys/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_usage_plan_keys/5","title":"aws_api_gateway.get_usage_plan_keys/5","type":"function"},{"doc":"Gets all the usage plans of the caller's account.","ref":"aws_api_gateway.html#get_usage_plans/1","title":"aws_api_gateway.get_usage_plans/1","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_usage_plans/3","title":"aws_api_gateway.get_usage_plans/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_usage_plans/4","title":"aws_api_gateway.get_usage_plans/4","type":"function"},{"doc":"Gets a specified VPC link under the caller's account in a region.","ref":"aws_api_gateway.html#get_vpc_link/2","title":"aws_api_gateway.get_vpc_link/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_vpc_link/4","title":"aws_api_gateway.get_vpc_link/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_vpc_link/5","title":"aws_api_gateway.get_vpc_link/5","type":"function"},{"doc":"Gets the VpcLinks collection under the caller's account in a selected region.","ref":"aws_api_gateway.html#get_vpc_links/1","title":"aws_api_gateway.get_vpc_links/1","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_vpc_links/3","title":"aws_api_gateway.get_vpc_links/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#get_vpc_links/4","title":"aws_api_gateway.get_vpc_links/4","type":"function"},{"doc":"Import API keys from an external source, such as a CSV-formatted file.","ref":"aws_api_gateway.html#import_api_keys/2","title":"aws_api_gateway.import_api_keys/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#import_api_keys/3","title":"aws_api_gateway.import_api_keys/3","type":"function"},{"doc":"Imports documentation parts","ref":"aws_api_gateway.html#import_documentation_parts/3","title":"aws_api_gateway.import_documentation_parts/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#import_documentation_parts/4","title":"aws_api_gateway.import_documentation_parts/4","type":"function"},{"doc":"A feature of the API Gateway control service for creating a new API from an external API definition file.","ref":"aws_api_gateway.html#import_rest_api/2","title":"aws_api_gateway.import_rest_api/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#import_rest_api/3","title":"aws_api_gateway.import_rest_api/3","type":"function"},{"doc":"Creates a customization of a GatewayResponse of a specified response type and status code on the given RestApi.","ref":"aws_api_gateway.html#put_gateway_response/4","title":"aws_api_gateway.put_gateway_response/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#put_gateway_response/5","title":"aws_api_gateway.put_gateway_response/5","type":"function"},{"doc":"Sets up a method's integration.","ref":"aws_api_gateway.html#put_integration/5","title":"aws_api_gateway.put_integration/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#put_integration/6","title":"aws_api_gateway.put_integration/6","type":"function"},{"doc":"Represents a put integration.","ref":"aws_api_gateway.html#put_integration_response/6","title":"aws_api_gateway.put_integration_response/6","type":"function"},{"doc":"","ref":"aws_api_gateway.html#put_integration_response/7","title":"aws_api_gateway.put_integration_response/7","type":"function"},{"doc":"Add a method to an existing Resource resource.","ref":"aws_api_gateway.html#put_method/5","title":"aws_api_gateway.put_method/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#put_method/6","title":"aws_api_gateway.put_method/6","type":"function"},{"doc":"Adds a MethodResponse to an existing Method resource.","ref":"aws_api_gateway.html#put_method_response/6","title":"aws_api_gateway.put_method_response/6","type":"function"},{"doc":"","ref":"aws_api_gateway.html#put_method_response/7","title":"aws_api_gateway.put_method_response/7","type":"function"},{"doc":"A feature of the API Gateway control service for updating an existing API with an input of external API definitions. The update can take the form of merging the supplied definition into the existing API or overwriting the existing API.","ref":"aws_api_gateway.html#put_rest_api/3","title":"aws_api_gateway.put_rest_api/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#put_rest_api/4","title":"aws_api_gateway.put_rest_api/4","type":"function"},{"doc":"Adds or updates a tag on a given resource.","ref":"aws_api_gateway.html#tag_resource/3","title":"aws_api_gateway.tag_resource/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#tag_resource/4","title":"aws_api_gateway.tag_resource/4","type":"function"},{"doc":"Simulate the execution of an Authorizer in your RestApi with headers, parameters, and an incoming request body.","ref":"aws_api_gateway.html#test_invoke_authorizer/4","title":"aws_api_gateway.test_invoke_authorizer/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#test_invoke_authorizer/5","title":"aws_api_gateway.test_invoke_authorizer/5","type":"function"},{"doc":"Simulate the invocation of a Method in your RestApi with headers, parameters, and an incoming request body.","ref":"aws_api_gateway.html#test_invoke_method/5","title":"aws_api_gateway.test_invoke_method/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#test_invoke_method/6","title":"aws_api_gateway.test_invoke_method/6","type":"function"},{"doc":"Removes a tag from a given resource.","ref":"aws_api_gateway.html#untag_resource/3","title":"aws_api_gateway.untag_resource/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#untag_resource/4","title":"aws_api_gateway.untag_resource/4","type":"function"},{"doc":"Changes information about the current Account resource.","ref":"aws_api_gateway.html#update_account/2","title":"aws_api_gateway.update_account/2","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_account/3","title":"aws_api_gateway.update_account/3","type":"function"},{"doc":"Changes information about an ApiKey resource.","ref":"aws_api_gateway.html#update_api_key/3","title":"aws_api_gateway.update_api_key/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_api_key/4","title":"aws_api_gateway.update_api_key/4","type":"function"},{"doc":"Updates an existing Authorizer resource.","ref":"aws_api_gateway.html#update_authorizer/4","title":"aws_api_gateway.update_authorizer/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_authorizer/5","title":"aws_api_gateway.update_authorizer/5","type":"function"},{"doc":"Changes information about the BasePathMapping resource.","ref":"aws_api_gateway.html#update_base_path_mapping/4","title":"aws_api_gateway.update_base_path_mapping/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_base_path_mapping/5","title":"aws_api_gateway.update_base_path_mapping/5","type":"function"},{"doc":"Changes information about an ClientCertificate resource.","ref":"aws_api_gateway.html#update_client_certificate/3","title":"aws_api_gateway.update_client_certificate/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_client_certificate/4","title":"aws_api_gateway.update_client_certificate/4","type":"function"},{"doc":"Changes information about a Deployment resource.","ref":"aws_api_gateway.html#update_deployment/4","title":"aws_api_gateway.update_deployment/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_deployment/5","title":"aws_api_gateway.update_deployment/5","type":"function"},{"doc":"Updates a documentation part.","ref":"aws_api_gateway.html#update_documentation_part/4","title":"aws_api_gateway.update_documentation_part/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_documentation_part/5","title":"aws_api_gateway.update_documentation_part/5","type":"function"},{"doc":"Updates a documentation version.","ref":"aws_api_gateway.html#update_documentation_version/4","title":"aws_api_gateway.update_documentation_version/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_documentation_version/5","title":"aws_api_gateway.update_documentation_version/5","type":"function"},{"doc":"Changes information about the DomainName resource.","ref":"aws_api_gateway.html#update_domain_name/3","title":"aws_api_gateway.update_domain_name/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_domain_name/4","title":"aws_api_gateway.update_domain_name/4","type":"function"},{"doc":"Updates a GatewayResponse of a specified response type on the given RestApi.","ref":"aws_api_gateway.html#update_gateway_response/4","title":"aws_api_gateway.update_gateway_response/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_gateway_response/5","title":"aws_api_gateway.update_gateway_response/5","type":"function"},{"doc":"Represents an update integration.","ref":"aws_api_gateway.html#update_integration/5","title":"aws_api_gateway.update_integration/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_integration/6","title":"aws_api_gateway.update_integration/6","type":"function"},{"doc":"Represents an update integration response.","ref":"aws_api_gateway.html#update_integration_response/6","title":"aws_api_gateway.update_integration_response/6","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_integration_response/7","title":"aws_api_gateway.update_integration_response/7","type":"function"},{"doc":"Updates an existing Method resource.","ref":"aws_api_gateway.html#update_method/5","title":"aws_api_gateway.update_method/5","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_method/6","title":"aws_api_gateway.update_method/6","type":"function"},{"doc":"Updates an existing MethodResponse resource.","ref":"aws_api_gateway.html#update_method_response/6","title":"aws_api_gateway.update_method_response/6","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_method_response/7","title":"aws_api_gateway.update_method_response/7","type":"function"},{"doc":"Changes information about a model.","ref":"aws_api_gateway.html#update_model/4","title":"aws_api_gateway.update_model/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_model/5","title":"aws_api_gateway.update_model/5","type":"function"},{"doc":"Updates a RequestValidator of a given RestApi.","ref":"aws_api_gateway.html#update_request_validator/4","title":"aws_api_gateway.update_request_validator/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_request_validator/5","title":"aws_api_gateway.update_request_validator/5","type":"function"},{"doc":"Changes information about a Resource resource.","ref":"aws_api_gateway.html#update_resource/4","title":"aws_api_gateway.update_resource/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_resource/5","title":"aws_api_gateway.update_resource/5","type":"function"},{"doc":"Changes information about the specified API.","ref":"aws_api_gateway.html#update_rest_api/3","title":"aws_api_gateway.update_rest_api/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_rest_api/4","title":"aws_api_gateway.update_rest_api/4","type":"function"},{"doc":"Changes information about a Stage resource.","ref":"aws_api_gateway.html#update_stage/4","title":"aws_api_gateway.update_stage/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_stage/5","title":"aws_api_gateway.update_stage/5","type":"function"},{"doc":"Grants a temporary extension to the remaining quota of a usage plan associated with a specified API key.","ref":"aws_api_gateway.html#update_usage/4","title":"aws_api_gateway.update_usage/4","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_usage/5","title":"aws_api_gateway.update_usage/5","type":"function"},{"doc":"Updates a usage plan of a given plan Id.","ref":"aws_api_gateway.html#update_usage_plan/3","title":"aws_api_gateway.update_usage_plan/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_usage_plan/4","title":"aws_api_gateway.update_usage_plan/4","type":"function"},{"doc":"Updates an existing VpcLink of a specified identifier.","ref":"aws_api_gateway.html#update_vpc_link/3","title":"aws_api_gateway.update_vpc_link/3","type":"function"},{"doc":"","ref":"aws_api_gateway.html#update_vpc_link/4","title":"aws_api_gateway.update_vpc_link/4","type":"function"},{"doc":"AWS Price List Service API (AWS Price List Service) is a centralized and convenient way to programmatically query Amazon Web Services for services, products, and pricing information. The AWS Price List Service uses standardized product attributes such as Location , Storage Class , and Operating System , and provides prices at the SKU level. You can use the AWS Price List Service to build cost control and scenario planning tools, reconcile billing data, forecast future spend for budgeting purposes, and provide cost benefit analysis that compare your internal workloads with AWS. Use GetServices without a service code to retrieve the service codes for all AWS services, then GetServices with a service code to retreive the attribute names for that service. After you have the service code and attribute names, you can use GetAttributeValues to see what values are available for an attribute. With the service code and an attribute name and value, you can use GetProducts to find specific products that you're interested in, such as an AmazonEC2 instance, with a Provisioned IOPS volumeType . Service Endpoint AWS Price List Service API provides the following two endpoints: https://api.pricing.us-east-1.amazonaws.com https://api.pricing.ap-south-1.amazonaws.com","ref":"aws_api_pricing.html","title":"aws_api_pricing","type":"module"},{"doc":"Returns the metadata for one service or a list of the metadata for all services. Use this without a service code to get the service codes for all services. Use it with a service code, such as AmazonEC2 , to get information specific to that service, such as the attribute names available for that service. For example, some of the attribute names available for EC2 are volumeType , maxIopsVolume , operation , locationType , and instanceCapacity10xlarge .","ref":"aws_api_pricing.html#describe_services/2","title":"aws_api_pricing.describe_services/2","type":"function"},{"doc":"","ref":"aws_api_pricing.html#describe_services/3","title":"aws_api_pricing.describe_services/3","type":"function"},{"doc":"Returns a list of attribute values. Attibutes are similar to the details in a Price List API offer file. For a list of available attributes, see Offer File Definitions in the AWS Billing and Cost Management User Guide.","ref":"aws_api_pricing.html#get_attribute_values/2","title":"aws_api_pricing.get_attribute_values/2","type":"function"},{"doc":"","ref":"aws_api_pricing.html#get_attribute_values/3","title":"aws_api_pricing.get_attribute_values/3","type":"function"},{"doc":"Returns a list of all products that match the filter criteria.","ref":"aws_api_pricing.html#get_products/2","title":"aws_api_pricing.get_products/2","type":"function"},{"doc":"","ref":"aws_api_pricing.html#get_products/3","title":"aws_api_pricing.get_products/3","type":"function"},{"doc":"The Amazon API Gateway Management API allows you to directly manage runtime aspects of your deployed APIs. To use it, you must explicitly set the SDK's endpoint to point to the endpoint of your deployed API. The endpoint will be of the form https://{api-id}.execute-api.{region}.amazonaws.com/{stage}, or will be the endpoint corresponding to your API's custom domain and base path, if applicable.","ref":"aws_apigatewaymanagementapi.html","title":"aws_apigatewaymanagementapi","type":"module"},{"doc":"Delete the connection with the provided id.","ref":"aws_apigatewaymanagementapi.html#delete_connection/3","title":"aws_apigatewaymanagementapi.delete_connection/3","type":"function"},{"doc":"","ref":"aws_apigatewaymanagementapi.html#delete_connection/4","title":"aws_apigatewaymanagementapi.delete_connection/4","type":"function"},{"doc":"Get information about the connection with the provided id.","ref":"aws_apigatewaymanagementapi.html#get_connection/2","title":"aws_apigatewaymanagementapi.get_connection/2","type":"function"},{"doc":"","ref":"aws_apigatewaymanagementapi.html#get_connection/4","title":"aws_apigatewaymanagementapi.get_connection/4","type":"function"},{"doc":"","ref":"aws_apigatewaymanagementapi.html#get_connection/5","title":"aws_apigatewaymanagementapi.get_connection/5","type":"function"},{"doc":"Sends the provided data to the specified connection.","ref":"aws_apigatewaymanagementapi.html#post_to_connection/3","title":"aws_apigatewaymanagementapi.post_to_connection/3","type":"function"},{"doc":"","ref":"aws_apigatewaymanagementapi.html#post_to_connection/4","title":"aws_apigatewaymanagementapi.post_to_connection/4","type":"function"},{"doc":"Amazon API Gateway V2","ref":"aws_apigatewayv2.html","title":"aws_apigatewayv2","type":"module"},{"doc":"Creates an Api resource.","ref":"aws_apigatewayv2.html#create_api/2","title":"aws_apigatewayv2.create_api/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#create_api/3","title":"aws_apigatewayv2.create_api/3","type":"function"},{"doc":"Creates an API mapping.","ref":"aws_apigatewayv2.html#create_api_mapping/3","title":"aws_apigatewayv2.create_api_mapping/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#create_api_mapping/4","title":"aws_apigatewayv2.create_api_mapping/4","type":"function"},{"doc":"Creates an Authorizer for an API.","ref":"aws_apigatewayv2.html#create_authorizer/3","title":"aws_apigatewayv2.create_authorizer/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#create_authorizer/4","title":"aws_apigatewayv2.create_authorizer/4","type":"function"},{"doc":"Creates a Deployment for an API.","ref":"aws_apigatewayv2.html#create_deployment/3","title":"aws_apigatewayv2.create_deployment/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#create_deployment/4","title":"aws_apigatewayv2.create_deployment/4","type":"function"},{"doc":"Creates a domain name.","ref":"aws_apigatewayv2.html#create_domain_name/2","title":"aws_apigatewayv2.create_domain_name/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#create_domain_name/3","title":"aws_apigatewayv2.create_domain_name/3","type":"function"},{"doc":"Creates an Integration.","ref":"aws_apigatewayv2.html#create_integration/3","title":"aws_apigatewayv2.create_integration/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#create_integration/4","title":"aws_apigatewayv2.create_integration/4","type":"function"},{"doc":"Creates an IntegrationResponses.","ref":"aws_apigatewayv2.html#create_integration_response/4","title":"aws_apigatewayv2.create_integration_response/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#create_integration_response/5","title":"aws_apigatewayv2.create_integration_response/5","type":"function"},{"doc":"Creates a Model for an API.","ref":"aws_apigatewayv2.html#create_model/3","title":"aws_apigatewayv2.create_model/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#create_model/4","title":"aws_apigatewayv2.create_model/4","type":"function"},{"doc":"Creates a Route for an API.","ref":"aws_apigatewayv2.html#create_route/3","title":"aws_apigatewayv2.create_route/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#create_route/4","title":"aws_apigatewayv2.create_route/4","type":"function"},{"doc":"Creates a RouteResponse for a Route.","ref":"aws_apigatewayv2.html#create_route_response/4","title":"aws_apigatewayv2.create_route_response/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#create_route_response/5","title":"aws_apigatewayv2.create_route_response/5","type":"function"},{"doc":"Creates a Stage for an API.","ref":"aws_apigatewayv2.html#create_stage/3","title":"aws_apigatewayv2.create_stage/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#create_stage/4","title":"aws_apigatewayv2.create_stage/4","type":"function"},{"doc":"Creates a VPC link.","ref":"aws_apigatewayv2.html#create_vpc_link/2","title":"aws_apigatewayv2.create_vpc_link/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#create_vpc_link/3","title":"aws_apigatewayv2.create_vpc_link/3","type":"function"},{"doc":"Deletes the AccessLogSettings for a Stage. To disable access logging for a Stage, delete its AccessLogSettings.","ref":"aws_apigatewayv2.html#delete_access_log_settings/4","title":"aws_apigatewayv2.delete_access_log_settings/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_access_log_settings/5","title":"aws_apigatewayv2.delete_access_log_settings/5","type":"function"},{"doc":"Deletes an Api resource.","ref":"aws_apigatewayv2.html#delete_api/3","title":"aws_apigatewayv2.delete_api/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_api/4","title":"aws_apigatewayv2.delete_api/4","type":"function"},{"doc":"Deletes an API mapping.","ref":"aws_apigatewayv2.html#delete_api_mapping/4","title":"aws_apigatewayv2.delete_api_mapping/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_api_mapping/5","title":"aws_apigatewayv2.delete_api_mapping/5","type":"function"},{"doc":"Deletes an Authorizer.","ref":"aws_apigatewayv2.html#delete_authorizer/4","title":"aws_apigatewayv2.delete_authorizer/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_authorizer/5","title":"aws_apigatewayv2.delete_authorizer/5","type":"function"},{"doc":"Deletes a CORS configuration.","ref":"aws_apigatewayv2.html#delete_cors_configuration/3","title":"aws_apigatewayv2.delete_cors_configuration/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_cors_configuration/4","title":"aws_apigatewayv2.delete_cors_configuration/4","type":"function"},{"doc":"Deletes a Deployment.","ref":"aws_apigatewayv2.html#delete_deployment/4","title":"aws_apigatewayv2.delete_deployment/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_deployment/5","title":"aws_apigatewayv2.delete_deployment/5","type":"function"},{"doc":"Deletes a domain name.","ref":"aws_apigatewayv2.html#delete_domain_name/3","title":"aws_apigatewayv2.delete_domain_name/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_domain_name/4","title":"aws_apigatewayv2.delete_domain_name/4","type":"function"},{"doc":"Deletes an Integration.","ref":"aws_apigatewayv2.html#delete_integration/4","title":"aws_apigatewayv2.delete_integration/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_integration/5","title":"aws_apigatewayv2.delete_integration/5","type":"function"},{"doc":"Deletes an IntegrationResponses.","ref":"aws_apigatewayv2.html#delete_integration_response/5","title":"aws_apigatewayv2.delete_integration_response/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_integration_response/6","title":"aws_apigatewayv2.delete_integration_response/6","type":"function"},{"doc":"Deletes a Model.","ref":"aws_apigatewayv2.html#delete_model/4","title":"aws_apigatewayv2.delete_model/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_model/5","title":"aws_apigatewayv2.delete_model/5","type":"function"},{"doc":"Deletes a Route.","ref":"aws_apigatewayv2.html#delete_route/4","title":"aws_apigatewayv2.delete_route/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_route/5","title":"aws_apigatewayv2.delete_route/5","type":"function"},{"doc":"Deletes a route request parameter.","ref":"aws_apigatewayv2.html#delete_route_request_parameter/5","title":"aws_apigatewayv2.delete_route_request_parameter/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_route_request_parameter/6","title":"aws_apigatewayv2.delete_route_request_parameter/6","type":"function"},{"doc":"Deletes a RouteResponse.","ref":"aws_apigatewayv2.html#delete_route_response/5","title":"aws_apigatewayv2.delete_route_response/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_route_response/6","title":"aws_apigatewayv2.delete_route_response/6","type":"function"},{"doc":"Deletes the RouteSettings for a stage.","ref":"aws_apigatewayv2.html#delete_route_settings/5","title":"aws_apigatewayv2.delete_route_settings/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_route_settings/6","title":"aws_apigatewayv2.delete_route_settings/6","type":"function"},{"doc":"Deletes a Stage.","ref":"aws_apigatewayv2.html#delete_stage/4","title":"aws_apigatewayv2.delete_stage/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_stage/5","title":"aws_apigatewayv2.delete_stage/5","type":"function"},{"doc":"Deletes a VPC link.","ref":"aws_apigatewayv2.html#delete_vpc_link/3","title":"aws_apigatewayv2.delete_vpc_link/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#delete_vpc_link/4","title":"aws_apigatewayv2.delete_vpc_link/4","type":"function"},{"doc":"Exports a definition of an API in a particular output format and specification.","ref":"aws_apigatewayv2.html#export_api/4","title":"aws_apigatewayv2.export_api/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#export_api/6","title":"aws_apigatewayv2.export_api/6","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#export_api/7","title":"aws_apigatewayv2.export_api/7","type":"function"},{"doc":"Gets an Api resource.","ref":"aws_apigatewayv2.html#get_api/2","title":"aws_apigatewayv2.get_api/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_api/4","title":"aws_apigatewayv2.get_api/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_api/5","title":"aws_apigatewayv2.get_api/5","type":"function"},{"doc":"Gets an API mapping.","ref":"aws_apigatewayv2.html#get_api_mapping/3","title":"aws_apigatewayv2.get_api_mapping/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_api_mapping/5","title":"aws_apigatewayv2.get_api_mapping/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_api_mapping/6","title":"aws_apigatewayv2.get_api_mapping/6","type":"function"},{"doc":"Gets API mappings.","ref":"aws_apigatewayv2.html#get_api_mappings/2","title":"aws_apigatewayv2.get_api_mappings/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_api_mappings/4","title":"aws_apigatewayv2.get_api_mappings/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_api_mappings/5","title":"aws_apigatewayv2.get_api_mappings/5","type":"function"},{"doc":"Gets a collection of Api resources.","ref":"aws_apigatewayv2.html#get_apis/1","title":"aws_apigatewayv2.get_apis/1","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_apis/3","title":"aws_apigatewayv2.get_apis/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_apis/4","title":"aws_apigatewayv2.get_apis/4","type":"function"},{"doc":"Gets an Authorizer.","ref":"aws_apigatewayv2.html#get_authorizer/3","title":"aws_apigatewayv2.get_authorizer/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_authorizer/5","title":"aws_apigatewayv2.get_authorizer/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_authorizer/6","title":"aws_apigatewayv2.get_authorizer/6","type":"function"},{"doc":"Gets the Authorizers for an API.","ref":"aws_apigatewayv2.html#get_authorizers/2","title":"aws_apigatewayv2.get_authorizers/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_authorizers/4","title":"aws_apigatewayv2.get_authorizers/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_authorizers/5","title":"aws_apigatewayv2.get_authorizers/5","type":"function"},{"doc":"Gets a Deployment.","ref":"aws_apigatewayv2.html#get_deployment/3","title":"aws_apigatewayv2.get_deployment/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_deployment/5","title":"aws_apigatewayv2.get_deployment/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_deployment/6","title":"aws_apigatewayv2.get_deployment/6","type":"function"},{"doc":"Gets the Deployments for an API.","ref":"aws_apigatewayv2.html#get_deployments/2","title":"aws_apigatewayv2.get_deployments/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_deployments/4","title":"aws_apigatewayv2.get_deployments/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_deployments/5","title":"aws_apigatewayv2.get_deployments/5","type":"function"},{"doc":"Gets a domain name.","ref":"aws_apigatewayv2.html#get_domain_name/2","title":"aws_apigatewayv2.get_domain_name/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_domain_name/4","title":"aws_apigatewayv2.get_domain_name/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_domain_name/5","title":"aws_apigatewayv2.get_domain_name/5","type":"function"},{"doc":"Gets the domain names for an AWS account.","ref":"aws_apigatewayv2.html#get_domain_names/1","title":"aws_apigatewayv2.get_domain_names/1","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_domain_names/3","title":"aws_apigatewayv2.get_domain_names/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_domain_names/4","title":"aws_apigatewayv2.get_domain_names/4","type":"function"},{"doc":"Gets an Integration.","ref":"aws_apigatewayv2.html#get_integration/3","title":"aws_apigatewayv2.get_integration/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_integration/5","title":"aws_apigatewayv2.get_integration/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_integration/6","title":"aws_apigatewayv2.get_integration/6","type":"function"},{"doc":"Gets an IntegrationResponses.","ref":"aws_apigatewayv2.html#get_integration_response/4","title":"aws_apigatewayv2.get_integration_response/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_integration_response/6","title":"aws_apigatewayv2.get_integration_response/6","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_integration_response/7","title":"aws_apigatewayv2.get_integration_response/7","type":"function"},{"doc":"Gets the IntegrationResponses for an Integration.","ref":"aws_apigatewayv2.html#get_integration_responses/3","title":"aws_apigatewayv2.get_integration_responses/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_integration_responses/5","title":"aws_apigatewayv2.get_integration_responses/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_integration_responses/6","title":"aws_apigatewayv2.get_integration_responses/6","type":"function"},{"doc":"Gets the Integrations for an API.","ref":"aws_apigatewayv2.html#get_integrations/2","title":"aws_apigatewayv2.get_integrations/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_integrations/4","title":"aws_apigatewayv2.get_integrations/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_integrations/5","title":"aws_apigatewayv2.get_integrations/5","type":"function"},{"doc":"Gets a Model.","ref":"aws_apigatewayv2.html#get_model/3","title":"aws_apigatewayv2.get_model/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_model/5","title":"aws_apigatewayv2.get_model/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_model/6","title":"aws_apigatewayv2.get_model/6","type":"function"},{"doc":"Gets a model template.","ref":"aws_apigatewayv2.html#get_model_template/3","title":"aws_apigatewayv2.get_model_template/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_model_template/5","title":"aws_apigatewayv2.get_model_template/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_model_template/6","title":"aws_apigatewayv2.get_model_template/6","type":"function"},{"doc":"Gets the Models for an API.","ref":"aws_apigatewayv2.html#get_models/2","title":"aws_apigatewayv2.get_models/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_models/4","title":"aws_apigatewayv2.get_models/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_models/5","title":"aws_apigatewayv2.get_models/5","type":"function"},{"doc":"Gets a Route.","ref":"aws_apigatewayv2.html#get_route/3","title":"aws_apigatewayv2.get_route/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_route/5","title":"aws_apigatewayv2.get_route/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_route/6","title":"aws_apigatewayv2.get_route/6","type":"function"},{"doc":"Gets a RouteResponse.","ref":"aws_apigatewayv2.html#get_route_response/4","title":"aws_apigatewayv2.get_route_response/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_route_response/6","title":"aws_apigatewayv2.get_route_response/6","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_route_response/7","title":"aws_apigatewayv2.get_route_response/7","type":"function"},{"doc":"Gets the RouteResponses for a Route.","ref":"aws_apigatewayv2.html#get_route_responses/3","title":"aws_apigatewayv2.get_route_responses/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_route_responses/5","title":"aws_apigatewayv2.get_route_responses/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_route_responses/6","title":"aws_apigatewayv2.get_route_responses/6","type":"function"},{"doc":"Gets the Routes for an API.","ref":"aws_apigatewayv2.html#get_routes/2","title":"aws_apigatewayv2.get_routes/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_routes/4","title":"aws_apigatewayv2.get_routes/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_routes/5","title":"aws_apigatewayv2.get_routes/5","type":"function"},{"doc":"Gets a Stage.","ref":"aws_apigatewayv2.html#get_stage/3","title":"aws_apigatewayv2.get_stage/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_stage/5","title":"aws_apigatewayv2.get_stage/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_stage/6","title":"aws_apigatewayv2.get_stage/6","type":"function"},{"doc":"Gets the Stages for an API.","ref":"aws_apigatewayv2.html#get_stages/2","title":"aws_apigatewayv2.get_stages/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_stages/4","title":"aws_apigatewayv2.get_stages/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_stages/5","title":"aws_apigatewayv2.get_stages/5","type":"function"},{"doc":"Gets a collection of Tag resources.","ref":"aws_apigatewayv2.html#get_tags/2","title":"aws_apigatewayv2.get_tags/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_tags/4","title":"aws_apigatewayv2.get_tags/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_tags/5","title":"aws_apigatewayv2.get_tags/5","type":"function"},{"doc":"Gets a VPC link.","ref":"aws_apigatewayv2.html#get_vpc_link/2","title":"aws_apigatewayv2.get_vpc_link/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_vpc_link/4","title":"aws_apigatewayv2.get_vpc_link/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_vpc_link/5","title":"aws_apigatewayv2.get_vpc_link/5","type":"function"},{"doc":"Gets a collection of VPC links.","ref":"aws_apigatewayv2.html#get_vpc_links/1","title":"aws_apigatewayv2.get_vpc_links/1","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_vpc_links/3","title":"aws_apigatewayv2.get_vpc_links/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#get_vpc_links/4","title":"aws_apigatewayv2.get_vpc_links/4","type":"function"},{"doc":"Imports an API.","ref":"aws_apigatewayv2.html#import_api/2","title":"aws_apigatewayv2.import_api/2","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#import_api/3","title":"aws_apigatewayv2.import_api/3","type":"function"},{"doc":"Puts an Api resource.","ref":"aws_apigatewayv2.html#reimport_api/3","title":"aws_apigatewayv2.reimport_api/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#reimport_api/4","title":"aws_apigatewayv2.reimport_api/4","type":"function"},{"doc":"Resets all authorizer cache entries for the specified stage. Supported only for HTTP API Lambda authorizers.","ref":"aws_apigatewayv2.html#reset_authorizers_cache/4","title":"aws_apigatewayv2.reset_authorizers_cache/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#reset_authorizers_cache/5","title":"aws_apigatewayv2.reset_authorizers_cache/5","type":"function"},{"doc":"Creates a new Tag resource to represent a tag.","ref":"aws_apigatewayv2.html#tag_resource/3","title":"aws_apigatewayv2.tag_resource/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#tag_resource/4","title":"aws_apigatewayv2.tag_resource/4","type":"function"},{"doc":"Deletes a Tag.","ref":"aws_apigatewayv2.html#untag_resource/3","title":"aws_apigatewayv2.untag_resource/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#untag_resource/4","title":"aws_apigatewayv2.untag_resource/4","type":"function"},{"doc":"Updates an Api resource.","ref":"aws_apigatewayv2.html#update_api/3","title":"aws_apigatewayv2.update_api/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#update_api/4","title":"aws_apigatewayv2.update_api/4","type":"function"},{"doc":"The API mapping.","ref":"aws_apigatewayv2.html#update_api_mapping/4","title":"aws_apigatewayv2.update_api_mapping/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#update_api_mapping/5","title":"aws_apigatewayv2.update_api_mapping/5","type":"function"},{"doc":"Updates an Authorizer.","ref":"aws_apigatewayv2.html#update_authorizer/4","title":"aws_apigatewayv2.update_authorizer/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#update_authorizer/5","title":"aws_apigatewayv2.update_authorizer/5","type":"function"},{"doc":"Updates a Deployment.","ref":"aws_apigatewayv2.html#update_deployment/4","title":"aws_apigatewayv2.update_deployment/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#update_deployment/5","title":"aws_apigatewayv2.update_deployment/5","type":"function"},{"doc":"Updates a domain name.","ref":"aws_apigatewayv2.html#update_domain_name/3","title":"aws_apigatewayv2.update_domain_name/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#update_domain_name/4","title":"aws_apigatewayv2.update_domain_name/4","type":"function"},{"doc":"Updates an Integration.","ref":"aws_apigatewayv2.html#update_integration/4","title":"aws_apigatewayv2.update_integration/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#update_integration/5","title":"aws_apigatewayv2.update_integration/5","type":"function"},{"doc":"Updates an IntegrationResponses.","ref":"aws_apigatewayv2.html#update_integration_response/5","title":"aws_apigatewayv2.update_integration_response/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#update_integration_response/6","title":"aws_apigatewayv2.update_integration_response/6","type":"function"},{"doc":"Updates a Model.","ref":"aws_apigatewayv2.html#update_model/4","title":"aws_apigatewayv2.update_model/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#update_model/5","title":"aws_apigatewayv2.update_model/5","type":"function"},{"doc":"Updates a Route.","ref":"aws_apigatewayv2.html#update_route/4","title":"aws_apigatewayv2.update_route/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#update_route/5","title":"aws_apigatewayv2.update_route/5","type":"function"},{"doc":"Updates a RouteResponse.","ref":"aws_apigatewayv2.html#update_route_response/5","title":"aws_apigatewayv2.update_route_response/5","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#update_route_response/6","title":"aws_apigatewayv2.update_route_response/6","type":"function"},{"doc":"Updates a Stage.","ref":"aws_apigatewayv2.html#update_stage/4","title":"aws_apigatewayv2.update_stage/4","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#update_stage/5","title":"aws_apigatewayv2.update_stage/5","type":"function"},{"doc":"Updates a VPC link.","ref":"aws_apigatewayv2.html#update_vpc_link/3","title":"aws_apigatewayv2.update_vpc_link/3","type":"function"},{"doc":"","ref":"aws_apigatewayv2.html#update_vpc_link/4","title":"aws_apigatewayv2.update_vpc_link/4","type":"function"},{"doc":"App Mesh is a service mesh based on the Envoy proxy that makes it easy to monitor and control microservices. App Mesh standardizes how your microservices communicate, giving you end-to-end visibility and helping to ensure high availability for your applications. App Mesh gives you consistent visibility and network traffic controls for every microservice in an application. You can use App Mesh with Amazon Web Services Fargate, Amazon ECS, Amazon EKS, Kubernetes on Amazon Web Services, and Amazon EC2. App Mesh supports microservice applications that use service discovery naming for their components. For more information about service discovery on Amazon ECS, see Service Discovery in the Amazon Elastic Container Service Developer Guide. Kubernetes kube-dns and coredns are supported. For more information, see DNS for Services and Pods in the Kubernetes documentation.","ref":"aws_app_mesh.html","title":"aws_app_mesh","type":"module"},{"doc":"Creates a gateway route. A gateway route is attached to a virtual gateway and routes traffic to an existing virtual service. If a route matches a request, it can distribute traffic to a target virtual service. For more information about gateway routes, see Gateway routes.","ref":"aws_app_mesh.html#create_gateway_route/4","title":"aws_app_mesh.create_gateway_route/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#create_gateway_route/5","title":"aws_app_mesh.create_gateway_route/5","type":"function"},{"doc":"Creates a service mesh. A service mesh is a logical boundary for network traffic between services that are represented by resources within the mesh. After you create your service mesh, you can create virtual services, virtual nodes, virtual routers, and routes to distribute traffic between the applications in your mesh. For more information about service meshes, see Service meshes.","ref":"aws_app_mesh.html#create_mesh/2","title":"aws_app_mesh.create_mesh/2","type":"function"},{"doc":"","ref":"aws_app_mesh.html#create_mesh/3","title":"aws_app_mesh.create_mesh/3","type":"function"},{"doc":"Creates a route that is associated with a virtual router. You can route several different protocols and define a retry policy for a route. Traffic can be routed to one or more virtual nodes. For more information about routes, see Routes.","ref":"aws_app_mesh.html#create_route/4","title":"aws_app_mesh.create_route/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#create_route/5","title":"aws_app_mesh.create_route/5","type":"function"},{"doc":"Creates a virtual gateway. A virtual gateway allows resources outside your mesh to communicate to resources that are inside your mesh. The virtual gateway represents an Envoy proxy running in an Amazon ECS task, in a Kubernetes service, or on an Amazon EC2 instance. Unlike a virtual node, which represents an Envoy running with an application, a virtual gateway represents Envoy deployed by itself. For more information about virtual gateways, see Virtual gateways.","ref":"aws_app_mesh.html#create_virtual_gateway/3","title":"aws_app_mesh.create_virtual_gateway/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#create_virtual_gateway/4","title":"aws_app_mesh.create_virtual_gateway/4","type":"function"},{"doc":"Creates a virtual node within a service mesh. A virtual node acts as a logical pointer to a particular task group, such as an Amazon ECS service or a Kubernetes deployment. When you create a virtual node, you can specify the service discovery information for your task group, and whether the proxy running in a task group will communicate with other proxies using Transport Layer Security (TLS). You define a listener for any inbound traffic that your virtual node expects. Any virtual service that your virtual node expects to communicate to is specified as a backend . The response metadata for your new virtual node contains the arn that is associated with the virtual node. Set this value to the full ARN; for example, arn:aws:appmesh:us-west-2:123456789012:myMesh/default/virtualNode/myApp ) as the APPMESH_RESOURCE_ARN environment variable for your task group's Envoy proxy container in your task definition or pod spec. This is then mapped to the node.id and node.cluster Envoy parameters. By default, App Mesh uses the name of the resource you specified in APPMESH_RESOURCE_ARN when Envoy is referring to itself in metrics and traces. You can override this behavior by setting the APPMESH_RESOURCE_CLUSTER environment variable with your own name. For more information about virtual nodes, see Virtual nodes. You must be using 1.15.0 or later of the Envoy image when setting these variables. For more information aboutApp Mesh Envoy variables, see Envoy image in the App Mesh User Guide.","ref":"aws_app_mesh.html#create_virtual_node/3","title":"aws_app_mesh.create_virtual_node/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#create_virtual_node/4","title":"aws_app_mesh.create_virtual_node/4","type":"function"},{"doc":"Creates a virtual router within a service mesh. Specify a listener for any inbound traffic that your virtual router receives. Create a virtual router for each protocol and port that you need to route. Virtual routers handle traffic for one or more virtual services within your mesh. After you create your virtual router, create and associate routes for your virtual router that direct incoming requests to different virtual nodes. For more information about virtual routers, see Virtual routers.","ref":"aws_app_mesh.html#create_virtual_router/3","title":"aws_app_mesh.create_virtual_router/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#create_virtual_router/4","title":"aws_app_mesh.create_virtual_router/4","type":"function"},{"doc":"Creates a virtual service within a service mesh. A virtual service is an abstraction of a real service that is provided by a virtual node directly or indirectly by means of a virtual router. Dependent services call your virtual service by its virtualServiceName , and those requests are routed to the virtual node or virtual router that is specified as the provider for the virtual service. For more information about virtual services, see Virtual services.","ref":"aws_app_mesh.html#create_virtual_service/3","title":"aws_app_mesh.create_virtual_service/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#create_virtual_service/4","title":"aws_app_mesh.create_virtual_service/4","type":"function"},{"doc":"Deletes an existing gateway route.","ref":"aws_app_mesh.html#delete_gateway_route/5","title":"aws_app_mesh.delete_gateway_route/5","type":"function"},{"doc":"","ref":"aws_app_mesh.html#delete_gateway_route/6","title":"aws_app_mesh.delete_gateway_route/6","type":"function"},{"doc":"Deletes an existing service mesh. You must delete all resources (virtual services, routes, virtual routers, and virtual nodes) in the service mesh before you can delete the mesh itself.","ref":"aws_app_mesh.html#delete_mesh/3","title":"aws_app_mesh.delete_mesh/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#delete_mesh/4","title":"aws_app_mesh.delete_mesh/4","type":"function"},{"doc":"Deletes an existing route.","ref":"aws_app_mesh.html#delete_route/5","title":"aws_app_mesh.delete_route/5","type":"function"},{"doc":"","ref":"aws_app_mesh.html#delete_route/6","title":"aws_app_mesh.delete_route/6","type":"function"},{"doc":"Deletes an existing virtual gateway. You cannot delete a virtual gateway if any gateway routes are associated to it.","ref":"aws_app_mesh.html#delete_virtual_gateway/4","title":"aws_app_mesh.delete_virtual_gateway/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#delete_virtual_gateway/5","title":"aws_app_mesh.delete_virtual_gateway/5","type":"function"},{"doc":"Deletes an existing virtual node. You must delete any virtual services that list a virtual node as a service provider before you can delete the virtual node itself.","ref":"aws_app_mesh.html#delete_virtual_node/4","title":"aws_app_mesh.delete_virtual_node/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#delete_virtual_node/5","title":"aws_app_mesh.delete_virtual_node/5","type":"function"},{"doc":"Deletes an existing virtual router. You must delete any routes associated with the virtual router before you can delete the router itself.","ref":"aws_app_mesh.html#delete_virtual_router/4","title":"aws_app_mesh.delete_virtual_router/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#delete_virtual_router/5","title":"aws_app_mesh.delete_virtual_router/5","type":"function"},{"doc":"Deletes an existing virtual service.","ref":"aws_app_mesh.html#delete_virtual_service/4","title":"aws_app_mesh.delete_virtual_service/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#delete_virtual_service/5","title":"aws_app_mesh.delete_virtual_service/5","type":"function"},{"doc":"Describes an existing gateway route.","ref":"aws_app_mesh.html#describe_gateway_route/4","title":"aws_app_mesh.describe_gateway_route/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_gateway_route/6","title":"aws_app_mesh.describe_gateway_route/6","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_gateway_route/7","title":"aws_app_mesh.describe_gateway_route/7","type":"function"},{"doc":"Describes an existing service mesh.","ref":"aws_app_mesh.html#describe_mesh/2","title":"aws_app_mesh.describe_mesh/2","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_mesh/4","title":"aws_app_mesh.describe_mesh/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_mesh/5","title":"aws_app_mesh.describe_mesh/5","type":"function"},{"doc":"Describes an existing route.","ref":"aws_app_mesh.html#describe_route/4","title":"aws_app_mesh.describe_route/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_route/6","title":"aws_app_mesh.describe_route/6","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_route/7","title":"aws_app_mesh.describe_route/7","type":"function"},{"doc":"Describes an existing virtual gateway.","ref":"aws_app_mesh.html#describe_virtual_gateway/3","title":"aws_app_mesh.describe_virtual_gateway/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_virtual_gateway/5","title":"aws_app_mesh.describe_virtual_gateway/5","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_virtual_gateway/6","title":"aws_app_mesh.describe_virtual_gateway/6","type":"function"},{"doc":"Describes an existing virtual node.","ref":"aws_app_mesh.html#describe_virtual_node/3","title":"aws_app_mesh.describe_virtual_node/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_virtual_node/5","title":"aws_app_mesh.describe_virtual_node/5","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_virtual_node/6","title":"aws_app_mesh.describe_virtual_node/6","type":"function"},{"doc":"Describes an existing virtual router.","ref":"aws_app_mesh.html#describe_virtual_router/3","title":"aws_app_mesh.describe_virtual_router/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_virtual_router/5","title":"aws_app_mesh.describe_virtual_router/5","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_virtual_router/6","title":"aws_app_mesh.describe_virtual_router/6","type":"function"},{"doc":"Describes an existing virtual service.","ref":"aws_app_mesh.html#describe_virtual_service/3","title":"aws_app_mesh.describe_virtual_service/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_virtual_service/5","title":"aws_app_mesh.describe_virtual_service/5","type":"function"},{"doc":"","ref":"aws_app_mesh.html#describe_virtual_service/6","title":"aws_app_mesh.describe_virtual_service/6","type":"function"},{"doc":"Returns a list of existing gateway routes that are associated to a virtual gateway.","ref":"aws_app_mesh.html#list_gateway_routes/3","title":"aws_app_mesh.list_gateway_routes/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_gateway_routes/5","title":"aws_app_mesh.list_gateway_routes/5","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_gateway_routes/6","title":"aws_app_mesh.list_gateway_routes/6","type":"function"},{"doc":"Returns a list of existing service meshes.","ref":"aws_app_mesh.html#list_meshes/1","title":"aws_app_mesh.list_meshes/1","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_meshes/3","title":"aws_app_mesh.list_meshes/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_meshes/4","title":"aws_app_mesh.list_meshes/4","type":"function"},{"doc":"Returns a list of existing routes in a service mesh.","ref":"aws_app_mesh.html#list_routes/3","title":"aws_app_mesh.list_routes/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_routes/5","title":"aws_app_mesh.list_routes/5","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_routes/6","title":"aws_app_mesh.list_routes/6","type":"function"},{"doc":"List the tags for an App Mesh resource.","ref":"aws_app_mesh.html#list_tags_for_resource/2","title":"aws_app_mesh.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_tags_for_resource/4","title":"aws_app_mesh.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_tags_for_resource/5","title":"aws_app_mesh.list_tags_for_resource/5","type":"function"},{"doc":"Returns a list of existing virtual gateways in a service mesh.","ref":"aws_app_mesh.html#list_virtual_gateways/2","title":"aws_app_mesh.list_virtual_gateways/2","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_virtual_gateways/4","title":"aws_app_mesh.list_virtual_gateways/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_virtual_gateways/5","title":"aws_app_mesh.list_virtual_gateways/5","type":"function"},{"doc":"Returns a list of existing virtual nodes.","ref":"aws_app_mesh.html#list_virtual_nodes/2","title":"aws_app_mesh.list_virtual_nodes/2","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_virtual_nodes/4","title":"aws_app_mesh.list_virtual_nodes/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_virtual_nodes/5","title":"aws_app_mesh.list_virtual_nodes/5","type":"function"},{"doc":"Returns a list of existing virtual routers in a service mesh.","ref":"aws_app_mesh.html#list_virtual_routers/2","title":"aws_app_mesh.list_virtual_routers/2","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_virtual_routers/4","title":"aws_app_mesh.list_virtual_routers/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_virtual_routers/5","title":"aws_app_mesh.list_virtual_routers/5","type":"function"},{"doc":"Returns a list of existing virtual services in a service mesh.","ref":"aws_app_mesh.html#list_virtual_services/2","title":"aws_app_mesh.list_virtual_services/2","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_virtual_services/4","title":"aws_app_mesh.list_virtual_services/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#list_virtual_services/5","title":"aws_app_mesh.list_virtual_services/5","type":"function"},{"doc":"Associates the specified tags to a resource with the specified resourceArn . If existing tags on a resource aren't specified in the request parameters, they aren't changed. When a resource is deleted, the tags associated with that resource are also deleted.","ref":"aws_app_mesh.html#tag_resource/2","title":"aws_app_mesh.tag_resource/2","type":"function"},{"doc":"","ref":"aws_app_mesh.html#tag_resource/3","title":"aws_app_mesh.tag_resource/3","type":"function"},{"doc":"Deletes specified tags from a resource.","ref":"aws_app_mesh.html#untag_resource/2","title":"aws_app_mesh.untag_resource/2","type":"function"},{"doc":"","ref":"aws_app_mesh.html#untag_resource/3","title":"aws_app_mesh.untag_resource/3","type":"function"},{"doc":"Updates an existing gateway route that is associated to a specified virtual gateway in a service mesh.","ref":"aws_app_mesh.html#update_gateway_route/5","title":"aws_app_mesh.update_gateway_route/5","type":"function"},{"doc":"","ref":"aws_app_mesh.html#update_gateway_route/6","title":"aws_app_mesh.update_gateway_route/6","type":"function"},{"doc":"Updates an existing service mesh.","ref":"aws_app_mesh.html#update_mesh/3","title":"aws_app_mesh.update_mesh/3","type":"function"},{"doc":"","ref":"aws_app_mesh.html#update_mesh/4","title":"aws_app_mesh.update_mesh/4","type":"function"},{"doc":"Updates an existing route for a specified service mesh and virtual router.","ref":"aws_app_mesh.html#update_route/5","title":"aws_app_mesh.update_route/5","type":"function"},{"doc":"","ref":"aws_app_mesh.html#update_route/6","title":"aws_app_mesh.update_route/6","type":"function"},{"doc":"Updates an existing virtual gateway in a specified service mesh.","ref":"aws_app_mesh.html#update_virtual_gateway/4","title":"aws_app_mesh.update_virtual_gateway/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#update_virtual_gateway/5","title":"aws_app_mesh.update_virtual_gateway/5","type":"function"},{"doc":"Updates an existing virtual node in a specified service mesh.","ref":"aws_app_mesh.html#update_virtual_node/4","title":"aws_app_mesh.update_virtual_node/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#update_virtual_node/5","title":"aws_app_mesh.update_virtual_node/5","type":"function"},{"doc":"Updates an existing virtual router in a specified service mesh.","ref":"aws_app_mesh.html#update_virtual_router/4","title":"aws_app_mesh.update_virtual_router/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#update_virtual_router/5","title":"aws_app_mesh.update_virtual_router/5","type":"function"},{"doc":"Updates an existing virtual service in a specified service mesh.","ref":"aws_app_mesh.html#update_virtual_service/4","title":"aws_app_mesh.update_virtual_service/4","type":"function"},{"doc":"","ref":"aws_app_mesh.html#update_virtual_service/5","title":"aws_app_mesh.update_virtual_service/5","type":"function"},{"doc":"Use AppConfig, a capability of Amazon Web Services Systems Manager, to create, manage, and quickly deploy application configurations. AppConfig supports controlled deployments to applications of any size and includes built-in validation checks and monitoring. You can use AppConfig with applications hosted on Amazon EC2 instances, Lambda, containers, mobile applications, or IoT devices. To prevent errors when deploying application configurations, especially for production systems where a simple typo could cause an unexpected outage, AppConfig includes validators. A validator provides a syntactic or semantic check to ensure that the configuration you want to deploy works as intended. To validate your application configuration data, you provide a schema or an Amazon Web Services Lambda function that runs against the configuration. The configuration deployment or update can only proceed when the configuration data is valid. During a configuration deployment, AppConfig monitors the application to ensure that the deployment is successful. If the system encounters an error, AppConfig rolls back the change to minimize impact for your application users. You can configure a deployment strategy for each application or environment that includes deployment criteria, including velocity, bake time, and alarms to monitor. Similar to error monitoring, if a deployment triggers an alarm, AppConfig automatically rolls back to the previous version. AppConfig supports multiple use cases. Here are some examples: Feature flags: Use AppConfig to turn on new features that require a timely deployment, such as a product launch or announcement. Application tuning: Use AppConfig to carefully introduce changes to your application that can only be tested with production traffic. Allow list: Use AppConfig to allow premium subscribers to access paid content. Operational issues: Use AppConfig to reduce stress on your application when a dependency or other external factor impacts the system. This reference is intended to be used with the AppConfig User Guide.","ref":"aws_appconfig.html","title":"aws_appconfig","type":"module"},{"doc":"Creates an application. In AppConfig, an application is simply an organizational construct like a folder. This organizational construct has a relationship with some unit of executable code. For example, you could create an application called MyMobileApp to organize and manage configuration data for a mobile application installed by your users.","ref":"aws_appconfig.html#create_application/2","title":"aws_appconfig.create_application/2","type":"function"},{"doc":"","ref":"aws_appconfig.html#create_application/3","title":"aws_appconfig.create_application/3","type":"function"},{"doc":"Creates a configuration profile, which is information that enables AppConfig to access the configuration source. Valid configuration sources include the following: Configuration data in YAML, JSON, and other formats stored in the AppConfig hosted configuration store Configuration data stored as objects in an Amazon Simple Storage Service (Amazon S3) bucket Pipelines stored in CodePipeline Secrets stored in Secrets Manager Standard and secure string parameters stored in Amazon Web Services Systems Manager Parameter Store Configuration data in SSM documents stored in the Systems Manager document store A configuration profile includes the following information: The URI location of the configuration data. The Identity and Access Management (IAM) role that provides access to the configuration data. A validator for the configuration data. Available validators include either a JSON Schema or an Amazon Web Services Lambda function. For more information, see Create a Configuration and a Configuration Profile in the AppConfig User Guide.","ref":"aws_appconfig.html#create_configuration_profile/3","title":"aws_appconfig.create_configuration_profile/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#create_configuration_profile/4","title":"aws_appconfig.create_configuration_profile/4","type":"function"},{"doc":"Creates a deployment strategy that defines important criteria for rolling out your configuration to the designated targets. A deployment strategy includes the overall duration required, a percentage of targets to receive the deployment during each interval, an algorithm that defines how percentage grows, and bake time.","ref":"aws_appconfig.html#create_deployment_strategy/2","title":"aws_appconfig.create_deployment_strategy/2","type":"function"},{"doc":"","ref":"aws_appconfig.html#create_deployment_strategy/3","title":"aws_appconfig.create_deployment_strategy/3","type":"function"},{"doc":"Creates an environment. For each application, you define one or more environments. An environment is a deployment group of AppConfig targets, such as applications in a Beta or Production environment. You can also define environments for application subcomponents such as the Web , Mobile and Back-end components for your application. You can configure Amazon CloudWatch alarms for each environment. The system monitors alarms during a configuration deployment. If an alarm is triggered, the system rolls back the configuration.","ref":"aws_appconfig.html#create_environment/3","title":"aws_appconfig.create_environment/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#create_environment/4","title":"aws_appconfig.create_environment/4","type":"function"},{"doc":"Creates an AppConfig extension. An extension augments your ability to inject logic or behavior at different points during the AppConfig workflow of creating or deploying a configuration. You can create your own extensions or use the Amazon Web Services authored extensions provided by AppConfig. For most use cases, to create your own extension, you must create an Lambda function to perform any computation and processing defined in the extension. For more information about extensions, see Working with AppConfig extensions in the AppConfig User Guide.","ref":"aws_appconfig.html#create_extension/2","title":"aws_appconfig.create_extension/2","type":"function"},{"doc":"","ref":"aws_appconfig.html#create_extension/3","title":"aws_appconfig.create_extension/3","type":"function"},{"doc":"When you create an extension or configure an Amazon Web Services authored extension, you associate the extension with an AppConfig application, environment, or configuration profile. For example, you can choose to run the AppConfig deployment events to Amazon SNS Amazon Web Services authored extension and receive notifications on an Amazon SNS topic anytime a configuration deployment is started for a specific application. Defining which extension to associate with an AppConfig resource is called an extension association. An extension association is a specified relationship between an extension and an AppConfig resource, such as an application or a configuration profile. For more information about extensions and associations, see Working with AppConfig extensions in the AppConfig User Guide.","ref":"aws_appconfig.html#create_extension_association/2","title":"aws_appconfig.create_extension_association/2","type":"function"},{"doc":"","ref":"aws_appconfig.html#create_extension_association/3","title":"aws_appconfig.create_extension_association/3","type":"function"},{"doc":"Creates a new configuration in the AppConfig hosted configuration store.","ref":"aws_appconfig.html#create_hosted_configuration_version/4","title":"aws_appconfig.create_hosted_configuration_version/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#create_hosted_configuration_version/5","title":"aws_appconfig.create_hosted_configuration_version/5","type":"function"},{"doc":"Deletes an application. Deleting an application does not delete a configuration from a host.","ref":"aws_appconfig.html#delete_application/3","title":"aws_appconfig.delete_application/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#delete_application/4","title":"aws_appconfig.delete_application/4","type":"function"},{"doc":"Deletes a configuration profile. Deleting a configuration profile does not delete a configuration from a host.","ref":"aws_appconfig.html#delete_configuration_profile/4","title":"aws_appconfig.delete_configuration_profile/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#delete_configuration_profile/5","title":"aws_appconfig.delete_configuration_profile/5","type":"function"},{"doc":"Deletes a deployment strategy. Deleting a deployment strategy does not delete a configuration from a host.","ref":"aws_appconfig.html#delete_deployment_strategy/3","title":"aws_appconfig.delete_deployment_strategy/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#delete_deployment_strategy/4","title":"aws_appconfig.delete_deployment_strategy/4","type":"function"},{"doc":"Deletes an environment. Deleting an environment does not delete a configuration from a host.","ref":"aws_appconfig.html#delete_environment/4","title":"aws_appconfig.delete_environment/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#delete_environment/5","title":"aws_appconfig.delete_environment/5","type":"function"},{"doc":"Deletes an AppConfig extension. You must delete all associations to an extension before you delete the extension.","ref":"aws_appconfig.html#delete_extension/3","title":"aws_appconfig.delete_extension/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#delete_extension/4","title":"aws_appconfig.delete_extension/4","type":"function"},{"doc":"Deletes an extension association. This action doesn't delete extensions defined in the association.","ref":"aws_appconfig.html#delete_extension_association/3","title":"aws_appconfig.delete_extension_association/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#delete_extension_association/4","title":"aws_appconfig.delete_extension_association/4","type":"function"},{"doc":"Deletes a version of a configuration from the AppConfig hosted configuration store.","ref":"aws_appconfig.html#delete_hosted_configuration_version/5","title":"aws_appconfig.delete_hosted_configuration_version/5","type":"function"},{"doc":"","ref":"aws_appconfig.html#delete_hosted_configuration_version/6","title":"aws_appconfig.delete_hosted_configuration_version/6","type":"function"},{"doc":"Retrieves information about an application.","ref":"aws_appconfig.html#get_application/2","title":"aws_appconfig.get_application/2","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_application/4","title":"aws_appconfig.get_application/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_application/5","title":"aws_appconfig.get_application/5","type":"function"},{"doc":"(Deprecated) Retrieves the latest deployed configuration. Note the following important information. This API action is deprecated. Calls to receive configuration data should use the StartConfigurationSession and GetLatestConfiguration APIs instead. GetConfiguration is a priced call. For more information, see Pricing.","ref":"aws_appconfig.html#get_configuration/5","title":"aws_appconfig.get_configuration/5","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_configuration/7","title":"aws_appconfig.get_configuration/7","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_configuration/8","title":"aws_appconfig.get_configuration/8","type":"function"},{"doc":"Retrieves information about a configuration profile.","ref":"aws_appconfig.html#get_configuration_profile/3","title":"aws_appconfig.get_configuration_profile/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_configuration_profile/5","title":"aws_appconfig.get_configuration_profile/5","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_configuration_profile/6","title":"aws_appconfig.get_configuration_profile/6","type":"function"},{"doc":"Retrieves information about a configuration deployment.","ref":"aws_appconfig.html#get_deployment/4","title":"aws_appconfig.get_deployment/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_deployment/6","title":"aws_appconfig.get_deployment/6","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_deployment/7","title":"aws_appconfig.get_deployment/7","type":"function"},{"doc":"Retrieves information about a deployment strategy. A deployment strategy defines important criteria for rolling out your configuration to the designated targets. A deployment strategy includes the overall duration required, a percentage of targets to receive the deployment during each interval, an algorithm that defines how percentage grows, and bake time.","ref":"aws_appconfig.html#get_deployment_strategy/2","title":"aws_appconfig.get_deployment_strategy/2","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_deployment_strategy/4","title":"aws_appconfig.get_deployment_strategy/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_deployment_strategy/5","title":"aws_appconfig.get_deployment_strategy/5","type":"function"},{"doc":"Retrieves information about an environment. An environment is a deployment group of AppConfig applications, such as applications in a Production environment or in an EU_Region environment. Each configuration deployment targets an environment. You can enable one or more Amazon CloudWatch alarms for an environment. If an alarm is triggered during a deployment, AppConfig roles back the configuration.","ref":"aws_appconfig.html#get_environment/3","title":"aws_appconfig.get_environment/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_environment/5","title":"aws_appconfig.get_environment/5","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_environment/6","title":"aws_appconfig.get_environment/6","type":"function"},{"doc":"Returns information about an AppConfig extension.","ref":"aws_appconfig.html#get_extension/2","title":"aws_appconfig.get_extension/2","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_extension/4","title":"aws_appconfig.get_extension/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_extension/5","title":"aws_appconfig.get_extension/5","type":"function"},{"doc":"Returns information about an AppConfig extension association. For more information about extensions and associations, see Working with AppConfig extensions in the AppConfig User Guide.","ref":"aws_appconfig.html#get_extension_association/2","title":"aws_appconfig.get_extension_association/2","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_extension_association/4","title":"aws_appconfig.get_extension_association/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_extension_association/5","title":"aws_appconfig.get_extension_association/5","type":"function"},{"doc":"Retrieves information about a specific configuration version.","ref":"aws_appconfig.html#get_hosted_configuration_version/4","title":"aws_appconfig.get_hosted_configuration_version/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_hosted_configuration_version/6","title":"aws_appconfig.get_hosted_configuration_version/6","type":"function"},{"doc":"","ref":"aws_appconfig.html#get_hosted_configuration_version/7","title":"aws_appconfig.get_hosted_configuration_version/7","type":"function"},{"doc":"Lists all applications in your Amazon Web Services account.","ref":"aws_appconfig.html#list_applications/1","title":"aws_appconfig.list_applications/1","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_applications/3","title":"aws_appconfig.list_applications/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_applications/4","title":"aws_appconfig.list_applications/4","type":"function"},{"doc":"Lists the configuration profiles for an application.","ref":"aws_appconfig.html#list_configuration_profiles/2","title":"aws_appconfig.list_configuration_profiles/2","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_configuration_profiles/4","title":"aws_appconfig.list_configuration_profiles/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_configuration_profiles/5","title":"aws_appconfig.list_configuration_profiles/5","type":"function"},{"doc":"Lists deployment strategies.","ref":"aws_appconfig.html#list_deployment_strategies/1","title":"aws_appconfig.list_deployment_strategies/1","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_deployment_strategies/3","title":"aws_appconfig.list_deployment_strategies/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_deployment_strategies/4","title":"aws_appconfig.list_deployment_strategies/4","type":"function"},{"doc":"Lists the deployments for an environment in descending deployment number order.","ref":"aws_appconfig.html#list_deployments/3","title":"aws_appconfig.list_deployments/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_deployments/5","title":"aws_appconfig.list_deployments/5","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_deployments/6","title":"aws_appconfig.list_deployments/6","type":"function"},{"doc":"Lists the environments for an application.","ref":"aws_appconfig.html#list_environments/2","title":"aws_appconfig.list_environments/2","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_environments/4","title":"aws_appconfig.list_environments/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_environments/5","title":"aws_appconfig.list_environments/5","type":"function"},{"doc":"Lists all AppConfig extension associations in the account. For more information about extensions and associations, see Working with AppConfig extensions in the AppConfig User Guide.","ref":"aws_appconfig.html#list_extension_associations/1","title":"aws_appconfig.list_extension_associations/1","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_extension_associations/3","title":"aws_appconfig.list_extension_associations/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_extension_associations/4","title":"aws_appconfig.list_extension_associations/4","type":"function"},{"doc":"Lists all custom and Amazon Web Services authored AppConfig extensions in the account. For more information about extensions, see Working with AppConfig extensions in the AppConfig User Guide.","ref":"aws_appconfig.html#list_extensions/1","title":"aws_appconfig.list_extensions/1","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_extensions/3","title":"aws_appconfig.list_extensions/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_extensions/4","title":"aws_appconfig.list_extensions/4","type":"function"},{"doc":"Lists configurations stored in the AppConfig hosted configuration store by version.","ref":"aws_appconfig.html#list_hosted_configuration_versions/3","title":"aws_appconfig.list_hosted_configuration_versions/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_hosted_configuration_versions/5","title":"aws_appconfig.list_hosted_configuration_versions/5","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_hosted_configuration_versions/6","title":"aws_appconfig.list_hosted_configuration_versions/6","type":"function"},{"doc":"Retrieves the list of key-value tags assigned to the resource.","ref":"aws_appconfig.html#list_tags_for_resource/2","title":"aws_appconfig.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_tags_for_resource/4","title":"aws_appconfig.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#list_tags_for_resource/5","title":"aws_appconfig.list_tags_for_resource/5","type":"function"},{"doc":"Starts a deployment.","ref":"aws_appconfig.html#start_deployment/4","title":"aws_appconfig.start_deployment/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#start_deployment/5","title":"aws_appconfig.start_deployment/5","type":"function"},{"doc":"Stops a deployment. This API action works only on deployments that have a status of DEPLOYING . This action moves the deployment to a status of ROLLED_BACK .","ref":"aws_appconfig.html#stop_deployment/5","title":"aws_appconfig.stop_deployment/5","type":"function"},{"doc":"","ref":"aws_appconfig.html#stop_deployment/6","title":"aws_appconfig.stop_deployment/6","type":"function"},{"doc":"Assigns metadata to an AppConfig resource. Tags help organize and categorize your AppConfig resources. Each tag consists of a key and an optional value, both of which you define. You can specify a maximum of 50 tags for a resource.","ref":"aws_appconfig.html#tag_resource/3","title":"aws_appconfig.tag_resource/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#tag_resource/4","title":"aws_appconfig.tag_resource/4","type":"function"},{"doc":"Deletes a tag key and value from an AppConfig resource.","ref":"aws_appconfig.html#untag_resource/3","title":"aws_appconfig.untag_resource/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#untag_resource/4","title":"aws_appconfig.untag_resource/4","type":"function"},{"doc":"Updates an application.","ref":"aws_appconfig.html#update_application/3","title":"aws_appconfig.update_application/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#update_application/4","title":"aws_appconfig.update_application/4","type":"function"},{"doc":"Updates a configuration profile.","ref":"aws_appconfig.html#update_configuration_profile/4","title":"aws_appconfig.update_configuration_profile/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#update_configuration_profile/5","title":"aws_appconfig.update_configuration_profile/5","type":"function"},{"doc":"Updates a deployment strategy.","ref":"aws_appconfig.html#update_deployment_strategy/3","title":"aws_appconfig.update_deployment_strategy/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#update_deployment_strategy/4","title":"aws_appconfig.update_deployment_strategy/4","type":"function"},{"doc":"Updates an environment.","ref":"aws_appconfig.html#update_environment/4","title":"aws_appconfig.update_environment/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#update_environment/5","title":"aws_appconfig.update_environment/5","type":"function"},{"doc":"Updates an AppConfig extension. For more information about extensions, see Working with AppConfig extensions in the AppConfig User Guide.","ref":"aws_appconfig.html#update_extension/3","title":"aws_appconfig.update_extension/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#update_extension/4","title":"aws_appconfig.update_extension/4","type":"function"},{"doc":"Updates an association. For more information about extensions and associations, see Working with AppConfig extensions in the AppConfig User Guide.","ref":"aws_appconfig.html#update_extension_association/3","title":"aws_appconfig.update_extension_association/3","type":"function"},{"doc":"","ref":"aws_appconfig.html#update_extension_association/4","title":"aws_appconfig.update_extension_association/4","type":"function"},{"doc":"Uses the validators in a configuration profile to validate a configuration.","ref":"aws_appconfig.html#validate_configuration/4","title":"aws_appconfig.validate_configuration/4","type":"function"},{"doc":"","ref":"aws_appconfig.html#validate_configuration/5","title":"aws_appconfig.validate_configuration/5","type":"function"},{"doc":"AppConfig Data provides the data plane APIs your application uses to retrieve configuration data. Here's how it works: Your application retrieves configuration data by first establishing a configuration session using the AppConfig Data StartConfigurationSession API action. Your session's client then makes periodic calls to GetLatestConfiguration to check for and retrieve the latest data available. When calling StartConfigurationSession , your code sends the following information: Identifiers (ID or name) of an AppConfig application, environment, and configuration profile that the session tracks. (Optional) The minimum amount of time the session's client must wait between calls to GetLatestConfiguration . In response, AppConfig provides an InitialConfigurationToken to be given to the session's client and used the first time it calls GetLatestConfiguration for that session. This token should only be used once in your first call to GetLatestConfiguration . You must use the new token in the GetLatestConfiguration response ( NextPollConfigurationToken ) in each subsequent call to GetLatestConfiguration . When calling GetLatestConfiguration , your client code sends the most recent ConfigurationToken value it has and receives in response: NextPollConfigurationToken : the ConfigurationToken value to use on the next call to GetLatestConfiguration . NextPollIntervalInSeconds : the duration the client should wait before making its next call to GetLatestConfiguration . This duration may vary over the course of the session, so it should be used instead of the value sent on the StartConfigurationSession call. The configuration: the latest data intended for the session. This may be empty if the client already has the latest version of the configuration. The InitialConfigurationToken and NextPollConfigurationToken should only be used once. To support long poll use cases, the tokens are valid for up to 24 hours. If a GetLatestConfiguration call uses an expired token, the system returns BadRequestException . For more information and to view example CLI commands that show how to retrieve a configuration using the AppConfig Data StartConfigurationSession and GetLatestConfiguration API actions, see Retrieving the configuration in the AppConfig User Guide.","ref":"aws_appconfigdata.html","title":"aws_appconfigdata","type":"module"},{"doc":"Retrieves the latest deployed configuration. This API may return empty configuration data if the client already has the latest version. For more information about this API action and to view example CLI commands that show how to use it with the StartConfigurationSession API action, see Retrieving the configuration in the AppConfig User Guide. Note the following important information. Each configuration token is only valid for one call to GetLatestConfiguration . The GetLatestConfiguration response includes a NextPollConfigurationToken that should always replace the token used for the just-completed call in preparation for the next one. GetLatestConfiguration is a priced call. For more information, see Pricing.","ref":"aws_appconfigdata.html#get_latest_configuration/2","title":"aws_appconfigdata.get_latest_configuration/2","type":"function"},{"doc":"","ref":"aws_appconfigdata.html#get_latest_configuration/4","title":"aws_appconfigdata.get_latest_configuration/4","type":"function"},{"doc":"","ref":"aws_appconfigdata.html#get_latest_configuration/5","title":"aws_appconfigdata.get_latest_configuration/5","type":"function"},{"doc":"Starts a configuration session used to retrieve a deployed configuration. For more information about this API action and to view example CLI commands that show how to use it with the GetLatestConfiguration API action, see Retrieving the configuration in the AppConfig User Guide.","ref":"aws_appconfigdata.html#start_configuration_session/2","title":"aws_appconfigdata.start_configuration_session/2","type":"function"},{"doc":"","ref":"aws_appconfigdata.html#start_configuration_session/3","title":"aws_appconfigdata.start_configuration_session/3","type":"function"},{"doc":"Welcome to the Amazon AppFlow API reference. This guide is for developers who need detailed information about the Amazon AppFlow API operations, data types, and errors. Amazon AppFlow is a fully managed integration service that enables you to securely transfer data between software as a service (SaaS) applications like Salesforce, Marketo, Slack, and ServiceNow, and Amazon Web Services like Amazon S3 and Amazon Redshift. Use the following links to get started on the Amazon AppFlow API: Actions: An alphabetical list of all Amazon AppFlow API operations. Data types: An alphabetical list of all Amazon AppFlow data types. Common parameters: Parameters that all Query operations can use. Common errors: Client and server errors that all operations can return. If you're new to Amazon AppFlow, we recommend that you review the Amazon AppFlow User Guide. Amazon AppFlow API users can use vendor-specific mechanisms for OAuth, and include applicable OAuth attributes (such as auth-code and redirecturi ) with the connector-specific ConnectorProfileProperties when creating a new connector profile using Amazon AppFlow API operations. For example, Salesforce users can refer to the Authorize Apps with OAuth documentation.","ref":"aws_appflow.html","title":"aws_appflow","type":"module"},{"doc":"Creates a new connector profile associated with your Amazon Web Services account. There is a soft quota of 100 connector profiles per Amazon Web Services account. If you need more connector profiles than this quota allows, you can submit a request to the Amazon AppFlow team through the Amazon AppFlow support channel. In each connector profile that you create, you can provide the credentials and properties for only one connector.","ref":"aws_appflow.html#create_connector_profile/2","title":"aws_appflow.create_connector_profile/2","type":"function"},{"doc":"","ref":"aws_appflow.html#create_connector_profile/3","title":"aws_appflow.create_connector_profile/3","type":"function"},{"doc":"Enables your application to create a new flow using Amazon AppFlow. You must create a connector profile before calling this API. Please note that the Request Syntax below shows syntax for multiple destinations, however, you can only transfer data to one item in this list at a time. Amazon AppFlow does not currently support flows to multiple destinations at once.","ref":"aws_appflow.html#create_flow/2","title":"aws_appflow.create_flow/2","type":"function"},{"doc":"","ref":"aws_appflow.html#create_flow/3","title":"aws_appflow.create_flow/3","type":"function"},{"doc":"Enables you to delete an existing connector profile.","ref":"aws_appflow.html#delete_connector_profile/2","title":"aws_appflow.delete_connector_profile/2","type":"function"},{"doc":"","ref":"aws_appflow.html#delete_connector_profile/3","title":"aws_appflow.delete_connector_profile/3","type":"function"},{"doc":"Enables your application to delete an existing flow. Before deleting the flow, Amazon AppFlow validates the request by checking the flow configuration and status. You can delete flows one at a time.","ref":"aws_appflow.html#delete_flow/2","title":"aws_appflow.delete_flow/2","type":"function"},{"doc":"","ref":"aws_appflow.html#delete_flow/3","title":"aws_appflow.delete_flow/3","type":"function"},{"doc":"Describes the given custom connector registered in your Amazon Web Services account. This API can be used for custom connectors that are registered in your account and also for Amazon authored connectors.","ref":"aws_appflow.html#describe_connector/2","title":"aws_appflow.describe_connector/2","type":"function"},{"doc":"","ref":"aws_appflow.html#describe_connector/3","title":"aws_appflow.describe_connector/3","type":"function"},{"doc":"Provides details regarding the entity used with the connector, with a description of the data model for each field in that entity.","ref":"aws_appflow.html#describe_connector_entity/2","title":"aws_appflow.describe_connector_entity/2","type":"function"},{"doc":"","ref":"aws_appflow.html#describe_connector_entity/3","title":"aws_appflow.describe_connector_entity/3","type":"function"},{"doc":"Returns a list of connector-profile details matching the provided connector-profile names and connector-types . Both input lists are optional, and you can use them to filter the result. If no names or connector-types are provided, returns all connector profiles in a paginated form. If there is no match, this operation returns an empty list.","ref":"aws_appflow.html#describe_connector_profiles/2","title":"aws_appflow.describe_connector_profiles/2","type":"function"},{"doc":"","ref":"aws_appflow.html#describe_connector_profiles/3","title":"aws_appflow.describe_connector_profiles/3","type":"function"},{"doc":"Describes the connectors vended by Amazon AppFlow for specified connector types. If you don't specify a connector type, this operation describes all connectors vended by Amazon AppFlow. If there are more connectors than can be returned in one page, the response contains a nextToken object, which can be be passed in to the next call to the DescribeConnectors API operation to retrieve the next page.","ref":"aws_appflow.html#describe_connectors/2","title":"aws_appflow.describe_connectors/2","type":"function"},{"doc":"","ref":"aws_appflow.html#describe_connectors/3","title":"aws_appflow.describe_connectors/3","type":"function"},{"doc":"Provides a description of the specified flow.","ref":"aws_appflow.html#describe_flow/2","title":"aws_appflow.describe_flow/2","type":"function"},{"doc":"","ref":"aws_appflow.html#describe_flow/3","title":"aws_appflow.describe_flow/3","type":"function"},{"doc":"Fetches the execution history of the flow.","ref":"aws_appflow.html#describe_flow_execution_records/2","title":"aws_appflow.describe_flow_execution_records/2","type":"function"},{"doc":"","ref":"aws_appflow.html#describe_flow_execution_records/3","title":"aws_appflow.describe_flow_execution_records/3","type":"function"},{"doc":"Returns the list of available connector entities supported by Amazon AppFlow. For example, you can query Salesforce for Account and Opportunity entities, or query ServiceNow for the Incident entity.","ref":"aws_appflow.html#list_connector_entities/2","title":"aws_appflow.list_connector_entities/2","type":"function"},{"doc":"","ref":"aws_appflow.html#list_connector_entities/3","title":"aws_appflow.list_connector_entities/3","type":"function"},{"doc":"Returns the list of all registered custom connectors in your Amazon Web Services account. This API lists only custom connectors registered in this account, not the Amazon Web Services authored connectors.","ref":"aws_appflow.html#list_connectors/2","title":"aws_appflow.list_connectors/2","type":"function"},{"doc":"","ref":"aws_appflow.html#list_connectors/3","title":"aws_appflow.list_connectors/3","type":"function"},{"doc":"Lists all of the flows associated with your account.","ref":"aws_appflow.html#list_flows/2","title":"aws_appflow.list_flows/2","type":"function"},{"doc":"","ref":"aws_appflow.html#list_flows/3","title":"aws_appflow.list_flows/3","type":"function"},{"doc":"Retrieves the tags that are associated with a specified flow.","ref":"aws_appflow.html#list_tags_for_resource/2","title":"aws_appflow.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_appflow.html#list_tags_for_resource/4","title":"aws_appflow.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_appflow.html#list_tags_for_resource/5","title":"aws_appflow.list_tags_for_resource/5","type":"function"},{"doc":"Registers a new custom connector with your Amazon Web Services account. Before you can register the connector, you must deploy the associated AWS lambda function in your account.","ref":"aws_appflow.html#register_connector/2","title":"aws_appflow.register_connector/2","type":"function"},{"doc":"","ref":"aws_appflow.html#register_connector/3","title":"aws_appflow.register_connector/3","type":"function"},{"doc":"Activates an existing flow. For on-demand flows, this operation runs the flow immediately. For schedule and event-triggered flows, this operation activates the flow.","ref":"aws_appflow.html#start_flow/2","title":"aws_appflow.start_flow/2","type":"function"},{"doc":"","ref":"aws_appflow.html#start_flow/3","title":"aws_appflow.start_flow/3","type":"function"},{"doc":"Deactivates the existing flow. For on-demand flows, this operation returns an unsupportedOperationException error message. For schedule and event-triggered flows, this operation deactivates the flow.","ref":"aws_appflow.html#stop_flow/2","title":"aws_appflow.stop_flow/2","type":"function"},{"doc":"","ref":"aws_appflow.html#stop_flow/3","title":"aws_appflow.stop_flow/3","type":"function"},{"doc":"Applies a tag to the specified flow.","ref":"aws_appflow.html#tag_resource/3","title":"aws_appflow.tag_resource/3","type":"function"},{"doc":"","ref":"aws_appflow.html#tag_resource/4","title":"aws_appflow.tag_resource/4","type":"function"},{"doc":"Unregisters the custom connector registered in your account that matches the connector label provided in the request.","ref":"aws_appflow.html#unregister_connector/2","title":"aws_appflow.unregister_connector/2","type":"function"},{"doc":"","ref":"aws_appflow.html#unregister_connector/3","title":"aws_appflow.unregister_connector/3","type":"function"},{"doc":"Removes a tag from the specified flow.","ref":"aws_appflow.html#untag_resource/3","title":"aws_appflow.untag_resource/3","type":"function"},{"doc":"","ref":"aws_appflow.html#untag_resource/4","title":"aws_appflow.untag_resource/4","type":"function"},{"doc":"Updates a given connector profile associated with your account.","ref":"aws_appflow.html#update_connector_profile/2","title":"aws_appflow.update_connector_profile/2","type":"function"},{"doc":"","ref":"aws_appflow.html#update_connector_profile/3","title":"aws_appflow.update_connector_profile/3","type":"function"},{"doc":"Updates a custom connector that you've previously registered. This operation updates the connector with one of the following: The latest version of the AWS Lambda function that's assigned to the connector A new AWS Lambda function that you specify","ref":"aws_appflow.html#update_connector_registration/2","title":"aws_appflow.update_connector_registration/2","type":"function"},{"doc":"","ref":"aws_appflow.html#update_connector_registration/3","title":"aws_appflow.update_connector_registration/3","type":"function"},{"doc":"Updates an existing flow.","ref":"aws_appflow.html#update_flow/2","title":"aws_appflow.update_flow/2","type":"function"},{"doc":"","ref":"aws_appflow.html#update_flow/3","title":"aws_appflow.update_flow/3","type":"function"},{"doc":"The Amazon AppIntegrations service enables you to configure and reuse connections to external applications. For information about how you can use external applications with Amazon Connect, see Set up pre-built integrations and Deliver information to agents using Amazon Connect Wisdom in the Amazon Connect Administrator Guide.","ref":"aws_appintegrations.html","title":"aws_appintegrations","type":"module"},{"doc":"Creates and persists a DataIntegration resource. You cannot create a DataIntegration association for a DataIntegration that has been previously associated. Use a different DataIntegration, or recreate the DataIntegration using the CreateDataIntegration API.","ref":"aws_appintegrations.html#create_data_integration/2","title":"aws_appintegrations.create_data_integration/2","type":"function"},{"doc":"","ref":"aws_appintegrations.html#create_data_integration/3","title":"aws_appintegrations.create_data_integration/3","type":"function"},{"doc":"Creates an EventIntegration, given a specified name, description, and a reference to an Amazon EventBridge bus in your account and a partner event source that pushes events to that bus. No objects are created in the your account, only metadata that is persisted on the EventIntegration control plane.","ref":"aws_appintegrations.html#create_event_integration/2","title":"aws_appintegrations.create_event_integration/2","type":"function"},{"doc":"","ref":"aws_appintegrations.html#create_event_integration/3","title":"aws_appintegrations.create_event_integration/3","type":"function"},{"doc":"Deletes the DataIntegration. Only DataIntegrations that don't have any DataIntegrationAssociations can be deleted. Deleting a DataIntegration also deletes the underlying Amazon AppFlow flow and service linked role. You cannot create a DataIntegration association for a DataIntegration that has been previously associated. Use a different DataIntegration, or recreate the DataIntegration using the CreateDataIntegration API.","ref":"aws_appintegrations.html#delete_data_integration/3","title":"aws_appintegrations.delete_data_integration/3","type":"function"},{"doc":"","ref":"aws_appintegrations.html#delete_data_integration/4","title":"aws_appintegrations.delete_data_integration/4","type":"function"},{"doc":"Deletes the specified existing event integration. If the event integration is associated with clients, the request is rejected.","ref":"aws_appintegrations.html#delete_event_integration/3","title":"aws_appintegrations.delete_event_integration/3","type":"function"},{"doc":"","ref":"aws_appintegrations.html#delete_event_integration/4","title":"aws_appintegrations.delete_event_integration/4","type":"function"},{"doc":"Returns information about the DataIntegration. You cannot create a DataIntegration association for a DataIntegration that has been previously associated. Use a different DataIntegration, or recreate the DataIntegration using the CreateDataIntegration API.","ref":"aws_appintegrations.html#get_data_integration/2","title":"aws_appintegrations.get_data_integration/2","type":"function"},{"doc":"","ref":"aws_appintegrations.html#get_data_integration/4","title":"aws_appintegrations.get_data_integration/4","type":"function"},{"doc":"","ref":"aws_appintegrations.html#get_data_integration/5","title":"aws_appintegrations.get_data_integration/5","type":"function"},{"doc":"Returns information about the event integration.","ref":"aws_appintegrations.html#get_event_integration/2","title":"aws_appintegrations.get_event_integration/2","type":"function"},{"doc":"","ref":"aws_appintegrations.html#get_event_integration/4","title":"aws_appintegrations.get_event_integration/4","type":"function"},{"doc":"","ref":"aws_appintegrations.html#get_event_integration/5","title":"aws_appintegrations.get_event_integration/5","type":"function"},{"doc":"Returns a paginated list of DataIntegration associations in the account. You cannot create a DataIntegration association for a DataIntegration that has been previously associated. Use a different DataIntegration, or recreate the DataIntegration using the CreateDataIntegration API.","ref":"aws_appintegrations.html#list_data_integration_associations/2","title":"aws_appintegrations.list_data_integration_associations/2","type":"function"},{"doc":"","ref":"aws_appintegrations.html#list_data_integration_associations/4","title":"aws_appintegrations.list_data_integration_associations/4","type":"function"},{"doc":"","ref":"aws_appintegrations.html#list_data_integration_associations/5","title":"aws_appintegrations.list_data_integration_associations/5","type":"function"},{"doc":"Returns a paginated list of DataIntegrations in the account. You cannot create a DataIntegration association for a DataIntegration that has been previously associated. Use a different DataIntegration, or recreate the DataIntegration using the CreateDataIntegration API.","ref":"aws_appintegrations.html#list_data_integrations/1","title":"aws_appintegrations.list_data_integrations/1","type":"function"},{"doc":"","ref":"aws_appintegrations.html#list_data_integrations/3","title":"aws_appintegrations.list_data_integrations/3","type":"function"},{"doc":"","ref":"aws_appintegrations.html#list_data_integrations/4","title":"aws_appintegrations.list_data_integrations/4","type":"function"},{"doc":"Returns a paginated list of event integration associations in the account.","ref":"aws_appintegrations.html#list_event_integration_associations/2","title":"aws_appintegrations.list_event_integration_associations/2","type":"function"},{"doc":"","ref":"aws_appintegrations.html#list_event_integration_associations/4","title":"aws_appintegrations.list_event_integration_associations/4","type":"function"},{"doc":"","ref":"aws_appintegrations.html#list_event_integration_associations/5","title":"aws_appintegrations.list_event_integration_associations/5","type":"function"},{"doc":"Returns a paginated list of event integrations in the account.","ref":"aws_appintegrations.html#list_event_integrations/1","title":"aws_appintegrations.list_event_integrations/1","type":"function"},{"doc":"","ref":"aws_appintegrations.html#list_event_integrations/3","title":"aws_appintegrations.list_event_integrations/3","type":"function"},{"doc":"","ref":"aws_appintegrations.html#list_event_integrations/4","title":"aws_appintegrations.list_event_integrations/4","type":"function"},{"doc":"Lists the tags for the specified resource.","ref":"aws_appintegrations.html#list_tags_for_resource/2","title":"aws_appintegrations.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_appintegrations.html#list_tags_for_resource/4","title":"aws_appintegrations.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_appintegrations.html#list_tags_for_resource/5","title":"aws_appintegrations.list_tags_for_resource/5","type":"function"},{"doc":"Adds the specified tags to the specified resource.","ref":"aws_appintegrations.html#tag_resource/3","title":"aws_appintegrations.tag_resource/3","type":"function"},{"doc":"","ref":"aws_appintegrations.html#tag_resource/4","title":"aws_appintegrations.tag_resource/4","type":"function"},{"doc":"Removes the specified tags from the specified resource.","ref":"aws_appintegrations.html#untag_resource/3","title":"aws_appintegrations.untag_resource/3","type":"function"},{"doc":"","ref":"aws_appintegrations.html#untag_resource/4","title":"aws_appintegrations.untag_resource/4","type":"function"},{"doc":"Updates the description of a DataIntegration. You cannot create a DataIntegration association for a DataIntegration that has been previously associated. Use a different DataIntegration, or recreate the DataIntegration using the CreateDataIntegration API.","ref":"aws_appintegrations.html#update_data_integration/3","title":"aws_appintegrations.update_data_integration/3","type":"function"},{"doc":"","ref":"aws_appintegrations.html#update_data_integration/4","title":"aws_appintegrations.update_data_integration/4","type":"function"},{"doc":"Updates the description of an event integration.","ref":"aws_appintegrations.html#update_event_integration/3","title":"aws_appintegrations.update_event_integration/3","type":"function"},{"doc":"","ref":"aws_appintegrations.html#update_event_integration/4","title":"aws_appintegrations.update_event_integration/4","type":"function"},{"doc":"With Application Auto Scaling, you can configure automatic scaling for the following resources: Amazon AppStream 2.0 fleets Amazon Aurora Replicas Amazon Comprehend document classification and entity recognizer endpoints Amazon DynamoDB tables and global secondary indexes throughput capacity Amazon ECS services Amazon ElastiCache for Redis clusters (replication groups) Amazon EMR clusters Amazon Keyspaces (for Apache Cassandra) tables Lambda function provisioned concurrency Amazon Managed Streaming for Apache Kafka broker storage Amazon Neptune clusters Amazon SageMaker endpoint variants Spot Fleets (Amazon EC2) Custom resources provided by your own applications or services API Summary The Application Auto Scaling service API includes three key sets of actions: Register and manage scalable targets - Register Amazon Web Services or custom resources as scalable targets (a resource that Application Auto Scaling can scale), set minimum and maximum capacity limits, and retrieve information on existing scalable targets. Configure and manage automatic scaling - Define scaling policies to dynamically scale your resources in response to CloudWatch alarms, schedule one-time or recurring scaling actions, and retrieve your recent scaling activity history. Suspend and resume scaling - Temporarily suspend and later resume automatic scaling by calling the RegisterScalableTarget API action for any Application Auto Scaling scalable target. You can suspend and resume (individually or in combination) scale-out activities that are triggered by a scaling policy, scale-in activities that are triggered by a scaling policy, and scheduled scaling. To learn more about Application Auto Scaling, including information about granting IAM users required permissions for Application Auto Scaling actions, see the Application Auto Scaling User Guide.","ref":"aws_application_auto_scaling.html","title":"aws_application_auto_scaling","type":"module"},{"doc":"Deletes the specified scaling policy for an Application Auto Scaling scalable target. Deleting a step scaling policy deletes the underlying alarm action, but does not delete the CloudWatch alarm associated with the scaling policy, even if it no longer has an associated action. For more information, see Delete a step scaling policy and Delete a target tracking scaling policy in the Application Auto Scaling User Guide.","ref":"aws_application_auto_scaling.html#delete_scaling_policy/2","title":"aws_application_auto_scaling.delete_scaling_policy/2","type":"function"},{"doc":"","ref":"aws_application_auto_scaling.html#delete_scaling_policy/3","title":"aws_application_auto_scaling.delete_scaling_policy/3","type":"function"},{"doc":"Deletes the specified scheduled action for an Application Auto Scaling scalable target. For more information, see Delete a scheduled action in the Application Auto Scaling User Guide.","ref":"aws_application_auto_scaling.html#delete_scheduled_action/2","title":"aws_application_auto_scaling.delete_scheduled_action/2","type":"function"},{"doc":"","ref":"aws_application_auto_scaling.html#delete_scheduled_action/3","title":"aws_application_auto_scaling.delete_scheduled_action/3","type":"function"},{"doc":"Deregisters an Application Auto Scaling scalable target when you have finished using it. To see which resources have been registered, use DescribeScalableTargets. Deregistering a scalable target deletes the scaling policies and the scheduled actions that are associated with it.","ref":"aws_application_auto_scaling.html#deregister_scalable_target/2","title":"aws_application_auto_scaling.deregister_scalable_target/2","type":"function"},{"doc":"","ref":"aws_application_auto_scaling.html#deregister_scalable_target/3","title":"aws_application_auto_scaling.deregister_scalable_target/3","type":"function"},{"doc":"Gets information about the scalable targets in the specified namespace. You can filter the results using ResourceIds and ScalableDimension .","ref":"aws_application_auto_scaling.html#describe_scalable_targets/2","title":"aws_application_auto_scaling.describe_scalable_targets/2","type":"function"},{"doc":"","ref":"aws_application_auto_scaling.html#describe_scalable_targets/3","title":"aws_application_auto_scaling.describe_scalable_targets/3","type":"function"},{"doc":"Provides descriptive information about the scaling activities in the specified namespace from the previous six weeks. You can filter the results using ResourceId and ScalableDimension . For information about viewing scaling activities using the Amazon Web Services CLI, see Scaling activities for Application Auto Scaling.","ref":"aws_application_auto_scaling.html#describe_scaling_activities/2","title":"aws_application_auto_scaling.describe_scaling_activities/2","type":"function"},{"doc":"","ref":"aws_application_auto_scaling.html#describe_scaling_activities/3","title":"aws_application_auto_scaling.describe_scaling_activities/3","type":"function"},{"doc":"Describes the Application Auto Scaling scaling policies for the specified service namespace. You can filter the results using ResourceId , ScalableDimension , and PolicyNames . For more information, see Target tracking scaling policies and Step scaling policies in the Application Auto Scaling User Guide.","ref":"aws_application_auto_scaling.html#describe_scaling_policies/2","title":"aws_application_auto_scaling.describe_scaling_policies/2","type":"function"},{"doc":"","ref":"aws_application_auto_scaling.html#describe_scaling_policies/3","title":"aws_application_auto_scaling.describe_scaling_policies/3","type":"function"},{"doc":"Describes the Application Auto Scaling scheduled actions for the specified service namespace. You can filter the results using the ResourceId , ScalableDimension , and ScheduledActionNames parameters. For more information, see Scheduled scaling and Managing scheduled scaling in the Application Auto Scaling User Guide.","ref":"aws_application_auto_scaling.html#describe_scheduled_actions/2","title":"aws_application_auto_scaling.describe_scheduled_actions/2","type":"function"},{"doc":"","ref":"aws_application_auto_scaling.html#describe_scheduled_actions/3","title":"aws_application_auto_scaling.describe_scheduled_actions/3","type":"function"},{"doc":"Creates or updates a scaling policy for an Application Auto Scaling scalable target. Each scalable target is identified by a service namespace, resource ID, and scalable dimension. A scaling policy applies to the scalable target identified by those three attributes. You cannot create a scaling policy until you have registered the resource as a scalable target. Multiple scaling policies can be in force at the same time for the same scalable target. You can have one or more target tracking scaling policies, one or more step scaling policies, or both. However, there is a chance that multiple policies could conflict, instructing the scalable target to scale out or in at the same time. Application Auto Scaling gives precedence to the policy that provides the largest capacity for both scale out and scale in. For example, if one policy increases capacity by 3, another policy increases capacity by 200 percent, and the current capacity is 10, Application Auto Scaling uses the policy with the highest calculated capacity (200% of 10 = 20) and scales out to 30. We recommend caution, however, when using target tracking scaling policies with step scaling policies because conflicts between these policies can cause undesirable behavior. For example, if the step scaling policy initiates a scale-in activity before the target tracking policy is ready to scale in, the scale-in activity will not be blocked. After the scale-in activity completes, the target tracking policy could instruct the scalable target to scale out again. For more information, see Target tracking scaling policies and Step scaling policies in the Application Auto Scaling User Guide. If a scalable target is deregistered, the scalable target is no longer available to execute scaling policies. Any scaling policies that were specified for the scalable target are deleted.","ref":"aws_application_auto_scaling.html#put_scaling_policy/2","title":"aws_application_auto_scaling.put_scaling_policy/2","type":"function"},{"doc":"","ref":"aws_application_auto_scaling.html#put_scaling_policy/3","title":"aws_application_auto_scaling.put_scaling_policy/3","type":"function"},{"doc":"Creates or updates a scheduled action for an Application Auto Scaling scalable target. Each scalable target is identified by a service namespace, resource ID, and scalable dimension. A scheduled action applies to the scalable target identified by those three attributes. You cannot create a scheduled action until you have registered the resource as a scalable target. When start and end times are specified with a recurring schedule using a cron expression or rates, they form the boundaries for when the recurring action starts and stops. To update a scheduled action, specify the parameters that you want to change. If you don't specify start and end times, the old values are deleted. For more information, see Scheduled scaling in the Application Auto Scaling User Guide. If a scalable target is deregistered, the scalable target is no longer available to run scheduled actions. Any scheduled actions that were specified for the scalable target are deleted.","ref":"aws_application_auto_scaling.html#put_scheduled_action/2","title":"aws_application_auto_scaling.put_scheduled_action/2","type":"function"},{"doc":"","ref":"aws_application_auto_scaling.html#put_scheduled_action/3","title":"aws_application_auto_scaling.put_scheduled_action/3","type":"function"},{"doc":"Registers or updates a scalable target, the resource that you want to scale. Scalable targets are uniquely identified by the combination of resource ID, scalable dimension, and namespace, which represents some capacity dimension of the underlying service. When you register a new scalable target, you must specify values for the minimum and maximum capacity. If the specified resource is not active in the target service, this operation does not change the resource's current capacity. Otherwise, it changes the resource's current capacity to a value that is inside of this range. If you choose to add a scaling policy, current capacity is adjustable within the specified range when scaling starts. Application Auto Scaling scaling policies will not scale capacity to values that are outside of the minimum and maximum range. After you register a scalable target, you do not need to register it again to use other Application Auto Scaling operations. To see which resources have been registered, use DescribeScalableTargets. You can also view the scaling policies for a service namespace by using DescribeScalableTargets. If you no longer need a scalable target, you can deregister it by using DeregisterScalableTarget. To update a scalable target, specify the parameters that you want to change. Include the parameters that identify the scalable target: resource ID, scalable dimension, and namespace. Any parameters that you don't specify are not changed by this update request. If you call the RegisterScalableTarget API to update an existing scalable target, Application Auto Scaling retrieves the current capacity of the resource. If it is below the minimum capacity or above the maximum capacity, Application Auto Scaling adjusts the capacity of the scalable target to place it within these bounds, even if you don't include the MinCapacity or MaxCapacity request parameters.","ref":"aws_application_auto_scaling.html#register_scalable_target/2","title":"aws_application_auto_scaling.register_scalable_target/2","type":"function"},{"doc":"","ref":"aws_application_auto_scaling.html#register_scalable_target/3","title":"aws_application_auto_scaling.register_scalable_target/3","type":"function"},{"doc":"Amazon Web Services Application Discovery Service Amazon Web Services Application Discovery Service helps you plan application migration projects. It automatically identifies servers, virtual machines (VMs), and network dependencies in your on-premises data centers. For more information, see the Amazon Web Services Application Discovery Service FAQ. Application Discovery Service offers three ways of performing discovery and collecting data about your on-premises servers: Agentless discovery is recommended for environments that use VMware vCenter Server. This mode doesn't require you to install an agent on each host. It does not work in non-VMware environments. Agentless discovery gathers server information regardless of the operating systems, which minimizes the time required for initial on-premises infrastructure assessment. Agentless discovery doesn't collect information about network dependencies, only agent-based discovery collects that information. Agent-based discovery collects a richer set of data than agentless discovery by using the Amazon Web Services Application Discovery Agent, which you install on one or more hosts in your data center. The agent captures infrastructure and application information, including an inventory of running processes, system performance information, resource utilization, and network dependencies. The information collected by agents is secured at rest and in transit to the Application Discovery Service database in the cloud. Amazon Web Services Partner Network (APN) solutions integrate with Application Discovery Service, enabling you to import details of your on-premises environment directly into Migration Hub without using the discovery connector or discovery agent. Third-party application discovery tools can query Amazon Web Services Application Discovery Service, and they can write to the Application Discovery Service database using the public API. In this way, you can import data into Migration Hub and view it, so that you can associate applications with servers and track migrations. Recommendations We recommend that you use agent-based discovery for non-VMware environments, and whenever you want to collect information about network dependencies. You can run agent-based and agentless discovery simultaneously. Use agentless discovery to complete the initial infrastructure assessment quickly, and then install agents on select hosts to collect additional information. Working With This Guide This API reference provides descriptions, syntax, and usage examples for each of the actions and data types for Application Discovery Service. The topic for each action shows the API request parameters and the response. Alternatively, you can use one of the Amazon Web Services SDKs to access an API that is tailored to the programming language or platform that you're using. For more information, see Amazon Web Services SDKs. Remember that you must set your Migration Hub home region before you call any of these APIs. You must make API calls for write actions (create, notify, associate, disassociate, import, or put) while in your home region, or a HomeRegionNotSetException error is returned. API calls for read actions (list, describe, stop, and delete) are permitted outside of your home region. Although it is unlikely, the Migration Hub home region could change. If you call APIs outside the home region, an InvalidInputException is returned. You must call GetHomeRegion to obtain the latest Migration Hub home region. This guide is intended for use with the Amazon Web Services Application Discovery Service User Guide. All data is handled according to the Amazon Web Services Privacy Policy. You can operate Application Discovery Service offline to inspect collected data before it is shared with the service.","ref":"aws_application_discovery.html","title":"aws_application_discovery","type":"module"},{"doc":"Associates one or more configuration items with an application.","ref":"aws_application_discovery.html#associate_configuration_items_to_application/2","title":"aws_application_discovery.associate_configuration_items_to_application/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#associate_configuration_items_to_application/3","title":"aws_application_discovery.associate_configuration_items_to_application/3","type":"function"},{"doc":"Deletes one or more import tasks, each identified by their import ID. Each import task has a number of records that can identify servers or applications. Amazon Web Services Application Discovery Service has built-in matching logic that will identify when discovered servers match existing entries that you've previously discovered, the information for the already-existing discovered server is updated. When you delete an import task that contains records that were used to match, the information in those matched records that comes from the deleted records will also be deleted.","ref":"aws_application_discovery.html#batch_delete_import_data/2","title":"aws_application_discovery.batch_delete_import_data/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#batch_delete_import_data/3","title":"aws_application_discovery.batch_delete_import_data/3","type":"function"},{"doc":"Creates an application with the given name and description.","ref":"aws_application_discovery.html#create_application/2","title":"aws_application_discovery.create_application/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#create_application/3","title":"aws_application_discovery.create_application/3","type":"function"},{"doc":"Creates one or more tags for configuration items. Tags are metadata that help you categorize IT assets. This API accepts a list of multiple configuration items. Do not store sensitive information (like personal data) in tags.","ref":"aws_application_discovery.html#create_tags/2","title":"aws_application_discovery.create_tags/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#create_tags/3","title":"aws_application_discovery.create_tags/3","type":"function"},{"doc":"Deletes a list of applications and their associations with configuration items.","ref":"aws_application_discovery.html#delete_applications/2","title":"aws_application_discovery.delete_applications/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#delete_applications/3","title":"aws_application_discovery.delete_applications/3","type":"function"},{"doc":"Deletes the association between configuration items and one or more tags. This API accepts a list of multiple configuration items.","ref":"aws_application_discovery.html#delete_tags/2","title":"aws_application_discovery.delete_tags/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#delete_tags/3","title":"aws_application_discovery.delete_tags/3","type":"function"},{"doc":"Lists agents or connectors as specified by ID or other filters. All agents/connectors associated with your user account can be listed if you call DescribeAgents as is without passing any parameters.","ref":"aws_application_discovery.html#describe_agents/2","title":"aws_application_discovery.describe_agents/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#describe_agents/3","title":"aws_application_discovery.describe_agents/3","type":"function"},{"doc":"Retrieves attributes for a list of configuration item IDs. All of the supplied IDs must be for the same asset type from one of the following: server application process connection Output fields are specific to the asset type specified. For example, the output for a server configuration item includes a list of attributes about the server, such as host name, operating system, number of network cards, etc. For a complete list of outputs for each asset type, see Using the DescribeConfigurations Action in the Amazon Web Services Application Discovery Service User Guide.","ref":"aws_application_discovery.html#describe_configurations/2","title":"aws_application_discovery.describe_configurations/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#describe_configurations/3","title":"aws_application_discovery.describe_configurations/3","type":"function"},{"doc":"Lists exports as specified by ID. All continuous exports associated with your user account can be listed if you call DescribeContinuousExports as is without passing any parameters.","ref":"aws_application_discovery.html#describe_continuous_exports/2","title":"aws_application_discovery.describe_continuous_exports/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#describe_continuous_exports/3","title":"aws_application_discovery.describe_continuous_exports/3","type":"function"},{"doc":"DescribeExportConfigurations is deprecated. Use DescribeExportTasks, instead.","ref":"aws_application_discovery.html#describe_export_configurations/2","title":"aws_application_discovery.describe_export_configurations/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#describe_export_configurations/3","title":"aws_application_discovery.describe_export_configurations/3","type":"function"},{"doc":"Retrieve status of one or more export tasks. You can retrieve the status of up to 100 export tasks.","ref":"aws_application_discovery.html#describe_export_tasks/2","title":"aws_application_discovery.describe_export_tasks/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#describe_export_tasks/3","title":"aws_application_discovery.describe_export_tasks/3","type":"function"},{"doc":"Returns an array of import tasks for your account, including status information, times, IDs, the Amazon S3 Object URL for the import file, and more.","ref":"aws_application_discovery.html#describe_import_tasks/2","title":"aws_application_discovery.describe_import_tasks/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#describe_import_tasks/3","title":"aws_application_discovery.describe_import_tasks/3","type":"function"},{"doc":"Retrieves a list of configuration items that have tags as specified by the key-value pairs, name and value, passed to the optional parameter filters . There are three valid tag filter names: tagKey tagValue configurationId Also, all configuration items associated with your user account that have tags can be listed if you call DescribeTags as is without passing any parameters.","ref":"aws_application_discovery.html#describe_tags/2","title":"aws_application_discovery.describe_tags/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#describe_tags/3","title":"aws_application_discovery.describe_tags/3","type":"function"},{"doc":"Disassociates one or more configuration items from an application.","ref":"aws_application_discovery.html#disassociate_configuration_items_from_application/2","title":"aws_application_discovery.disassociate_configuration_items_from_application/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#disassociate_configuration_items_from_application/3","title":"aws_application_discovery.disassociate_configuration_items_from_application/3","type":"function"},{"doc":"Deprecated. Use StartExportTask instead. Exports all discovered configuration data to an Amazon S3 bucket or an application that enables you to view and evaluate the data. Data includes tags and tag associations, processes, connections, servers, and system performance. This API returns an export ID that you can query using the DescribeExportConfigurations API. The system imposes a limit of two configuration exports in six hours.","ref":"aws_application_discovery.html#export_configurations/2","title":"aws_application_discovery.export_configurations/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#export_configurations/3","title":"aws_application_discovery.export_configurations/3","type":"function"},{"doc":"Retrieves a short summary of discovered assets. This API operation takes no request parameters and is called as is at the command prompt as shown in the example.","ref":"aws_application_discovery.html#get_discovery_summary/2","title":"aws_application_discovery.get_discovery_summary/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#get_discovery_summary/3","title":"aws_application_discovery.get_discovery_summary/3","type":"function"},{"doc":"Retrieves a list of configuration items as specified by the value passed to the required parameter configurationType . Optional filtering may be applied to refine search results.","ref":"aws_application_discovery.html#list_configurations/2","title":"aws_application_discovery.list_configurations/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#list_configurations/3","title":"aws_application_discovery.list_configurations/3","type":"function"},{"doc":"Retrieves a list of servers that are one network hop away from a specified server.","ref":"aws_application_discovery.html#list_server_neighbors/2","title":"aws_application_discovery.list_server_neighbors/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#list_server_neighbors/3","title":"aws_application_discovery.list_server_neighbors/3","type":"function"},{"doc":"Start the continuous flow of agent's discovered data into Amazon Athena.","ref":"aws_application_discovery.html#start_continuous_export/2","title":"aws_application_discovery.start_continuous_export/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#start_continuous_export/3","title":"aws_application_discovery.start_continuous_export/3","type":"function"},{"doc":"Instructs the specified agents or connectors to start collecting data.","ref":"aws_application_discovery.html#start_data_collection_by_agent_ids/2","title":"aws_application_discovery.start_data_collection_by_agent_ids/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#start_data_collection_by_agent_ids/3","title":"aws_application_discovery.start_data_collection_by_agent_ids/3","type":"function"},{"doc":"Begins the export of discovered data to an S3 bucket. If you specify agentIds in a filter, the task exports up to 72 hours of detailed data collected by the identified Application Discovery Agent, including network, process, and performance details. A time range for exported agent data may be set by using startTime and endTime . Export of detailed agent data is limited to five concurrently running exports. If you do not include an agentIds filter, summary data is exported that includes both Amazon Web Services Agentless Discovery Connector data and summary data from Amazon Web Services Discovery Agents. Export of summary data is limited to two exports per day.","ref":"aws_application_discovery.html#start_export_task/2","title":"aws_application_discovery.start_export_task/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#start_export_task/3","title":"aws_application_discovery.start_export_task/3","type":"function"},{"doc":"Starts an import task, which allows you to import details of your on-premises environment directly into Amazon Web Services Migration Hub without having to use the Application Discovery Service (ADS) tools such as the Discovery Connector or Discovery Agent. This gives you the option to perform migration assessment and planning directly from your imported data, including the ability to group your devices as applications and track their migration status. To start an import request, do this: Download the specially formatted comma separated value (CSV) import template, which you can find here: https://s3.us-west-2.amazonaws.com/templates-7cffcf56-bd96-4b1c-b45b-a5b42f282e46/import_template.csv . Fill out the template with your server and application data. Upload your import file to an Amazon S3 bucket, and make a note of it's Object URL. Your import file must be in the CSV format. Use the console or the StartImportTask command with the Amazon Web Services CLI or one of the Amazon Web Services SDKs to import the records from your file. For more information, including step-by-step procedures, see Migration Hub Import in the Amazon Web Services Application Discovery Service User Guide. There are limits to the number of import tasks you can create (and delete) in an Amazon Web Services account. For more information, see Amazon Web Services Application Discovery Service Limits in the Amazon Web Services Application Discovery Service User Guide.","ref":"aws_application_discovery.html#start_import_task/2","title":"aws_application_discovery.start_import_task/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#start_import_task/3","title":"aws_application_discovery.start_import_task/3","type":"function"},{"doc":"Stop the continuous flow of agent's discovered data into Amazon Athena.","ref":"aws_application_discovery.html#stop_continuous_export/2","title":"aws_application_discovery.stop_continuous_export/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#stop_continuous_export/3","title":"aws_application_discovery.stop_continuous_export/3","type":"function"},{"doc":"Instructs the specified agents or connectors to stop collecting data.","ref":"aws_application_discovery.html#stop_data_collection_by_agent_ids/2","title":"aws_application_discovery.stop_data_collection_by_agent_ids/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#stop_data_collection_by_agent_ids/3","title":"aws_application_discovery.stop_data_collection_by_agent_ids/3","type":"function"},{"doc":"Updates metadata about an application.","ref":"aws_application_discovery.html#update_application/2","title":"aws_application_discovery.update_application/2","type":"function"},{"doc":"","ref":"aws_application_discovery.html#update_application/3","title":"aws_application_discovery.update_application/3","type":"function"},{"doc":"Amazon CloudWatch Application Insights Amazon CloudWatch Application Insights is a service that helps you detect common problems with your applications. It enables you to pinpoint the source of issues in your applications (built with technologies such as Microsoft IIS, .NET, and Microsoft SQL Server), by providing key insights into detected problems. After you onboard your application, CloudWatch Application Insights identifies, recommends, and sets up metrics and logs. It continuously analyzes and correlates your metrics and logs for unusual behavior to surface actionable problems with your application. For example, if your application is slow and unresponsive and leading to HTTP 500 errors in your Application Load Balancer (ALB), Application Insights informs you that a memory pressure problem with your SQL Server database is occurring. It bases this analysis on impactful metrics and log errors.","ref":"aws_application_insights.html","title":"aws_application_insights","type":"module"},{"doc":"Adds an application that is created from a resource group.","ref":"aws_application_insights.html#create_application/2","title":"aws_application_insights.create_application/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#create_application/3","title":"aws_application_insights.create_application/3","type":"function"},{"doc":"Creates a custom component by grouping similar standalone instances to monitor.","ref":"aws_application_insights.html#create_component/2","title":"aws_application_insights.create_component/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#create_component/3","title":"aws_application_insights.create_component/3","type":"function"},{"doc":"Adds an log pattern to a LogPatternSet .","ref":"aws_application_insights.html#create_log_pattern/2","title":"aws_application_insights.create_log_pattern/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#create_log_pattern/3","title":"aws_application_insights.create_log_pattern/3","type":"function"},{"doc":"Removes the specified application from monitoring. Does not delete the application.","ref":"aws_application_insights.html#delete_application/2","title":"aws_application_insights.delete_application/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#delete_application/3","title":"aws_application_insights.delete_application/3","type":"function"},{"doc":"Ungroups a custom component. When you ungroup custom components, all applicable monitors that are set up for the component are removed and the instances revert to their standalone status.","ref":"aws_application_insights.html#delete_component/2","title":"aws_application_insights.delete_component/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#delete_component/3","title":"aws_application_insights.delete_component/3","type":"function"},{"doc":"Removes the specified log pattern from a LogPatternSet .","ref":"aws_application_insights.html#delete_log_pattern/2","title":"aws_application_insights.delete_log_pattern/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#delete_log_pattern/3","title":"aws_application_insights.delete_log_pattern/3","type":"function"},{"doc":"Describes the application.","ref":"aws_application_insights.html#describe_application/2","title":"aws_application_insights.describe_application/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#describe_application/3","title":"aws_application_insights.describe_application/3","type":"function"},{"doc":"Describes a component and lists the resources that are grouped together in a component.","ref":"aws_application_insights.html#describe_component/2","title":"aws_application_insights.describe_component/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#describe_component/3","title":"aws_application_insights.describe_component/3","type":"function"},{"doc":"Describes the monitoring configuration of the component.","ref":"aws_application_insights.html#describe_component_configuration/2","title":"aws_application_insights.describe_component_configuration/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#describe_component_configuration/3","title":"aws_application_insights.describe_component_configuration/3","type":"function"},{"doc":"Describes the recommended monitoring configuration of the component.","ref":"aws_application_insights.html#describe_component_configuration_recommendation/2","title":"aws_application_insights.describe_component_configuration_recommendation/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#describe_component_configuration_recommendation/3","title":"aws_application_insights.describe_component_configuration_recommendation/3","type":"function"},{"doc":"Describe a specific log pattern from a LogPatternSet .","ref":"aws_application_insights.html#describe_log_pattern/2","title":"aws_application_insights.describe_log_pattern/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#describe_log_pattern/3","title":"aws_application_insights.describe_log_pattern/3","type":"function"},{"doc":"Describes an anomaly or error with the application.","ref":"aws_application_insights.html#describe_observation/2","title":"aws_application_insights.describe_observation/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#describe_observation/3","title":"aws_application_insights.describe_observation/3","type":"function"},{"doc":"Describes an application problem.","ref":"aws_application_insights.html#describe_problem/2","title":"aws_application_insights.describe_problem/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#describe_problem/3","title":"aws_application_insights.describe_problem/3","type":"function"},{"doc":"Describes the anomalies or errors associated with the problem.","ref":"aws_application_insights.html#describe_problem_observations/2","title":"aws_application_insights.describe_problem_observations/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#describe_problem_observations/3","title":"aws_application_insights.describe_problem_observations/3","type":"function"},{"doc":"Lists the IDs of the applications that you are monitoring.","ref":"aws_application_insights.html#list_applications/2","title":"aws_application_insights.list_applications/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#list_applications/3","title":"aws_application_insights.list_applications/3","type":"function"},{"doc":"Lists the auto-grouped, standalone, and custom components of the application.","ref":"aws_application_insights.html#list_components/2","title":"aws_application_insights.list_components/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#list_components/3","title":"aws_application_insights.list_components/3","type":"function"},{"doc":"Lists the INFO, WARN, and ERROR events for periodic configuration updates performed by Application Insights. Examples of events represented are: INFO: creating a new alarm or updating an alarm threshold. WARN: alarm not created due to insufficient data points used to predict thresholds. ERROR: alarm not created due to permission errors or exceeding quotas.","ref":"aws_application_insights.html#list_configuration_history/2","title":"aws_application_insights.list_configuration_history/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#list_configuration_history/3","title":"aws_application_insights.list_configuration_history/3","type":"function"},{"doc":"Lists the log pattern sets in the specific application.","ref":"aws_application_insights.html#list_log_pattern_sets/2","title":"aws_application_insights.list_log_pattern_sets/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#list_log_pattern_sets/3","title":"aws_application_insights.list_log_pattern_sets/3","type":"function"},{"doc":"Lists the log patterns in the specific log LogPatternSet .","ref":"aws_application_insights.html#list_log_patterns/2","title":"aws_application_insights.list_log_patterns/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#list_log_patterns/3","title":"aws_application_insights.list_log_patterns/3","type":"function"},{"doc":"Lists the problems with your application.","ref":"aws_application_insights.html#list_problems/2","title":"aws_application_insights.list_problems/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#list_problems/3","title":"aws_application_insights.list_problems/3","type":"function"},{"doc":"Retrieve a list of the tags (keys and values) that are associated with a specified application. A tag is a label that you optionally define and associate with an application. Each tag consists of a required tag key and an optional associated tag value. A tag key is a general label that acts as a category for more specific tag values. A tag value acts as a descriptor within a tag key.","ref":"aws_application_insights.html#list_tags_for_resource/2","title":"aws_application_insights.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#list_tags_for_resource/3","title":"aws_application_insights.list_tags_for_resource/3","type":"function"},{"doc":"Add one or more tags (keys and values) to a specified application. A tag is a label that you optionally define and associate with an application. Tags can help you categorize and manage application in different ways, such as by purpose, owner, environment, or other criteria. Each tag consists of a required tag key and an associated tag value, both of which you define. A tag key is a general label that acts as a category for more specific tag values. A tag value acts as a descriptor within a tag key.","ref":"aws_application_insights.html#tag_resource/2","title":"aws_application_insights.tag_resource/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#tag_resource/3","title":"aws_application_insights.tag_resource/3","type":"function"},{"doc":"Remove one or more tags (keys and values) from a specified application.","ref":"aws_application_insights.html#untag_resource/2","title":"aws_application_insights.untag_resource/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#untag_resource/3","title":"aws_application_insights.untag_resource/3","type":"function"},{"doc":"Updates the application.","ref":"aws_application_insights.html#update_application/2","title":"aws_application_insights.update_application/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#update_application/3","title":"aws_application_insights.update_application/3","type":"function"},{"doc":"Updates the custom component name and/or the list of resources that make up the component.","ref":"aws_application_insights.html#update_component/2","title":"aws_application_insights.update_component/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#update_component/3","title":"aws_application_insights.update_component/3","type":"function"},{"doc":"Updates the monitoring configurations for the component. The configuration input parameter is an escaped JSON of the configuration and should match the schema of what is returned by DescribeComponentConfigurationRecommendation .","ref":"aws_application_insights.html#update_component_configuration/2","title":"aws_application_insights.update_component_configuration/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#update_component_configuration/3","title":"aws_application_insights.update_component_configuration/3","type":"function"},{"doc":"Adds a log pattern to a LogPatternSet .","ref":"aws_application_insights.html#update_log_pattern/2","title":"aws_application_insights.update_log_pattern/2","type":"function"},{"doc":"","ref":"aws_application_insights.html#update_log_pattern/3","title":"aws_application_insights.update_log_pattern/3","type":"function"},{"doc":"This reference provides descriptions of the AWS Application Cost Profiler API. The AWS Application Cost Profiler API provides programmatic access to view, create, update, and delete application cost report definitions, as well as to import your usage data into the Application Cost Profiler service. For more information about using this service, see the AWS Application Cost Profiler User Guide.","ref":"aws_applicationcostprofiler.html","title":"aws_applicationcostprofiler","type":"module"},{"doc":"Deletes the specified report definition in AWS Application Cost Profiler. This stops the report from being generated.","ref":"aws_applicationcostprofiler.html#delete_report_definition/3","title":"aws_applicationcostprofiler.delete_report_definition/3","type":"function"},{"doc":"","ref":"aws_applicationcostprofiler.html#delete_report_definition/4","title":"aws_applicationcostprofiler.delete_report_definition/4","type":"function"},{"doc":"Retrieves the definition of a report already configured in AWS Application Cost Profiler.","ref":"aws_applicationcostprofiler.html#get_report_definition/2","title":"aws_applicationcostprofiler.get_report_definition/2","type":"function"},{"doc":"","ref":"aws_applicationcostprofiler.html#get_report_definition/4","title":"aws_applicationcostprofiler.get_report_definition/4","type":"function"},{"doc":"","ref":"aws_applicationcostprofiler.html#get_report_definition/5","title":"aws_applicationcostprofiler.get_report_definition/5","type":"function"},{"doc":"Ingests application usage data from Amazon Simple Storage Service (Amazon S3). The data must already exist in the S3 location. As part of the action, AWS Application Cost Profiler copies the object from your S3 bucket to an S3 bucket owned by Amazon for processing asynchronously.","ref":"aws_applicationcostprofiler.html#import_application_usage/2","title":"aws_applicationcostprofiler.import_application_usage/2","type":"function"},{"doc":"","ref":"aws_applicationcostprofiler.html#import_application_usage/3","title":"aws_applicationcostprofiler.import_application_usage/3","type":"function"},{"doc":"Retrieves a list of all reports and their configurations for your AWS account. The maximum number of reports is one.","ref":"aws_applicationcostprofiler.html#list_report_definitions/1","title":"aws_applicationcostprofiler.list_report_definitions/1","type":"function"},{"doc":"","ref":"aws_applicationcostprofiler.html#list_report_definitions/3","title":"aws_applicationcostprofiler.list_report_definitions/3","type":"function"},{"doc":"","ref":"aws_applicationcostprofiler.html#list_report_definitions/4","title":"aws_applicationcostprofiler.list_report_definitions/4","type":"function"},{"doc":"Creates the report definition for a report in Application Cost Profiler.","ref":"aws_applicationcostprofiler.html#put_report_definition/2","title":"aws_applicationcostprofiler.put_report_definition/2","type":"function"},{"doc":"","ref":"aws_applicationcostprofiler.html#put_report_definition/3","title":"aws_applicationcostprofiler.put_report_definition/3","type":"function"},{"doc":"Updates existing report in AWS Application Cost Profiler.","ref":"aws_applicationcostprofiler.html#update_report_definition/3","title":"aws_applicationcostprofiler.update_report_definition/3","type":"function"},{"doc":"","ref":"aws_applicationcostprofiler.html#update_report_definition/4","title":"aws_applicationcostprofiler.update_report_definition/4","type":"function"},{"doc":"App Runner App Runner is an application service that provides a fast, simple, and cost-effective way to go directly from an existing container image or source code to a running service in the Amazon Web Services Cloud in seconds. You don't need to learn new technologies, decide which compute service to use, or understand how to provision and configure Amazon Web Services resources. App Runner connects directly to your container registry or source code repository. It provides an automatic delivery pipeline with fully managed operations, high performance, scalability, and security. For more information about App Runner, see the App Runner Developer Guide. For release information, see the App Runner Release Notes. To install the Software Development Kits (SDKs), Integrated Development Environment (IDE) Toolkits, and command line tools that you can use to access the API, see Tools for Amazon Web Services. Endpoints For a list of Region-specific endpoints that App Runner supports, see App Runner endpoints and quotas in the Amazon Web Services General Reference.","ref":"aws_apprunner.html","title":"aws_apprunner","type":"module"},{"doc":"Associate your own domain name with the App Runner subdomain URL of your App Runner service. After you call AssociateCustomDomain and receive a successful response, use the information in the CustomDomain record that's returned to add CNAME records to your Domain Name System (DNS). For each mapped domain name, add a mapping to the target App Runner subdomain and one or more certificate validation records. App Runner then performs DNS validation to verify that you own or control the domain name that you associated. App Runner tracks domain validity in a certificate stored in AWS Certificate Manager (ACM).","ref":"aws_apprunner.html#associate_custom_domain/2","title":"aws_apprunner.associate_custom_domain/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#associate_custom_domain/3","title":"aws_apprunner.associate_custom_domain/3","type":"function"},{"doc":"Create an App Runner automatic scaling configuration resource. App Runner requires this resource when you create or update App Runner services and you require non-default auto scaling settings. You can share an auto scaling configuration across multiple services. Create multiple revisions of a configuration by calling this action multiple times using the same AutoScalingConfigurationName . The call returns incremental AutoScalingConfigurationRevision values. When you create a service and configure an auto scaling configuration resource, the service uses the latest active revision of the auto scaling configuration by default. You can optionally configure the service to use a specific revision. Configure a higher MinSize to increase the spread of your App Runner service over more Availability Zones in the Amazon Web Services Region. The tradeoff is a higher minimal cost. Configure a lower MaxSize to control your cost. The tradeoff is lower responsiveness during peak demand.","ref":"aws_apprunner.html#create_auto_scaling_configuration/2","title":"aws_apprunner.create_auto_scaling_configuration/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#create_auto_scaling_configuration/3","title":"aws_apprunner.create_auto_scaling_configuration/3","type":"function"},{"doc":"Create an App Runner connection resource. App Runner requires a connection resource when you create App Runner services that access private repositories from certain third-party providers. You can share a connection across multiple services. A connection resource is needed to access GitHub repositories. GitHub requires a user interface approval process through the App Runner console before you can use the connection.","ref":"aws_apprunner.html#create_connection/2","title":"aws_apprunner.create_connection/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#create_connection/3","title":"aws_apprunner.create_connection/3","type":"function"},{"doc":"Create an App Runner observability configuration resource. App Runner requires this resource when you create or update App Runner services and you want to enable non-default observability features. You can share an observability configuration across multiple services. Create multiple revisions of a configuration by calling this action multiple times using the same ObservabilityConfigurationName . The call returns incremental ObservabilityConfigurationRevision values. When you create a service and configure an observability configuration resource, the service uses the latest active revision of the observability configuration by default. You can optionally configure the service to use a specific revision. The observability configuration resource is designed to configure multiple features (currently one feature, tracing). This action takes optional parameters that describe the configuration of these features (currently one parameter, TraceConfiguration ). If you don't specify a feature parameter, App Runner doesn't enable the feature.","ref":"aws_apprunner.html#create_observability_configuration/2","title":"aws_apprunner.create_observability_configuration/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#create_observability_configuration/3","title":"aws_apprunner.create_observability_configuration/3","type":"function"},{"doc":"Create an App Runner service. After the service is created, the action also automatically starts a deployment. This is an asynchronous operation. On a successful call, you can use the returned OperationId and the ListOperations call to track the operation's progress.","ref":"aws_apprunner.html#create_service/2","title":"aws_apprunner.create_service/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#create_service/3","title":"aws_apprunner.create_service/3","type":"function"},{"doc":"Create an App Runner VPC connector resource. App Runner requires this resource when you want to associate your App Runner service to a custom Amazon Virtual Private Cloud (Amazon VPC).","ref":"aws_apprunner.html#create_vpc_connector/2","title":"aws_apprunner.create_vpc_connector/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#create_vpc_connector/3","title":"aws_apprunner.create_vpc_connector/3","type":"function"},{"doc":"Create an App Runner VPC Ingress Connection resource. App Runner requires this resource when you want to associate your App Runner service with an Amazon VPC endpoint.","ref":"aws_apprunner.html#create_vpc_ingress_connection/2","title":"aws_apprunner.create_vpc_ingress_connection/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#create_vpc_ingress_connection/3","title":"aws_apprunner.create_vpc_ingress_connection/3","type":"function"},{"doc":"Delete an App Runner automatic scaling configuration resource. You can delete a specific revision or the latest active revision. You can't delete a configuration that's used by one or more App Runner services.","ref":"aws_apprunner.html#delete_auto_scaling_configuration/2","title":"aws_apprunner.delete_auto_scaling_configuration/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#delete_auto_scaling_configuration/3","title":"aws_apprunner.delete_auto_scaling_configuration/3","type":"function"},{"doc":"Delete an App Runner connection. You must first ensure that there are no running App Runner services that use this connection. If there are any, the DeleteConnection action fails.","ref":"aws_apprunner.html#delete_connection/2","title":"aws_apprunner.delete_connection/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#delete_connection/3","title":"aws_apprunner.delete_connection/3","type":"function"},{"doc":"Delete an App Runner observability configuration resource. You can delete a specific revision or the latest active revision. You can't delete a configuration that's used by one or more App Runner services.","ref":"aws_apprunner.html#delete_observability_configuration/2","title":"aws_apprunner.delete_observability_configuration/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#delete_observability_configuration/3","title":"aws_apprunner.delete_observability_configuration/3","type":"function"},{"doc":"Delete an App Runner service. This is an asynchronous operation. On a successful call, you can use the returned OperationId and the ListOperations call to track the operation's progress. Make sure that you don't have any active VPCIngressConnections associated with the service you want to delete.","ref":"aws_apprunner.html#delete_service/2","title":"aws_apprunner.delete_service/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#delete_service/3","title":"aws_apprunner.delete_service/3","type":"function"},{"doc":"Delete an App Runner VPC connector resource. You can't delete a connector that's used by one or more App Runner services.","ref":"aws_apprunner.html#delete_vpc_connector/2","title":"aws_apprunner.delete_vpc_connector/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#delete_vpc_connector/3","title":"aws_apprunner.delete_vpc_connector/3","type":"function"},{"doc":"Delete an App Runner VPC Ingress Connection resource that's associated with an App Runner service. The VPC Ingress Connection must be in one of the following states to be deleted: AVAILABLE FAILED_CREATION FAILED_UPDATE FAILED_DELETION","ref":"aws_apprunner.html#delete_vpc_ingress_connection/2","title":"aws_apprunner.delete_vpc_ingress_connection/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#delete_vpc_ingress_connection/3","title":"aws_apprunner.delete_vpc_ingress_connection/3","type":"function"},{"doc":"Return a full description of an App Runner automatic scaling configuration resource.","ref":"aws_apprunner.html#describe_auto_scaling_configuration/2","title":"aws_apprunner.describe_auto_scaling_configuration/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#describe_auto_scaling_configuration/3","title":"aws_apprunner.describe_auto_scaling_configuration/3","type":"function"},{"doc":"Return a description of custom domain names that are associated with an App Runner service.","ref":"aws_apprunner.html#describe_custom_domains/2","title":"aws_apprunner.describe_custom_domains/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#describe_custom_domains/3","title":"aws_apprunner.describe_custom_domains/3","type":"function"},{"doc":"Return a full description of an App Runner observability configuration resource.","ref":"aws_apprunner.html#describe_observability_configuration/2","title":"aws_apprunner.describe_observability_configuration/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#describe_observability_configuration/3","title":"aws_apprunner.describe_observability_configuration/3","type":"function"},{"doc":"Return a full description of an App Runner service.","ref":"aws_apprunner.html#describe_service/2","title":"aws_apprunner.describe_service/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#describe_service/3","title":"aws_apprunner.describe_service/3","type":"function"},{"doc":"Return a description of an App Runner VPC connector resource.","ref":"aws_apprunner.html#describe_vpc_connector/2","title":"aws_apprunner.describe_vpc_connector/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#describe_vpc_connector/3","title":"aws_apprunner.describe_vpc_connector/3","type":"function"},{"doc":"Return a full description of an App Runner VPC Ingress Connection resource.","ref":"aws_apprunner.html#describe_vpc_ingress_connection/2","title":"aws_apprunner.describe_vpc_ingress_connection/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#describe_vpc_ingress_connection/3","title":"aws_apprunner.describe_vpc_ingress_connection/3","type":"function"},{"doc":"Disassociate a custom domain name from an App Runner service. Certificates tracking domain validity are associated with a custom domain and are stored in AWS Certificate Manager (ACM). These certificates aren't deleted as part of this action. App Runner delays certificate deletion for 30 days after a domain is disassociated from your service.","ref":"aws_apprunner.html#disassociate_custom_domain/2","title":"aws_apprunner.disassociate_custom_domain/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#disassociate_custom_domain/3","title":"aws_apprunner.disassociate_custom_domain/3","type":"function"},{"doc":"Returns a list of active App Runner automatic scaling configurations in your Amazon Web Services account. You can query the revisions for a specific configuration name or the revisions for all active configurations in your account. You can optionally query only the latest revision of each requested name. To retrieve a full description of a particular configuration revision, call and provide one of the ARNs returned by ListAutoScalingConfigurations .","ref":"aws_apprunner.html#list_auto_scaling_configurations/2","title":"aws_apprunner.list_auto_scaling_configurations/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#list_auto_scaling_configurations/3","title":"aws_apprunner.list_auto_scaling_configurations/3","type":"function"},{"doc":"Returns a list of App Runner connections that are associated with your Amazon Web Services account.","ref":"aws_apprunner.html#list_connections/2","title":"aws_apprunner.list_connections/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#list_connections/3","title":"aws_apprunner.list_connections/3","type":"function"},{"doc":"Returns a list of active App Runner observability configurations in your Amazon Web Services account. You can query the revisions for a specific configuration name or the revisions for all active configurations in your account. You can optionally query only the latest revision of each requested name. To retrieve a full description of a particular configuration revision, call and provide one of the ARNs returned by ListObservabilityConfigurations .","ref":"aws_apprunner.html#list_observability_configurations/2","title":"aws_apprunner.list_observability_configurations/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#list_observability_configurations/3","title":"aws_apprunner.list_observability_configurations/3","type":"function"},{"doc":"Return a list of operations that occurred on an App Runner service. The resulting list of OperationSummary objects is sorted in reverse chronological order. The first object on the list represents the last started operation.","ref":"aws_apprunner.html#list_operations/2","title":"aws_apprunner.list_operations/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#list_operations/3","title":"aws_apprunner.list_operations/3","type":"function"},{"doc":"Returns a list of running App Runner services in your Amazon Web Services account.","ref":"aws_apprunner.html#list_services/2","title":"aws_apprunner.list_services/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#list_services/3","title":"aws_apprunner.list_services/3","type":"function"},{"doc":"List tags that are associated with for an App Runner resource. The response contains a list of tag key-value pairs.","ref":"aws_apprunner.html#list_tags_for_resource/2","title":"aws_apprunner.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#list_tags_for_resource/3","title":"aws_apprunner.list_tags_for_resource/3","type":"function"},{"doc":"Returns a list of App Runner VPC connectors in your Amazon Web Services account.","ref":"aws_apprunner.html#list_vpc_connectors/2","title":"aws_apprunner.list_vpc_connectors/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#list_vpc_connectors/3","title":"aws_apprunner.list_vpc_connectors/3","type":"function"},{"doc":"Return a list of App Runner VPC Ingress Connections in your Amazon Web Services account.","ref":"aws_apprunner.html#list_vpc_ingress_connections/2","title":"aws_apprunner.list_vpc_ingress_connections/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#list_vpc_ingress_connections/3","title":"aws_apprunner.list_vpc_ingress_connections/3","type":"function"},{"doc":"Pause an active App Runner service. App Runner reduces compute capacity for the service to zero and loses state (for example, ephemeral storage is removed). This is an asynchronous operation. On a successful call, you can use the returned OperationId and the ListOperations call to track the operation's progress.","ref":"aws_apprunner.html#pause_service/2","title":"aws_apprunner.pause_service/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#pause_service/3","title":"aws_apprunner.pause_service/3","type":"function"},{"doc":"Resume an active App Runner service. App Runner provisions compute capacity for the service. This is an asynchronous operation. On a successful call, you can use the returned OperationId and the ListOperations call to track the operation's progress.","ref":"aws_apprunner.html#resume_service/2","title":"aws_apprunner.resume_service/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#resume_service/3","title":"aws_apprunner.resume_service/3","type":"function"},{"doc":"Initiate a manual deployment of the latest commit in a source code repository or the latest image in a source image repository to an App Runner service. For a source code repository, App Runner retrieves the commit and builds a Docker image. For a source image repository, App Runner retrieves the latest Docker image. In both cases, App Runner then deploys the new image to your service and starts a new container instance. This is an asynchronous operation. On a successful call, you can use the returned OperationId and the ListOperations call to track the operation's progress.","ref":"aws_apprunner.html#start_deployment/2","title":"aws_apprunner.start_deployment/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#start_deployment/3","title":"aws_apprunner.start_deployment/3","type":"function"},{"doc":"Add tags to, or update the tag values of, an App Runner resource. A tag is a key-value pair.","ref":"aws_apprunner.html#tag_resource/2","title":"aws_apprunner.tag_resource/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#tag_resource/3","title":"aws_apprunner.tag_resource/3","type":"function"},{"doc":"Remove tags from an App Runner resource.","ref":"aws_apprunner.html#untag_resource/2","title":"aws_apprunner.untag_resource/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#untag_resource/3","title":"aws_apprunner.untag_resource/3","type":"function"},{"doc":"Update an App Runner service. You can update the source configuration and instance configuration of the service. You can also update the ARN of the auto scaling configuration resource that's associated with the service. However, you can't change the name or the encryption configuration of the service. These can be set only when you create the service. To update the tags applied to your service, use the separate actions TagResource and UntagResource . This is an asynchronous operation. On a successful call, you can use the returned OperationId and the ListOperations call to track the operation's progress.","ref":"aws_apprunner.html#update_service/2","title":"aws_apprunner.update_service/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#update_service/3","title":"aws_apprunner.update_service/3","type":"function"},{"doc":"Update an existing App Runner VPC Ingress Connection resource. The VPC Ingress Connection must be in one of the following states to be updated: AVAILABLE FAILED_CREATION FAILED_UPDATE","ref":"aws_apprunner.html#update_vpc_ingress_connection/2","title":"aws_apprunner.update_vpc_ingress_connection/2","type":"function"},{"doc":"","ref":"aws_apprunner.html#update_vpc_ingress_connection/3","title":"aws_apprunner.update_vpc_ingress_connection/3","type":"function"},{"doc":"Amazon AppStream 2.0 This is the Amazon AppStream 2.0 API Reference. This documentation provides descriptions and syntax for each of the actions and data types in AppStream 2.0. AppStream 2.0 is a fully managed, secure application streaming service that lets you stream desktop applications to users without rewriting applications. AppStream 2.0 manages the AWS resources that are required to host and run your applications, scales automatically, and provides access to your users on demand. You can call the AppStream 2.0 API operations by using an interface VPC endpoint (interface endpoint). For more information, see Access AppStream 2.0 API Operations and CLI Commands Through an Interface VPC Endpoint in the Amazon AppStream 2.0 Administration Guide. To learn more about AppStream 2.0, see the following resources: Amazon AppStream 2.0 product page Amazon AppStream 2.0 documentation","ref":"aws_appstream.html","title":"aws_appstream","type":"module"},{"doc":"Associates the specified application with the specified fleet. This is only supported for Elastic fleets.","ref":"aws_appstream.html#associate_application_fleet/2","title":"aws_appstream.associate_application_fleet/2","type":"function"},{"doc":"","ref":"aws_appstream.html#associate_application_fleet/3","title":"aws_appstream.associate_application_fleet/3","type":"function"},{"doc":"Associates an application to entitle.","ref":"aws_appstream.html#associate_application_to_entitlement/2","title":"aws_appstream.associate_application_to_entitlement/2","type":"function"},{"doc":"","ref":"aws_appstream.html#associate_application_to_entitlement/3","title":"aws_appstream.associate_application_to_entitlement/3","type":"function"},{"doc":"Associates the specified fleet with the specified stack.","ref":"aws_appstream.html#associate_fleet/2","title":"aws_appstream.associate_fleet/2","type":"function"},{"doc":"","ref":"aws_appstream.html#associate_fleet/3","title":"aws_appstream.associate_fleet/3","type":"function"},{"doc":"Associates the specified users with the specified stacks. Users in a user pool cannot be assigned to stacks with fleets that are joined to an Active Directory domain.","ref":"aws_appstream.html#batch_associate_user_stack/2","title":"aws_appstream.batch_associate_user_stack/2","type":"function"},{"doc":"","ref":"aws_appstream.html#batch_associate_user_stack/3","title":"aws_appstream.batch_associate_user_stack/3","type":"function"},{"doc":"Disassociates the specified users from the specified stacks.","ref":"aws_appstream.html#batch_disassociate_user_stack/2","title":"aws_appstream.batch_disassociate_user_stack/2","type":"function"},{"doc":"","ref":"aws_appstream.html#batch_disassociate_user_stack/3","title":"aws_appstream.batch_disassociate_user_stack/3","type":"function"},{"doc":"Copies the image within the same region or to a new region within the same AWS account. Note that any tags you added to the image will not be copied.","ref":"aws_appstream.html#copy_image/2","title":"aws_appstream.copy_image/2","type":"function"},{"doc":"","ref":"aws_appstream.html#copy_image/3","title":"aws_appstream.copy_image/3","type":"function"},{"doc":"Creates an app block. App blocks are an Amazon AppStream 2.0 resource that stores the details about the virtual hard disk in an S3 bucket. It also stores the setup script with details about how to mount the virtual hard disk. The virtual hard disk includes the application binaries and other files necessary to launch your applications. Multiple applications can be assigned to a single app block. This is only supported for Elastic fleets.","ref":"aws_appstream.html#create_app_block/2","title":"aws_appstream.create_app_block/2","type":"function"},{"doc":"","ref":"aws_appstream.html#create_app_block/3","title":"aws_appstream.create_app_block/3","type":"function"},{"doc":"Creates an application. Applications are an Amazon AppStream 2.0 resource that stores the details about how to launch applications on Elastic fleet streaming instances. An application consists of the launch details, icon, and display name. Applications are associated with an app block that contains the application binaries and other files. The applications assigned to an Elastic fleet are the applications users can launch. This is only supported for Elastic fleets.","ref":"aws_appstream.html#create_application/2","title":"aws_appstream.create_application/2","type":"function"},{"doc":"","ref":"aws_appstream.html#create_application/3","title":"aws_appstream.create_application/3","type":"function"},{"doc":"Creates a Directory Config object in AppStream 2.0. This object includes the configuration information required to join fleets and image builders to Microsoft Active Directory domains.","ref":"aws_appstream.html#create_directory_config/2","title":"aws_appstream.create_directory_config/2","type":"function"},{"doc":"","ref":"aws_appstream.html#create_directory_config/3","title":"aws_appstream.create_directory_config/3","type":"function"},{"doc":"Creates a new entitlement. Entitlements control access to specific applications within a stack, based on user attributes. Entitlements apply to SAML 2.0 federated user identities. Amazon AppStream 2.0 user pool and streaming URL users are entitled to all applications in a stack. Entitlements don't apply to the desktop stream view application, or to applications managed by a dynamic app provider using the Dynamic Application Framework.","ref":"aws_appstream.html#create_entitlement/2","title":"aws_appstream.create_entitlement/2","type":"function"},{"doc":"","ref":"aws_appstream.html#create_entitlement/3","title":"aws_appstream.create_entitlement/3","type":"function"},{"doc":"Creates a fleet. A fleet consists of streaming instances that your users access for their applications and desktops.","ref":"aws_appstream.html#create_fleet/2","title":"aws_appstream.create_fleet/2","type":"function"},{"doc":"","ref":"aws_appstream.html#create_fleet/3","title":"aws_appstream.create_fleet/3","type":"function"},{"doc":"Creates an image builder. An image builder is a virtual machine that is used to create an image. The initial state of the builder is PENDING . When it is ready, the state is RUNNING .","ref":"aws_appstream.html#create_image_builder/2","title":"aws_appstream.create_image_builder/2","type":"function"},{"doc":"","ref":"aws_appstream.html#create_image_builder/3","title":"aws_appstream.create_image_builder/3","type":"function"},{"doc":"Creates a URL to start an image builder streaming session.","ref":"aws_appstream.html#create_image_builder_streaming_url/2","title":"aws_appstream.create_image_builder_streaming_url/2","type":"function"},{"doc":"","ref":"aws_appstream.html#create_image_builder_streaming_url/3","title":"aws_appstream.create_image_builder_streaming_url/3","type":"function"},{"doc":"Creates a stack to start streaming applications to users. A stack consists of an associated fleet, user access policies, and storage configurations.","ref":"aws_appstream.html#create_stack/2","title":"aws_appstream.create_stack/2","type":"function"},{"doc":"","ref":"aws_appstream.html#create_stack/3","title":"aws_appstream.create_stack/3","type":"function"},{"doc":"Creates a temporary URL to start an AppStream 2.0 streaming session for the specified user. A streaming URL enables application streaming to be tested without user setup.","ref":"aws_appstream.html#create_streaming_url/2","title":"aws_appstream.create_streaming_url/2","type":"function"},{"doc":"","ref":"aws_appstream.html#create_streaming_url/3","title":"aws_appstream.create_streaming_url/3","type":"function"},{"doc":"Creates a new image with the latest Windows operating system updates, driver updates, and AppStream 2.0 agent software. For more information, see the &quot;Update an Image by Using Managed AppStream 2.0 Image Updates&quot; section in Administer Your AppStream 2.0 Images, in the Amazon AppStream 2.0 Administration Guide.","ref":"aws_appstream.html#create_updated_image/2","title":"aws_appstream.create_updated_image/2","type":"function"},{"doc":"","ref":"aws_appstream.html#create_updated_image/3","title":"aws_appstream.create_updated_image/3","type":"function"},{"doc":"Creates a usage report subscription. Usage reports are generated daily.","ref":"aws_appstream.html#create_usage_report_subscription/2","title":"aws_appstream.create_usage_report_subscription/2","type":"function"},{"doc":"","ref":"aws_appstream.html#create_usage_report_subscription/3","title":"aws_appstream.create_usage_report_subscription/3","type":"function"},{"doc":"Creates a new user in the user pool.","ref":"aws_appstream.html#create_user/2","title":"aws_appstream.create_user/2","type":"function"},{"doc":"","ref":"aws_appstream.html#create_user/3","title":"aws_appstream.create_user/3","type":"function"},{"doc":"Deletes an app block.","ref":"aws_appstream.html#delete_app_block/2","title":"aws_appstream.delete_app_block/2","type":"function"},{"doc":"","ref":"aws_appstream.html#delete_app_block/3","title":"aws_appstream.delete_app_block/3","type":"function"},{"doc":"Deletes an application.","ref":"aws_appstream.html#delete_application/2","title":"aws_appstream.delete_application/2","type":"function"},{"doc":"","ref":"aws_appstream.html#delete_application/3","title":"aws_appstream.delete_application/3","type":"function"},{"doc":"Deletes the specified Directory Config object from AppStream 2.0. This object includes the information required to join streaming instances to an Active Directory domain.","ref":"aws_appstream.html#delete_directory_config/2","title":"aws_appstream.delete_directory_config/2","type":"function"},{"doc":"","ref":"aws_appstream.html#delete_directory_config/3","title":"aws_appstream.delete_directory_config/3","type":"function"},{"doc":"Deletes the specified entitlement.","ref":"aws_appstream.html#delete_entitlement/2","title":"aws_appstream.delete_entitlement/2","type":"function"},{"doc":"","ref":"aws_appstream.html#delete_entitlement/3","title":"aws_appstream.delete_entitlement/3","type":"function"},{"doc":"Deletes the specified fleet.","ref":"aws_appstream.html#delete_fleet/2","title":"aws_appstream.delete_fleet/2","type":"function"},{"doc":"","ref":"aws_appstream.html#delete_fleet/3","title":"aws_appstream.delete_fleet/3","type":"function"},{"doc":"Deletes the specified image. You cannot delete an image when it is in use. After you delete an image, you cannot provision new capacity using the image.","ref":"aws_appstream.html#delete_image/2","title":"aws_appstream.delete_image/2","type":"function"},{"doc":"","ref":"aws_appstream.html#delete_image/3","title":"aws_appstream.delete_image/3","type":"function"},{"doc":"Deletes the specified image builder and releases the capacity.","ref":"aws_appstream.html#delete_image_builder/2","title":"aws_appstream.delete_image_builder/2","type":"function"},{"doc":"","ref":"aws_appstream.html#delete_image_builder/3","title":"aws_appstream.delete_image_builder/3","type":"function"},{"doc":"Deletes permissions for the specified private image. After you delete permissions for an image, AWS accounts to which you previously granted these permissions can no longer use the image.","ref":"aws_appstream.html#delete_image_permissions/2","title":"aws_appstream.delete_image_permissions/2","type":"function"},{"doc":"","ref":"aws_appstream.html#delete_image_permissions/3","title":"aws_appstream.delete_image_permissions/3","type":"function"},{"doc":"Deletes the specified stack. After the stack is deleted, the application streaming environment provided by the stack is no longer available to users. Also, any reservations made for application streaming sessions for the stack are released.","ref":"aws_appstream.html#delete_stack/2","title":"aws_appstream.delete_stack/2","type":"function"},{"doc":"","ref":"aws_appstream.html#delete_stack/3","title":"aws_appstream.delete_stack/3","type":"function"},{"doc":"Disables usage report generation.","ref":"aws_appstream.html#delete_usage_report_subscription/2","title":"aws_appstream.delete_usage_report_subscription/2","type":"function"},{"doc":"","ref":"aws_appstream.html#delete_usage_report_subscription/3","title":"aws_appstream.delete_usage_report_subscription/3","type":"function"},{"doc":"Deletes a user from the user pool.","ref":"aws_appstream.html#delete_user/2","title":"aws_appstream.delete_user/2","type":"function"},{"doc":"","ref":"aws_appstream.html#delete_user/3","title":"aws_appstream.delete_user/3","type":"function"},{"doc":"Retrieves a list that describes one or more app blocks.","ref":"aws_appstream.html#describe_app_blocks/2","title":"aws_appstream.describe_app_blocks/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_app_blocks/3","title":"aws_appstream.describe_app_blocks/3","type":"function"},{"doc":"Retrieves a list that describes one or more application fleet associations. Either ApplicationArn or FleetName must be specified.","ref":"aws_appstream.html#describe_application_fleet_associations/2","title":"aws_appstream.describe_application_fleet_associations/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_application_fleet_associations/3","title":"aws_appstream.describe_application_fleet_associations/3","type":"function"},{"doc":"Retrieves a list that describes one or more applications.","ref":"aws_appstream.html#describe_applications/2","title":"aws_appstream.describe_applications/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_applications/3","title":"aws_appstream.describe_applications/3","type":"function"},{"doc":"Retrieves a list that describes one or more specified Directory Config objects for AppStream 2.0, if the names for these objects are provided. Otherwise, all Directory Config objects in the account are described. These objects include the configuration information required to join fleets and image builders to Microsoft Active Directory domains. Although the response syntax in this topic includes the account password, this password is not returned in the actual response.","ref":"aws_appstream.html#describe_directory_configs/2","title":"aws_appstream.describe_directory_configs/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_directory_configs/3","title":"aws_appstream.describe_directory_configs/3","type":"function"},{"doc":"Retrieves a list that describes one of more entitlements.","ref":"aws_appstream.html#describe_entitlements/2","title":"aws_appstream.describe_entitlements/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_entitlements/3","title":"aws_appstream.describe_entitlements/3","type":"function"},{"doc":"Retrieves a list that describes one or more specified fleets, if the fleet names are provided. Otherwise, all fleets in the account are described.","ref":"aws_appstream.html#describe_fleets/2","title":"aws_appstream.describe_fleets/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_fleets/3","title":"aws_appstream.describe_fleets/3","type":"function"},{"doc":"Retrieves a list that describes one or more specified image builders, if the image builder names are provided. Otherwise, all image builders in the account are described.","ref":"aws_appstream.html#describe_image_builders/2","title":"aws_appstream.describe_image_builders/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_image_builders/3","title":"aws_appstream.describe_image_builders/3","type":"function"},{"doc":"Retrieves a list that describes the permissions for shared AWS account IDs on a private image that you own.","ref":"aws_appstream.html#describe_image_permissions/2","title":"aws_appstream.describe_image_permissions/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_image_permissions/3","title":"aws_appstream.describe_image_permissions/3","type":"function"},{"doc":"Retrieves a list that describes one or more specified images, if the image names or image ARNs are provided. Otherwise, all images in the account are described.","ref":"aws_appstream.html#describe_images/2","title":"aws_appstream.describe_images/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_images/3","title":"aws_appstream.describe_images/3","type":"function"},{"doc":"Retrieves a list that describes the streaming sessions for a specified stack and fleet. If a UserId is provided for the stack and fleet, only streaming sessions for that user are described. If an authentication type is not provided, the default is to authenticate users using a streaming URL.","ref":"aws_appstream.html#describe_sessions/2","title":"aws_appstream.describe_sessions/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_sessions/3","title":"aws_appstream.describe_sessions/3","type":"function"},{"doc":"Retrieves a list that describes one or more specified stacks, if the stack names are provided. Otherwise, all stacks in the account are described.","ref":"aws_appstream.html#describe_stacks/2","title":"aws_appstream.describe_stacks/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_stacks/3","title":"aws_appstream.describe_stacks/3","type":"function"},{"doc":"Retrieves a list that describes one or more usage report subscriptions.","ref":"aws_appstream.html#describe_usage_report_subscriptions/2","title":"aws_appstream.describe_usage_report_subscriptions/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_usage_report_subscriptions/3","title":"aws_appstream.describe_usage_report_subscriptions/3","type":"function"},{"doc":"Retrieves a list that describes the UserStackAssociation objects. You must specify either or both of the following: The stack name The user name (email address of the user associated with the stack) and the authentication type for the user","ref":"aws_appstream.html#describe_user_stack_associations/2","title":"aws_appstream.describe_user_stack_associations/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_user_stack_associations/3","title":"aws_appstream.describe_user_stack_associations/3","type":"function"},{"doc":"Retrieves a list that describes one or more specified users in the user pool.","ref":"aws_appstream.html#describe_users/2","title":"aws_appstream.describe_users/2","type":"function"},{"doc":"","ref":"aws_appstream.html#describe_users/3","title":"aws_appstream.describe_users/3","type":"function"},{"doc":"Disables the specified user in the user pool. Users can't sign in to AppStream 2.0 until they are re-enabled. This action does not delete the user.","ref":"aws_appstream.html#disable_user/2","title":"aws_appstream.disable_user/2","type":"function"},{"doc":"","ref":"aws_appstream.html#disable_user/3","title":"aws_appstream.disable_user/3","type":"function"},{"doc":"Disassociates the specified application from the fleet.","ref":"aws_appstream.html#disassociate_application_fleet/2","title":"aws_appstream.disassociate_application_fleet/2","type":"function"},{"doc":"","ref":"aws_appstream.html#disassociate_application_fleet/3","title":"aws_appstream.disassociate_application_fleet/3","type":"function"},{"doc":"Deletes the specified application from the specified entitlement.","ref":"aws_appstream.html#disassociate_application_from_entitlement/2","title":"aws_appstream.disassociate_application_from_entitlement/2","type":"function"},{"doc":"","ref":"aws_appstream.html#disassociate_application_from_entitlement/3","title":"aws_appstream.disassociate_application_from_entitlement/3","type":"function"},{"doc":"Disassociates the specified fleet from the specified stack.","ref":"aws_appstream.html#disassociate_fleet/2","title":"aws_appstream.disassociate_fleet/2","type":"function"},{"doc":"","ref":"aws_appstream.html#disassociate_fleet/3","title":"aws_appstream.disassociate_fleet/3","type":"function"},{"doc":"Enables a user in the user pool. After being enabled, users can sign in to AppStream 2.0 and open applications from the stacks to which they are assigned.","ref":"aws_appstream.html#enable_user/2","title":"aws_appstream.enable_user/2","type":"function"},{"doc":"","ref":"aws_appstream.html#enable_user/3","title":"aws_appstream.enable_user/3","type":"function"},{"doc":"Immediately stops the specified streaming session.","ref":"aws_appstream.html#expire_session/2","title":"aws_appstream.expire_session/2","type":"function"},{"doc":"","ref":"aws_appstream.html#expire_session/3","title":"aws_appstream.expire_session/3","type":"function"},{"doc":"Retrieves the name of the fleet that is associated with the specified stack.","ref":"aws_appstream.html#list_associated_fleets/2","title":"aws_appstream.list_associated_fleets/2","type":"function"},{"doc":"","ref":"aws_appstream.html#list_associated_fleets/3","title":"aws_appstream.list_associated_fleets/3","type":"function"},{"doc":"Retrieves the name of the stack with which the specified fleet is associated.","ref":"aws_appstream.html#list_associated_stacks/2","title":"aws_appstream.list_associated_stacks/2","type":"function"},{"doc":"","ref":"aws_appstream.html#list_associated_stacks/3","title":"aws_appstream.list_associated_stacks/3","type":"function"},{"doc":"Retrieves a list of entitled applications.","ref":"aws_appstream.html#list_entitled_applications/2","title":"aws_appstream.list_entitled_applications/2","type":"function"},{"doc":"","ref":"aws_appstream.html#list_entitled_applications/3","title":"aws_appstream.list_entitled_applications/3","type":"function"},{"doc":"Retrieves a list of all tags for the specified AppStream 2.0 resource. You can tag AppStream 2.0 image builders, images, fleets, and stacks. For more information about tags, see Tagging Your Resources in the Amazon AppStream 2.0 Administration Guide.","ref":"aws_appstream.html#list_tags_for_resource/2","title":"aws_appstream.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_appstream.html#list_tags_for_resource/3","title":"aws_appstream.list_tags_for_resource/3","type":"function"},{"doc":"Starts the specified fleet.","ref":"aws_appstream.html#start_fleet/2","title":"aws_appstream.start_fleet/2","type":"function"},{"doc":"","ref":"aws_appstream.html#start_fleet/3","title":"aws_appstream.start_fleet/3","type":"function"},{"doc":"Starts the specified image builder.","ref":"aws_appstream.html#start_image_builder/2","title":"aws_appstream.start_image_builder/2","type":"function"},{"doc":"","ref":"aws_appstream.html#start_image_builder/3","title":"aws_appstream.start_image_builder/3","type":"function"},{"doc":"Stops the specified fleet.","ref":"aws_appstream.html#stop_fleet/2","title":"aws_appstream.stop_fleet/2","type":"function"},{"doc":"","ref":"aws_appstream.html#stop_fleet/3","title":"aws_appstream.stop_fleet/3","type":"function"},{"doc":"Stops the specified image builder.","ref":"aws_appstream.html#stop_image_builder/2","title":"aws_appstream.stop_image_builder/2","type":"function"},{"doc":"","ref":"aws_appstream.html#stop_image_builder/3","title":"aws_appstream.stop_image_builder/3","type":"function"},{"doc":"Adds or overwrites one or more tags for the specified AppStream 2.0 resource. You can tag AppStream 2.0 image builders, images, fleets, and stacks. Each tag consists of a key and an optional value. If a resource already has a tag with the same key, this operation updates its value. To list the current tags for your resources, use ListTagsForResource . To disassociate tags from your resources, use UntagResource . For more information about tags, see Tagging Your Resources in the Amazon AppStream 2.0 Administration Guide.","ref":"aws_appstream.html#tag_resource/2","title":"aws_appstream.tag_resource/2","type":"function"},{"doc":"","ref":"aws_appstream.html#tag_resource/3","title":"aws_appstream.tag_resource/3","type":"function"},{"doc":"Disassociates one or more specified tags from the specified AppStream 2.0 resource. To list the current tags for your resources, use ListTagsForResource . For more information about tags, see Tagging Your Resources in the Amazon AppStream 2.0 Administration Guide.","ref":"aws_appstream.html#untag_resource/2","title":"aws_appstream.untag_resource/2","type":"function"},{"doc":"","ref":"aws_appstream.html#untag_resource/3","title":"aws_appstream.untag_resource/3","type":"function"},{"doc":"Updates the specified application.","ref":"aws_appstream.html#update_application/2","title":"aws_appstream.update_application/2","type":"function"},{"doc":"","ref":"aws_appstream.html#update_application/3","title":"aws_appstream.update_application/3","type":"function"},{"doc":"Updates the specified Directory Config object in AppStream 2.0. This object includes the configuration information required to join fleets and image builders to Microsoft Active Directory domains.","ref":"aws_appstream.html#update_directory_config/2","title":"aws_appstream.update_directory_config/2","type":"function"},{"doc":"","ref":"aws_appstream.html#update_directory_config/3","title":"aws_appstream.update_directory_config/3","type":"function"},{"doc":"Updates the specified entitlement.","ref":"aws_appstream.html#update_entitlement/2","title":"aws_appstream.update_entitlement/2","type":"function"},{"doc":"","ref":"aws_appstream.html#update_entitlement/3","title":"aws_appstream.update_entitlement/3","type":"function"},{"doc":"Updates the specified fleet. If the fleet is in the STOPPED state, you can update any attribute except the fleet name. If the fleet is in the RUNNING state, you can update the following based on the fleet type: Always-On and On-Demand fleet types You can update the DisplayName , ComputeCapacity , ImageARN , ImageName , IdleDisconnectTimeoutInSeconds , and DisconnectTimeoutInSeconds attributes. Elastic fleet type You can update the DisplayName , IdleDisconnectTimeoutInSeconds , DisconnectTimeoutInSeconds , MaxConcurrentSessions , SessionScriptS3Location and UsbDeviceFilterStrings attributes. If the fleet is in the STARTING or STOPPED state, you can't update it.","ref":"aws_appstream.html#update_fleet/2","title":"aws_appstream.update_fleet/2","type":"function"},{"doc":"","ref":"aws_appstream.html#update_fleet/3","title":"aws_appstream.update_fleet/3","type":"function"},{"doc":"Adds or updates permissions for the specified private image.","ref":"aws_appstream.html#update_image_permissions/2","title":"aws_appstream.update_image_permissions/2","type":"function"},{"doc":"","ref":"aws_appstream.html#update_image_permissions/3","title":"aws_appstream.update_image_permissions/3","type":"function"},{"doc":"Updates the specified fields for the specified stack.","ref":"aws_appstream.html#update_stack/2","title":"aws_appstream.update_stack/2","type":"function"},{"doc":"","ref":"aws_appstream.html#update_stack/3","title":"aws_appstream.update_stack/3","type":"function"},{"doc":"AppSync provides API actions for creating and interacting with data sources using GraphQL from your application.","ref":"aws_appsync.html","title":"aws_appsync","type":"module"},{"doc":"Maps an endpoint to your custom domain.","ref":"aws_appsync.html#associate_api/3","title":"aws_appsync.associate_api/3","type":"function"},{"doc":"","ref":"aws_appsync.html#associate_api/4","title":"aws_appsync.associate_api/4","type":"function"},{"doc":"Creates a cache for the GraphQL API.","ref":"aws_appsync.html#create_api_cache/3","title":"aws_appsync.create_api_cache/3","type":"function"},{"doc":"","ref":"aws_appsync.html#create_api_cache/4","title":"aws_appsync.create_api_cache/4","type":"function"},{"doc":"Creates a unique key that you can distribute to clients who invoke your API.","ref":"aws_appsync.html#create_api_key/3","title":"aws_appsync.create_api_key/3","type":"function"},{"doc":"","ref":"aws_appsync.html#create_api_key/4","title":"aws_appsync.create_api_key/4","type":"function"},{"doc":"Creates a DataSource object.","ref":"aws_appsync.html#create_data_source/3","title":"aws_appsync.create_data_source/3","type":"function"},{"doc":"","ref":"aws_appsync.html#create_data_source/4","title":"aws_appsync.create_data_source/4","type":"function"},{"doc":"Creates a custom DomainName object.","ref":"aws_appsync.html#create_domain_name/2","title":"aws_appsync.create_domain_name/2","type":"function"},{"doc":"","ref":"aws_appsync.html#create_domain_name/3","title":"aws_appsync.create_domain_name/3","type":"function"},{"doc":"Creates a Function object. A function is a reusable entity. You can use multiple functions to compose the resolver logic.","ref":"aws_appsync.html#create_function/3","title":"aws_appsync.create_function/3","type":"function"},{"doc":"","ref":"aws_appsync.html#create_function/4","title":"aws_appsync.create_function/4","type":"function"},{"doc":"Creates a GraphqlApi object.","ref":"aws_appsync.html#create_graphql_api/2","title":"aws_appsync.create_graphql_api/2","type":"function"},{"doc":"","ref":"aws_appsync.html#create_graphql_api/3","title":"aws_appsync.create_graphql_api/3","type":"function"},{"doc":"Creates a Resolver object. A resolver converts incoming requests into a format that a data source can understand, and converts the data source's responses into GraphQL.","ref":"aws_appsync.html#create_resolver/4","title":"aws_appsync.create_resolver/4","type":"function"},{"doc":"","ref":"aws_appsync.html#create_resolver/5","title":"aws_appsync.create_resolver/5","type":"function"},{"doc":"Creates a Type object.","ref":"aws_appsync.html#create_type/3","title":"aws_appsync.create_type/3","type":"function"},{"doc":"","ref":"aws_appsync.html#create_type/4","title":"aws_appsync.create_type/4","type":"function"},{"doc":"Deletes an ApiCache object.","ref":"aws_appsync.html#delete_api_cache/3","title":"aws_appsync.delete_api_cache/3","type":"function"},{"doc":"","ref":"aws_appsync.html#delete_api_cache/4","title":"aws_appsync.delete_api_cache/4","type":"function"},{"doc":"Deletes an API key.","ref":"aws_appsync.html#delete_api_key/4","title":"aws_appsync.delete_api_key/4","type":"function"},{"doc":"","ref":"aws_appsync.html#delete_api_key/5","title":"aws_appsync.delete_api_key/5","type":"function"},{"doc":"Deletes a DataSource object.","ref":"aws_appsync.html#delete_data_source/4","title":"aws_appsync.delete_data_source/4","type":"function"},{"doc":"","ref":"aws_appsync.html#delete_data_source/5","title":"aws_appsync.delete_data_source/5","type":"function"},{"doc":"Deletes a custom DomainName object.","ref":"aws_appsync.html#delete_domain_name/3","title":"aws_appsync.delete_domain_name/3","type":"function"},{"doc":"","ref":"aws_appsync.html#delete_domain_name/4","title":"aws_appsync.delete_domain_name/4","type":"function"},{"doc":"Deletes a Function .","ref":"aws_appsync.html#delete_function/4","title":"aws_appsync.delete_function/4","type":"function"},{"doc":"","ref":"aws_appsync.html#delete_function/5","title":"aws_appsync.delete_function/5","type":"function"},{"doc":"Deletes a GraphqlApi object.","ref":"aws_appsync.html#delete_graphql_api/3","title":"aws_appsync.delete_graphql_api/3","type":"function"},{"doc":"","ref":"aws_appsync.html#delete_graphql_api/4","title":"aws_appsync.delete_graphql_api/4","type":"function"},{"doc":"Deletes a Resolver object.","ref":"aws_appsync.html#delete_resolver/5","title":"aws_appsync.delete_resolver/5","type":"function"},{"doc":"","ref":"aws_appsync.html#delete_resolver/6","title":"aws_appsync.delete_resolver/6","type":"function"},{"doc":"Deletes a Type object.","ref":"aws_appsync.html#delete_type/4","title":"aws_appsync.delete_type/4","type":"function"},{"doc":"","ref":"aws_appsync.html#delete_type/5","title":"aws_appsync.delete_type/5","type":"function"},{"doc":"Removes an ApiAssociation object from a custom domain.","ref":"aws_appsync.html#disassociate_api/3","title":"aws_appsync.disassociate_api/3","type":"function"},{"doc":"","ref":"aws_appsync.html#disassociate_api/4","title":"aws_appsync.disassociate_api/4","type":"function"},{"doc":"Evaluates the given code and returns the response. The code definition requirements depend on the specified runtime. For APPSYNC_JS runtimes, the code defines the request and response functions. The request function takes the incoming request after a GraphQL operation is parsed and converts it into a request configuration for the selected data source operation. The response function interprets responses from the data source and maps it to the shape of the GraphQL field output type.","ref":"aws_appsync.html#evaluate_code/2","title":"aws_appsync.evaluate_code/2","type":"function"},{"doc":"","ref":"aws_appsync.html#evaluate_code/3","title":"aws_appsync.evaluate_code/3","type":"function"},{"doc":"Evaluates a given template and returns the response. The mapping template can be a request or response template. Request templates take the incoming request after a GraphQL operation is parsed and convert it into a request configuration for the selected data source operation. Response templates interpret responses from the data source and map it to the shape of the GraphQL field output type. Mapping templates are written in the Apache Velocity Template Language (VTL).","ref":"aws_appsync.html#evaluate_mapping_template/2","title":"aws_appsync.evaluate_mapping_template/2","type":"function"},{"doc":"","ref":"aws_appsync.html#evaluate_mapping_template/3","title":"aws_appsync.evaluate_mapping_template/3","type":"function"},{"doc":"Flushes an ApiCache object.","ref":"aws_appsync.html#flush_api_cache/3","title":"aws_appsync.flush_api_cache/3","type":"function"},{"doc":"","ref":"aws_appsync.html#flush_api_cache/4","title":"aws_appsync.flush_api_cache/4","type":"function"},{"doc":"Retrieves an ApiAssociation object.","ref":"aws_appsync.html#get_api_association/2","title":"aws_appsync.get_api_association/2","type":"function"},{"doc":"","ref":"aws_appsync.html#get_api_association/4","title":"aws_appsync.get_api_association/4","type":"function"},{"doc":"","ref":"aws_appsync.html#get_api_association/5","title":"aws_appsync.get_api_association/5","type":"function"},{"doc":"Retrieves an ApiCache object.","ref":"aws_appsync.html#get_api_cache/2","title":"aws_appsync.get_api_cache/2","type":"function"},{"doc":"","ref":"aws_appsync.html#get_api_cache/4","title":"aws_appsync.get_api_cache/4","type":"function"},{"doc":"","ref":"aws_appsync.html#get_api_cache/5","title":"aws_appsync.get_api_cache/5","type":"function"},{"doc":"Retrieves a DataSource object.","ref":"aws_appsync.html#get_data_source/3","title":"aws_appsync.get_data_source/3","type":"function"},{"doc":"","ref":"aws_appsync.html#get_data_source/5","title":"aws_appsync.get_data_source/5","type":"function"},{"doc":"","ref":"aws_appsync.html#get_data_source/6","title":"aws_appsync.get_data_source/6","type":"function"},{"doc":"Retrieves a custom DomainName object.","ref":"aws_appsync.html#get_domain_name/2","title":"aws_appsync.get_domain_name/2","type":"function"},{"doc":"","ref":"aws_appsync.html#get_domain_name/4","title":"aws_appsync.get_domain_name/4","type":"function"},{"doc":"","ref":"aws_appsync.html#get_domain_name/5","title":"aws_appsync.get_domain_name/5","type":"function"},{"doc":"Get a Function .","ref":"aws_appsync.html#get_function/3","title":"aws_appsync.get_function/3","type":"function"},{"doc":"","ref":"aws_appsync.html#get_function/5","title":"aws_appsync.get_function/5","type":"function"},{"doc":"","ref":"aws_appsync.html#get_function/6","title":"aws_appsync.get_function/6","type":"function"},{"doc":"Retrieves a GraphqlApi object.","ref":"aws_appsync.html#get_graphql_api/2","title":"aws_appsync.get_graphql_api/2","type":"function"},{"doc":"","ref":"aws_appsync.html#get_graphql_api/4","title":"aws_appsync.get_graphql_api/4","type":"function"},{"doc":"","ref":"aws_appsync.html#get_graphql_api/5","title":"aws_appsync.get_graphql_api/5","type":"function"},{"doc":"Retrieves the introspection schema for a GraphQL API.","ref":"aws_appsync.html#get_introspection_schema/3","title":"aws_appsync.get_introspection_schema/3","type":"function"},{"doc":"","ref":"aws_appsync.html#get_introspection_schema/5","title":"aws_appsync.get_introspection_schema/5","type":"function"},{"doc":"","ref":"aws_appsync.html#get_introspection_schema/6","title":"aws_appsync.get_introspection_schema/6","type":"function"},{"doc":"Retrieves a Resolver object.","ref":"aws_appsync.html#get_resolver/4","title":"aws_appsync.get_resolver/4","type":"function"},{"doc":"","ref":"aws_appsync.html#get_resolver/6","title":"aws_appsync.get_resolver/6","type":"function"},{"doc":"","ref":"aws_appsync.html#get_resolver/7","title":"aws_appsync.get_resolver/7","type":"function"},{"doc":"Retrieves the current status of a schema creation operation.","ref":"aws_appsync.html#get_schema_creation_status/2","title":"aws_appsync.get_schema_creation_status/2","type":"function"},{"doc":"","ref":"aws_appsync.html#get_schema_creation_status/4","title":"aws_appsync.get_schema_creation_status/4","type":"function"},{"doc":"","ref":"aws_appsync.html#get_schema_creation_status/5","title":"aws_appsync.get_schema_creation_status/5","type":"function"},{"doc":"Retrieves a Type object.","ref":"aws_appsync.html#get_type/4","title":"aws_appsync.get_type/4","type":"function"},{"doc":"","ref":"aws_appsync.html#get_type/6","title":"aws_appsync.get_type/6","type":"function"},{"doc":"","ref":"aws_appsync.html#get_type/7","title":"aws_appsync.get_type/7","type":"function"},{"doc":"Lists the API keys for a given API. API keys are deleted automatically 60 days after they expire. However, they may still be included in the response until they have actually been deleted. You can safely call DeleteApiKey to manually delete a key before it's automatically deleted.","ref":"aws_appsync.html#list_api_keys/2","title":"aws_appsync.list_api_keys/2","type":"function"},{"doc":"","ref":"aws_appsync.html#list_api_keys/4","title":"aws_appsync.list_api_keys/4","type":"function"},{"doc":"","ref":"aws_appsync.html#list_api_keys/5","title":"aws_appsync.list_api_keys/5","type":"function"},{"doc":"Lists the data sources for a given API.","ref":"aws_appsync.html#list_data_sources/2","title":"aws_appsync.list_data_sources/2","type":"function"},{"doc":"","ref":"aws_appsync.html#list_data_sources/4","title":"aws_appsync.list_data_sources/4","type":"function"},{"doc":"","ref":"aws_appsync.html#list_data_sources/5","title":"aws_appsync.list_data_sources/5","type":"function"},{"doc":"Lists multiple custom domain names.","ref":"aws_appsync.html#list_domain_names/1","title":"aws_appsync.list_domain_names/1","type":"function"},{"doc":"","ref":"aws_appsync.html#list_domain_names/3","title":"aws_appsync.list_domain_names/3","type":"function"},{"doc":"","ref":"aws_appsync.html#list_domain_names/4","title":"aws_appsync.list_domain_names/4","type":"function"},{"doc":"List multiple functions.","ref":"aws_appsync.html#list_functions/2","title":"aws_appsync.list_functions/2","type":"function"},{"doc":"","ref":"aws_appsync.html#list_functions/4","title":"aws_appsync.list_functions/4","type":"function"},{"doc":"","ref":"aws_appsync.html#list_functions/5","title":"aws_appsync.list_functions/5","type":"function"},{"doc":"Lists your GraphQL APIs.","ref":"aws_appsync.html#list_graphql_apis/1","title":"aws_appsync.list_graphql_apis/1","type":"function"},{"doc":"","ref":"aws_appsync.html#list_graphql_apis/3","title":"aws_appsync.list_graphql_apis/3","type":"function"},{"doc":"","ref":"aws_appsync.html#list_graphql_apis/4","title":"aws_appsync.list_graphql_apis/4","type":"function"},{"doc":"Lists the resolvers for a given API and type.","ref":"aws_appsync.html#list_resolvers/3","title":"aws_appsync.list_resolvers/3","type":"function"},{"doc":"","ref":"aws_appsync.html#list_resolvers/5","title":"aws_appsync.list_resolvers/5","type":"function"},{"doc":"","ref":"aws_appsync.html#list_resolvers/6","title":"aws_appsync.list_resolvers/6","type":"function"},{"doc":"List the resolvers that are associated with a specific function.","ref":"aws_appsync.html#list_resolvers_by_function/3","title":"aws_appsync.list_resolvers_by_function/3","type":"function"},{"doc":"","ref":"aws_appsync.html#list_resolvers_by_function/5","title":"aws_appsync.list_resolvers_by_function/5","type":"function"},{"doc":"","ref":"aws_appsync.html#list_resolvers_by_function/6","title":"aws_appsync.list_resolvers_by_function/6","type":"function"},{"doc":"Lists the tags for a resource.","ref":"aws_appsync.html#list_tags_for_resource/2","title":"aws_appsync.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_appsync.html#list_tags_for_resource/4","title":"aws_appsync.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_appsync.html#list_tags_for_resource/5","title":"aws_appsync.list_tags_for_resource/5","type":"function"},{"doc":"Lists the types for a given API.","ref":"aws_appsync.html#list_types/3","title":"aws_appsync.list_types/3","type":"function"},{"doc":"","ref":"aws_appsync.html#list_types/5","title":"aws_appsync.list_types/5","type":"function"},{"doc":"","ref":"aws_appsync.html#list_types/6","title":"aws_appsync.list_types/6","type":"function"},{"doc":"Adds a new schema to your GraphQL API. This operation is asynchronous. Use to determine when it has completed.","ref":"aws_appsync.html#start_schema_creation/3","title":"aws_appsync.start_schema_creation/3","type":"function"},{"doc":"","ref":"aws_appsync.html#start_schema_creation/4","title":"aws_appsync.start_schema_creation/4","type":"function"},{"doc":"Tags a resource with user-supplied tags.","ref":"aws_appsync.html#tag_resource/3","title":"aws_appsync.tag_resource/3","type":"function"},{"doc":"","ref":"aws_appsync.html#tag_resource/4","title":"aws_appsync.tag_resource/4","type":"function"},{"doc":"Untags a resource.","ref":"aws_appsync.html#untag_resource/3","title":"aws_appsync.untag_resource/3","type":"function"},{"doc":"","ref":"aws_appsync.html#untag_resource/4","title":"aws_appsync.untag_resource/4","type":"function"},{"doc":"Updates the cache for the GraphQL API.","ref":"aws_appsync.html#update_api_cache/3","title":"aws_appsync.update_api_cache/3","type":"function"},{"doc":"","ref":"aws_appsync.html#update_api_cache/4","title":"aws_appsync.update_api_cache/4","type":"function"},{"doc":"Updates an API key. You can update the key as long as it's not deleted.","ref":"aws_appsync.html#update_api_key/4","title":"aws_appsync.update_api_key/4","type":"function"},{"doc":"","ref":"aws_appsync.html#update_api_key/5","title":"aws_appsync.update_api_key/5","type":"function"},{"doc":"Updates a DataSource object.","ref":"aws_appsync.html#update_data_source/4","title":"aws_appsync.update_data_source/4","type":"function"},{"doc":"","ref":"aws_appsync.html#update_data_source/5","title":"aws_appsync.update_data_source/5","type":"function"},{"doc":"Updates a custom DomainName object.","ref":"aws_appsync.html#update_domain_name/3","title":"aws_appsync.update_domain_name/3","type":"function"},{"doc":"","ref":"aws_appsync.html#update_domain_name/4","title":"aws_appsync.update_domain_name/4","type":"function"},{"doc":"Updates a Function object.","ref":"aws_appsync.html#update_function/4","title":"aws_appsync.update_function/4","type":"function"},{"doc":"","ref":"aws_appsync.html#update_function/5","title":"aws_appsync.update_function/5","type":"function"},{"doc":"Updates a GraphqlApi object.","ref":"aws_appsync.html#update_graphql_api/3","title":"aws_appsync.update_graphql_api/3","type":"function"},{"doc":"","ref":"aws_appsync.html#update_graphql_api/4","title":"aws_appsync.update_graphql_api/4","type":"function"},{"doc":"Updates a Resolver object.","ref":"aws_appsync.html#update_resolver/5","title":"aws_appsync.update_resolver/5","type":"function"},{"doc":"","ref":"aws_appsync.html#update_resolver/6","title":"aws_appsync.update_resolver/6","type":"function"},{"doc":"Updates a Type object.","ref":"aws_appsync.html#update_type/4","title":"aws_appsync.update_type/4","type":"function"},{"doc":"","ref":"aws_appsync.html#update_type/5","title":"aws_appsync.update_type/5","type":"function"},{"doc":"This is the API Reference Guide for the zonal shift feature of Amazon Route 53 Application Recovery Controller. This guide is for developers who need detailed information about zonal shift API actions, data types, and errors. Zonal shift is in preview release for Amazon Route 53 Application Recovery Controller and is subject to change. Zonal shift in Route 53 ARC enables you to move traffic for a load balancer resource away from an Availability Zone. Starting a zonal shift helps your application recover immediately, for example, from a developer's bad code deployment or from an AWS infrastructure failure in a single Availability Zone, reducing the impact and time lost from an issue in one zone. Supported AWS resources are automatically registered with Route 53 ARC. Resources that are registered for zonal shifts in Route 53 ARC are managed resources in Route 53 ARC. You can start a zonal shift for any managed resource in your account in a Region. At this time, you can only start a zonal shift for Network Load Balancers and Application Load Balancers with cross-zone load balancing turned off. Zonal shifts are temporary. You must specify an expiration when you start a zonal shift, of up to three days initially. If you want to still keep traffic away from an Availability Zone, you can update the zonal shift and set a new expiration. You can also cancel a zonal shift, before it expires, for example, if you're ready to restore traffic to the Availability Zone. For more information about using zonal shift, see the Amazon Route 53 Application Recovery Controller Developer Guide.","ref":"aws_arc_zonal_shift.html","title":"aws_arc_zonal_shift","type":"module"},{"doc":"Cancel a zonal shift in Amazon Route 53 Application Recovery Controller that you've started for a resource in your AWS account in an AWS Region.","ref":"aws_arc_zonal_shift.html#cancel_zonal_shift/3","title":"aws_arc_zonal_shift.cancel_zonal_shift/3","type":"function"},{"doc":"","ref":"aws_arc_zonal_shift.html#cancel_zonal_shift/4","title":"aws_arc_zonal_shift.cancel_zonal_shift/4","type":"function"},{"doc":"Get information about a resource that's been registered for zonal shifts with Amazon Route 53 Application Recovery Controller in this AWS Region. Resources that are registered for zonal shifts are managed resources in Route 53 ARC. At this time, you can only start a zonal shift for Network Load Balancers and Application Load Balancers with cross-zone load balancing turned off.","ref":"aws_arc_zonal_shift.html#get_managed_resource/2","title":"aws_arc_zonal_shift.get_managed_resource/2","type":"function"},{"doc":"","ref":"aws_arc_zonal_shift.html#get_managed_resource/4","title":"aws_arc_zonal_shift.get_managed_resource/4","type":"function"},{"doc":"","ref":"aws_arc_zonal_shift.html#get_managed_resource/5","title":"aws_arc_zonal_shift.get_managed_resource/5","type":"function"},{"doc":"Lists all the resources in your AWS account in this AWS Region that are managed for zonal shifts in Amazon Route 53 Application Recovery Controller, and information about them. The information includes their Amazon Resource Names (ARNs), the Availability Zones the resources are deployed in, and the resource name.","ref":"aws_arc_zonal_shift.html#list_managed_resources/1","title":"aws_arc_zonal_shift.list_managed_resources/1","type":"function"},{"doc":"","ref":"aws_arc_zonal_shift.html#list_managed_resources/3","title":"aws_arc_zonal_shift.list_managed_resources/3","type":"function"},{"doc":"","ref":"aws_arc_zonal_shift.html#list_managed_resources/4","title":"aws_arc_zonal_shift.list_managed_resources/4","type":"function"},{"doc":"Lists all the active zonal shifts in Amazon Route 53 Application Recovery Controller in your AWS account in this AWS Region.","ref":"aws_arc_zonal_shift.html#list_zonal_shifts/1","title":"aws_arc_zonal_shift.list_zonal_shifts/1","type":"function"},{"doc":"","ref":"aws_arc_zonal_shift.html#list_zonal_shifts/3","title":"aws_arc_zonal_shift.list_zonal_shifts/3","type":"function"},{"doc":"","ref":"aws_arc_zonal_shift.html#list_zonal_shifts/4","title":"aws_arc_zonal_shift.list_zonal_shifts/4","type":"function"},{"doc":"You start a zonal shift to temporarily move load balancer traffic away from an Availability Zone in a AWS Region, to help your application recover immediately, for example, from a developer's bad code deployment or from an AWS infrastructure failure in a single Availability Zone. You can start a zonal shift in Route 53 ARC only for managed resources in your account in an AWS Region. Resources are automatically registered with Route 53 ARC by AWS services. At this time, you can only start a zonal shift for Network Load Balancers and Application Load Balancers with cross-zone load balancing turned off. When you start a zonal shift, traffic for the resource is no longer routed to the Availability Zone. The zonal shift is created immediately in Route 53 ARC. However, it can take a short time, typically up to a few minutes, for existing, in-progress connections in the Availability Zone to complete. For more information, see Zonal shift in the Amazon Route 53 Application Recovery Controller Developer Guide.","ref":"aws_arc_zonal_shift.html#start_zonal_shift/2","title":"aws_arc_zonal_shift.start_zonal_shift/2","type":"function"},{"doc":"","ref":"aws_arc_zonal_shift.html#start_zonal_shift/3","title":"aws_arc_zonal_shift.start_zonal_shift/3","type":"function"},{"doc":"Update an active zonal shift in Amazon Route 53 Application Recovery Controller in your AWS account. You can update a zonal shift to set a new expiration, or edit or replace the comment for the zonal shift.","ref":"aws_arc_zonal_shift.html#update_zonal_shift/3","title":"aws_arc_zonal_shift.update_zonal_shift/3","type":"function"},{"doc":"","ref":"aws_arc_zonal_shift.html#update_zonal_shift/4","title":"aws_arc_zonal_shift.update_zonal_shift/4","type":"function"},{"doc":"Amazon Athena is an interactive query service that lets you use standard SQL to analyze data directly in Amazon S3. You can point Athena at your data in Amazon S3 and run ad-hoc queries and get results in seconds. Athena is serverless, so there is no infrastructure to set up or manage. You pay only for the queries you run. Athena scales automatically—executing queries in parallel—so results are fast, even with large datasets and complex queries. For more information, see What is Amazon Athena in the Amazon Athena User Guide. If you connect to Athena using the JDBC driver, use version 1.1.0 of the driver or later with the Amazon Athena API. Earlier version drivers do not support the API. For more information and to download the driver, see Accessing Amazon Athena with JDBC. For code samples using the Amazon Web Services SDK for Java, see Examples and Code Samples in the Amazon Athena User Guide.","ref":"aws_athena.html","title":"aws_athena","type":"module"},{"doc":"Returns the details of a single named query or a list of up to 50 queries, which you provide as an array of query ID strings. Requires you to have access to the workgroup in which the queries were saved. Use ListNamedQueriesInput to get the list of named query IDs in the specified workgroup. If information could not be retrieved for a submitted query ID, information about the query ID submitted is listed under UnprocessedNamedQueryId . Named queries differ from executed queries. Use BatchGetQueryExecutionInput to get details about each unique query execution, and ListQueryExecutionsInput to get a list of query execution IDs.","ref":"aws_athena.html#batch_get_named_query/2","title":"aws_athena.batch_get_named_query/2","type":"function"},{"doc":"","ref":"aws_athena.html#batch_get_named_query/3","title":"aws_athena.batch_get_named_query/3","type":"function"},{"doc":"Returns the details of a single prepared statement or a list of up to 256 prepared statements for the array of prepared statement names that you provide. Requires you to have access to the workgroup to which the prepared statements belong. If a prepared statement cannot be retrieved for the name specified, the statement is listed in UnprocessedPreparedStatementNames .","ref":"aws_athena.html#batch_get_prepared_statement/2","title":"aws_athena.batch_get_prepared_statement/2","type":"function"},{"doc":"","ref":"aws_athena.html#batch_get_prepared_statement/3","title":"aws_athena.batch_get_prepared_statement/3","type":"function"},{"doc":"Returns the details of a single query execution or a list of up to 50 query executions, which you provide as an array of query execution ID strings. Requires you to have access to the workgroup in which the queries ran. To get a list of query execution IDs, use ListQueryExecutionsInput$WorkGroup . Query executions differ from named (saved) queries. Use BatchGetNamedQueryInput to get details about named queries.","ref":"aws_athena.html#batch_get_query_execution/2","title":"aws_athena.batch_get_query_execution/2","type":"function"},{"doc":"","ref":"aws_athena.html#batch_get_query_execution/3","title":"aws_athena.batch_get_query_execution/3","type":"function"},{"doc":"Creates (registers) a data catalog with the specified name and properties. Catalogs created are visible to all users of the same Amazon Web Services account.","ref":"aws_athena.html#create_data_catalog/2","title":"aws_athena.create_data_catalog/2","type":"function"},{"doc":"","ref":"aws_athena.html#create_data_catalog/3","title":"aws_athena.create_data_catalog/3","type":"function"},{"doc":"Creates a named query in the specified workgroup. Requires that you have access to the workgroup. For code samples using the Amazon Web Services SDK for Java, see Examples and Code Samples in the Amazon Athena User Guide.","ref":"aws_athena.html#create_named_query/2","title":"aws_athena.create_named_query/2","type":"function"},{"doc":"","ref":"aws_athena.html#create_named_query/3","title":"aws_athena.create_named_query/3","type":"function"},{"doc":"Creates an empty ipynb file in the specified Apache Spark enabled workgroup. Throws an error if a file in the workgroup with the same name already exists.","ref":"aws_athena.html#create_notebook/2","title":"aws_athena.create_notebook/2","type":"function"},{"doc":"","ref":"aws_athena.html#create_notebook/3","title":"aws_athena.create_notebook/3","type":"function"},{"doc":"Creates a prepared statement for use with SQL queries in Athena.","ref":"aws_athena.html#create_prepared_statement/2","title":"aws_athena.create_prepared_statement/2","type":"function"},{"doc":"","ref":"aws_athena.html#create_prepared_statement/3","title":"aws_athena.create_prepared_statement/3","type":"function"},{"doc":"Gets an authentication token and the URL at which the notebook can be accessed. During programmatic access, CreatePresignedNotebookUrl must be called every 10 minutes to refresh the authentication token.","ref":"aws_athena.html#create_presigned_notebook_url/2","title":"aws_athena.create_presigned_notebook_url/2","type":"function"},{"doc":"","ref":"aws_athena.html#create_presigned_notebook_url/3","title":"aws_athena.create_presigned_notebook_url/3","type":"function"},{"doc":"Creates a workgroup with the specified name. Only one of Configurations or Configuration can be specified; Configurations for a workgroup with multi engine support (for example, an Apache Spark enabled workgroup) or Configuration for an Athena SQL workgroup.","ref":"aws_athena.html#create_work_group/2","title":"aws_athena.create_work_group/2","type":"function"},{"doc":"","ref":"aws_athena.html#create_work_group/3","title":"aws_athena.create_work_group/3","type":"function"},{"doc":"Deletes a data catalog.","ref":"aws_athena.html#delete_data_catalog/2","title":"aws_athena.delete_data_catalog/2","type":"function"},{"doc":"","ref":"aws_athena.html#delete_data_catalog/3","title":"aws_athena.delete_data_catalog/3","type":"function"},{"doc":"Deletes the named query if you have access to the workgroup in which the query was saved. For code samples using the Amazon Web Services SDK for Java, see Examples and Code Samples in the Amazon Athena User Guide.","ref":"aws_athena.html#delete_named_query/2","title":"aws_athena.delete_named_query/2","type":"function"},{"doc":"","ref":"aws_athena.html#delete_named_query/3","title":"aws_athena.delete_named_query/3","type":"function"},{"doc":"Deletes the specified notebook.","ref":"aws_athena.html#delete_notebook/2","title":"aws_athena.delete_notebook/2","type":"function"},{"doc":"","ref":"aws_athena.html#delete_notebook/3","title":"aws_athena.delete_notebook/3","type":"function"},{"doc":"Deletes the prepared statement with the specified name from the specified workgroup.","ref":"aws_athena.html#delete_prepared_statement/2","title":"aws_athena.delete_prepared_statement/2","type":"function"},{"doc":"","ref":"aws_athena.html#delete_prepared_statement/3","title":"aws_athena.delete_prepared_statement/3","type":"function"},{"doc":"Deletes the workgroup with the specified name. The primary workgroup cannot be deleted.","ref":"aws_athena.html#delete_work_group/2","title":"aws_athena.delete_work_group/2","type":"function"},{"doc":"","ref":"aws_athena.html#delete_work_group/3","title":"aws_athena.delete_work_group/3","type":"function"},{"doc":"Exports the specified notebook and its metadata.","ref":"aws_athena.html#export_notebook/2","title":"aws_athena.export_notebook/2","type":"function"},{"doc":"","ref":"aws_athena.html#export_notebook/3","title":"aws_athena.export_notebook/3","type":"function"},{"doc":"Describes a previously submitted calculation execution.","ref":"aws_athena.html#get_calculation_execution/2","title":"aws_athena.get_calculation_execution/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_calculation_execution/3","title":"aws_athena.get_calculation_execution/3","type":"function"},{"doc":"Retrieves a pre-signed URL to a copy of the code that was executed for the calculation.","ref":"aws_athena.html#get_calculation_execution_code/2","title":"aws_athena.get_calculation_execution_code/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_calculation_execution_code/3","title":"aws_athena.get_calculation_execution_code/3","type":"function"},{"doc":"Gets the status of a current calculation.","ref":"aws_athena.html#get_calculation_execution_status/2","title":"aws_athena.get_calculation_execution_status/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_calculation_execution_status/3","title":"aws_athena.get_calculation_execution_status/3","type":"function"},{"doc":"Returns the specified data catalog.","ref":"aws_athena.html#get_data_catalog/2","title":"aws_athena.get_data_catalog/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_data_catalog/3","title":"aws_athena.get_data_catalog/3","type":"function"},{"doc":"Returns a database object for the specified database and data catalog.","ref":"aws_athena.html#get_database/2","title":"aws_athena.get_database/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_database/3","title":"aws_athena.get_database/3","type":"function"},{"doc":"Returns information about a single query. Requires that you have access to the workgroup in which the query was saved.","ref":"aws_athena.html#get_named_query/2","title":"aws_athena.get_named_query/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_named_query/3","title":"aws_athena.get_named_query/3","type":"function"},{"doc":"Retrieves notebook metadata for the specified notebook ID.","ref":"aws_athena.html#get_notebook_metadata/2","title":"aws_athena.get_notebook_metadata/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_notebook_metadata/3","title":"aws_athena.get_notebook_metadata/3","type":"function"},{"doc":"Retrieves the prepared statement with the specified name from the specified workgroup.","ref":"aws_athena.html#get_prepared_statement/2","title":"aws_athena.get_prepared_statement/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_prepared_statement/3","title":"aws_athena.get_prepared_statement/3","type":"function"},{"doc":"Returns information about a single execution of a query if you have access to the workgroup in which the query ran. Each time a query executes, information about the query execution is saved with a unique ID.","ref":"aws_athena.html#get_query_execution/2","title":"aws_athena.get_query_execution/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_query_execution/3","title":"aws_athena.get_query_execution/3","type":"function"},{"doc":"Streams the results of a single query execution specified by QueryExecutionId from the Athena query results location in Amazon S3. For more information, see Query Results in the Amazon Athena User Guide. This request does not execute the query but returns results. Use StartQueryExecution to run a query. To stream query results successfully, the IAM principal with permission to call GetQueryResults also must have permissions to the Amazon S3 GetObject action for the Athena query results location. IAM principals with permission to the Amazon S3 GetObject action for the query results location are able to retrieve query results from Amazon S3 even if permission to the GetQueryResults action is denied. To restrict user or role access, ensure that Amazon S3 permissions to the Athena query location are denied.","ref":"aws_athena.html#get_query_results/2","title":"aws_athena.get_query_results/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_query_results/3","title":"aws_athena.get_query_results/3","type":"function"},{"doc":"Returns query execution runtime statistics related to a single execution of a query if you have access to the workgroup in which the query ran. Query execution runtime statistics are returned only when QueryExecutionStatus$State is in a SUCCEEDED or FAILED state. Stage-level input and output row count and data size statistics are not shown when a query has row-level filters defined in Lake Formation.","ref":"aws_athena.html#get_query_runtime_statistics/2","title":"aws_athena.get_query_runtime_statistics/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_query_runtime_statistics/3","title":"aws_athena.get_query_runtime_statistics/3","type":"function"},{"doc":"Gets the full details of a previously created session, including the session status and configuration.","ref":"aws_athena.html#get_session/2","title":"aws_athena.get_session/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_session/3","title":"aws_athena.get_session/3","type":"function"},{"doc":"Gets the current status of a session.","ref":"aws_athena.html#get_session_status/2","title":"aws_athena.get_session_status/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_session_status/3","title":"aws_athena.get_session_status/3","type":"function"},{"doc":"Returns table metadata for the specified catalog, database, and table.","ref":"aws_athena.html#get_table_metadata/2","title":"aws_athena.get_table_metadata/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_table_metadata/3","title":"aws_athena.get_table_metadata/3","type":"function"},{"doc":"Returns information about the workgroup with the specified name.","ref":"aws_athena.html#get_work_group/2","title":"aws_athena.get_work_group/2","type":"function"},{"doc":"","ref":"aws_athena.html#get_work_group/3","title":"aws_athena.get_work_group/3","type":"function"},{"doc":"Imports a single ipynb file to a Spark enabled workgroup. The maximum file size that can be imported is 10 megabytes. If an ipynb file with the same name already exists in the workgroup, throws an error.","ref":"aws_athena.html#import_notebook/2","title":"aws_athena.import_notebook/2","type":"function"},{"doc":"","ref":"aws_athena.html#import_notebook/3","title":"aws_athena.import_notebook/3","type":"function"},{"doc":"Returns the supported DPU sizes for the supported application runtimes (for example, Jupyter 1.0 ).","ref":"aws_athena.html#list_application_d_p_u_sizes/2","title":"aws_athena.list_application_d_p_u_sizes/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_application_d_p_u_sizes/3","title":"aws_athena.list_application_d_p_u_sizes/3","type":"function"},{"doc":"Lists the calculations that have been submitted to a session in descending order. Newer calculations are listed first; older calculations are listed later.","ref":"aws_athena.html#list_calculation_executions/2","title":"aws_athena.list_calculation_executions/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_calculation_executions/3","title":"aws_athena.list_calculation_executions/3","type":"function"},{"doc":"Lists the data catalogs in the current Amazon Web Services account.","ref":"aws_athena.html#list_data_catalogs/2","title":"aws_athena.list_data_catalogs/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_data_catalogs/3","title":"aws_athena.list_data_catalogs/3","type":"function"},{"doc":"Lists the databases in the specified data catalog.","ref":"aws_athena.html#list_databases/2","title":"aws_athena.list_databases/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_databases/3","title":"aws_athena.list_databases/3","type":"function"},{"doc":"Returns a list of engine versions that are available to choose from, including the Auto option.","ref":"aws_athena.html#list_engine_versions/2","title":"aws_athena.list_engine_versions/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_engine_versions/3","title":"aws_athena.list_engine_versions/3","type":"function"},{"doc":"Lists, in descending order, the executors that have been submitted to a session. Newer executors are listed first; older executors are listed later. The result can be optionally filtered by state.","ref":"aws_athena.html#list_executors/2","title":"aws_athena.list_executors/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_executors/3","title":"aws_athena.list_executors/3","type":"function"},{"doc":"Provides a list of available query IDs only for queries saved in the specified workgroup. Requires that you have access to the specified workgroup. If a workgroup is not specified, lists the saved queries for the primary workgroup. For code samples using the Amazon Web Services SDK for Java, see Examples and Code Samples in the Amazon Athena User Guide.","ref":"aws_athena.html#list_named_queries/2","title":"aws_athena.list_named_queries/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_named_queries/3","title":"aws_athena.list_named_queries/3","type":"function"},{"doc":"Displays the notebook files for the specified workgroup in paginated format.","ref":"aws_athena.html#list_notebook_metadata/2","title":"aws_athena.list_notebook_metadata/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_notebook_metadata/3","title":"aws_athena.list_notebook_metadata/3","type":"function"},{"doc":"Lists, in descending order, the sessions that have been created in a notebook that are in an active state like CREATING , CREATED , IDLE or BUSY . Newer sessions are listed first; older sessions are listed later.","ref":"aws_athena.html#list_notebook_sessions/2","title":"aws_athena.list_notebook_sessions/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_notebook_sessions/3","title":"aws_athena.list_notebook_sessions/3","type":"function"},{"doc":"Lists the prepared statements in the specified workgroup.","ref":"aws_athena.html#list_prepared_statements/2","title":"aws_athena.list_prepared_statements/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_prepared_statements/3","title":"aws_athena.list_prepared_statements/3","type":"function"},{"doc":"Provides a list of available query execution IDs for the queries in the specified workgroup. If a workgroup is not specified, returns a list of query execution IDs for the primary workgroup. Requires you to have access to the workgroup in which the queries ran. For code samples using the Amazon Web Services SDK for Java, see Examples and Code Samples in the Amazon Athena User Guide.","ref":"aws_athena.html#list_query_executions/2","title":"aws_athena.list_query_executions/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_query_executions/3","title":"aws_athena.list_query_executions/3","type":"function"},{"doc":"Lists the sessions in a workgroup that are in an active state like CREATING , CREATED , IDLE , or BUSY . Newer sessions are listed first; older sessions are listed later.","ref":"aws_athena.html#list_sessions/2","title":"aws_athena.list_sessions/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_sessions/3","title":"aws_athena.list_sessions/3","type":"function"},{"doc":"Lists the metadata for the tables in the specified data catalog database.","ref":"aws_athena.html#list_table_metadata/2","title":"aws_athena.list_table_metadata/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_table_metadata/3","title":"aws_athena.list_table_metadata/3","type":"function"},{"doc":"Lists the tags associated with an Athena workgroup or data catalog resource.","ref":"aws_athena.html#list_tags_for_resource/2","title":"aws_athena.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_tags_for_resource/3","title":"aws_athena.list_tags_for_resource/3","type":"function"},{"doc":"Lists available workgroups for the account.","ref":"aws_athena.html#list_work_groups/2","title":"aws_athena.list_work_groups/2","type":"function"},{"doc":"","ref":"aws_athena.html#list_work_groups/3","title":"aws_athena.list_work_groups/3","type":"function"},{"doc":"Submits calculations for execution within a session. You can supply the code to run as an inline code block within the request or as an Amazon S3 URL.","ref":"aws_athena.html#start_calculation_execution/2","title":"aws_athena.start_calculation_execution/2","type":"function"},{"doc":"","ref":"aws_athena.html#start_calculation_execution/3","title":"aws_athena.start_calculation_execution/3","type":"function"},{"doc":"Runs the SQL query statements contained in the Query . Requires you to have access to the workgroup in which the query ran. Running queries against an external catalog requires GetDataCatalog permission to the catalog. For code samples using the Amazon Web Services SDK for Java, see Examples and Code Samples in the Amazon Athena User Guide.","ref":"aws_athena.html#start_query_execution/2","title":"aws_athena.start_query_execution/2","type":"function"},{"doc":"","ref":"aws_athena.html#start_query_execution/3","title":"aws_athena.start_query_execution/3","type":"function"},{"doc":"Creates a session for running calculations within a workgroup. The session is ready when it reaches an IDLE state.","ref":"aws_athena.html#start_session/2","title":"aws_athena.start_session/2","type":"function"},{"doc":"","ref":"aws_athena.html#start_session/3","title":"aws_athena.start_session/3","type":"function"},{"doc":"Requests the cancellation of a calculation. A StopCalculationExecution call on a calculation that is already in a terminal state (for example, STOPPED , FAILED , or COMPLETED ) succeeds but has no effect. Cancelling a calculation is done on a best effort basis. If a calculation cannot be cancelled, you can be charged for its completion. If you are concerned about being charged for a calculation that cannot be cancelled, consider terminating the session in which the calculation is running.","ref":"aws_athena.html#stop_calculation_execution/2","title":"aws_athena.stop_calculation_execution/2","type":"function"},{"doc":"","ref":"aws_athena.html#stop_calculation_execution/3","title":"aws_athena.stop_calculation_execution/3","type":"function"},{"doc":"Stops a query execution. Requires you to have access to the workgroup in which the query ran. For code samples using the Amazon Web Services SDK for Java, see Examples and Code Samples in the Amazon Athena User Guide.","ref":"aws_athena.html#stop_query_execution/2","title":"aws_athena.stop_query_execution/2","type":"function"},{"doc":"","ref":"aws_athena.html#stop_query_execution/3","title":"aws_athena.stop_query_execution/3","type":"function"},{"doc":"Adds one or more tags to an Athena resource. A tag is a label that you assign to a resource. In Athena, a resource can be a workgroup or data catalog. Each tag consists of a key and an optional value, both of which you define. For example, you can use tags to categorize Athena workgroups or data catalogs by purpose, owner, or environment. Use a consistent set of tag keys to make it easier to search and filter workgroups or data catalogs in your account. For best practices, see Tagging Best Practices. Tag keys can be from 1 to 128 UTF-8 Unicode characters, and tag values can be from 0 to 256 UTF-8 Unicode characters. Tags can use letters and numbers representable in UTF-8, and the following characters: + - = . _ : / @. Tag keys and values are case-sensitive. Tag keys must be unique per resource. If you specify more than one tag, separate them by commas.","ref":"aws_athena.html#tag_resource/2","title":"aws_athena.tag_resource/2","type":"function"},{"doc":"","ref":"aws_athena.html#tag_resource/3","title":"aws_athena.tag_resource/3","type":"function"},{"doc":"Terminates an active session. A TerminateSession call on a session that is already inactive (for example, in a FAILED , TERMINATED or TERMINATING state) succeeds but has no effect. Calculations running in the session when TerminateSession is called are forcefully stopped, but may display as FAILED instead of STOPPED .","ref":"aws_athena.html#terminate_session/2","title":"aws_athena.terminate_session/2","type":"function"},{"doc":"","ref":"aws_athena.html#terminate_session/3","title":"aws_athena.terminate_session/3","type":"function"},{"doc":"Removes one or more tags from a data catalog or workgroup resource.","ref":"aws_athena.html#untag_resource/2","title":"aws_athena.untag_resource/2","type":"function"},{"doc":"","ref":"aws_athena.html#untag_resource/3","title":"aws_athena.untag_resource/3","type":"function"},{"doc":"Updates the data catalog that has the specified name.","ref":"aws_athena.html#update_data_catalog/2","title":"aws_athena.update_data_catalog/2","type":"function"},{"doc":"","ref":"aws_athena.html#update_data_catalog/3","title":"aws_athena.update_data_catalog/3","type":"function"},{"doc":"Updates a NamedQuery object. The database or workgroup cannot be updated.","ref":"aws_athena.html#update_named_query/2","title":"aws_athena.update_named_query/2","type":"function"},{"doc":"","ref":"aws_athena.html#update_named_query/3","title":"aws_athena.update_named_query/3","type":"function"},{"doc":"Updates the contents of a Spark notebook.","ref":"aws_athena.html#update_notebook/2","title":"aws_athena.update_notebook/2","type":"function"},{"doc":"","ref":"aws_athena.html#update_notebook/3","title":"aws_athena.update_notebook/3","type":"function"},{"doc":"Updates the metadata for a notebook.","ref":"aws_athena.html#update_notebook_metadata/2","title":"aws_athena.update_notebook_metadata/2","type":"function"},{"doc":"","ref":"aws_athena.html#update_notebook_metadata/3","title":"aws_athena.update_notebook_metadata/3","type":"function"},{"doc":"Updates a prepared statement.","ref":"aws_athena.html#update_prepared_statement/2","title":"aws_athena.update_prepared_statement/2","type":"function"},{"doc":"","ref":"aws_athena.html#update_prepared_statement/3","title":"aws_athena.update_prepared_statement/3","type":"function"},{"doc":"Updates the workgroup with the specified name. The workgroup's name cannot be changed. Only one of ConfigurationsUpdates or ConfigurationUpdates can be specified; ConfigurationsUpdates for a workgroup with multi engine support (for example, an Apache Spark enabled workgroup) or ConfigurationUpdates for an Athena SQL workgroup.","ref":"aws_athena.html#update_work_group/2","title":"aws_athena.update_work_group/2","type":"function"},{"doc":"","ref":"aws_athena.html#update_work_group/3","title":"aws_athena.update_work_group/3","type":"function"},{"doc":"Welcome to the Audit Manager API reference. This guide is for developers who need detailed information about the Audit Manager API operations, data types, and errors. Audit Manager is a service that provides automated evidence collection so that you can continually audit your Amazon Web Services usage. You can use it to assess the effectiveness of your controls, manage risk, and simplify compliance. Audit Manager provides prebuilt frameworks that structure and automate assessments for a given compliance standard. Frameworks include a prebuilt collection of controls with descriptions and testing procedures. These controls are grouped according to the requirements of the specified compliance standard or regulation. You can also customize frameworks and controls to support internal audits with specific requirements. Use the following links to get started with the Audit Manager API: Actions: An alphabetical list of all Audit Manager API operations. Data types: An alphabetical list of all Audit Manager data types. Common parameters: Parameters that all operations can use. Common errors: Client and server errors that all operations can return. If you're new to Audit Manager, we recommend that you review the Audit Manager User Guide.","ref":"aws_auditmanager.html","title":"aws_auditmanager","type":"module"},{"doc":"Associates an evidence folder to an assessment report in an Audit Manager assessment.","ref":"aws_auditmanager.html#associate_assessment_report_evidence_folder/3","title":"aws_auditmanager.associate_assessment_report_evidence_folder/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#associate_assessment_report_evidence_folder/4","title":"aws_auditmanager.associate_assessment_report_evidence_folder/4","type":"function"},{"doc":"Associates a list of evidence to an assessment report in an Audit Manager assessment.","ref":"aws_auditmanager.html#batch_associate_assessment_report_evidence/3","title":"aws_auditmanager.batch_associate_assessment_report_evidence/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#batch_associate_assessment_report_evidence/4","title":"aws_auditmanager.batch_associate_assessment_report_evidence/4","type":"function"},{"doc":"Creates a batch of delegations for an assessment in Audit Manager.","ref":"aws_auditmanager.html#batch_create_delegation_by_assessment/3","title":"aws_auditmanager.batch_create_delegation_by_assessment/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#batch_create_delegation_by_assessment/4","title":"aws_auditmanager.batch_create_delegation_by_assessment/4","type":"function"},{"doc":"Deletes a batch of delegations for an assessment in Audit Manager.","ref":"aws_auditmanager.html#batch_delete_delegation_by_assessment/3","title":"aws_auditmanager.batch_delete_delegation_by_assessment/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#batch_delete_delegation_by_assessment/4","title":"aws_auditmanager.batch_delete_delegation_by_assessment/4","type":"function"},{"doc":"Disassociates a list of evidence from an assessment report in Audit Manager.","ref":"aws_auditmanager.html#batch_disassociate_assessment_report_evidence/3","title":"aws_auditmanager.batch_disassociate_assessment_report_evidence/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#batch_disassociate_assessment_report_evidence/4","title":"aws_auditmanager.batch_disassociate_assessment_report_evidence/4","type":"function"},{"doc":"Uploads one or more pieces of evidence to a control in an Audit Manager assessment. You can upload manual evidence from any Amazon Simple Storage Service (Amazon S3) bucket by specifying the S3 URI of the evidence. You must upload manual evidence to your S3 bucket before you can upload it to your assessment. For instructions, see CreateBucket and PutObject in the Amazon Simple Storage Service API Reference. The following restrictions apply to this action: Maximum size of an individual evidence file: 100 MB Number of daily manual evidence uploads per control: 100 Supported file formats: See Supported file types for manual evidence in the Audit Manager User Guide For more information about Audit Manager service restrictions, see Quotas and restrictions for Audit Manager.","ref":"aws_auditmanager.html#batch_import_evidence_to_assessment_control/5","title":"aws_auditmanager.batch_import_evidence_to_assessment_control/5","type":"function"},{"doc":"","ref":"aws_auditmanager.html#batch_import_evidence_to_assessment_control/6","title":"aws_auditmanager.batch_import_evidence_to_assessment_control/6","type":"function"},{"doc":"Creates an assessment in Audit Manager.","ref":"aws_auditmanager.html#create_assessment/2","title":"aws_auditmanager.create_assessment/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#create_assessment/3","title":"aws_auditmanager.create_assessment/3","type":"function"},{"doc":"Creates a custom framework in Audit Manager.","ref":"aws_auditmanager.html#create_assessment_framework/2","title":"aws_auditmanager.create_assessment_framework/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#create_assessment_framework/3","title":"aws_auditmanager.create_assessment_framework/3","type":"function"},{"doc":"Creates an assessment report for the specified assessment.","ref":"aws_auditmanager.html#create_assessment_report/3","title":"aws_auditmanager.create_assessment_report/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#create_assessment_report/4","title":"aws_auditmanager.create_assessment_report/4","type":"function"},{"doc":"Creates a new custom control in Audit Manager.","ref":"aws_auditmanager.html#create_control/2","title":"aws_auditmanager.create_control/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#create_control/3","title":"aws_auditmanager.create_control/3","type":"function"},{"doc":"Deletes an assessment in Audit Manager.","ref":"aws_auditmanager.html#delete_assessment/3","title":"aws_auditmanager.delete_assessment/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#delete_assessment/4","title":"aws_auditmanager.delete_assessment/4","type":"function"},{"doc":"Deletes a custom framework in Audit Manager.","ref":"aws_auditmanager.html#delete_assessment_framework/3","title":"aws_auditmanager.delete_assessment_framework/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#delete_assessment_framework/4","title":"aws_auditmanager.delete_assessment_framework/4","type":"function"},{"doc":"Deletes a share request for a custom framework in Audit Manager.","ref":"aws_auditmanager.html#delete_assessment_framework_share/3","title":"aws_auditmanager.delete_assessment_framework_share/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#delete_assessment_framework_share/4","title":"aws_auditmanager.delete_assessment_framework_share/4","type":"function"},{"doc":"Deletes an assessment report in Audit Manager. When you run the DeleteAssessmentReport operation, Audit Manager attempts to delete the following data: The specified assessment report that’s stored in your S3 bucket The associated metadata that’s stored in Audit Manager If Audit Manager can’t access the assessment report in your S3 bucket, the report isn’t deleted. In this event, the DeleteAssessmentReport operation doesn’t fail. Instead, it proceeds to delete the associated metadata only. You must then delete the assessment report from the S3 bucket yourself. This scenario happens when Audit Manager receives a 403 (Forbidden) or 404 (Not Found) error from Amazon S3. To avoid this, make sure that your S3 bucket is available, and that you configured the correct permissions for Audit Manager to delete resources in your S3 bucket. For an example permissions policy that you can use, see Assessment report destination permissions in the Audit Manager User Guide. For information about the issues that could cause a 403 (Forbidden) or 404 (Not Found ) error from Amazon S3, see List of Error Codes in the Amazon Simple Storage Service API Reference.","ref":"aws_auditmanager.html#delete_assessment_report/4","title":"aws_auditmanager.delete_assessment_report/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#delete_assessment_report/5","title":"aws_auditmanager.delete_assessment_report/5","type":"function"},{"doc":"Deletes a custom control in Audit Manager.","ref":"aws_auditmanager.html#delete_control/3","title":"aws_auditmanager.delete_control/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#delete_control/4","title":"aws_auditmanager.delete_control/4","type":"function"},{"doc":"Deregisters an account in Audit Manager. Before you deregister, you can use the UpdateSettings API operation to set your preferred data retention policy. By default, Audit Manager retains your data. If you want to delete your data, you can use the DeregistrationPolicy attribute to request the deletion of your data. For more information about data retention, see Data Protection in the Audit Manager User Guide.","ref":"aws_auditmanager.html#deregister_account/2","title":"aws_auditmanager.deregister_account/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#deregister_account/3","title":"aws_auditmanager.deregister_account/3","type":"function"},{"doc":"Removes the specified Amazon Web Services account as a delegated administrator for Audit Manager. When you remove a delegated administrator from your Audit Manager settings, you continue to have access to the evidence that you previously collected under that account. This is also the case when you deregister a delegated administrator from Organizations. However, Audit Manager stops collecting and attaching evidence to that delegated administrator account moving forward. Keep in mind the following cleanup task if you use evidence finder: Before you use your management account to remove a delegated administrator, make sure that the current delegated administrator account signs in to Audit Manager and disables evidence finder first. Disabling evidence finder automatically deletes the event data store that was created in their account when they enabled evidence finder. If this task isn’t completed, the event data store remains in their account. In this case, we recommend that the original delegated administrator goes to CloudTrail Lake and manually deletes the event data store. This cleanup task is necessary to ensure that you don't end up with multiple event data stores. Audit Manager ignores an unused event data store after you remove or change a delegated administrator account. However, the unused event data store continues to incur storage costs from CloudTrail Lake if you don't delete it. When you deregister a delegated administrator account for Audit Manager, the data for that account isn’t deleted. If you want to delete resource data for a delegated administrator account, you must perform that task separately before you deregister the account. Either, you can do this in the Audit Manager console. Or, you can use one of the delete API operations that are provided by Audit Manager. To delete your Audit Manager resource data, see the following instructions: DeleteAssessment (see also: Deleting an assessment in the Audit Manager User Guide) DeleteAssessmentFramework (see also: Deleting a custom framework in the Audit Manager User Guide) DeleteAssessmentFrameworkShare (see also: Deleting a share request in the Audit Manager User Guide) DeleteAssessmentReport (see also: Deleting an assessment report in the Audit Manager User Guide) DeleteControl (see also: Deleting a custom control in the Audit Manager User Guide) At this time, Audit Manager doesn't provide an option to delete evidence for a specific delegated administrator. Instead, when your management account deregisters Audit Manager, we perform a cleanup for the current delegated administrator account at the time of deregistration.","ref":"aws_auditmanager.html#deregister_organization_admin_account/2","title":"aws_auditmanager.deregister_organization_admin_account/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#deregister_organization_admin_account/3","title":"aws_auditmanager.deregister_organization_admin_account/3","type":"function"},{"doc":"Disassociates an evidence folder from the specified assessment report in Audit Manager.","ref":"aws_auditmanager.html#disassociate_assessment_report_evidence_folder/3","title":"aws_auditmanager.disassociate_assessment_report_evidence_folder/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#disassociate_assessment_report_evidence_folder/4","title":"aws_auditmanager.disassociate_assessment_report_evidence_folder/4","type":"function"},{"doc":"Returns the registration status of an account in Audit Manager.","ref":"aws_auditmanager.html#get_account_status/1","title":"aws_auditmanager.get_account_status/1","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_account_status/3","title":"aws_auditmanager.get_account_status/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_account_status/4","title":"aws_auditmanager.get_account_status/4","type":"function"},{"doc":"Returns an assessment from Audit Manager.","ref":"aws_auditmanager.html#get_assessment/2","title":"aws_auditmanager.get_assessment/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_assessment/4","title":"aws_auditmanager.get_assessment/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_assessment/5","title":"aws_auditmanager.get_assessment/5","type":"function"},{"doc":"Returns a framework from Audit Manager.","ref":"aws_auditmanager.html#get_assessment_framework/2","title":"aws_auditmanager.get_assessment_framework/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_assessment_framework/4","title":"aws_auditmanager.get_assessment_framework/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_assessment_framework/5","title":"aws_auditmanager.get_assessment_framework/5","type":"function"},{"doc":"Returns the URL of an assessment report in Audit Manager.","ref":"aws_auditmanager.html#get_assessment_report_url/3","title":"aws_auditmanager.get_assessment_report_url/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_assessment_report_url/5","title":"aws_auditmanager.get_assessment_report_url/5","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_assessment_report_url/6","title":"aws_auditmanager.get_assessment_report_url/6","type":"function"},{"doc":"Returns a list of changelogs from Audit Manager.","ref":"aws_auditmanager.html#get_change_logs/2","title":"aws_auditmanager.get_change_logs/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_change_logs/4","title":"aws_auditmanager.get_change_logs/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_change_logs/5","title":"aws_auditmanager.get_change_logs/5","type":"function"},{"doc":"Returns a control from Audit Manager.","ref":"aws_auditmanager.html#get_control/2","title":"aws_auditmanager.get_control/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_control/4","title":"aws_auditmanager.get_control/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_control/5","title":"aws_auditmanager.get_control/5","type":"function"},{"doc":"Returns a list of delegations from an audit owner to a delegate.","ref":"aws_auditmanager.html#get_delegations/1","title":"aws_auditmanager.get_delegations/1","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_delegations/3","title":"aws_auditmanager.get_delegations/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_delegations/4","title":"aws_auditmanager.get_delegations/4","type":"function"},{"doc":"Returns evidence from Audit Manager.","ref":"aws_auditmanager.html#get_evidence/5","title":"aws_auditmanager.get_evidence/5","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_evidence/7","title":"aws_auditmanager.get_evidence/7","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_evidence/8","title":"aws_auditmanager.get_evidence/8","type":"function"},{"doc":"Returns all evidence from a specified evidence folder in Audit Manager.","ref":"aws_auditmanager.html#get_evidence_by_evidence_folder/4","title":"aws_auditmanager.get_evidence_by_evidence_folder/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_evidence_by_evidence_folder/6","title":"aws_auditmanager.get_evidence_by_evidence_folder/6","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_evidence_by_evidence_folder/7","title":"aws_auditmanager.get_evidence_by_evidence_folder/7","type":"function"},{"doc":"Returns an evidence folder from the specified assessment in Audit Manager.","ref":"aws_auditmanager.html#get_evidence_folder/4","title":"aws_auditmanager.get_evidence_folder/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_evidence_folder/6","title":"aws_auditmanager.get_evidence_folder/6","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_evidence_folder/7","title":"aws_auditmanager.get_evidence_folder/7","type":"function"},{"doc":"Returns the evidence folders from a specified assessment in Audit Manager.","ref":"aws_auditmanager.html#get_evidence_folders_by_assessment/2","title":"aws_auditmanager.get_evidence_folders_by_assessment/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_evidence_folders_by_assessment/4","title":"aws_auditmanager.get_evidence_folders_by_assessment/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_evidence_folders_by_assessment/5","title":"aws_auditmanager.get_evidence_folders_by_assessment/5","type":"function"},{"doc":"Returns a list of evidence folders that are associated with a specified control in an Audit Manager assessment.","ref":"aws_auditmanager.html#get_evidence_folders_by_assessment_control/4","title":"aws_auditmanager.get_evidence_folders_by_assessment_control/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_evidence_folders_by_assessment_control/6","title":"aws_auditmanager.get_evidence_folders_by_assessment_control/6","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_evidence_folders_by_assessment_control/7","title":"aws_auditmanager.get_evidence_folders_by_assessment_control/7","type":"function"},{"doc":"Gets the latest analytics data for all your current active assessments.","ref":"aws_auditmanager.html#get_insights/1","title":"aws_auditmanager.get_insights/1","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_insights/3","title":"aws_auditmanager.get_insights/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_insights/4","title":"aws_auditmanager.get_insights/4","type":"function"},{"doc":"Gets the latest analytics data for a specific active assessment.","ref":"aws_auditmanager.html#get_insights_by_assessment/2","title":"aws_auditmanager.get_insights_by_assessment/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_insights_by_assessment/4","title":"aws_auditmanager.get_insights_by_assessment/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_insights_by_assessment/5","title":"aws_auditmanager.get_insights_by_assessment/5","type":"function"},{"doc":"Returns the name of the delegated Amazon Web Services administrator account for the organization.","ref":"aws_auditmanager.html#get_organization_admin_account/1","title":"aws_auditmanager.get_organization_admin_account/1","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_organization_admin_account/3","title":"aws_auditmanager.get_organization_admin_account/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_organization_admin_account/4","title":"aws_auditmanager.get_organization_admin_account/4","type":"function"},{"doc":"Returns a list of all of the Amazon Web Services that you can choose to include in your assessment. When you create an assessment, specify which of these services you want to include to narrow the assessment's scope.","ref":"aws_auditmanager.html#get_services_in_scope/1","title":"aws_auditmanager.get_services_in_scope/1","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_services_in_scope/3","title":"aws_auditmanager.get_services_in_scope/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_services_in_scope/4","title":"aws_auditmanager.get_services_in_scope/4","type":"function"},{"doc":"Returns the settings for the specified Amazon Web Services account.","ref":"aws_auditmanager.html#get_settings/2","title":"aws_auditmanager.get_settings/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_settings/4","title":"aws_auditmanager.get_settings/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#get_settings/5","title":"aws_auditmanager.get_settings/5","type":"function"},{"doc":"Lists the latest analytics data for controls within a specific control domain and a specific active assessment. Control insights are listed only if the control belongs to the control domain and assessment that was specified. Moreover, the control must have collected evidence on the lastUpdated date of controlInsightsByAssessment . If neither of these conditions are met, no data is listed for that control.","ref":"aws_auditmanager.html#list_assessment_control_insights_by_control_domain/3","title":"aws_auditmanager.list_assessment_control_insights_by_control_domain/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_assessment_control_insights_by_control_domain/5","title":"aws_auditmanager.list_assessment_control_insights_by_control_domain/5","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_assessment_control_insights_by_control_domain/6","title":"aws_auditmanager.list_assessment_control_insights_by_control_domain/6","type":"function"},{"doc":"Returns a list of sent or received share requests for custom frameworks in Audit Manager.","ref":"aws_auditmanager.html#list_assessment_framework_share_requests/2","title":"aws_auditmanager.list_assessment_framework_share_requests/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_assessment_framework_share_requests/4","title":"aws_auditmanager.list_assessment_framework_share_requests/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_assessment_framework_share_requests/5","title":"aws_auditmanager.list_assessment_framework_share_requests/5","type":"function"},{"doc":"Returns a list of the frameworks that are available in the Audit Manager framework library.","ref":"aws_auditmanager.html#list_assessment_frameworks/2","title":"aws_auditmanager.list_assessment_frameworks/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_assessment_frameworks/4","title":"aws_auditmanager.list_assessment_frameworks/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_assessment_frameworks/5","title":"aws_auditmanager.list_assessment_frameworks/5","type":"function"},{"doc":"Returns a list of assessment reports created in Audit Manager.","ref":"aws_auditmanager.html#list_assessment_reports/1","title":"aws_auditmanager.list_assessment_reports/1","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_assessment_reports/3","title":"aws_auditmanager.list_assessment_reports/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_assessment_reports/4","title":"aws_auditmanager.list_assessment_reports/4","type":"function"},{"doc":"Returns a list of current and past assessments from Audit Manager.","ref":"aws_auditmanager.html#list_assessments/1","title":"aws_auditmanager.list_assessments/1","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_assessments/3","title":"aws_auditmanager.list_assessments/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_assessments/4","title":"aws_auditmanager.list_assessments/4","type":"function"},{"doc":"Lists the latest analytics data for control domains across all of your active assessments. A control domain is listed only if at least one of the controls within that domain collected evidence on the lastUpdated date of controlDomainInsights . If this condition isn’t met, no data is listed for that control domain.","ref":"aws_auditmanager.html#list_control_domain_insights/1","title":"aws_auditmanager.list_control_domain_insights/1","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_control_domain_insights/3","title":"aws_auditmanager.list_control_domain_insights/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_control_domain_insights/4","title":"aws_auditmanager.list_control_domain_insights/4","type":"function"},{"doc":"Lists analytics data for control domains within a specified active assessment. A control domain is listed only if at least one of the controls within that domain collected evidence on the lastUpdated date of controlDomainInsights . If this condition isn’t met, no data is listed for that domain.","ref":"aws_auditmanager.html#list_control_domain_insights_by_assessment/2","title":"aws_auditmanager.list_control_domain_insights_by_assessment/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_control_domain_insights_by_assessment/4","title":"aws_auditmanager.list_control_domain_insights_by_assessment/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_control_domain_insights_by_assessment/5","title":"aws_auditmanager.list_control_domain_insights_by_assessment/5","type":"function"},{"doc":"Lists the latest analytics data for controls within a specific control domain across all active assessments. Control insights are listed only if the control belongs to the control domain that was specified and the control collected evidence on the lastUpdated date of controlInsightsMetadata . If neither of these conditions are met, no data is listed for that control.","ref":"aws_auditmanager.html#list_control_insights_by_control_domain/2","title":"aws_auditmanager.list_control_insights_by_control_domain/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_control_insights_by_control_domain/4","title":"aws_auditmanager.list_control_insights_by_control_domain/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_control_insights_by_control_domain/5","title":"aws_auditmanager.list_control_insights_by_control_domain/5","type":"function"},{"doc":"Returns a list of controls from Audit Manager.","ref":"aws_auditmanager.html#list_controls/2","title":"aws_auditmanager.list_controls/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_controls/4","title":"aws_auditmanager.list_controls/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_controls/5","title":"aws_auditmanager.list_controls/5","type":"function"},{"doc":"Returns a list of keywords that are pre-mapped to the specified control data source.","ref":"aws_auditmanager.html#list_keywords_for_data_source/2","title":"aws_auditmanager.list_keywords_for_data_source/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_keywords_for_data_source/4","title":"aws_auditmanager.list_keywords_for_data_source/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_keywords_for_data_source/5","title":"aws_auditmanager.list_keywords_for_data_source/5","type":"function"},{"doc":"Returns a list of all Audit Manager notifications.","ref":"aws_auditmanager.html#list_notifications/1","title":"aws_auditmanager.list_notifications/1","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_notifications/3","title":"aws_auditmanager.list_notifications/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_notifications/4","title":"aws_auditmanager.list_notifications/4","type":"function"},{"doc":"Returns a list of tags for the specified resource in Audit Manager.","ref":"aws_auditmanager.html#list_tags_for_resource/2","title":"aws_auditmanager.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_tags_for_resource/4","title":"aws_auditmanager.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#list_tags_for_resource/5","title":"aws_auditmanager.list_tags_for_resource/5","type":"function"},{"doc":"Enables Audit Manager for the specified Amazon Web Services account.","ref":"aws_auditmanager.html#register_account/2","title":"aws_auditmanager.register_account/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#register_account/3","title":"aws_auditmanager.register_account/3","type":"function"},{"doc":"Enables an Amazon Web Services account within the organization as the delegated administrator for Audit Manager.","ref":"aws_auditmanager.html#register_organization_admin_account/2","title":"aws_auditmanager.register_organization_admin_account/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#register_organization_admin_account/3","title":"aws_auditmanager.register_organization_admin_account/3","type":"function"},{"doc":"Creates a share request for a custom framework in Audit Manager. The share request specifies a recipient and notifies them that a custom framework is available. Recipients have 120 days to accept or decline the request. If no action is taken, the share request expires. When you create a share request, Audit Manager stores a snapshot of your custom framework in the US East (N. Virginia) Amazon Web Services Region. Audit Manager also stores a backup of the same snapshot in the US West (Oregon) Amazon Web Services Region. Audit Manager deletes the snapshot and the backup snapshot when one of the following events occurs: The sender revokes the share request. The recipient declines the share request. The recipient encounters an error and doesn't successfully accept the share request. The share request expires before the recipient responds to the request. When a sender resends a share request, the snapshot is replaced with an updated version that corresponds with the latest version of the custom framework. When a recipient accepts a share request, the snapshot is replicated into their Amazon Web Services account under the Amazon Web Services Region that was specified in the share request. When you invoke the StartAssessmentFrameworkShare API, you are about to share a custom framework with another Amazon Web Services account. You may not share a custom framework that is derived from a standard framework if the standard framework is designated as not eligible for sharing by Amazon Web Services, unless you have obtained permission to do so from the owner of the standard framework. To learn more about which standard frameworks are eligible for sharing, see Framework sharing eligibility in the Audit Manager User Guide.","ref":"aws_auditmanager.html#start_assessment_framework_share/3","title":"aws_auditmanager.start_assessment_framework_share/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#start_assessment_framework_share/4","title":"aws_auditmanager.start_assessment_framework_share/4","type":"function"},{"doc":"Tags the specified resource in Audit Manager.","ref":"aws_auditmanager.html#tag_resource/3","title":"aws_auditmanager.tag_resource/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#tag_resource/4","title":"aws_auditmanager.tag_resource/4","type":"function"},{"doc":"Removes a tag from a resource in Audit Manager.","ref":"aws_auditmanager.html#untag_resource/3","title":"aws_auditmanager.untag_resource/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#untag_resource/4","title":"aws_auditmanager.untag_resource/4","type":"function"},{"doc":"Edits an Audit Manager assessment.","ref":"aws_auditmanager.html#update_assessment/3","title":"aws_auditmanager.update_assessment/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#update_assessment/4","title":"aws_auditmanager.update_assessment/4","type":"function"},{"doc":"Updates a control within an assessment in Audit Manager.","ref":"aws_auditmanager.html#update_assessment_control/5","title":"aws_auditmanager.update_assessment_control/5","type":"function"},{"doc":"","ref":"aws_auditmanager.html#update_assessment_control/6","title":"aws_auditmanager.update_assessment_control/6","type":"function"},{"doc":"Updates the status of a control set in an Audit Manager assessment.","ref":"aws_auditmanager.html#update_assessment_control_set_status/4","title":"aws_auditmanager.update_assessment_control_set_status/4","type":"function"},{"doc":"","ref":"aws_auditmanager.html#update_assessment_control_set_status/5","title":"aws_auditmanager.update_assessment_control_set_status/5","type":"function"},{"doc":"Updates a custom framework in Audit Manager.","ref":"aws_auditmanager.html#update_assessment_framework/3","title":"aws_auditmanager.update_assessment_framework/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#update_assessment_framework/4","title":"aws_auditmanager.update_assessment_framework/4","type":"function"},{"doc":"Updates a share request for a custom framework in Audit Manager.","ref":"aws_auditmanager.html#update_assessment_framework_share/3","title":"aws_auditmanager.update_assessment_framework_share/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#update_assessment_framework_share/4","title":"aws_auditmanager.update_assessment_framework_share/4","type":"function"},{"doc":"Updates the status of an assessment in Audit Manager.","ref":"aws_auditmanager.html#update_assessment_status/3","title":"aws_auditmanager.update_assessment_status/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#update_assessment_status/4","title":"aws_auditmanager.update_assessment_status/4","type":"function"},{"doc":"Updates a custom control in Audit Manager.","ref":"aws_auditmanager.html#update_control/3","title":"aws_auditmanager.update_control/3","type":"function"},{"doc":"","ref":"aws_auditmanager.html#update_control/4","title":"aws_auditmanager.update_control/4","type":"function"},{"doc":"Updates Audit Manager settings for the current user account.","ref":"aws_auditmanager.html#update_settings/2","title":"aws_auditmanager.update_settings/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#update_settings/3","title":"aws_auditmanager.update_settings/3","type":"function"},{"doc":"Validates the integrity of an assessment report in Audit Manager.","ref":"aws_auditmanager.html#validate_assessment_report_integrity/2","title":"aws_auditmanager.validate_assessment_report_integrity/2","type":"function"},{"doc":"","ref":"aws_auditmanager.html#validate_assessment_report_integrity/3","title":"aws_auditmanager.validate_assessment_report_integrity/3","type":"function"},{"doc":"Amazon EC2 Auto Scaling Amazon EC2 Auto Scaling is designed to automatically launch and terminate EC2 instances based on user-defined scaling policies, scheduled actions, and health checks. For more information, see the Amazon EC2 Auto Scaling User Guide and the Amazon EC2 Auto Scaling API Reference.","ref":"aws_auto_scaling.html","title":"aws_auto_scaling","type":"module"},{"doc":"Attaches one or more EC2 instances to the specified Auto Scaling group. When you attach instances, Amazon EC2 Auto Scaling increases the desired capacity of the group by the number of instances being attached. If the number of instances being attached plus the desired capacity of the group exceeds the maximum size of the group, the operation fails. If there is a Classic Load Balancer attached to your Auto Scaling group, the instances are also registered with the load balancer. If there are target groups attached to your Auto Scaling group, the instances are also registered with the target groups. For more information, see Attach EC2 instances to your Auto Scaling group in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#attach_instances/2","title":"aws_auto_scaling.attach_instances/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#attach_instances/3","title":"aws_auto_scaling.attach_instances/3","type":"function"},{"doc":"Attaches one or more target groups to the specified Auto Scaling group. This operation is used with the following load balancer types: Application Load Balancer - Operates at the application layer (layer 7) and supports HTTP and HTTPS. Network Load Balancer - Operates at the transport layer (layer 4) and supports TCP, TLS, and UDP. Gateway Load Balancer - Operates at the network layer (layer 3). To describe the target groups for an Auto Scaling group, call the DescribeLoadBalancerTargetGroups API. To detach the target group from the Auto Scaling group, call the DetachLoadBalancerTargetGroups API. This operation is additive and does not detach existing target groups or Classic Load Balancers from the Auto Scaling group. For more information, see Use Elastic Load Balancing to distribute traffic across the instances in your Auto Scaling group in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#attach_load_balancer_target_groups/2","title":"aws_auto_scaling.attach_load_balancer_target_groups/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#attach_load_balancer_target_groups/3","title":"aws_auto_scaling.attach_load_balancer_target_groups/3","type":"function"},{"doc":"To attach an Application Load Balancer, Network Load Balancer, or Gateway Load Balancer, use the AttachLoadBalancerTargetGroups API operation instead. Attaches one or more Classic Load Balancers to the specified Auto Scaling group. Amazon EC2 Auto Scaling registers the running instances with these Classic Load Balancers. To describe the load balancers for an Auto Scaling group, call the DescribeLoadBalancers API. To detach a load balancer from the Auto Scaling group, call the DetachLoadBalancers API. This operation is additive and does not detach existing Classic Load Balancers or target groups from the Auto Scaling group. For more information, see Use Elastic Load Balancing to distribute traffic across the instances in your Auto Scaling group in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#attach_load_balancers/2","title":"aws_auto_scaling.attach_load_balancers/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#attach_load_balancers/3","title":"aws_auto_scaling.attach_load_balancers/3","type":"function"},{"doc":"Reserved for use with Amazon VPC Lattice, which is in preview and subject to change. Do not use this API for production workloads. This API is also subject to change. Attaches one or more traffic sources to the specified Auto Scaling group. To describe the traffic sources for an Auto Scaling group, call the DescribeTrafficSources API. To detach a traffic source from the Auto Scaling group, call the DetachTrafficSources API. This operation is additive and does not detach existing traffic sources from the Auto Scaling group.","ref":"aws_auto_scaling.html#attach_traffic_sources/2","title":"aws_auto_scaling.attach_traffic_sources/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#attach_traffic_sources/3","title":"aws_auto_scaling.attach_traffic_sources/3","type":"function"},{"doc":"Deletes one or more scheduled actions for the specified Auto Scaling group.","ref":"aws_auto_scaling.html#batch_delete_scheduled_action/2","title":"aws_auto_scaling.batch_delete_scheduled_action/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#batch_delete_scheduled_action/3","title":"aws_auto_scaling.batch_delete_scheduled_action/3","type":"function"},{"doc":"Creates or updates one or more scheduled scaling actions for an Auto Scaling group.","ref":"aws_auto_scaling.html#batch_put_scheduled_update_group_action/2","title":"aws_auto_scaling.batch_put_scheduled_update_group_action/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#batch_put_scheduled_update_group_action/3","title":"aws_auto_scaling.batch_put_scheduled_update_group_action/3","type":"function"},{"doc":"Cancels an instance refresh or rollback that is in progress. If an instance refresh or rollback is not in progress, an ActiveInstanceRefreshNotFound error occurs. This operation is part of the instance refresh feature in Amazon EC2 Auto Scaling, which helps you update instances in your Auto Scaling group after you make configuration changes. When you cancel an instance refresh, this does not roll back any changes that it made. Use the RollbackInstanceRefresh API to roll back instead.","ref":"aws_auto_scaling.html#cancel_instance_refresh/2","title":"aws_auto_scaling.cancel_instance_refresh/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#cancel_instance_refresh/3","title":"aws_auto_scaling.cancel_instance_refresh/3","type":"function"},{"doc":"Completes the lifecycle action for the specified token or instance with the specified result. This step is a part of the procedure for adding a lifecycle hook to an Auto Scaling group: (Optional) Create a launch template or launch configuration with a user data script that runs while an instance is in a wait state due to a lifecycle hook. (Optional) Create a Lambda function and a rule that allows Amazon EventBridge to invoke your Lambda function when an instance is put into a wait state due to a lifecycle hook. (Optional) Create a notification target and an IAM role. The target can be either an Amazon SQS queue or an Amazon SNS topic. The role allows Amazon EC2 Auto Scaling to publish lifecycle notifications to the target. Create the lifecycle hook. Specify whether the hook is used when the instances launch or terminate. If you need more time, record the lifecycle action heartbeat to keep the instance in a wait state. If you finish before the timeout period ends, send a callback by using the CompleteLifecycleAction API call. For more information, see Amazon EC2 Auto Scaling lifecycle hooks in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#complete_lifecycle_action/2","title":"aws_auto_scaling.complete_lifecycle_action/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#complete_lifecycle_action/3","title":"aws_auto_scaling.complete_lifecycle_action/3","type":"function"},{"doc":"We strongly recommend using a launch template when calling this operation to ensure full functionality for Amazon EC2 Auto Scaling and Amazon EC2. Creates an Auto Scaling group with the specified name and attributes. If you exceed your maximum limit of Auto Scaling groups, the call fails. To query this limit, call the DescribeAccountLimits API. For information about updating this limit, see Quotas for Amazon EC2 Auto Scaling in the Amazon EC2 Auto Scaling User Guide. For introductory exercises for creating an Auto Scaling group, see Getting started with Amazon EC2 Auto Scaling and Tutorial: Set up a scaled and load-balanced application in the Amazon EC2 Auto Scaling User Guide. For more information, see Auto Scaling groups in the Amazon EC2 Auto Scaling User Guide. Every Auto Scaling group has three size properties ( DesiredCapacity , MaxSize , and MinSize ). Usually, you set these sizes based on a specific number of instances. However, if you configure a mixed instances policy that defines weights for the instance types, you must specify these sizes with the same units that you use for weighting instances.","ref":"aws_auto_scaling.html#create_auto_scaling_group/2","title":"aws_auto_scaling.create_auto_scaling_group/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#create_auto_scaling_group/3","title":"aws_auto_scaling.create_auto_scaling_group/3","type":"function"},{"doc":"Creates a launch configuration. If you exceed your maximum limit of launch configurations, the call fails. To query this limit, call the DescribeAccountLimits API. For information about updating this limit, see Quotas for Amazon EC2 Auto Scaling in the Amazon EC2 Auto Scaling User Guide. For more information, see Launch configurations in the Amazon EC2 Auto Scaling User Guide. Amazon EC2 Auto Scaling configures instances launched as part of an Auto Scaling group using either a launch template or a launch configuration. We strongly recommend that you do not use launch configurations. They do not provide full functionality for Amazon EC2 Auto Scaling or Amazon EC2. For information about using launch templates, see Launch templates in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#create_launch_configuration/2","title":"aws_auto_scaling.create_launch_configuration/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#create_launch_configuration/3","title":"aws_auto_scaling.create_launch_configuration/3","type":"function"},{"doc":"Creates or updates tags for the specified Auto Scaling group. When you specify a tag with a key that already exists, the operation overwrites the previous tag definition, and you do not get an error message. For more information, see Tag Auto Scaling groups and instances in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#create_or_update_tags/2","title":"aws_auto_scaling.create_or_update_tags/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#create_or_update_tags/3","title":"aws_auto_scaling.create_or_update_tags/3","type":"function"},{"doc":"Deletes the specified Auto Scaling group. If the group has instances or scaling activities in progress, you must specify the option to force the deletion in order for it to succeed. The force delete operation will also terminate the EC2 instances. If the group has a warm pool, the force delete option also deletes the warm pool. To remove instances from the Auto Scaling group before deleting it, call the DetachInstances API with the list of instances and the option to decrement the desired capacity. This ensures that Amazon EC2 Auto Scaling does not launch replacement instances. To terminate all instances before deleting the Auto Scaling group, call the UpdateAutoScalingGroup API and set the minimum size and desired capacity of the Auto Scaling group to zero. If the group has scaling policies, deleting the group deletes the policies, the underlying alarm actions, and any alarm that no longer has an associated action. For more information, see Delete your Auto Scaling infrastructure in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#delete_auto_scaling_group/2","title":"aws_auto_scaling.delete_auto_scaling_group/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#delete_auto_scaling_group/3","title":"aws_auto_scaling.delete_auto_scaling_group/3","type":"function"},{"doc":"Deletes the specified launch configuration. The launch configuration must not be attached to an Auto Scaling group. When this call completes, the launch configuration is no longer available for use.","ref":"aws_auto_scaling.html#delete_launch_configuration/2","title":"aws_auto_scaling.delete_launch_configuration/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#delete_launch_configuration/3","title":"aws_auto_scaling.delete_launch_configuration/3","type":"function"},{"doc":"Deletes the specified lifecycle hook. If there are any outstanding lifecycle actions, they are completed first ( ABANDON for launching instances, CONTINUE for terminating instances).","ref":"aws_auto_scaling.html#delete_lifecycle_hook/2","title":"aws_auto_scaling.delete_lifecycle_hook/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#delete_lifecycle_hook/3","title":"aws_auto_scaling.delete_lifecycle_hook/3","type":"function"},{"doc":"Deletes the specified notification.","ref":"aws_auto_scaling.html#delete_notification_configuration/2","title":"aws_auto_scaling.delete_notification_configuration/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#delete_notification_configuration/3","title":"aws_auto_scaling.delete_notification_configuration/3","type":"function"},{"doc":"Deletes the specified scaling policy. Deleting either a step scaling policy or a simple scaling policy deletes the underlying alarm action, but does not delete the alarm, even if it no longer has an associated action. For more information, see Deleting a scaling policy in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#delete_policy/2","title":"aws_auto_scaling.delete_policy/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#delete_policy/3","title":"aws_auto_scaling.delete_policy/3","type":"function"},{"doc":"Deletes the specified scheduled action.","ref":"aws_auto_scaling.html#delete_scheduled_action/2","title":"aws_auto_scaling.delete_scheduled_action/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#delete_scheduled_action/3","title":"aws_auto_scaling.delete_scheduled_action/3","type":"function"},{"doc":"Deletes the specified tags.","ref":"aws_auto_scaling.html#delete_tags/2","title":"aws_auto_scaling.delete_tags/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#delete_tags/3","title":"aws_auto_scaling.delete_tags/3","type":"function"},{"doc":"Deletes the warm pool for the specified Auto Scaling group. For more information, see Warm pools for Amazon EC2 Auto Scaling in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#delete_warm_pool/2","title":"aws_auto_scaling.delete_warm_pool/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#delete_warm_pool/3","title":"aws_auto_scaling.delete_warm_pool/3","type":"function"},{"doc":"Describes the current Amazon EC2 Auto Scaling resource quotas for your account. When you establish an Amazon Web Services account, the account has initial quotas on the maximum number of Auto Scaling groups and launch configurations that you can create in a given Region. For more information, see Quotas for Amazon EC2 Auto Scaling in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#describe_account_limits/2","title":"aws_auto_scaling.describe_account_limits/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_account_limits/3","title":"aws_auto_scaling.describe_account_limits/3","type":"function"},{"doc":"Describes the available adjustment types for step scaling and simple scaling policies. The following adjustment types are supported: ChangeInCapacity ExactCapacity PercentChangeInCapacity","ref":"aws_auto_scaling.html#describe_adjustment_types/2","title":"aws_auto_scaling.describe_adjustment_types/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_adjustment_types/3","title":"aws_auto_scaling.describe_adjustment_types/3","type":"function"},{"doc":"Gets information about the Auto Scaling groups in the account and Region. If you specify Auto Scaling group names, the output includes information for only the specified Auto Scaling groups. If you specify filters, the output includes information for only those Auto Scaling groups that meet the filter criteria. If you do not specify group names or filters, the output includes information for all Auto Scaling groups. This operation also returns information about instances in Auto Scaling groups. To retrieve information about the instances in a warm pool, you must call the DescribeWarmPool API.","ref":"aws_auto_scaling.html#describe_auto_scaling_groups/2","title":"aws_auto_scaling.describe_auto_scaling_groups/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_auto_scaling_groups/3","title":"aws_auto_scaling.describe_auto_scaling_groups/3","type":"function"},{"doc":"Gets information about the Auto Scaling instances in the account and Region.","ref":"aws_auto_scaling.html#describe_auto_scaling_instances/2","title":"aws_auto_scaling.describe_auto_scaling_instances/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_auto_scaling_instances/3","title":"aws_auto_scaling.describe_auto_scaling_instances/3","type":"function"},{"doc":"Describes the notification types that are supported by Amazon EC2 Auto Scaling.","ref":"aws_auto_scaling.html#describe_auto_scaling_notification_types/2","title":"aws_auto_scaling.describe_auto_scaling_notification_types/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_auto_scaling_notification_types/3","title":"aws_auto_scaling.describe_auto_scaling_notification_types/3","type":"function"},{"doc":"Gets information about the instance refreshes for the specified Auto Scaling group. This operation is part of the instance refresh feature in Amazon EC2 Auto Scaling, which helps you update instances in your Auto Scaling group after you make configuration changes. To help you determine the status of an instance refresh, Amazon EC2 Auto Scaling returns information about the instance refreshes you previously initiated, including their status, start time, end time, the percentage of the instance refresh that is complete, and the number of instances remaining to update before the instance refresh is complete. If a rollback is initiated while an instance refresh is in progress, Amazon EC2 Auto Scaling also returns information about the rollback of the instance refresh.","ref":"aws_auto_scaling.html#describe_instance_refreshes/2","title":"aws_auto_scaling.describe_instance_refreshes/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_instance_refreshes/3","title":"aws_auto_scaling.describe_instance_refreshes/3","type":"function"},{"doc":"Gets information about the launch configurations in the account and Region.","ref":"aws_auto_scaling.html#describe_launch_configurations/2","title":"aws_auto_scaling.describe_launch_configurations/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_launch_configurations/3","title":"aws_auto_scaling.describe_launch_configurations/3","type":"function"},{"doc":"Describes the available types of lifecycle hooks. The following hook types are supported: autoscaling:EC2_INSTANCE_LAUNCHING autoscaling:EC2_INSTANCE_TERMINATING","ref":"aws_auto_scaling.html#describe_lifecycle_hook_types/2","title":"aws_auto_scaling.describe_lifecycle_hook_types/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_lifecycle_hook_types/3","title":"aws_auto_scaling.describe_lifecycle_hook_types/3","type":"function"},{"doc":"Gets information about the lifecycle hooks for the specified Auto Scaling group.","ref":"aws_auto_scaling.html#describe_lifecycle_hooks/2","title":"aws_auto_scaling.describe_lifecycle_hooks/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_lifecycle_hooks/3","title":"aws_auto_scaling.describe_lifecycle_hooks/3","type":"function"},{"doc":"Gets information about the Elastic Load Balancing target groups for the specified Auto Scaling group. To determine the attachment status of the target group, use the State element in the response. When you attach a target group to an Auto Scaling group, the initial State value is Adding . The state transitions to Added after all Auto Scaling instances are registered with the target group. If Elastic Load Balancing health checks are enabled for the Auto Scaling group, the state transitions to InService after at least one Auto Scaling instance passes the health check. When the target group is in the InService state, Amazon EC2 Auto Scaling can terminate and replace any instances that are reported as unhealthy. If no registered instances pass the health checks, the target group doesn't enter the InService state. Target groups also have an InService state if you attach them in the CreateAutoScalingGroup API call. If your target group state is InService , but it is not working properly, check the scaling activities by calling DescribeScalingActivities and take any corrective actions necessary. For help with failed health checks, see Troubleshooting Amazon EC2 Auto Scaling: Health checks in the Amazon EC2 Auto Scaling User Guide. For more information, see Use Elastic Load Balancing to distribute traffic across the instances in your Auto Scaling group in the Amazon EC2 Auto Scaling User Guide. You can use this operation to describe target groups that were attached by using AttachLoadBalancerTargetGroups , but not for target groups that were attached by using AttachTrafficSources .","ref":"aws_auto_scaling.html#describe_load_balancer_target_groups/2","title":"aws_auto_scaling.describe_load_balancer_target_groups/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_load_balancer_target_groups/3","title":"aws_auto_scaling.describe_load_balancer_target_groups/3","type":"function"},{"doc":"Gets information about the load balancers for the specified Auto Scaling group. This operation describes only Classic Load Balancers. If you have Application Load Balancers, Network Load Balancers, or Gateway Load Balancer, use the DescribeLoadBalancerTargetGroups API instead. To determine the attachment status of the load balancer, use the State element in the response. When you attach a load balancer to an Auto Scaling group, the initial State value is Adding . The state transitions to Added after all Auto Scaling instances are registered with the load balancer. If Elastic Load Balancing health checks are enabled for the Auto Scaling group, the state transitions to InService after at least one Auto Scaling instance passes the health check. When the load balancer is in the InService state, Amazon EC2 Auto Scaling can terminate and replace any instances that are reported as unhealthy. If no registered instances pass the health checks, the load balancer doesn't enter the InService state. Load balancers also have an InService state if you attach them in the CreateAutoScalingGroup API call. If your load balancer state is InService , but it is not working properly, check the scaling activities by calling DescribeScalingActivities and take any corrective actions necessary. For help with failed health checks, see Troubleshooting Amazon EC2 Auto Scaling: Health checks in the Amazon EC2 Auto Scaling User Guide. For more information, see Use Elastic Load Balancing to distribute traffic across the instances in your Auto Scaling group in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#describe_load_balancers/2","title":"aws_auto_scaling.describe_load_balancers/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_load_balancers/3","title":"aws_auto_scaling.describe_load_balancers/3","type":"function"},{"doc":"Describes the available CloudWatch metrics for Amazon EC2 Auto Scaling.","ref":"aws_auto_scaling.html#describe_metric_collection_types/2","title":"aws_auto_scaling.describe_metric_collection_types/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_metric_collection_types/3","title":"aws_auto_scaling.describe_metric_collection_types/3","type":"function"},{"doc":"Gets information about the Amazon SNS notifications that are configured for one or more Auto Scaling groups.","ref":"aws_auto_scaling.html#describe_notification_configurations/2","title":"aws_auto_scaling.describe_notification_configurations/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_notification_configurations/3","title":"aws_auto_scaling.describe_notification_configurations/3","type":"function"},{"doc":"Gets information about the scaling policies in the account and Region.","ref":"aws_auto_scaling.html#describe_policies/2","title":"aws_auto_scaling.describe_policies/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_policies/3","title":"aws_auto_scaling.describe_policies/3","type":"function"},{"doc":"Gets information about the scaling activities in the account and Region. When scaling events occur, you see a record of the scaling activity in the scaling activities. For more information, see Verifying a scaling activity for an Auto Scaling group in the Amazon EC2 Auto Scaling User Guide. If the scaling event succeeds, the value of the StatusCode element in the response is Successful . If an attempt to launch instances failed, the StatusCode value is Failed or Cancelled and the StatusMessage element in the response indicates the cause of the failure. For help interpreting the StatusMessage , see Troubleshooting Amazon EC2 Auto Scaling in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#describe_scaling_activities/2","title":"aws_auto_scaling.describe_scaling_activities/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_scaling_activities/3","title":"aws_auto_scaling.describe_scaling_activities/3","type":"function"},{"doc":"Describes the scaling process types for use with the ResumeProcesses and SuspendProcesses APIs.","ref":"aws_auto_scaling.html#describe_scaling_process_types/2","title":"aws_auto_scaling.describe_scaling_process_types/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_scaling_process_types/3","title":"aws_auto_scaling.describe_scaling_process_types/3","type":"function"},{"doc":"Gets information about the scheduled actions that haven't run or that have not reached their end time. To describe the scaling activities for scheduled actions that have already run, call the DescribeScalingActivities API.","ref":"aws_auto_scaling.html#describe_scheduled_actions/2","title":"aws_auto_scaling.describe_scheduled_actions/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_scheduled_actions/3","title":"aws_auto_scaling.describe_scheduled_actions/3","type":"function"},{"doc":"Describes the specified tags. You can use filters to limit the results. For example, you can query for the tags for a specific Auto Scaling group. You can specify multiple values for a filter. A tag must match at least one of the specified values for it to be included in the results. You can also specify multiple filters. The result includes information for a particular tag only if it matches all the filters. If there's no match, no special message is returned. For more information, see Tag Auto Scaling groups and instances in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#describe_tags/2","title":"aws_auto_scaling.describe_tags/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_tags/3","title":"aws_auto_scaling.describe_tags/3","type":"function"},{"doc":"Describes the termination policies supported by Amazon EC2 Auto Scaling. For more information, see Work with Amazon EC2 Auto Scaling termination policies in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#describe_termination_policy_types/2","title":"aws_auto_scaling.describe_termination_policy_types/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_termination_policy_types/3","title":"aws_auto_scaling.describe_termination_policy_types/3","type":"function"},{"doc":"Reserved for use with Amazon VPC Lattice, which is in preview and subject to change. Do not use this API for production workloads. This API is also subject to change. Gets information about the traffic sources for the specified Auto Scaling group.","ref":"aws_auto_scaling.html#describe_traffic_sources/2","title":"aws_auto_scaling.describe_traffic_sources/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_traffic_sources/3","title":"aws_auto_scaling.describe_traffic_sources/3","type":"function"},{"doc":"Gets information about a warm pool and its instances. For more information, see Warm pools for Amazon EC2 Auto Scaling in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#describe_warm_pool/2","title":"aws_auto_scaling.describe_warm_pool/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#describe_warm_pool/3","title":"aws_auto_scaling.describe_warm_pool/3","type":"function"},{"doc":"Removes one or more instances from the specified Auto Scaling group. After the instances are detached, you can manage them independent of the Auto Scaling group. If you do not specify the option to decrement the desired capacity, Amazon EC2 Auto Scaling launches instances to replace the ones that are detached. If there is a Classic Load Balancer attached to the Auto Scaling group, the instances are deregistered from the load balancer. If there are target groups attached to the Auto Scaling group, the instances are deregistered from the target groups. For more information, see Detach EC2 instances from your Auto Scaling group in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#detach_instances/2","title":"aws_auto_scaling.detach_instances/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#detach_instances/3","title":"aws_auto_scaling.detach_instances/3","type":"function"},{"doc":"Detaches one or more target groups from the specified Auto Scaling group. When you detach a target group, it enters the Removing state while deregistering the instances in the group. When all instances are deregistered, then you can no longer describe the target group using the DescribeLoadBalancerTargetGroups API call. The instances remain running. You can use this operation to detach target groups that were attached by using AttachLoadBalancerTargetGroups , but not for target groups that were attached by using AttachTrafficSources .","ref":"aws_auto_scaling.html#detach_load_balancer_target_groups/2","title":"aws_auto_scaling.detach_load_balancer_target_groups/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#detach_load_balancer_target_groups/3","title":"aws_auto_scaling.detach_load_balancer_target_groups/3","type":"function"},{"doc":"Detaches one or more Classic Load Balancers from the specified Auto Scaling group. This operation detaches only Classic Load Balancers. If you have Application Load Balancers, Network Load Balancers, or Gateway Load Balancer, use the DetachLoadBalancerTargetGroups API instead. When you detach a load balancer, it enters the Removing state while deregistering the instances in the group. When all instances are deregistered, then you can no longer describe the load balancer using the DescribeLoadBalancers API call. The instances remain running.","ref":"aws_auto_scaling.html#detach_load_balancers/2","title":"aws_auto_scaling.detach_load_balancers/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#detach_load_balancers/3","title":"aws_auto_scaling.detach_load_balancers/3","type":"function"},{"doc":"Reserved for use with Amazon VPC Lattice, which is in preview and subject to change. Do not use this API for production workloads. This API is also subject to change. Detaches one or more traffic sources from the specified Auto Scaling group.","ref":"aws_auto_scaling.html#detach_traffic_sources/2","title":"aws_auto_scaling.detach_traffic_sources/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#detach_traffic_sources/3","title":"aws_auto_scaling.detach_traffic_sources/3","type":"function"},{"doc":"Disables group metrics collection for the specified Auto Scaling group.","ref":"aws_auto_scaling.html#disable_metrics_collection/2","title":"aws_auto_scaling.disable_metrics_collection/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#disable_metrics_collection/3","title":"aws_auto_scaling.disable_metrics_collection/3","type":"function"},{"doc":"Enables group metrics collection for the specified Auto Scaling group. You can use these metrics to track changes in an Auto Scaling group and to set alarms on threshold values. You can view group metrics using the Amazon EC2 Auto Scaling console or the CloudWatch console. For more information, see Monitor CloudWatch metrics for your Auto Scaling groups and instances in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#enable_metrics_collection/2","title":"aws_auto_scaling.enable_metrics_collection/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#enable_metrics_collection/3","title":"aws_auto_scaling.enable_metrics_collection/3","type":"function"},{"doc":"Moves the specified instances into the standby state. If you choose to decrement the desired capacity of the Auto Scaling group, the instances can enter standby as long as the desired capacity of the Auto Scaling group after the instances are placed into standby is equal to or greater than the minimum capacity of the group. If you choose not to decrement the desired capacity of the Auto Scaling group, the Auto Scaling group launches new instances to replace the instances on standby. For more information, see Temporarily removing instances from your Auto Scaling group in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#enter_standby/2","title":"aws_auto_scaling.enter_standby/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#enter_standby/3","title":"aws_auto_scaling.enter_standby/3","type":"function"},{"doc":"Executes the specified policy. This can be useful for testing the design of your scaling policy.","ref":"aws_auto_scaling.html#execute_policy/2","title":"aws_auto_scaling.execute_policy/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#execute_policy/3","title":"aws_auto_scaling.execute_policy/3","type":"function"},{"doc":"Moves the specified instances out of the standby state. After you put the instances back in service, the desired capacity is incremented. For more information, see Temporarily removing instances from your Auto Scaling group in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#exit_standby/2","title":"aws_auto_scaling.exit_standby/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#exit_standby/3","title":"aws_auto_scaling.exit_standby/3","type":"function"},{"doc":"Retrieves the forecast data for a predictive scaling policy. Load forecasts are predictions of the hourly load values using historical load data from CloudWatch and an analysis of historical trends. Capacity forecasts are represented as predicted values for the minimum capacity that is needed on an hourly basis, based on the hourly load forecast. A minimum of 24 hours of data is required to create the initial forecasts. However, having a full 14 days of historical data results in more accurate forecasts. For more information, see Predictive scaling for Amazon EC2 Auto Scaling in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#get_predictive_scaling_forecast/2","title":"aws_auto_scaling.get_predictive_scaling_forecast/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#get_predictive_scaling_forecast/3","title":"aws_auto_scaling.get_predictive_scaling_forecast/3","type":"function"},{"doc":"Creates or updates a lifecycle hook for the specified Auto Scaling group. Lifecycle hooks let you create solutions that are aware of events in the Auto Scaling instance lifecycle, and then perform a custom action on instances when the corresponding lifecycle event occurs. This step is a part of the procedure for adding a lifecycle hook to an Auto Scaling group: (Optional) Create a launch template or launch configuration with a user data script that runs while an instance is in a wait state due to a lifecycle hook. (Optional) Create a Lambda function and a rule that allows Amazon EventBridge to invoke your Lambda function when an instance is put into a wait state due to a lifecycle hook. (Optional) Create a notification target and an IAM role. The target can be either an Amazon SQS queue or an Amazon SNS topic. The role allows Amazon EC2 Auto Scaling to publish lifecycle notifications to the target. Create the lifecycle hook. Specify whether the hook is used when the instances launch or terminate. If you need more time, record the lifecycle action heartbeat to keep the instance in a wait state using the RecordLifecycleActionHeartbeat API call. If you finish before the timeout period ends, send a callback by using the CompleteLifecycleAction API call. For more information, see Amazon EC2 Auto Scaling lifecycle hooks in the Amazon EC2 Auto Scaling User Guide. If you exceed your maximum limit of lifecycle hooks, which by default is 50 per Auto Scaling group, the call fails. You can view the lifecycle hooks for an Auto Scaling group using the DescribeLifecycleHooks API call. If you are no longer using a lifecycle hook, you can delete it by calling the DeleteLifecycleHook API.","ref":"aws_auto_scaling.html#put_lifecycle_hook/2","title":"aws_auto_scaling.put_lifecycle_hook/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#put_lifecycle_hook/3","title":"aws_auto_scaling.put_lifecycle_hook/3","type":"function"},{"doc":"Configures an Auto Scaling group to send notifications when specified events take place. Subscribers to the specified topic can have messages delivered to an endpoint such as a web server or an email address. This configuration overwrites any existing configuration. For more information, see Getting Amazon SNS notifications when your Auto Scaling group scales in the Amazon EC2 Auto Scaling User Guide. If you exceed your maximum limit of SNS topics, which is 10 per Auto Scaling group, the call fails.","ref":"aws_auto_scaling.html#put_notification_configuration/2","title":"aws_auto_scaling.put_notification_configuration/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#put_notification_configuration/3","title":"aws_auto_scaling.put_notification_configuration/3","type":"function"},{"doc":"Creates or updates a scaling policy for an Auto Scaling group. Scaling policies are used to scale an Auto Scaling group based on configurable metrics. If no policies are defined, the dynamic scaling and predictive scaling features are not used. For more information about using dynamic scaling, see Target tracking scaling policies and Step and simple scaling policies in the Amazon EC2 Auto Scaling User Guide. For more information about using predictive scaling, see Predictive scaling for Amazon EC2 Auto Scaling in the Amazon EC2 Auto Scaling User Guide. You can view the scaling policies for an Auto Scaling group using the DescribePolicies API call. If you are no longer using a scaling policy, you can delete it by calling the DeletePolicy API.","ref":"aws_auto_scaling.html#put_scaling_policy/2","title":"aws_auto_scaling.put_scaling_policy/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#put_scaling_policy/3","title":"aws_auto_scaling.put_scaling_policy/3","type":"function"},{"doc":"Creates or updates a scheduled scaling action for an Auto Scaling group. For more information, see Scheduled scaling in the Amazon EC2 Auto Scaling User Guide. You can view the scheduled actions for an Auto Scaling group using the DescribeScheduledActions API call. If you are no longer using a scheduled action, you can delete it by calling the DeleteScheduledAction API. If you try to schedule your action in the past, Amazon EC2 Auto Scaling returns an error message.","ref":"aws_auto_scaling.html#put_scheduled_update_group_action/2","title":"aws_auto_scaling.put_scheduled_update_group_action/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#put_scheduled_update_group_action/3","title":"aws_auto_scaling.put_scheduled_update_group_action/3","type":"function"},{"doc":"Creates or updates a warm pool for the specified Auto Scaling group. A warm pool is a pool of pre-initialized EC2 instances that sits alongside the Auto Scaling group. Whenever your application needs to scale out, the Auto Scaling group can draw on the warm pool to meet its new desired capacity. For more information and example configurations, see Warm pools for Amazon EC2 Auto Scaling in the Amazon EC2 Auto Scaling User Guide. This operation must be called from the Region in which the Auto Scaling group was created. This operation cannot be called on an Auto Scaling group that has a mixed instances policy or a launch template or launch configuration that requests Spot Instances. You can view the instances in the warm pool using the DescribeWarmPool API call. If you are no longer using a warm pool, you can delete it by calling the DeleteWarmPool API.","ref":"aws_auto_scaling.html#put_warm_pool/2","title":"aws_auto_scaling.put_warm_pool/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#put_warm_pool/3","title":"aws_auto_scaling.put_warm_pool/3","type":"function"},{"doc":"Records a heartbeat for the lifecycle action associated with the specified token or instance. This extends the timeout by the length of time defined using the PutLifecycleHook API call. This step is a part of the procedure for adding a lifecycle hook to an Auto Scaling group: (Optional) Create a launch template or launch configuration with a user data script that runs while an instance is in a wait state due to a lifecycle hook. (Optional) Create a Lambda function and a rule that allows Amazon EventBridge to invoke your Lambda function when an instance is put into a wait state due to a lifecycle hook. (Optional) Create a notification target and an IAM role. The target can be either an Amazon SQS queue or an Amazon SNS topic. The role allows Amazon EC2 Auto Scaling to publish lifecycle notifications to the target. Create the lifecycle hook. Specify whether the hook is used when the instances launch or terminate. If you need more time, record the lifecycle action heartbeat to keep the instance in a wait state. If you finish before the timeout period ends, send a callback by using the CompleteLifecycleAction API call. For more information, see Amazon EC2 Auto Scaling lifecycle hooks in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#record_lifecycle_action_heartbeat/2","title":"aws_auto_scaling.record_lifecycle_action_heartbeat/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#record_lifecycle_action_heartbeat/3","title":"aws_auto_scaling.record_lifecycle_action_heartbeat/3","type":"function"},{"doc":"Resumes the specified suspended auto scaling processes, or all suspended process, for the specified Auto Scaling group. For more information, see Suspending and resuming scaling processes in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#resume_processes/2","title":"aws_auto_scaling.resume_processes/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#resume_processes/3","title":"aws_auto_scaling.resume_processes/3","type":"function"},{"doc":"Cancels an instance refresh that is in progress and rolls back any changes that it made. Amazon EC2 Auto Scaling replaces any instances that were replaced during the instance refresh. This restores your Auto Scaling group to the configuration that it was using before the start of the instance refresh. This operation is part of the instance refresh feature in Amazon EC2 Auto Scaling, which helps you update instances in your Auto Scaling group after you make configuration changes. A rollback is not supported in the following situations: There is no desired configuration specified for the instance refresh. The Auto Scaling group has a launch template that uses an Amazon Web Services Systems Manager parameter instead of an AMI ID for the ImageId property. The Auto Scaling group uses the launch template's $Latest or $Default version. When you receive a successful response from this operation, Amazon EC2 Auto Scaling immediately begins replacing instances. You can check the status of this operation through the DescribeInstanceRefreshes API operation.","ref":"aws_auto_scaling.html#rollback_instance_refresh/2","title":"aws_auto_scaling.rollback_instance_refresh/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#rollback_instance_refresh/3","title":"aws_auto_scaling.rollback_instance_refresh/3","type":"function"},{"doc":"Sets the size of the specified Auto Scaling group. If a scale-in activity occurs as a result of a new DesiredCapacity value that is lower than the current size of the group, the Auto Scaling group uses its termination policy to determine which instances to terminate. For more information, see Manual scaling in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#set_desired_capacity/2","title":"aws_auto_scaling.set_desired_capacity/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#set_desired_capacity/3","title":"aws_auto_scaling.set_desired_capacity/3","type":"function"},{"doc":"Sets the health status of the specified instance. For more information, see Health checks for Auto Scaling instances in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#set_instance_health/2","title":"aws_auto_scaling.set_instance_health/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#set_instance_health/3","title":"aws_auto_scaling.set_instance_health/3","type":"function"},{"doc":"Updates the instance protection settings of the specified instances. This operation cannot be called on instances in a warm pool. For more information about preventing instances that are part of an Auto Scaling group from terminating on scale in, see Using instance scale-in protection in the Amazon EC2 Auto Scaling User Guide. If you exceed your maximum limit of instance IDs, which is 50 per Auto Scaling group, the call fails.","ref":"aws_auto_scaling.html#set_instance_protection/2","title":"aws_auto_scaling.set_instance_protection/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#set_instance_protection/3","title":"aws_auto_scaling.set_instance_protection/3","type":"function"},{"doc":"Starts an instance refresh. During an instance refresh, Amazon EC2 Auto Scaling performs a rolling update of instances in an Auto Scaling group. Instances are terminated first and then replaced, which temporarily reduces the capacity available within your Auto Scaling group. This operation is part of the instance refresh feature in Amazon EC2 Auto Scaling, which helps you update instances in your Auto Scaling group. This feature is helpful, for example, when you have a new AMI or a new user data script. You just need to create a new launch template that specifies the new AMI or user data script. Then start an instance refresh to immediately begin the process of updating instances in the group. If successful, the request's response contains a unique ID that you can use to track the progress of the instance refresh. To query its status, call the DescribeInstanceRefreshes API. To describe the instance refreshes that have already run, call the DescribeInstanceRefreshes API. To cancel an instance refresh that is in progress, use the CancelInstanceRefresh API. An instance refresh might fail for several reasons, such as EC2 launch failures, misconfigured health checks, or not ignoring or allowing the termination of instances that are in Standby state or protected from scale in. You can monitor for failed EC2 launches using the scaling activities. To find the scaling activities, call the DescribeScalingActivities API. If you enable auto rollback, your Auto Scaling group will be rolled back automatically when the instance refresh fails. You can enable this feature before starting an instance refresh by specifying the AutoRollback property in the instance refresh preferences. Otherwise, to roll back an instance refresh before it finishes, use the RollbackInstanceRefresh API.","ref":"aws_auto_scaling.html#start_instance_refresh/2","title":"aws_auto_scaling.start_instance_refresh/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#start_instance_refresh/3","title":"aws_auto_scaling.start_instance_refresh/3","type":"function"},{"doc":"Suspends the specified auto scaling processes, or all processes, for the specified Auto Scaling group. If you suspend either the Launch or Terminate process types, it can prevent other process types from functioning properly. For more information, see Suspending and resuming scaling processes in the Amazon EC2 Auto Scaling User Guide. To resume processes that have been suspended, call the ResumeProcesses API.","ref":"aws_auto_scaling.html#suspend_processes/2","title":"aws_auto_scaling.suspend_processes/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#suspend_processes/3","title":"aws_auto_scaling.suspend_processes/3","type":"function"},{"doc":"Terminates the specified instance and optionally adjusts the desired group size. This operation cannot be called on instances in a warm pool. This call simply makes a termination request. The instance is not terminated immediately. When an instance is terminated, the instance status changes to terminated . You can't connect to or start an instance after you've terminated it. If you do not specify the option to decrement the desired capacity, Amazon EC2 Auto Scaling launches instances to replace the ones that are terminated. By default, Amazon EC2 Auto Scaling balances instances across all Availability Zones. If you decrement the desired capacity, your Auto Scaling group can become unbalanced between Availability Zones. Amazon EC2 Auto Scaling tries to rebalance the group, and rebalancing might terminate instances in other zones. For more information, see Rebalancing activities in the Amazon EC2 Auto Scaling User Guide.","ref":"aws_auto_scaling.html#terminate_instance_in_auto_scaling_group/2","title":"aws_auto_scaling.terminate_instance_in_auto_scaling_group/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#terminate_instance_in_auto_scaling_group/3","title":"aws_auto_scaling.terminate_instance_in_auto_scaling_group/3","type":"function"},{"doc":"We strongly recommend that all Auto Scaling groups use launch templates to ensure full functionality for Amazon EC2 Auto Scaling and Amazon EC2. Updates the configuration for the specified Auto Scaling group. To update an Auto Scaling group, specify the name of the group and the property that you want to change. Any properties that you don't specify are not changed by this update request. The new settings take effect on any scaling activities after this call returns. If you associate a new launch configuration or template with an Auto Scaling group, all new instances will get the updated configuration. Existing instances continue to run with the configuration that they were originally launched with. When you update a group to specify a mixed instances policy instead of a launch configuration or template, existing instances may be replaced to match the new purchasing options that you specified in the policy. For example, if the group currently has 100% On-Demand capacity and the policy specifies 50% Spot capacity, this means that half of your instances will be gradually terminated and relaunched as Spot Instances. When replacing instances, Amazon EC2 Auto Scaling launches new instances before terminating the old ones, so that updating your group does not compromise the performance or availability of your application. Note the following about changing DesiredCapacity , MaxSize , or MinSize : If a scale-in activity occurs as a result of a new DesiredCapacity value that is lower than the current size of the group, the Auto Scaling group uses its termination policy to determine which instances to terminate. If you specify a new value for MinSize without specifying a value for DesiredCapacity , and the new MinSize is larger than the current size of the group, this sets the group's DesiredCapacity to the new MinSize value. If you specify a new value for MaxSize without specifying a value for DesiredCapacity , and the new MaxSize is smaller than the current size of the group, this sets the group's DesiredCapacity to the new MaxSize value. To see which properties have been set, call the DescribeAutoScalingGroups API. To view the scaling policies for an Auto Scaling group, call the DescribePolicies API. If the group has scaling policies, you can update them by calling the PutScalingPolicy API.","ref":"aws_auto_scaling.html#update_auto_scaling_group/2","title":"aws_auto_scaling.update_auto_scaling_group/2","type":"function"},{"doc":"","ref":"aws_auto_scaling.html#update_auto_scaling_group/3","title":"aws_auto_scaling.update_auto_scaling_group/3","type":"function"},{"doc":"AWS Auto Scaling Use AWS Auto Scaling to create scaling plans for your applications to automatically scale your scalable AWS resources. API Summary You can use the AWS Auto Scaling service API to accomplish the following tasks: Create and manage scaling plans Define target tracking scaling policies to dynamically scale your resources based on utilization Scale Amazon EC2 Auto Scaling groups using predictive scaling and dynamic scaling to scale your Amazon EC2 capacity faster Set minimum and maximum capacity limits Retrieve information on existing scaling plans Access current forecast data and historical forecast data for up to 56 days previous To learn more about AWS Auto Scaling, including information about granting IAM users required permissions for AWS Auto Scaling actions, see the AWS Auto Scaling User Guide.","ref":"aws_auto_scaling_plans.html","title":"aws_auto_scaling_plans","type":"module"},{"doc":"Creates a scaling plan.","ref":"aws_auto_scaling_plans.html#create_scaling_plan/2","title":"aws_auto_scaling_plans.create_scaling_plan/2","type":"function"},{"doc":"","ref":"aws_auto_scaling_plans.html#create_scaling_plan/3","title":"aws_auto_scaling_plans.create_scaling_plan/3","type":"function"},{"doc":"Deletes the specified scaling plan. Deleting a scaling plan deletes the underlying ScalingInstruction for all of the scalable resources that are covered by the plan. If the plan has launched resources or has scaling activities in progress, you must delete those resources separately.","ref":"aws_auto_scaling_plans.html#delete_scaling_plan/2","title":"aws_auto_scaling_plans.delete_scaling_plan/2","type":"function"},{"doc":"","ref":"aws_auto_scaling_plans.html#delete_scaling_plan/3","title":"aws_auto_scaling_plans.delete_scaling_plan/3","type":"function"},{"doc":"Describes the scalable resources in the specified scaling plan.","ref":"aws_auto_scaling_plans.html#describe_scaling_plan_resources/2","title":"aws_auto_scaling_plans.describe_scaling_plan_resources/2","type":"function"},{"doc":"","ref":"aws_auto_scaling_plans.html#describe_scaling_plan_resources/3","title":"aws_auto_scaling_plans.describe_scaling_plan_resources/3","type":"function"},{"doc":"Describes one or more of your scaling plans.","ref":"aws_auto_scaling_plans.html#describe_scaling_plans/2","title":"aws_auto_scaling_plans.describe_scaling_plans/2","type":"function"},{"doc":"","ref":"aws_auto_scaling_plans.html#describe_scaling_plans/3","title":"aws_auto_scaling_plans.describe_scaling_plans/3","type":"function"},{"doc":"Retrieves the forecast data for a scalable resource. Capacity forecasts are represented as predicted values, or data points, that are calculated using historical data points from a specified CloudWatch load metric. Data points are available for up to 56 days.","ref":"aws_auto_scaling_plans.html#get_scaling_plan_resource_forecast_data/2","title":"aws_auto_scaling_plans.get_scaling_plan_resource_forecast_data/2","type":"function"},{"doc":"","ref":"aws_auto_scaling_plans.html#get_scaling_plan_resource_forecast_data/3","title":"aws_auto_scaling_plans.get_scaling_plan_resource_forecast_data/3","type":"function"},{"doc":"Updates the specified scaling plan. You cannot update a scaling plan if it is in the process of being created, updated, or deleted.","ref":"aws_auto_scaling_plans.html#update_scaling_plan/2","title":"aws_auto_scaling_plans.update_scaling_plan/2","type":"function"},{"doc":"","ref":"aws_auto_scaling_plans.html#update_scaling_plan/3","title":"aws_auto_scaling_plans.update_scaling_plan/3","type":"function"},{"doc":"Backup Backup is a unified backup service designed to protect Amazon Web Services services and their associated data. Backup simplifies the creation, migration, restoration, and deletion of backups, while also providing reporting and auditing.","ref":"aws_backup.html","title":"aws_backup","type":"module"},{"doc":"This action removes the specified legal hold on a recovery point. This action can only be performed by a user with sufficient permissions.","ref":"aws_backup.html#cancel_legal_hold/3","title":"aws_backup.cancel_legal_hold/3","type":"function"},{"doc":"","ref":"aws_backup.html#cancel_legal_hold/4","title":"aws_backup.cancel_legal_hold/4","type":"function"},{"doc":"Creates a backup plan using a backup plan name and backup rules. A backup plan is a document that contains information that Backup uses to schedule tasks that create recovery points for resources. If you call CreateBackupPlan with a plan that already exists, you receive an AlreadyExistsException exception.","ref":"aws_backup.html#create_backup_plan/2","title":"aws_backup.create_backup_plan/2","type":"function"},{"doc":"","ref":"aws_backup.html#create_backup_plan/3","title":"aws_backup.create_backup_plan/3","type":"function"},{"doc":"Creates a JSON document that specifies a set of resources to assign to a backup plan. For examples, see Assigning resources programmatically.","ref":"aws_backup.html#create_backup_selection/3","title":"aws_backup.create_backup_selection/3","type":"function"},{"doc":"","ref":"aws_backup.html#create_backup_selection/4","title":"aws_backup.create_backup_selection/4","type":"function"},{"doc":"Creates a logical container where backups are stored. A CreateBackupVault request includes a name, optionally one or more resource tags, an encryption key, and a request ID. Do not include sensitive data, such as passport numbers, in the name of a backup vault.","ref":"aws_backup.html#create_backup_vault/3","title":"aws_backup.create_backup_vault/3","type":"function"},{"doc":"","ref":"aws_backup.html#create_backup_vault/4","title":"aws_backup.create_backup_vault/4","type":"function"},{"doc":"Creates a framework with one or more controls. A framework is a collection of controls that you can use to evaluate your backup practices. By using pre-built customizable controls to define your policies, you can evaluate whether your backup practices comply with your policies and which resources are not yet in compliance.","ref":"aws_backup.html#create_framework/2","title":"aws_backup.create_framework/2","type":"function"},{"doc":"","ref":"aws_backup.html#create_framework/3","title":"aws_backup.create_framework/3","type":"function"},{"doc":"This action creates a legal hold on a recovery point (backup). A legal hold is a restraint on altering or deleting a backup until an authorized user cancels the legal hold. Any actions to delete or disassociate a recovery point will fail with an error if one or more active legal holds are on the recovery point.","ref":"aws_backup.html#create_legal_hold/2","title":"aws_backup.create_legal_hold/2","type":"function"},{"doc":"","ref":"aws_backup.html#create_legal_hold/3","title":"aws_backup.create_legal_hold/3","type":"function"},{"doc":"Creates a report plan. A report plan is a document that contains information about the contents of the report and where Backup will deliver it. If you call CreateReportPlan with a plan that already exists, you receive an AlreadyExistsException exception.","ref":"aws_backup.html#create_report_plan/2","title":"aws_backup.create_report_plan/2","type":"function"},{"doc":"","ref":"aws_backup.html#create_report_plan/3","title":"aws_backup.create_report_plan/3","type":"function"},{"doc":"Deletes a backup plan. A backup plan can only be deleted after all associated selections of resources have been deleted. Deleting a backup plan deletes the current version of a backup plan. Previous versions, if any, will still exist.","ref":"aws_backup.html#delete_backup_plan/3","title":"aws_backup.delete_backup_plan/3","type":"function"},{"doc":"","ref":"aws_backup.html#delete_backup_plan/4","title":"aws_backup.delete_backup_plan/4","type":"function"},{"doc":"Deletes the resource selection associated with a backup plan that is specified by the SelectionId .","ref":"aws_backup.html#delete_backup_selection/4","title":"aws_backup.delete_backup_selection/4","type":"function"},{"doc":"","ref":"aws_backup.html#delete_backup_selection/5","title":"aws_backup.delete_backup_selection/5","type":"function"},{"doc":"Deletes the backup vault identified by its name. A vault can be deleted only if it is empty.","ref":"aws_backup.html#delete_backup_vault/3","title":"aws_backup.delete_backup_vault/3","type":"function"},{"doc":"","ref":"aws_backup.html#delete_backup_vault/4","title":"aws_backup.delete_backup_vault/4","type":"function"},{"doc":"Deletes the policy document that manages permissions on a backup vault.","ref":"aws_backup.html#delete_backup_vault_access_policy/3","title":"aws_backup.delete_backup_vault_access_policy/3","type":"function"},{"doc":"","ref":"aws_backup.html#delete_backup_vault_access_policy/4","title":"aws_backup.delete_backup_vault_access_policy/4","type":"function"},{"doc":"Deletes Backup Vault Lock from a backup vault specified by a backup vault name. If the Vault Lock configuration is immutable, then you cannot delete Vault Lock using API operations, and you will receive an InvalidRequestException if you attempt to do so. For more information, see Vault Lock in the Backup Developer Guide.","ref":"aws_backup.html#delete_backup_vault_lock_configuration/3","title":"aws_backup.delete_backup_vault_lock_configuration/3","type":"function"},{"doc":"","ref":"aws_backup.html#delete_backup_vault_lock_configuration/4","title":"aws_backup.delete_backup_vault_lock_configuration/4","type":"function"},{"doc":"Deletes event notifications for the specified backup vault.","ref":"aws_backup.html#delete_backup_vault_notifications/3","title":"aws_backup.delete_backup_vault_notifications/3","type":"function"},{"doc":"","ref":"aws_backup.html#delete_backup_vault_notifications/4","title":"aws_backup.delete_backup_vault_notifications/4","type":"function"},{"doc":"Deletes the framework specified by a framework name.","ref":"aws_backup.html#delete_framework/3","title":"aws_backup.delete_framework/3","type":"function"},{"doc":"","ref":"aws_backup.html#delete_framework/4","title":"aws_backup.delete_framework/4","type":"function"},{"doc":"Deletes the recovery point specified by a recovery point ID. If the recovery point ID belongs to a continuous backup, calling this endpoint deletes the existing continuous backup and stops future continuous backup. When an IAM role's permissions are insufficient to call this API, the service sends back an HTTP 200 response with an empty HTTP body, but the recovery point is not deleted. Instead, it enters an EXPIRED state. EXPIRED recovery points can be deleted with this API once the IAM role has the iam:CreateServiceLinkedRole action. To learn more about adding this role, see Troubleshooting manual deletions. If the user or role is deleted or the permission within the role is removed, the deletion will not be successful and will enter an EXPIRED state.","ref":"aws_backup.html#delete_recovery_point/4","title":"aws_backup.delete_recovery_point/4","type":"function"},{"doc":"","ref":"aws_backup.html#delete_recovery_point/5","title":"aws_backup.delete_recovery_point/5","type":"function"},{"doc":"Deletes the report plan specified by a report plan name.","ref":"aws_backup.html#delete_report_plan/3","title":"aws_backup.delete_report_plan/3","type":"function"},{"doc":"","ref":"aws_backup.html#delete_report_plan/4","title":"aws_backup.delete_report_plan/4","type":"function"},{"doc":"Returns backup job details for the specified BackupJobId .","ref":"aws_backup.html#describe_backup_job/2","title":"aws_backup.describe_backup_job/2","type":"function"},{"doc":"","ref":"aws_backup.html#describe_backup_job/4","title":"aws_backup.describe_backup_job/4","type":"function"},{"doc":"","ref":"aws_backup.html#describe_backup_job/5","title":"aws_backup.describe_backup_job/5","type":"function"},{"doc":"Returns metadata about a backup vault specified by its name.","ref":"aws_backup.html#describe_backup_vault/2","title":"aws_backup.describe_backup_vault/2","type":"function"},{"doc":"","ref":"aws_backup.html#describe_backup_vault/4","title":"aws_backup.describe_backup_vault/4","type":"function"},{"doc":"","ref":"aws_backup.html#describe_backup_vault/5","title":"aws_backup.describe_backup_vault/5","type":"function"},{"doc":"Returns metadata associated with creating a copy of a resource.","ref":"aws_backup.html#describe_copy_job/2","title":"aws_backup.describe_copy_job/2","type":"function"},{"doc":"","ref":"aws_backup.html#describe_copy_job/4","title":"aws_backup.describe_copy_job/4","type":"function"},{"doc":"","ref":"aws_backup.html#describe_copy_job/5","title":"aws_backup.describe_copy_job/5","type":"function"},{"doc":"Returns the framework details for the specified FrameworkName .","ref":"aws_backup.html#describe_framework/2","title":"aws_backup.describe_framework/2","type":"function"},{"doc":"","ref":"aws_backup.html#describe_framework/4","title":"aws_backup.describe_framework/4","type":"function"},{"doc":"","ref":"aws_backup.html#describe_framework/5","title":"aws_backup.describe_framework/5","type":"function"},{"doc":"Describes whether the Amazon Web Services account is opted in to cross-account backup. Returns an error if the account is not a member of an Organizations organization. Example: describe-global-settings --region us-west-2","ref":"aws_backup.html#describe_global_settings/1","title":"aws_backup.describe_global_settings/1","type":"function"},{"doc":"","ref":"aws_backup.html#describe_global_settings/3","title":"aws_backup.describe_global_settings/3","type":"function"},{"doc":"","ref":"aws_backup.html#describe_global_settings/4","title":"aws_backup.describe_global_settings/4","type":"function"},{"doc":"Returns information about a saved resource, including the last time it was backed up, its Amazon Resource Name (ARN), and the Amazon Web Services service type of the saved resource.","ref":"aws_backup.html#describe_protected_resource/2","title":"aws_backup.describe_protected_resource/2","type":"function"},{"doc":"","ref":"aws_backup.html#describe_protected_resource/4","title":"aws_backup.describe_protected_resource/4","type":"function"},{"doc":"","ref":"aws_backup.html#describe_protected_resource/5","title":"aws_backup.describe_protected_resource/5","type":"function"},{"doc":"Returns metadata associated with a recovery point, including ID, status, encryption, and lifecycle.","ref":"aws_backup.html#describe_recovery_point/3","title":"aws_backup.describe_recovery_point/3","type":"function"},{"doc":"","ref":"aws_backup.html#describe_recovery_point/5","title":"aws_backup.describe_recovery_point/5","type":"function"},{"doc":"","ref":"aws_backup.html#describe_recovery_point/6","title":"aws_backup.describe_recovery_point/6","type":"function"},{"doc":"Returns the current service opt-in settings for the Region. If service opt-in is enabled for a service, Backup tries to protect that service's resources in this Region, when the resource is included in an on-demand backup or scheduled backup plan. Otherwise, Backup does not try to protect that service's resources in this Region.","ref":"aws_backup.html#describe_region_settings/1","title":"aws_backup.describe_region_settings/1","type":"function"},{"doc":"","ref":"aws_backup.html#describe_region_settings/3","title":"aws_backup.describe_region_settings/3","type":"function"},{"doc":"","ref":"aws_backup.html#describe_region_settings/4","title":"aws_backup.describe_region_settings/4","type":"function"},{"doc":"Returns the details associated with creating a report as specified by its ReportJobId .","ref":"aws_backup.html#describe_report_job/2","title":"aws_backup.describe_report_job/2","type":"function"},{"doc":"","ref":"aws_backup.html#describe_report_job/4","title":"aws_backup.describe_report_job/4","type":"function"},{"doc":"","ref":"aws_backup.html#describe_report_job/5","title":"aws_backup.describe_report_job/5","type":"function"},{"doc":"Returns a list of all report plans for an Amazon Web Services account and Amazon Web Services Region.","ref":"aws_backup.html#describe_report_plan/2","title":"aws_backup.describe_report_plan/2","type":"function"},{"doc":"","ref":"aws_backup.html#describe_report_plan/4","title":"aws_backup.describe_report_plan/4","type":"function"},{"doc":"","ref":"aws_backup.html#describe_report_plan/5","title":"aws_backup.describe_report_plan/5","type":"function"},{"doc":"Returns metadata associated with a restore job that is specified by a job ID.","ref":"aws_backup.html#describe_restore_job/2","title":"aws_backup.describe_restore_job/2","type":"function"},{"doc":"","ref":"aws_backup.html#describe_restore_job/4","title":"aws_backup.describe_restore_job/4","type":"function"},{"doc":"","ref":"aws_backup.html#describe_restore_job/5","title":"aws_backup.describe_restore_job/5","type":"function"},{"doc":"Deletes the specified continuous backup recovery point from Backup and releases control of that continuous backup to the source service, such as Amazon RDS. The source service will continue to create and retain continuous backups using the lifecycle that you specified in your original backup plan. Does not support snapshot backup recovery points.","ref":"aws_backup.html#disassociate_recovery_point/4","title":"aws_backup.disassociate_recovery_point/4","type":"function"},{"doc":"","ref":"aws_backup.html#disassociate_recovery_point/5","title":"aws_backup.disassociate_recovery_point/5","type":"function"},{"doc":"This action to a specific child (nested) recovery point removes the relationship between the specified recovery point and its parent (composite) recovery point.","ref":"aws_backup.html#disassociate_recovery_point_from_parent/4","title":"aws_backup.disassociate_recovery_point_from_parent/4","type":"function"},{"doc":"","ref":"aws_backup.html#disassociate_recovery_point_from_parent/5","title":"aws_backup.disassociate_recovery_point_from_parent/5","type":"function"},{"doc":"Returns the backup plan that is specified by the plan ID as a backup template.","ref":"aws_backup.html#export_backup_plan_template/2","title":"aws_backup.export_backup_plan_template/2","type":"function"},{"doc":"","ref":"aws_backup.html#export_backup_plan_template/4","title":"aws_backup.export_backup_plan_template/4","type":"function"},{"doc":"","ref":"aws_backup.html#export_backup_plan_template/5","title":"aws_backup.export_backup_plan_template/5","type":"function"},{"doc":"Returns BackupPlan details for the specified BackupPlanId . The details are the body of a backup plan in JSON format, in addition to plan metadata.","ref":"aws_backup.html#get_backup_plan/2","title":"aws_backup.get_backup_plan/2","type":"function"},{"doc":"","ref":"aws_backup.html#get_backup_plan/4","title":"aws_backup.get_backup_plan/4","type":"function"},{"doc":"","ref":"aws_backup.html#get_backup_plan/5","title":"aws_backup.get_backup_plan/5","type":"function"},{"doc":"Returns a valid JSON document specifying a backup plan or an error.","ref":"aws_backup.html#get_backup_plan_from_json/2","title":"aws_backup.get_backup_plan_from_json/2","type":"function"},{"doc":"","ref":"aws_backup.html#get_backup_plan_from_json/3","title":"aws_backup.get_backup_plan_from_json/3","type":"function"},{"doc":"Returns the template specified by its templateId as a backup plan.","ref":"aws_backup.html#get_backup_plan_from_template/2","title":"aws_backup.get_backup_plan_from_template/2","type":"function"},{"doc":"","ref":"aws_backup.html#get_backup_plan_from_template/4","title":"aws_backup.get_backup_plan_from_template/4","type":"function"},{"doc":"","ref":"aws_backup.html#get_backup_plan_from_template/5","title":"aws_backup.get_backup_plan_from_template/5","type":"function"},{"doc":"Returns selection metadata and a document in JSON format that specifies a list of resources that are associated with a backup plan.","ref":"aws_backup.html#get_backup_selection/3","title":"aws_backup.get_backup_selection/3","type":"function"},{"doc":"","ref":"aws_backup.html#get_backup_selection/5","title":"aws_backup.get_backup_selection/5","type":"function"},{"doc":"","ref":"aws_backup.html#get_backup_selection/6","title":"aws_backup.get_backup_selection/6","type":"function"},{"doc":"Returns the access policy document that is associated with the named backup vault.","ref":"aws_backup.html#get_backup_vault_access_policy/2","title":"aws_backup.get_backup_vault_access_policy/2","type":"function"},{"doc":"","ref":"aws_backup.html#get_backup_vault_access_policy/4","title":"aws_backup.get_backup_vault_access_policy/4","type":"function"},{"doc":"","ref":"aws_backup.html#get_backup_vault_access_policy/5","title":"aws_backup.get_backup_vault_access_policy/5","type":"function"},{"doc":"Returns event notifications for the specified backup vault.","ref":"aws_backup.html#get_backup_vault_notifications/2","title":"aws_backup.get_backup_vault_notifications/2","type":"function"},{"doc":"","ref":"aws_backup.html#get_backup_vault_notifications/4","title":"aws_backup.get_backup_vault_notifications/4","type":"function"},{"doc":"","ref":"aws_backup.html#get_backup_vault_notifications/5","title":"aws_backup.get_backup_vault_notifications/5","type":"function"},{"doc":"This action returns details for a specified legal hold. The details are the body of a legal hold in JSON format, in addition to metadata.","ref":"aws_backup.html#get_legal_hold/2","title":"aws_backup.get_legal_hold/2","type":"function"},{"doc":"","ref":"aws_backup.html#get_legal_hold/4","title":"aws_backup.get_legal_hold/4","type":"function"},{"doc":"","ref":"aws_backup.html#get_legal_hold/5","title":"aws_backup.get_legal_hold/5","type":"function"},{"doc":"Returns a set of metadata key-value pairs that were used to create the backup.","ref":"aws_backup.html#get_recovery_point_restore_metadata/3","title":"aws_backup.get_recovery_point_restore_metadata/3","type":"function"},{"doc":"","ref":"aws_backup.html#get_recovery_point_restore_metadata/5","title":"aws_backup.get_recovery_point_restore_metadata/5","type":"function"},{"doc":"","ref":"aws_backup.html#get_recovery_point_restore_metadata/6","title":"aws_backup.get_recovery_point_restore_metadata/6","type":"function"},{"doc":"Returns the Amazon Web Services resource types supported by Backup.","ref":"aws_backup.html#get_supported_resource_types/1","title":"aws_backup.get_supported_resource_types/1","type":"function"},{"doc":"","ref":"aws_backup.html#get_supported_resource_types/3","title":"aws_backup.get_supported_resource_types/3","type":"function"},{"doc":"","ref":"aws_backup.html#get_supported_resource_types/4","title":"aws_backup.get_supported_resource_types/4","type":"function"},{"doc":"Returns a list of existing backup jobs for an authenticated account for the last 30 days. For a longer period of time, consider using these monitoring tools.","ref":"aws_backup.html#list_backup_jobs/1","title":"aws_backup.list_backup_jobs/1","type":"function"},{"doc":"","ref":"aws_backup.html#list_backup_jobs/3","title":"aws_backup.list_backup_jobs/3","type":"function"},{"doc":"","ref":"aws_backup.html#list_backup_jobs/4","title":"aws_backup.list_backup_jobs/4","type":"function"},{"doc":"Returns metadata of your saved backup plan templates, including the template ID, name, and the creation and deletion dates.","ref":"aws_backup.html#list_backup_plan_templates/1","title":"aws_backup.list_backup_plan_templates/1","type":"function"},{"doc":"","ref":"aws_backup.html#list_backup_plan_templates/3","title":"aws_backup.list_backup_plan_templates/3","type":"function"},{"doc":"","ref":"aws_backup.html#list_backup_plan_templates/4","title":"aws_backup.list_backup_plan_templates/4","type":"function"},{"doc":"Returns version metadata of your backup plans, including Amazon Resource Names (ARNs), backup plan IDs, creation and deletion dates, plan names, and version IDs.","ref":"aws_backup.html#list_backup_plan_versions/2","title":"aws_backup.list_backup_plan_versions/2","type":"function"},{"doc":"","ref":"aws_backup.html#list_backup_plan_versions/4","title":"aws_backup.list_backup_plan_versions/4","type":"function"},{"doc":"","ref":"aws_backup.html#list_backup_plan_versions/5","title":"aws_backup.list_backup_plan_versions/5","type":"function"},{"doc":"Returns a list of all active backup plans for an authenticated account. The list contains information such as Amazon Resource Names (ARNs), plan IDs, creation and deletion dates, version IDs, plan names, and creator request IDs.","ref":"aws_backup.html#list_backup_plans/1","title":"aws_backup.list_backup_plans/1","type":"function"},{"doc":"","ref":"aws_backup.html#list_backup_plans/3","title":"aws_backup.list_backup_plans/3","type":"function"},{"doc":"","ref":"aws_backup.html#list_backup_plans/4","title":"aws_backup.list_backup_plans/4","type":"function"},{"doc":"Returns an array containing metadata of the resources associated with the target backup plan.","ref":"aws_backup.html#list_backup_selections/2","title":"aws_backup.list_backup_selections/2","type":"function"},{"doc":"","ref":"aws_backup.html#list_backup_selections/4","title":"aws_backup.list_backup_selections/4","type":"function"},{"doc":"","ref":"aws_backup.html#list_backup_selections/5","title":"aws_backup.list_backup_selections/5","type":"function"},{"doc":"Returns a list of recovery point storage containers along with information about them.","ref":"aws_backup.html#list_backup_vaults/1","title":"aws_backup.list_backup_vaults/1","type":"function"},{"doc":"","ref":"aws_backup.html#list_backup_vaults/3","title":"aws_backup.list_backup_vaults/3","type":"function"},{"doc":"","ref":"aws_backup.html#list_backup_vaults/4","title":"aws_backup.list_backup_vaults/4","type":"function"},{"doc":"Returns metadata about your copy jobs.","ref":"aws_backup.html#list_copy_jobs/1","title":"aws_backup.list_copy_jobs/1","type":"function"},{"doc":"","ref":"aws_backup.html#list_copy_jobs/3","title":"aws_backup.list_copy_jobs/3","type":"function"},{"doc":"","ref":"aws_backup.html#list_copy_jobs/4","title":"aws_backup.list_copy_jobs/4","type":"function"},{"doc":"Returns a list of all frameworks for an Amazon Web Services account and Amazon Web Services Region.","ref":"aws_backup.html#list_frameworks/1","title":"aws_backup.list_frameworks/1","type":"function"},{"doc":"","ref":"aws_backup.html#list_frameworks/3","title":"aws_backup.list_frameworks/3","type":"function"},{"doc":"","ref":"aws_backup.html#list_frameworks/4","title":"aws_backup.list_frameworks/4","type":"function"},{"doc":"This action returns metadata about active and previous legal holds.","ref":"aws_backup.html#list_legal_holds/1","title":"aws_backup.list_legal_holds/1","type":"function"},{"doc":"","ref":"aws_backup.html#list_legal_holds/3","title":"aws_backup.list_legal_holds/3","type":"function"},{"doc":"","ref":"aws_backup.html#list_legal_holds/4","title":"aws_backup.list_legal_holds/4","type":"function"},{"doc":"Returns an array of resources successfully backed up by Backup, including the time the resource was saved, an Amazon Resource Name (ARN) of the resource, and a resource type.","ref":"aws_backup.html#list_protected_resources/1","title":"aws_backup.list_protected_resources/1","type":"function"},{"doc":"","ref":"aws_backup.html#list_protected_resources/3","title":"aws_backup.list_protected_resources/3","type":"function"},{"doc":"","ref":"aws_backup.html#list_protected_resources/4","title":"aws_backup.list_protected_resources/4","type":"function"},{"doc":"Returns detailed information about the recovery points stored in a backup vault.","ref":"aws_backup.html#list_recovery_points_by_backup_vault/2","title":"aws_backup.list_recovery_points_by_backup_vault/2","type":"function"},{"doc":"","ref":"aws_backup.html#list_recovery_points_by_backup_vault/4","title":"aws_backup.list_recovery_points_by_backup_vault/4","type":"function"},{"doc":"","ref":"aws_backup.html#list_recovery_points_by_backup_vault/5","title":"aws_backup.list_recovery_points_by_backup_vault/5","type":"function"},{"doc":"This action returns recovery point ARNs (Amazon Resource Names) of the specified legal hold.","ref":"aws_backup.html#list_recovery_points_by_legal_hold/2","title":"aws_backup.list_recovery_points_by_legal_hold/2","type":"function"},{"doc":"","ref":"aws_backup.html#list_recovery_points_by_legal_hold/4","title":"aws_backup.list_recovery_points_by_legal_hold/4","type":"function"},{"doc":"","ref":"aws_backup.html#list_recovery_points_by_legal_hold/5","title":"aws_backup.list_recovery_points_by_legal_hold/5","type":"function"},{"doc":"Returns detailed information about all the recovery points of the type specified by a resource Amazon Resource Name (ARN). For Amazon EFS and Amazon EC2, this action only lists recovery points created by Backup.","ref":"aws_backup.html#list_recovery_points_by_resource/2","title":"aws_backup.list_recovery_points_by_resource/2","type":"function"},{"doc":"","ref":"aws_backup.html#list_recovery_points_by_resource/4","title":"aws_backup.list_recovery_points_by_resource/4","type":"function"},{"doc":"","ref":"aws_backup.html#list_recovery_points_by_resource/5","title":"aws_backup.list_recovery_points_by_resource/5","type":"function"},{"doc":"Returns details about your report jobs.","ref":"aws_backup.html#list_report_jobs/1","title":"aws_backup.list_report_jobs/1","type":"function"},{"doc":"","ref":"aws_backup.html#list_report_jobs/3","title":"aws_backup.list_report_jobs/3","type":"function"},{"doc":"","ref":"aws_backup.html#list_report_jobs/4","title":"aws_backup.list_report_jobs/4","type":"function"},{"doc":"Returns a list of your report plans. For detailed information about a single report plan, use DescribeReportPlan .","ref":"aws_backup.html#list_report_plans/1","title":"aws_backup.list_report_plans/1","type":"function"},{"doc":"","ref":"aws_backup.html#list_report_plans/3","title":"aws_backup.list_report_plans/3","type":"function"},{"doc":"","ref":"aws_backup.html#list_report_plans/4","title":"aws_backup.list_report_plans/4","type":"function"},{"doc":"Returns a list of jobs that Backup initiated to restore a saved resource, including details about the recovery process.","ref":"aws_backup.html#list_restore_jobs/1","title":"aws_backup.list_restore_jobs/1","type":"function"},{"doc":"","ref":"aws_backup.html#list_restore_jobs/3","title":"aws_backup.list_restore_jobs/3","type":"function"},{"doc":"","ref":"aws_backup.html#list_restore_jobs/4","title":"aws_backup.list_restore_jobs/4","type":"function"},{"doc":"Returns a list of key-value pairs assigned to a target recovery point, backup plan, or backup vault. ListTags only works for resource types that support full Backup management of their backups. Those resource types are listed in the &quot;Full Backup management&quot; section of the Feature availability by resource table.","ref":"aws_backup.html#list_tags/2","title":"aws_backup.list_tags/2","type":"function"},{"doc":"","ref":"aws_backup.html#list_tags/4","title":"aws_backup.list_tags/4","type":"function"},{"doc":"","ref":"aws_backup.html#list_tags/5","title":"aws_backup.list_tags/5","type":"function"},{"doc":"Sets a resource-based policy that is used to manage access permissions on the target backup vault. Requires a backup vault name and an access policy document in JSON format.","ref":"aws_backup.html#put_backup_vault_access_policy/3","title":"aws_backup.put_backup_vault_access_policy/3","type":"function"},{"doc":"","ref":"aws_backup.html#put_backup_vault_access_policy/4","title":"aws_backup.put_backup_vault_access_policy/4","type":"function"},{"doc":"Applies Backup Vault Lock to a backup vault, preventing attempts to delete any recovery point stored in or created in a backup vault. Vault Lock also prevents attempts to update the lifecycle policy that controls the retention period of any recovery point currently stored in a backup vault. If specified, Vault Lock enforces a minimum and maximum retention period for future backup and copy jobs that target a backup vault. Backup Vault Lock has been assessed by Cohasset Associates for use in environments that are subject to SEC 17a-4, CFTC, and FINRA regulations. For more information about how Backup Vault Lock relates to these regulations, see the Cohasset Associates Compliance Assessment.","ref":"aws_backup.html#put_backup_vault_lock_configuration/3","title":"aws_backup.put_backup_vault_lock_configuration/3","type":"function"},{"doc":"","ref":"aws_backup.html#put_backup_vault_lock_configuration/4","title":"aws_backup.put_backup_vault_lock_configuration/4","type":"function"},{"doc":"Turns on notifications on a backup vault for the specified topic and events.","ref":"aws_backup.html#put_backup_vault_notifications/3","title":"aws_backup.put_backup_vault_notifications/3","type":"function"},{"doc":"","ref":"aws_backup.html#put_backup_vault_notifications/4","title":"aws_backup.put_backup_vault_notifications/4","type":"function"},{"doc":"Starts an on-demand backup job for the specified resource.","ref":"aws_backup.html#start_backup_job/2","title":"aws_backup.start_backup_job/2","type":"function"},{"doc":"","ref":"aws_backup.html#start_backup_job/3","title":"aws_backup.start_backup_job/3","type":"function"},{"doc":"Starts a job to create a one-time copy of the specified resource. Does not support continuous backups.","ref":"aws_backup.html#start_copy_job/2","title":"aws_backup.start_copy_job/2","type":"function"},{"doc":"","ref":"aws_backup.html#start_copy_job/3","title":"aws_backup.start_copy_job/3","type":"function"},{"doc":"Starts an on-demand report job for the specified report plan.","ref":"aws_backup.html#start_report_job/3","title":"aws_backup.start_report_job/3","type":"function"},{"doc":"","ref":"aws_backup.html#start_report_job/4","title":"aws_backup.start_report_job/4","type":"function"},{"doc":"Recovers the saved resource identified by an Amazon Resource Name (ARN).","ref":"aws_backup.html#start_restore_job/2","title":"aws_backup.start_restore_job/2","type":"function"},{"doc":"","ref":"aws_backup.html#start_restore_job/3","title":"aws_backup.start_restore_job/3","type":"function"},{"doc":"Attempts to cancel a job to create a one-time backup of a resource. This action is not supported for the following services: Amazon FSx for Windows File Server, Amazon FSx for Lustre, FSx for ONTAP , Amazon FSx for OpenZFS, Amazon DocumentDB (with MongoDB compatibility), Amazon RDS, Amazon Aurora, and Amazon Neptune.","ref":"aws_backup.html#stop_backup_job/3","title":"aws_backup.stop_backup_job/3","type":"function"},{"doc":"","ref":"aws_backup.html#stop_backup_job/4","title":"aws_backup.stop_backup_job/4","type":"function"},{"doc":"Assigns a set of key-value pairs to a recovery point, backup plan, or backup vault identified by an Amazon Resource Name (ARN).","ref":"aws_backup.html#tag_resource/3","title":"aws_backup.tag_resource/3","type":"function"},{"doc":"","ref":"aws_backup.html#tag_resource/4","title":"aws_backup.tag_resource/4","type":"function"},{"doc":"Removes a set of key-value pairs from a recovery point, backup plan, or backup vault identified by an Amazon Resource Name (ARN)","ref":"aws_backup.html#untag_resource/3","title":"aws_backup.untag_resource/3","type":"function"},{"doc":"","ref":"aws_backup.html#untag_resource/4","title":"aws_backup.untag_resource/4","type":"function"},{"doc":"Updates an existing backup plan identified by its backupPlanId with the input document in JSON format. The new version is uniquely identified by a VersionId .","ref":"aws_backup.html#update_backup_plan/3","title":"aws_backup.update_backup_plan/3","type":"function"},{"doc":"","ref":"aws_backup.html#update_backup_plan/4","title":"aws_backup.update_backup_plan/4","type":"function"},{"doc":"Updates an existing framework identified by its FrameworkName with the input document in JSON format.","ref":"aws_backup.html#update_framework/3","title":"aws_backup.update_framework/3","type":"function"},{"doc":"","ref":"aws_backup.html#update_framework/4","title":"aws_backup.update_framework/4","type":"function"},{"doc":"Updates whether the Amazon Web Services account is opted in to cross-account backup. Returns an error if the account is not an Organizations management account. Use the DescribeGlobalSettings API to determine the current settings.","ref":"aws_backup.html#update_global_settings/2","title":"aws_backup.update_global_settings/2","type":"function"},{"doc":"","ref":"aws_backup.html#update_global_settings/3","title":"aws_backup.update_global_settings/3","type":"function"},{"doc":"Sets the transition lifecycle of a recovery point. The lifecycle defines when a protected resource is transitioned to cold storage and when it expires. Backup transitions and expires backups automatically according to the lifecycle that you define. Backups transitioned to cold storage must be stored in cold storage for a minimum of 90 days. Therefore, the “retention” setting must be 90 days greater than the “transition to cold after days” setting. The “transition to cold after days” setting cannot be changed after a backup has been transitioned to cold. Resource types that are able to be transitioned to cold storage are listed in the &quot;Lifecycle to cold storage&quot; section of the Feature availability by resource table. Backup ignores this expression for other resource types. This operation does not support continuous backups.","ref":"aws_backup.html#update_recovery_point_lifecycle/4","title":"aws_backup.update_recovery_point_lifecycle/4","type":"function"},{"doc":"","ref":"aws_backup.html#update_recovery_point_lifecycle/5","title":"aws_backup.update_recovery_point_lifecycle/5","type":"function"},{"doc":"Updates the current service opt-in settings for the Region. If service-opt-in is enabled for a service, Backup tries to protect that service's resources in this Region, when the resource is included in an on-demand backup or scheduled backup plan. Otherwise, Backup does not try to protect that service's resources in this Region. Use the DescribeRegionSettings API to determine the resource types that are supported.","ref":"aws_backup.html#update_region_settings/2","title":"aws_backup.update_region_settings/2","type":"function"},{"doc":"","ref":"aws_backup.html#update_region_settings/3","title":"aws_backup.update_region_settings/3","type":"function"},{"doc":"Updates an existing report plan identified by its ReportPlanName with the input document in JSON format.","ref":"aws_backup.html#update_report_plan/3","title":"aws_backup.update_report_plan/3","type":"function"},{"doc":"","ref":"aws_backup.html#update_report_plan/4","title":"aws_backup.update_report_plan/4","type":"function"},{"doc":"Backup gateway Backup gateway connects Backup to your hypervisor, so you can create, store, and restore backups of your virtual machines (VMs) anywhere, whether on-premises or in the VMware Cloud (VMC) on Amazon Web Services. Add on-premises resources by connecting to a hypervisor through a gateway. Backup will automatically discover the resources in your hypervisor. Use Backup to assign virtual or on-premises resources to a backup plan, or run on-demand backups. Once you have backed up your resources, you can view them and restore them like any resource supported by Backup. To download the Amazon Web Services software to get started, navigate to the Backup console, choose Gateways, then choose Create gateway.","ref":"aws_backup_gateway.html","title":"aws_backup_gateway","type":"module"},{"doc":"Associates a backup gateway with your server. After you complete the association process, you can back up and restore your VMs through the gateway.","ref":"aws_backup_gateway.html#associate_gateway_to_server/2","title":"aws_backup_gateway.associate_gateway_to_server/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#associate_gateway_to_server/3","title":"aws_backup_gateway.associate_gateway_to_server/3","type":"function"},{"doc":"Creates a backup gateway. After you create a gateway, you can associate it with a server using the AssociateGatewayToServer operation.","ref":"aws_backup_gateway.html#create_gateway/2","title":"aws_backup_gateway.create_gateway/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#create_gateway/3","title":"aws_backup_gateway.create_gateway/3","type":"function"},{"doc":"Deletes a backup gateway.","ref":"aws_backup_gateway.html#delete_gateway/2","title":"aws_backup_gateway.delete_gateway/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#delete_gateway/3","title":"aws_backup_gateway.delete_gateway/3","type":"function"},{"doc":"Deletes a hypervisor.","ref":"aws_backup_gateway.html#delete_hypervisor/2","title":"aws_backup_gateway.delete_hypervisor/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#delete_hypervisor/3","title":"aws_backup_gateway.delete_hypervisor/3","type":"function"},{"doc":"Disassociates a backup gateway from the specified server. After the disassociation process finishes, the gateway can no longer access the virtual machines on the server.","ref":"aws_backup_gateway.html#disassociate_gateway_from_server/2","title":"aws_backup_gateway.disassociate_gateway_from_server/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#disassociate_gateway_from_server/3","title":"aws_backup_gateway.disassociate_gateway_from_server/3","type":"function"},{"doc":"Retrieves the bandwidth rate limit schedule for a specified gateway. By default, gateways do not have bandwidth rate limit schedules, which means no bandwidth rate limiting is in effect. Use this to get a gateway's bandwidth rate limit schedule.","ref":"aws_backup_gateway.html#get_bandwidth_rate_limit_schedule/2","title":"aws_backup_gateway.get_bandwidth_rate_limit_schedule/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#get_bandwidth_rate_limit_schedule/3","title":"aws_backup_gateway.get_bandwidth_rate_limit_schedule/3","type":"function"},{"doc":"By providing the ARN (Amazon Resource Name), this API returns the gateway.","ref":"aws_backup_gateway.html#get_gateway/2","title":"aws_backup_gateway.get_gateway/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#get_gateway/3","title":"aws_backup_gateway.get_gateway/3","type":"function"},{"doc":"This action requests information about the specified hypervisor to which the gateway will connect. A hypervisor is hardware, software, or firmware that creates and manages virtual machines, and allocates resources to them.","ref":"aws_backup_gateway.html#get_hypervisor/2","title":"aws_backup_gateway.get_hypervisor/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#get_hypervisor/3","title":"aws_backup_gateway.get_hypervisor/3","type":"function"},{"doc":"This action retrieves the property mappings for the specified hypervisor. A hypervisor property mapping displays the relationship of entity properties available from the on-premises hypervisor to the properties available in Amazon Web Services.","ref":"aws_backup_gateway.html#get_hypervisor_property_mappings/2","title":"aws_backup_gateway.get_hypervisor_property_mappings/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#get_hypervisor_property_mappings/3","title":"aws_backup_gateway.get_hypervisor_property_mappings/3","type":"function"},{"doc":"By providing the ARN (Amazon Resource Name), this API returns the virtual machine.","ref":"aws_backup_gateway.html#get_virtual_machine/2","title":"aws_backup_gateway.get_virtual_machine/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#get_virtual_machine/3","title":"aws_backup_gateway.get_virtual_machine/3","type":"function"},{"doc":"Connect to a hypervisor by importing its configuration.","ref":"aws_backup_gateway.html#import_hypervisor_configuration/2","title":"aws_backup_gateway.import_hypervisor_configuration/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#import_hypervisor_configuration/3","title":"aws_backup_gateway.import_hypervisor_configuration/3","type":"function"},{"doc":"Lists backup gateways owned by an Amazon Web Services account in an Amazon Web Services Region. The returned list is ordered by gateway Amazon Resource Name (ARN).","ref":"aws_backup_gateway.html#list_gateways/2","title":"aws_backup_gateway.list_gateways/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#list_gateways/3","title":"aws_backup_gateway.list_gateways/3","type":"function"},{"doc":"Lists your hypervisors.","ref":"aws_backup_gateway.html#list_hypervisors/2","title":"aws_backup_gateway.list_hypervisors/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#list_hypervisors/3","title":"aws_backup_gateway.list_hypervisors/3","type":"function"},{"doc":"Lists the tags applied to the resource identified by its Amazon Resource Name (ARN).","ref":"aws_backup_gateway.html#list_tags_for_resource/2","title":"aws_backup_gateway.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#list_tags_for_resource/3","title":"aws_backup_gateway.list_tags_for_resource/3","type":"function"},{"doc":"Lists your virtual machines.","ref":"aws_backup_gateway.html#list_virtual_machines/2","title":"aws_backup_gateway.list_virtual_machines/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#list_virtual_machines/3","title":"aws_backup_gateway.list_virtual_machines/3","type":"function"},{"doc":"This action sets the bandwidth rate limit schedule for a specified gateway. By default, gateways do not have a bandwidth rate limit schedule, which means no bandwidth rate limiting is in effect. Use this to initiate a gateway's bandwidth rate limit schedule.","ref":"aws_backup_gateway.html#put_bandwidth_rate_limit_schedule/2","title":"aws_backup_gateway.put_bandwidth_rate_limit_schedule/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#put_bandwidth_rate_limit_schedule/3","title":"aws_backup_gateway.put_bandwidth_rate_limit_schedule/3","type":"function"},{"doc":"This action sets the property mappings for the specified hypervisor. A hypervisor property mapping displays the relationship of entity properties available from the on-premises hypervisor to the properties available in Amazon Web Services.","ref":"aws_backup_gateway.html#put_hypervisor_property_mappings/2","title":"aws_backup_gateway.put_hypervisor_property_mappings/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#put_hypervisor_property_mappings/3","title":"aws_backup_gateway.put_hypervisor_property_mappings/3","type":"function"},{"doc":"Set the maintenance start time for a gateway.","ref":"aws_backup_gateway.html#put_maintenance_start_time/2","title":"aws_backup_gateway.put_maintenance_start_time/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#put_maintenance_start_time/3","title":"aws_backup_gateway.put_maintenance_start_time/3","type":"function"},{"doc":"This action sends a request to sync metadata across the specified virtual machines.","ref":"aws_backup_gateway.html#start_virtual_machines_metadata_sync/2","title":"aws_backup_gateway.start_virtual_machines_metadata_sync/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#start_virtual_machines_metadata_sync/3","title":"aws_backup_gateway.start_virtual_machines_metadata_sync/3","type":"function"},{"doc":"Tag the resource.","ref":"aws_backup_gateway.html#tag_resource/2","title":"aws_backup_gateway.tag_resource/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#tag_resource/3","title":"aws_backup_gateway.tag_resource/3","type":"function"},{"doc":"Tests your hypervisor configuration to validate that backup gateway can connect with the hypervisor and its resources.","ref":"aws_backup_gateway.html#test_hypervisor_configuration/2","title":"aws_backup_gateway.test_hypervisor_configuration/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#test_hypervisor_configuration/3","title":"aws_backup_gateway.test_hypervisor_configuration/3","type":"function"},{"doc":"Removes tags from the resource.","ref":"aws_backup_gateway.html#untag_resource/2","title":"aws_backup_gateway.untag_resource/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#untag_resource/3","title":"aws_backup_gateway.untag_resource/3","type":"function"},{"doc":"Updates a gateway's name. Specify which gateway to update using the Amazon Resource Name (ARN) of the gateway in your request.","ref":"aws_backup_gateway.html#update_gateway_information/2","title":"aws_backup_gateway.update_gateway_information/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#update_gateway_information/3","title":"aws_backup_gateway.update_gateway_information/3","type":"function"},{"doc":"Updates the gateway virtual machine (VM) software. The request immediately triggers the software update. When you make this request, you get a 200 OK success response immediately. However, it might take some time for the update to complete.","ref":"aws_backup_gateway.html#update_gateway_software_now/2","title":"aws_backup_gateway.update_gateway_software_now/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#update_gateway_software_now/3","title":"aws_backup_gateway.update_gateway_software_now/3","type":"function"},{"doc":"Updates a hypervisor metadata, including its host, username, and password. Specify which hypervisor to update using the Amazon Resource Name (ARN) of the hypervisor in your request.","ref":"aws_backup_gateway.html#update_hypervisor/2","title":"aws_backup_gateway.update_hypervisor/2","type":"function"},{"doc":"","ref":"aws_backup_gateway.html#update_hypervisor/3","title":"aws_backup_gateway.update_hypervisor/3","type":"function"},{"doc":"The frontend service for Cryo Storage.","ref":"aws_backupstorage.html","title":"aws_backupstorage","type":"module"},{"doc":"Delete Object from the incremental base Backup.","ref":"aws_backupstorage.html#delete_object/4","title":"aws_backupstorage.delete_object/4","type":"function"},{"doc":"","ref":"aws_backupstorage.html#delete_object/5","title":"aws_backupstorage.delete_object/5","type":"function"},{"doc":"Gets the specified object's chunk.","ref":"aws_backupstorage.html#get_chunk/3","title":"aws_backupstorage.get_chunk/3","type":"function"},{"doc":"","ref":"aws_backupstorage.html#get_chunk/5","title":"aws_backupstorage.get_chunk/5","type":"function"},{"doc":"","ref":"aws_backupstorage.html#get_chunk/6","title":"aws_backupstorage.get_chunk/6","type":"function"},{"doc":"Get metadata associated with an Object.","ref":"aws_backupstorage.html#get_object_metadata/3","title":"aws_backupstorage.get_object_metadata/3","type":"function"},{"doc":"","ref":"aws_backupstorage.html#get_object_metadata/5","title":"aws_backupstorage.get_object_metadata/5","type":"function"},{"doc":"","ref":"aws_backupstorage.html#get_object_metadata/6","title":"aws_backupstorage.get_object_metadata/6","type":"function"},{"doc":"List chunks in a given Object","ref":"aws_backupstorage.html#list_chunks/3","title":"aws_backupstorage.list_chunks/3","type":"function"},{"doc":"","ref":"aws_backupstorage.html#list_chunks/5","title":"aws_backupstorage.list_chunks/5","type":"function"},{"doc":"","ref":"aws_backupstorage.html#list_chunks/6","title":"aws_backupstorage.list_chunks/6","type":"function"},{"doc":"List all Objects in a given Backup.","ref":"aws_backupstorage.html#list_objects/2","title":"aws_backupstorage.list_objects/2","type":"function"},{"doc":"","ref":"aws_backupstorage.html#list_objects/4","title":"aws_backupstorage.list_objects/4","type":"function"},{"doc":"","ref":"aws_backupstorage.html#list_objects/5","title":"aws_backupstorage.list_objects/5","type":"function"},{"doc":"Complete upload","ref":"aws_backupstorage.html#notify_object_complete/4","title":"aws_backupstorage.notify_object_complete/4","type":"function"},{"doc":"","ref":"aws_backupstorage.html#notify_object_complete/5","title":"aws_backupstorage.notify_object_complete/5","type":"function"},{"doc":"Upload chunk.","ref":"aws_backupstorage.html#put_chunk/5","title":"aws_backupstorage.put_chunk/5","type":"function"},{"doc":"","ref":"aws_backupstorage.html#put_chunk/6","title":"aws_backupstorage.put_chunk/6","type":"function"},{"doc":"Upload object that can store object metadata String and data blob in single API call using inline chunk field.","ref":"aws_backupstorage.html#put_object/4","title":"aws_backupstorage.put_object/4","type":"function"},{"doc":"","ref":"aws_backupstorage.html#put_object/5","title":"aws_backupstorage.put_object/5","type":"function"},{"doc":"Start upload containing one or many chunks.","ref":"aws_backupstorage.html#start_object/4","title":"aws_backupstorage.start_object/4","type":"function"},{"doc":"","ref":"aws_backupstorage.html#start_object/5","title":"aws_backupstorage.start_object/5","type":"function"},{"doc":"Batch Using Batch, you can run batch computing workloads on the Amazon Web Services Cloud. Batch computing is a common means for developers, scientists, and engineers to access large amounts of compute resources. Batch uses the advantages of the batch computing to remove the undifferentiated heavy lifting of configuring and managing required infrastructure. At the same time, it also adopts a familiar batch computing software approach. You can use Batch to efficiently provision resources d, and work toward eliminating capacity constraints, reducing your overall compute costs, and delivering results more quickly. As a fully managed service, Batch can run batch computing workloads of any scale. Batch automatically provisions compute resources and optimizes workload distribution based on the quantity and scale of your specific workloads. With Batch, there's no need to install or manage batch computing software. This means that you can focus on analyzing results and solving your specific problems instead.","ref":"aws_batch.html","title":"aws_batch","type":"module"},{"doc":"Cancels a job in an Batch job queue. Jobs that are in the SUBMITTED , PENDING , or RUNNABLE state are canceled. Jobs that progressed to the STARTING or RUNNING state aren't canceled. However, the API operation still succeeds, even if no job is canceled. These jobs must be terminated with the TerminateJob operation.","ref":"aws_batch.html#cancel_job/2","title":"aws_batch.cancel_job/2","type":"function"},{"doc":"","ref":"aws_batch.html#cancel_job/3","title":"aws_batch.cancel_job/3","type":"function"},{"doc":"Creates an Batch compute environment. You can create MANAGED or UNMANAGED compute environments. MANAGED compute environments can use Amazon EC2 or Fargate resources. UNMANAGED compute environments can only use EC2 resources. In a managed compute environment, Batch manages the capacity and instance types of the compute resources within the environment. This is based on the compute resource specification that you define or the launch template that you specify when you create the compute environment. Either, you can choose to use EC2 On-Demand Instances and EC2 Spot Instances. Or, you can use Fargate and Fargate Spot capacity in your managed compute environment. You can optionally set a maximum price so that Spot Instances only launch when the Spot Instance price is less than a specified percentage of the On-Demand price. Multi-node parallel jobs aren't supported on Spot Instances. In an unmanaged compute environment, you can manage your own EC2 compute resources and have flexibility with how you configure your compute resources. For example, you can use custom AMIs. However, you must verify that each of your AMIs meet the Amazon ECS container instance AMI specification. For more information, see container instance AMIs in the Amazon Elastic Container Service Developer Guide. After you created your unmanaged compute environment, you can use the DescribeComputeEnvironments operation to find the Amazon ECS cluster that's associated with it. Then, launch your container instances into that Amazon ECS cluster. For more information, see Launching an Amazon ECS container instance in the Amazon Elastic Container Service Developer Guide. To create a compute environment that uses EKS resources, the caller must have permissions to call eks:DescribeCluster . Batch doesn't automatically upgrade the AMIs in a compute environment after it's created. For example, it also doesn't update the AMIs in your compute environment when a newer version of the Amazon ECS optimized AMI is available. You're responsible for the management of the guest operating system. This includes any updates and security patches. You're also responsible for any additional application software or utilities that you install on the compute resources. There are two ways to use a new AMI for your Batch jobs. The original method is to complete these steps: Create a new compute environment with the new AMI. Add the compute environment to an existing job queue. Remove the earlier compute environment from your job queue. Delete the earlier compute environment. In April 2022, Batch added enhanced support for updating compute environments. For more information, see Updating compute environments. To use the enhanced updating of compute environments to update AMIs, follow these rules: Either don't set the service role ( serviceRole ) parameter or set it to the AWSBatchServiceRole service-linked role. Set the allocation strategy ( allocationStrategy ) parameter to BEST_FIT_PROGRESSIVE or SPOT_CAPACITY_OPTIMIZED . Set the update to latest image version ( updateToLatestImageVersion ) parameter to true . Don't specify an AMI ID in imageId , imageIdOverride (in ec2Configuration ), or in the launch template ( launchTemplate ). In that case, Batch selects the latest Amazon ECS optimized AMI that's supported by Batch at the time the infrastructure update is initiated. Alternatively, you can specify the AMI ID in the imageId or imageIdOverride parameters, or the launch template identified by the LaunchTemplate properties. Changing any of these properties starts an infrastructure update. If the AMI ID is specified in the launch template, it can't be replaced by specifying an AMI ID in either the imageId or imageIdOverride parameters. It can only be replaced by specifying a different launch template, or if the launch template version is set to $Default or $Latest , by setting either a new default version for the launch template (if $Default ) or by adding a new version to the launch template (if $Latest ). If these rules are followed, any update that starts an infrastructure update causes the AMI ID to be re-selected. If the version setting in the launch template ( launchTemplate ) is set to $Latest or $Default , the latest or default version of the launch template is evaluated up at the time of the infrastructure update, even if the launchTemplate wasn't updated.","ref":"aws_batch.html#create_compute_environment/2","title":"aws_batch.create_compute_environment/2","type":"function"},{"doc":"","ref":"aws_batch.html#create_compute_environment/3","title":"aws_batch.create_compute_environment/3","type":"function"},{"doc":"Creates an Batch job queue. When you create a job queue, you associate one or more compute environments to the queue and assign an order of preference for the compute environments. You also set a priority to the job queue that determines the order that the Batch scheduler places jobs onto its associated compute environments. For example, if a compute environment is associated with more than one job queue, the job queue with a higher priority is given preference for scheduling jobs to that compute environment.","ref":"aws_batch.html#create_job_queue/2","title":"aws_batch.create_job_queue/2","type":"function"},{"doc":"","ref":"aws_batch.html#create_job_queue/3","title":"aws_batch.create_job_queue/3","type":"function"},{"doc":"Creates an Batch scheduling policy.","ref":"aws_batch.html#create_scheduling_policy/2","title":"aws_batch.create_scheduling_policy/2","type":"function"},{"doc":"","ref":"aws_batch.html#create_scheduling_policy/3","title":"aws_batch.create_scheduling_policy/3","type":"function"},{"doc":"Deletes an Batch compute environment. Before you can delete a compute environment, you must set its state to DISABLED with the UpdateComputeEnvironment API operation and disassociate it from any job queues with the UpdateJobQueue API operation. Compute environments that use Fargate resources must terminate all active jobs on that compute environment before deleting the compute environment. If this isn't done, the compute environment enters an invalid state.","ref":"aws_batch.html#delete_compute_environment/2","title":"aws_batch.delete_compute_environment/2","type":"function"},{"doc":"","ref":"aws_batch.html#delete_compute_environment/3","title":"aws_batch.delete_compute_environment/3","type":"function"},{"doc":"Deletes the specified job queue. You must first disable submissions for a queue with the UpdateJobQueue operation. All jobs in the queue are eventually terminated when you delete a job queue. The jobs are terminated at a rate of about 16 jobs each second. It's not necessary to disassociate compute environments from a queue before submitting a DeleteJobQueue request.","ref":"aws_batch.html#delete_job_queue/2","title":"aws_batch.delete_job_queue/2","type":"function"},{"doc":"","ref":"aws_batch.html#delete_job_queue/3","title":"aws_batch.delete_job_queue/3","type":"function"},{"doc":"Deletes the specified scheduling policy. You can't delete a scheduling policy that's used in any job queues.","ref":"aws_batch.html#delete_scheduling_policy/2","title":"aws_batch.delete_scheduling_policy/2","type":"function"},{"doc":"","ref":"aws_batch.html#delete_scheduling_policy/3","title":"aws_batch.delete_scheduling_policy/3","type":"function"},{"doc":"Deregisters an Batch job definition. Job definitions are permanently deleted after 180 days.","ref":"aws_batch.html#deregister_job_definition/2","title":"aws_batch.deregister_job_definition/2","type":"function"},{"doc":"","ref":"aws_batch.html#deregister_job_definition/3","title":"aws_batch.deregister_job_definition/3","type":"function"},{"doc":"Describes one or more of your compute environments. If you're using an unmanaged compute environment, you can use the DescribeComputeEnvironment operation to determine the ecsClusterArn that you launch your Amazon ECS container instances into.","ref":"aws_batch.html#describe_compute_environments/2","title":"aws_batch.describe_compute_environments/2","type":"function"},{"doc":"","ref":"aws_batch.html#describe_compute_environments/3","title":"aws_batch.describe_compute_environments/3","type":"function"},{"doc":"Describes a list of job definitions. You can specify a status (such as ACTIVE ) to only return job definitions that match that status.","ref":"aws_batch.html#describe_job_definitions/2","title":"aws_batch.describe_job_definitions/2","type":"function"},{"doc":"","ref":"aws_batch.html#describe_job_definitions/3","title":"aws_batch.describe_job_definitions/3","type":"function"},{"doc":"Describes one or more of your job queues.","ref":"aws_batch.html#describe_job_queues/2","title":"aws_batch.describe_job_queues/2","type":"function"},{"doc":"","ref":"aws_batch.html#describe_job_queues/3","title":"aws_batch.describe_job_queues/3","type":"function"},{"doc":"Describes a list of Batch jobs.","ref":"aws_batch.html#describe_jobs/2","title":"aws_batch.describe_jobs/2","type":"function"},{"doc":"","ref":"aws_batch.html#describe_jobs/3","title":"aws_batch.describe_jobs/3","type":"function"},{"doc":"Describes one or more of your scheduling policies.","ref":"aws_batch.html#describe_scheduling_policies/2","title":"aws_batch.describe_scheduling_policies/2","type":"function"},{"doc":"","ref":"aws_batch.html#describe_scheduling_policies/3","title":"aws_batch.describe_scheduling_policies/3","type":"function"},{"doc":"Returns a list of Batch jobs. You must specify only one of the following items: A job queue ID to return a list of jobs in that job queue A multi-node parallel job ID to return a list of nodes for that job An array job ID to return a list of the children for that job You can filter the results by job status with the jobStatus parameter. If you don't specify a status, only RUNNING jobs are returned.","ref":"aws_batch.html#list_jobs/2","title":"aws_batch.list_jobs/2","type":"function"},{"doc":"","ref":"aws_batch.html#list_jobs/3","title":"aws_batch.list_jobs/3","type":"function"},{"doc":"Returns a list of Batch scheduling policies.","ref":"aws_batch.html#list_scheduling_policies/2","title":"aws_batch.list_scheduling_policies/2","type":"function"},{"doc":"","ref":"aws_batch.html#list_scheduling_policies/3","title":"aws_batch.list_scheduling_policies/3","type":"function"},{"doc":"Lists the tags for an Batch resource. Batch resources that support tags are compute environments, jobs, job definitions, job queues, and scheduling policies. ARNs for child jobs of array and multi-node parallel (MNP) jobs aren't supported.","ref":"aws_batch.html#list_tags_for_resource/2","title":"aws_batch.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_batch.html#list_tags_for_resource/4","title":"aws_batch.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_batch.html#list_tags_for_resource/5","title":"aws_batch.list_tags_for_resource/5","type":"function"},{"doc":"Registers an Batch job definition.","ref":"aws_batch.html#register_job_definition/2","title":"aws_batch.register_job_definition/2","type":"function"},{"doc":"","ref":"aws_batch.html#register_job_definition/3","title":"aws_batch.register_job_definition/3","type":"function"},{"doc":"Submits an Batch job from a job definition. Parameters that are specified during SubmitJob override parameters defined in the job definition. vCPU and memory requirements that are specified in the resourceRequirements objects in the job definition are the exception. They can't be overridden this way using the memory and vcpus parameters. Rather, you must specify updates to job definition parameters in a resourceRequirements object that's included in the containerOverrides parameter. Job queues with a scheduling policy are limited to 500 active fair share identifiers at a time. Jobs that run on Fargate resources can't be guaranteed to run for more than 14 days. This is because, after 14 days, Fargate resources might become unavailable and job might be terminated.","ref":"aws_batch.html#submit_job/2","title":"aws_batch.submit_job/2","type":"function"},{"doc":"","ref":"aws_batch.html#submit_job/3","title":"aws_batch.submit_job/3","type":"function"},{"doc":"Associates the specified tags to a resource with the specified resourceArn . If existing tags on a resource aren't specified in the request parameters, they aren't changed. When a resource is deleted, the tags that are associated with that resource are deleted as well. Batch resources that support tags are compute environments, jobs, job definitions, job queues, and scheduling policies. ARNs for child jobs of array and multi-node parallel (MNP) jobs aren't supported.","ref":"aws_batch.html#tag_resource/3","title":"aws_batch.tag_resource/3","type":"function"},{"doc":"","ref":"aws_batch.html#tag_resource/4","title":"aws_batch.tag_resource/4","type":"function"},{"doc":"Terminates a job in a job queue. Jobs that are in the STARTING or RUNNING state are terminated, which causes them to transition to FAILED . Jobs that have not progressed to the STARTING state are cancelled.","ref":"aws_batch.html#terminate_job/2","title":"aws_batch.terminate_job/2","type":"function"},{"doc":"","ref":"aws_batch.html#terminate_job/3","title":"aws_batch.terminate_job/3","type":"function"},{"doc":"Deletes specified tags from an Batch resource.","ref":"aws_batch.html#untag_resource/3","title":"aws_batch.untag_resource/3","type":"function"},{"doc":"","ref":"aws_batch.html#untag_resource/4","title":"aws_batch.untag_resource/4","type":"function"},{"doc":"Updates an Batch compute environment.","ref":"aws_batch.html#update_compute_environment/2","title":"aws_batch.update_compute_environment/2","type":"function"},{"doc":"","ref":"aws_batch.html#update_compute_environment/3","title":"aws_batch.update_compute_environment/3","type":"function"},{"doc":"Updates a job queue.","ref":"aws_batch.html#update_job_queue/2","title":"aws_batch.update_job_queue/2","type":"function"},{"doc":"","ref":"aws_batch.html#update_job_queue/3","title":"aws_batch.update_job_queue/3","type":"function"},{"doc":"Updates a scheduling policy.","ref":"aws_batch.html#update_scheduling_policy/2","title":"aws_batch.update_scheduling_policy/2","type":"function"},{"doc":"","ref":"aws_batch.html#update_scheduling_policy/3","title":"aws_batch.update_scheduling_policy/3","type":"function"},{"doc":"Amazon Web Services Billing Conductor is a fully managed service that you can use to customize a pro forma version of your billing data each month, to accurately show or chargeback your end customers. Amazon Web Services Billing Conductor doesn't change the way you're billed by Amazon Web Services each month by design. Instead, it provides you with a mechanism to configure, generate, and display rates to certain customers over a given billing period. You can also analyze the difference between the rates you apply to your accounting groupings relative to your actual rates from Amazon Web Services. As a result of your Amazon Web Services Billing Conductor configuration, the payer account can also see the custom rate applied on the billing details page of the Amazon Web Services Billing console, or configure a cost and usage report per billing group. This documentation shows how you can configure Amazon Web Services Billing Conductor using its API. For more information about using the Amazon Web Services Billing Conductor user interface, see the Amazon Web Services Billing Conductor User Guide.","ref":"aws_billingconductor.html","title":"aws_billingconductor","type":"module"},{"doc":"Connects an array of account IDs in a consolidated billing family to a predefined billing group. The account IDs must be a part of the consolidated billing family during the current month, and not already associated with another billing group. The maximum number of accounts that can be associated in one call is 30.","ref":"aws_billingconductor.html#associate_accounts/2","title":"aws_billingconductor.associate_accounts/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#associate_accounts/3","title":"aws_billingconductor.associate_accounts/3","type":"function"},{"doc":"Connects an array of PricingRuleArns to a defined PricingPlan . The maximum number PricingRuleArn that can be associated in one call is 30.","ref":"aws_billingconductor.html#associate_pricing_rules/2","title":"aws_billingconductor.associate_pricing_rules/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#associate_pricing_rules/3","title":"aws_billingconductor.associate_pricing_rules/3","type":"function"},{"doc":"Associates a batch of resources to a percentage custom line item.","ref":"aws_billingconductor.html#batch_associate_resources_to_custom_line_item/2","title":"aws_billingconductor.batch_associate_resources_to_custom_line_item/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#batch_associate_resources_to_custom_line_item/3","title":"aws_billingconductor.batch_associate_resources_to_custom_line_item/3","type":"function"},{"doc":"Disassociates a batch of resources from a percentage custom line item.","ref":"aws_billingconductor.html#batch_disassociate_resources_from_custom_line_item/2","title":"aws_billingconductor.batch_disassociate_resources_from_custom_line_item/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#batch_disassociate_resources_from_custom_line_item/3","title":"aws_billingconductor.batch_disassociate_resources_from_custom_line_item/3","type":"function"},{"doc":"Creates a billing group that resembles a consolidated billing family that Amazon Web Services charges, based off of the predefined pricing plan computation.","ref":"aws_billingconductor.html#create_billing_group/2","title":"aws_billingconductor.create_billing_group/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#create_billing_group/3","title":"aws_billingconductor.create_billing_group/3","type":"function"},{"doc":"Creates a custom line item that can be used to create a one-time fixed charge that can be applied to a single billing group for the current or previous billing period. The one-time fixed charge is either a fee or discount.","ref":"aws_billingconductor.html#create_custom_line_item/2","title":"aws_billingconductor.create_custom_line_item/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#create_custom_line_item/3","title":"aws_billingconductor.create_custom_line_item/3","type":"function"},{"doc":"Creates a pricing plan that is used for computing Amazon Web Services charges for billing groups.","ref":"aws_billingconductor.html#create_pricing_plan/2","title":"aws_billingconductor.create_pricing_plan/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#create_pricing_plan/3","title":"aws_billingconductor.create_pricing_plan/3","type":"function"},{"doc":"Creates a pricing rule can be associated to a pricing plan, or a set of pricing plans.","ref":"aws_billingconductor.html#create_pricing_rule/2","title":"aws_billingconductor.create_pricing_rule/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#create_pricing_rule/3","title":"aws_billingconductor.create_pricing_rule/3","type":"function"},{"doc":"Deletes a billing group.","ref":"aws_billingconductor.html#delete_billing_group/2","title":"aws_billingconductor.delete_billing_group/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#delete_billing_group/3","title":"aws_billingconductor.delete_billing_group/3","type":"function"},{"doc":"Deletes the custom line item identified by the given ARN in the current, or previous billing period.","ref":"aws_billingconductor.html#delete_custom_line_item/2","title":"aws_billingconductor.delete_custom_line_item/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#delete_custom_line_item/3","title":"aws_billingconductor.delete_custom_line_item/3","type":"function"},{"doc":"Deletes a pricing plan. The pricing plan must not be associated with any billing groups to delete successfully.","ref":"aws_billingconductor.html#delete_pricing_plan/2","title":"aws_billingconductor.delete_pricing_plan/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#delete_pricing_plan/3","title":"aws_billingconductor.delete_pricing_plan/3","type":"function"},{"doc":"Deletes the pricing rule that's identified by the input Amazon Resource Name (ARN).","ref":"aws_billingconductor.html#delete_pricing_rule/2","title":"aws_billingconductor.delete_pricing_rule/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#delete_pricing_rule/3","title":"aws_billingconductor.delete_pricing_rule/3","type":"function"},{"doc":"Removes the specified list of account IDs from the given billing group.","ref":"aws_billingconductor.html#disassociate_accounts/2","title":"aws_billingconductor.disassociate_accounts/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#disassociate_accounts/3","title":"aws_billingconductor.disassociate_accounts/3","type":"function"},{"doc":"Disassociates a list of pricing rules from a pricing plan.","ref":"aws_billingconductor.html#disassociate_pricing_rules/2","title":"aws_billingconductor.disassociate_pricing_rules/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#disassociate_pricing_rules/3","title":"aws_billingconductor.disassociate_pricing_rules/3","type":"function"},{"doc":"This is a paginated call to list linked accounts that are linked to the payer account for the specified time period. If no information is provided, the current billing period is used. The response will optionally include the billing group that's associated with the linked account.","ref":"aws_billingconductor.html#list_account_associations/2","title":"aws_billingconductor.list_account_associations/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#list_account_associations/3","title":"aws_billingconductor.list_account_associations/3","type":"function"},{"doc":"A paginated call to retrieve a summary report of actual Amazon Web Services charges and the calculated Amazon Web Services charges based on the associated pricing plan of a billing group.","ref":"aws_billingconductor.html#list_billing_group_cost_reports/2","title":"aws_billingconductor.list_billing_group_cost_reports/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#list_billing_group_cost_reports/3","title":"aws_billingconductor.list_billing_group_cost_reports/3","type":"function"},{"doc":"A paginated call to retrieve a list of billing groups for the given billing period. If you don't provide a billing group, the current billing period is used.","ref":"aws_billingconductor.html#list_billing_groups/2","title":"aws_billingconductor.list_billing_groups/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#list_billing_groups/3","title":"aws_billingconductor.list_billing_groups/3","type":"function"},{"doc":"A paginated call to get a list of all custom line item versions.","ref":"aws_billingconductor.html#list_custom_line_item_versions/2","title":"aws_billingconductor.list_custom_line_item_versions/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#list_custom_line_item_versions/3","title":"aws_billingconductor.list_custom_line_item_versions/3","type":"function"},{"doc":"A paginated call to get a list of all custom line items (FFLIs) for the given billing period. If you don't provide a billing period, the current billing period is used.","ref":"aws_billingconductor.html#list_custom_line_items/2","title":"aws_billingconductor.list_custom_line_items/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#list_custom_line_items/3","title":"aws_billingconductor.list_custom_line_items/3","type":"function"},{"doc":"A paginated call to get pricing plans for the given billing period. If you don't provide a billing period, the current billing period is used.","ref":"aws_billingconductor.html#list_pricing_plans/2","title":"aws_billingconductor.list_pricing_plans/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#list_pricing_plans/3","title":"aws_billingconductor.list_pricing_plans/3","type":"function"},{"doc":"A list of the pricing plans that are associated with a pricing rule.","ref":"aws_billingconductor.html#list_pricing_plans_associated_with_pricing_rule/2","title":"aws_billingconductor.list_pricing_plans_associated_with_pricing_rule/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#list_pricing_plans_associated_with_pricing_rule/3","title":"aws_billingconductor.list_pricing_plans_associated_with_pricing_rule/3","type":"function"},{"doc":"Describes a pricing rule that can be associated to a pricing plan, or set of pricing plans.","ref":"aws_billingconductor.html#list_pricing_rules/2","title":"aws_billingconductor.list_pricing_rules/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#list_pricing_rules/3","title":"aws_billingconductor.list_pricing_rules/3","type":"function"},{"doc":"Lists the pricing rules that are associated with a pricing plan.","ref":"aws_billingconductor.html#list_pricing_rules_associated_to_pricing_plan/2","title":"aws_billingconductor.list_pricing_rules_associated_to_pricing_plan/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#list_pricing_rules_associated_to_pricing_plan/3","title":"aws_billingconductor.list_pricing_rules_associated_to_pricing_plan/3","type":"function"},{"doc":"List the resources that are associated to a custom line item.","ref":"aws_billingconductor.html#list_resources_associated_to_custom_line_item/2","title":"aws_billingconductor.list_resources_associated_to_custom_line_item/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#list_resources_associated_to_custom_line_item/3","title":"aws_billingconductor.list_resources_associated_to_custom_line_item/3","type":"function"},{"doc":"A list the tags for a resource.","ref":"aws_billingconductor.html#list_tags_for_resource/2","title":"aws_billingconductor.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#list_tags_for_resource/4","title":"aws_billingconductor.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_billingconductor.html#list_tags_for_resource/5","title":"aws_billingconductor.list_tags_for_resource/5","type":"function"},{"doc":"Associates the specified tags to a resource with the specified resourceArn . If existing tags on a resource are not specified in the request parameters, they are not changed.","ref":"aws_billingconductor.html#tag_resource/3","title":"aws_billingconductor.tag_resource/3","type":"function"},{"doc":"","ref":"aws_billingconductor.html#tag_resource/4","title":"aws_billingconductor.tag_resource/4","type":"function"},{"doc":"Deletes specified tags from a resource.","ref":"aws_billingconductor.html#untag_resource/3","title":"aws_billingconductor.untag_resource/3","type":"function"},{"doc":"","ref":"aws_billingconductor.html#untag_resource/4","title":"aws_billingconductor.untag_resource/4","type":"function"},{"doc":"This updates an existing billing group.","ref":"aws_billingconductor.html#update_billing_group/2","title":"aws_billingconductor.update_billing_group/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#update_billing_group/3","title":"aws_billingconductor.update_billing_group/3","type":"function"},{"doc":"Update an existing custom line item in the current or previous billing period.","ref":"aws_billingconductor.html#update_custom_line_item/2","title":"aws_billingconductor.update_custom_line_item/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#update_custom_line_item/3","title":"aws_billingconductor.update_custom_line_item/3","type":"function"},{"doc":"This updates an existing pricing plan.","ref":"aws_billingconductor.html#update_pricing_plan/2","title":"aws_billingconductor.update_pricing_plan/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#update_pricing_plan/3","title":"aws_billingconductor.update_pricing_plan/3","type":"function"},{"doc":"Updates an existing pricing rule.","ref":"aws_billingconductor.html#update_pricing_rule/2","title":"aws_billingconductor.update_pricing_rule/2","type":"function"},{"doc":"","ref":"aws_billingconductor.html#update_pricing_rule/3","title":"aws_billingconductor.update_pricing_rule/3","type":"function"},{"doc":"The Amazon Braket API Reference provides information about the operations and structures supported in Amazon Braket. Additional Resources: Amazon Braket Developer Guide","ref":"aws_braket.html","title":"aws_braket","type":"module"},{"doc":"Cancels an Amazon Braket job.","ref":"aws_braket.html#cancel_job/3","title":"aws_braket.cancel_job/3","type":"function"},{"doc":"","ref":"aws_braket.html#cancel_job/4","title":"aws_braket.cancel_job/4","type":"function"},{"doc":"Cancels the specified task.","ref":"aws_braket.html#cancel_quantum_task/3","title":"aws_braket.cancel_quantum_task/3","type":"function"},{"doc":"","ref":"aws_braket.html#cancel_quantum_task/4","title":"aws_braket.cancel_quantum_task/4","type":"function"},{"doc":"Creates an Amazon Braket job.","ref":"aws_braket.html#create_job/2","title":"aws_braket.create_job/2","type":"function"},{"doc":"","ref":"aws_braket.html#create_job/3","title":"aws_braket.create_job/3","type":"function"},{"doc":"Creates a quantum task.","ref":"aws_braket.html#create_quantum_task/2","title":"aws_braket.create_quantum_task/2","type":"function"},{"doc":"","ref":"aws_braket.html#create_quantum_task/3","title":"aws_braket.create_quantum_task/3","type":"function"},{"doc":"Retrieves the devices available in Amazon Braket. For backwards compatibility with older versions of BraketSchemas, OpenQASM information is omitted from GetDevice API calls. To get this information the user-agent needs to present a recent version of the BraketSchemas (1.8.0 or later). The Braket SDK automatically reports this for you. If you do not see OpenQASM results in the GetDevice response when using a Braket SDK, you may need to set AWS_EXECUTION_ENV environment variable to configure user-agent. See the code examples provided below for how to do this for the AWS CLI, Boto3, and the Go, Java, and JavaScript/TypeScript SDKs.","ref":"aws_braket.html#get_device/2","title":"aws_braket.get_device/2","type":"function"},{"doc":"","ref":"aws_braket.html#get_device/4","title":"aws_braket.get_device/4","type":"function"},{"doc":"","ref":"aws_braket.html#get_device/5","title":"aws_braket.get_device/5","type":"function"},{"doc":"Retrieves the specified Amazon Braket job.","ref":"aws_braket.html#get_job/2","title":"aws_braket.get_job/2","type":"function"},{"doc":"","ref":"aws_braket.html#get_job/4","title":"aws_braket.get_job/4","type":"function"},{"doc":"","ref":"aws_braket.html#get_job/5","title":"aws_braket.get_job/5","type":"function"},{"doc":"Retrieves the specified quantum task.","ref":"aws_braket.html#get_quantum_task/2","title":"aws_braket.get_quantum_task/2","type":"function"},{"doc":"","ref":"aws_braket.html#get_quantum_task/4","title":"aws_braket.get_quantum_task/4","type":"function"},{"doc":"","ref":"aws_braket.html#get_quantum_task/5","title":"aws_braket.get_quantum_task/5","type":"function"},{"doc":"Shows the tags associated with this resource.","ref":"aws_braket.html#list_tags_for_resource/2","title":"aws_braket.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_braket.html#list_tags_for_resource/4","title":"aws_braket.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_braket.html#list_tags_for_resource/5","title":"aws_braket.list_tags_for_resource/5","type":"function"},{"doc":"Searches for devices using the specified filters.","ref":"aws_braket.html#search_devices/2","title":"aws_braket.search_devices/2","type":"function"},{"doc":"","ref":"aws_braket.html#search_devices/3","title":"aws_braket.search_devices/3","type":"function"},{"doc":"Searches for Amazon Braket jobs that match the specified filter values.","ref":"aws_braket.html#search_jobs/2","title":"aws_braket.search_jobs/2","type":"function"},{"doc":"","ref":"aws_braket.html#search_jobs/3","title":"aws_braket.search_jobs/3","type":"function"},{"doc":"Searches for tasks that match the specified filter values.","ref":"aws_braket.html#search_quantum_tasks/2","title":"aws_braket.search_quantum_tasks/2","type":"function"},{"doc":"","ref":"aws_braket.html#search_quantum_tasks/3","title":"aws_braket.search_quantum_tasks/3","type":"function"},{"doc":"Add a tag to the specified resource.","ref":"aws_braket.html#tag_resource/3","title":"aws_braket.tag_resource/3","type":"function"},{"doc":"","ref":"aws_braket.html#tag_resource/4","title":"aws_braket.tag_resource/4","type":"function"},{"doc":"Remove tags from a resource.","ref":"aws_braket.html#untag_resource/3","title":"aws_braket.untag_resource/3","type":"function"},{"doc":"","ref":"aws_braket.html#untag_resource/4","title":"aws_braket.untag_resource/4","type":"function"},{"doc":"Use the Amazon Web Services Budgets API to plan your service usage, service costs, and instance reservations. This API reference provides descriptions, syntax, and usage examples for each of the actions and data types for the Amazon Web Services Budgets feature. Budgets provide you with a way to see the following information: How close your plan is to your budgeted amount or to the free tier limits Your usage-to-date, including how much you've used of your Reserved Instances (RIs) Your current estimated charges from Amazon Web Services, and how much your predicted usage will accrue in charges by the end of the month How much of your budget has been used Amazon Web Services updates your budget status several times a day. Budgets track your unblended costs, subscriptions, refunds, and RIs. You can create the following types of budgets: Cost budgets - Plan how much you want to spend on a service. Usage budgets - Plan how much you want to use one or more services. RI utilization budgets - Define a utilization threshold, and receive alerts when your RI usage falls below that threshold. This lets you see if your RIs are unused or under-utilized. RI coverage budgets - Define a coverage threshold, and receive alerts when the number of your instance hours that are covered by RIs fall below that threshold. This lets you see how much of your instance usage is covered by a reservation. Service Endpoint The Amazon Web Services Budgets API provides the following endpoint: https://budgets.amazonaws.com For information about costs that are associated with the Amazon Web Services Budgets API, see Amazon Web Services Cost Management Pricing.","ref":"aws_budgets.html","title":"aws_budgets","type":"module"},{"doc":"Creates a budget and, if included, notifications and subscribers. Only one of BudgetLimit or PlannedBudgetLimits can be present in the syntax at one time. Use the syntax that matches your case. The Request Syntax section shows the BudgetLimit syntax. For PlannedBudgetLimits , see the Examples section.","ref":"aws_budgets.html#create_budget/2","title":"aws_budgets.create_budget/2","type":"function"},{"doc":"","ref":"aws_budgets.html#create_budget/3","title":"aws_budgets.create_budget/3","type":"function"},{"doc":"Creates a budget action.","ref":"aws_budgets.html#create_budget_action/2","title":"aws_budgets.create_budget_action/2","type":"function"},{"doc":"","ref":"aws_budgets.html#create_budget_action/3","title":"aws_budgets.create_budget_action/3","type":"function"},{"doc":"Creates a notification. You must create the budget before you create the associated notification.","ref":"aws_budgets.html#create_notification/2","title":"aws_budgets.create_notification/2","type":"function"},{"doc":"","ref":"aws_budgets.html#create_notification/3","title":"aws_budgets.create_notification/3","type":"function"},{"doc":"Creates a subscriber. You must create the associated budget and notification before you create the subscriber.","ref":"aws_budgets.html#create_subscriber/2","title":"aws_budgets.create_subscriber/2","type":"function"},{"doc":"","ref":"aws_budgets.html#create_subscriber/3","title":"aws_budgets.create_subscriber/3","type":"function"},{"doc":"Deletes a budget. You can delete your budget at any time. Deleting a budget also deletes the notifications and subscribers that are associated with that budget.","ref":"aws_budgets.html#delete_budget/2","title":"aws_budgets.delete_budget/2","type":"function"},{"doc":"","ref":"aws_budgets.html#delete_budget/3","title":"aws_budgets.delete_budget/3","type":"function"},{"doc":"Deletes a budget action.","ref":"aws_budgets.html#delete_budget_action/2","title":"aws_budgets.delete_budget_action/2","type":"function"},{"doc":"","ref":"aws_budgets.html#delete_budget_action/3","title":"aws_budgets.delete_budget_action/3","type":"function"},{"doc":"Deletes a notification. Deleting a notification also deletes the subscribers that are associated with the notification.","ref":"aws_budgets.html#delete_notification/2","title":"aws_budgets.delete_notification/2","type":"function"},{"doc":"","ref":"aws_budgets.html#delete_notification/3","title":"aws_budgets.delete_notification/3","type":"function"},{"doc":"Deletes a subscriber. Deleting the last subscriber to a notification also deletes the notification.","ref":"aws_budgets.html#delete_subscriber/2","title":"aws_budgets.delete_subscriber/2","type":"function"},{"doc":"","ref":"aws_budgets.html#delete_subscriber/3","title":"aws_budgets.delete_subscriber/3","type":"function"},{"doc":"Describes a budget. The Request Syntax section shows the BudgetLimit syntax. For PlannedBudgetLimits , see the Examples section.","ref":"aws_budgets.html#describe_budget/2","title":"aws_budgets.describe_budget/2","type":"function"},{"doc":"","ref":"aws_budgets.html#describe_budget/3","title":"aws_budgets.describe_budget/3","type":"function"},{"doc":"Describes a budget action detail.","ref":"aws_budgets.html#describe_budget_action/2","title":"aws_budgets.describe_budget_action/2","type":"function"},{"doc":"","ref":"aws_budgets.html#describe_budget_action/3","title":"aws_budgets.describe_budget_action/3","type":"function"},{"doc":"Describes a budget action history detail.","ref":"aws_budgets.html#describe_budget_action_histories/2","title":"aws_budgets.describe_budget_action_histories/2","type":"function"},{"doc":"","ref":"aws_budgets.html#describe_budget_action_histories/3","title":"aws_budgets.describe_budget_action_histories/3","type":"function"},{"doc":"Describes all of the budget actions for an account.","ref":"aws_budgets.html#describe_budget_actions_for_account/2","title":"aws_budgets.describe_budget_actions_for_account/2","type":"function"},{"doc":"","ref":"aws_budgets.html#describe_budget_actions_for_account/3","title":"aws_budgets.describe_budget_actions_for_account/3","type":"function"},{"doc":"Describes all of the budget actions for a budget.","ref":"aws_budgets.html#describe_budget_actions_for_budget/2","title":"aws_budgets.describe_budget_actions_for_budget/2","type":"function"},{"doc":"","ref":"aws_budgets.html#describe_budget_actions_for_budget/3","title":"aws_budgets.describe_budget_actions_for_budget/3","type":"function"},{"doc":"Lists the budget names and notifications that are associated with an account.","ref":"aws_budgets.html#describe_budget_notifications_for_account/2","title":"aws_budgets.describe_budget_notifications_for_account/2","type":"function"},{"doc":"","ref":"aws_budgets.html#describe_budget_notifications_for_account/3","title":"aws_budgets.describe_budget_notifications_for_account/3","type":"function"},{"doc":"Describes the history for DAILY , MONTHLY , and QUARTERLY budgets. Budget history isn't available for ANNUAL budgets.","ref":"aws_budgets.html#describe_budget_performance_history/2","title":"aws_budgets.describe_budget_performance_history/2","type":"function"},{"doc":"","ref":"aws_budgets.html#describe_budget_performance_history/3","title":"aws_budgets.describe_budget_performance_history/3","type":"function"},{"doc":"Lists the budgets that are associated with an account. The Request Syntax section shows the BudgetLimit syntax. For PlannedBudgetLimits , see the Examples section.","ref":"aws_budgets.html#describe_budgets/2","title":"aws_budgets.describe_budgets/2","type":"function"},{"doc":"","ref":"aws_budgets.html#describe_budgets/3","title":"aws_budgets.describe_budgets/3","type":"function"},{"doc":"Lists the notifications that are associated with a budget.","ref":"aws_budgets.html#describe_notifications_for_budget/2","title":"aws_budgets.describe_notifications_for_budget/2","type":"function"},{"doc":"","ref":"aws_budgets.html#describe_notifications_for_budget/3","title":"aws_budgets.describe_notifications_for_budget/3","type":"function"},{"doc":"Lists the subscribers that are associated with a notification.","ref":"aws_budgets.html#describe_subscribers_for_notification/2","title":"aws_budgets.describe_subscribers_for_notification/2","type":"function"},{"doc":"","ref":"aws_budgets.html#describe_subscribers_for_notification/3","title":"aws_budgets.describe_subscribers_for_notification/3","type":"function"},{"doc":"Executes a budget action.","ref":"aws_budgets.html#execute_budget_action/2","title":"aws_budgets.execute_budget_action/2","type":"function"},{"doc":"","ref":"aws_budgets.html#execute_budget_action/3","title":"aws_budgets.execute_budget_action/3","type":"function"},{"doc":"Updates a budget. You can change every part of a budget except for the budgetName and the calculatedSpend . When you modify a budget, the calculatedSpend drops to zero until Amazon Web Services has new usage data to use for forecasting. Only one of BudgetLimit or PlannedBudgetLimits can be present in the syntax at one time. Use the syntax that matches your case. The Request Syntax section shows the BudgetLimit syntax. For PlannedBudgetLimits , see the Examples section.","ref":"aws_budgets.html#update_budget/2","title":"aws_budgets.update_budget/2","type":"function"},{"doc":"","ref":"aws_budgets.html#update_budget/3","title":"aws_budgets.update_budget/3","type":"function"},{"doc":"Updates a budget action.","ref":"aws_budgets.html#update_budget_action/2","title":"aws_budgets.update_budget_action/2","type":"function"},{"doc":"","ref":"aws_budgets.html#update_budget_action/3","title":"aws_budgets.update_budget_action/3","type":"function"},{"doc":"Updates a notification.","ref":"aws_budgets.html#update_notification/2","title":"aws_budgets.update_notification/2","type":"function"},{"doc":"","ref":"aws_budgets.html#update_notification/3","title":"aws_budgets.update_notification/3","type":"function"},{"doc":"Updates a subscriber.","ref":"aws_budgets.html#update_subscriber/2","title":"aws_budgets.update_subscriber/2","type":"function"},{"doc":"","ref":"aws_budgets.html#update_subscriber/3","title":"aws_budgets.update_subscriber/3","type":"function"},{"doc":"The Amazon Chime API (application programming interface) is designed for developers to perform key tasks, such as creating and managing Amazon Chime accounts, users, and Voice Connectors. This guide provides detailed information about the Amazon Chime API, including operations, types, inputs and outputs, and error codes. It also includes API actions for use with the Amazon Chime SDK, which developers use to build their own communication applications. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide. You can use an AWS SDK, the AWS Command Line Interface (AWS CLI), or the REST API to make API calls. We recommend using an AWS SDK or the AWS CLI. Each API operation includes links to information about using it with a language-specific AWS SDK or the AWS CLI. Using an AWS SDK You don't need to write code to calculate a signature for request authentication. The SDK clients authenticate your requests by using access keys that you provide. For more information about AWS SDKs, see the AWS Developer Center. Using the AWS CLI Use your access keys with the AWS CLI to make API calls. For information about setting up the AWS CLI, see Installing the AWS Command Line Interface in the AWS Command Line Interface User Guide. For a list of available Amazon Chime commands, see the Amazon Chime commands in the AWS CLI Command Reference. Using REST APIs If you use REST to make API calls, you must authenticate your request by providing a signature. Amazon Chime supports signature version 4. For more information, see Signature Version 4 Signing Process in the Amazon Web Services General Reference. When making REST API calls, use the service name chime and REST endpoint https://service.chime.aws.amazon.com . Administrative permissions are controlled using AWS Identity and Access Management (IAM). For more information, see Identity and Access Management for Amazon Chime in the Amazon Chime Administration Guide.","ref":"aws_chime.html","title":"aws_chime","type":"module"},{"doc":"Associates a phone number with the specified Amazon Chime user.","ref":"aws_chime.html#associate_phone_number_with_user/4","title":"aws_chime.associate_phone_number_with_user/4","type":"function"},{"doc":"","ref":"aws_chime.html#associate_phone_number_with_user/5","title":"aws_chime.associate_phone_number_with_user/5","type":"function"},{"doc":"Associates phone numbers with the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#associate_phone_numbers_with_voice_connector/3","title":"aws_chime.associate_phone_numbers_with_voice_connector/3","type":"function"},{"doc":"","ref":"aws_chime.html#associate_phone_numbers_with_voice_connector/4","title":"aws_chime.associate_phone_numbers_with_voice_connector/4","type":"function"},{"doc":"Associates phone numbers with the specified Amazon Chime Voice Connector group.","ref":"aws_chime.html#associate_phone_numbers_with_voice_connector_group/3","title":"aws_chime.associate_phone_numbers_with_voice_connector_group/3","type":"function"},{"doc":"","ref":"aws_chime.html#associate_phone_numbers_with_voice_connector_group/4","title":"aws_chime.associate_phone_numbers_with_voice_connector_group/4","type":"function"},{"doc":"Associates the specified sign-in delegate groups with the specified Amazon Chime account.","ref":"aws_chime.html#associate_signin_delegate_groups_with_account/3","title":"aws_chime.associate_signin_delegate_groups_with_account/3","type":"function"},{"doc":"","ref":"aws_chime.html#associate_signin_delegate_groups_with_account/4","title":"aws_chime.associate_signin_delegate_groups_with_account/4","type":"function"},{"doc":"Creates up to 100 new attendees for an active Amazon Chime SDK meeting. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime.html#batch_create_attendee/3","title":"aws_chime.batch_create_attendee/3","type":"function"},{"doc":"","ref":"aws_chime.html#batch_create_attendee/4","title":"aws_chime.batch_create_attendee/4","type":"function"},{"doc":"Adds a specified number of users to a channel.","ref":"aws_chime.html#batch_create_channel_membership/3","title":"aws_chime.batch_create_channel_membership/3","type":"function"},{"doc":"","ref":"aws_chime.html#batch_create_channel_membership/4","title":"aws_chime.batch_create_channel_membership/4","type":"function"},{"doc":"Adds up to 50 members to a chat room in an Amazon Chime Enterprise account. Members can be users or bots. The member role designates whether the member is a chat room administrator or a general chat room member.","ref":"aws_chime.html#batch_create_room_membership/4","title":"aws_chime.batch_create_room_membership/4","type":"function"},{"doc":"","ref":"aws_chime.html#batch_create_room_membership/5","title":"aws_chime.batch_create_room_membership/5","type":"function"},{"doc":"Moves phone numbers into the Deletion queue. Phone numbers must be disassociated from any users or Amazon Chime Voice Connectors before they can be deleted. Phone numbers remain in the Deletion queue for 7 days before they are deleted permanently.","ref":"aws_chime.html#batch_delete_phone_number/2","title":"aws_chime.batch_delete_phone_number/2","type":"function"},{"doc":"","ref":"aws_chime.html#batch_delete_phone_number/3","title":"aws_chime.batch_delete_phone_number/3","type":"function"},{"doc":"Suspends up to 50 users from a Team or EnterpriseLWA Amazon Chime account. For more information about different account types, see Managing Your Amazon Chime Accounts in the Amazon Chime Administration Guide. Users suspended from a Team account are disassociated from the account,but they can continue to use Amazon Chime as free users. To remove the suspension from suspended Team account users, invite them to the Team account again. You can use the InviteUsers action to do so. Users suspended from an EnterpriseLWA account are immediately signed out of Amazon Chime and can no longer sign in. To remove the suspension from suspended EnterpriseLWA account users, use the BatchUnsuspendUser action. To sign out users without suspending them, use the LogoutUser action.","ref":"aws_chime.html#batch_suspend_user/3","title":"aws_chime.batch_suspend_user/3","type":"function"},{"doc":"","ref":"aws_chime.html#batch_suspend_user/4","title":"aws_chime.batch_suspend_user/4","type":"function"},{"doc":"Removes the suspension from up to 50 previously suspended users for the specified Amazon Chime EnterpriseLWA account. Only users on EnterpriseLWA accounts can be unsuspended using this action. For more information about different account types, see Managing Your Amazon Chime Accounts in the account types, in the Amazon Chime Administration Guide. Previously suspended users who are unsuspended using this action are returned to Registered status. Users who are not previously suspended are ignored.","ref":"aws_chime.html#batch_unsuspend_user/3","title":"aws_chime.batch_unsuspend_user/3","type":"function"},{"doc":"","ref":"aws_chime.html#batch_unsuspend_user/4","title":"aws_chime.batch_unsuspend_user/4","type":"function"},{"doc":"Updates phone number product types or calling names. You can update one attribute at a time for each UpdatePhoneNumberRequestItem . For example, you can update the product type or the calling name. For toll-free numbers, you cannot use the Amazon Chime Business Calling product type. For numbers outside the U.S., you must use the Amazon Chime SIP Media Application Dial-In product type. Updates to outbound calling names can take up to 72 hours to complete. Pending updates to outbound calling names must be complete before you can request another update.","ref":"aws_chime.html#batch_update_phone_number/2","title":"aws_chime.batch_update_phone_number/2","type":"function"},{"doc":"","ref":"aws_chime.html#batch_update_phone_number/3","title":"aws_chime.batch_update_phone_number/3","type":"function"},{"doc":"Updates user details within the UpdateUserRequestItem object for up to 20 users for the specified Amazon Chime account. Currently, only LicenseType updates are supported for this action.","ref":"aws_chime.html#batch_update_user/3","title":"aws_chime.batch_update_user/3","type":"function"},{"doc":"","ref":"aws_chime.html#batch_update_user/4","title":"aws_chime.batch_update_user/4","type":"function"},{"doc":"Creates an Amazon Chime account under the administrator's AWS account. Only Team account types are currently supported for this action. For more information about different account types, see Managing Your Amazon Chime Accounts in the Amazon Chime Administration Guide.","ref":"aws_chime.html#create_account/2","title":"aws_chime.create_account/2","type":"function"},{"doc":"","ref":"aws_chime.html#create_account/3","title":"aws_chime.create_account/3","type":"function"},{"doc":"Creates an Amazon Chime SDK messaging AppInstance under an AWS account. Only SDK messaging customers use this API. CreateAppInstance supports idempotency behavior as described in the AWS API Standard.","ref":"aws_chime.html#create_app_instance/2","title":"aws_chime.create_app_instance/2","type":"function"},{"doc":"","ref":"aws_chime.html#create_app_instance/3","title":"aws_chime.create_app_instance/3","type":"function"},{"doc":"Promotes an AppInstanceUser to an AppInstanceAdmin . The promoted user can perform the following actions. ChannelModerator actions across all channels in the AppInstance . DeleteChannelMessage actions. Only an AppInstanceUser can be promoted to an AppInstanceAdmin role.","ref":"aws_chime.html#create_app_instance_admin/3","title":"aws_chime.create_app_instance_admin/3","type":"function"},{"doc":"","ref":"aws_chime.html#create_app_instance_admin/4","title":"aws_chime.create_app_instance_admin/4","type":"function"},{"doc":"Creates a user under an Amazon Chime AppInstance . The request consists of a unique appInstanceUserId and Name for that user.","ref":"aws_chime.html#create_app_instance_user/2","title":"aws_chime.create_app_instance_user/2","type":"function"},{"doc":"","ref":"aws_chime.html#create_app_instance_user/3","title":"aws_chime.create_app_instance_user/3","type":"function"},{"doc":"Creates a new attendee for an active Amazon Chime SDK meeting. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime.html#create_attendee/3","title":"aws_chime.create_attendee/3","type":"function"},{"doc":"","ref":"aws_chime.html#create_attendee/4","title":"aws_chime.create_attendee/4","type":"function"},{"doc":"Creates a bot for an Amazon Chime Enterprise account.","ref":"aws_chime.html#create_bot/3","title":"aws_chime.create_bot/3","type":"function"},{"doc":"","ref":"aws_chime.html#create_bot/4","title":"aws_chime.create_bot/4","type":"function"},{"doc":"Creates a channel to which you can add users and send messages. Restriction: You can't change a channel's privacy. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#create_channel/2","title":"aws_chime.create_channel/2","type":"function"},{"doc":"","ref":"aws_chime.html#create_channel/3","title":"aws_chime.create_channel/3","type":"function"},{"doc":"Permanently bans a member from a channel. Moderators can't add banned members to a channel. To undo a ban, you first have to DeleteChannelBan , and then CreateChannelMembership . Bans are cleaned up when you delete users or channels. If you ban a user who is already part of a channel, that user is automatically kicked from the channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#create_channel_ban/3","title":"aws_chime.create_channel_ban/3","type":"function"},{"doc":"","ref":"aws_chime.html#create_channel_ban/4","title":"aws_chime.create_channel_ban/4","type":"function"},{"doc":"Adds a user to a channel. The InvitedBy response field is derived from the request header. A channel member can: List messages Send messages Receive messages Edit their own messages Leave the channel Privacy settings impact this action as follows: Public Channels: You do not need to be a member to list messages, but you must be a member to send messages. Private Channels: You must be a member to list or send messages. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#create_channel_membership/3","title":"aws_chime.create_channel_membership/3","type":"function"},{"doc":"","ref":"aws_chime.html#create_channel_membership/4","title":"aws_chime.create_channel_membership/4","type":"function"},{"doc":"Creates a new ChannelModerator . A channel moderator can: Add and remove other members of the channel. Add and remove other moderators of the channel. Add and remove user bans for the channel. Redact messages in the channel. List messages in the channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#create_channel_moderator/3","title":"aws_chime.create_channel_moderator/3","type":"function"},{"doc":"","ref":"aws_chime.html#create_channel_moderator/4","title":"aws_chime.create_channel_moderator/4","type":"function"},{"doc":"Creates a media capture pipeline.","ref":"aws_chime.html#create_media_capture_pipeline/2","title":"aws_chime.create_media_capture_pipeline/2","type":"function"},{"doc":"","ref":"aws_chime.html#create_media_capture_pipeline/3","title":"aws_chime.create_media_capture_pipeline/3","type":"function"},{"doc":"Creates a new Amazon Chime SDK meeting in the specified media Region with no initial attendees. For more information about specifying media Regions, see Amazon Chime SDK Media Regions in the Amazon Chime Developer Guide . For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide .","ref":"aws_chime.html#create_meeting/2","title":"aws_chime.create_meeting/2","type":"function"},{"doc":"","ref":"aws_chime.html#create_meeting/3","title":"aws_chime.create_meeting/3","type":"function"},{"doc":"Uses the join token and call metadata in a meeting request (From number, To number, and so forth) to initiate an outbound call to a public switched telephone network (PSTN) and join them into a Chime meeting. Also ensures that the From number belongs to the customer. To play welcome audio or implement an interactive voice response (IVR), use the CreateSipMediaApplicationCall action with the corresponding SIP media application ID.","ref":"aws_chime.html#create_meeting_dial_out/3","title":"aws_chime.create_meeting_dial_out/3","type":"function"},{"doc":"","ref":"aws_chime.html#create_meeting_dial_out/4","title":"aws_chime.create_meeting_dial_out/4","type":"function"},{"doc":"Creates a new Amazon Chime SDK meeting in the specified media Region, with attendees. For more information about specifying media Regions, see Amazon Chime SDK Media Regions in the Amazon Chime Developer Guide . For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide .","ref":"aws_chime.html#create_meeting_with_attendees/2","title":"aws_chime.create_meeting_with_attendees/2","type":"function"},{"doc":"","ref":"aws_chime.html#create_meeting_with_attendees/3","title":"aws_chime.create_meeting_with_attendees/3","type":"function"},{"doc":"Creates an order for phone numbers to be provisioned. For toll-free numbers, you cannot use the Amazon Chime Business Calling product type. For numbers outside the U.S., you must use the Amazon Chime SIP Media Application Dial-In product type.","ref":"aws_chime.html#create_phone_number_order/2","title":"aws_chime.create_phone_number_order/2","type":"function"},{"doc":"","ref":"aws_chime.html#create_phone_number_order/3","title":"aws_chime.create_phone_number_order/3","type":"function"},{"doc":"Creates a proxy session on the specified Amazon Chime Voice Connector for the specified participant phone numbers.","ref":"aws_chime.html#create_proxy_session/3","title":"aws_chime.create_proxy_session/3","type":"function"},{"doc":"","ref":"aws_chime.html#create_proxy_session/4","title":"aws_chime.create_proxy_session/4","type":"function"},{"doc":"Creates a chat room for the specified Amazon Chime Enterprise account.","ref":"aws_chime.html#create_room/3","title":"aws_chime.create_room/3","type":"function"},{"doc":"","ref":"aws_chime.html#create_room/4","title":"aws_chime.create_room/4","type":"function"},{"doc":"Adds a member to a chat room in an Amazon Chime Enterprise account. A member can be either a user or a bot. The member role designates whether the member is a chat room administrator or a general chat room member.","ref":"aws_chime.html#create_room_membership/4","title":"aws_chime.create_room_membership/4","type":"function"},{"doc":"","ref":"aws_chime.html#create_room_membership/5","title":"aws_chime.create_room_membership/5","type":"function"},{"doc":"Creates a SIP media application.","ref":"aws_chime.html#create_sip_media_application/2","title":"aws_chime.create_sip_media_application/2","type":"function"},{"doc":"","ref":"aws_chime.html#create_sip_media_application/3","title":"aws_chime.create_sip_media_application/3","type":"function"},{"doc":"Creates an outbound call to a phone number from the phone number specified in the request, and it invokes the endpoint of the specified sipMediaApplicationId .","ref":"aws_chime.html#create_sip_media_application_call/3","title":"aws_chime.create_sip_media_application_call/3","type":"function"},{"doc":"","ref":"aws_chime.html#create_sip_media_application_call/4","title":"aws_chime.create_sip_media_application_call/4","type":"function"},{"doc":"Creates a SIP rule which can be used to run a SIP media application as a target for a specific trigger type.","ref":"aws_chime.html#create_sip_rule/2","title":"aws_chime.create_sip_rule/2","type":"function"},{"doc":"","ref":"aws_chime.html#create_sip_rule/3","title":"aws_chime.create_sip_rule/3","type":"function"},{"doc":"Creates a user under the specified Amazon Chime account.","ref":"aws_chime.html#create_user/3","title":"aws_chime.create_user/3","type":"function"},{"doc":"","ref":"aws_chime.html#create_user/4","title":"aws_chime.create_user/4","type":"function"},{"doc":"Creates an Amazon Chime Voice Connector under the administrator's AWS account. You can choose to create an Amazon Chime Voice Connector in a specific AWS Region. Enabling CreateVoiceConnectorRequest$RequireEncryption configures your Amazon Chime Voice Connector to use TLS transport for SIP signaling and Secure RTP (SRTP) for media. Inbound calls use TLS transport, and unencrypted outbound calls are blocked.","ref":"aws_chime.html#create_voice_connector/2","title":"aws_chime.create_voice_connector/2","type":"function"},{"doc":"","ref":"aws_chime.html#create_voice_connector/3","title":"aws_chime.create_voice_connector/3","type":"function"},{"doc":"Creates an Amazon Chime Voice Connector group under the administrator's AWS account. You can associate Amazon Chime Voice Connectors with the Amazon Chime Voice Connector group by including VoiceConnectorItems in the request. You can include Amazon Chime Voice Connectors from different AWS Regions in your group. This creates a fault tolerant mechanism for fallback in case of availability events.","ref":"aws_chime.html#create_voice_connector_group/2","title":"aws_chime.create_voice_connector_group/2","type":"function"},{"doc":"","ref":"aws_chime.html#create_voice_connector_group/3","title":"aws_chime.create_voice_connector_group/3","type":"function"},{"doc":"Deletes the specified Amazon Chime account. You must suspend all users before deleting Team account. You can use the BatchSuspendUser action to dodo. For EnterpriseLWA and EnterpriseAD accounts, you must release the claimed domains for your Amazon Chime account before deletion. As soon as you release the domain, all users under that account are suspended. Deleted accounts appear in your Disabled accounts list for 90 days. To restore deleted account from your Disabled accounts list, you must contact AWS Support. After 90 days, deleted accounts are permanently removed from your Disabled accounts list.","ref":"aws_chime.html#delete_account/3","title":"aws_chime.delete_account/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_account/4","title":"aws_chime.delete_account/4","type":"function"},{"doc":"Deletes an AppInstance and all associated data asynchronously.","ref":"aws_chime.html#delete_app_instance/3","title":"aws_chime.delete_app_instance/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_app_instance/4","title":"aws_chime.delete_app_instance/4","type":"function"},{"doc":"Demotes an AppInstanceAdmin to an AppInstanceUser . This action does not delete the user.","ref":"aws_chime.html#delete_app_instance_admin/4","title":"aws_chime.delete_app_instance_admin/4","type":"function"},{"doc":"","ref":"aws_chime.html#delete_app_instance_admin/5","title":"aws_chime.delete_app_instance_admin/5","type":"function"},{"doc":"Deletes the streaming configurations of an AppInstance .","ref":"aws_chime.html#delete_app_instance_streaming_configurations/3","title":"aws_chime.delete_app_instance_streaming_configurations/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_app_instance_streaming_configurations/4","title":"aws_chime.delete_app_instance_streaming_configurations/4","type":"function"},{"doc":"Deletes an AppInstanceUser .","ref":"aws_chime.html#delete_app_instance_user/3","title":"aws_chime.delete_app_instance_user/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_app_instance_user/4","title":"aws_chime.delete_app_instance_user/4","type":"function"},{"doc":"Deletes an attendee from the specified Amazon Chime SDK meeting and deletes their JoinToken . Attendees are automatically deleted when a Amazon Chime SDK meeting is deleted. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime.html#delete_attendee/4","title":"aws_chime.delete_attendee/4","type":"function"},{"doc":"","ref":"aws_chime.html#delete_attendee/5","title":"aws_chime.delete_attendee/5","type":"function"},{"doc":"Immediately makes a channel and its memberships inaccessible and marks them for deletion. This is an irreversible process. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#delete_channel/3","title":"aws_chime.delete_channel/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_channel/4","title":"aws_chime.delete_channel/4","type":"function"},{"doc":"Removes a user from a channel's ban list. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#delete_channel_ban/4","title":"aws_chime.delete_channel_ban/4","type":"function"},{"doc":"","ref":"aws_chime.html#delete_channel_ban/5","title":"aws_chime.delete_channel_ban/5","type":"function"},{"doc":"Removes a member from a channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#delete_channel_membership/4","title":"aws_chime.delete_channel_membership/4","type":"function"},{"doc":"","ref":"aws_chime.html#delete_channel_membership/5","title":"aws_chime.delete_channel_membership/5","type":"function"},{"doc":"Deletes a channel message. Only admins can perform this action. Deletion makes messages inaccessible immediately. A background process deletes any revisions created by UpdateChannelMessage . The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#delete_channel_message/4","title":"aws_chime.delete_channel_message/4","type":"function"},{"doc":"","ref":"aws_chime.html#delete_channel_message/5","title":"aws_chime.delete_channel_message/5","type":"function"},{"doc":"Deletes a channel moderator. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#delete_channel_moderator/4","title":"aws_chime.delete_channel_moderator/4","type":"function"},{"doc":"","ref":"aws_chime.html#delete_channel_moderator/5","title":"aws_chime.delete_channel_moderator/5","type":"function"},{"doc":"Deletes the events configuration that allows a bot to receive outgoing events.","ref":"aws_chime.html#delete_events_configuration/4","title":"aws_chime.delete_events_configuration/4","type":"function"},{"doc":"","ref":"aws_chime.html#delete_events_configuration/5","title":"aws_chime.delete_events_configuration/5","type":"function"},{"doc":"Deletes the media capture pipeline.","ref":"aws_chime.html#delete_media_capture_pipeline/3","title":"aws_chime.delete_media_capture_pipeline/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_media_capture_pipeline/4","title":"aws_chime.delete_media_capture_pipeline/4","type":"function"},{"doc":"Deletes the specified Amazon Chime SDK meeting. The operation deletes all attendees, disconnects all clients, and prevents new clients from joining the meeting. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime.html#delete_meeting/3","title":"aws_chime.delete_meeting/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_meeting/4","title":"aws_chime.delete_meeting/4","type":"function"},{"doc":"Moves the specified phone number into the Deletion queue. A phone number must be disassociated from any users or Amazon Chime Voice Connectors before it can be deleted. Deleted phone numbers remain in the Deletion queue for 7 days before they are deleted permanently.","ref":"aws_chime.html#delete_phone_number/3","title":"aws_chime.delete_phone_number/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_phone_number/4","title":"aws_chime.delete_phone_number/4","type":"function"},{"doc":"Deletes the specified proxy session from the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#delete_proxy_session/4","title":"aws_chime.delete_proxy_session/4","type":"function"},{"doc":"","ref":"aws_chime.html#delete_proxy_session/5","title":"aws_chime.delete_proxy_session/5","type":"function"},{"doc":"Deletes a chat room in an Amazon Chime Enterprise account.","ref":"aws_chime.html#delete_room/4","title":"aws_chime.delete_room/4","type":"function"},{"doc":"","ref":"aws_chime.html#delete_room/5","title":"aws_chime.delete_room/5","type":"function"},{"doc":"Removes a member from a chat room in an Amazon Chime Enterprise account.","ref":"aws_chime.html#delete_room_membership/5","title":"aws_chime.delete_room_membership/5","type":"function"},{"doc":"","ref":"aws_chime.html#delete_room_membership/6","title":"aws_chime.delete_room_membership/6","type":"function"},{"doc":"Deletes a SIP media application.","ref":"aws_chime.html#delete_sip_media_application/3","title":"aws_chime.delete_sip_media_application/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_sip_media_application/4","title":"aws_chime.delete_sip_media_application/4","type":"function"},{"doc":"Deletes a SIP rule. You must disable a SIP rule before you can delete it.","ref":"aws_chime.html#delete_sip_rule/3","title":"aws_chime.delete_sip_rule/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_sip_rule/4","title":"aws_chime.delete_sip_rule/4","type":"function"},{"doc":"Deletes the specified Amazon Chime Voice Connector. Any phone numbers associated with the Amazon Chime Voice Connector must be disassociated from it before it can be deleted.","ref":"aws_chime.html#delete_voice_connector/3","title":"aws_chime.delete_voice_connector/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_voice_connector/4","title":"aws_chime.delete_voice_connector/4","type":"function"},{"doc":"Deletes the emergency calling configuration details from the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#delete_voice_connector_emergency_calling_configuration/3","title":"aws_chime.delete_voice_connector_emergency_calling_configuration/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_voice_connector_emergency_calling_configuration/4","title":"aws_chime.delete_voice_connector_emergency_calling_configuration/4","type":"function"},{"doc":"Deletes the specified Amazon Chime Voice Connector group. Any VoiceConnectorItems and phone numbers associated with the group must be removed before it can be deleted.","ref":"aws_chime.html#delete_voice_connector_group/3","title":"aws_chime.delete_voice_connector_group/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_voice_connector_group/4","title":"aws_chime.delete_voice_connector_group/4","type":"function"},{"doc":"Deletes the origination settings for the specified Amazon Chime Voice Connector. If emergency calling is configured for the Amazon Chime Voice Connector, it must be deleted prior to deleting the origination settings.","ref":"aws_chime.html#delete_voice_connector_origination/3","title":"aws_chime.delete_voice_connector_origination/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_voice_connector_origination/4","title":"aws_chime.delete_voice_connector_origination/4","type":"function"},{"doc":"Deletes the proxy configuration from the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#delete_voice_connector_proxy/3","title":"aws_chime.delete_voice_connector_proxy/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_voice_connector_proxy/4","title":"aws_chime.delete_voice_connector_proxy/4","type":"function"},{"doc":"Deletes the streaming configuration for the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#delete_voice_connector_streaming_configuration/3","title":"aws_chime.delete_voice_connector_streaming_configuration/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_voice_connector_streaming_configuration/4","title":"aws_chime.delete_voice_connector_streaming_configuration/4","type":"function"},{"doc":"Deletes the termination settings for the specified Amazon Chime Voice Connector. If emergency calling is configured for the Amazon Chime Voice Connector, it must be deleted prior to deleting the termination settings.","ref":"aws_chime.html#delete_voice_connector_termination/3","title":"aws_chime.delete_voice_connector_termination/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_voice_connector_termination/4","title":"aws_chime.delete_voice_connector_termination/4","type":"function"},{"doc":"Deletes the specified SIP credentials used by your equipment to authenticate during call termination.","ref":"aws_chime.html#delete_voice_connector_termination_credentials/3","title":"aws_chime.delete_voice_connector_termination_credentials/3","type":"function"},{"doc":"","ref":"aws_chime.html#delete_voice_connector_termination_credentials/4","title":"aws_chime.delete_voice_connector_termination_credentials/4","type":"function"},{"doc":"Returns the full details of an AppInstance .","ref":"aws_chime.html#describe_app_instance/2","title":"aws_chime.describe_app_instance/2","type":"function"},{"doc":"","ref":"aws_chime.html#describe_app_instance/4","title":"aws_chime.describe_app_instance/4","type":"function"},{"doc":"","ref":"aws_chime.html#describe_app_instance/5","title":"aws_chime.describe_app_instance/5","type":"function"},{"doc":"Returns the full details of an AppInstanceAdmin .","ref":"aws_chime.html#describe_app_instance_admin/3","title":"aws_chime.describe_app_instance_admin/3","type":"function"},{"doc":"","ref":"aws_chime.html#describe_app_instance_admin/5","title":"aws_chime.describe_app_instance_admin/5","type":"function"},{"doc":"","ref":"aws_chime.html#describe_app_instance_admin/6","title":"aws_chime.describe_app_instance_admin/6","type":"function"},{"doc":"Returns the full details of an AppInstanceUser .","ref":"aws_chime.html#describe_app_instance_user/2","title":"aws_chime.describe_app_instance_user/2","type":"function"},{"doc":"","ref":"aws_chime.html#describe_app_instance_user/4","title":"aws_chime.describe_app_instance_user/4","type":"function"},{"doc":"","ref":"aws_chime.html#describe_app_instance_user/5","title":"aws_chime.describe_app_instance_user/5","type":"function"},{"doc":"Returns the full details of a channel in an Amazon Chime AppInstance . The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#describe_channel/2","title":"aws_chime.describe_channel/2","type":"function"},{"doc":"","ref":"aws_chime.html#describe_channel/4","title":"aws_chime.describe_channel/4","type":"function"},{"doc":"","ref":"aws_chime.html#describe_channel/5","title":"aws_chime.describe_channel/5","type":"function"},{"doc":"Returns the full details of a channel ban. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#describe_channel_ban/3","title":"aws_chime.describe_channel_ban/3","type":"function"},{"doc":"","ref":"aws_chime.html#describe_channel_ban/5","title":"aws_chime.describe_channel_ban/5","type":"function"},{"doc":"","ref":"aws_chime.html#describe_channel_ban/6","title":"aws_chime.describe_channel_ban/6","type":"function"},{"doc":"Returns the full details of a user's channel membership. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#describe_channel_membership/3","title":"aws_chime.describe_channel_membership/3","type":"function"},{"doc":"","ref":"aws_chime.html#describe_channel_membership/5","title":"aws_chime.describe_channel_membership/5","type":"function"},{"doc":"","ref":"aws_chime.html#describe_channel_membership/6","title":"aws_chime.describe_channel_membership/6","type":"function"},{"doc":"Returns the details of a channel based on the membership of the specified AppInstanceUser . The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#describe_channel_membership_for_app_instance_user/3","title":"aws_chime.describe_channel_membership_for_app_instance_user/3","type":"function"},{"doc":"","ref":"aws_chime.html#describe_channel_membership_for_app_instance_user/5","title":"aws_chime.describe_channel_membership_for_app_instance_user/5","type":"function"},{"doc":"","ref":"aws_chime.html#describe_channel_membership_for_app_instance_user/6","title":"aws_chime.describe_channel_membership_for_app_instance_user/6","type":"function"},{"doc":"Returns the full details of a channel moderated by the specified AppInstanceUser . The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#describe_channel_moderated_by_app_instance_user/3","title":"aws_chime.describe_channel_moderated_by_app_instance_user/3","type":"function"},{"doc":"","ref":"aws_chime.html#describe_channel_moderated_by_app_instance_user/5","title":"aws_chime.describe_channel_moderated_by_app_instance_user/5","type":"function"},{"doc":"","ref":"aws_chime.html#describe_channel_moderated_by_app_instance_user/6","title":"aws_chime.describe_channel_moderated_by_app_instance_user/6","type":"function"},{"doc":"Returns the full details of a single ChannelModerator. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#describe_channel_moderator/3","title":"aws_chime.describe_channel_moderator/3","type":"function"},{"doc":"","ref":"aws_chime.html#describe_channel_moderator/5","title":"aws_chime.describe_channel_moderator/5","type":"function"},{"doc":"","ref":"aws_chime.html#describe_channel_moderator/6","title":"aws_chime.describe_channel_moderator/6","type":"function"},{"doc":"Disassociates the primary provisioned phone number from the specified Amazon Chime user.","ref":"aws_chime.html#disassociate_phone_number_from_user/4","title":"aws_chime.disassociate_phone_number_from_user/4","type":"function"},{"doc":"","ref":"aws_chime.html#disassociate_phone_number_from_user/5","title":"aws_chime.disassociate_phone_number_from_user/5","type":"function"},{"doc":"Disassociates the specified phone numbers from the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#disassociate_phone_numbers_from_voice_connector/3","title":"aws_chime.disassociate_phone_numbers_from_voice_connector/3","type":"function"},{"doc":"","ref":"aws_chime.html#disassociate_phone_numbers_from_voice_connector/4","title":"aws_chime.disassociate_phone_numbers_from_voice_connector/4","type":"function"},{"doc":"Disassociates the specified phone numbers from the specified Amazon Chime Voice Connector group.","ref":"aws_chime.html#disassociate_phone_numbers_from_voice_connector_group/3","title":"aws_chime.disassociate_phone_numbers_from_voice_connector_group/3","type":"function"},{"doc":"","ref":"aws_chime.html#disassociate_phone_numbers_from_voice_connector_group/4","title":"aws_chime.disassociate_phone_numbers_from_voice_connector_group/4","type":"function"},{"doc":"Disassociates the specified sign-in delegate groups from the specified Amazon Chime account.","ref":"aws_chime.html#disassociate_signin_delegate_groups_from_account/3","title":"aws_chime.disassociate_signin_delegate_groups_from_account/3","type":"function"},{"doc":"","ref":"aws_chime.html#disassociate_signin_delegate_groups_from_account/4","title":"aws_chime.disassociate_signin_delegate_groups_from_account/4","type":"function"},{"doc":"Retrieves details for the specified Amazon Chime account, such as account type and supported licenses.","ref":"aws_chime.html#get_account/2","title":"aws_chime.get_account/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_account/4","title":"aws_chime.get_account/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_account/5","title":"aws_chime.get_account/5","type":"function"},{"doc":"Retrieves account settings for the specified Amazon Chime account ID, such as remote control and dialout settings. For more information about these settings, see Use the Policies Page in the Amazon Chime Administration Guide.","ref":"aws_chime.html#get_account_settings/2","title":"aws_chime.get_account_settings/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_account_settings/4","title":"aws_chime.get_account_settings/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_account_settings/5","title":"aws_chime.get_account_settings/5","type":"function"},{"doc":"Gets the retention settings for an AppInstance .","ref":"aws_chime.html#get_app_instance_retention_settings/2","title":"aws_chime.get_app_instance_retention_settings/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_app_instance_retention_settings/4","title":"aws_chime.get_app_instance_retention_settings/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_app_instance_retention_settings/5","title":"aws_chime.get_app_instance_retention_settings/5","type":"function"},{"doc":"Gets the streaming settings for an AppInstance .","ref":"aws_chime.html#get_app_instance_streaming_configurations/2","title":"aws_chime.get_app_instance_streaming_configurations/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_app_instance_streaming_configurations/4","title":"aws_chime.get_app_instance_streaming_configurations/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_app_instance_streaming_configurations/5","title":"aws_chime.get_app_instance_streaming_configurations/5","type":"function"},{"doc":"Gets the Amazon Chime SDK attendee details for a specified meeting ID and attendee ID. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide .","ref":"aws_chime.html#get_attendee/3","title":"aws_chime.get_attendee/3","type":"function"},{"doc":"","ref":"aws_chime.html#get_attendee/5","title":"aws_chime.get_attendee/5","type":"function"},{"doc":"","ref":"aws_chime.html#get_attendee/6","title":"aws_chime.get_attendee/6","type":"function"},{"doc":"Retrieves details for the specified bot, such as bot email address, bot type, status, and display name.","ref":"aws_chime.html#get_bot/3","title":"aws_chime.get_bot/3","type":"function"},{"doc":"","ref":"aws_chime.html#get_bot/5","title":"aws_chime.get_bot/5","type":"function"},{"doc":"","ref":"aws_chime.html#get_bot/6","title":"aws_chime.get_bot/6","type":"function"},{"doc":"Gets the full details of a channel message. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#get_channel_message/3","title":"aws_chime.get_channel_message/3","type":"function"},{"doc":"","ref":"aws_chime.html#get_channel_message/5","title":"aws_chime.get_channel_message/5","type":"function"},{"doc":"","ref":"aws_chime.html#get_channel_message/6","title":"aws_chime.get_channel_message/6","type":"function"},{"doc":"Gets details for an events configuration that allows a bot to receive outgoing events, such as an HTTPS endpoint or Lambda function ARN.","ref":"aws_chime.html#get_events_configuration/3","title":"aws_chime.get_events_configuration/3","type":"function"},{"doc":"","ref":"aws_chime.html#get_events_configuration/5","title":"aws_chime.get_events_configuration/5","type":"function"},{"doc":"","ref":"aws_chime.html#get_events_configuration/6","title":"aws_chime.get_events_configuration/6","type":"function"},{"doc":"Retrieves global settings for the administrator's AWS account, such as Amazon Chime Business Calling and Amazon Chime Voice Connector settings.","ref":"aws_chime.html#get_global_settings/1","title":"aws_chime.get_global_settings/1","type":"function"},{"doc":"","ref":"aws_chime.html#get_global_settings/3","title":"aws_chime.get_global_settings/3","type":"function"},{"doc":"","ref":"aws_chime.html#get_global_settings/4","title":"aws_chime.get_global_settings/4","type":"function"},{"doc":"Gets an existing media capture pipeline.","ref":"aws_chime.html#get_media_capture_pipeline/2","title":"aws_chime.get_media_capture_pipeline/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_media_capture_pipeline/4","title":"aws_chime.get_media_capture_pipeline/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_media_capture_pipeline/5","title":"aws_chime.get_media_capture_pipeline/5","type":"function"},{"doc":"Gets the Amazon Chime SDK meeting details for the specified meeting ID. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide .","ref":"aws_chime.html#get_meeting/2","title":"aws_chime.get_meeting/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_meeting/4","title":"aws_chime.get_meeting/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_meeting/5","title":"aws_chime.get_meeting/5","type":"function"},{"doc":"The details of the endpoint for the messaging session.","ref":"aws_chime.html#get_messaging_session_endpoint/1","title":"aws_chime.get_messaging_session_endpoint/1","type":"function"},{"doc":"","ref":"aws_chime.html#get_messaging_session_endpoint/3","title":"aws_chime.get_messaging_session_endpoint/3","type":"function"},{"doc":"","ref":"aws_chime.html#get_messaging_session_endpoint/4","title":"aws_chime.get_messaging_session_endpoint/4","type":"function"},{"doc":"Retrieves details for the specified phone number ID, such as associations, capabilities, and product type.","ref":"aws_chime.html#get_phone_number/2","title":"aws_chime.get_phone_number/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_phone_number/4","title":"aws_chime.get_phone_number/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_phone_number/5","title":"aws_chime.get_phone_number/5","type":"function"},{"doc":"Retrieves details for the specified phone number order, such as the order creation timestamp, phone numbers in E.164 format, product type, and order status.","ref":"aws_chime.html#get_phone_number_order/2","title":"aws_chime.get_phone_number_order/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_phone_number_order/4","title":"aws_chime.get_phone_number_order/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_phone_number_order/5","title":"aws_chime.get_phone_number_order/5","type":"function"},{"doc":"Retrieves the phone number settings for the administrator's AWS account, such as the default outbound calling name.","ref":"aws_chime.html#get_phone_number_settings/1","title":"aws_chime.get_phone_number_settings/1","type":"function"},{"doc":"","ref":"aws_chime.html#get_phone_number_settings/3","title":"aws_chime.get_phone_number_settings/3","type":"function"},{"doc":"","ref":"aws_chime.html#get_phone_number_settings/4","title":"aws_chime.get_phone_number_settings/4","type":"function"},{"doc":"Gets the specified proxy session details for the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#get_proxy_session/3","title":"aws_chime.get_proxy_session/3","type":"function"},{"doc":"","ref":"aws_chime.html#get_proxy_session/5","title":"aws_chime.get_proxy_session/5","type":"function"},{"doc":"","ref":"aws_chime.html#get_proxy_session/6","title":"aws_chime.get_proxy_session/6","type":"function"},{"doc":"Gets the retention settings for the specified Amazon Chime Enterprise account. For more information about retention settings, see Managing Chat Retention Policies in the Amazon Chime Administration Guide.","ref":"aws_chime.html#get_retention_settings/2","title":"aws_chime.get_retention_settings/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_retention_settings/4","title":"aws_chime.get_retention_settings/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_retention_settings/5","title":"aws_chime.get_retention_settings/5","type":"function"},{"doc":"Retrieves room details, such as the room name, for a room in an Amazon Chime Enterprise account.","ref":"aws_chime.html#get_room/3","title":"aws_chime.get_room/3","type":"function"},{"doc":"","ref":"aws_chime.html#get_room/5","title":"aws_chime.get_room/5","type":"function"},{"doc":"","ref":"aws_chime.html#get_room/6","title":"aws_chime.get_room/6","type":"function"},{"doc":"Retrieves the information for a SIP media application, including name, AWS Region, and endpoints.","ref":"aws_chime.html#get_sip_media_application/2","title":"aws_chime.get_sip_media_application/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_sip_media_application/4","title":"aws_chime.get_sip_media_application/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_sip_media_application/5","title":"aws_chime.get_sip_media_application/5","type":"function"},{"doc":"Returns the logging configuration for the specified SIP media application.","ref":"aws_chime.html#get_sip_media_application_logging_configuration/2","title":"aws_chime.get_sip_media_application_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_sip_media_application_logging_configuration/4","title":"aws_chime.get_sip_media_application_logging_configuration/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_sip_media_application_logging_configuration/5","title":"aws_chime.get_sip_media_application_logging_configuration/5","type":"function"},{"doc":"Retrieves the details of a SIP rule, such as the rule ID, name, triggers, and target endpoints.","ref":"aws_chime.html#get_sip_rule/2","title":"aws_chime.get_sip_rule/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_sip_rule/4","title":"aws_chime.get_sip_rule/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_sip_rule/5","title":"aws_chime.get_sip_rule/5","type":"function"},{"doc":"Retrieves details for the specified user ID, such as primary email address, license type,and personal meeting PIN. To retrieve user details with an email address instead of a user ID, use the ListUsers action, and then filter by email address.","ref":"aws_chime.html#get_user/3","title":"aws_chime.get_user/3","type":"function"},{"doc":"","ref":"aws_chime.html#get_user/5","title":"aws_chime.get_user/5","type":"function"},{"doc":"","ref":"aws_chime.html#get_user/6","title":"aws_chime.get_user/6","type":"function"},{"doc":"Retrieves settings for the specified user ID, such as any associated phone number settings.","ref":"aws_chime.html#get_user_settings/3","title":"aws_chime.get_user_settings/3","type":"function"},{"doc":"","ref":"aws_chime.html#get_user_settings/5","title":"aws_chime.get_user_settings/5","type":"function"},{"doc":"","ref":"aws_chime.html#get_user_settings/6","title":"aws_chime.get_user_settings/6","type":"function"},{"doc":"Retrieves details for the specified Amazon Chime Voice Connector, such as timestamps,name, outbound host, and encryption requirements.","ref":"aws_chime.html#get_voice_connector/2","title":"aws_chime.get_voice_connector/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector/4","title":"aws_chime.get_voice_connector/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector/5","title":"aws_chime.get_voice_connector/5","type":"function"},{"doc":"Gets the emergency calling configuration details for the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#get_voice_connector_emergency_calling_configuration/2","title":"aws_chime.get_voice_connector_emergency_calling_configuration/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_emergency_calling_configuration/4","title":"aws_chime.get_voice_connector_emergency_calling_configuration/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_emergency_calling_configuration/5","title":"aws_chime.get_voice_connector_emergency_calling_configuration/5","type":"function"},{"doc":"Retrieves details for the specified Amazon Chime Voice Connector group, such as timestamps,name, and associated VoiceConnectorItems .","ref":"aws_chime.html#get_voice_connector_group/2","title":"aws_chime.get_voice_connector_group/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_group/4","title":"aws_chime.get_voice_connector_group/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_group/5","title":"aws_chime.get_voice_connector_group/5","type":"function"},{"doc":"Retrieves the logging configuration details for the specified Amazon Chime Voice Connector. Shows whether SIP message logs are enabled for sending to Amazon CloudWatch Logs.","ref":"aws_chime.html#get_voice_connector_logging_configuration/2","title":"aws_chime.get_voice_connector_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_logging_configuration/4","title":"aws_chime.get_voice_connector_logging_configuration/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_logging_configuration/5","title":"aws_chime.get_voice_connector_logging_configuration/5","type":"function"},{"doc":"Retrieves origination setting details for the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#get_voice_connector_origination/2","title":"aws_chime.get_voice_connector_origination/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_origination/4","title":"aws_chime.get_voice_connector_origination/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_origination/5","title":"aws_chime.get_voice_connector_origination/5","type":"function"},{"doc":"Gets the proxy configuration details for the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#get_voice_connector_proxy/2","title":"aws_chime.get_voice_connector_proxy/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_proxy/4","title":"aws_chime.get_voice_connector_proxy/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_proxy/5","title":"aws_chime.get_voice_connector_proxy/5","type":"function"},{"doc":"Retrieves the streaming configuration details for the specified Amazon Chime Voice Connector. Shows whether media streaming is enabled for sending to Amazon Kinesis. It also shows the retention period, in hours, for the Amazon Kinesis data.","ref":"aws_chime.html#get_voice_connector_streaming_configuration/2","title":"aws_chime.get_voice_connector_streaming_configuration/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_streaming_configuration/4","title":"aws_chime.get_voice_connector_streaming_configuration/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_streaming_configuration/5","title":"aws_chime.get_voice_connector_streaming_configuration/5","type":"function"},{"doc":"Retrieves termination setting details for the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#get_voice_connector_termination/2","title":"aws_chime.get_voice_connector_termination/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_termination/4","title":"aws_chime.get_voice_connector_termination/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_termination/5","title":"aws_chime.get_voice_connector_termination/5","type":"function"},{"doc":"Retrieves information about the last time a SIP OPTIONS ping was received from your SIP infrastructure for the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#get_voice_connector_termination_health/2","title":"aws_chime.get_voice_connector_termination_health/2","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_termination_health/4","title":"aws_chime.get_voice_connector_termination_health/4","type":"function"},{"doc":"","ref":"aws_chime.html#get_voice_connector_termination_health/5","title":"aws_chime.get_voice_connector_termination_health/5","type":"function"},{"doc":"Sends email to a maximum of 50 users, inviting them to the specified Amazon Chime Team account. Only Team account types are currently supported for this action.","ref":"aws_chime.html#invite_users/3","title":"aws_chime.invite_users/3","type":"function"},{"doc":"","ref":"aws_chime.html#invite_users/4","title":"aws_chime.invite_users/4","type":"function"},{"doc":"Lists the Amazon Chime accounts under the administrator's AWS account. You can filter accounts by account name prefix. To find out which Amazon Chime account a user belongs to, you can filter by the user's email address, which returns one account result.","ref":"aws_chime.html#list_accounts/1","title":"aws_chime.list_accounts/1","type":"function"},{"doc":"","ref":"aws_chime.html#list_accounts/3","title":"aws_chime.list_accounts/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_accounts/4","title":"aws_chime.list_accounts/4","type":"function"},{"doc":"Returns a list of the administrators in the AppInstance .","ref":"aws_chime.html#list_app_instance_admins/2","title":"aws_chime.list_app_instance_admins/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_app_instance_admins/4","title":"aws_chime.list_app_instance_admins/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_app_instance_admins/5","title":"aws_chime.list_app_instance_admins/5","type":"function"},{"doc":"List all AppInstanceUsers created under a single AppInstance .","ref":"aws_chime.html#list_app_instance_users/2","title":"aws_chime.list_app_instance_users/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_app_instance_users/4","title":"aws_chime.list_app_instance_users/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_app_instance_users/5","title":"aws_chime.list_app_instance_users/5","type":"function"},{"doc":"Lists all Amazon Chime AppInstance s created under a single AWS account.","ref":"aws_chime.html#list_app_instances/1","title":"aws_chime.list_app_instances/1","type":"function"},{"doc":"","ref":"aws_chime.html#list_app_instances/3","title":"aws_chime.list_app_instances/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_app_instances/4","title":"aws_chime.list_app_instances/4","type":"function"},{"doc":"Lists the tags applied to an Amazon Chime SDK attendee resource.","ref":"aws_chime.html#list_attendee_tags/3","title":"aws_chime.list_attendee_tags/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_attendee_tags/5","title":"aws_chime.list_attendee_tags/5","type":"function"},{"doc":"","ref":"aws_chime.html#list_attendee_tags/6","title":"aws_chime.list_attendee_tags/6","type":"function"},{"doc":"Lists the attendees for the specified Amazon Chime SDK meeting. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime.html#list_attendees/2","title":"aws_chime.list_attendees/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_attendees/4","title":"aws_chime.list_attendees/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_attendees/5","title":"aws_chime.list_attendees/5","type":"function"},{"doc":"Lists the bots associated with the administrator's Amazon Chime Enterprise account ID.","ref":"aws_chime.html#list_bots/2","title":"aws_chime.list_bots/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_bots/4","title":"aws_chime.list_bots/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_bots/5","title":"aws_chime.list_bots/5","type":"function"},{"doc":"Lists all the users banned from a particular channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#list_channel_bans/2","title":"aws_chime.list_channel_bans/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_channel_bans/4","title":"aws_chime.list_channel_bans/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_channel_bans/5","title":"aws_chime.list_channel_bans/5","type":"function"},{"doc":"Lists all channel memberships in a channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#list_channel_memberships/2","title":"aws_chime.list_channel_memberships/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_channel_memberships/4","title":"aws_chime.list_channel_memberships/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_channel_memberships/5","title":"aws_chime.list_channel_memberships/5","type":"function"},{"doc":"Lists all channels that a particular AppInstanceUser is a part of. Only an AppInstanceAdmin can call the API with a user ARN that is not their own. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#list_channel_memberships_for_app_instance_user/1","title":"aws_chime.list_channel_memberships_for_app_instance_user/1","type":"function"},{"doc":"","ref":"aws_chime.html#list_channel_memberships_for_app_instance_user/3","title":"aws_chime.list_channel_memberships_for_app_instance_user/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_channel_memberships_for_app_instance_user/4","title":"aws_chime.list_channel_memberships_for_app_instance_user/4","type":"function"},{"doc":"List all the messages in a channel. Returns a paginated list of ChannelMessages . By default, sorted by creation timestamp in descending order. Redacted messages appear in the results as empty, since they are only redacted, not deleted. Deleted messages do not appear in the results. This action always returns the latest version of an edited message. Also, the x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#list_channel_messages/2","title":"aws_chime.list_channel_messages/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_channel_messages/4","title":"aws_chime.list_channel_messages/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_channel_messages/5","title":"aws_chime.list_channel_messages/5","type":"function"},{"doc":"Lists all the moderators for a channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#list_channel_moderators/2","title":"aws_chime.list_channel_moderators/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_channel_moderators/4","title":"aws_chime.list_channel_moderators/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_channel_moderators/5","title":"aws_chime.list_channel_moderators/5","type":"function"},{"doc":"Lists all Channels created under a single Chime App as a paginated list. You can specify filters to narrow results. Functionality &amp; restrictions Use privacy = PUBLIC to retrieve all public channels in the account. Only an AppInstanceAdmin can set privacy = PRIVATE to list the private channels in an account. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#list_channels/2","title":"aws_chime.list_channels/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_channels/4","title":"aws_chime.list_channels/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_channels/5","title":"aws_chime.list_channels/5","type":"function"},{"doc":"A list of the channels moderated by an AppInstanceUser . The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#list_channels_moderated_by_app_instance_user/1","title":"aws_chime.list_channels_moderated_by_app_instance_user/1","type":"function"},{"doc":"","ref":"aws_chime.html#list_channels_moderated_by_app_instance_user/3","title":"aws_chime.list_channels_moderated_by_app_instance_user/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_channels_moderated_by_app_instance_user/4","title":"aws_chime.list_channels_moderated_by_app_instance_user/4","type":"function"},{"doc":"Returns a list of media capture pipelines.","ref":"aws_chime.html#list_media_capture_pipelines/1","title":"aws_chime.list_media_capture_pipelines/1","type":"function"},{"doc":"","ref":"aws_chime.html#list_media_capture_pipelines/3","title":"aws_chime.list_media_capture_pipelines/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_media_capture_pipelines/4","title":"aws_chime.list_media_capture_pipelines/4","type":"function"},{"doc":"Lists the tags applied to an Amazon Chime SDK meeting resource.","ref":"aws_chime.html#list_meeting_tags/2","title":"aws_chime.list_meeting_tags/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_meeting_tags/4","title":"aws_chime.list_meeting_tags/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_meeting_tags/5","title":"aws_chime.list_meeting_tags/5","type":"function"},{"doc":"Lists up to 100 active Amazon Chime SDK meetings. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime.html#list_meetings/1","title":"aws_chime.list_meetings/1","type":"function"},{"doc":"","ref":"aws_chime.html#list_meetings/3","title":"aws_chime.list_meetings/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_meetings/4","title":"aws_chime.list_meetings/4","type":"function"},{"doc":"Lists the phone number orders for the administrator's Amazon Chime account.","ref":"aws_chime.html#list_phone_number_orders/1","title":"aws_chime.list_phone_number_orders/1","type":"function"},{"doc":"","ref":"aws_chime.html#list_phone_number_orders/3","title":"aws_chime.list_phone_number_orders/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_phone_number_orders/4","title":"aws_chime.list_phone_number_orders/4","type":"function"},{"doc":"Lists the phone numbers for the specified Amazon Chime account, Amazon Chime user, Amazon Chime Voice Connector, or Amazon Chime Voice Connector group.","ref":"aws_chime.html#list_phone_numbers/1","title":"aws_chime.list_phone_numbers/1","type":"function"},{"doc":"","ref":"aws_chime.html#list_phone_numbers/3","title":"aws_chime.list_phone_numbers/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_phone_numbers/4","title":"aws_chime.list_phone_numbers/4","type":"function"},{"doc":"Lists the proxy sessions for the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#list_proxy_sessions/2","title":"aws_chime.list_proxy_sessions/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_proxy_sessions/4","title":"aws_chime.list_proxy_sessions/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_proxy_sessions/5","title":"aws_chime.list_proxy_sessions/5","type":"function"},{"doc":"Lists the membership details for the specified room in an Amazon Chime Enterprise account, such as the members' IDs, email addresses, and names.","ref":"aws_chime.html#list_room_memberships/3","title":"aws_chime.list_room_memberships/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_room_memberships/5","title":"aws_chime.list_room_memberships/5","type":"function"},{"doc":"","ref":"aws_chime.html#list_room_memberships/6","title":"aws_chime.list_room_memberships/6","type":"function"},{"doc":"Lists the room details for the specified Amazon Chime Enterprise account. Optionally, filter the results by a member ID (user ID or bot ID) to see a list of rooms that the member belongs to.","ref":"aws_chime.html#list_rooms/2","title":"aws_chime.list_rooms/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_rooms/4","title":"aws_chime.list_rooms/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_rooms/5","title":"aws_chime.list_rooms/5","type":"function"},{"doc":"Lists the SIP media applications under the administrator's AWS account.","ref":"aws_chime.html#list_sip_media_applications/1","title":"aws_chime.list_sip_media_applications/1","type":"function"},{"doc":"","ref":"aws_chime.html#list_sip_media_applications/3","title":"aws_chime.list_sip_media_applications/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_sip_media_applications/4","title":"aws_chime.list_sip_media_applications/4","type":"function"},{"doc":"Lists the SIP rules under the administrator's AWS account.","ref":"aws_chime.html#list_sip_rules/1","title":"aws_chime.list_sip_rules/1","type":"function"},{"doc":"","ref":"aws_chime.html#list_sip_rules/3","title":"aws_chime.list_sip_rules/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_sip_rules/4","title":"aws_chime.list_sip_rules/4","type":"function"},{"doc":"Lists supported phone number countries.","ref":"aws_chime.html#list_supported_phone_number_countries/2","title":"aws_chime.list_supported_phone_number_countries/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_supported_phone_number_countries/4","title":"aws_chime.list_supported_phone_number_countries/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_supported_phone_number_countries/5","title":"aws_chime.list_supported_phone_number_countries/5","type":"function"},{"doc":"Lists the tags applied to an Amazon Chime SDK meeting resource.","ref":"aws_chime.html#list_tags_for_resource/2","title":"aws_chime.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_tags_for_resource/4","title":"aws_chime.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_tags_for_resource/5","title":"aws_chime.list_tags_for_resource/5","type":"function"},{"doc":"Lists the users that belong to the specified Amazon Chime account. You can specify an email address to list only the user that the email address belongs to.","ref":"aws_chime.html#list_users/2","title":"aws_chime.list_users/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_users/4","title":"aws_chime.list_users/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_users/5","title":"aws_chime.list_users/5","type":"function"},{"doc":"Lists the Amazon Chime Voice Connector groups for the administrator's AWS account.","ref":"aws_chime.html#list_voice_connector_groups/1","title":"aws_chime.list_voice_connector_groups/1","type":"function"},{"doc":"","ref":"aws_chime.html#list_voice_connector_groups/3","title":"aws_chime.list_voice_connector_groups/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_voice_connector_groups/4","title":"aws_chime.list_voice_connector_groups/4","type":"function"},{"doc":"Lists the SIP credentials for the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#list_voice_connector_termination_credentials/2","title":"aws_chime.list_voice_connector_termination_credentials/2","type":"function"},{"doc":"","ref":"aws_chime.html#list_voice_connector_termination_credentials/4","title":"aws_chime.list_voice_connector_termination_credentials/4","type":"function"},{"doc":"","ref":"aws_chime.html#list_voice_connector_termination_credentials/5","title":"aws_chime.list_voice_connector_termination_credentials/5","type":"function"},{"doc":"Lists the Amazon Chime Voice Connectors for the administrator's AWS account.","ref":"aws_chime.html#list_voice_connectors/1","title":"aws_chime.list_voice_connectors/1","type":"function"},{"doc":"","ref":"aws_chime.html#list_voice_connectors/3","title":"aws_chime.list_voice_connectors/3","type":"function"},{"doc":"","ref":"aws_chime.html#list_voice_connectors/4","title":"aws_chime.list_voice_connectors/4","type":"function"},{"doc":"Logs out the specified user from all of the devices they are currently logged into.","ref":"aws_chime.html#logout_user/4","title":"aws_chime.logout_user/4","type":"function"},{"doc":"","ref":"aws_chime.html#logout_user/5","title":"aws_chime.logout_user/5","type":"function"},{"doc":"Sets the amount of time in days that a given AppInstance retains data.","ref":"aws_chime.html#put_app_instance_retention_settings/3","title":"aws_chime.put_app_instance_retention_settings/3","type":"function"},{"doc":"","ref":"aws_chime.html#put_app_instance_retention_settings/4","title":"aws_chime.put_app_instance_retention_settings/4","type":"function"},{"doc":"The data streaming configurations of an AppInstance .","ref":"aws_chime.html#put_app_instance_streaming_configurations/3","title":"aws_chime.put_app_instance_streaming_configurations/3","type":"function"},{"doc":"","ref":"aws_chime.html#put_app_instance_streaming_configurations/4","title":"aws_chime.put_app_instance_streaming_configurations/4","type":"function"},{"doc":"Creates an events configuration that allows a bot to receive outgoing events sent by Amazon Chime. Choose either an HTTPS endpoint or a Lambda function ARN. For more information, see Bot .","ref":"aws_chime.html#put_events_configuration/4","title":"aws_chime.put_events_configuration/4","type":"function"},{"doc":"","ref":"aws_chime.html#put_events_configuration/5","title":"aws_chime.put_events_configuration/5","type":"function"},{"doc":"Puts retention settings for the specified Amazon Chime Enterprise account. We recommend using AWS CloudTrail to monitor usage of this API for your account. For more information, see Logging Amazon Chime API Calls with AWS CloudTrail in the Amazon Chime Administration Guide. To turn off existing retention settings, remove the number of days from the corresponding RetentionDays field in the RetentionSettings object. For more information about retention settings, see Managing Chat Retention Policies in the Amazon Chime Administration Guide.","ref":"aws_chime.html#put_retention_settings/3","title":"aws_chime.put_retention_settings/3","type":"function"},{"doc":"","ref":"aws_chime.html#put_retention_settings/4","title":"aws_chime.put_retention_settings/4","type":"function"},{"doc":"Updates the logging configuration for the specified SIP media application.","ref":"aws_chime.html#put_sip_media_application_logging_configuration/3","title":"aws_chime.put_sip_media_application_logging_configuration/3","type":"function"},{"doc":"","ref":"aws_chime.html#put_sip_media_application_logging_configuration/4","title":"aws_chime.put_sip_media_application_logging_configuration/4","type":"function"},{"doc":"Puts emergency calling configuration details to the specified Amazon Chime Voice Connector, such as emergency phone numbers and calling countries. Origination and termination settings must be enabled for the Amazon Chime Voice Connector before emergency calling can be configured.","ref":"aws_chime.html#put_voice_connector_emergency_calling_configuration/3","title":"aws_chime.put_voice_connector_emergency_calling_configuration/3","type":"function"},{"doc":"","ref":"aws_chime.html#put_voice_connector_emergency_calling_configuration/4","title":"aws_chime.put_voice_connector_emergency_calling_configuration/4","type":"function"},{"doc":"Adds a logging configuration for the specified Amazon Chime Voice Connector. The logging configuration specifies whether SIP message logs are enabled for sending to Amazon CloudWatch Logs.","ref":"aws_chime.html#put_voice_connector_logging_configuration/3","title":"aws_chime.put_voice_connector_logging_configuration/3","type":"function"},{"doc":"","ref":"aws_chime.html#put_voice_connector_logging_configuration/4","title":"aws_chime.put_voice_connector_logging_configuration/4","type":"function"},{"doc":"Adds origination settings for the specified Amazon Chime Voice Connector. If emergency calling is configured for the Amazon Chime Voice Connector, it must be deleted prior to turning off origination settings.","ref":"aws_chime.html#put_voice_connector_origination/3","title":"aws_chime.put_voice_connector_origination/3","type":"function"},{"doc":"","ref":"aws_chime.html#put_voice_connector_origination/4","title":"aws_chime.put_voice_connector_origination/4","type":"function"},{"doc":"Puts the specified proxy configuration to the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#put_voice_connector_proxy/3","title":"aws_chime.put_voice_connector_proxy/3","type":"function"},{"doc":"","ref":"aws_chime.html#put_voice_connector_proxy/4","title":"aws_chime.put_voice_connector_proxy/4","type":"function"},{"doc":"Adds a streaming configuration for the specified Amazon Chime Voice Connector. The streaming configuration specifies whether media streaming is enabled for sending to Kinesis. It also sets the retention period, in hours, for the Amazon Kinesis data.","ref":"aws_chime.html#put_voice_connector_streaming_configuration/3","title":"aws_chime.put_voice_connector_streaming_configuration/3","type":"function"},{"doc":"","ref":"aws_chime.html#put_voice_connector_streaming_configuration/4","title":"aws_chime.put_voice_connector_streaming_configuration/4","type":"function"},{"doc":"Adds termination settings for the specified Amazon Chime Voice Connector. If emergency calling is configured for the Amazon Chime Voice Connector, it must be deleted prior to turning off termination settings.","ref":"aws_chime.html#put_voice_connector_termination/3","title":"aws_chime.put_voice_connector_termination/3","type":"function"},{"doc":"","ref":"aws_chime.html#put_voice_connector_termination/4","title":"aws_chime.put_voice_connector_termination/4","type":"function"},{"doc":"Adds termination SIP credentials for the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#put_voice_connector_termination_credentials/3","title":"aws_chime.put_voice_connector_termination_credentials/3","type":"function"},{"doc":"","ref":"aws_chime.html#put_voice_connector_termination_credentials/4","title":"aws_chime.put_voice_connector_termination_credentials/4","type":"function"},{"doc":"Redacts message content, but not metadata. The message exists in the back end, but the action returns null content, and the state shows as redacted. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#redact_channel_message/4","title":"aws_chime.redact_channel_message/4","type":"function"},{"doc":"","ref":"aws_chime.html#redact_channel_message/5","title":"aws_chime.redact_channel_message/5","type":"function"},{"doc":"Redacts the specified message from the specified Amazon Chime conversation.","ref":"aws_chime.html#redact_conversation_message/5","title":"aws_chime.redact_conversation_message/5","type":"function"},{"doc":"","ref":"aws_chime.html#redact_conversation_message/6","title":"aws_chime.redact_conversation_message/6","type":"function"},{"doc":"Redacts the specified message from the specified Amazon Chime channel.","ref":"aws_chime.html#redact_room_message/5","title":"aws_chime.redact_room_message/5","type":"function"},{"doc":"","ref":"aws_chime.html#redact_room_message/6","title":"aws_chime.redact_room_message/6","type":"function"},{"doc":"Regenerates the security token for a bot.","ref":"aws_chime.html#regenerate_security_token/4","title":"aws_chime.regenerate_security_token/4","type":"function"},{"doc":"","ref":"aws_chime.html#regenerate_security_token/5","title":"aws_chime.regenerate_security_token/5","type":"function"},{"doc":"Resets the personal meeting PIN for the specified user on an Amazon Chime account. Returns the User object with the updated personal meeting PIN.","ref":"aws_chime.html#reset_personal_pin/4","title":"aws_chime.reset_personal_pin/4","type":"function"},{"doc":"","ref":"aws_chime.html#reset_personal_pin/5","title":"aws_chime.reset_personal_pin/5","type":"function"},{"doc":"Moves a phone number from the Deletion queue back into the phone number Inventory.","ref":"aws_chime.html#restore_phone_number/3","title":"aws_chime.restore_phone_number/3","type":"function"},{"doc":"","ref":"aws_chime.html#restore_phone_number/4","title":"aws_chime.restore_phone_number/4","type":"function"},{"doc":"Searches for phone numbers that can be ordered. For US numbers, provide at least one of the following search filters: AreaCode , City , State , or TollFreePrefix . If you provide City , you must also provide State . Numbers outside the US only support the PhoneNumberType filter, which you must use.","ref":"aws_chime.html#search_available_phone_numbers/1","title":"aws_chime.search_available_phone_numbers/1","type":"function"},{"doc":"","ref":"aws_chime.html#search_available_phone_numbers/3","title":"aws_chime.search_available_phone_numbers/3","type":"function"},{"doc":"","ref":"aws_chime.html#search_available_phone_numbers/4","title":"aws_chime.search_available_phone_numbers/4","type":"function"},{"doc":"Sends a message to a particular channel that the member is a part of. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header. Also, STANDARD messages can contain 4KB of data and the 1KB of metadata. CONTROL messages can contain 30 bytes of data and no metadata.","ref":"aws_chime.html#send_channel_message/3","title":"aws_chime.send_channel_message/3","type":"function"},{"doc":"","ref":"aws_chime.html#send_channel_message/4","title":"aws_chime.send_channel_message/4","type":"function"},{"doc":"Starts transcription for the specified meetingId .","ref":"aws_chime.html#start_meeting_transcription/3","title":"aws_chime.start_meeting_transcription/3","type":"function"},{"doc":"","ref":"aws_chime.html#start_meeting_transcription/4","title":"aws_chime.start_meeting_transcription/4","type":"function"},{"doc":"Stops transcription for the specified meetingId .","ref":"aws_chime.html#stop_meeting_transcription/3","title":"aws_chime.stop_meeting_transcription/3","type":"function"},{"doc":"","ref":"aws_chime.html#stop_meeting_transcription/4","title":"aws_chime.stop_meeting_transcription/4","type":"function"},{"doc":"Applies the specified tags to the specified Amazon Chime SDK attendee.","ref":"aws_chime.html#tag_attendee/4","title":"aws_chime.tag_attendee/4","type":"function"},{"doc":"","ref":"aws_chime.html#tag_attendee/5","title":"aws_chime.tag_attendee/5","type":"function"},{"doc":"Applies the specified tags to the specified Amazon Chime SDK meeting.","ref":"aws_chime.html#tag_meeting/3","title":"aws_chime.tag_meeting/3","type":"function"},{"doc":"","ref":"aws_chime.html#tag_meeting/4","title":"aws_chime.tag_meeting/4","type":"function"},{"doc":"Applies the specified tags to the specified Amazon Chime SDK meeting resource.","ref":"aws_chime.html#tag_resource/2","title":"aws_chime.tag_resource/2","type":"function"},{"doc":"","ref":"aws_chime.html#tag_resource/3","title":"aws_chime.tag_resource/3","type":"function"},{"doc":"Untags the specified tags from the specified Amazon Chime SDK attendee.","ref":"aws_chime.html#untag_attendee/4","title":"aws_chime.untag_attendee/4","type":"function"},{"doc":"","ref":"aws_chime.html#untag_attendee/5","title":"aws_chime.untag_attendee/5","type":"function"},{"doc":"Untags the specified tags from the specified Amazon Chime SDK meeting.","ref":"aws_chime.html#untag_meeting/3","title":"aws_chime.untag_meeting/3","type":"function"},{"doc":"","ref":"aws_chime.html#untag_meeting/4","title":"aws_chime.untag_meeting/4","type":"function"},{"doc":"Untags the specified tags from the specified Amazon Chime SDK meeting resource.","ref":"aws_chime.html#untag_resource/2","title":"aws_chime.untag_resource/2","type":"function"},{"doc":"","ref":"aws_chime.html#untag_resource/3","title":"aws_chime.untag_resource/3","type":"function"},{"doc":"Updates account details for the specified Amazon Chime account. Currently, only account name and default license updates are supported for this action.","ref":"aws_chime.html#update_account/3","title":"aws_chime.update_account/3","type":"function"},{"doc":"","ref":"aws_chime.html#update_account/4","title":"aws_chime.update_account/4","type":"function"},{"doc":"Updates the settings for the specified Amazon Chime account. You can update settings for remote control of shared screens, or for the dial-out option. For more information about these settings, see Use the Policies Page in the Amazon Chime Administration Guide.","ref":"aws_chime.html#update_account_settings/3","title":"aws_chime.update_account_settings/3","type":"function"},{"doc":"","ref":"aws_chime.html#update_account_settings/4","title":"aws_chime.update_account_settings/4","type":"function"},{"doc":"Updates AppInstance metadata.","ref":"aws_chime.html#update_app_instance/3","title":"aws_chime.update_app_instance/3","type":"function"},{"doc":"","ref":"aws_chime.html#update_app_instance/4","title":"aws_chime.update_app_instance/4","type":"function"},{"doc":"Updates the details of an AppInstanceUser . You can update names and metadata.","ref":"aws_chime.html#update_app_instance_user/3","title":"aws_chime.update_app_instance_user/3","type":"function"},{"doc":"","ref":"aws_chime.html#update_app_instance_user/4","title":"aws_chime.update_app_instance_user/4","type":"function"},{"doc":"Updates the status of the specified bot, such as starting or stopping the bot from running in your Amazon Chime Enterprise account.","ref":"aws_chime.html#update_bot/4","title":"aws_chime.update_bot/4","type":"function"},{"doc":"","ref":"aws_chime.html#update_bot/5","title":"aws_chime.update_bot/5","type":"function"},{"doc":"Update a channel's attributes. Restriction: You can't change a channel's privacy. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#update_channel/3","title":"aws_chime.update_channel/3","type":"function"},{"doc":"","ref":"aws_chime.html#update_channel/4","title":"aws_chime.update_channel/4","type":"function"},{"doc":"Updates the content of a message. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#update_channel_message/4","title":"aws_chime.update_channel_message/4","type":"function"},{"doc":"","ref":"aws_chime.html#update_channel_message/5","title":"aws_chime.update_channel_message/5","type":"function"},{"doc":"The details of the time when a user last read messages in a channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime.html#update_channel_read_marker/3","title":"aws_chime.update_channel_read_marker/3","type":"function"},{"doc":"","ref":"aws_chime.html#update_channel_read_marker/4","title":"aws_chime.update_channel_read_marker/4","type":"function"},{"doc":"Updates global settings for the administrator's AWS account, such as Amazon Chime Business Calling and Amazon Chime Voice Connector settings.","ref":"aws_chime.html#update_global_settings/2","title":"aws_chime.update_global_settings/2","type":"function"},{"doc":"","ref":"aws_chime.html#update_global_settings/3","title":"aws_chime.update_global_settings/3","type":"function"},{"doc":"Updates phone number details, such as product type or calling name, for the specified phone number ID. You can update one phone number detail at a time. For example, you can update either the product type or the calling name in one action. For toll-free numbers, you cannot use the Amazon Chime Business Calling product type. For numbers outside the U.S., you must use the Amazon Chime SIP Media Application Dial-In product type. Updates to outbound calling names can take 72 hours to complete. Pending updates to outbound calling names must be complete before you can request another update.","ref":"aws_chime.html#update_phone_number/3","title":"aws_chime.update_phone_number/3","type":"function"},{"doc":"","ref":"aws_chime.html#update_phone_number/4","title":"aws_chime.update_phone_number/4","type":"function"},{"doc":"Updates the phone number settings for the administrator's AWS account, such as the default outbound calling name. You can update the default outbound calling name once every seven days. Outbound calling names can take up to 72 hours to update.","ref":"aws_chime.html#update_phone_number_settings/2","title":"aws_chime.update_phone_number_settings/2","type":"function"},{"doc":"","ref":"aws_chime.html#update_phone_number_settings/3","title":"aws_chime.update_phone_number_settings/3","type":"function"},{"doc":"Updates the specified proxy session details, such as voice or SMS capabilities.","ref":"aws_chime.html#update_proxy_session/4","title":"aws_chime.update_proxy_session/4","type":"function"},{"doc":"","ref":"aws_chime.html#update_proxy_session/5","title":"aws_chime.update_proxy_session/5","type":"function"},{"doc":"Updates room details, such as the room name, for a room in an Amazon Chime Enterprise account.","ref":"aws_chime.html#update_room/4","title":"aws_chime.update_room/4","type":"function"},{"doc":"","ref":"aws_chime.html#update_room/5","title":"aws_chime.update_room/5","type":"function"},{"doc":"Updates room membership details, such as the member role, for a room in an Amazon Chime Enterprise account. The member role designates whether the member is a chat room administrator or a general chat room member. The member role can be updated only for user IDs.","ref":"aws_chime.html#update_room_membership/5","title":"aws_chime.update_room_membership/5","type":"function"},{"doc":"","ref":"aws_chime.html#update_room_membership/6","title":"aws_chime.update_room_membership/6","type":"function"},{"doc":"Updates the details of the specified SIP media application.","ref":"aws_chime.html#update_sip_media_application/3","title":"aws_chime.update_sip_media_application/3","type":"function"},{"doc":"","ref":"aws_chime.html#update_sip_media_application/4","title":"aws_chime.update_sip_media_application/4","type":"function"},{"doc":"Invokes the AWS Lambda function associated with the SIP media application and transaction ID in an update request. The Lambda function can then return a new set of actions.","ref":"aws_chime.html#update_sip_media_application_call/4","title":"aws_chime.update_sip_media_application_call/4","type":"function"},{"doc":"","ref":"aws_chime.html#update_sip_media_application_call/5","title":"aws_chime.update_sip_media_application_call/5","type":"function"},{"doc":"Updates the details of the specified SIP rule.","ref":"aws_chime.html#update_sip_rule/3","title":"aws_chime.update_sip_rule/3","type":"function"},{"doc":"","ref":"aws_chime.html#update_sip_rule/4","title":"aws_chime.update_sip_rule/4","type":"function"},{"doc":"Updates user details for a specified user ID. Currently, only LicenseType updates are supported for this action.","ref":"aws_chime.html#update_user/4","title":"aws_chime.update_user/4","type":"function"},{"doc":"","ref":"aws_chime.html#update_user/5","title":"aws_chime.update_user/5","type":"function"},{"doc":"Updates the settings for the specified user, such as phone number settings.","ref":"aws_chime.html#update_user_settings/4","title":"aws_chime.update_user_settings/4","type":"function"},{"doc":"","ref":"aws_chime.html#update_user_settings/5","title":"aws_chime.update_user_settings/5","type":"function"},{"doc":"Updates details for the specified Amazon Chime Voice Connector.","ref":"aws_chime.html#update_voice_connector/3","title":"aws_chime.update_voice_connector/3","type":"function"},{"doc":"","ref":"aws_chime.html#update_voice_connector/4","title":"aws_chime.update_voice_connector/4","type":"function"},{"doc":"Updates details of the specified Amazon Chime Voice Connector group, such as the name and Amazon Chime Voice Connector priority ranking.","ref":"aws_chime.html#update_voice_connector_group/3","title":"aws_chime.update_voice_connector_group/3","type":"function"},{"doc":"","ref":"aws_chime.html#update_voice_connector_group/4","title":"aws_chime.update_voice_connector_group/4","type":"function"},{"doc":"Validates an address to be used for 911 calls made with Amazon Chime Voice Connectors. You can use validated addresses in a Presence Information Data Format Location Object file that you include in SIP requests. That helps ensure that addresses are routed to the appropriate Public Safety Answering Point.","ref":"aws_chime.html#validate_e911_address/2","title":"aws_chime.validate_e911_address/2","type":"function"},{"doc":"","ref":"aws_chime.html#validate_e911_address/3","title":"aws_chime.validate_e911_address/3","type":"function"},{"doc":"The Amazon Chime SDK Identity APIs in this section allow software developers to create and manage unique instances of their messaging applications. These APIs provide the overarching framework for creating and sending messages. For more information about the identity APIs, refer to Amazon Chime SDK identity.","ref":"aws_chime_sdk_identity.html","title":"aws_chime_sdk_identity","type":"module"},{"doc":"Creates an Amazon Chime SDK messaging AppInstance under an AWS account. Only SDK messaging customers use this API. CreateAppInstance supports idempotency behavior as described in the AWS API Standard. identity","ref":"aws_chime_sdk_identity.html#create_app_instance/2","title":"aws_chime_sdk_identity.create_app_instance/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#create_app_instance/3","title":"aws_chime_sdk_identity.create_app_instance/3","type":"function"},{"doc":"Promotes an AppInstanceUser to an AppInstanceAdmin . The promoted user can perform the following actions. ChannelModerator actions across all channels in the AppInstance . DeleteChannelMessage actions. Only an AppInstanceUser can be promoted to an AppInstanceAdmin role.","ref":"aws_chime_sdk_identity.html#create_app_instance_admin/3","title":"aws_chime_sdk_identity.create_app_instance_admin/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#create_app_instance_admin/4","title":"aws_chime_sdk_identity.create_app_instance_admin/4","type":"function"},{"doc":"Creates a user under an Amazon Chime AppInstance . The request consists of a unique appInstanceUserId and Name for that user.","ref":"aws_chime_sdk_identity.html#create_app_instance_user/2","title":"aws_chime_sdk_identity.create_app_instance_user/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#create_app_instance_user/3","title":"aws_chime_sdk_identity.create_app_instance_user/3","type":"function"},{"doc":"Deletes an AppInstance and all associated data asynchronously.","ref":"aws_chime_sdk_identity.html#delete_app_instance/3","title":"aws_chime_sdk_identity.delete_app_instance/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#delete_app_instance/4","title":"aws_chime_sdk_identity.delete_app_instance/4","type":"function"},{"doc":"Demotes an AppInstanceAdmin to an AppInstanceUser . This action does not delete the user.","ref":"aws_chime_sdk_identity.html#delete_app_instance_admin/4","title":"aws_chime_sdk_identity.delete_app_instance_admin/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#delete_app_instance_admin/5","title":"aws_chime_sdk_identity.delete_app_instance_admin/5","type":"function"},{"doc":"Deletes an AppInstanceUser .","ref":"aws_chime_sdk_identity.html#delete_app_instance_user/3","title":"aws_chime_sdk_identity.delete_app_instance_user/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#delete_app_instance_user/4","title":"aws_chime_sdk_identity.delete_app_instance_user/4","type":"function"},{"doc":"Deregisters an AppInstanceUserEndpoint .","ref":"aws_chime_sdk_identity.html#deregister_app_instance_user_endpoint/4","title":"aws_chime_sdk_identity.deregister_app_instance_user_endpoint/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#deregister_app_instance_user_endpoint/5","title":"aws_chime_sdk_identity.deregister_app_instance_user_endpoint/5","type":"function"},{"doc":"Returns the full details of an AppInstance .","ref":"aws_chime_sdk_identity.html#describe_app_instance/2","title":"aws_chime_sdk_identity.describe_app_instance/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#describe_app_instance/4","title":"aws_chime_sdk_identity.describe_app_instance/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#describe_app_instance/5","title":"aws_chime_sdk_identity.describe_app_instance/5","type":"function"},{"doc":"Returns the full details of an AppInstanceAdmin .","ref":"aws_chime_sdk_identity.html#describe_app_instance_admin/3","title":"aws_chime_sdk_identity.describe_app_instance_admin/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#describe_app_instance_admin/5","title":"aws_chime_sdk_identity.describe_app_instance_admin/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#describe_app_instance_admin/6","title":"aws_chime_sdk_identity.describe_app_instance_admin/6","type":"function"},{"doc":"Returns the full details of an AppInstanceUser .","ref":"aws_chime_sdk_identity.html#describe_app_instance_user/2","title":"aws_chime_sdk_identity.describe_app_instance_user/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#describe_app_instance_user/4","title":"aws_chime_sdk_identity.describe_app_instance_user/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#describe_app_instance_user/5","title":"aws_chime_sdk_identity.describe_app_instance_user/5","type":"function"},{"doc":"Returns the full details of an AppInstanceUserEndpoint .","ref":"aws_chime_sdk_identity.html#describe_app_instance_user_endpoint/3","title":"aws_chime_sdk_identity.describe_app_instance_user_endpoint/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#describe_app_instance_user_endpoint/5","title":"aws_chime_sdk_identity.describe_app_instance_user_endpoint/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#describe_app_instance_user_endpoint/6","title":"aws_chime_sdk_identity.describe_app_instance_user_endpoint/6","type":"function"},{"doc":"Gets the retention settings for an AppInstance .","ref":"aws_chime_sdk_identity.html#get_app_instance_retention_settings/2","title":"aws_chime_sdk_identity.get_app_instance_retention_settings/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#get_app_instance_retention_settings/4","title":"aws_chime_sdk_identity.get_app_instance_retention_settings/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#get_app_instance_retention_settings/5","title":"aws_chime_sdk_identity.get_app_instance_retention_settings/5","type":"function"},{"doc":"Returns a list of the administrators in the AppInstance .","ref":"aws_chime_sdk_identity.html#list_app_instance_admins/2","title":"aws_chime_sdk_identity.list_app_instance_admins/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#list_app_instance_admins/4","title":"aws_chime_sdk_identity.list_app_instance_admins/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#list_app_instance_admins/5","title":"aws_chime_sdk_identity.list_app_instance_admins/5","type":"function"},{"doc":"Lists all the AppInstanceUserEndpoints created under a single AppInstanceUser .","ref":"aws_chime_sdk_identity.html#list_app_instance_user_endpoints/2","title":"aws_chime_sdk_identity.list_app_instance_user_endpoints/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#list_app_instance_user_endpoints/4","title":"aws_chime_sdk_identity.list_app_instance_user_endpoints/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#list_app_instance_user_endpoints/5","title":"aws_chime_sdk_identity.list_app_instance_user_endpoints/5","type":"function"},{"doc":"List all AppInstanceUsers created under a single AppInstance .","ref":"aws_chime_sdk_identity.html#list_app_instance_users/2","title":"aws_chime_sdk_identity.list_app_instance_users/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#list_app_instance_users/4","title":"aws_chime_sdk_identity.list_app_instance_users/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#list_app_instance_users/5","title":"aws_chime_sdk_identity.list_app_instance_users/5","type":"function"},{"doc":"Lists all Amazon Chime AppInstance s created under a single AWS account.","ref":"aws_chime_sdk_identity.html#list_app_instances/1","title":"aws_chime_sdk_identity.list_app_instances/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#list_app_instances/3","title":"aws_chime_sdk_identity.list_app_instances/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#list_app_instances/4","title":"aws_chime_sdk_identity.list_app_instances/4","type":"function"},{"doc":"Lists the tags applied to an Amazon Chime SDK identity resource.","ref":"aws_chime_sdk_identity.html#list_tags_for_resource/2","title":"aws_chime_sdk_identity.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#list_tags_for_resource/4","title":"aws_chime_sdk_identity.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#list_tags_for_resource/5","title":"aws_chime_sdk_identity.list_tags_for_resource/5","type":"function"},{"doc":"Sets the amount of time in days that a given AppInstance retains data.","ref":"aws_chime_sdk_identity.html#put_app_instance_retention_settings/3","title":"aws_chime_sdk_identity.put_app_instance_retention_settings/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#put_app_instance_retention_settings/4","title":"aws_chime_sdk_identity.put_app_instance_retention_settings/4","type":"function"},{"doc":"Registers an endpoint under an Amazon Chime AppInstanceUser . The endpoint receives messages for a user. For push notifications, the endpoint is a mobile device used to receive mobile push notifications for a user.","ref":"aws_chime_sdk_identity.html#register_app_instance_user_endpoint/3","title":"aws_chime_sdk_identity.register_app_instance_user_endpoint/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#register_app_instance_user_endpoint/4","title":"aws_chime_sdk_identity.register_app_instance_user_endpoint/4","type":"function"},{"doc":"Applies the specified tags to the specified Amazon Chime SDK identity resource.","ref":"aws_chime_sdk_identity.html#tag_resource/2","title":"aws_chime_sdk_identity.tag_resource/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#tag_resource/3","title":"aws_chime_sdk_identity.tag_resource/3","type":"function"},{"doc":"Removes the specified tags from the specified Amazon Chime SDK identity resource.","ref":"aws_chime_sdk_identity.html#untag_resource/2","title":"aws_chime_sdk_identity.untag_resource/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#untag_resource/3","title":"aws_chime_sdk_identity.untag_resource/3","type":"function"},{"doc":"Updates AppInstance metadata.","ref":"aws_chime_sdk_identity.html#update_app_instance/3","title":"aws_chime_sdk_identity.update_app_instance/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#update_app_instance/4","title":"aws_chime_sdk_identity.update_app_instance/4","type":"function"},{"doc":"Updates the details of an AppInstanceUser . You can update names and metadata.","ref":"aws_chime_sdk_identity.html#update_app_instance_user/3","title":"aws_chime_sdk_identity.update_app_instance_user/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#update_app_instance_user/4","title":"aws_chime_sdk_identity.update_app_instance_user/4","type":"function"},{"doc":"Updates the details of an AppInstanceUserEndpoint . You can update the name and AllowMessage values.","ref":"aws_chime_sdk_identity.html#update_app_instance_user_endpoint/4","title":"aws_chime_sdk_identity.update_app_instance_user_endpoint/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_identity.html#update_app_instance_user_endpoint/5","title":"aws_chime_sdk_identity.update_app_instance_user_endpoint/5","type":"function"},{"doc":"The Amazon Chime SDK media pipeline APIs in this section allow software developers to create Amazon Chime SDK media pipelines that capture, concatenate, or stream your Amazon Chime SDK meetings. For more information about media pipleines, see Amazon Chime SDK media pipelines.","ref":"aws_chime_sdk_media_pipelines.html","title":"aws_chime_sdk_media_pipelines","type":"module"},{"doc":"Creates a media pipeline.","ref":"aws_chime_sdk_media_pipelines.html#create_media_capture_pipeline/2","title":"aws_chime_sdk_media_pipelines.create_media_capture_pipeline/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#create_media_capture_pipeline/3","title":"aws_chime_sdk_media_pipelines.create_media_capture_pipeline/3","type":"function"},{"doc":"Creates a media concatenation pipeline.","ref":"aws_chime_sdk_media_pipelines.html#create_media_concatenation_pipeline/2","title":"aws_chime_sdk_media_pipelines.create_media_concatenation_pipeline/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#create_media_concatenation_pipeline/3","title":"aws_chime_sdk_media_pipelines.create_media_concatenation_pipeline/3","type":"function"},{"doc":"Creates a streaming media pipeline in an Amazon Chime SDK meeting.","ref":"aws_chime_sdk_media_pipelines.html#create_media_live_connector_pipeline/2","title":"aws_chime_sdk_media_pipelines.create_media_live_connector_pipeline/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#create_media_live_connector_pipeline/3","title":"aws_chime_sdk_media_pipelines.create_media_live_connector_pipeline/3","type":"function"},{"doc":"Deletes the media pipeline.","ref":"aws_chime_sdk_media_pipelines.html#delete_media_capture_pipeline/3","title":"aws_chime_sdk_media_pipelines.delete_media_capture_pipeline/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#delete_media_capture_pipeline/4","title":"aws_chime_sdk_media_pipelines.delete_media_capture_pipeline/4","type":"function"},{"doc":"Deletes the media pipeline.","ref":"aws_chime_sdk_media_pipelines.html#delete_media_pipeline/3","title":"aws_chime_sdk_media_pipelines.delete_media_pipeline/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#delete_media_pipeline/4","title":"aws_chime_sdk_media_pipelines.delete_media_pipeline/4","type":"function"},{"doc":"Gets an existing media pipeline.","ref":"aws_chime_sdk_media_pipelines.html#get_media_capture_pipeline/2","title":"aws_chime_sdk_media_pipelines.get_media_capture_pipeline/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#get_media_capture_pipeline/4","title":"aws_chime_sdk_media_pipelines.get_media_capture_pipeline/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#get_media_capture_pipeline/5","title":"aws_chime_sdk_media_pipelines.get_media_capture_pipeline/5","type":"function"},{"doc":"Gets an existing media pipeline.","ref":"aws_chime_sdk_media_pipelines.html#get_media_pipeline/2","title":"aws_chime_sdk_media_pipelines.get_media_pipeline/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#get_media_pipeline/4","title":"aws_chime_sdk_media_pipelines.get_media_pipeline/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#get_media_pipeline/5","title":"aws_chime_sdk_media_pipelines.get_media_pipeline/5","type":"function"},{"doc":"Returns a list of media pipelines.","ref":"aws_chime_sdk_media_pipelines.html#list_media_capture_pipelines/1","title":"aws_chime_sdk_media_pipelines.list_media_capture_pipelines/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#list_media_capture_pipelines/3","title":"aws_chime_sdk_media_pipelines.list_media_capture_pipelines/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#list_media_capture_pipelines/4","title":"aws_chime_sdk_media_pipelines.list_media_capture_pipelines/4","type":"function"},{"doc":"Returns a list of media pipelines.","ref":"aws_chime_sdk_media_pipelines.html#list_media_pipelines/1","title":"aws_chime_sdk_media_pipelines.list_media_pipelines/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#list_media_pipelines/3","title":"aws_chime_sdk_media_pipelines.list_media_pipelines/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#list_media_pipelines/4","title":"aws_chime_sdk_media_pipelines.list_media_pipelines/4","type":"function"},{"doc":"Lists the tags available for a media pipeline.","ref":"aws_chime_sdk_media_pipelines.html#list_tags_for_resource/2","title":"aws_chime_sdk_media_pipelines.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#list_tags_for_resource/4","title":"aws_chime_sdk_media_pipelines.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#list_tags_for_resource/5","title":"aws_chime_sdk_media_pipelines.list_tags_for_resource/5","type":"function"},{"doc":"The ARN of the media pipeline that you want to tag. Consists of he pipeline's endpoint region, resource ID, and pipeline ID.","ref":"aws_chime_sdk_media_pipelines.html#tag_resource/2","title":"aws_chime_sdk_media_pipelines.tag_resource/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#tag_resource/3","title":"aws_chime_sdk_media_pipelines.tag_resource/3","type":"function"},{"doc":"Removes any tags from a media pipeline.","ref":"aws_chime_sdk_media_pipelines.html#untag_resource/2","title":"aws_chime_sdk_media_pipelines.untag_resource/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_media_pipelines.html#untag_resource/3","title":"aws_chime_sdk_media_pipelines.untag_resource/3","type":"function"},{"doc":"The Amazon Chime SDK meetings APIs in this section allow software developers to create Amazon Chime SDK meetings, set the AWS Regions for meetings, create and manage users, and send and receive meeting notifications. For more information about the meeting APIs, see Amazon Chime SDK meetings.","ref":"aws_chime_sdk_meetings.html","title":"aws_chime_sdk_meetings","type":"module"},{"doc":"Creates up to 100 attendees for an active Amazon Chime SDK meeting. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime_sdk_meetings.html#batch_create_attendee/3","title":"aws_chime_sdk_meetings.batch_create_attendee/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#batch_create_attendee/4","title":"aws_chime_sdk_meetings.batch_create_attendee/4","type":"function"},{"doc":"Updates AttendeeCapabilities except the capabilities listed in an ExcludedAttendeeIds table. You use the capabilities with a set of values that control what the capabilities can do, such as SendReceive data. For more information about those values, see . When using capabilities, be aware of these corner cases: You can't set content capabilities to SendReceive or Receive unless you also set video capabilities to SendReceive or Receive . If you don't set the video capability to receive, the response will contain an HTTP 400 Bad Request status code. However, you can set your video capability to receive and you set your content capability to not receive. When you change an audio capability from None or Receive to Send or SendReceive , and if the attendee left their microphone unmuted, audio will flow from the attendee to the other meeting participants. When you change a video or content capability from None or Receive to Send or SendReceive , and if the attendee turned on their video or content streams, remote attendess can receive those streams, but only after media renegotiation between the client and the Amazon Chime back-end server.","ref":"aws_chime_sdk_meetings.html#batch_update_attendee_capabilities_except/3","title":"aws_chime_sdk_meetings.batch_update_attendee_capabilities_except/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#batch_update_attendee_capabilities_except/4","title":"aws_chime_sdk_meetings.batch_update_attendee_capabilities_except/4","type":"function"},{"doc":"Creates a new attendee for an active Amazon Chime SDK meeting. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime_sdk_meetings.html#create_attendee/3","title":"aws_chime_sdk_meetings.create_attendee/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#create_attendee/4","title":"aws_chime_sdk_meetings.create_attendee/4","type":"function"},{"doc":"Creates a new Amazon Chime SDK meeting in the specified media Region with no initial attendees. For more information about specifying media Regions, see Amazon Chime SDK Media Regions in the Amazon Chime Developer Guide. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime_sdk_meetings.html#create_meeting/2","title":"aws_chime_sdk_meetings.create_meeting/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#create_meeting/3","title":"aws_chime_sdk_meetings.create_meeting/3","type":"function"},{"doc":"Creates a new Amazon Chime SDK meeting in the specified media Region, with attendees. For more information about specifying media Regions, see Amazon Chime SDK Media Regions in the Amazon Chime Developer Guide. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime_sdk_meetings.html#create_meeting_with_attendees/2","title":"aws_chime_sdk_meetings.create_meeting_with_attendees/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#create_meeting_with_attendees/3","title":"aws_chime_sdk_meetings.create_meeting_with_attendees/3","type":"function"},{"doc":"Deletes an attendee from the specified Amazon Chime SDK meeting and deletes their JoinToken . Attendees are automatically deleted when a Amazon Chime SDK meeting is deleted. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime_sdk_meetings.html#delete_attendee/4","title":"aws_chime_sdk_meetings.delete_attendee/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#delete_attendee/5","title":"aws_chime_sdk_meetings.delete_attendee/5","type":"function"},{"doc":"Deletes the specified Amazon Chime SDK meeting. The operation deletes all attendees, disconnects all clients, and prevents new clients from joining the meeting. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime_sdk_meetings.html#delete_meeting/3","title":"aws_chime_sdk_meetings.delete_meeting/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#delete_meeting/4","title":"aws_chime_sdk_meetings.delete_meeting/4","type":"function"},{"doc":"Gets the Amazon Chime SDK attendee details for a specified meeting ID and attendee ID. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime_sdk_meetings.html#get_attendee/3","title":"aws_chime_sdk_meetings.get_attendee/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#get_attendee/5","title":"aws_chime_sdk_meetings.get_attendee/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#get_attendee/6","title":"aws_chime_sdk_meetings.get_attendee/6","type":"function"},{"doc":"Gets the Amazon Chime SDK meeting details for the specified meeting ID. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime_sdk_meetings.html#get_meeting/2","title":"aws_chime_sdk_meetings.get_meeting/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#get_meeting/4","title":"aws_chime_sdk_meetings.get_meeting/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#get_meeting/5","title":"aws_chime_sdk_meetings.get_meeting/5","type":"function"},{"doc":"Lists the attendees for the specified Amazon Chime SDK meeting. For more information about the Amazon Chime SDK, see Using the Amazon Chime SDK in the Amazon Chime Developer Guide.","ref":"aws_chime_sdk_meetings.html#list_attendees/2","title":"aws_chime_sdk_meetings.list_attendees/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#list_attendees/4","title":"aws_chime_sdk_meetings.list_attendees/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#list_attendees/5","title":"aws_chime_sdk_meetings.list_attendees/5","type":"function"},{"doc":"Returns a list of the tags available for the specified resource.","ref":"aws_chime_sdk_meetings.html#list_tags_for_resource/2","title":"aws_chime_sdk_meetings.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#list_tags_for_resource/4","title":"aws_chime_sdk_meetings.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#list_tags_for_resource/5","title":"aws_chime_sdk_meetings.list_tags_for_resource/5","type":"function"},{"doc":"Starts transcription for the specified meetingId . For more information, refer to Using Amazon Chime SDK live transcription in the Amazon Chime SDK Developer Guide. Amazon Chime SDK live transcription is powered by Amazon Transcribe. Use of Amazon Transcribe is subject to the AWS Service Terms, including the terms specific to the AWS Machine Learning and Artificial Intelligence Services.","ref":"aws_chime_sdk_meetings.html#start_meeting_transcription/3","title":"aws_chime_sdk_meetings.start_meeting_transcription/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#start_meeting_transcription/4","title":"aws_chime_sdk_meetings.start_meeting_transcription/4","type":"function"},{"doc":"Stops transcription for the specified meetingId . For more information, refer to Using Amazon Chime SDK live transcription in the Amazon Chime SDK Developer Guide. Amazon Chime SDK live transcription is powered by Amazon Transcribe. Use of Amazon Transcribe is subject to the AWS Service Terms, including the terms specific to the AWS Machine Learning and Artificial Intelligence Services.","ref":"aws_chime_sdk_meetings.html#stop_meeting_transcription/3","title":"aws_chime_sdk_meetings.stop_meeting_transcription/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#stop_meeting_transcription/4","title":"aws_chime_sdk_meetings.stop_meeting_transcription/4","type":"function"},{"doc":"The resource that supports tags.","ref":"aws_chime_sdk_meetings.html#tag_resource/2","title":"aws_chime_sdk_meetings.tag_resource/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#tag_resource/3","title":"aws_chime_sdk_meetings.tag_resource/3","type":"function"},{"doc":"Removes the specified tags from the specified resources. When you specify a tag key, the action removes both that key and its associated value. The operation succeeds even if you attempt to remove tags from a resource that were already removed. Note the following: To remove tags from a resource, you need the necessary permissions for the service that the resource belongs to as well as permissions for removing tags. For more information, see the documentation for the service whose resource you want to untag. You can only tag resources that are located in the specified AWS Region for the calling AWS account. Minimum permissions In addition to the tag:UntagResources permission required by this operation, you must also have the remove tags permission defined by the service that created the resource. For example, to remove the tags from an Amazon EC2 instance using the UntagResources operation, you must have both of the following permissions: tag:UntagResource ChimeSDKMeetings:DeleteTags","ref":"aws_chime_sdk_meetings.html#untag_resource/2","title":"aws_chime_sdk_meetings.untag_resource/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#untag_resource/3","title":"aws_chime_sdk_meetings.untag_resource/3","type":"function"},{"doc":"The capabilties that you want to update. You use the capabilities with a set of values that control what the capabilities can do, such as SendReceive data. For more information about those values, see . When using capabilities, be aware of these corner cases: You can't set content capabilities to SendReceive or Receive unless you also set video capabilities to SendReceive or Receive . If you don't set the video capability to receive, the response will contain an HTTP 400 Bad Request status code. However, you can set your video capability to receive and you set your content capability to not receive. When you change an audio capability from None or Receive to Send or SendReceive , and if the attendee left their microphone unmuted, audio will flow from the attendee to the other meeting participants. When you change a video or content capability from None or Receive to Send or SendReceive , and if the attendee turned on their video or content streams, remote attendess can receive those streams, but only after media renegotiation between the client and the Amazon Chime back-end server.","ref":"aws_chime_sdk_meetings.html#update_attendee_capabilities/4","title":"aws_chime_sdk_meetings.update_attendee_capabilities/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_meetings.html#update_attendee_capabilities/5","title":"aws_chime_sdk_meetings.update_attendee_capabilities/5","type":"function"},{"doc":"The Amazon Chime SDK Messaging APIs in this section allow software developers to send and receive messages in custom messaging applications. These APIs depend on the frameworks provided by the Amazon Chime SDK Identity APIs. For more information about the messaging APIs, see Amazon Chime SDK messaging.","ref":"aws_chime_sdk_messaging.html","title":"aws_chime_sdk_messaging","type":"module"},{"doc":"Associates a channel flow with a channel. Once associated, all messages to that channel go through channel flow processors. To stop processing, use the DisassociateChannelFlow API. Only administrators or channel moderators can associate a channel flow. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#associate_channel_flow/3","title":"aws_chime_sdk_messaging.associate_channel_flow/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#associate_channel_flow/4","title":"aws_chime_sdk_messaging.associate_channel_flow/4","type":"function"},{"doc":"Adds a specified number of users to a channel.","ref":"aws_chime_sdk_messaging.html#batch_create_channel_membership/3","title":"aws_chime_sdk_messaging.batch_create_channel_membership/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#batch_create_channel_membership/4","title":"aws_chime_sdk_messaging.batch_create_channel_membership/4","type":"function"},{"doc":"Calls back Chime SDK Messaging with a processing response message. This should be invoked from the processor Lambda. This is a developer API. You can return one of the following processing responses: Update message content or metadata Deny a message Make no changes to the message","ref":"aws_chime_sdk_messaging.html#channel_flow_callback/3","title":"aws_chime_sdk_messaging.channel_flow_callback/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#channel_flow_callback/4","title":"aws_chime_sdk_messaging.channel_flow_callback/4","type":"function"},{"doc":"Creates a channel to which you can add users and send messages. Restriction: You can't change a channel's privacy. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#create_channel/2","title":"aws_chime_sdk_messaging.create_channel/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#create_channel/3","title":"aws_chime_sdk_messaging.create_channel/3","type":"function"},{"doc":"Permanently bans a member from a channel. Moderators can't add banned members to a channel. To undo a ban, you first have to DeleteChannelBan , and then CreateChannelMembership . Bans are cleaned up when you delete users or channels. If you ban a user who is already part of a channel, that user is automatically kicked from the channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#create_channel_ban/3","title":"aws_chime_sdk_messaging.create_channel_ban/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#create_channel_ban/4","title":"aws_chime_sdk_messaging.create_channel_ban/4","type":"function"},{"doc":"Creates a channel flow, a container for processors. Processors are AWS Lambda functions that perform actions on chat messages, such as stripping out profanity. You can associate channel flows with channels, and the processors in the channel flow then take action on all messages sent to that channel. This is a developer API. Channel flows process the following items: New and updated messages Persistent and non-persistent messages The Standard message type Channel flows don't process Control or System messages. For more information about the message types provided by Chime SDK Messaging, refer to Message types in the Amazon Chime developer guide.","ref":"aws_chime_sdk_messaging.html#create_channel_flow/2","title":"aws_chime_sdk_messaging.create_channel_flow/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#create_channel_flow/3","title":"aws_chime_sdk_messaging.create_channel_flow/3","type":"function"},{"doc":"Adds a user to a channel. The InvitedBy field in ChannelMembership is derived from the request header. A channel member can: List messages Send messages Receive messages Edit their own messages Leave the channel Privacy settings impact this action as follows: Public Channels: You do not need to be a member to list messages, but you must be a member to send messages. Private Channels: You must be a member to list or send messages. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#create_channel_membership/3","title":"aws_chime_sdk_messaging.create_channel_membership/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#create_channel_membership/4","title":"aws_chime_sdk_messaging.create_channel_membership/4","type":"function"},{"doc":"Creates a new ChannelModerator . A channel moderator can: Add and remove other members of the channel. Add and remove other moderators of the channel. Add and remove user bans for the channel. Redact messages in the channel. List messages in the channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#create_channel_moderator/3","title":"aws_chime_sdk_messaging.create_channel_moderator/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#create_channel_moderator/4","title":"aws_chime_sdk_messaging.create_channel_moderator/4","type":"function"},{"doc":"Immediately makes a channel and its memberships inaccessible and marks them for deletion. This is an irreversible process. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#delete_channel/3","title":"aws_chime_sdk_messaging.delete_channel/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#delete_channel/4","title":"aws_chime_sdk_messaging.delete_channel/4","type":"function"},{"doc":"Removes a user from a channel's ban list. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#delete_channel_ban/4","title":"aws_chime_sdk_messaging.delete_channel_ban/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#delete_channel_ban/5","title":"aws_chime_sdk_messaging.delete_channel_ban/5","type":"function"},{"doc":"Deletes a channel flow, an irreversible process. This is a developer API. This API works only when the channel flow is not associated with any channel. To get a list of all channels that a channel flow is associated with, use the ListChannelsAssociatedWithChannelFlow API. Use the DisassociateChannelFlow API to disassociate a channel flow from all channels.","ref":"aws_chime_sdk_messaging.html#delete_channel_flow/3","title":"aws_chime_sdk_messaging.delete_channel_flow/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#delete_channel_flow/4","title":"aws_chime_sdk_messaging.delete_channel_flow/4","type":"function"},{"doc":"Removes a member from a channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#delete_channel_membership/4","title":"aws_chime_sdk_messaging.delete_channel_membership/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#delete_channel_membership/5","title":"aws_chime_sdk_messaging.delete_channel_membership/5","type":"function"},{"doc":"Deletes a channel message. Only admins can perform this action. Deletion makes messages inaccessible immediately. A background process deletes any revisions created by UpdateChannelMessage . The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#delete_channel_message/4","title":"aws_chime_sdk_messaging.delete_channel_message/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#delete_channel_message/5","title":"aws_chime_sdk_messaging.delete_channel_message/5","type":"function"},{"doc":"Deletes a channel moderator. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#delete_channel_moderator/4","title":"aws_chime_sdk_messaging.delete_channel_moderator/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#delete_channel_moderator/5","title":"aws_chime_sdk_messaging.delete_channel_moderator/5","type":"function"},{"doc":"Returns the full details of a channel in an Amazon Chime AppInstance . The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#describe_channel/3","title":"aws_chime_sdk_messaging.describe_channel/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel/5","title":"aws_chime_sdk_messaging.describe_channel/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel/6","title":"aws_chime_sdk_messaging.describe_channel/6","type":"function"},{"doc":"Returns the full details of a channel ban. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#describe_channel_ban/4","title":"aws_chime_sdk_messaging.describe_channel_ban/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel_ban/6","title":"aws_chime_sdk_messaging.describe_channel_ban/6","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel_ban/7","title":"aws_chime_sdk_messaging.describe_channel_ban/7","type":"function"},{"doc":"Returns the full details of a channel flow in an Amazon Chime AppInstance . This is a developer API.","ref":"aws_chime_sdk_messaging.html#describe_channel_flow/2","title":"aws_chime_sdk_messaging.describe_channel_flow/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel_flow/4","title":"aws_chime_sdk_messaging.describe_channel_flow/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel_flow/5","title":"aws_chime_sdk_messaging.describe_channel_flow/5","type":"function"},{"doc":"Returns the full details of a user's channel membership. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#describe_channel_membership/4","title":"aws_chime_sdk_messaging.describe_channel_membership/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel_membership/6","title":"aws_chime_sdk_messaging.describe_channel_membership/6","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel_membership/7","title":"aws_chime_sdk_messaging.describe_channel_membership/7","type":"function"},{"doc":"Returns the details of a channel based on the membership of the specified AppInstanceUser . The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#describe_channel_membership_for_app_instance_user/4","title":"aws_chime_sdk_messaging.describe_channel_membership_for_app_instance_user/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel_membership_for_app_instance_user/6","title":"aws_chime_sdk_messaging.describe_channel_membership_for_app_instance_user/6","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel_membership_for_app_instance_user/7","title":"aws_chime_sdk_messaging.describe_channel_membership_for_app_instance_user/7","type":"function"},{"doc":"Returns the full details of a channel moderated by the specified AppInstanceUser . The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#describe_channel_moderated_by_app_instance_user/4","title":"aws_chime_sdk_messaging.describe_channel_moderated_by_app_instance_user/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel_moderated_by_app_instance_user/6","title":"aws_chime_sdk_messaging.describe_channel_moderated_by_app_instance_user/6","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel_moderated_by_app_instance_user/7","title":"aws_chime_sdk_messaging.describe_channel_moderated_by_app_instance_user/7","type":"function"},{"doc":"Returns the full details of a single ChannelModerator. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#describe_channel_moderator/4","title":"aws_chime_sdk_messaging.describe_channel_moderator/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel_moderator/6","title":"aws_chime_sdk_messaging.describe_channel_moderator/6","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#describe_channel_moderator/7","title":"aws_chime_sdk_messaging.describe_channel_moderator/7","type":"function"},{"doc":"Disassociates a channel flow from all its channels. Once disassociated, all messages to that channel stop going through the channel flow processor. Only administrators or channel moderators can disassociate a channel flow. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#disassociate_channel_flow/4","title":"aws_chime_sdk_messaging.disassociate_channel_flow/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#disassociate_channel_flow/5","title":"aws_chime_sdk_messaging.disassociate_channel_flow/5","type":"function"},{"doc":"Gets the membership preferences of an AppInstanceUser for the specified channel. The AppInstanceUser must be a member of the channel. Only the AppInstanceUser who owns the membership can retrieve preferences. Users in the AppInstanceAdmin and channel moderator roles can't retrieve preferences for other users. Banned users can't retrieve membership preferences for the channel from which they are banned.","ref":"aws_chime_sdk_messaging.html#get_channel_membership_preferences/4","title":"aws_chime_sdk_messaging.get_channel_membership_preferences/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#get_channel_membership_preferences/6","title":"aws_chime_sdk_messaging.get_channel_membership_preferences/6","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#get_channel_membership_preferences/7","title":"aws_chime_sdk_messaging.get_channel_membership_preferences/7","type":"function"},{"doc":"Gets the full details of a channel message. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#get_channel_message/4","title":"aws_chime_sdk_messaging.get_channel_message/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#get_channel_message/6","title":"aws_chime_sdk_messaging.get_channel_message/6","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#get_channel_message/7","title":"aws_chime_sdk_messaging.get_channel_message/7","type":"function"},{"doc":"Gets message status for a specified messageId . Use this API to determine the intermediate status of messages going through channel flow processing. The API provides an alternative to retrieving message status if the event was not received because a client wasn't connected to a websocket. Messages can have any one of these statuses. SENT Message processed successfully PENDING Ongoing processing FAILED Processing failed DENIED Messasge denied by the processor This API does not return statuses for denied messages, because we don't store them once the processor denies them. Only the message sender can invoke this API. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header","ref":"aws_chime_sdk_messaging.html#get_channel_message_status/4","title":"aws_chime_sdk_messaging.get_channel_message_status/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#get_channel_message_status/6","title":"aws_chime_sdk_messaging.get_channel_message_status/6","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#get_channel_message_status/7","title":"aws_chime_sdk_messaging.get_channel_message_status/7","type":"function"},{"doc":"The details of the endpoint for the messaging session.","ref":"aws_chime_sdk_messaging.html#get_messaging_session_endpoint/1","title":"aws_chime_sdk_messaging.get_messaging_session_endpoint/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#get_messaging_session_endpoint/3","title":"aws_chime_sdk_messaging.get_messaging_session_endpoint/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#get_messaging_session_endpoint/4","title":"aws_chime_sdk_messaging.get_messaging_session_endpoint/4","type":"function"},{"doc":"Lists all the users banned from a particular channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#list_channel_bans/3","title":"aws_chime_sdk_messaging.list_channel_bans/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channel_bans/5","title":"aws_chime_sdk_messaging.list_channel_bans/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channel_bans/6","title":"aws_chime_sdk_messaging.list_channel_bans/6","type":"function"},{"doc":"Returns a paginated lists of all the channel flows created under a single Chime. This is a developer API.","ref":"aws_chime_sdk_messaging.html#list_channel_flows/2","title":"aws_chime_sdk_messaging.list_channel_flows/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channel_flows/4","title":"aws_chime_sdk_messaging.list_channel_flows/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channel_flows/5","title":"aws_chime_sdk_messaging.list_channel_flows/5","type":"function"},{"doc":"Lists all channel memberships in a channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header. If you want to list the channels to which a specific app instance user belongs, see the ListChannelMembershipsForAppInstanceUser API.","ref":"aws_chime_sdk_messaging.html#list_channel_memberships/3","title":"aws_chime_sdk_messaging.list_channel_memberships/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channel_memberships/5","title":"aws_chime_sdk_messaging.list_channel_memberships/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channel_memberships/6","title":"aws_chime_sdk_messaging.list_channel_memberships/6","type":"function"},{"doc":"Lists all channels that a particular AppInstanceUser is a part of. Only an AppInstanceAdmin can call the API with a user ARN that is not their own. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#list_channel_memberships_for_app_instance_user/2","title":"aws_chime_sdk_messaging.list_channel_memberships_for_app_instance_user/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channel_memberships_for_app_instance_user/4","title":"aws_chime_sdk_messaging.list_channel_memberships_for_app_instance_user/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channel_memberships_for_app_instance_user/5","title":"aws_chime_sdk_messaging.list_channel_memberships_for_app_instance_user/5","type":"function"},{"doc":"List all the messages in a channel. Returns a paginated list of ChannelMessages . By default, sorted by creation timestamp in descending order. Redacted messages appear in the results as empty, since they are only redacted, not deleted. Deleted messages do not appear in the results. This action always returns the latest version of an edited message. Also, the x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#list_channel_messages/3","title":"aws_chime_sdk_messaging.list_channel_messages/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channel_messages/5","title":"aws_chime_sdk_messaging.list_channel_messages/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channel_messages/6","title":"aws_chime_sdk_messaging.list_channel_messages/6","type":"function"},{"doc":"Lists all the moderators for a channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#list_channel_moderators/3","title":"aws_chime_sdk_messaging.list_channel_moderators/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channel_moderators/5","title":"aws_chime_sdk_messaging.list_channel_moderators/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channel_moderators/6","title":"aws_chime_sdk_messaging.list_channel_moderators/6","type":"function"},{"doc":"Lists all Channels created under a single Chime App as a paginated list. You can specify filters to narrow results. Functionality &amp; restrictions Use privacy = PUBLIC to retrieve all public channels in the account. Only an AppInstanceAdmin can set privacy = PRIVATE to list the private channels in an account. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#list_channels/3","title":"aws_chime_sdk_messaging.list_channels/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channels/5","title":"aws_chime_sdk_messaging.list_channels/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channels/6","title":"aws_chime_sdk_messaging.list_channels/6","type":"function"},{"doc":"Lists all channels associated with a specified channel flow. You can associate a channel flow with multiple channels, but you can only associate a channel with one channel flow. This is a developer API.","ref":"aws_chime_sdk_messaging.html#list_channels_associated_with_channel_flow/2","title":"aws_chime_sdk_messaging.list_channels_associated_with_channel_flow/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channels_associated_with_channel_flow/4","title":"aws_chime_sdk_messaging.list_channels_associated_with_channel_flow/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channels_associated_with_channel_flow/5","title":"aws_chime_sdk_messaging.list_channels_associated_with_channel_flow/5","type":"function"},{"doc":"A list of the channels moderated by an AppInstanceUser . The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#list_channels_moderated_by_app_instance_user/2","title":"aws_chime_sdk_messaging.list_channels_moderated_by_app_instance_user/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channels_moderated_by_app_instance_user/4","title":"aws_chime_sdk_messaging.list_channels_moderated_by_app_instance_user/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_channels_moderated_by_app_instance_user/5","title":"aws_chime_sdk_messaging.list_channels_moderated_by_app_instance_user/5","type":"function"},{"doc":"Lists all the SubChannels in an elastic channel when given a channel ID. Available only to the app instance admins and channel moderators of elastic channels.","ref":"aws_chime_sdk_messaging.html#list_sub_channels/3","title":"aws_chime_sdk_messaging.list_sub_channels/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_sub_channels/5","title":"aws_chime_sdk_messaging.list_sub_channels/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_sub_channels/6","title":"aws_chime_sdk_messaging.list_sub_channels/6","type":"function"},{"doc":"Lists the tags applied to an Amazon Chime SDK messaging resource.","ref":"aws_chime_sdk_messaging.html#list_tags_for_resource/2","title":"aws_chime_sdk_messaging.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_tags_for_resource/4","title":"aws_chime_sdk_messaging.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#list_tags_for_resource/5","title":"aws_chime_sdk_messaging.list_tags_for_resource/5","type":"function"},{"doc":"Sets the membership preferences of an AppInstanceUser for the specified channel. The AppInstanceUser must be a member of the channel. Only the AppInstanceUser who owns the membership can set preferences. Users in the AppInstanceAdmin and channel moderator roles can't set preferences for other users. Banned users can't set membership preferences for the channel from which they are banned.","ref":"aws_chime_sdk_messaging.html#put_channel_membership_preferences/4","title":"aws_chime_sdk_messaging.put_channel_membership_preferences/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#put_channel_membership_preferences/5","title":"aws_chime_sdk_messaging.put_channel_membership_preferences/5","type":"function"},{"doc":"Redacts message content, but not metadata. The message exists in the back end, but the action returns null content, and the state shows as redacted. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#redact_channel_message/4","title":"aws_chime_sdk_messaging.redact_channel_message/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#redact_channel_message/5","title":"aws_chime_sdk_messaging.redact_channel_message/5","type":"function"},{"doc":"Allows ChimeBearer to search channels by channel members. AppInstanceUsers can search across the channels that they belong to. AppInstanceAdmins can search across all channels.","ref":"aws_chime_sdk_messaging.html#search_channels/2","title":"aws_chime_sdk_messaging.search_channels/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#search_channels/3","title":"aws_chime_sdk_messaging.search_channels/3","type":"function"},{"doc":"Sends a message to a particular channel that the member is a part of. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header. Also, STANDARD messages can contain 4KB of data and the 1KB of metadata. CONTROL messages can contain 30 bytes of data and no metadata.","ref":"aws_chime_sdk_messaging.html#send_channel_message/3","title":"aws_chime_sdk_messaging.send_channel_message/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#send_channel_message/4","title":"aws_chime_sdk_messaging.send_channel_message/4","type":"function"},{"doc":"Applies the specified tags to the specified Amazon Chime SDK messaging resource.","ref":"aws_chime_sdk_messaging.html#tag_resource/2","title":"aws_chime_sdk_messaging.tag_resource/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#tag_resource/3","title":"aws_chime_sdk_messaging.tag_resource/3","type":"function"},{"doc":"Removes the specified tags from the specified Amazon Chime SDK messaging resource.","ref":"aws_chime_sdk_messaging.html#untag_resource/2","title":"aws_chime_sdk_messaging.untag_resource/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#untag_resource/3","title":"aws_chime_sdk_messaging.untag_resource/3","type":"function"},{"doc":"Update a channel's attributes. Restriction: You can't change a channel's privacy. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#update_channel/3","title":"aws_chime_sdk_messaging.update_channel/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#update_channel/4","title":"aws_chime_sdk_messaging.update_channel/4","type":"function"},{"doc":"Updates channel flow attributes. This is a developer API.","ref":"aws_chime_sdk_messaging.html#update_channel_flow/3","title":"aws_chime_sdk_messaging.update_channel_flow/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#update_channel_flow/4","title":"aws_chime_sdk_messaging.update_channel_flow/4","type":"function"},{"doc":"Updates the content of a message. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#update_channel_message/4","title":"aws_chime_sdk_messaging.update_channel_message/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#update_channel_message/5","title":"aws_chime_sdk_messaging.update_channel_message/5","type":"function"},{"doc":"The details of the time when a user last read messages in a channel. The x-amz-chime-bearer request header is mandatory. Use the AppInstanceUserArn of the user that makes the API call as the value in the header.","ref":"aws_chime_sdk_messaging.html#update_channel_read_marker/3","title":"aws_chime_sdk_messaging.update_channel_read_marker/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_messaging.html#update_channel_read_marker/4","title":"aws_chime_sdk_messaging.update_channel_read_marker/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html","title":"aws_chime_sdk_voice","type":"module"},{"doc":"","ref":"aws_chime_sdk_voice.html#associate_phone_numbers_with_voice_connector/3","title":"aws_chime_sdk_voice.associate_phone_numbers_with_voice_connector/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#associate_phone_numbers_with_voice_connector/4","title":"aws_chime_sdk_voice.associate_phone_numbers_with_voice_connector/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#associate_phone_numbers_with_voice_connector_group/3","title":"aws_chime_sdk_voice.associate_phone_numbers_with_voice_connector_group/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#associate_phone_numbers_with_voice_connector_group/4","title":"aws_chime_sdk_voice.associate_phone_numbers_with_voice_connector_group/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#batch_delete_phone_number/2","title":"aws_chime_sdk_voice.batch_delete_phone_number/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#batch_delete_phone_number/3","title":"aws_chime_sdk_voice.batch_delete_phone_number/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#batch_update_phone_number/2","title":"aws_chime_sdk_voice.batch_update_phone_number/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#batch_update_phone_number/3","title":"aws_chime_sdk_voice.batch_update_phone_number/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_phone_number_order/2","title":"aws_chime_sdk_voice.create_phone_number_order/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_phone_number_order/3","title":"aws_chime_sdk_voice.create_phone_number_order/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_proxy_session/3","title":"aws_chime_sdk_voice.create_proxy_session/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_proxy_session/4","title":"aws_chime_sdk_voice.create_proxy_session/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_sip_media_application/2","title":"aws_chime_sdk_voice.create_sip_media_application/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_sip_media_application/3","title":"aws_chime_sdk_voice.create_sip_media_application/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_sip_media_application_call/3","title":"aws_chime_sdk_voice.create_sip_media_application_call/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_sip_media_application_call/4","title":"aws_chime_sdk_voice.create_sip_media_application_call/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_sip_rule/2","title":"aws_chime_sdk_voice.create_sip_rule/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_sip_rule/3","title":"aws_chime_sdk_voice.create_sip_rule/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_voice_connector/2","title":"aws_chime_sdk_voice.create_voice_connector/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_voice_connector/3","title":"aws_chime_sdk_voice.create_voice_connector/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_voice_connector_group/2","title":"aws_chime_sdk_voice.create_voice_connector_group/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#create_voice_connector_group/3","title":"aws_chime_sdk_voice.create_voice_connector_group/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_phone_number/3","title":"aws_chime_sdk_voice.delete_phone_number/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_phone_number/4","title":"aws_chime_sdk_voice.delete_phone_number/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_proxy_session/4","title":"aws_chime_sdk_voice.delete_proxy_session/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_proxy_session/5","title":"aws_chime_sdk_voice.delete_proxy_session/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_sip_media_application/3","title":"aws_chime_sdk_voice.delete_sip_media_application/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_sip_media_application/4","title":"aws_chime_sdk_voice.delete_sip_media_application/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_sip_rule/3","title":"aws_chime_sdk_voice.delete_sip_rule/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_sip_rule/4","title":"aws_chime_sdk_voice.delete_sip_rule/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector/3","title":"aws_chime_sdk_voice.delete_voice_connector/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector/4","title":"aws_chime_sdk_voice.delete_voice_connector/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_emergency_calling_configuration/3","title":"aws_chime_sdk_voice.delete_voice_connector_emergency_calling_configuration/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_emergency_calling_configuration/4","title":"aws_chime_sdk_voice.delete_voice_connector_emergency_calling_configuration/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_group/3","title":"aws_chime_sdk_voice.delete_voice_connector_group/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_group/4","title":"aws_chime_sdk_voice.delete_voice_connector_group/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_origination/3","title":"aws_chime_sdk_voice.delete_voice_connector_origination/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_origination/4","title":"aws_chime_sdk_voice.delete_voice_connector_origination/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_proxy/3","title":"aws_chime_sdk_voice.delete_voice_connector_proxy/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_proxy/4","title":"aws_chime_sdk_voice.delete_voice_connector_proxy/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_streaming_configuration/3","title":"aws_chime_sdk_voice.delete_voice_connector_streaming_configuration/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_streaming_configuration/4","title":"aws_chime_sdk_voice.delete_voice_connector_streaming_configuration/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_termination/3","title":"aws_chime_sdk_voice.delete_voice_connector_termination/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_termination/4","title":"aws_chime_sdk_voice.delete_voice_connector_termination/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_termination_credentials/3","title":"aws_chime_sdk_voice.delete_voice_connector_termination_credentials/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#delete_voice_connector_termination_credentials/4","title":"aws_chime_sdk_voice.delete_voice_connector_termination_credentials/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#disassociate_phone_numbers_from_voice_connector/3","title":"aws_chime_sdk_voice.disassociate_phone_numbers_from_voice_connector/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#disassociate_phone_numbers_from_voice_connector/4","title":"aws_chime_sdk_voice.disassociate_phone_numbers_from_voice_connector/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#disassociate_phone_numbers_from_voice_connector_group/3","title":"aws_chime_sdk_voice.disassociate_phone_numbers_from_voice_connector_group/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#disassociate_phone_numbers_from_voice_connector_group/4","title":"aws_chime_sdk_voice.disassociate_phone_numbers_from_voice_connector_group/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_global_settings/1","title":"aws_chime_sdk_voice.get_global_settings/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_global_settings/3","title":"aws_chime_sdk_voice.get_global_settings/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_global_settings/4","title":"aws_chime_sdk_voice.get_global_settings/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_phone_number/2","title":"aws_chime_sdk_voice.get_phone_number/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_phone_number/4","title":"aws_chime_sdk_voice.get_phone_number/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_phone_number/5","title":"aws_chime_sdk_voice.get_phone_number/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_phone_number_order/2","title":"aws_chime_sdk_voice.get_phone_number_order/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_phone_number_order/4","title":"aws_chime_sdk_voice.get_phone_number_order/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_phone_number_order/5","title":"aws_chime_sdk_voice.get_phone_number_order/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_phone_number_settings/1","title":"aws_chime_sdk_voice.get_phone_number_settings/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_phone_number_settings/3","title":"aws_chime_sdk_voice.get_phone_number_settings/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_phone_number_settings/4","title":"aws_chime_sdk_voice.get_phone_number_settings/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_proxy_session/3","title":"aws_chime_sdk_voice.get_proxy_session/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_proxy_session/5","title":"aws_chime_sdk_voice.get_proxy_session/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_proxy_session/6","title":"aws_chime_sdk_voice.get_proxy_session/6","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_sip_media_application/2","title":"aws_chime_sdk_voice.get_sip_media_application/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_sip_media_application/4","title":"aws_chime_sdk_voice.get_sip_media_application/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_sip_media_application/5","title":"aws_chime_sdk_voice.get_sip_media_application/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_sip_media_application_alexa_skill_configuration/2","title":"aws_chime_sdk_voice.get_sip_media_application_alexa_skill_configuration/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_sip_media_application_alexa_skill_configuration/4","title":"aws_chime_sdk_voice.get_sip_media_application_alexa_skill_configuration/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_sip_media_application_alexa_skill_configuration/5","title":"aws_chime_sdk_voice.get_sip_media_application_alexa_skill_configuration/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_sip_media_application_logging_configuration/2","title":"aws_chime_sdk_voice.get_sip_media_application_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_sip_media_application_logging_configuration/4","title":"aws_chime_sdk_voice.get_sip_media_application_logging_configuration/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_sip_media_application_logging_configuration/5","title":"aws_chime_sdk_voice.get_sip_media_application_logging_configuration/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_sip_rule/2","title":"aws_chime_sdk_voice.get_sip_rule/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_sip_rule/4","title":"aws_chime_sdk_voice.get_sip_rule/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_sip_rule/5","title":"aws_chime_sdk_voice.get_sip_rule/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector/2","title":"aws_chime_sdk_voice.get_voice_connector/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector/4","title":"aws_chime_sdk_voice.get_voice_connector/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector/5","title":"aws_chime_sdk_voice.get_voice_connector/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_emergency_calling_configuration/2","title":"aws_chime_sdk_voice.get_voice_connector_emergency_calling_configuration/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_emergency_calling_configuration/4","title":"aws_chime_sdk_voice.get_voice_connector_emergency_calling_configuration/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_emergency_calling_configuration/5","title":"aws_chime_sdk_voice.get_voice_connector_emergency_calling_configuration/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_group/2","title":"aws_chime_sdk_voice.get_voice_connector_group/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_group/4","title":"aws_chime_sdk_voice.get_voice_connector_group/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_group/5","title":"aws_chime_sdk_voice.get_voice_connector_group/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_logging_configuration/2","title":"aws_chime_sdk_voice.get_voice_connector_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_logging_configuration/4","title":"aws_chime_sdk_voice.get_voice_connector_logging_configuration/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_logging_configuration/5","title":"aws_chime_sdk_voice.get_voice_connector_logging_configuration/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_origination/2","title":"aws_chime_sdk_voice.get_voice_connector_origination/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_origination/4","title":"aws_chime_sdk_voice.get_voice_connector_origination/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_origination/5","title":"aws_chime_sdk_voice.get_voice_connector_origination/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_proxy/2","title":"aws_chime_sdk_voice.get_voice_connector_proxy/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_proxy/4","title":"aws_chime_sdk_voice.get_voice_connector_proxy/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_proxy/5","title":"aws_chime_sdk_voice.get_voice_connector_proxy/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_streaming_configuration/2","title":"aws_chime_sdk_voice.get_voice_connector_streaming_configuration/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_streaming_configuration/4","title":"aws_chime_sdk_voice.get_voice_connector_streaming_configuration/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_streaming_configuration/5","title":"aws_chime_sdk_voice.get_voice_connector_streaming_configuration/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_termination/2","title":"aws_chime_sdk_voice.get_voice_connector_termination/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_termination/4","title":"aws_chime_sdk_voice.get_voice_connector_termination/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_termination/5","title":"aws_chime_sdk_voice.get_voice_connector_termination/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_termination_health/2","title":"aws_chime_sdk_voice.get_voice_connector_termination_health/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_termination_health/4","title":"aws_chime_sdk_voice.get_voice_connector_termination_health/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#get_voice_connector_termination_health/5","title":"aws_chime_sdk_voice.get_voice_connector_termination_health/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_available_voice_connector_regions/1","title":"aws_chime_sdk_voice.list_available_voice_connector_regions/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_available_voice_connector_regions/3","title":"aws_chime_sdk_voice.list_available_voice_connector_regions/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_available_voice_connector_regions/4","title":"aws_chime_sdk_voice.list_available_voice_connector_regions/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_phone_number_orders/1","title":"aws_chime_sdk_voice.list_phone_number_orders/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_phone_number_orders/3","title":"aws_chime_sdk_voice.list_phone_number_orders/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_phone_number_orders/4","title":"aws_chime_sdk_voice.list_phone_number_orders/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_phone_numbers/1","title":"aws_chime_sdk_voice.list_phone_numbers/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_phone_numbers/3","title":"aws_chime_sdk_voice.list_phone_numbers/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_phone_numbers/4","title":"aws_chime_sdk_voice.list_phone_numbers/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_proxy_sessions/2","title":"aws_chime_sdk_voice.list_proxy_sessions/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_proxy_sessions/4","title":"aws_chime_sdk_voice.list_proxy_sessions/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_proxy_sessions/5","title":"aws_chime_sdk_voice.list_proxy_sessions/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_sip_media_applications/1","title":"aws_chime_sdk_voice.list_sip_media_applications/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_sip_media_applications/3","title":"aws_chime_sdk_voice.list_sip_media_applications/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_sip_media_applications/4","title":"aws_chime_sdk_voice.list_sip_media_applications/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_sip_rules/1","title":"aws_chime_sdk_voice.list_sip_rules/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_sip_rules/3","title":"aws_chime_sdk_voice.list_sip_rules/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_sip_rules/4","title":"aws_chime_sdk_voice.list_sip_rules/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_supported_phone_number_countries/2","title":"aws_chime_sdk_voice.list_supported_phone_number_countries/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_supported_phone_number_countries/4","title":"aws_chime_sdk_voice.list_supported_phone_number_countries/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_supported_phone_number_countries/5","title":"aws_chime_sdk_voice.list_supported_phone_number_countries/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_voice_connector_groups/1","title":"aws_chime_sdk_voice.list_voice_connector_groups/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_voice_connector_groups/3","title":"aws_chime_sdk_voice.list_voice_connector_groups/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_voice_connector_groups/4","title":"aws_chime_sdk_voice.list_voice_connector_groups/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_voice_connector_termination_credentials/2","title":"aws_chime_sdk_voice.list_voice_connector_termination_credentials/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_voice_connector_termination_credentials/4","title":"aws_chime_sdk_voice.list_voice_connector_termination_credentials/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_voice_connector_termination_credentials/5","title":"aws_chime_sdk_voice.list_voice_connector_termination_credentials/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_voice_connectors/1","title":"aws_chime_sdk_voice.list_voice_connectors/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_voice_connectors/3","title":"aws_chime_sdk_voice.list_voice_connectors/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#list_voice_connectors/4","title":"aws_chime_sdk_voice.list_voice_connectors/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_sip_media_application_alexa_skill_configuration/3","title":"aws_chime_sdk_voice.put_sip_media_application_alexa_skill_configuration/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_sip_media_application_alexa_skill_configuration/4","title":"aws_chime_sdk_voice.put_sip_media_application_alexa_skill_configuration/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_sip_media_application_logging_configuration/3","title":"aws_chime_sdk_voice.put_sip_media_application_logging_configuration/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_sip_media_application_logging_configuration/4","title":"aws_chime_sdk_voice.put_sip_media_application_logging_configuration/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_emergency_calling_configuration/3","title":"aws_chime_sdk_voice.put_voice_connector_emergency_calling_configuration/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_emergency_calling_configuration/4","title":"aws_chime_sdk_voice.put_voice_connector_emergency_calling_configuration/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_logging_configuration/3","title":"aws_chime_sdk_voice.put_voice_connector_logging_configuration/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_logging_configuration/4","title":"aws_chime_sdk_voice.put_voice_connector_logging_configuration/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_origination/3","title":"aws_chime_sdk_voice.put_voice_connector_origination/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_origination/4","title":"aws_chime_sdk_voice.put_voice_connector_origination/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_proxy/3","title":"aws_chime_sdk_voice.put_voice_connector_proxy/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_proxy/4","title":"aws_chime_sdk_voice.put_voice_connector_proxy/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_streaming_configuration/3","title":"aws_chime_sdk_voice.put_voice_connector_streaming_configuration/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_streaming_configuration/4","title":"aws_chime_sdk_voice.put_voice_connector_streaming_configuration/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_termination/3","title":"aws_chime_sdk_voice.put_voice_connector_termination/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_termination/4","title":"aws_chime_sdk_voice.put_voice_connector_termination/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_termination_credentials/3","title":"aws_chime_sdk_voice.put_voice_connector_termination_credentials/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#put_voice_connector_termination_credentials/4","title":"aws_chime_sdk_voice.put_voice_connector_termination_credentials/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#restore_phone_number/3","title":"aws_chime_sdk_voice.restore_phone_number/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#restore_phone_number/4","title":"aws_chime_sdk_voice.restore_phone_number/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#search_available_phone_numbers/1","title":"aws_chime_sdk_voice.search_available_phone_numbers/1","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#search_available_phone_numbers/3","title":"aws_chime_sdk_voice.search_available_phone_numbers/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#search_available_phone_numbers/4","title":"aws_chime_sdk_voice.search_available_phone_numbers/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_global_settings/2","title":"aws_chime_sdk_voice.update_global_settings/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_global_settings/3","title":"aws_chime_sdk_voice.update_global_settings/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_phone_number/3","title":"aws_chime_sdk_voice.update_phone_number/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_phone_number/4","title":"aws_chime_sdk_voice.update_phone_number/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_phone_number_settings/2","title":"aws_chime_sdk_voice.update_phone_number_settings/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_phone_number_settings/3","title":"aws_chime_sdk_voice.update_phone_number_settings/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_proxy_session/4","title":"aws_chime_sdk_voice.update_proxy_session/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_proxy_session/5","title":"aws_chime_sdk_voice.update_proxy_session/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_sip_media_application/3","title":"aws_chime_sdk_voice.update_sip_media_application/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_sip_media_application/4","title":"aws_chime_sdk_voice.update_sip_media_application/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_sip_media_application_call/4","title":"aws_chime_sdk_voice.update_sip_media_application_call/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_sip_media_application_call/5","title":"aws_chime_sdk_voice.update_sip_media_application_call/5","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_sip_rule/3","title":"aws_chime_sdk_voice.update_sip_rule/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_sip_rule/4","title":"aws_chime_sdk_voice.update_sip_rule/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_voice_connector/3","title":"aws_chime_sdk_voice.update_voice_connector/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_voice_connector/4","title":"aws_chime_sdk_voice.update_voice_connector/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_voice_connector_group/3","title":"aws_chime_sdk_voice.update_voice_connector_group/3","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#update_voice_connector_group/4","title":"aws_chime_sdk_voice.update_voice_connector_group/4","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#validate_e911_address/2","title":"aws_chime_sdk_voice.validate_e911_address/2","type":"function"},{"doc":"","ref":"aws_chime_sdk_voice.html#validate_e911_address/3","title":"aws_chime_sdk_voice.validate_e911_address/3","type":"function"},{"doc":"AWS Clean Rooms is in preview release and is subject to change. Welcome to the AWS Clean Rooms API Reference. AWS Clean Rooms is an AWS service that helps multiple parties to join their data together in a secure collaboration workspace. In the collaboration, members who can query and receive results can get insights into the combined data without either party getting access to the other party's raw data. To learn more about AWS Clean Rooms concepts, procedures, and best practices, see the AWS Clean Rooms User Guide.","ref":"aws_cleanrooms.html","title":"aws_cleanrooms","type":"module"},{"doc":"Retrieves multiple schemas by their identifiers.","ref":"aws_cleanrooms.html#batch_get_schema/3","title":"aws_cleanrooms.batch_get_schema/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#batch_get_schema/4","title":"aws_cleanrooms.batch_get_schema/4","type":"function"},{"doc":"Creates a new collaboration.","ref":"aws_cleanrooms.html#create_collaboration/2","title":"aws_cleanrooms.create_collaboration/2","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#create_collaboration/3","title":"aws_cleanrooms.create_collaboration/3","type":"function"},{"doc":"Creates a new configured table resource.","ref":"aws_cleanrooms.html#create_configured_table/2","title":"aws_cleanrooms.create_configured_table/2","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#create_configured_table/3","title":"aws_cleanrooms.create_configured_table/3","type":"function"},{"doc":"Creates a new analysis rule for a configured table. Currently, only one analysis rule can be created for a given configured table.","ref":"aws_cleanrooms.html#create_configured_table_analysis_rule/3","title":"aws_cleanrooms.create_configured_table_analysis_rule/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#create_configured_table_analysis_rule/4","title":"aws_cleanrooms.create_configured_table_analysis_rule/4","type":"function"},{"doc":"Creates a configured table association. A configured table association links a configured table with a collaboration.","ref":"aws_cleanrooms.html#create_configured_table_association/3","title":"aws_cleanrooms.create_configured_table_association/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#create_configured_table_association/4","title":"aws_cleanrooms.create_configured_table_association/4","type":"function"},{"doc":"Creates a membership for a specific collaboration identifier and joins the collaboration.","ref":"aws_cleanrooms.html#create_membership/2","title":"aws_cleanrooms.create_membership/2","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#create_membership/3","title":"aws_cleanrooms.create_membership/3","type":"function"},{"doc":"Deletes a collaboration. It can only be called by the collaboration owner.","ref":"aws_cleanrooms.html#delete_collaboration/3","title":"aws_cleanrooms.delete_collaboration/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#delete_collaboration/4","title":"aws_cleanrooms.delete_collaboration/4","type":"function"},{"doc":"Deletes a configured table.","ref":"aws_cleanrooms.html#delete_configured_table/3","title":"aws_cleanrooms.delete_configured_table/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#delete_configured_table/4","title":"aws_cleanrooms.delete_configured_table/4","type":"function"},{"doc":"Deletes a configured table analysis rule.","ref":"aws_cleanrooms.html#delete_configured_table_analysis_rule/4","title":"aws_cleanrooms.delete_configured_table_analysis_rule/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#delete_configured_table_analysis_rule/5","title":"aws_cleanrooms.delete_configured_table_analysis_rule/5","type":"function"},{"doc":"Deletes a configured table association.","ref":"aws_cleanrooms.html#delete_configured_table_association/4","title":"aws_cleanrooms.delete_configured_table_association/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#delete_configured_table_association/5","title":"aws_cleanrooms.delete_configured_table_association/5","type":"function"},{"doc":"Removes the specified member from a collaboration. The removed member is placed in the Removed status and can't interact with the collaboration. The removed member's data is inaccessible to active members of the collaboration.","ref":"aws_cleanrooms.html#delete_member/4","title":"aws_cleanrooms.delete_member/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#delete_member/5","title":"aws_cleanrooms.delete_member/5","type":"function"},{"doc":"Deletes a specified membership. All resources under a membership must be deleted.","ref":"aws_cleanrooms.html#delete_membership/3","title":"aws_cleanrooms.delete_membership/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#delete_membership/4","title":"aws_cleanrooms.delete_membership/4","type":"function"},{"doc":"Returns metadata about a collaboration.","ref":"aws_cleanrooms.html#get_collaboration/2","title":"aws_cleanrooms.get_collaboration/2","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_collaboration/4","title":"aws_cleanrooms.get_collaboration/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_collaboration/5","title":"aws_cleanrooms.get_collaboration/5","type":"function"},{"doc":"Retrieves a configured table.","ref":"aws_cleanrooms.html#get_configured_table/2","title":"aws_cleanrooms.get_configured_table/2","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_configured_table/4","title":"aws_cleanrooms.get_configured_table/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_configured_table/5","title":"aws_cleanrooms.get_configured_table/5","type":"function"},{"doc":"Retrieves a configured table analysis rule.","ref":"aws_cleanrooms.html#get_configured_table_analysis_rule/3","title":"aws_cleanrooms.get_configured_table_analysis_rule/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_configured_table_analysis_rule/5","title":"aws_cleanrooms.get_configured_table_analysis_rule/5","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_configured_table_analysis_rule/6","title":"aws_cleanrooms.get_configured_table_analysis_rule/6","type":"function"},{"doc":"Retrieves a configured table association.","ref":"aws_cleanrooms.html#get_configured_table_association/3","title":"aws_cleanrooms.get_configured_table_association/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_configured_table_association/5","title":"aws_cleanrooms.get_configured_table_association/5","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_configured_table_association/6","title":"aws_cleanrooms.get_configured_table_association/6","type":"function"},{"doc":"Retrieves a specified membership for an identifier.","ref":"aws_cleanrooms.html#get_membership/2","title":"aws_cleanrooms.get_membership/2","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_membership/4","title":"aws_cleanrooms.get_membership/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_membership/5","title":"aws_cleanrooms.get_membership/5","type":"function"},{"doc":"Returns query processing metadata.","ref":"aws_cleanrooms.html#get_protected_query/3","title":"aws_cleanrooms.get_protected_query/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_protected_query/5","title":"aws_cleanrooms.get_protected_query/5","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_protected_query/6","title":"aws_cleanrooms.get_protected_query/6","type":"function"},{"doc":"Retrieves the schema for a relation within a collaboration.","ref":"aws_cleanrooms.html#get_schema/3","title":"aws_cleanrooms.get_schema/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_schema/5","title":"aws_cleanrooms.get_schema/5","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_schema/6","title":"aws_cleanrooms.get_schema/6","type":"function"},{"doc":"Retrieves a schema analysis rule.","ref":"aws_cleanrooms.html#get_schema_analysis_rule/4","title":"aws_cleanrooms.get_schema_analysis_rule/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_schema_analysis_rule/6","title":"aws_cleanrooms.get_schema_analysis_rule/6","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#get_schema_analysis_rule/7","title":"aws_cleanrooms.get_schema_analysis_rule/7","type":"function"},{"doc":"Lists collaborations the caller owns, is active in, or has been invited to.","ref":"aws_cleanrooms.html#list_collaborations/1","title":"aws_cleanrooms.list_collaborations/1","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_collaborations/3","title":"aws_cleanrooms.list_collaborations/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_collaborations/4","title":"aws_cleanrooms.list_collaborations/4","type":"function"},{"doc":"Lists configured table associations for a membership.","ref":"aws_cleanrooms.html#list_configured_table_associations/2","title":"aws_cleanrooms.list_configured_table_associations/2","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_configured_table_associations/4","title":"aws_cleanrooms.list_configured_table_associations/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_configured_table_associations/5","title":"aws_cleanrooms.list_configured_table_associations/5","type":"function"},{"doc":"Lists configured tables.","ref":"aws_cleanrooms.html#list_configured_tables/1","title":"aws_cleanrooms.list_configured_tables/1","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_configured_tables/3","title":"aws_cleanrooms.list_configured_tables/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_configured_tables/4","title":"aws_cleanrooms.list_configured_tables/4","type":"function"},{"doc":"Lists all members within a collaboration.","ref":"aws_cleanrooms.html#list_members/2","title":"aws_cleanrooms.list_members/2","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_members/4","title":"aws_cleanrooms.list_members/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_members/5","title":"aws_cleanrooms.list_members/5","type":"function"},{"doc":"Lists all memberships resources within the caller's account.","ref":"aws_cleanrooms.html#list_memberships/1","title":"aws_cleanrooms.list_memberships/1","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_memberships/3","title":"aws_cleanrooms.list_memberships/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_memberships/4","title":"aws_cleanrooms.list_memberships/4","type":"function"},{"doc":"Lists protected queries, sorted by the most recent query.","ref":"aws_cleanrooms.html#list_protected_queries/2","title":"aws_cleanrooms.list_protected_queries/2","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_protected_queries/4","title":"aws_cleanrooms.list_protected_queries/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_protected_queries/5","title":"aws_cleanrooms.list_protected_queries/5","type":"function"},{"doc":"Lists the schemas for relations within a collaboration.","ref":"aws_cleanrooms.html#list_schemas/2","title":"aws_cleanrooms.list_schemas/2","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_schemas/4","title":"aws_cleanrooms.list_schemas/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#list_schemas/5","title":"aws_cleanrooms.list_schemas/5","type":"function"},{"doc":"Creates a protected query that is started by AWS Clean Rooms.","ref":"aws_cleanrooms.html#start_protected_query/3","title":"aws_cleanrooms.start_protected_query/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#start_protected_query/4","title":"aws_cleanrooms.start_protected_query/4","type":"function"},{"doc":"Updates collaboration metadata and can only be called by the collaboration owner.","ref":"aws_cleanrooms.html#update_collaboration/3","title":"aws_cleanrooms.update_collaboration/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#update_collaboration/4","title":"aws_cleanrooms.update_collaboration/4","type":"function"},{"doc":"Updates a configured table.","ref":"aws_cleanrooms.html#update_configured_table/3","title":"aws_cleanrooms.update_configured_table/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#update_configured_table/4","title":"aws_cleanrooms.update_configured_table/4","type":"function"},{"doc":"Updates a configured table analysis rule.","ref":"aws_cleanrooms.html#update_configured_table_analysis_rule/4","title":"aws_cleanrooms.update_configured_table_analysis_rule/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#update_configured_table_analysis_rule/5","title":"aws_cleanrooms.update_configured_table_analysis_rule/5","type":"function"},{"doc":"Updates a configured table association.","ref":"aws_cleanrooms.html#update_configured_table_association/4","title":"aws_cleanrooms.update_configured_table_association/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#update_configured_table_association/5","title":"aws_cleanrooms.update_configured_table_association/5","type":"function"},{"doc":"Updates a membership.","ref":"aws_cleanrooms.html#update_membership/3","title":"aws_cleanrooms.update_membership/3","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#update_membership/4","title":"aws_cleanrooms.update_membership/4","type":"function"},{"doc":"Updates the processing of a currently running query.","ref":"aws_cleanrooms.html#update_protected_query/4","title":"aws_cleanrooms.update_protected_query/4","type":"function"},{"doc":"","ref":"aws_cleanrooms.html#update_protected_query/5","title":"aws_cleanrooms.update_protected_query/5","type":"function"},{"doc":"","ref":"aws_client.html","title":"aws_client","type":"module"},{"doc":"","ref":"aws_client.html#make_client/0","title":"aws_client.make_client/0","type":"function"},{"doc":"","ref":"aws_client.html#make_client/1","title":"aws_client.make_client/1","type":"function"},{"doc":"","ref":"aws_client.html#make_client/3","title":"aws_client.make_client/3","type":"function"},{"doc":"","ref":"aws_client.html#make_local_client/3","title":"aws_client.make_local_client/3","type":"function"},{"doc":"","ref":"aws_client.html#make_local_client/4","title":"aws_client.make_local_client/4","type":"function"},{"doc":"","ref":"aws_client.html#make_temporary_client/4","title":"aws_client.make_temporary_client/4","type":"function"},{"doc":"","ref":"aws_client.html#t:access_key_id/0","title":"aws_client.access_key_id/0","type":"type"},{"doc":"","ref":"aws_client.html#t:aws_client/0","title":"aws_client.aws_client/0","type":"type"},{"doc":"","ref":"aws_client.html#t:endpoint/0","title":"aws_client.endpoint/0","type":"type"},{"doc":"","ref":"aws_client.html#t:http_port/0","title":"aws_client.http_port/0","type":"type"},{"doc":"","ref":"aws_client.html#t:region/0","title":"aws_client.region/0","type":"type"},{"doc":"","ref":"aws_client.html#t:secret_access_key/0","title":"aws_client.secret_access_key/0","type":"type"},{"doc":"","ref":"aws_client.html#t:token/0","title":"aws_client.token/0","type":"type"},{"doc":"Cloud9 Cloud9 is a collection of tools that you can use to code, build, run, test, debug, and release software in the cloud. For more information about Cloud9, see the Cloud9 User Guide. Cloud9 supports these operations: CreateEnvironmentEC2 : Creates an Cloud9 development environment, launches an Amazon EC2 instance, and then connects from the instance to the environment. CreateEnvironmentMembership : Adds an environment member to an environment. DeleteEnvironment : Deletes an environment. If an Amazon EC2 instance is connected to the environment, also terminates the instance. DeleteEnvironmentMembership : Deletes an environment member from an environment. DescribeEnvironmentMemberships : Gets information about environment members for an environment. DescribeEnvironments : Gets information about environments. DescribeEnvironmentStatus : Gets status information for an environment. ListEnvironments : Gets a list of environment identifiers. ListTagsForResource : Gets the tags for an environment. TagResource : Adds tags to an environment. UntagResource : Removes tags from an environment. UpdateEnvironment : Changes the settings of an existing environment. UpdateEnvironmentMembership : Changes the settings of an existing environment member for an environment.","ref":"aws_cloud9.html","title":"aws_cloud9","type":"module"},{"doc":"Creates an Cloud9 development environment, launches an Amazon Elastic Compute Cloud (Amazon EC2) instance, and then connects from the instance to the environment.","ref":"aws_cloud9.html#create_environment_ec2/2","title":"aws_cloud9.create_environment_ec2/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#create_environment_ec2/3","title":"aws_cloud9.create_environment_ec2/3","type":"function"},{"doc":"Adds an environment member to an Cloud9 development environment.","ref":"aws_cloud9.html#create_environment_membership/2","title":"aws_cloud9.create_environment_membership/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#create_environment_membership/3","title":"aws_cloud9.create_environment_membership/3","type":"function"},{"doc":"Deletes an Cloud9 development environment. If an Amazon EC2 instance is connected to the environment, also terminates the instance.","ref":"aws_cloud9.html#delete_environment/2","title":"aws_cloud9.delete_environment/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#delete_environment/3","title":"aws_cloud9.delete_environment/3","type":"function"},{"doc":"Deletes an environment member from a development environment.","ref":"aws_cloud9.html#delete_environment_membership/2","title":"aws_cloud9.delete_environment_membership/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#delete_environment_membership/3","title":"aws_cloud9.delete_environment_membership/3","type":"function"},{"doc":"Gets information about environment members for an Cloud9 development environment.","ref":"aws_cloud9.html#describe_environment_memberships/2","title":"aws_cloud9.describe_environment_memberships/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#describe_environment_memberships/3","title":"aws_cloud9.describe_environment_memberships/3","type":"function"},{"doc":"Gets status information for an Cloud9 development environment.","ref":"aws_cloud9.html#describe_environment_status/2","title":"aws_cloud9.describe_environment_status/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#describe_environment_status/3","title":"aws_cloud9.describe_environment_status/3","type":"function"},{"doc":"Gets information about Cloud9 development environments.","ref":"aws_cloud9.html#describe_environments/2","title":"aws_cloud9.describe_environments/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#describe_environments/3","title":"aws_cloud9.describe_environments/3","type":"function"},{"doc":"Gets a list of Cloud9 development environment identifiers.","ref":"aws_cloud9.html#list_environments/2","title":"aws_cloud9.list_environments/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#list_environments/3","title":"aws_cloud9.list_environments/3","type":"function"},{"doc":"Gets a list of the tags associated with an Cloud9 development environment.","ref":"aws_cloud9.html#list_tags_for_resource/2","title":"aws_cloud9.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#list_tags_for_resource/3","title":"aws_cloud9.list_tags_for_resource/3","type":"function"},{"doc":"Adds tags to an Cloud9 development environment. Tags that you add to an Cloud9 environment by using this method will NOT be automatically propagated to underlying resources.","ref":"aws_cloud9.html#tag_resource/2","title":"aws_cloud9.tag_resource/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#tag_resource/3","title":"aws_cloud9.tag_resource/3","type":"function"},{"doc":"Removes tags from an Cloud9 development environment.","ref":"aws_cloud9.html#untag_resource/2","title":"aws_cloud9.untag_resource/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#untag_resource/3","title":"aws_cloud9.untag_resource/3","type":"function"},{"doc":"Changes the settings of an existing Cloud9 development environment.","ref":"aws_cloud9.html#update_environment/2","title":"aws_cloud9.update_environment/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#update_environment/3","title":"aws_cloud9.update_environment/3","type":"function"},{"doc":"Changes the settings of an existing environment member for an Cloud9 development environment.","ref":"aws_cloud9.html#update_environment_membership/2","title":"aws_cloud9.update_environment_membership/2","type":"function"},{"doc":"","ref":"aws_cloud9.html#update_environment_membership/3","title":"aws_cloud9.update_environment_membership/3","type":"function"},{"doc":"For more information about Amazon Web Services Cloud Control API, see the Amazon Web Services Cloud Control API User Guide.","ref":"aws_cloudcontrol.html","title":"aws_cloudcontrol","type":"module"},{"doc":"Cancels the specified resource operation request. For more information, see Canceling resource operation requests in the Amazon Web Services Cloud Control API User Guide. Only resource operations requests with a status of PENDING or IN_PROGRESS can be canceled.","ref":"aws_cloudcontrol.html#cancel_resource_request/2","title":"aws_cloudcontrol.cancel_resource_request/2","type":"function"},{"doc":"","ref":"aws_cloudcontrol.html#cancel_resource_request/3","title":"aws_cloudcontrol.cancel_resource_request/3","type":"function"},{"doc":"Creates the specified resource. For more information, see Creating a resource in the Amazon Web Services Cloud Control API User Guide. After you have initiated a resource creation request, you can monitor the progress of your request by calling GetResourceRequestStatus using the RequestToken of the ProgressEvent type returned by CreateResource .","ref":"aws_cloudcontrol.html#create_resource/2","title":"aws_cloudcontrol.create_resource/2","type":"function"},{"doc":"","ref":"aws_cloudcontrol.html#create_resource/3","title":"aws_cloudcontrol.create_resource/3","type":"function"},{"doc":"Deletes the specified resource. For details, see Deleting a resource in the Amazon Web Services Cloud Control API User Guide. After you have initiated a resource deletion request, you can monitor the progress of your request by calling GetResourceRequestStatus using the RequestToken of the ProgressEvent returned by DeleteResource .","ref":"aws_cloudcontrol.html#delete_resource/2","title":"aws_cloudcontrol.delete_resource/2","type":"function"},{"doc":"","ref":"aws_cloudcontrol.html#delete_resource/3","title":"aws_cloudcontrol.delete_resource/3","type":"function"},{"doc":"Returns information about the current state of the specified resource. For details, see Reading a resource's current state. You can use this action to return information about an existing resource in your account and Amazon Web Services Region, whether those resources were provisioned using Cloud Control API.","ref":"aws_cloudcontrol.html#get_resource/2","title":"aws_cloudcontrol.get_resource/2","type":"function"},{"doc":"","ref":"aws_cloudcontrol.html#get_resource/3","title":"aws_cloudcontrol.get_resource/3","type":"function"},{"doc":"Returns the current status of a resource operation request. For more information, see Tracking the progress of resource operation requests in the Amazon Web Services Cloud Control API User Guide.","ref":"aws_cloudcontrol.html#get_resource_request_status/2","title":"aws_cloudcontrol.get_resource_request_status/2","type":"function"},{"doc":"","ref":"aws_cloudcontrol.html#get_resource_request_status/3","title":"aws_cloudcontrol.get_resource_request_status/3","type":"function"},{"doc":"Returns existing resource operation requests. This includes requests of all status types. For more information, see Listing active resource operation requests in the Amazon Web Services Cloud Control API User Guide. Resource operation requests expire after 7 days.","ref":"aws_cloudcontrol.html#list_resource_requests/2","title":"aws_cloudcontrol.list_resource_requests/2","type":"function"},{"doc":"","ref":"aws_cloudcontrol.html#list_resource_requests/3","title":"aws_cloudcontrol.list_resource_requests/3","type":"function"},{"doc":"Returns information about the specified resources. For more information, see Discovering resources in the Amazon Web Services Cloud Control API User Guide. You can use this action to return information about existing resources in your account and Amazon Web Services Region, whether those resources were provisioned using Cloud Control API.","ref":"aws_cloudcontrol.html#list_resources/2","title":"aws_cloudcontrol.list_resources/2","type":"function"},{"doc":"","ref":"aws_cloudcontrol.html#list_resources/3","title":"aws_cloudcontrol.list_resources/3","type":"function"},{"doc":"Updates the specified property values in the resource. You specify your resource property updates as a list of patch operations contained in a JSON patch document that adheres to the RFC 6902 - JavaScript Object Notation (JSON) Patch standard. For details on how Cloud Control API performs resource update operations, see Updating a resource in the Amazon Web Services Cloud Control API User Guide. After you have initiated a resource update request, you can monitor the progress of your request by calling GetResourceRequestStatus using the RequestToken of the ProgressEvent returned by UpdateResource . For more information about the properties of a specific resource, refer to the related topic for the resource in the Resource and property types reference in the CloudFormation Users Guide.","ref":"aws_cloudcontrol.html#update_resource/2","title":"aws_cloudcontrol.update_resource/2","type":"function"},{"doc":"","ref":"aws_cloudcontrol.html#update_resource/3","title":"aws_cloudcontrol.update_resource/3","type":"function"},{"doc":"Amazon Cloud Directory Amazon Cloud Directory is a component of the AWS Directory Service that simplifies the development and management of cloud-scale web, mobile, and IoT applications. This guide describes the Cloud Directory operations that you can call programmatically and includes detailed information on data types and errors. For information about Cloud Directory features, see AWS Directory Service and the Amazon Cloud Directory Developer Guide.","ref":"aws_clouddirectory.html","title":"aws_clouddirectory","type":"module"},{"doc":"Adds a new Facet to an object. An object can have more than one facet applied on it.","ref":"aws_clouddirectory.html#add_facet_to_object/2","title":"aws_clouddirectory.add_facet_to_object/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#add_facet_to_object/3","title":"aws_clouddirectory.add_facet_to_object/3","type":"function"},{"doc":"Copies the input published schema, at the specified version, into the Directory with the same name and version as that of the published schema.","ref":"aws_clouddirectory.html#apply_schema/2","title":"aws_clouddirectory.apply_schema/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#apply_schema/3","title":"aws_clouddirectory.apply_schema/3","type":"function"},{"doc":"Attaches an existing object to another object. An object can be accessed in two ways: Using the path Using ObjectIdentifier","ref":"aws_clouddirectory.html#attach_object/2","title":"aws_clouddirectory.attach_object/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#attach_object/3","title":"aws_clouddirectory.attach_object/3","type":"function"},{"doc":"Attaches a policy object to a regular object. An object can have a limited number of attached policies.","ref":"aws_clouddirectory.html#attach_policy/2","title":"aws_clouddirectory.attach_policy/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#attach_policy/3","title":"aws_clouddirectory.attach_policy/3","type":"function"},{"doc":"Attaches the specified object to the specified index.","ref":"aws_clouddirectory.html#attach_to_index/2","title":"aws_clouddirectory.attach_to_index/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#attach_to_index/3","title":"aws_clouddirectory.attach_to_index/3","type":"function"},{"doc":"Attaches a typed link to a specified source and target object. For more information, see Typed Links.","ref":"aws_clouddirectory.html#attach_typed_link/2","title":"aws_clouddirectory.attach_typed_link/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#attach_typed_link/3","title":"aws_clouddirectory.attach_typed_link/3","type":"function"},{"doc":"Performs all the read operations in a batch.","ref":"aws_clouddirectory.html#batch_read/2","title":"aws_clouddirectory.batch_read/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#batch_read/3","title":"aws_clouddirectory.batch_read/3","type":"function"},{"doc":"Performs all the write operations in a batch. Either all the operations succeed or none.","ref":"aws_clouddirectory.html#batch_write/2","title":"aws_clouddirectory.batch_write/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#batch_write/3","title":"aws_clouddirectory.batch_write/3","type":"function"},{"doc":"Creates a Directory by copying the published schema into the directory. A directory cannot be created without a schema. You can also quickly create a directory using a managed schema, called the QuickStartSchema . For more information, see Managed Schema in the Amazon Cloud Directory Developer Guide.","ref":"aws_clouddirectory.html#create_directory/2","title":"aws_clouddirectory.create_directory/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#create_directory/3","title":"aws_clouddirectory.create_directory/3","type":"function"},{"doc":"Creates a new Facet in a schema. Facet creation is allowed only in development or applied schemas.","ref":"aws_clouddirectory.html#create_facet/2","title":"aws_clouddirectory.create_facet/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#create_facet/3","title":"aws_clouddirectory.create_facet/3","type":"function"},{"doc":"Creates an index object. See Indexing and search for more information.","ref":"aws_clouddirectory.html#create_index/2","title":"aws_clouddirectory.create_index/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#create_index/3","title":"aws_clouddirectory.create_index/3","type":"function"},{"doc":"Creates an object in a Directory . Additionally attaches the object to a parent, if a parent reference and LinkName is specified. An object is simply a collection of Facet attributes. You can also use this API call to create a policy object, if the facet from which you create the object is a policy facet.","ref":"aws_clouddirectory.html#create_object/2","title":"aws_clouddirectory.create_object/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#create_object/3","title":"aws_clouddirectory.create_object/3","type":"function"},{"doc":"Creates a new schema in a development state. A schema can exist in three phases: Development: This is a mutable phase of the schema. All new schemas are in the development phase. Once the schema is finalized, it can be published. Published: Published schemas are immutable and have a version associated with them. Applied: Applied schemas are mutable in a way that allows you to add new schema facets. You can also add new, nonrequired attributes to existing schema facets. You can apply only published schemas to directories.","ref":"aws_clouddirectory.html#create_schema/2","title":"aws_clouddirectory.create_schema/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#create_schema/3","title":"aws_clouddirectory.create_schema/3","type":"function"},{"doc":"Creates a TypedLinkFacet . For more information, see Typed Links.","ref":"aws_clouddirectory.html#create_typed_link_facet/2","title":"aws_clouddirectory.create_typed_link_facet/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#create_typed_link_facet/3","title":"aws_clouddirectory.create_typed_link_facet/3","type":"function"},{"doc":"Deletes a directory. Only disabled directories can be deleted. A deleted directory cannot be undone. Exercise extreme caution when deleting directories.","ref":"aws_clouddirectory.html#delete_directory/2","title":"aws_clouddirectory.delete_directory/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#delete_directory/3","title":"aws_clouddirectory.delete_directory/3","type":"function"},{"doc":"Deletes a given Facet . All attributes and Rule s that are associated with the facet will be deleted. Only development schema facets are allowed deletion.","ref":"aws_clouddirectory.html#delete_facet/2","title":"aws_clouddirectory.delete_facet/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#delete_facet/3","title":"aws_clouddirectory.delete_facet/3","type":"function"},{"doc":"Deletes an object and its associated attributes. Only objects with no children and no parents can be deleted. The maximum number of attributes that can be deleted during an object deletion is 30. For more information, see Amazon Cloud Directory Limits.","ref":"aws_clouddirectory.html#delete_object/2","title":"aws_clouddirectory.delete_object/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#delete_object/3","title":"aws_clouddirectory.delete_object/3","type":"function"},{"doc":"Deletes a given schema. Schemas in a development and published state can only be deleted.","ref":"aws_clouddirectory.html#delete_schema/2","title":"aws_clouddirectory.delete_schema/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#delete_schema/3","title":"aws_clouddirectory.delete_schema/3","type":"function"},{"doc":"Deletes a TypedLinkFacet . For more information, see Typed Links.","ref":"aws_clouddirectory.html#delete_typed_link_facet/2","title":"aws_clouddirectory.delete_typed_link_facet/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#delete_typed_link_facet/3","title":"aws_clouddirectory.delete_typed_link_facet/3","type":"function"},{"doc":"Detaches the specified object from the specified index.","ref":"aws_clouddirectory.html#detach_from_index/2","title":"aws_clouddirectory.detach_from_index/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#detach_from_index/3","title":"aws_clouddirectory.detach_from_index/3","type":"function"},{"doc":"Detaches a given object from the parent object. The object that is to be detached from the parent is specified by the link name.","ref":"aws_clouddirectory.html#detach_object/2","title":"aws_clouddirectory.detach_object/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#detach_object/3","title":"aws_clouddirectory.detach_object/3","type":"function"},{"doc":"Detaches a policy from an object.","ref":"aws_clouddirectory.html#detach_policy/2","title":"aws_clouddirectory.detach_policy/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#detach_policy/3","title":"aws_clouddirectory.detach_policy/3","type":"function"},{"doc":"Detaches a typed link from a specified source and target object. For more information, see Typed Links.","ref":"aws_clouddirectory.html#detach_typed_link/2","title":"aws_clouddirectory.detach_typed_link/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#detach_typed_link/3","title":"aws_clouddirectory.detach_typed_link/3","type":"function"},{"doc":"Disables the specified directory. Disabled directories cannot be read or written to. Only enabled directories can be disabled. Disabled directories may be reenabled.","ref":"aws_clouddirectory.html#disable_directory/2","title":"aws_clouddirectory.disable_directory/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#disable_directory/3","title":"aws_clouddirectory.disable_directory/3","type":"function"},{"doc":"Enables the specified directory. Only disabled directories can be enabled. Once enabled, the directory can then be read and written to.","ref":"aws_clouddirectory.html#enable_directory/2","title":"aws_clouddirectory.enable_directory/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#enable_directory/3","title":"aws_clouddirectory.enable_directory/3","type":"function"},{"doc":"Returns current applied schema version ARN, including the minor version in use.","ref":"aws_clouddirectory.html#get_applied_schema_version/2","title":"aws_clouddirectory.get_applied_schema_version/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#get_applied_schema_version/3","title":"aws_clouddirectory.get_applied_schema_version/3","type":"function"},{"doc":"Retrieves metadata about a directory.","ref":"aws_clouddirectory.html#get_directory/2","title":"aws_clouddirectory.get_directory/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#get_directory/3","title":"aws_clouddirectory.get_directory/3","type":"function"},{"doc":"Gets details of the Facet , such as facet name, attributes, Rule s, or ObjectType . You can call this on all kinds of schema facets -- published, development, or applied.","ref":"aws_clouddirectory.html#get_facet/2","title":"aws_clouddirectory.get_facet/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#get_facet/3","title":"aws_clouddirectory.get_facet/3","type":"function"},{"doc":"Retrieves attributes that are associated with a typed link.","ref":"aws_clouddirectory.html#get_link_attributes/2","title":"aws_clouddirectory.get_link_attributes/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#get_link_attributes/3","title":"aws_clouddirectory.get_link_attributes/3","type":"function"},{"doc":"Retrieves attributes within a facet that are associated with an object.","ref":"aws_clouddirectory.html#get_object_attributes/2","title":"aws_clouddirectory.get_object_attributes/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#get_object_attributes/3","title":"aws_clouddirectory.get_object_attributes/3","type":"function"},{"doc":"Retrieves metadata about an object.","ref":"aws_clouddirectory.html#get_object_information/2","title":"aws_clouddirectory.get_object_information/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#get_object_information/3","title":"aws_clouddirectory.get_object_information/3","type":"function"},{"doc":"Retrieves a JSON representation of the schema. See JSON Schema Format for more information.","ref":"aws_clouddirectory.html#get_schema_as_json/2","title":"aws_clouddirectory.get_schema_as_json/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#get_schema_as_json/3","title":"aws_clouddirectory.get_schema_as_json/3","type":"function"},{"doc":"Returns the identity attribute order for a specific TypedLinkFacet . For more information, see Typed Links.","ref":"aws_clouddirectory.html#get_typed_link_facet_information/2","title":"aws_clouddirectory.get_typed_link_facet_information/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#get_typed_link_facet_information/3","title":"aws_clouddirectory.get_typed_link_facet_information/3","type":"function"},{"doc":"Lists schema major versions applied to a directory. If SchemaArn is provided, lists the minor version.","ref":"aws_clouddirectory.html#list_applied_schema_arns/2","title":"aws_clouddirectory.list_applied_schema_arns/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_applied_schema_arns/3","title":"aws_clouddirectory.list_applied_schema_arns/3","type":"function"},{"doc":"Lists indices attached to the specified object.","ref":"aws_clouddirectory.html#list_attached_indices/2","title":"aws_clouddirectory.list_attached_indices/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_attached_indices/3","title":"aws_clouddirectory.list_attached_indices/3","type":"function"},{"doc":"Retrieves each Amazon Resource Name (ARN) of schemas in the development state.","ref":"aws_clouddirectory.html#list_development_schema_arns/2","title":"aws_clouddirectory.list_development_schema_arns/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_development_schema_arns/3","title":"aws_clouddirectory.list_development_schema_arns/3","type":"function"},{"doc":"Lists directories created within an account.","ref":"aws_clouddirectory.html#list_directories/2","title":"aws_clouddirectory.list_directories/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_directories/3","title":"aws_clouddirectory.list_directories/3","type":"function"},{"doc":"Retrieves attributes attached to the facet.","ref":"aws_clouddirectory.html#list_facet_attributes/2","title":"aws_clouddirectory.list_facet_attributes/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_facet_attributes/3","title":"aws_clouddirectory.list_facet_attributes/3","type":"function"},{"doc":"Retrieves the names of facets that exist in a schema.","ref":"aws_clouddirectory.html#list_facet_names/2","title":"aws_clouddirectory.list_facet_names/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_facet_names/3","title":"aws_clouddirectory.list_facet_names/3","type":"function"},{"doc":"Returns a paginated list of all the incoming TypedLinkSpecifier information for an object. It also supports filtering by typed link facet and identity attributes. For more information, see Typed Links.","ref":"aws_clouddirectory.html#list_incoming_typed_links/2","title":"aws_clouddirectory.list_incoming_typed_links/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_incoming_typed_links/3","title":"aws_clouddirectory.list_incoming_typed_links/3","type":"function"},{"doc":"Lists objects attached to the specified index.","ref":"aws_clouddirectory.html#list_index/2","title":"aws_clouddirectory.list_index/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_index/3","title":"aws_clouddirectory.list_index/3","type":"function"},{"doc":"Lists the major version families of each managed schema. If a major version ARN is provided as SchemaArn, the minor version revisions in that family are listed instead.","ref":"aws_clouddirectory.html#list_managed_schema_arns/2","title":"aws_clouddirectory.list_managed_schema_arns/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_managed_schema_arns/3","title":"aws_clouddirectory.list_managed_schema_arns/3","type":"function"},{"doc":"Lists all attributes that are associated with an object.","ref":"aws_clouddirectory.html#list_object_attributes/2","title":"aws_clouddirectory.list_object_attributes/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_object_attributes/3","title":"aws_clouddirectory.list_object_attributes/3","type":"function"},{"doc":"Returns a paginated list of child objects that are associated with a given object.","ref":"aws_clouddirectory.html#list_object_children/2","title":"aws_clouddirectory.list_object_children/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_object_children/3","title":"aws_clouddirectory.list_object_children/3","type":"function"},{"doc":"Retrieves all available parent paths for any object type such as node, leaf node, policy node, and index node objects. For more information about objects, see Directory Structure. Use this API to evaluate all parents for an object. The call returns all objects from the root of the directory up to the requested object. The API returns the number of paths based on user-defined MaxResults , in case there are multiple paths to the parent. The order of the paths and nodes returned is consistent among multiple API calls unless the objects are deleted or moved. Paths not leading to the directory root are ignored from the target object.","ref":"aws_clouddirectory.html#list_object_parent_paths/2","title":"aws_clouddirectory.list_object_parent_paths/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_object_parent_paths/3","title":"aws_clouddirectory.list_object_parent_paths/3","type":"function"},{"doc":"Lists parent objects that are associated with a given object in pagination fashion.","ref":"aws_clouddirectory.html#list_object_parents/2","title":"aws_clouddirectory.list_object_parents/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_object_parents/3","title":"aws_clouddirectory.list_object_parents/3","type":"function"},{"doc":"Returns policies attached to an object in pagination fashion.","ref":"aws_clouddirectory.html#list_object_policies/2","title":"aws_clouddirectory.list_object_policies/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_object_policies/3","title":"aws_clouddirectory.list_object_policies/3","type":"function"},{"doc":"Returns a paginated list of all the outgoing TypedLinkSpecifier information for an object. It also supports filtering by typed link facet and identity attributes. For more information, see Typed Links.","ref":"aws_clouddirectory.html#list_outgoing_typed_links/2","title":"aws_clouddirectory.list_outgoing_typed_links/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_outgoing_typed_links/3","title":"aws_clouddirectory.list_outgoing_typed_links/3","type":"function"},{"doc":"Returns all of the ObjectIdentifiers to which a given policy is attached.","ref":"aws_clouddirectory.html#list_policy_attachments/2","title":"aws_clouddirectory.list_policy_attachments/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_policy_attachments/3","title":"aws_clouddirectory.list_policy_attachments/3","type":"function"},{"doc":"Lists the major version families of each published schema. If a major version ARN is provided as SchemaArn , the minor version revisions in that family are listed instead.","ref":"aws_clouddirectory.html#list_published_schema_arns/2","title":"aws_clouddirectory.list_published_schema_arns/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_published_schema_arns/3","title":"aws_clouddirectory.list_published_schema_arns/3","type":"function"},{"doc":"Returns tags for a resource. Tagging is currently supported only for directories with a limit of 50 tags per directory. All 50 tags are returned for a given directory with this API call.","ref":"aws_clouddirectory.html#list_tags_for_resource/2","title":"aws_clouddirectory.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_tags_for_resource/3","title":"aws_clouddirectory.list_tags_for_resource/3","type":"function"},{"doc":"Returns a paginated list of all attribute definitions for a particular TypedLinkFacet . For more information, see Typed Links.","ref":"aws_clouddirectory.html#list_typed_link_facet_attributes/2","title":"aws_clouddirectory.list_typed_link_facet_attributes/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_typed_link_facet_attributes/3","title":"aws_clouddirectory.list_typed_link_facet_attributes/3","type":"function"},{"doc":"Returns a paginated list of TypedLink facet names for a particular schema. For more information, see Typed Links.","ref":"aws_clouddirectory.html#list_typed_link_facet_names/2","title":"aws_clouddirectory.list_typed_link_facet_names/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#list_typed_link_facet_names/3","title":"aws_clouddirectory.list_typed_link_facet_names/3","type":"function"},{"doc":"Lists all policies from the root of the Directory to the object specified. If there are no policies present, an empty list is returned. If policies are present, and if some objects don't have the policies attached, it returns the ObjectIdentifier for such objects. If policies are present, it returns ObjectIdentifier , policyId , and policyType . Paths that don't lead to the root from the target object are ignored. For more information, see Policies.","ref":"aws_clouddirectory.html#lookup_policy/2","title":"aws_clouddirectory.lookup_policy/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#lookup_policy/3","title":"aws_clouddirectory.lookup_policy/3","type":"function"},{"doc":"Publishes a development schema with a major version and a recommended minor version.","ref":"aws_clouddirectory.html#publish_schema/2","title":"aws_clouddirectory.publish_schema/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#publish_schema/3","title":"aws_clouddirectory.publish_schema/3","type":"function"},{"doc":"Allows a schema to be updated using JSON upload. Only available for development schemas. See JSON Schema Format for more information.","ref":"aws_clouddirectory.html#put_schema_from_json/2","title":"aws_clouddirectory.put_schema_from_json/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#put_schema_from_json/3","title":"aws_clouddirectory.put_schema_from_json/3","type":"function"},{"doc":"Removes the specified facet from the specified object.","ref":"aws_clouddirectory.html#remove_facet_from_object/2","title":"aws_clouddirectory.remove_facet_from_object/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#remove_facet_from_object/3","title":"aws_clouddirectory.remove_facet_from_object/3","type":"function"},{"doc":"An API operation for adding tags to a resource.","ref":"aws_clouddirectory.html#tag_resource/2","title":"aws_clouddirectory.tag_resource/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#tag_resource/3","title":"aws_clouddirectory.tag_resource/3","type":"function"},{"doc":"An API operation for removing tags from a resource.","ref":"aws_clouddirectory.html#untag_resource/2","title":"aws_clouddirectory.untag_resource/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#untag_resource/3","title":"aws_clouddirectory.untag_resource/3","type":"function"},{"doc":"Does the following: Adds new Attributes , Rules , or ObjectTypes . Updates existing Attributes , Rules , or ObjectTypes . Deletes existing Attributes , Rules , or ObjectTypes .","ref":"aws_clouddirectory.html#update_facet/2","title":"aws_clouddirectory.update_facet/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#update_facet/3","title":"aws_clouddirectory.update_facet/3","type":"function"},{"doc":"Updates a given typed link’s attributes. Attributes to be updated must not contribute to the typed link’s identity, as defined by its IdentityAttributeOrder .","ref":"aws_clouddirectory.html#update_link_attributes/2","title":"aws_clouddirectory.update_link_attributes/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#update_link_attributes/3","title":"aws_clouddirectory.update_link_attributes/3","type":"function"},{"doc":"Updates a given object's attributes.","ref":"aws_clouddirectory.html#update_object_attributes/2","title":"aws_clouddirectory.update_object_attributes/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#update_object_attributes/3","title":"aws_clouddirectory.update_object_attributes/3","type":"function"},{"doc":"Updates the schema name with a new name. Only development schema names can be updated.","ref":"aws_clouddirectory.html#update_schema/2","title":"aws_clouddirectory.update_schema/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#update_schema/3","title":"aws_clouddirectory.update_schema/3","type":"function"},{"doc":"Updates a TypedLinkFacet . For more information, see Typed Links.","ref":"aws_clouddirectory.html#update_typed_link_facet/2","title":"aws_clouddirectory.update_typed_link_facet/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#update_typed_link_facet/3","title":"aws_clouddirectory.update_typed_link_facet/3","type":"function"},{"doc":"Upgrades a single directory in-place using the PublishedSchemaArn with schema updates found in MinorVersion . Backwards-compatible minor version upgrades are instantaneously available for readers on all objects in the directory. Note: This is a synchronous API call and upgrades only one schema on a given directory per call. To upgrade multiple directories from one schema, you would need to call this API on each directory.","ref":"aws_clouddirectory.html#upgrade_applied_schema/2","title":"aws_clouddirectory.upgrade_applied_schema/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#upgrade_applied_schema/3","title":"aws_clouddirectory.upgrade_applied_schema/3","type":"function"},{"doc":"Upgrades a published schema under a new minor version revision using the current contents of DevelopmentSchemaArn .","ref":"aws_clouddirectory.html#upgrade_published_schema/2","title":"aws_clouddirectory.upgrade_published_schema/2","type":"function"},{"doc":"","ref":"aws_clouddirectory.html#upgrade_published_schema/3","title":"aws_clouddirectory.upgrade_published_schema/3","type":"function"},{"doc":"CloudFormation CloudFormation allows you to create and manage Amazon Web Services infrastructure deployments predictably and repeatedly. You can use CloudFormation to leverage Amazon Web Services products, such as Amazon Elastic Compute Cloud, Amazon Elastic Block Store, Amazon Simple Notification Service, Elastic Load Balancing, and Auto Scaling to build highly reliable, highly scalable, cost-effective applications without creating or configuring the underlying Amazon Web Services infrastructure. With CloudFormation, you declare all your resources and dependencies in a template file. The template defines a collection of resources as a single unit called a stack. CloudFormation creates and deletes all member resources of the stack together and manages all dependencies between the resources for you. For more information about CloudFormation, see the CloudFormation product page. CloudFormation makes use of other Amazon Web Services products. If you need additional technical information about a specific Amazon Web Services product, you can find the product's technical documentation at docs.aws.amazon.com .","ref":"aws_cloudformation.html","title":"aws_cloudformation","type":"module"},{"doc":"Activates a public third-party extension, making it available for use in stack templates. For more information, see Using public extensions in the CloudFormation User Guide. Once you have activated a public third-party extension in your account and region, use SetTypeConfiguration to specify configuration properties for the extension. For more information, see Configuring extensions at the account level in the CloudFormation User Guide.","ref":"aws_cloudformation.html#activate_type/2","title":"aws_cloudformation.activate_type/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#activate_type/3","title":"aws_cloudformation.activate_type/3","type":"function"},{"doc":"Returns configuration data for the specified CloudFormation extensions, from the CloudFormation registry for the account and region. For more information, see Configuring extensions at the account level in the CloudFormation User Guide.","ref":"aws_cloudformation.html#batch_describe_type_configurations/2","title":"aws_cloudformation.batch_describe_type_configurations/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#batch_describe_type_configurations/3","title":"aws_cloudformation.batch_describe_type_configurations/3","type":"function"},{"doc":"Cancels an update on the specified stack. If the call completes successfully, the stack rolls back the update and reverts to the previous stack configuration. You can cancel only stacks that are in the UPDATE_IN_PROGRESS state.","ref":"aws_cloudformation.html#cancel_update_stack/2","title":"aws_cloudformation.cancel_update_stack/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#cancel_update_stack/3","title":"aws_cloudformation.cancel_update_stack/3","type":"function"},{"doc":"For a specified stack that's in the UPDATE_ROLLBACK_FAILED state, continues rolling it back to the UPDATE_ROLLBACK_COMPLETE state. Depending on the cause of the failure, you can manually fix the error and continue the rollback. By continuing the rollback, you can return your stack to a working state (the UPDATE_ROLLBACK_COMPLETE state), and then try to update the stack again. A stack goes into the UPDATE_ROLLBACK_FAILED state when CloudFormation can't roll back all changes after a failed stack update. For example, you might have a stack that's rolling back to an old database instance that was deleted outside of CloudFormation. Because CloudFormation doesn't know the database was deleted, it assumes that the database instance still exists and attempts to roll back to it, causing the update rollback to fail.","ref":"aws_cloudformation.html#continue_update_rollback/2","title":"aws_cloudformation.continue_update_rollback/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#continue_update_rollback/3","title":"aws_cloudformation.continue_update_rollback/3","type":"function"},{"doc":"Creates a list of changes that will be applied to a stack so that you can review the changes before executing them. You can create a change set for a stack that doesn't exist or an existing stack. If you create a change set for a stack that doesn't exist, the change set shows all of the resources that CloudFormation will create. If you create a change set for an existing stack, CloudFormation compares the stack's information with the information that you submit in the change set and lists the differences. Use change sets to understand which resources CloudFormation will create or change, and how it will change resources in an existing stack, before you create or update a stack. To create a change set for a stack that doesn't exist, for the ChangeSetType parameter, specify CREATE . To create a change set for an existing stack, specify UPDATE for the ChangeSetType parameter. To create a change set for an import operation, specify IMPORT for the ChangeSetType parameter. After the CreateChangeSet call successfully completes, CloudFormation starts creating the change set. To check the status of the change set or to review it, use the DescribeChangeSet action. When you are satisfied with the changes the change set will make, execute the change set by using the ExecuteChangeSet action. CloudFormation doesn't make changes until you execute the change set. To create a change set for the entire stack hierarchy, set IncludeNestedStacks to True .","ref":"aws_cloudformation.html#create_change_set/2","title":"aws_cloudformation.create_change_set/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#create_change_set/3","title":"aws_cloudformation.create_change_set/3","type":"function"},{"doc":"Creates a stack as specified in the template. After the call completes successfully, the stack creation starts. You can check the status of the stack through the DescribeStacks operation.","ref":"aws_cloudformation.html#create_stack/2","title":"aws_cloudformation.create_stack/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#create_stack/3","title":"aws_cloudformation.create_stack/3","type":"function"},{"doc":"Creates stack instances for the specified accounts, within the specified Amazon Web Services Regions. A stack instance refers to a stack in a specific account and Region. You must specify at least one value for either Accounts or DeploymentTargets , and you must specify at least one value for Regions .","ref":"aws_cloudformation.html#create_stack_instances/2","title":"aws_cloudformation.create_stack_instances/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#create_stack_instances/3","title":"aws_cloudformation.create_stack_instances/3","type":"function"},{"doc":"Creates a stack set.","ref":"aws_cloudformation.html#create_stack_set/2","title":"aws_cloudformation.create_stack_set/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#create_stack_set/3","title":"aws_cloudformation.create_stack_set/3","type":"function"},{"doc":"Deactivates a public extension that was previously activated in this account and region. Once deactivated, an extension can't be used in any CloudFormation operation. This includes stack update operations where the stack template includes the extension, even if no updates are being made to the extension. In addition, deactivated extensions aren't automatically updated if a new version of the extension is released.","ref":"aws_cloudformation.html#deactivate_type/2","title":"aws_cloudformation.deactivate_type/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#deactivate_type/3","title":"aws_cloudformation.deactivate_type/3","type":"function"},{"doc":"Deletes the specified change set. Deleting change sets ensures that no one executes the wrong change set. If the call successfully completes, CloudFormation successfully deleted the change set. If IncludeNestedStacks specifies True during the creation of the nested change set, then DeleteChangeSet will delete all change sets that belong to the stacks hierarchy and will also delete all change sets for nested stacks with the status of REVIEW_IN_PROGRESS .","ref":"aws_cloudformation.html#delete_change_set/2","title":"aws_cloudformation.delete_change_set/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#delete_change_set/3","title":"aws_cloudformation.delete_change_set/3","type":"function"},{"doc":"Deletes a specified stack. Once the call completes successfully, stack deletion starts. Deleted stacks don't show up in the DescribeStacks operation if the deletion has been completed successfully.","ref":"aws_cloudformation.html#delete_stack/2","title":"aws_cloudformation.delete_stack/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#delete_stack/3","title":"aws_cloudformation.delete_stack/3","type":"function"},{"doc":"Deletes stack instances for the specified accounts, in the specified Amazon Web Services Regions.","ref":"aws_cloudformation.html#delete_stack_instances/2","title":"aws_cloudformation.delete_stack_instances/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#delete_stack_instances/3","title":"aws_cloudformation.delete_stack_instances/3","type":"function"},{"doc":"Deletes a stack set. Before you can delete a stack set, all its member stack instances must be deleted. For more information about how to complete this, see DeleteStackInstances .","ref":"aws_cloudformation.html#delete_stack_set/2","title":"aws_cloudformation.delete_stack_set/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#delete_stack_set/3","title":"aws_cloudformation.delete_stack_set/3","type":"function"},{"doc":"Marks an extension or extension version as DEPRECATED in the CloudFormation registry, removing it from active use. Deprecated extensions or extension versions cannot be used in CloudFormation operations. To deregister an entire extension, you must individually deregister all active versions of that extension. If an extension has only a single active version, deregistering that version results in the extension itself being deregistered and marked as deprecated in the registry. You can't deregister the default version of an extension if there are other active version of that extension. If you do deregister the default version of an extension, the extension type itself is deregistered as well and marked as deprecated. To view the deprecation status of an extension or extension version, use DescribeType.","ref":"aws_cloudformation.html#deregister_type/2","title":"aws_cloudformation.deregister_type/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#deregister_type/3","title":"aws_cloudformation.deregister_type/3","type":"function"},{"doc":"Retrieves your account's CloudFormation limits, such as the maximum number of stacks that you can create in your account. For more information about account limits, see CloudFormation Quotas in the CloudFormation User Guide.","ref":"aws_cloudformation.html#describe_account_limits/2","title":"aws_cloudformation.describe_account_limits/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_account_limits/3","title":"aws_cloudformation.describe_account_limits/3","type":"function"},{"doc":"Returns the inputs for the change set and a list of changes that CloudFormation will make if you execute the change set. For more information, see Updating Stacks Using Change Sets in the CloudFormation User Guide.","ref":"aws_cloudformation.html#describe_change_set/2","title":"aws_cloudformation.describe_change_set/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_change_set/3","title":"aws_cloudformation.describe_change_set/3","type":"function"},{"doc":"Returns hook-related information for the change set and a list of changes that CloudFormation makes when you run the change set.","ref":"aws_cloudformation.html#describe_change_set_hooks/2","title":"aws_cloudformation.describe_change_set_hooks/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_change_set_hooks/3","title":"aws_cloudformation.describe_change_set_hooks/3","type":"function"},{"doc":"Returns information about a CloudFormation extension publisher. If you don't supply a PublisherId , and you have registered as an extension publisher, DescribePublisher returns information about your own publisher account. For more information about registering as a publisher, see: RegisterPublisher Publishing extensions to make them available for public use in the CloudFormation CLI User Guide","ref":"aws_cloudformation.html#describe_publisher/2","title":"aws_cloudformation.describe_publisher/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_publisher/3","title":"aws_cloudformation.describe_publisher/3","type":"function"},{"doc":"Returns information about a stack drift detection operation. A stack drift detection operation detects whether a stack's actual configuration differs, or has drifted, from it's expected configuration, as defined in the stack template and any values specified as template parameters. A stack is considered to have drifted if one or more of its resources have drifted. For more information about stack and resource drift, see Detecting Unregulated Configuration Changes to Stacks and Resources. Use DetectStackDrift to initiate a stack drift detection operation. DetectStackDrift returns a StackDriftDetectionId you can use to monitor the progress of the operation using DescribeStackDriftDetectionStatus . Once the drift detection operation has completed, use DescribeStackResourceDrifts to return drift information about the stack and its resources.","ref":"aws_cloudformation.html#describe_stack_drift_detection_status/2","title":"aws_cloudformation.describe_stack_drift_detection_status/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_stack_drift_detection_status/3","title":"aws_cloudformation.describe_stack_drift_detection_status/3","type":"function"},{"doc":"Returns all stack related events for a specified stack in reverse chronological order. For more information about a stack's event history, go to Stacks in the CloudFormation User Guide. You can list events for stacks that have failed to create or have been deleted by specifying the unique stack identifier (stack ID).","ref":"aws_cloudformation.html#describe_stack_events/2","title":"aws_cloudformation.describe_stack_events/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_stack_events/3","title":"aws_cloudformation.describe_stack_events/3","type":"function"},{"doc":"Returns the stack instance that's associated with the specified stack set, Amazon Web Services account, and Region. For a list of stack instances that are associated with a specific stack set, use ListStackInstances .","ref":"aws_cloudformation.html#describe_stack_instance/2","title":"aws_cloudformation.describe_stack_instance/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_stack_instance/3","title":"aws_cloudformation.describe_stack_instance/3","type":"function"},{"doc":"Returns a description of the specified resource in the specified stack. For deleted stacks, DescribeStackResource returns resource information for up to 90 days after the stack has been deleted.","ref":"aws_cloudformation.html#describe_stack_resource/2","title":"aws_cloudformation.describe_stack_resource/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_stack_resource/3","title":"aws_cloudformation.describe_stack_resource/3","type":"function"},{"doc":"Returns drift information for the resources that have been checked for drift in the specified stack. This includes actual and expected configuration values for resources where CloudFormation detects configuration drift. For a given stack, there will be one StackResourceDrift for each stack resource that has been checked for drift. Resources that haven't yet been checked for drift aren't included. Resources that don't currently support drift detection aren't checked, and so not included. For a list of resources that support drift detection, see Resources that Support Drift Detection. Use DetectStackResourceDrift to detect drift on individual resources, or DetectStackDrift to detect drift on all supported resources for a given stack.","ref":"aws_cloudformation.html#describe_stack_resource_drifts/2","title":"aws_cloudformation.describe_stack_resource_drifts/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_stack_resource_drifts/3","title":"aws_cloudformation.describe_stack_resource_drifts/3","type":"function"},{"doc":"Returns Amazon Web Services resource descriptions for running and deleted stacks. If StackName is specified, all the associated resources that are part of the stack are returned. If PhysicalResourceId is specified, the associated resources of the stack that the resource belongs to are returned. Only the first 100 resources will be returned. If your stack has more resources than this, you should use ListStackResources instead. For deleted stacks, DescribeStackResources returns resource information for up to 90 days after the stack has been deleted. You must specify either StackName or PhysicalResourceId , but not both. In addition, you can specify LogicalResourceId to filter the returned result. For more information about resources, the LogicalResourceId and PhysicalResourceId , go to the CloudFormation User Guide. A ValidationError is returned if you specify both StackName and PhysicalResourceId in the same request.","ref":"aws_cloudformation.html#describe_stack_resources/2","title":"aws_cloudformation.describe_stack_resources/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_stack_resources/3","title":"aws_cloudformation.describe_stack_resources/3","type":"function"},{"doc":"Returns the description of the specified stack set.","ref":"aws_cloudformation.html#describe_stack_set/2","title":"aws_cloudformation.describe_stack_set/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_stack_set/3","title":"aws_cloudformation.describe_stack_set/3","type":"function"},{"doc":"Returns the description of the specified stack set operation.","ref":"aws_cloudformation.html#describe_stack_set_operation/2","title":"aws_cloudformation.describe_stack_set_operation/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_stack_set_operation/3","title":"aws_cloudformation.describe_stack_set_operation/3","type":"function"},{"doc":"Returns the description for the specified stack; if no stack name was specified, then it returns the description for all the stacks created. If the stack doesn't exist, an ValidationError is returned.","ref":"aws_cloudformation.html#describe_stacks/2","title":"aws_cloudformation.describe_stacks/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_stacks/3","title":"aws_cloudformation.describe_stacks/3","type":"function"},{"doc":"Returns detailed information about an extension that has been registered. If you specify a VersionId , DescribeType returns information about that specific extension version. Otherwise, it returns information about the default extension version.","ref":"aws_cloudformation.html#describe_type/2","title":"aws_cloudformation.describe_type/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_type/3","title":"aws_cloudformation.describe_type/3","type":"function"},{"doc":"Returns information about an extension's registration, including its current status and type and version identifiers. When you initiate a registration request using `RegisterType ', you can then use `DescribeTypeRegistration ' to monitor the progress of that registration request. Once the registration request has completed, use `DescribeType ' to return detailed information about an extension.","ref":"aws_cloudformation.html#describe_type_registration/2","title":"aws_cloudformation.describe_type_registration/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#describe_type_registration/3","title":"aws_cloudformation.describe_type_registration/3","type":"function"},{"doc":"Detects whether a stack's actual configuration differs, or has drifted, from it's expected configuration, as defined in the stack template and any values specified as template parameters. For each resource in the stack that supports drift detection, CloudFormation compares the actual configuration of the resource with its expected template configuration. Only resource properties explicitly defined in the stack template are checked for drift. A stack is considered to have drifted if one or more of its resources differ from their expected template configurations. For more information, see Detecting Unregulated Configuration Changes to Stacks and Resources. Use DetectStackDrift to detect drift on all supported resources for a given stack, or DetectStackResourceDrift to detect drift on individual resources. For a list of stack resources that currently support drift detection, see Resources that Support Drift Detection. DetectStackDrift can take up to several minutes, depending on the number of resources contained within the stack. Use DescribeStackDriftDetectionStatus to monitor the progress of a detect stack drift operation. Once the drift detection operation has completed, use DescribeStackResourceDrifts to return drift information about the stack and its resources. When detecting drift on a stack, CloudFormation doesn't detect drift on any nested stacks belonging to that stack. Perform DetectStackDrift directly on the nested stack itself.","ref":"aws_cloudformation.html#detect_stack_drift/2","title":"aws_cloudformation.detect_stack_drift/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#detect_stack_drift/3","title":"aws_cloudformation.detect_stack_drift/3","type":"function"},{"doc":"Returns information about whether a resource's actual configuration differs, or has drifted, from it's expected configuration, as defined in the stack template and any values specified as template parameters. This information includes actual and expected property values for resources in which CloudFormation detects drift. Only resource properties explicitly defined in the stack template are checked for drift. For more information about stack and resource drift, see Detecting Unregulated Configuration Changes to Stacks and Resources. Use DetectStackResourceDrift to detect drift on individual resources, or DetectStackDrift to detect drift on all resources in a given stack that support drift detection. Resources that don't currently support drift detection can't be checked. For a list of resources that support drift detection, see Resources that Support Drift Detection.","ref":"aws_cloudformation.html#detect_stack_resource_drift/2","title":"aws_cloudformation.detect_stack_resource_drift/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#detect_stack_resource_drift/3","title":"aws_cloudformation.detect_stack_resource_drift/3","type":"function"},{"doc":"Detect drift on a stack set. When CloudFormation performs drift detection on a stack set, it performs drift detection on the stack associated with each stack instance in the stack set. For more information, see How CloudFormation performs drift detection on a stack set. DetectStackSetDrift returns the OperationId of the stack set drift detection operation. Use this operation id with `DescribeStackSetOperation ' to monitor the progress of the drift detection operation. The drift detection operation may take some time, depending on the number of stack instances included in the stack set, in addition to the number of resources included in each stack. Once the operation has completed, use the following actions to return drift information: Use `DescribeStackSet ' to return detailed information about the stack set, including detailed information about the last completed drift operation performed on the stack set. (Information about drift operations that are in progress isn't included.) Use `ListStackInstances ' to return a list of stack instances belonging to the stack set, including the drift status and last drift time checked of each instance. Use `DescribeStackInstance ' to return detailed information about a specific stack instance, including its drift status and last drift time checked. For more information about performing a drift detection operation on a stack set, see Detecting unmanaged changes in stack sets. You can only run a single drift detection operation on a given stack set at one time. To stop a drift detection stack set operation, use `StopStackSetOperation '.","ref":"aws_cloudformation.html#detect_stack_set_drift/2","title":"aws_cloudformation.detect_stack_set_drift/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#detect_stack_set_drift/3","title":"aws_cloudformation.detect_stack_set_drift/3","type":"function"},{"doc":"Returns the estimated monthly cost of a template. The return value is an Amazon Web Services Simple Monthly Calculator URL with a query string that describes the resources required to run the template.","ref":"aws_cloudformation.html#estimate_template_cost/2","title":"aws_cloudformation.estimate_template_cost/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#estimate_template_cost/3","title":"aws_cloudformation.estimate_template_cost/3","type":"function"},{"doc":"Updates a stack using the input information that was provided when the specified change set was created. After the call successfully completes, CloudFormation starts updating the stack. Use the DescribeStacks action to view the status of the update. When you execute a change set, CloudFormation deletes all other change sets associated with the stack because they aren't valid for the updated stack. If a stack policy is associated with the stack, CloudFormation enforces the policy during the update. You can't specify a temporary stack policy that overrides the current policy. To create a change set for the entire stack hierarchy, IncludeNestedStacks must have been set to True .","ref":"aws_cloudformation.html#execute_change_set/2","title":"aws_cloudformation.execute_change_set/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#execute_change_set/3","title":"aws_cloudformation.execute_change_set/3","type":"function"},{"doc":"Returns the stack policy for a specified stack. If a stack doesn't have a policy, a null value is returned.","ref":"aws_cloudformation.html#get_stack_policy/2","title":"aws_cloudformation.get_stack_policy/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#get_stack_policy/3","title":"aws_cloudformation.get_stack_policy/3","type":"function"},{"doc":"Returns the template body for a specified stack. You can get the template for running or deleted stacks. For deleted stacks, GetTemplate returns the template for up to 90 days after the stack has been deleted. If the template doesn't exist, a ValidationError is returned.","ref":"aws_cloudformation.html#get_template/2","title":"aws_cloudformation.get_template/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#get_template/3","title":"aws_cloudformation.get_template/3","type":"function"},{"doc":"Returns information about a new or existing template. The GetTemplateSummary action is useful for viewing parameter information, such as default parameter values and parameter types, before you create or update a stack or stack set. You can use the GetTemplateSummary action when you submit a template, or you can get template information for a stack set, or a running or deleted stack. For deleted stacks, GetTemplateSummary returns the template information for up to 90 days after the stack has been deleted. If the template doesn't exist, a ValidationError is returned.","ref":"aws_cloudformation.html#get_template_summary/2","title":"aws_cloudformation.get_template_summary/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#get_template_summary/3","title":"aws_cloudformation.get_template_summary/3","type":"function"},{"doc":"Import existing stacks into a new stack sets. Use the stack import operation to import up to 10 stacks into a new stack set in the same account as the source stack or in a different administrator account and Region, by specifying the stack ID of the stack you intend to import. ImportStacksToStackSet is only supported by self-managed permissions.","ref":"aws_cloudformation.html#import_stacks_to_stack_set/2","title":"aws_cloudformation.import_stacks_to_stack_set/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#import_stacks_to_stack_set/3","title":"aws_cloudformation.import_stacks_to_stack_set/3","type":"function"},{"doc":"Returns the ID and status of each active change set for a stack. For example, CloudFormation lists change sets that are in the CREATE_IN_PROGRESS or CREATE_PENDING state.","ref":"aws_cloudformation.html#list_change_sets/2","title":"aws_cloudformation.list_change_sets/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#list_change_sets/3","title":"aws_cloudformation.list_change_sets/3","type":"function"},{"doc":"Lists all exported output values in the account and Region in which you call this action. Use this action to see the exported output values that you can import into other stacks. To import values, use the Fn::ImportValue function. For more information, see CloudFormation export stack output values.","ref":"aws_cloudformation.html#list_exports/2","title":"aws_cloudformation.list_exports/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#list_exports/3","title":"aws_cloudformation.list_exports/3","type":"function"},{"doc":"Lists all stacks that are importing an exported output value. To modify or remove an exported output value, first use this action to see which stacks are using it. To see the exported output values in your account, see ListExports . For more information about importing an exported output value, see the Fn::ImportValue function.","ref":"aws_cloudformation.html#list_imports/2","title":"aws_cloudformation.list_imports/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#list_imports/3","title":"aws_cloudformation.list_imports/3","type":"function"},{"doc":"Returns summary information about stack instances that are associated with the specified stack set. You can filter for stack instances that are associated with a specific Amazon Web Services account name or Region, or that have a specific status.","ref":"aws_cloudformation.html#list_stack_instances/2","title":"aws_cloudformation.list_stack_instances/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#list_stack_instances/3","title":"aws_cloudformation.list_stack_instances/3","type":"function"},{"doc":"Returns descriptions of all resources of the specified stack. For deleted stacks, ListStackResources returns resource information for up to 90 days after the stack has been deleted.","ref":"aws_cloudformation.html#list_stack_resources/2","title":"aws_cloudformation.list_stack_resources/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#list_stack_resources/3","title":"aws_cloudformation.list_stack_resources/3","type":"function"},{"doc":"Returns summary information about the results of a stack set operation.","ref":"aws_cloudformation.html#list_stack_set_operation_results/2","title":"aws_cloudformation.list_stack_set_operation_results/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#list_stack_set_operation_results/3","title":"aws_cloudformation.list_stack_set_operation_results/3","type":"function"},{"doc":"Returns summary information about operations performed on a stack set.","ref":"aws_cloudformation.html#list_stack_set_operations/2","title":"aws_cloudformation.list_stack_set_operations/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#list_stack_set_operations/3","title":"aws_cloudformation.list_stack_set_operations/3","type":"function"},{"doc":"Returns summary information about stack sets that are associated with the user. [Self-managed permissions] If you set the CallAs parameter to SELF while signed in to your Amazon Web Services account, ListStackSets returns all self-managed stack sets in your Amazon Web Services account. [Service-managed permissions] If you set the CallAs parameter to SELF while signed in to the organization's management account, ListStackSets returns all stack sets in the management account. [Service-managed permissions] If you set the CallAs parameter to DELEGATED_ADMIN while signed in to your member account, ListStackSets returns all stack sets with service-managed permissions in the management account.","ref":"aws_cloudformation.html#list_stack_sets/2","title":"aws_cloudformation.list_stack_sets/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#list_stack_sets/3","title":"aws_cloudformation.list_stack_sets/3","type":"function"},{"doc":"Returns the summary information for stacks whose status matches the specified StackStatusFilter. Summary information for stacks that have been deleted is kept for 90 days after the stack is deleted. If no StackStatusFilter is specified, summary information for all stacks is returned (including existing stacks and stacks that have been deleted).","ref":"aws_cloudformation.html#list_stacks/2","title":"aws_cloudformation.list_stacks/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#list_stacks/3","title":"aws_cloudformation.list_stacks/3","type":"function"},{"doc":"Returns a list of registration tokens for the specified extension(s).","ref":"aws_cloudformation.html#list_type_registrations/2","title":"aws_cloudformation.list_type_registrations/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#list_type_registrations/3","title":"aws_cloudformation.list_type_registrations/3","type":"function"},{"doc":"Returns summary information about the versions of an extension.","ref":"aws_cloudformation.html#list_type_versions/2","title":"aws_cloudformation.list_type_versions/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#list_type_versions/3","title":"aws_cloudformation.list_type_versions/3","type":"function"},{"doc":"Returns summary information about extension that have been registered with CloudFormation.","ref":"aws_cloudformation.html#list_types/2","title":"aws_cloudformation.list_types/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#list_types/3","title":"aws_cloudformation.list_types/3","type":"function"},{"doc":"Publishes the specified extension to the CloudFormation registry as a public extension in this region. Public extensions are available for use by all CloudFormation users. For more information about publishing extensions, see Publishing extensions to make them available for public use in the CloudFormation CLI User Guide. To publish an extension, you must be registered as a publisher with CloudFormation. For more information, see RegisterPublisher.","ref":"aws_cloudformation.html#publish_type/2","title":"aws_cloudformation.publish_type/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#publish_type/3","title":"aws_cloudformation.publish_type/3","type":"function"},{"doc":"Reports progress of a resource handler to CloudFormation. Reserved for use by the CloudFormation CLI. Don't use this API in your code.","ref":"aws_cloudformation.html#record_handler_progress/2","title":"aws_cloudformation.record_handler_progress/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#record_handler_progress/3","title":"aws_cloudformation.record_handler_progress/3","type":"function"},{"doc":"Registers your account as a publisher of public extensions in the CloudFormation registry. Public extensions are available for use by all CloudFormation users. This publisher ID applies to your account in all Amazon Web Services Regions. For information about requirements for registering as a public extension publisher, see Registering your account to publish CloudFormation extensions in the CloudFormation CLI User Guide.","ref":"aws_cloudformation.html#register_publisher/2","title":"aws_cloudformation.register_publisher/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#register_publisher/3","title":"aws_cloudformation.register_publisher/3","type":"function"},{"doc":"Registers an extension with the CloudFormation service. Registering an extension makes it available for use in CloudFormation templates in your Amazon Web Services account, and includes: Validating the extension schema. Determining which handlers, if any, have been specified for the extension. Making the extension available for use in your account. For more information about how to develop extensions and ready them for registration, see Creating Resource Providers in the CloudFormation CLI User Guide. You can have a maximum of 50 resource extension versions registered at a time. This maximum is per account and per region. Use DeregisterType to deregister specific extension versions if necessary. Once you have initiated a registration request using `RegisterType ', you can use `DescribeTypeRegistration ' to monitor the progress of the registration request. Once you have registered a private extension in your account and region, use SetTypeConfiguration to specify configuration properties for the extension. For more information, see Configuring extensions at the account level in the CloudFormation User Guide.","ref":"aws_cloudformation.html#register_type/2","title":"aws_cloudformation.register_type/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#register_type/3","title":"aws_cloudformation.register_type/3","type":"function"},{"doc":"When specifying RollbackStack , you preserve the state of previously provisioned resources when an operation fails. You can check the status of the stack through the DescribeStacks operation. Rolls back the specified stack to the last known stable state from CREATE_FAILED or UPDATE_FAILED stack statuses. This operation will delete a stack if it doesn't contain a last known stable state. A last known stable state includes any status in a *_COMPLETE . This includes the following stack statuses. CREATE_COMPLETE UPDATE_COMPLETE UPDATE_ROLLBACK_COMPLETE IMPORT_COMPLETE IMPORT_ROLLBACK_COMPLETE","ref":"aws_cloudformation.html#rollback_stack/2","title":"aws_cloudformation.rollback_stack/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#rollback_stack/3","title":"aws_cloudformation.rollback_stack/3","type":"function"},{"doc":"Sets a stack policy for a specified stack.","ref":"aws_cloudformation.html#set_stack_policy/2","title":"aws_cloudformation.set_stack_policy/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#set_stack_policy/3","title":"aws_cloudformation.set_stack_policy/3","type":"function"},{"doc":"Specifies the configuration data for a registered CloudFormation extension, in the given account and region. To view the current configuration data for an extension, refer to the ConfigurationSchema element of DescribeType. For more information, see Configuring extensions at the account level in the CloudFormation User Guide. It's strongly recommended that you use dynamic references to restrict sensitive configuration definitions, such as third-party credentials. For more details on dynamic references, see Using dynamic references to specify template values in the CloudFormation User Guide.","ref":"aws_cloudformation.html#set_type_configuration/2","title":"aws_cloudformation.set_type_configuration/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#set_type_configuration/3","title":"aws_cloudformation.set_type_configuration/3","type":"function"},{"doc":"Specify the default version of an extension. The default version of an extension will be used in CloudFormation operations.","ref":"aws_cloudformation.html#set_type_default_version/2","title":"aws_cloudformation.set_type_default_version/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#set_type_default_version/3","title":"aws_cloudformation.set_type_default_version/3","type":"function"},{"doc":"Sends a signal to the specified resource with a success or failure status. You can use the SignalResource operation in conjunction with a creation policy or update policy. CloudFormation doesn't proceed with a stack creation or update until resources receive the required number of signals or the timeout period is exceeded. The SignalResource operation is useful in cases where you want to send signals from anywhere other than an Amazon EC2 instance.","ref":"aws_cloudformation.html#signal_resource/2","title":"aws_cloudformation.signal_resource/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#signal_resource/3","title":"aws_cloudformation.signal_resource/3","type":"function"},{"doc":"Stops an in-progress operation on a stack set and its associated stack instances. StackSets will cancel all the unstarted stack instance deployments and wait for those are in-progress to complete.","ref":"aws_cloudformation.html#stop_stack_set_operation/2","title":"aws_cloudformation.stop_stack_set_operation/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#stop_stack_set_operation/3","title":"aws_cloudformation.stop_stack_set_operation/3","type":"function"},{"doc":"Tests a registered extension to make sure it meets all necessary requirements for being published in the CloudFormation registry. For resource types, this includes passing all contracts tests defined for the type. For modules, this includes determining if the module's model meets all necessary requirements. For more information, see Testing your public extension prior to publishing in the CloudFormation CLI User Guide. If you don't specify a version, CloudFormation uses the default version of the extension in your account and region for testing. To perform testing, CloudFormation assumes the execution role specified when the type was registered. For more information, see RegisterType. Once you've initiated testing on an extension using TestType , you can pass the returned TypeVersionArn into DescribeType to monitor the current test status and test status description for the extension. An extension must have a test status of PASSED before it can be published. For more information, see Publishing extensions to make them available for public use in the CloudFormation CLI User Guide.","ref":"aws_cloudformation.html#test_type/2","title":"aws_cloudformation.test_type/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#test_type/3","title":"aws_cloudformation.test_type/3","type":"function"},{"doc":"Updates a stack as specified in the template. After the call completes successfully, the stack update starts. You can check the status of the stack through the DescribeStacks action. To get a copy of the template for an existing stack, you can use the GetTemplate action. For more information about creating an update template, updating a stack, and monitoring the progress of the update, see Updating a Stack.","ref":"aws_cloudformation.html#update_stack/2","title":"aws_cloudformation.update_stack/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#update_stack/3","title":"aws_cloudformation.update_stack/3","type":"function"},{"doc":"Updates the parameter values for stack instances for the specified accounts, within the specified Amazon Web Services Regions. A stack instance refers to a stack in a specific account and Region. You can only update stack instances in Amazon Web Services Regions and accounts where they already exist; to create additional stack instances, use CreateStackInstances. During stack set updates, any parameters overridden for a stack instance aren't updated, but retain their overridden value. You can only update the parameter values that are specified in the stack set; to add or delete a parameter itself, use UpdateStackSet to update the stack set template. If you add a parameter to a template, before you can override the parameter value specified in the stack set you must first use UpdateStackSet to update all stack instances with the updated template and parameter value specified in the stack set. Once a stack instance has been updated with the new parameter, you can then override the parameter value using UpdateStackInstances .","ref":"aws_cloudformation.html#update_stack_instances/2","title":"aws_cloudformation.update_stack_instances/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#update_stack_instances/3","title":"aws_cloudformation.update_stack_instances/3","type":"function"},{"doc":"Updates the stack set, and associated stack instances in the specified accounts and Amazon Web Services Regions. Even if the stack set operation created by updating the stack set fails (completely or partially, below or above a specified failure tolerance), the stack set is updated with your changes. Subsequent CreateStackInstances calls on the specified stack set use the updated stack set.","ref":"aws_cloudformation.html#update_stack_set/2","title":"aws_cloudformation.update_stack_set/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#update_stack_set/3","title":"aws_cloudformation.update_stack_set/3","type":"function"},{"doc":"Updates termination protection for the specified stack. If a user attempts to delete a stack with termination protection enabled, the operation fails and the stack remains unchanged. For more information, see Protecting a Stack From Being Deleted in the CloudFormation User Guide. For nested stacks, termination protection is set on the root stack and can't be changed directly on the nested stack.","ref":"aws_cloudformation.html#update_termination_protection/2","title":"aws_cloudformation.update_termination_protection/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#update_termination_protection/3","title":"aws_cloudformation.update_termination_protection/3","type":"function"},{"doc":"Validates a specified template. CloudFormation first checks if the template is valid JSON. If it isn't, CloudFormation checks if the template is valid YAML. If both these checks fail, CloudFormation returns a template validation error.","ref":"aws_cloudformation.html#validate_template/2","title":"aws_cloudformation.validate_template/2","type":"function"},{"doc":"","ref":"aws_cloudformation.html#validate_template/3","title":"aws_cloudformation.validate_template/3","type":"function"},{"doc":"Amazon CloudFront This is the Amazon CloudFront API Reference. This guide is for developers who need detailed information about CloudFront API actions, data types, and errors. For detailed information about CloudFront features, see the Amazon CloudFront Developer Guide.","ref":"aws_cloudfront.html","title":"aws_cloudfront","type":"module"},{"doc":"Associates an alias (also known as a CNAME or an alternate domain name) with a CloudFront distribution. With this operation you can move an alias that's already in use on a CloudFront distribution to a different distribution in one step. This prevents the downtime that could occur if you first remove the alias from one distribution and then separately add the alias to another distribution. To use this operation to associate an alias with a distribution, you provide the alias and the ID of the target distribution for the alias. For more information, including how to set up the target distribution, prerequisites that you must complete, and other restrictions, see Moving an alternate domain name to a different distribution in the Amazon CloudFront Developer Guide.","ref":"aws_cloudfront.html#associate_alias/3","title":"aws_cloudfront.associate_alias/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#associate_alias/4","title":"aws_cloudfront.associate_alias/4","type":"function"},{"doc":"Creates a staging distribution using the configuration of the provided primary distribution. A staging distribution is a copy of an existing distribution (called the primary distribution) that you can use in a continuous deployment workflow. After you create a staging distribution, you can use UpdateDistribution to modify the staging distribution's configuration. Then you can use CreateContinuousDeploymentPolicy to incrementally move traffic to the staging distribution.","ref":"aws_cloudfront.html#copy_distribution/3","title":"aws_cloudfront.copy_distribution/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#copy_distribution/4","title":"aws_cloudfront.copy_distribution/4","type":"function"},{"doc":"Creates a cache policy. After you create a cache policy, you can attach it to one or more cache behaviors. When it's attached to a cache behavior, the cache policy determines the following: The values that CloudFront includes in the cache key. These values can include HTTP headers, cookies, and URL query strings. CloudFront uses the cache key to find an object in its cache that it can return to the viewer. The default, minimum, and maximum time to live (TTL) values that you want objects to stay in the CloudFront cache. The headers, cookies, and query strings that are included in the cache key are automatically included in requests that CloudFront sends to the origin. CloudFront sends a request when it can't find an object in its cache that matches the request's cache key. If you want to send values to the origin but not include them in the cache key, use OriginRequestPolicy . For more information about cache policies, see Controlling the cache key in the Amazon CloudFront Developer Guide.","ref":"aws_cloudfront.html#create_cache_policy/2","title":"aws_cloudfront.create_cache_policy/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_cache_policy/3","title":"aws_cloudfront.create_cache_policy/3","type":"function"},{"doc":"Creates a new origin access identity. If you're using Amazon S3 for your origin, you can use an origin access identity to require users to access your content using a CloudFront URL instead of the Amazon S3 URL. For more information about how to use origin access identities, see Serving Private Content through CloudFront in the Amazon CloudFront Developer Guide.","ref":"aws_cloudfront.html#create_cloud_front_origin_access_identity/2","title":"aws_cloudfront.create_cloud_front_origin_access_identity/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_cloud_front_origin_access_identity/3","title":"aws_cloudfront.create_cloud_front_origin_access_identity/3","type":"function"},{"doc":"Creates a continuous deployment policy that distributes traffic for a custom domain name to two different CloudFront distributions. To use a continuous deployment policy, first use CopyDistribution to create a staging distribution, then use UpdateDistribution to modify the staging distribution's configuration. After you create and update a staging distribution, you can use a continuous deployment policy to incrementally move traffic to the staging distribution. This workflow enables you to test changes to a distribution's configuration before moving all of your domain's production traffic to the new configuration.","ref":"aws_cloudfront.html#create_continuous_deployment_policy/2","title":"aws_cloudfront.create_continuous_deployment_policy/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_continuous_deployment_policy/3","title":"aws_cloudfront.create_continuous_deployment_policy/3","type":"function"},{"doc":"Creates a CloudFront distribution.","ref":"aws_cloudfront.html#create_distribution/2","title":"aws_cloudfront.create_distribution/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_distribution/3","title":"aws_cloudfront.create_distribution/3","type":"function"},{"doc":"Create a new distribution with tags.","ref":"aws_cloudfront.html#create_distribution_with_tags/2","title":"aws_cloudfront.create_distribution_with_tags/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_distribution_with_tags/3","title":"aws_cloudfront.create_distribution_with_tags/3","type":"function"},{"doc":"Create a new field-level encryption configuration.","ref":"aws_cloudfront.html#create_field_level_encryption_config/2","title":"aws_cloudfront.create_field_level_encryption_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_field_level_encryption_config/3","title":"aws_cloudfront.create_field_level_encryption_config/3","type":"function"},{"doc":"Create a field-level encryption profile.","ref":"aws_cloudfront.html#create_field_level_encryption_profile/2","title":"aws_cloudfront.create_field_level_encryption_profile/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_field_level_encryption_profile/3","title":"aws_cloudfront.create_field_level_encryption_profile/3","type":"function"},{"doc":"Creates a CloudFront function. To create a function, you provide the function code and some configuration information about the function. The response contains an Amazon Resource Name (ARN) that uniquely identifies the function. When you create a function, it's in the DEVELOPMENT stage. In this stage, you can test the function with TestFunction , and update it with UpdateFunction . When you're ready to use your function with a CloudFront distribution, use PublishFunction to copy the function from the DEVELOPMENT stage to LIVE . When it's live, you can attach the function to a distribution's cache behavior, using the function's ARN.","ref":"aws_cloudfront.html#create_function/2","title":"aws_cloudfront.create_function/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_function/3","title":"aws_cloudfront.create_function/3","type":"function"},{"doc":"Create a new invalidation.","ref":"aws_cloudfront.html#create_invalidation/3","title":"aws_cloudfront.create_invalidation/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_invalidation/4","title":"aws_cloudfront.create_invalidation/4","type":"function"},{"doc":"Creates a key group that you can use with CloudFront signed URLs and signed cookies. To create a key group, you must specify at least one public key for the key group. After you create a key group, you can reference it from one or more cache behaviors. When you reference a key group in a cache behavior, CloudFront requires signed URLs or signed cookies for all requests that match the cache behavior. The URLs or cookies must be signed with a private key whose corresponding public key is in the key group. The signed URL or cookie contains information about which public key CloudFront should use to verify the signature. For more information, see Serving private content in the Amazon CloudFront Developer Guide.","ref":"aws_cloudfront.html#create_key_group/2","title":"aws_cloudfront.create_key_group/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_key_group/3","title":"aws_cloudfront.create_key_group/3","type":"function"},{"doc":"Enables additional CloudWatch metrics for the specified CloudFront distribution. The additional metrics incur an additional cost. For more information, see Viewing additional CloudFront distribution metrics in the Amazon CloudFront Developer Guide.","ref":"aws_cloudfront.html#create_monitoring_subscription/3","title":"aws_cloudfront.create_monitoring_subscription/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_monitoring_subscription/4","title":"aws_cloudfront.create_monitoring_subscription/4","type":"function"},{"doc":"Creates a new origin access control in CloudFront. After you create an origin access control, you can add it to an origin in a CloudFront distribution so that CloudFront sends authenticated (signed) requests to the origin. This makes it possible to block public access to the origin, allowing viewers (users) to access the origin's content only through CloudFront. For more information about using a CloudFront origin access control, see Restricting access to an Amazon Web Services origin in the Amazon CloudFront Developer Guide.","ref":"aws_cloudfront.html#create_origin_access_control/2","title":"aws_cloudfront.create_origin_access_control/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_origin_access_control/3","title":"aws_cloudfront.create_origin_access_control/3","type":"function"},{"doc":"Creates an origin request policy. After you create an origin request policy, you can attach it to one or more cache behaviors. When it's attached to a cache behavior, the origin request policy determines the values that CloudFront includes in requests that it sends to the origin. Each request that CloudFront sends to the origin includes the following: The request body and the URL path (without the domain name) from the viewer request. The headers that CloudFront automatically includes in every origin request, including Host , User-Agent , and X-Amz-Cf-Id . All HTTP headers, cookies, and URL query strings that are specified in the cache policy or the origin request policy. These can include items from the viewer request and, in the case of headers, additional ones that are added by CloudFront. CloudFront sends a request when it can't find a valid object in its cache that matches the request. If you want to send values to the origin and also include them in the cache key, use CachePolicy . For more information about origin request policies, see Controlling origin requests in the Amazon CloudFront Developer Guide.","ref":"aws_cloudfront.html#create_origin_request_policy/2","title":"aws_cloudfront.create_origin_request_policy/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_origin_request_policy/3","title":"aws_cloudfront.create_origin_request_policy/3","type":"function"},{"doc":"Uploads a public key to CloudFront that you can use with signed URLs and signed cookies, or with field-level encryption.","ref":"aws_cloudfront.html#create_public_key/2","title":"aws_cloudfront.create_public_key/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_public_key/3","title":"aws_cloudfront.create_public_key/3","type":"function"},{"doc":"Creates a real-time log configuration. After you create a real-time log configuration, you can attach it to one or more cache behaviors to send real-time log data to the specified Amazon Kinesis data stream. For more information about real-time log configurations, see Real-time logs in the Amazon CloudFront Developer Guide.","ref":"aws_cloudfront.html#create_realtime_log_config/2","title":"aws_cloudfront.create_realtime_log_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_realtime_log_config/3","title":"aws_cloudfront.create_realtime_log_config/3","type":"function"},{"doc":"Creates a response headers policy. A response headers policy contains information about a set of HTTP headers. To create a response headers policy, you provide some metadata about the policy and a set of configurations that specify the headers. After you create a response headers policy, you can use its ID to attach it to one or more cache behaviors in a CloudFront distribution. When it's attached to a cache behavior, the response headers policy affects the HTTP headers that CloudFront includes in HTTP responses to requests that match the cache behavior. CloudFront adds or removes response headers according to the configuration of the response headers policy. For more information, see Adding or removing HTTP headers in CloudFront responses in the Amazon CloudFront Developer Guide.","ref":"aws_cloudfront.html#create_response_headers_policy/2","title":"aws_cloudfront.create_response_headers_policy/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_response_headers_policy/3","title":"aws_cloudfront.create_response_headers_policy/3","type":"function"},{"doc":"This API is deprecated. Amazon CloudFront is deprecating real-time messaging protocol (RTMP) distributions on December 31, 2020. For more information, read the announcement on the Amazon CloudFront discussion forum.","ref":"aws_cloudfront.html#create_streaming_distribution/2","title":"aws_cloudfront.create_streaming_distribution/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_streaming_distribution/3","title":"aws_cloudfront.create_streaming_distribution/3","type":"function"},{"doc":"This API is deprecated. Amazon CloudFront is deprecating real-time messaging protocol (RTMP) distributions on December 31, 2020. For more information, read the announcement on the Amazon CloudFront discussion forum.","ref":"aws_cloudfront.html#create_streaming_distribution_with_tags/2","title":"aws_cloudfront.create_streaming_distribution_with_tags/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#create_streaming_distribution_with_tags/3","title":"aws_cloudfront.create_streaming_distribution_with_tags/3","type":"function"},{"doc":"Deletes a cache policy. You cannot delete a cache policy if it's attached to a cache behavior. First update your distributions to remove the cache policy from all cache behaviors, then delete the cache policy. To delete a cache policy, you must provide the policy's identifier and version. To get these values, you can use ListCachePolicies or GetCachePolicy .","ref":"aws_cloudfront.html#delete_cache_policy/3","title":"aws_cloudfront.delete_cache_policy/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_cache_policy/4","title":"aws_cloudfront.delete_cache_policy/4","type":"function"},{"doc":"Delete an origin access identity.","ref":"aws_cloudfront.html#delete_cloud_front_origin_access_identity/3","title":"aws_cloudfront.delete_cloud_front_origin_access_identity/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_cloud_front_origin_access_identity/4","title":"aws_cloudfront.delete_cloud_front_origin_access_identity/4","type":"function"},{"doc":"Deletes a continuous deployment policy. You cannot delete a continuous deployment policy that's attached to a primary distribution. First update your distribution to remove the continuous deployment policy, then you can delete the policy.","ref":"aws_cloudfront.html#delete_continuous_deployment_policy/3","title":"aws_cloudfront.delete_continuous_deployment_policy/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_continuous_deployment_policy/4","title":"aws_cloudfront.delete_continuous_deployment_policy/4","type":"function"},{"doc":"Delete a distribution.","ref":"aws_cloudfront.html#delete_distribution/3","title":"aws_cloudfront.delete_distribution/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_distribution/4","title":"aws_cloudfront.delete_distribution/4","type":"function"},{"doc":"Remove a field-level encryption configuration.","ref":"aws_cloudfront.html#delete_field_level_encryption_config/3","title":"aws_cloudfront.delete_field_level_encryption_config/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_field_level_encryption_config/4","title":"aws_cloudfront.delete_field_level_encryption_config/4","type":"function"},{"doc":"Remove a field-level encryption profile.","ref":"aws_cloudfront.html#delete_field_level_encryption_profile/3","title":"aws_cloudfront.delete_field_level_encryption_profile/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_field_level_encryption_profile/4","title":"aws_cloudfront.delete_field_level_encryption_profile/4","type":"function"},{"doc":"Deletes a CloudFront function. You cannot delete a function if it's associated with a cache behavior. First, update your distributions to remove the function association from all cache behaviors, then delete the function. To delete a function, you must provide the function's name and version ( ETag value). To get these values, you can use ListFunctions and DescribeFunction .","ref":"aws_cloudfront.html#delete_function/3","title":"aws_cloudfront.delete_function/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_function/4","title":"aws_cloudfront.delete_function/4","type":"function"},{"doc":"Deletes a key group. You cannot delete a key group that is referenced in a cache behavior. First update your distributions to remove the key group from all cache behaviors, then delete the key group. To delete a key group, you must provide the key group's identifier and version. To get these values, use ListKeyGroups followed by GetKeyGroup or GetKeyGroupConfig .","ref":"aws_cloudfront.html#delete_key_group/3","title":"aws_cloudfront.delete_key_group/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_key_group/4","title":"aws_cloudfront.delete_key_group/4","type":"function"},{"doc":"Disables additional CloudWatch metrics for the specified CloudFront distribution.","ref":"aws_cloudfront.html#delete_monitoring_subscription/3","title":"aws_cloudfront.delete_monitoring_subscription/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_monitoring_subscription/4","title":"aws_cloudfront.delete_monitoring_subscription/4","type":"function"},{"doc":"Deletes a CloudFront origin access control. You cannot delete an origin access control if it's in use. First, update all distributions to remove the origin access control from all origins, then delete the origin access control.","ref":"aws_cloudfront.html#delete_origin_access_control/3","title":"aws_cloudfront.delete_origin_access_control/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_origin_access_control/4","title":"aws_cloudfront.delete_origin_access_control/4","type":"function"},{"doc":"Deletes an origin request policy. You cannot delete an origin request policy if it's attached to any cache behaviors. First update your distributions to remove the origin request policy from all cache behaviors, then delete the origin request policy. To delete an origin request policy, you must provide the policy's identifier and version. To get the identifier, you can use ListOriginRequestPolicies or GetOriginRequestPolicy .","ref":"aws_cloudfront.html#delete_origin_request_policy/3","title":"aws_cloudfront.delete_origin_request_policy/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_origin_request_policy/4","title":"aws_cloudfront.delete_origin_request_policy/4","type":"function"},{"doc":"Remove a public key you previously added to CloudFront.","ref":"aws_cloudfront.html#delete_public_key/3","title":"aws_cloudfront.delete_public_key/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_public_key/4","title":"aws_cloudfront.delete_public_key/4","type":"function"},{"doc":"Deletes a real-time log configuration. You cannot delete a real-time log configuration if it's attached to a cache behavior. First update your distributions to remove the real-time log configuration from all cache behaviors, then delete the real-time log configuration. To delete a real-time log configuration, you can provide the configuration's name or its Amazon Resource Name (ARN). You must provide at least one. If you provide both, CloudFront uses the name to identify the real-time log configuration to delete.","ref":"aws_cloudfront.html#delete_realtime_log_config/2","title":"aws_cloudfront.delete_realtime_log_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_realtime_log_config/3","title":"aws_cloudfront.delete_realtime_log_config/3","type":"function"},{"doc":"Deletes a response headers policy. You cannot delete a response headers policy if it's attached to a cache behavior. First update your distributions to remove the response headers policy from all cache behaviors, then delete the response headers policy. To delete a response headers policy, you must provide the policy's identifier and version. To get these values, you can use ListResponseHeadersPolicies or GetResponseHeadersPolicy .","ref":"aws_cloudfront.html#delete_response_headers_policy/3","title":"aws_cloudfront.delete_response_headers_policy/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_response_headers_policy/4","title":"aws_cloudfront.delete_response_headers_policy/4","type":"function"},{"doc":"Delete a streaming distribution. To delete an RTMP distribution using the CloudFront API, perform the following steps. To delete an RTMP distribution using the CloudFront API: Disable the RTMP distribution. Submit a GET Streaming Distribution Config request to get the current configuration and the Etag header for the distribution. Update the XML document that was returned in the response to your GET Streaming Distribution Config request to change the value of Enabled to false . Submit a PUT Streaming Distribution Config request to update the configuration for your distribution. In the request body, include the XML document that you updated in Step 3. Then set the value of the HTTP If-Match header to the value of the ETag header that CloudFront returned when you submitted the GET Streaming Distribution Config request in Step 2. Review the response to the PUT Streaming Distribution Config request to confirm that the distribution was successfully disabled. Submit a GET Streaming Distribution Config request to confirm that your changes have propagated. When propagation is complete, the value of Status is Deployed . Submit a DELETE Streaming Distribution request. Set the value of the HTTP If-Match header to the value of the ETag header that CloudFront returned when you submitted the GET Streaming Distribution Config request in Step 2. Review the response to your DELETE Streaming Distribution request to confirm that the distribution was successfully deleted. For information about deleting a distribution using the CloudFront console, see Deleting a Distribution in the Amazon CloudFront Developer Guide.","ref":"aws_cloudfront.html#delete_streaming_distribution/3","title":"aws_cloudfront.delete_streaming_distribution/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#delete_streaming_distribution/4","title":"aws_cloudfront.delete_streaming_distribution/4","type":"function"},{"doc":"Gets configuration information and metadata about a CloudFront function, but not the function's code. To get a function's code, use GetFunction . To get configuration information and metadata about a function, you must provide the function's name and stage. To get these values, you can use ListFunctions .","ref":"aws_cloudfront.html#describe_function/2","title":"aws_cloudfront.describe_function/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#describe_function/4","title":"aws_cloudfront.describe_function/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#describe_function/5","title":"aws_cloudfront.describe_function/5","type":"function"},{"doc":"Gets a cache policy, including the following metadata: The policy's identifier. The date and time when the policy was last modified. To get a cache policy, you must provide the policy's identifier. If the cache policy is attached to a distribution's cache behavior, you can get the policy's identifier using ListDistributions or GetDistribution . If the cache policy is not attached to a cache behavior, you can get the identifier using ListCachePolicies .","ref":"aws_cloudfront.html#get_cache_policy/2","title":"aws_cloudfront.get_cache_policy/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_cache_policy/4","title":"aws_cloudfront.get_cache_policy/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_cache_policy/5","title":"aws_cloudfront.get_cache_policy/5","type":"function"},{"doc":"Gets a cache policy configuration. To get a cache policy configuration, you must provide the policy's identifier. If the cache policy is attached to a distribution's cache behavior, you can get the policy's identifier using ListDistributions or GetDistribution . If the cache policy is not attached to a cache behavior, you can get the identifier using ListCachePolicies .","ref":"aws_cloudfront.html#get_cache_policy_config/2","title":"aws_cloudfront.get_cache_policy_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_cache_policy_config/4","title":"aws_cloudfront.get_cache_policy_config/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_cache_policy_config/5","title":"aws_cloudfront.get_cache_policy_config/5","type":"function"},{"doc":"Get the information about an origin access identity.","ref":"aws_cloudfront.html#get_cloud_front_origin_access_identity/2","title":"aws_cloudfront.get_cloud_front_origin_access_identity/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_cloud_front_origin_access_identity/4","title":"aws_cloudfront.get_cloud_front_origin_access_identity/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_cloud_front_origin_access_identity/5","title":"aws_cloudfront.get_cloud_front_origin_access_identity/5","type":"function"},{"doc":"Get the configuration information about an origin access identity.","ref":"aws_cloudfront.html#get_cloud_front_origin_access_identity_config/2","title":"aws_cloudfront.get_cloud_front_origin_access_identity_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_cloud_front_origin_access_identity_config/4","title":"aws_cloudfront.get_cloud_front_origin_access_identity_config/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_cloud_front_origin_access_identity_config/5","title":"aws_cloudfront.get_cloud_front_origin_access_identity_config/5","type":"function"},{"doc":"Gets a continuous deployment policy, including metadata (the policy's identifier and the date and time when the policy was last modified).","ref":"aws_cloudfront.html#get_continuous_deployment_policy/2","title":"aws_cloudfront.get_continuous_deployment_policy/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_continuous_deployment_policy/4","title":"aws_cloudfront.get_continuous_deployment_policy/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_continuous_deployment_policy/5","title":"aws_cloudfront.get_continuous_deployment_policy/5","type":"function"},{"doc":"Gets configuration information about a continuous deployment policy.","ref":"aws_cloudfront.html#get_continuous_deployment_policy_config/2","title":"aws_cloudfront.get_continuous_deployment_policy_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_continuous_deployment_policy_config/4","title":"aws_cloudfront.get_continuous_deployment_policy_config/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_continuous_deployment_policy_config/5","title":"aws_cloudfront.get_continuous_deployment_policy_config/5","type":"function"},{"doc":"Get the information about a distribution.","ref":"aws_cloudfront.html#get_distribution/2","title":"aws_cloudfront.get_distribution/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_distribution/4","title":"aws_cloudfront.get_distribution/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_distribution/5","title":"aws_cloudfront.get_distribution/5","type":"function"},{"doc":"Get the configuration information about a distribution.","ref":"aws_cloudfront.html#get_distribution_config/2","title":"aws_cloudfront.get_distribution_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_distribution_config/4","title":"aws_cloudfront.get_distribution_config/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_distribution_config/5","title":"aws_cloudfront.get_distribution_config/5","type":"function"},{"doc":"Get the field-level encryption configuration information.","ref":"aws_cloudfront.html#get_field_level_encryption/2","title":"aws_cloudfront.get_field_level_encryption/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_field_level_encryption/4","title":"aws_cloudfront.get_field_level_encryption/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_field_level_encryption/5","title":"aws_cloudfront.get_field_level_encryption/5","type":"function"},{"doc":"Get the field-level encryption configuration information.","ref":"aws_cloudfront.html#get_field_level_encryption_config/2","title":"aws_cloudfront.get_field_level_encryption_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_field_level_encryption_config/4","title":"aws_cloudfront.get_field_level_encryption_config/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_field_level_encryption_config/5","title":"aws_cloudfront.get_field_level_encryption_config/5","type":"function"},{"doc":"Get the field-level encryption profile information.","ref":"aws_cloudfront.html#get_field_level_encryption_profile/2","title":"aws_cloudfront.get_field_level_encryption_profile/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_field_level_encryption_profile/4","title":"aws_cloudfront.get_field_level_encryption_profile/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_field_level_encryption_profile/5","title":"aws_cloudfront.get_field_level_encryption_profile/5","type":"function"},{"doc":"Get the field-level encryption profile configuration information.","ref":"aws_cloudfront.html#get_field_level_encryption_profile_config/2","title":"aws_cloudfront.get_field_level_encryption_profile_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_field_level_encryption_profile_config/4","title":"aws_cloudfront.get_field_level_encryption_profile_config/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_field_level_encryption_profile_config/5","title":"aws_cloudfront.get_field_level_encryption_profile_config/5","type":"function"},{"doc":"Gets the code of a CloudFront function. To get configuration information and metadata about a function, use DescribeFunction . To get a function's code, you must provide the function's name and stage. To get these values, you can use ListFunctions .","ref":"aws_cloudfront.html#get_function/2","title":"aws_cloudfront.get_function/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_function/4","title":"aws_cloudfront.get_function/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_function/5","title":"aws_cloudfront.get_function/5","type":"function"},{"doc":"Get the information about an invalidation.","ref":"aws_cloudfront.html#get_invalidation/3","title":"aws_cloudfront.get_invalidation/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_invalidation/5","title":"aws_cloudfront.get_invalidation/5","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_invalidation/6","title":"aws_cloudfront.get_invalidation/6","type":"function"},{"doc":"Gets a key group, including the date and time when the key group was last modified. To get a key group, you must provide the key group's identifier. If the key group is referenced in a distribution's cache behavior, you can get the key group's identifier using ListDistributions or GetDistribution . If the key group is not referenced in a cache behavior, you can get the identifier using ListKeyGroups .","ref":"aws_cloudfront.html#get_key_group/2","title":"aws_cloudfront.get_key_group/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_key_group/4","title":"aws_cloudfront.get_key_group/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_key_group/5","title":"aws_cloudfront.get_key_group/5","type":"function"},{"doc":"Gets a key group configuration. To get a key group configuration, you must provide the key group's identifier. If the key group is referenced in a distribution's cache behavior, you can get the key group's identifier using ListDistributions or GetDistribution . If the key group is not referenced in a cache behavior, you can get the identifier using ListKeyGroups .","ref":"aws_cloudfront.html#get_key_group_config/2","title":"aws_cloudfront.get_key_group_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_key_group_config/4","title":"aws_cloudfront.get_key_group_config/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_key_group_config/5","title":"aws_cloudfront.get_key_group_config/5","type":"function"},{"doc":"Gets information about whether additional CloudWatch metrics are enabled for the specified CloudFront distribution.","ref":"aws_cloudfront.html#get_monitoring_subscription/2","title":"aws_cloudfront.get_monitoring_subscription/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_monitoring_subscription/4","title":"aws_cloudfront.get_monitoring_subscription/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_monitoring_subscription/5","title":"aws_cloudfront.get_monitoring_subscription/5","type":"function"},{"doc":"Gets a CloudFront origin access control, including its unique identifier.","ref":"aws_cloudfront.html#get_origin_access_control/2","title":"aws_cloudfront.get_origin_access_control/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_origin_access_control/4","title":"aws_cloudfront.get_origin_access_control/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_origin_access_control/5","title":"aws_cloudfront.get_origin_access_control/5","type":"function"},{"doc":"Gets a CloudFront origin access control configuration.","ref":"aws_cloudfront.html#get_origin_access_control_config/2","title":"aws_cloudfront.get_origin_access_control_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_origin_access_control_config/4","title":"aws_cloudfront.get_origin_access_control_config/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_origin_access_control_config/5","title":"aws_cloudfront.get_origin_access_control_config/5","type":"function"},{"doc":"Gets an origin request policy, including the following metadata: The policy's identifier. The date and time when the policy was last modified. To get an origin request policy, you must provide the policy's identifier. If the origin request policy is attached to a distribution's cache behavior, you can get the policy's identifier using ListDistributions or GetDistribution . If the origin request policy is not attached to a cache behavior, you can get the identifier using ListOriginRequestPolicies .","ref":"aws_cloudfront.html#get_origin_request_policy/2","title":"aws_cloudfront.get_origin_request_policy/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_origin_request_policy/4","title":"aws_cloudfront.get_origin_request_policy/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_origin_request_policy/5","title":"aws_cloudfront.get_origin_request_policy/5","type":"function"},{"doc":"Gets an origin request policy configuration. To get an origin request policy configuration, you must provide the policy's identifier. If the origin request policy is attached to a distribution's cache behavior, you can get the policy's identifier using ListDistributions or GetDistribution . If the origin request policy is not attached to a cache behavior, you can get the identifier using ListOriginRequestPolicies .","ref":"aws_cloudfront.html#get_origin_request_policy_config/2","title":"aws_cloudfront.get_origin_request_policy_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_origin_request_policy_config/4","title":"aws_cloudfront.get_origin_request_policy_config/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_origin_request_policy_config/5","title":"aws_cloudfront.get_origin_request_policy_config/5","type":"function"},{"doc":"Gets a public key.","ref":"aws_cloudfront.html#get_public_key/2","title":"aws_cloudfront.get_public_key/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_public_key/4","title":"aws_cloudfront.get_public_key/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_public_key/5","title":"aws_cloudfront.get_public_key/5","type":"function"},{"doc":"Gets a public key configuration.","ref":"aws_cloudfront.html#get_public_key_config/2","title":"aws_cloudfront.get_public_key_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_public_key_config/4","title":"aws_cloudfront.get_public_key_config/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_public_key_config/5","title":"aws_cloudfront.get_public_key_config/5","type":"function"},{"doc":"Gets a real-time log configuration. To get a real-time log configuration, you can provide the configuration's name or its Amazon Resource Name (ARN). You must provide at least one. If you provide both, CloudFront uses the name to identify the real-time log configuration to get.","ref":"aws_cloudfront.html#get_realtime_log_config/2","title":"aws_cloudfront.get_realtime_log_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_realtime_log_config/3","title":"aws_cloudfront.get_realtime_log_config/3","type":"function"},{"doc":"Gets a response headers policy, including metadata (the policy's identifier and the date and time when the policy was last modified). To get a response headers policy, you must provide the policy's identifier. If the response headers policy is attached to a distribution's cache behavior, you can get the policy's identifier using ListDistributions or GetDistribution . If the response headers policy is not attached to a cache behavior, you can get the identifier using ListResponseHeadersPolicies .","ref":"aws_cloudfront.html#get_response_headers_policy/2","title":"aws_cloudfront.get_response_headers_policy/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_response_headers_policy/4","title":"aws_cloudfront.get_response_headers_policy/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_response_headers_policy/5","title":"aws_cloudfront.get_response_headers_policy/5","type":"function"},{"doc":"Gets a response headers policy configuration. To get a response headers policy configuration, you must provide the policy's identifier. If the response headers policy is attached to a distribution's cache behavior, you can get the policy's identifier using ListDistributions or GetDistribution . If the response headers policy is not attached to a cache behavior, you can get the identifier using ListResponseHeadersPolicies .","ref":"aws_cloudfront.html#get_response_headers_policy_config/2","title":"aws_cloudfront.get_response_headers_policy_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_response_headers_policy_config/4","title":"aws_cloudfront.get_response_headers_policy_config/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_response_headers_policy_config/5","title":"aws_cloudfront.get_response_headers_policy_config/5","type":"function"},{"doc":"Gets information about a specified RTMP distribution, including the distribution configuration.","ref":"aws_cloudfront.html#get_streaming_distribution/2","title":"aws_cloudfront.get_streaming_distribution/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_streaming_distribution/4","title":"aws_cloudfront.get_streaming_distribution/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_streaming_distribution/5","title":"aws_cloudfront.get_streaming_distribution/5","type":"function"},{"doc":"Get the configuration information about a streaming distribution.","ref":"aws_cloudfront.html#get_streaming_distribution_config/2","title":"aws_cloudfront.get_streaming_distribution_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_streaming_distribution_config/4","title":"aws_cloudfront.get_streaming_distribution_config/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#get_streaming_distribution_config/5","title":"aws_cloudfront.get_streaming_distribution_config/5","type":"function"},{"doc":"Gets a list of cache policies. You can optionally apply a filter to return only the managed policies created by Amazon Web Services, or only the custom policies created in your Amazon Web Services account. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_cache_policies/1","title":"aws_cloudfront.list_cache_policies/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_cache_policies/3","title":"aws_cloudfront.list_cache_policies/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_cache_policies/4","title":"aws_cloudfront.list_cache_policies/4","type":"function"},{"doc":"Lists origin access identities.","ref":"aws_cloudfront.html#list_cloud_front_origin_access_identities/1","title":"aws_cloudfront.list_cloud_front_origin_access_identities/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_cloud_front_origin_access_identities/3","title":"aws_cloudfront.list_cloud_front_origin_access_identities/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_cloud_front_origin_access_identities/4","title":"aws_cloudfront.list_cloud_front_origin_access_identities/4","type":"function"},{"doc":"Gets a list of aliases (also called CNAMEs or alternate domain names) that conflict or overlap with the provided alias, and the associated CloudFront distributions and Amazon Web Services accounts for each conflicting alias. In the returned list, the distribution and account IDs are partially hidden, which allows you to identify the distributions and accounts that you own, but helps to protect the information of ones that you don't own. Use this operation to find aliases that are in use in CloudFront that conflict or overlap with the provided alias. For example, if you provide www.example.com as input, the returned list can include www.example.com and the overlapping wildcard alternate domain name ( *.example.com ), if they exist. If you provide *.example.com as input, the returned list can include *.example.com and any alternate domain names covered by that wildcard (for example, www.example.com , test.example.com , dev.example.com , and so on), if they exist. To list conflicting aliases, you provide the alias to search and the ID of a distribution in your account that has an attached SSL/TLS certificate that includes the provided alias. For more information, including how to set up the distribution and certificate, see Moving an alternate domain name to a different distribution in the Amazon CloudFront Developer Guide. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_conflicting_aliases/3","title":"aws_cloudfront.list_conflicting_aliases/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_conflicting_aliases/5","title":"aws_cloudfront.list_conflicting_aliases/5","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_conflicting_aliases/6","title":"aws_cloudfront.list_conflicting_aliases/6","type":"function"},{"doc":"Gets a list of the continuous deployment policies in your Amazon Web Services account. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_continuous_deployment_policies/1","title":"aws_cloudfront.list_continuous_deployment_policies/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_continuous_deployment_policies/3","title":"aws_cloudfront.list_continuous_deployment_policies/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_continuous_deployment_policies/4","title":"aws_cloudfront.list_continuous_deployment_policies/4","type":"function"},{"doc":"List CloudFront distributions.","ref":"aws_cloudfront.html#list_distributions/1","title":"aws_cloudfront.list_distributions/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions/3","title":"aws_cloudfront.list_distributions/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions/4","title":"aws_cloudfront.list_distributions/4","type":"function"},{"doc":"Gets a list of distribution IDs for distributions that have a cache behavior that's associated with the specified cache policy. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_distributions_by_cache_policy_id/2","title":"aws_cloudfront.list_distributions_by_cache_policy_id/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions_by_cache_policy_id/4","title":"aws_cloudfront.list_distributions_by_cache_policy_id/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions_by_cache_policy_id/5","title":"aws_cloudfront.list_distributions_by_cache_policy_id/5","type":"function"},{"doc":"Gets a list of distribution IDs for distributions that have a cache behavior that references the specified key group. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_distributions_by_key_group/2","title":"aws_cloudfront.list_distributions_by_key_group/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions_by_key_group/4","title":"aws_cloudfront.list_distributions_by_key_group/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions_by_key_group/5","title":"aws_cloudfront.list_distributions_by_key_group/5","type":"function"},{"doc":"Gets a list of distribution IDs for distributions that have a cache behavior that's associated with the specified origin request policy. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_distributions_by_origin_request_policy_id/2","title":"aws_cloudfront.list_distributions_by_origin_request_policy_id/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions_by_origin_request_policy_id/4","title":"aws_cloudfront.list_distributions_by_origin_request_policy_id/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions_by_origin_request_policy_id/5","title":"aws_cloudfront.list_distributions_by_origin_request_policy_id/5","type":"function"},{"doc":"Gets a list of distributions that have a cache behavior that's associated with the specified real-time log configuration. You can specify the real-time log configuration by its name or its Amazon Resource Name (ARN). You must provide at least one. If you provide both, CloudFront uses the name to identify the real-time log configuration to list distributions for. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_distributions_by_realtime_log_config/2","title":"aws_cloudfront.list_distributions_by_realtime_log_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions_by_realtime_log_config/3","title":"aws_cloudfront.list_distributions_by_realtime_log_config/3","type":"function"},{"doc":"Gets a list of distribution IDs for distributions that have a cache behavior that's associated with the specified response headers policy. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_distributions_by_response_headers_policy_id/2","title":"aws_cloudfront.list_distributions_by_response_headers_policy_id/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions_by_response_headers_policy_id/4","title":"aws_cloudfront.list_distributions_by_response_headers_policy_id/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions_by_response_headers_policy_id/5","title":"aws_cloudfront.list_distributions_by_response_headers_policy_id/5","type":"function"},{"doc":"List the distributions that are associated with a specified WAF web ACL.","ref":"aws_cloudfront.html#list_distributions_by_web_acl_id/2","title":"aws_cloudfront.list_distributions_by_web_acl_id/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions_by_web_acl_id/4","title":"aws_cloudfront.list_distributions_by_web_acl_id/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_distributions_by_web_acl_id/5","title":"aws_cloudfront.list_distributions_by_web_acl_id/5","type":"function"},{"doc":"List all field-level encryption configurations that have been created in CloudFront for this account.","ref":"aws_cloudfront.html#list_field_level_encryption_configs/1","title":"aws_cloudfront.list_field_level_encryption_configs/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_field_level_encryption_configs/3","title":"aws_cloudfront.list_field_level_encryption_configs/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_field_level_encryption_configs/4","title":"aws_cloudfront.list_field_level_encryption_configs/4","type":"function"},{"doc":"Request a list of field-level encryption profiles that have been created in CloudFront for this account.","ref":"aws_cloudfront.html#list_field_level_encryption_profiles/1","title":"aws_cloudfront.list_field_level_encryption_profiles/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_field_level_encryption_profiles/3","title":"aws_cloudfront.list_field_level_encryption_profiles/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_field_level_encryption_profiles/4","title":"aws_cloudfront.list_field_level_encryption_profiles/4","type":"function"},{"doc":"Gets a list of all CloudFront functions in your Amazon Web Services account. You can optionally apply a filter to return only the functions that are in the specified stage, either DEVELOPMENT or LIVE . You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_functions/1","title":"aws_cloudfront.list_functions/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_functions/3","title":"aws_cloudfront.list_functions/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_functions/4","title":"aws_cloudfront.list_functions/4","type":"function"},{"doc":"Lists invalidation batches.","ref":"aws_cloudfront.html#list_invalidations/2","title":"aws_cloudfront.list_invalidations/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_invalidations/4","title":"aws_cloudfront.list_invalidations/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_invalidations/5","title":"aws_cloudfront.list_invalidations/5","type":"function"},{"doc":"Gets a list of key groups. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_key_groups/1","title":"aws_cloudfront.list_key_groups/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_key_groups/3","title":"aws_cloudfront.list_key_groups/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_key_groups/4","title":"aws_cloudfront.list_key_groups/4","type":"function"},{"doc":"Gets the list of CloudFront origin access controls in this Amazon Web Services account. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send another request that specifies the NextMarker value from the current response as the Marker value in the next request.","ref":"aws_cloudfront.html#list_origin_access_controls/1","title":"aws_cloudfront.list_origin_access_controls/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_origin_access_controls/3","title":"aws_cloudfront.list_origin_access_controls/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_origin_access_controls/4","title":"aws_cloudfront.list_origin_access_controls/4","type":"function"},{"doc":"Gets a list of origin request policies. You can optionally apply a filter to return only the managed policies created by Amazon Web Services, or only the custom policies created in your Amazon Web Services account. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_origin_request_policies/1","title":"aws_cloudfront.list_origin_request_policies/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_origin_request_policies/3","title":"aws_cloudfront.list_origin_request_policies/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_origin_request_policies/4","title":"aws_cloudfront.list_origin_request_policies/4","type":"function"},{"doc":"List all public keys that have been added to CloudFront for this account.","ref":"aws_cloudfront.html#list_public_keys/1","title":"aws_cloudfront.list_public_keys/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_public_keys/3","title":"aws_cloudfront.list_public_keys/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_public_keys/4","title":"aws_cloudfront.list_public_keys/4","type":"function"},{"doc":"Gets a list of real-time log configurations. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_realtime_log_configs/1","title":"aws_cloudfront.list_realtime_log_configs/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_realtime_log_configs/3","title":"aws_cloudfront.list_realtime_log_configs/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_realtime_log_configs/4","title":"aws_cloudfront.list_realtime_log_configs/4","type":"function"},{"doc":"Gets a list of response headers policies. You can optionally apply a filter to get only the managed policies created by Amazon Web Services, or only the custom policies created in your Amazon Web Services account. You can optionally specify the maximum number of items to receive in the response. If the total number of items in the list exceeds the maximum that you specify, or the default maximum, the response is paginated. To get the next page of items, send a subsequent request that specifies the NextMarker value from the current response as the Marker value in the subsequent request.","ref":"aws_cloudfront.html#list_response_headers_policies/1","title":"aws_cloudfront.list_response_headers_policies/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_response_headers_policies/3","title":"aws_cloudfront.list_response_headers_policies/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_response_headers_policies/4","title":"aws_cloudfront.list_response_headers_policies/4","type":"function"},{"doc":"List streaming distributions.","ref":"aws_cloudfront.html#list_streaming_distributions/1","title":"aws_cloudfront.list_streaming_distributions/1","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_streaming_distributions/3","title":"aws_cloudfront.list_streaming_distributions/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_streaming_distributions/4","title":"aws_cloudfront.list_streaming_distributions/4","type":"function"},{"doc":"List tags for a CloudFront resource.","ref":"aws_cloudfront.html#list_tags_for_resource/2","title":"aws_cloudfront.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_tags_for_resource/4","title":"aws_cloudfront.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_cloudfront.html#list_tags_for_resource/5","title":"aws_cloudfront.list_tags_for_resource/5","type":"function"},{"doc":"Publishes a CloudFront function by copying the function code from the DEVELOPMENT stage to LIVE . This automatically updates all cache behaviors that are using this function to use the newly published copy in the LIVE stage. When a function is published to the LIVE stage, you can attach the function to a distribution's cache behavior, using the function's Amazon Resource Name (ARN). To publish a function, you must provide the function's name and version ( ETag value). To get these values, you can use ListFunctions and DescribeFunction .","ref":"aws_cloudfront.html#publish_function/3","title":"aws_cloudfront.publish_function/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#publish_function/4","title":"aws_cloudfront.publish_function/4","type":"function"},{"doc":"Add tags to a CloudFront resource.","ref":"aws_cloudfront.html#tag_resource/2","title":"aws_cloudfront.tag_resource/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#tag_resource/3","title":"aws_cloudfront.tag_resource/3","type":"function"},{"doc":"Tests a CloudFront function. To test a function, you provide an event object that represents an HTTP request or response that your CloudFront distribution could receive in production. CloudFront runs the function, passing it the event object that you provided, and returns the function's result (the modified event object) in the response. The response also contains function logs and error messages, if any exist. For more information about testing functions, see Testing functions in the Amazon CloudFront Developer Guide. To test a function, you provide the function's name and version ( ETag value) along with the event object. To get the function's name and version, you can use ListFunctions and DescribeFunction .","ref":"aws_cloudfront.html#test_function/3","title":"aws_cloudfront.test_function/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#test_function/4","title":"aws_cloudfront.test_function/4","type":"function"},{"doc":"Remove tags from a CloudFront resource.","ref":"aws_cloudfront.html#untag_resource/2","title":"aws_cloudfront.untag_resource/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#untag_resource/3","title":"aws_cloudfront.untag_resource/3","type":"function"},{"doc":"Updates a cache policy configuration. When you update a cache policy configuration, all the fields are updated with the values provided in the request. You cannot update some fields independent of others. To update a cache policy configuration: Use GetCachePolicyConfig to get the current configuration. Locally modify the fields in the cache policy configuration that you want to update. Call UpdateCachePolicy by providing the entire cache policy configuration, including the fields that you modified and those that you didn't.","ref":"aws_cloudfront.html#update_cache_policy/3","title":"aws_cloudfront.update_cache_policy/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_cache_policy/4","title":"aws_cloudfront.update_cache_policy/4","type":"function"},{"doc":"Update an origin access identity.","ref":"aws_cloudfront.html#update_cloud_front_origin_access_identity/3","title":"aws_cloudfront.update_cloud_front_origin_access_identity/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_cloud_front_origin_access_identity/4","title":"aws_cloudfront.update_cloud_front_origin_access_identity/4","type":"function"},{"doc":"Updates a continuous deployment policy. You can update a continuous deployment policy to enable or disable it, to change the percentage of traffic that it sends to the staging distribution, or to change the staging distribution that it sends traffic to. When you update a continuous deployment policy configuration, all the fields are updated with the values that are provided in the request. You cannot update some fields independent of others. To update a continuous deployment policy configuration: Use GetContinuousDeploymentPolicyConfig to get the current configuration. Locally modify the fields in the continuous deployment policy configuration that you want to update. Use UpdateContinuousDeploymentPolicy , providing the entire continuous deployment policy configuration, including the fields that you modified and those that you didn't.","ref":"aws_cloudfront.html#update_continuous_deployment_policy/3","title":"aws_cloudfront.update_continuous_deployment_policy/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_continuous_deployment_policy/4","title":"aws_cloudfront.update_continuous_deployment_policy/4","type":"function"},{"doc":"Updates the configuration for a CloudFront distribution. The update process includes getting the current distribution configuration, updating it to make your changes, and then submitting an UpdateDistribution request to make the updates. To update a web distribution using the CloudFront API Use GetDistributionConfig to get the current configuration, including the version identifier ( ETag ). Update the distribution configuration that was returned in the response. Note the following important requirements and restrictions: You must rename the ETag field to IfMatch , leaving the value unchanged. (Set the value of IfMatch to the value of ETag , then remove the ETag field.) You can't change the value of CallerReference . Submit an UpdateDistribution request, providing the distribution configuration. The new configuration replaces the existing configuration. The values that you specify in an UpdateDistribution request are not merged into your existing configuration. Make sure to include all fields: the ones that you modified and also the ones that you didn't.","ref":"aws_cloudfront.html#update_distribution/3","title":"aws_cloudfront.update_distribution/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_distribution/4","title":"aws_cloudfront.update_distribution/4","type":"function"},{"doc":"Copies the staging distribution's configuration to its corresponding primary distribution. The primary distribution retains its Aliases (also known as alternate domain names or CNAMEs) and ContinuousDeploymentPolicyId value, but otherwise its configuration is overwritten to match the staging distribution. You can use this operation in a continuous deployment workflow after you have tested configuration changes on the staging distribution. After using a continuous deployment policy to move a portion of your domain name's traffic to the staging distribution and verifying that it works as intended, you can use this operation to copy the staging distribution's configuration to the primary distribution. This action will disable the continuous deployment policy and move your domain's traffic back to the primary distribution.","ref":"aws_cloudfront.html#update_distribution_with_staging_config/3","title":"aws_cloudfront.update_distribution_with_staging_config/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_distribution_with_staging_config/4","title":"aws_cloudfront.update_distribution_with_staging_config/4","type":"function"},{"doc":"Update a field-level encryption configuration.","ref":"aws_cloudfront.html#update_field_level_encryption_config/3","title":"aws_cloudfront.update_field_level_encryption_config/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_field_level_encryption_config/4","title":"aws_cloudfront.update_field_level_encryption_config/4","type":"function"},{"doc":"Update a field-level encryption profile.","ref":"aws_cloudfront.html#update_field_level_encryption_profile/3","title":"aws_cloudfront.update_field_level_encryption_profile/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_field_level_encryption_profile/4","title":"aws_cloudfront.update_field_level_encryption_profile/4","type":"function"},{"doc":"Updates a CloudFront function. You can update a function's code or the comment that describes the function. You cannot update a function's name. To update a function, you provide the function's name and version ( ETag value) along with the updated function code. To get the name and version, you can use ListFunctions and DescribeFunction .","ref":"aws_cloudfront.html#update_function/3","title":"aws_cloudfront.update_function/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_function/4","title":"aws_cloudfront.update_function/4","type":"function"},{"doc":"Updates a key group. When you update a key group, all the fields are updated with the values provided in the request. You cannot update some fields independent of others. To update a key group: Get the current key group with GetKeyGroup or GetKeyGroupConfig . Locally modify the fields in the key group that you want to update. For example, add or remove public key IDs. Call UpdateKeyGroup with the entire key group object, including the fields that you modified and those that you didn't.","ref":"aws_cloudfront.html#update_key_group/3","title":"aws_cloudfront.update_key_group/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_key_group/4","title":"aws_cloudfront.update_key_group/4","type":"function"},{"doc":"Updates a CloudFront origin access control.","ref":"aws_cloudfront.html#update_origin_access_control/3","title":"aws_cloudfront.update_origin_access_control/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_origin_access_control/4","title":"aws_cloudfront.update_origin_access_control/4","type":"function"},{"doc":"Updates an origin request policy configuration. When you update an origin request policy configuration, all the fields are updated with the values provided in the request. You cannot update some fields independent of others. To update an origin request policy configuration: Use GetOriginRequestPolicyConfig to get the current configuration. Locally modify the fields in the origin request policy configuration that you want to update. Call UpdateOriginRequestPolicy by providing the entire origin request policy configuration, including the fields that you modified and those that you didn't.","ref":"aws_cloudfront.html#update_origin_request_policy/3","title":"aws_cloudfront.update_origin_request_policy/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_origin_request_policy/4","title":"aws_cloudfront.update_origin_request_policy/4","type":"function"},{"doc":"Update public key information. Note that the only value you can change is the comment.","ref":"aws_cloudfront.html#update_public_key/3","title":"aws_cloudfront.update_public_key/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_public_key/4","title":"aws_cloudfront.update_public_key/4","type":"function"},{"doc":"Updates a real-time log configuration. When you update a real-time log configuration, all the parameters are updated with the values provided in the request. You cannot update some parameters independent of others. To update a real-time log configuration: Call GetRealtimeLogConfig to get the current real-time log configuration. Locally modify the parameters in the real-time log configuration that you want to update. Call this API ( UpdateRealtimeLogConfig ) by providing the entire real-time log configuration, including the parameters that you modified and those that you didn't. You cannot update a real-time log configuration's Name or ARN .","ref":"aws_cloudfront.html#update_realtime_log_config/2","title":"aws_cloudfront.update_realtime_log_config/2","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_realtime_log_config/3","title":"aws_cloudfront.update_realtime_log_config/3","type":"function"},{"doc":"Updates a response headers policy. When you update a response headers policy, the entire policy is replaced. You cannot update some policy fields independent of others. To update a response headers policy configuration: Use GetResponseHeadersPolicyConfig to get the current policy's configuration. Modify the fields in the response headers policy configuration that you want to update. Call UpdateResponseHeadersPolicy , providing the entire response headers policy configuration, including the fields that you modified and those that you didn't.","ref":"aws_cloudfront.html#update_response_headers_policy/3","title":"aws_cloudfront.update_response_headers_policy/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_response_headers_policy/4","title":"aws_cloudfront.update_response_headers_policy/4","type":"function"},{"doc":"Update a streaming distribution.","ref":"aws_cloudfront.html#update_streaming_distribution/3","title":"aws_cloudfront.update_streaming_distribution/3","type":"function"},{"doc":"","ref":"aws_cloudfront.html#update_streaming_distribution/4","title":"aws_cloudfront.update_streaming_distribution/4","type":"function"},{"doc":"AWS CloudHSM Service This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference.","ref":"aws_cloudhsm.html","title":"aws_cloudhsm","type":"module"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Adds or overwrites one or more tags for the specified AWS CloudHSM resource. Each tag consists of a key and a value. Tag keys must be unique to each resource.","ref":"aws_cloudhsm.html#add_tags_to_resource/2","title":"aws_cloudhsm.add_tags_to_resource/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#add_tags_to_resource/3","title":"aws_cloudhsm.add_tags_to_resource/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Creates a high-availability partition group. A high-availability partition group is a group of partitions that spans multiple physical HSMs.","ref":"aws_cloudhsm.html#create_hapg/2","title":"aws_cloudhsm.create_hapg/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#create_hapg/3","title":"aws_cloudhsm.create_hapg/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Creates an uninitialized HSM instance. There is an upfront fee charged for each HSM instance that you create with the CreateHsm operation. If you accidentally provision an HSM and want to request a refund, delete the instance using the DeleteHsm operation, go to the AWS Support Center, create a new case, and select Account and Billing Support. It can take up to 20 minutes to create and provision an HSM. You can monitor the status of the HSM with the DescribeHsm operation. The HSM is ready to be initialized when the status changes to RUNNING .","ref":"aws_cloudhsm.html#create_hsm/2","title":"aws_cloudhsm.create_hsm/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#create_hsm/3","title":"aws_cloudhsm.create_hsm/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Creates an HSM client.","ref":"aws_cloudhsm.html#create_luna_client/2","title":"aws_cloudhsm.create_luna_client/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#create_luna_client/3","title":"aws_cloudhsm.create_luna_client/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Deletes a high-availability partition group.","ref":"aws_cloudhsm.html#delete_hapg/2","title":"aws_cloudhsm.delete_hapg/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#delete_hapg/3","title":"aws_cloudhsm.delete_hapg/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Deletes an HSM. After completion, this operation cannot be undone and your key material cannot be recovered.","ref":"aws_cloudhsm.html#delete_hsm/2","title":"aws_cloudhsm.delete_hsm/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#delete_hsm/3","title":"aws_cloudhsm.delete_hsm/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Deletes a client.","ref":"aws_cloudhsm.html#delete_luna_client/2","title":"aws_cloudhsm.delete_luna_client/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#delete_luna_client/3","title":"aws_cloudhsm.delete_luna_client/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Retrieves information about a high-availability partition group.","ref":"aws_cloudhsm.html#describe_hapg/2","title":"aws_cloudhsm.describe_hapg/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#describe_hapg/3","title":"aws_cloudhsm.describe_hapg/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Retrieves information about an HSM. You can identify the HSM by its ARN or its serial number.","ref":"aws_cloudhsm.html#describe_hsm/2","title":"aws_cloudhsm.describe_hsm/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#describe_hsm/3","title":"aws_cloudhsm.describe_hsm/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Retrieves information about an HSM client.","ref":"aws_cloudhsm.html#describe_luna_client/2","title":"aws_cloudhsm.describe_luna_client/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#describe_luna_client/3","title":"aws_cloudhsm.describe_luna_client/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Gets the configuration files necessary to connect to all high availability partition groups the client is associated with.","ref":"aws_cloudhsm.html#get_config/2","title":"aws_cloudhsm.get_config/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#get_config/3","title":"aws_cloudhsm.get_config/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Lists the Availability Zones that have available AWS CloudHSM capacity.","ref":"aws_cloudhsm.html#list_available_zones/2","title":"aws_cloudhsm.list_available_zones/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#list_available_zones/3","title":"aws_cloudhsm.list_available_zones/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Lists the high-availability partition groups for the account. This operation supports pagination with the use of the NextToken member. If more results are available, the NextToken member of the response contains a token that you pass in the next call to ListHapgs to retrieve the next set of items.","ref":"aws_cloudhsm.html#list_hapgs/2","title":"aws_cloudhsm.list_hapgs/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#list_hapgs/3","title":"aws_cloudhsm.list_hapgs/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Retrieves the identifiers of all of the HSMs provisioned for the current customer. This operation supports pagination with the use of the NextToken member. If more results are available, the NextToken member of the response contains a token that you pass in the next call to ListHsms to retrieve the next set of items.","ref":"aws_cloudhsm.html#list_hsms/2","title":"aws_cloudhsm.list_hsms/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#list_hsms/3","title":"aws_cloudhsm.list_hsms/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Lists all of the clients. This operation supports pagination with the use of the NextToken member. If more results are available, the NextToken member of the response contains a token that you pass in the next call to ListLunaClients to retrieve the next set of items.","ref":"aws_cloudhsm.html#list_luna_clients/2","title":"aws_cloudhsm.list_luna_clients/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#list_luna_clients/3","title":"aws_cloudhsm.list_luna_clients/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Returns a list of all tags for the specified AWS CloudHSM resource.","ref":"aws_cloudhsm.html#list_tags_for_resource/2","title":"aws_cloudhsm.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#list_tags_for_resource/3","title":"aws_cloudhsm.list_tags_for_resource/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Modifies an existing high-availability partition group.","ref":"aws_cloudhsm.html#modify_hapg/2","title":"aws_cloudhsm.modify_hapg/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#modify_hapg/3","title":"aws_cloudhsm.modify_hapg/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Modifies an HSM. This operation can result in the HSM being offline for up to 15 minutes while the AWS CloudHSM service is reconfigured. If you are modifying a production HSM, you should ensure that your AWS CloudHSM service is configured for high availability, and consider executing this operation during a maintenance window.","ref":"aws_cloudhsm.html#modify_hsm/2","title":"aws_cloudhsm.modify_hsm/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#modify_hsm/3","title":"aws_cloudhsm.modify_hsm/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Modifies the certificate used by the client. This action can potentially start a workflow to install the new certificate on the client's HSMs.","ref":"aws_cloudhsm.html#modify_luna_client/2","title":"aws_cloudhsm.modify_luna_client/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#modify_luna_client/3","title":"aws_cloudhsm.modify_luna_client/3","type":"function"},{"doc":"This is documentation for AWS CloudHSM Classic. For more information, see AWS CloudHSM Classic FAQs, the AWS CloudHSM Classic User Guide, and the AWS CloudHSM Classic API Reference. For information about the current version of AWS CloudHSM, see AWS CloudHSM, the AWS CloudHSM User Guide, and the AWS CloudHSM API Reference. Removes one or more tags from the specified AWS CloudHSM resource. To remove a tag, specify only the tag key to remove (not the value). To overwrite the value for an existing tag, use AddTagsToResource .","ref":"aws_cloudhsm.html#remove_tags_from_resource/2","title":"aws_cloudhsm.remove_tags_from_resource/2","type":"function"},{"doc":"","ref":"aws_cloudhsm.html#remove_tags_from_resource/3","title":"aws_cloudhsm.remove_tags_from_resource/3","type":"function"},{"doc":"For more information about AWS CloudHSM, see AWS CloudHSM and the AWS CloudHSM User Guide.","ref":"aws_cloudhsm_v2.html","title":"aws_cloudhsm_v2","type":"module"},{"doc":"Copy an AWS CloudHSM cluster backup to a different region.","ref":"aws_cloudhsm_v2.html#copy_backup_to_region/2","title":"aws_cloudhsm_v2.copy_backup_to_region/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#copy_backup_to_region/3","title":"aws_cloudhsm_v2.copy_backup_to_region/3","type":"function"},{"doc":"Creates a new AWS CloudHSM cluster.","ref":"aws_cloudhsm_v2.html#create_cluster/2","title":"aws_cloudhsm_v2.create_cluster/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#create_cluster/3","title":"aws_cloudhsm_v2.create_cluster/3","type":"function"},{"doc":"Creates a new hardware security module (HSM) in the specified AWS CloudHSM cluster.","ref":"aws_cloudhsm_v2.html#create_hsm/2","title":"aws_cloudhsm_v2.create_hsm/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#create_hsm/3","title":"aws_cloudhsm_v2.create_hsm/3","type":"function"},{"doc":"Deletes a specified AWS CloudHSM backup. A backup can be restored up to 7 days after the DeleteBackup request is made. For more information on restoring a backup, see RestoreBackup .","ref":"aws_cloudhsm_v2.html#delete_backup/2","title":"aws_cloudhsm_v2.delete_backup/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#delete_backup/3","title":"aws_cloudhsm_v2.delete_backup/3","type":"function"},{"doc":"Deletes the specified AWS CloudHSM cluster. Before you can delete a cluster, you must delete all HSMs in the cluster. To see if the cluster contains any HSMs, use DescribeClusters . To delete an HSM, use DeleteHsm .","ref":"aws_cloudhsm_v2.html#delete_cluster/2","title":"aws_cloudhsm_v2.delete_cluster/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#delete_cluster/3","title":"aws_cloudhsm_v2.delete_cluster/3","type":"function"},{"doc":"Deletes the specified HSM. To specify an HSM, you can use its identifier (ID), the IP address of the HSM's elastic network interface (ENI), or the ID of the HSM's ENI. You need to specify only one of these values. To find these values, use DescribeClusters .","ref":"aws_cloudhsm_v2.html#delete_hsm/2","title":"aws_cloudhsm_v2.delete_hsm/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#delete_hsm/3","title":"aws_cloudhsm_v2.delete_hsm/3","type":"function"},{"doc":"Gets information about backups of AWS CloudHSM clusters. This is a paginated operation, which means that each response might contain only a subset of all the backups. When the response contains only a subset of backups, it includes a NextToken value. Use this value in a subsequent DescribeBackups request to get more backups. When you receive a response with no NextToken (or an empty or null value), that means there are no more backups to get.","ref":"aws_cloudhsm_v2.html#describe_backups/2","title":"aws_cloudhsm_v2.describe_backups/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#describe_backups/3","title":"aws_cloudhsm_v2.describe_backups/3","type":"function"},{"doc":"Gets information about AWS CloudHSM clusters. This is a paginated operation, which means that each response might contain only a subset of all the clusters. When the response contains only a subset of clusters, it includes a NextToken value. Use this value in a subsequent DescribeClusters request to get more clusters. When you receive a response with no NextToken (or an empty or null value), that means there are no more clusters to get.","ref":"aws_cloudhsm_v2.html#describe_clusters/2","title":"aws_cloudhsm_v2.describe_clusters/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#describe_clusters/3","title":"aws_cloudhsm_v2.describe_clusters/3","type":"function"},{"doc":"Claims an AWS CloudHSM cluster by submitting the cluster certificate issued by your issuing certificate authority (CA) and the CA's root certificate. Before you can claim a cluster, you must sign the cluster's certificate signing request (CSR) with your issuing CA. To get the cluster's CSR, use DescribeClusters .","ref":"aws_cloudhsm_v2.html#initialize_cluster/2","title":"aws_cloudhsm_v2.initialize_cluster/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#initialize_cluster/3","title":"aws_cloudhsm_v2.initialize_cluster/3","type":"function"},{"doc":"Gets a list of tags for the specified AWS CloudHSM cluster. This is a paginated operation, which means that each response might contain only a subset of all the tags. When the response contains only a subset of tags, it includes a NextToken value. Use this value in a subsequent ListTags request to get more tags. When you receive a response with no NextToken (or an empty or null value), that means there are no more tags to get.","ref":"aws_cloudhsm_v2.html#list_tags/2","title":"aws_cloudhsm_v2.list_tags/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#list_tags/3","title":"aws_cloudhsm_v2.list_tags/3","type":"function"},{"doc":"Modifies attributes for AWS CloudHSM backup.","ref":"aws_cloudhsm_v2.html#modify_backup_attributes/2","title":"aws_cloudhsm_v2.modify_backup_attributes/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#modify_backup_attributes/3","title":"aws_cloudhsm_v2.modify_backup_attributes/3","type":"function"},{"doc":"Modifies AWS CloudHSM cluster.","ref":"aws_cloudhsm_v2.html#modify_cluster/2","title":"aws_cloudhsm_v2.modify_cluster/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#modify_cluster/3","title":"aws_cloudhsm_v2.modify_cluster/3","type":"function"},{"doc":"Restores a specified AWS CloudHSM backup that is in the PENDING_DELETION state. For mor information on deleting a backup, see DeleteBackup .","ref":"aws_cloudhsm_v2.html#restore_backup/2","title":"aws_cloudhsm_v2.restore_backup/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#restore_backup/3","title":"aws_cloudhsm_v2.restore_backup/3","type":"function"},{"doc":"Adds or overwrites one or more tags for the specified AWS CloudHSM cluster.","ref":"aws_cloudhsm_v2.html#tag_resource/2","title":"aws_cloudhsm_v2.tag_resource/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#tag_resource/3","title":"aws_cloudhsm_v2.tag_resource/3","type":"function"},{"doc":"Removes the specified tag or tags from the specified AWS CloudHSM cluster.","ref":"aws_cloudhsm_v2.html#untag_resource/2","title":"aws_cloudhsm_v2.untag_resource/2","type":"function"},{"doc":"","ref":"aws_cloudhsm_v2.html#untag_resource/3","title":"aws_cloudhsm_v2.untag_resource/3","type":"function"},{"doc":"Amazon CloudSearch Configuration Service You use the Amazon CloudSearch configuration service to create, configure, and manage search domains. Configuration service requests are submitted using the AWS Query protocol. AWS Query requests are HTTP or HTTPS requests submitted via HTTP GET or POST with a query parameter named Action. The endpoint for configuration service requests is region-specific: cloudsearch.region.amazonaws.com. For example, cloudsearch.us-east-1.amazonaws.com. For a current list of supported regions and endpoints, see Regions and Endpoints.","ref":"aws_cloudsearch.html","title":"aws_cloudsearch","type":"module"},{"doc":"Indexes the search suggestions. For more information, see Configuring Suggesters in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#build_suggesters/2","title":"aws_cloudsearch.build_suggesters/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#build_suggesters/3","title":"aws_cloudsearch.build_suggesters/3","type":"function"},{"doc":"Creates a new search domain. For more information, see Creating a Search Domain in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#create_domain/2","title":"aws_cloudsearch.create_domain/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#create_domain/3","title":"aws_cloudsearch.create_domain/3","type":"function"},{"doc":"Configures an analysis scheme that can be applied to a text or text-array field to define language-specific text processing options. For more information, see Configuring Analysis Schemes in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#define_analysis_scheme/2","title":"aws_cloudsearch.define_analysis_scheme/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#define_analysis_scheme/3","title":"aws_cloudsearch.define_analysis_scheme/3","type":"function"},{"doc":"Configures an Expression for the search domain. Used to create new expressions and modify existing ones. If the expression exists, the new configuration replaces the old one. For more information, see Configuring Expressions in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#define_expression/2","title":"aws_cloudsearch.define_expression/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#define_expression/3","title":"aws_cloudsearch.define_expression/3","type":"function"},{"doc":"Configures an IndexField for the search domain. Used to create new fields and modify existing ones. You must specify the name of the domain you are configuring and an index field configuration. The index field configuration specifies a unique name, the index field type, and the options you want to configure for the field. The options you can specify depend on the IndexFieldType . If the field exists, the new configuration replaces the old one. For more information, see Configuring Index Fields in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#define_index_field/2","title":"aws_cloudsearch.define_index_field/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#define_index_field/3","title":"aws_cloudsearch.define_index_field/3","type":"function"},{"doc":"Configures a suggester for a domain. A suggester enables you to display possible matches before users finish typing their queries. When you configure a suggester, you must specify the name of the text field you want to search for possible matches and a unique name for the suggester. For more information, see Getting Search Suggestions in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#define_suggester/2","title":"aws_cloudsearch.define_suggester/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#define_suggester/3","title":"aws_cloudsearch.define_suggester/3","type":"function"},{"doc":"Deletes an analysis scheme. For more information, see Configuring Analysis Schemes in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#delete_analysis_scheme/2","title":"aws_cloudsearch.delete_analysis_scheme/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#delete_analysis_scheme/3","title":"aws_cloudsearch.delete_analysis_scheme/3","type":"function"},{"doc":"Permanently deletes a search domain and all of its data. Once a domain has been deleted, it cannot be recovered. For more information, see Deleting a Search Domain in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#delete_domain/2","title":"aws_cloudsearch.delete_domain/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#delete_domain/3","title":"aws_cloudsearch.delete_domain/3","type":"function"},{"doc":"Removes an Expression from the search domain. For more information, see Configuring Expressions in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#delete_expression/2","title":"aws_cloudsearch.delete_expression/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#delete_expression/3","title":"aws_cloudsearch.delete_expression/3","type":"function"},{"doc":"Removes an IndexField from the search domain. For more information, see Configuring Index Fields in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#delete_index_field/2","title":"aws_cloudsearch.delete_index_field/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#delete_index_field/3","title":"aws_cloudsearch.delete_index_field/3","type":"function"},{"doc":"Deletes a suggester. For more information, see Getting Search Suggestions in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#delete_suggester/2","title":"aws_cloudsearch.delete_suggester/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#delete_suggester/3","title":"aws_cloudsearch.delete_suggester/3","type":"function"},{"doc":"Gets the analysis schemes configured for a domain. An analysis scheme defines language-specific text processing options for a text field. Can be limited to specific analysis schemes by name. By default, shows all analysis schemes and includes any pending changes to the configuration. Set the Deployed option to true to show the active configuration and exclude pending changes. For more information, see Configuring Analysis Schemes in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#describe_analysis_schemes/2","title":"aws_cloudsearch.describe_analysis_schemes/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#describe_analysis_schemes/3","title":"aws_cloudsearch.describe_analysis_schemes/3","type":"function"},{"doc":"Gets the availability options configured for a domain. By default, shows the configuration with any pending changes. Set the Deployed option to true to show the active configuration and exclude pending changes. For more information, see Configuring Availability Options in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#describe_availability_options/2","title":"aws_cloudsearch.describe_availability_options/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#describe_availability_options/3","title":"aws_cloudsearch.describe_availability_options/3","type":"function"},{"doc":"Returns the domain's endpoint options, specifically whether all requests to the domain must arrive over HTTPS. For more information, see Configuring Domain Endpoint Options in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#describe_domain_endpoint_options/2","title":"aws_cloudsearch.describe_domain_endpoint_options/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#describe_domain_endpoint_options/3","title":"aws_cloudsearch.describe_domain_endpoint_options/3","type":"function"},{"doc":"Gets information about the search domains owned by this account. Can be limited to specific domains. Shows all domains by default. To get the number of searchable documents in a domain, use the console or submit a matchall request to your domain's search endpoint: q=matchall&amp;amp;amp;q.parser=structured&amp;amp;amp;size=0 . For more information, see Getting Information about a Search Domain in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#describe_domains/2","title":"aws_cloudsearch.describe_domains/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#describe_domains/3","title":"aws_cloudsearch.describe_domains/3","type":"function"},{"doc":"Gets the expressions configured for the search domain. Can be limited to specific expressions by name. By default, shows all expressions and includes any pending changes to the configuration. Set the Deployed option to true to show the active configuration and exclude pending changes. For more information, see Configuring Expressions in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#describe_expressions/2","title":"aws_cloudsearch.describe_expressions/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#describe_expressions/3","title":"aws_cloudsearch.describe_expressions/3","type":"function"},{"doc":"Gets information about the index fields configured for the search domain. Can be limited to specific fields by name. By default, shows all fields and includes any pending changes to the configuration. Set the Deployed option to true to show the active configuration and exclude pending changes. For more information, see Getting Domain Information in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#describe_index_fields/2","title":"aws_cloudsearch.describe_index_fields/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#describe_index_fields/3","title":"aws_cloudsearch.describe_index_fields/3","type":"function"},{"doc":"Gets the scaling parameters configured for a domain. A domain's scaling parameters specify the desired search instance type and replication count. For more information, see Configuring Scaling Options in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#describe_scaling_parameters/2","title":"aws_cloudsearch.describe_scaling_parameters/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#describe_scaling_parameters/3","title":"aws_cloudsearch.describe_scaling_parameters/3","type":"function"},{"doc":"Gets information about the access policies that control access to the domain's document and search endpoints. By default, shows the configuration with any pending changes. Set the Deployed option to true to show the active configuration and exclude pending changes. For more information, see Configuring Access for a Search Domain in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#describe_service_access_policies/2","title":"aws_cloudsearch.describe_service_access_policies/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#describe_service_access_policies/3","title":"aws_cloudsearch.describe_service_access_policies/3","type":"function"},{"doc":"Gets the suggesters configured for a domain. A suggester enables you to display possible matches before users finish typing their queries. Can be limited to specific suggesters by name. By default, shows all suggesters and includes any pending changes to the configuration. Set the Deployed option to true to show the active configuration and exclude pending changes. For more information, see Getting Search Suggestions in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#describe_suggesters/2","title":"aws_cloudsearch.describe_suggesters/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#describe_suggesters/3","title":"aws_cloudsearch.describe_suggesters/3","type":"function"},{"doc":"Tells the search domain to start indexing its documents using the latest indexing options. This operation must be invoked to activate options whose OptionStatus is RequiresIndexDocuments .","ref":"aws_cloudsearch.html#index_documents/2","title":"aws_cloudsearch.index_documents/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#index_documents/3","title":"aws_cloudsearch.index_documents/3","type":"function"},{"doc":"Lists all search domains owned by an account.","ref":"aws_cloudsearch.html#list_domain_names/2","title":"aws_cloudsearch.list_domain_names/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#list_domain_names/3","title":"aws_cloudsearch.list_domain_names/3","type":"function"},{"doc":"Configures the availability options for a domain. Enabling the Multi-AZ option expands an Amazon CloudSearch domain to an additional Availability Zone in the same Region to increase fault tolerance in the event of a service disruption. Changes to the Multi-AZ option can take about half an hour to become active. For more information, see Configuring Availability Options in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#update_availability_options/2","title":"aws_cloudsearch.update_availability_options/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#update_availability_options/3","title":"aws_cloudsearch.update_availability_options/3","type":"function"},{"doc":"Updates the domain's endpoint options, specifically whether all requests to the domain must arrive over HTTPS. For more information, see Configuring Domain Endpoint Options in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#update_domain_endpoint_options/2","title":"aws_cloudsearch.update_domain_endpoint_options/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#update_domain_endpoint_options/3","title":"aws_cloudsearch.update_domain_endpoint_options/3","type":"function"},{"doc":"Configures scaling parameters for a domain. A domain's scaling parameters specify the desired search instance type and replication count. Amazon CloudSearch will still automatically scale your domain based on the volume of data and traffic, but not below the desired instance type and replication count. If the Multi-AZ option is enabled, these values control the resources used per Availability Zone. For more information, see Configuring Scaling Options in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch.html#update_scaling_parameters/2","title":"aws_cloudsearch.update_scaling_parameters/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#update_scaling_parameters/3","title":"aws_cloudsearch.update_scaling_parameters/3","type":"function"},{"doc":"Configures the access rules that control access to the domain's document and search endpoints. For more information, see Configuring Access for an Amazon CloudSearch Domain.","ref":"aws_cloudsearch.html#update_service_access_policies/2","title":"aws_cloudsearch.update_service_access_policies/2","type":"function"},{"doc":"","ref":"aws_cloudsearch.html#update_service_access_policies/3","title":"aws_cloudsearch.update_service_access_policies/3","type":"function"},{"doc":"You use the AmazonCloudSearch2013 API to upload documents to a search domain and search those documents. The endpoints for submitting UploadDocuments , Search , and Suggest requests are domain-specific. To get the endpoints for your domain, use the Amazon CloudSearch configuration service DescribeDomains action. The domain endpoints are also displayed on the domain dashboard in the Amazon CloudSearch console. You submit suggest requests to the search endpoint. For more information, see the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch_domain.html","title":"aws_cloudsearch_domain","type":"module"},{"doc":"Retrieves a list of documents that match the specified search criteria. How you specify the search criteria depends on which query parser you use. Amazon CloudSearch supports four query parsers: simple : search all text and text-array fields for the specified string. Search for phrases, individual terms, and prefixes. structured : search specific fields, construct compound queries using Boolean operators, and use advanced features such as term boosting and proximity searching. lucene : specify search criteria using the Apache Lucene query parser syntax. dismax : specify search criteria using the simplified subset of the Apache Lucene query parser syntax defined by the DisMax query parser. For more information, see Searching Your Data in the Amazon CloudSearch Developer Guide. The endpoint for submitting Search requests is domain-specific. You submit search requests to a domain's search endpoint. To get the search endpoint for your domain, use the Amazon CloudSearch configuration service DescribeDomains action. A domain's endpoints are also displayed on the domain dashboard in the Amazon CloudSearch console.","ref":"aws_cloudsearch_domain.html#search/2","title":"aws_cloudsearch_domain.search/2","type":"function"},{"doc":"","ref":"aws_cloudsearch_domain.html#search/4","title":"aws_cloudsearch_domain.search/4","type":"function"},{"doc":"","ref":"aws_cloudsearch_domain.html#search/5","title":"aws_cloudsearch_domain.search/5","type":"function"},{"doc":"Retrieves autocomplete suggestions for a partial query string. You can use suggestions enable you to display likely matches before users finish typing. In Amazon CloudSearch, suggestions are based on the contents of a particular text field. When you request suggestions, Amazon CloudSearch finds all of the documents whose values in the suggester field start with the specified query string. The beginning of the field must match the query string to be considered a match. For more information about configuring suggesters and retrieving suggestions, see Getting Suggestions in the Amazon CloudSearch Developer Guide. The endpoint for submitting Suggest requests is domain-specific. You submit suggest requests to a domain's search endpoint. To get the search endpoint for your domain, use the Amazon CloudSearch configuration service DescribeDomains action. A domain's endpoints are also displayed on the domain dashboard in the Amazon CloudSearch console.","ref":"aws_cloudsearch_domain.html#suggest/3","title":"aws_cloudsearch_domain.suggest/3","type":"function"},{"doc":"","ref":"aws_cloudsearch_domain.html#suggest/5","title":"aws_cloudsearch_domain.suggest/5","type":"function"},{"doc":"","ref":"aws_cloudsearch_domain.html#suggest/6","title":"aws_cloudsearch_domain.suggest/6","type":"function"},{"doc":"Posts a batch of documents to a search domain for indexing. A document batch is a collection of add and delete operations that represent the documents you want to add, update, or delete from your domain. Batches can be described in either JSON or XML. Each item that you want Amazon CloudSearch to return as a search result (such as a product) is represented as a document. Every document has a unique ID and one or more fields that contain the data that you want to search and return in results. Individual documents cannot contain more than 1 MB of data. The entire batch cannot exceed 5 MB. To get the best possible upload performance, group add and delete operations in batches that are close the 5 MB limit. Submitting a large volume of single-document batches can overload a domain's document service. The endpoint for submitting UploadDocuments requests is domain-specific. To get the document endpoint for your domain, use the Amazon CloudSearch configuration service DescribeDomains action. A domain's endpoints are also displayed on the domain dashboard in the Amazon CloudSearch console. For more information about formatting your data for Amazon CloudSearch, see Preparing Your Data in the Amazon CloudSearch Developer Guide. For more information about uploading data for indexing, see Uploading Data in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearch_domain.html#upload_documents/2","title":"aws_cloudsearch_domain.upload_documents/2","type":"function"},{"doc":"","ref":"aws_cloudsearch_domain.html#upload_documents/3","title":"aws_cloudsearch_domain.upload_documents/3","type":"function"},{"doc":"You use the AmazonCloudSearch2013 API to upload documents to a search domain and search those documents. The endpoints for submitting UploadDocuments , Search , and Suggest requests are domain-specific. To get the endpoints for your domain, use the Amazon CloudSearch configuration service DescribeDomains action. The domain endpoints are also displayed on the domain dashboard in the Amazon CloudSearch console. You submit suggest requests to the search endpoint. For more information, see the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearchdomain.html","title":"aws_cloudsearchdomain","type":"module"},{"doc":"Retrieves a list of documents that match the specified search criteria. How you specify the search criteria depends on which query parser you use. Amazon CloudSearch supports four query parsers: simple : search all text and text-array fields for the specified string. Search for phrases, individual terms, and prefixes. structured : search specific fields, construct compound queries using Boolean operators, and use advanced features such as term boosting and proximity searching. lucene : specify search criteria using the Apache Lucene query parser syntax. dismax : specify search criteria using the simplified subset of the Apache Lucene query parser syntax defined by the DisMax query parser. For more information, see Searching Your Data in the Amazon CloudSearch Developer Guide. The endpoint for submitting Search requests is domain-specific. You submit search requests to a domain's search endpoint. To get the search endpoint for your domain, use the Amazon CloudSearch configuration service DescribeDomains action. A domain's endpoints are also displayed on the domain dashboard in the Amazon CloudSearch console.","ref":"aws_cloudsearchdomain.html#search/2","title":"aws_cloudsearchdomain.search/2","type":"function"},{"doc":"","ref":"aws_cloudsearchdomain.html#search/4","title":"aws_cloudsearchdomain.search/4","type":"function"},{"doc":"","ref":"aws_cloudsearchdomain.html#search/5","title":"aws_cloudsearchdomain.search/5","type":"function"},{"doc":"Retrieves autocomplete suggestions for a partial query string. You can use suggestions enable you to display likely matches before users finish typing. In Amazon CloudSearch, suggestions are based on the contents of a particular text field. When you request suggestions, Amazon CloudSearch finds all of the documents whose values in the suggester field start with the specified query string. The beginning of the field must match the query string to be considered a match. For more information about configuring suggesters and retrieving suggestions, see Getting Suggestions in the Amazon CloudSearch Developer Guide. The endpoint for submitting Suggest requests is domain-specific. You submit suggest requests to a domain's search endpoint. To get the search endpoint for your domain, use the Amazon CloudSearch configuration service DescribeDomains action. A domain's endpoints are also displayed on the domain dashboard in the Amazon CloudSearch console.","ref":"aws_cloudsearchdomain.html#suggest/3","title":"aws_cloudsearchdomain.suggest/3","type":"function"},{"doc":"","ref":"aws_cloudsearchdomain.html#suggest/5","title":"aws_cloudsearchdomain.suggest/5","type":"function"},{"doc":"","ref":"aws_cloudsearchdomain.html#suggest/6","title":"aws_cloudsearchdomain.suggest/6","type":"function"},{"doc":"Posts a batch of documents to a search domain for indexing. A document batch is a collection of add and delete operations that represent the documents you want to add, update, or delete from your domain. Batches can be described in either JSON or XML. Each item that you want Amazon CloudSearch to return as a search result (such as a product) is represented as a document. Every document has a unique ID and one or more fields that contain the data that you want to search and return in results. Individual documents cannot contain more than 1 MB of data. The entire batch cannot exceed 5 MB. To get the best possible upload performance, group add and delete operations in batches that are close the 5 MB limit. Submitting a large volume of single-document batches can overload a domain's document service. The endpoint for submitting UploadDocuments requests is domain-specific. To get the document endpoint for your domain, use the Amazon CloudSearch configuration service DescribeDomains action. A domain's endpoints are also displayed on the domain dashboard in the Amazon CloudSearch console. For more information about formatting your data for Amazon CloudSearch, see Preparing Your Data in the Amazon CloudSearch Developer Guide. For more information about uploading data for indexing, see Uploading Data in the Amazon CloudSearch Developer Guide.","ref":"aws_cloudsearchdomain.html#upload_documents/2","title":"aws_cloudsearchdomain.upload_documents/2","type":"function"},{"doc":"","ref":"aws_cloudsearchdomain.html#upload_documents/3","title":"aws_cloudsearchdomain.upload_documents/3","type":"function"},{"doc":"CloudTrail This is the CloudTrail API Reference. It provides descriptions of actions, data types, common parameters, and common errors for CloudTrail. CloudTrail is a web service that records Amazon Web Services API calls for your Amazon Web Services account and delivers log files to an Amazon S3 bucket. The recorded information includes the identity of the user, the start time of the Amazon Web Services API call, the source IP address, the request parameters, and the response elements returned by the service. As an alternative to the API, you can use one of the Amazon Web Services SDKs, which consist of libraries and sample code for various programming languages and platforms (Java, Ruby, .NET, iOS, Android, etc.). The SDKs provide programmatic access to CloudTrail. For example, the SDKs handle cryptographically signing requests, managing errors, and retrying requests automatically. For more information about the Amazon Web Services SDKs, including how to download and install them, see Tools to Build on Amazon Web Services. See the CloudTrail User Guide for information about the data that is included with each Amazon Web Services API call listed in the log files.","ref":"aws_cloudtrail.html","title":"aws_cloudtrail","type":"module"},{"doc":"Adds one or more tags to a trail, event data store, or channel, up to a limit of 50. Overwrites an existing tag's value when a new value is specified for an existing tag key. Tag key names must be unique; you cannot have two keys with the same name but different values. If you specify a key without a value, the tag will be created with the specified key and a value of null. You can tag a trail or event data store that applies to all Amazon Web Services Regions only from the Region in which the trail or event data store was created (also known as its home region).","ref":"aws_cloudtrail.html#add_tags/2","title":"aws_cloudtrail.add_tags/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#add_tags/3","title":"aws_cloudtrail.add_tags/3","type":"function"},{"doc":"Cancels a query if the query is not in a terminated state, such as CANCELLED , FAILED , TIMED_OUT , or FINISHED . You must specify an ARN value for EventDataStore . The ID of the query that you want to cancel is also required. When you run CancelQuery , the query status might show as CANCELLED even if the operation is not yet finished.","ref":"aws_cloudtrail.html#cancel_query/2","title":"aws_cloudtrail.cancel_query/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#cancel_query/3","title":"aws_cloudtrail.cancel_query/3","type":"function"},{"doc":"Creates a channel for CloudTrail to ingest events from a partner or external source. After you create a channel, a CloudTrail Lake event data store can log events from the partner or source that you specify.","ref":"aws_cloudtrail.html#create_channel/2","title":"aws_cloudtrail.create_channel/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#create_channel/3","title":"aws_cloudtrail.create_channel/3","type":"function"},{"doc":"Creates a new event data store.","ref":"aws_cloudtrail.html#create_event_data_store/2","title":"aws_cloudtrail.create_event_data_store/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#create_event_data_store/3","title":"aws_cloudtrail.create_event_data_store/3","type":"function"},{"doc":"Creates a trail that specifies the settings for delivery of log data to an Amazon S3 bucket.","ref":"aws_cloudtrail.html#create_trail/2","title":"aws_cloudtrail.create_trail/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#create_trail/3","title":"aws_cloudtrail.create_trail/3","type":"function"},{"doc":"Deletes a channel.","ref":"aws_cloudtrail.html#delete_channel/2","title":"aws_cloudtrail.delete_channel/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#delete_channel/3","title":"aws_cloudtrail.delete_channel/3","type":"function"},{"doc":"Disables the event data store specified by EventDataStore , which accepts an event data store ARN. After you run DeleteEventDataStore , the event data store enters a PENDING_DELETION state, and is automatically deleted after a wait period of seven days. TerminationProtectionEnabled must be set to False on the event data store; this operation cannot work if TerminationProtectionEnabled is True . After you run DeleteEventDataStore on an event data store, you cannot run ListQueries , DescribeQuery , or GetQueryResults on queries that are using an event data store in a PENDING_DELETION state. An event data store in the PENDING_DELETION state does not incur costs.","ref":"aws_cloudtrail.html#delete_event_data_store/2","title":"aws_cloudtrail.delete_event_data_store/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#delete_event_data_store/3","title":"aws_cloudtrail.delete_event_data_store/3","type":"function"},{"doc":"Deletes the resource-based policy attached to the CloudTrail channel.","ref":"aws_cloudtrail.html#delete_resource_policy/2","title":"aws_cloudtrail.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#delete_resource_policy/3","title":"aws_cloudtrail.delete_resource_policy/3","type":"function"},{"doc":"Deletes a trail. This operation must be called from the region in which the trail was created. DeleteTrail cannot be called on the shadow trails (replicated trails in other regions) of a trail that is enabled in all regions.","ref":"aws_cloudtrail.html#delete_trail/2","title":"aws_cloudtrail.delete_trail/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#delete_trail/3","title":"aws_cloudtrail.delete_trail/3","type":"function"},{"doc":"Removes CloudTrail delegated administrator permissions from a member account in an organization.","ref":"aws_cloudtrail.html#deregister_organization_delegated_admin/2","title":"aws_cloudtrail.deregister_organization_delegated_admin/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#deregister_organization_delegated_admin/3","title":"aws_cloudtrail.deregister_organization_delegated_admin/3","type":"function"},{"doc":"Returns metadata about a query, including query run time in milliseconds, number of events scanned and matched, and query status. You must specify an ARN for EventDataStore , and a value for QueryID .","ref":"aws_cloudtrail.html#describe_query/2","title":"aws_cloudtrail.describe_query/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#describe_query/3","title":"aws_cloudtrail.describe_query/3","type":"function"},{"doc":"Retrieves settings for one or more trails associated with the current region for your account.","ref":"aws_cloudtrail.html#describe_trails/2","title":"aws_cloudtrail.describe_trails/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#describe_trails/3","title":"aws_cloudtrail.describe_trails/3","type":"function"},{"doc":"Returns information about a specific channel.","ref":"aws_cloudtrail.html#get_channel/2","title":"aws_cloudtrail.get_channel/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#get_channel/3","title":"aws_cloudtrail.get_channel/3","type":"function"},{"doc":"Returns information about an event data store specified as either an ARN or the ID portion of the ARN.","ref":"aws_cloudtrail.html#get_event_data_store/2","title":"aws_cloudtrail.get_event_data_store/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#get_event_data_store/3","title":"aws_cloudtrail.get_event_data_store/3","type":"function"},{"doc":"Describes the settings for the event selectors that you configured for your trail. The information returned for your event selectors includes the following: If your event selector includes read-only events, write-only events, or all events. This applies to both management events and data events. If your event selector includes management events. If your event selector includes data events, the resources on which you are logging data events. For more information about logging management and data events, see the following topics in the CloudTrail User Guide: Logging management events for trails Logging data events for trails","ref":"aws_cloudtrail.html#get_event_selectors/2","title":"aws_cloudtrail.get_event_selectors/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#get_event_selectors/3","title":"aws_cloudtrail.get_event_selectors/3","type":"function"},{"doc":"Returns information about a specific import.","ref":"aws_cloudtrail.html#get_import/2","title":"aws_cloudtrail.get_import/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#get_import/3","title":"aws_cloudtrail.get_import/3","type":"function"},{"doc":"Describes the settings for the Insights event selectors that you configured for your trail. GetInsightSelectors shows if CloudTrail Insights event logging is enabled on the trail, and if it is, which insight types are enabled. If you run GetInsightSelectors on a trail that does not have Insights events enabled, the operation throws the exception InsightNotEnabledException For more information, see Logging CloudTrail Insights Events for Trails in the CloudTrail User Guide.","ref":"aws_cloudtrail.html#get_insight_selectors/2","title":"aws_cloudtrail.get_insight_selectors/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#get_insight_selectors/3","title":"aws_cloudtrail.get_insight_selectors/3","type":"function"},{"doc":"Gets event data results of a query. You must specify the QueryID value returned by the StartQuery operation, and an ARN for EventDataStore .","ref":"aws_cloudtrail.html#get_query_results/2","title":"aws_cloudtrail.get_query_results/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#get_query_results/3","title":"aws_cloudtrail.get_query_results/3","type":"function"},{"doc":"Retrieves the JSON text of the resource-based policy document attached to the CloudTrail channel.","ref":"aws_cloudtrail.html#get_resource_policy/2","title":"aws_cloudtrail.get_resource_policy/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#get_resource_policy/3","title":"aws_cloudtrail.get_resource_policy/3","type":"function"},{"doc":"Returns settings information for a specified trail.","ref":"aws_cloudtrail.html#get_trail/2","title":"aws_cloudtrail.get_trail/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#get_trail/3","title":"aws_cloudtrail.get_trail/3","type":"function"},{"doc":"Returns a JSON-formatted list of information about the specified trail. Fields include information on delivery errors, Amazon SNS and Amazon S3 errors, and start and stop logging times for each trail. This operation returns trail status from a single region. To return trail status from all regions, you must call the operation on each region.","ref":"aws_cloudtrail.html#get_trail_status/2","title":"aws_cloudtrail.get_trail_status/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#get_trail_status/3","title":"aws_cloudtrail.get_trail_status/3","type":"function"},{"doc":"Lists the channels in the current account, and their source names.","ref":"aws_cloudtrail.html#list_channels/2","title":"aws_cloudtrail.list_channels/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#list_channels/3","title":"aws_cloudtrail.list_channels/3","type":"function"},{"doc":"Returns information about all event data stores in the account, in the current region.","ref":"aws_cloudtrail.html#list_event_data_stores/2","title":"aws_cloudtrail.list_event_data_stores/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#list_event_data_stores/3","title":"aws_cloudtrail.list_event_data_stores/3","type":"function"},{"doc":"Returns a list of failures for the specified import.","ref":"aws_cloudtrail.html#list_import_failures/2","title":"aws_cloudtrail.list_import_failures/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#list_import_failures/3","title":"aws_cloudtrail.list_import_failures/3","type":"function"},{"doc":"Returns information on all imports, or a select set of imports by ImportStatus or Destination .","ref":"aws_cloudtrail.html#list_imports/2","title":"aws_cloudtrail.list_imports/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#list_imports/3","title":"aws_cloudtrail.list_imports/3","type":"function"},{"doc":"Returns all public keys whose private keys were used to sign the digest files within the specified time range. The public key is needed to validate digest files that were signed with its corresponding private key. CloudTrail uses different private and public key pairs per region. Each digest file is signed with a private key unique to its region. When you validate a digest file from a specific region, you must look in the same region for its corresponding public key.","ref":"aws_cloudtrail.html#list_public_keys/2","title":"aws_cloudtrail.list_public_keys/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#list_public_keys/3","title":"aws_cloudtrail.list_public_keys/3","type":"function"},{"doc":"Returns a list of queries and query statuses for the past seven days. You must specify an ARN value for EventDataStore . Optionally, to shorten the list of results, you can specify a time range, formatted as timestamps, by adding StartTime and EndTime parameters, and a QueryStatus value. Valid values for QueryStatus include QUEUED , RUNNING , FINISHED , FAILED , TIMED_OUT , or CANCELLED .","ref":"aws_cloudtrail.html#list_queries/2","title":"aws_cloudtrail.list_queries/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#list_queries/3","title":"aws_cloudtrail.list_queries/3","type":"function"},{"doc":"Lists the tags for the trail, event data store, or channel in the current region.","ref":"aws_cloudtrail.html#list_tags/2","title":"aws_cloudtrail.list_tags/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#list_tags/3","title":"aws_cloudtrail.list_tags/3","type":"function"},{"doc":"Lists trails that are in the current account.","ref":"aws_cloudtrail.html#list_trails/2","title":"aws_cloudtrail.list_trails/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#list_trails/3","title":"aws_cloudtrail.list_trails/3","type":"function"},{"doc":"Looks up management events or CloudTrail Insights events that are captured by CloudTrail. You can look up events that occurred in a region within the last 90 days. Lookup supports the following attributes for management events: Amazon Web Services access key Event ID Event name Event source Read only Resource name Resource type User name Lookup supports the following attributes for Insights events: Event ID Event name Event source All attributes are optional. The default number of results returned is 50, with a maximum of 50 possible. The response includes a token that you can use to get the next page of results. The rate of lookup requests is limited to two per second, per account, per region. If this limit is exceeded, a throttling error occurs.","ref":"aws_cloudtrail.html#lookup_events/2","title":"aws_cloudtrail.lookup_events/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#lookup_events/3","title":"aws_cloudtrail.lookup_events/3","type":"function"},{"doc":"Configures an event selector or advanced event selectors for your trail. Use event selectors or advanced event selectors to specify management and data event settings for your trail. By default, trails created without specific event selectors are configured to log all read and write management events, and no data events. When an event occurs in your account, CloudTrail evaluates the event selectors or advanced event selectors in all trails. For each trail, if the event matches any event selector, the trail processes and logs the event. If the event doesn't match any event selector, the trail doesn't log the event. Example You create an event selector for a trail and specify that you want write-only events. The EC2 GetConsoleOutput and RunInstances API operations occur in your account. CloudTrail evaluates whether the events match your event selectors. The RunInstances is a write-only event and it matches your event selector. The trail logs the event. The GetConsoleOutput is a read-only event that doesn't match your event selector. The trail doesn't log the event. The PutEventSelectors operation must be called from the region in which the trail was created; otherwise, an InvalidHomeRegionException exception is thrown. You can configure up to five event selectors for each trail. For more information, see Logging management events for trails , Logging data events for trails , and Quotas in CloudTrail in the CloudTrail User Guide. You can add advanced event selectors, and conditions for your advanced event selectors, up to a maximum of 500 values for all conditions and selectors on a trail. You can use either AdvancedEventSelectors or EventSelectors , but not both. If you apply AdvancedEventSelectors to a trail, any existing EventSelectors are overwritten. For more information about advanced event selectors, see Logging data events for trails in the CloudTrail User Guide.","ref":"aws_cloudtrail.html#put_event_selectors/2","title":"aws_cloudtrail.put_event_selectors/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#put_event_selectors/3","title":"aws_cloudtrail.put_event_selectors/3","type":"function"},{"doc":"Lets you enable Insights event logging by specifying the Insights selectors that you want to enable on an existing trail. You also use PutInsightSelectors to turn off Insights event logging, by passing an empty list of insight types. The valid Insights event types in this release are ApiErrorRateInsight and ApiCallRateInsight .","ref":"aws_cloudtrail.html#put_insight_selectors/2","title":"aws_cloudtrail.put_insight_selectors/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#put_insight_selectors/3","title":"aws_cloudtrail.put_insight_selectors/3","type":"function"},{"doc":"Attaches a resource-based permission policy to a CloudTrail channel that is used for an integration with an event source outside of Amazon Web Services. For more information about resource-based policies, see CloudTrail resource-based policy examples in the CloudTrail User Guide.","ref":"aws_cloudtrail.html#put_resource_policy/2","title":"aws_cloudtrail.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#put_resource_policy/3","title":"aws_cloudtrail.put_resource_policy/3","type":"function"},{"doc":"Registers an organization’s member account as the CloudTrail delegated administrator.","ref":"aws_cloudtrail.html#register_organization_delegated_admin/2","title":"aws_cloudtrail.register_organization_delegated_admin/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#register_organization_delegated_admin/3","title":"aws_cloudtrail.register_organization_delegated_admin/3","type":"function"},{"doc":"Removes the specified tags from a trail, event data store, or channel.","ref":"aws_cloudtrail.html#remove_tags/2","title":"aws_cloudtrail.remove_tags/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#remove_tags/3","title":"aws_cloudtrail.remove_tags/3","type":"function"},{"doc":"Restores a deleted event data store specified by EventDataStore , which accepts an event data store ARN. You can only restore a deleted event data store within the seven-day wait period after deletion. Restoring an event data store can take several minutes, depending on the size of the event data store.","ref":"aws_cloudtrail.html#restore_event_data_store/2","title":"aws_cloudtrail.restore_event_data_store/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#restore_event_data_store/3","title":"aws_cloudtrail.restore_event_data_store/3","type":"function"},{"doc":"Starts an import of logged trail events from a source S3 bucket to a destination event data store. By default, CloudTrail only imports events contained in the S3 bucket's CloudTrail prefix and the prefixes inside the CloudTrail prefix, and does not check prefixes for other Amazon Web Services services. If you want to import CloudTrail events contained in another prefix, you must include the prefix in the S3LocationUri . For more considerations about importing trail events, see Considerations. When you start a new import, the Destinations and ImportSource parameters are required. Before starting a new import, disable any access control lists (ACLs) attached to the source S3 bucket. For more information about disabling ACLs, see Controlling ownership of objects and disabling ACLs for your bucket. When you retry an import, the ImportID parameter is required. If the destination event data store is for an organization, you must use the management account to import trail events. You cannot use the delegated administrator account for the organization.","ref":"aws_cloudtrail.html#start_import/2","title":"aws_cloudtrail.start_import/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#start_import/3","title":"aws_cloudtrail.start_import/3","type":"function"},{"doc":"Starts the recording of Amazon Web Services API calls and log file delivery for a trail. For a trail that is enabled in all regions, this operation must be called from the region in which the trail was created. This operation cannot be called on the shadow trails (replicated trails in other regions) of a trail that is enabled in all regions.","ref":"aws_cloudtrail.html#start_logging/2","title":"aws_cloudtrail.start_logging/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#start_logging/3","title":"aws_cloudtrail.start_logging/3","type":"function"},{"doc":"Starts a CloudTrail Lake query. The required QueryStatement parameter provides your SQL query, enclosed in single quotation marks. Use the optional DeliveryS3Uri parameter to deliver the query results to an S3 bucket.","ref":"aws_cloudtrail.html#start_query/2","title":"aws_cloudtrail.start_query/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#start_query/3","title":"aws_cloudtrail.start_query/3","type":"function"},{"doc":"Stops a specified import.","ref":"aws_cloudtrail.html#stop_import/2","title":"aws_cloudtrail.stop_import/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#stop_import/3","title":"aws_cloudtrail.stop_import/3","type":"function"},{"doc":"Suspends the recording of Amazon Web Services API calls and log file delivery for the specified trail. Under most circumstances, there is no need to use this action. You can update a trail without stopping it first. This action is the only way to stop recording. For a trail enabled in all regions, this operation must be called from the region in which the trail was created, or an InvalidHomeRegionException will occur. This operation cannot be called on the shadow trails (replicated trails in other regions) of a trail enabled in all regions.","ref":"aws_cloudtrail.html#stop_logging/2","title":"aws_cloudtrail.stop_logging/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#stop_logging/3","title":"aws_cloudtrail.stop_logging/3","type":"function"},{"doc":"Updates a channel specified by a required channel ARN or UUID.","ref":"aws_cloudtrail.html#update_channel/2","title":"aws_cloudtrail.update_channel/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#update_channel/3","title":"aws_cloudtrail.update_channel/3","type":"function"},{"doc":"Updates an event data store. The required EventDataStore value is an ARN or the ID portion of the ARN. Other parameters are optional, but at least one optional parameter must be specified, or CloudTrail throws an error. RetentionPeriod is in days, and valid values are integers between 90 and 2557. By default, TerminationProtection is enabled. For event data stores for CloudTrail events, AdvancedEventSelectors includes or excludes management and data events in your event data store. For more information about AdvancedEventSelectors , see PutEventSelectorsRequest$AdvancedEventSelectors . For event data stores for Config configuration items, Audit Manager evidence, or non-Amazon Web Services events, AdvancedEventSelectors includes events of that type in your event data store.","ref":"aws_cloudtrail.html#update_event_data_store/2","title":"aws_cloudtrail.update_event_data_store/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#update_event_data_store/3","title":"aws_cloudtrail.update_event_data_store/3","type":"function"},{"doc":"Updates trail settings that control what events you are logging, and how to handle log files. Changes to a trail do not require stopping the CloudTrail service. Use this action to designate an existing bucket for log delivery. If the existing bucket has previously been a target for CloudTrail log files, an IAM policy exists for the bucket. UpdateTrail must be called from the region in which the trail was created; otherwise, an InvalidHomeRegionException is thrown.","ref":"aws_cloudtrail.html#update_trail/2","title":"aws_cloudtrail.update_trail/2","type":"function"},{"doc":"","ref":"aws_cloudtrail.html#update_trail/3","title":"aws_cloudtrail.update_trail/3","type":"function"},{"doc":"The CloudTrail Data Service lets you ingest events into CloudTrail from any source in your hybrid environments, such as in-house or SaaS applications hosted on-premises or in the cloud, virtual machines, or containers. You can store, access, analyze, troubleshoot and take action on this data without maintaining multiple log aggregators and reporting tools. After you run PutAuditEvents to ingest your application activity into CloudTrail, you can use CloudTrail Lake to search, query, and analyze the data that is logged from your applications.","ref":"aws_cloudtrail_data.html","title":"aws_cloudtrail_data","type":"module"},{"doc":"Ingests your application events into CloudTrail Lake. A required parameter, auditEvents , accepts the JSON records (also called payload) of events that you want CloudTrail to ingest. You can add up to 100 of these events (or up to 1 MB) per PutAuditEvents request.","ref":"aws_cloudtrail_data.html#put_audit_events/2","title":"aws_cloudtrail_data.put_audit_events/2","type":"function"},{"doc":"","ref":"aws_cloudtrail_data.html#put_audit_events/3","title":"aws_cloudtrail_data.put_audit_events/3","type":"function"},{"doc":"Amazon CloudWatch monitors your Amazon Web Services (Amazon Web Services) resources and the applications you run on Amazon Web Services in real time. You can use CloudWatch to collect and track metrics, which are the variables you want to measure for your resources and applications. CloudWatch alarms send notifications or automatically change the resources you are monitoring based on rules that you define. For example, you can monitor the CPU usage and disk reads and writes of your Amazon EC2 instances. Then, use this data to determine whether you should launch additional instances to handle increased load. You can also use this data to stop under-used instances to save money. In addition to monitoring the built-in metrics that come with Amazon Web Services, you can monitor your own custom metrics. With CloudWatch, you gain system-wide visibility into resource utilization, application performance, and operational health.","ref":"aws_cloudwatch.html","title":"aws_cloudwatch","type":"module"},{"doc":"Deletes the specified alarms. You can delete up to 100 alarms in one operation. However, this total can include no more than one composite alarm. For example, you could delete 99 metric alarms and one composite alarms with one operation, but you can't delete two composite alarms with one operation. In the event of an error, no alarms are deleted. It is possible to create a loop or cycle of composite alarms, where composite alarm A depends on composite alarm B, and composite alarm B also depends on composite alarm A. In this scenario, you can't delete any composite alarm that is part of the cycle because there is always still a composite alarm that depends on that alarm that you want to delete. To get out of such a situation, you must break the cycle by changing the rule of one of the composite alarms in the cycle to remove a dependency that creates the cycle. The simplest change to make to break a cycle is to change the AlarmRule of one of the alarms to false . Additionally, the evaluation of composite alarms stops if CloudWatch detects a cycle in the evaluation path.","ref":"aws_cloudwatch.html#delete_alarms/2","title":"aws_cloudwatch.delete_alarms/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#delete_alarms/3","title":"aws_cloudwatch.delete_alarms/3","type":"function"},{"doc":"Deletes the specified anomaly detection model from your account. For more information about how to delete an anomaly detection model, see Deleting an anomaly detection model in the CloudWatch User Guide.","ref":"aws_cloudwatch.html#delete_anomaly_detector/2","title":"aws_cloudwatch.delete_anomaly_detector/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#delete_anomaly_detector/3","title":"aws_cloudwatch.delete_anomaly_detector/3","type":"function"},{"doc":"Deletes all dashboards that you specify. You can specify up to 100 dashboards to delete. If there is an error during this call, no dashboards are deleted.","ref":"aws_cloudwatch.html#delete_dashboards/2","title":"aws_cloudwatch.delete_dashboards/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#delete_dashboards/3","title":"aws_cloudwatch.delete_dashboards/3","type":"function"},{"doc":"Permanently deletes the specified Contributor Insights rules. If you create a rule, delete it, and then re-create it with the same name, historical data from the first time the rule was created might not be available.","ref":"aws_cloudwatch.html#delete_insight_rules/2","title":"aws_cloudwatch.delete_insight_rules/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#delete_insight_rules/3","title":"aws_cloudwatch.delete_insight_rules/3","type":"function"},{"doc":"Permanently deletes the metric stream that you specify.","ref":"aws_cloudwatch.html#delete_metric_stream/2","title":"aws_cloudwatch.delete_metric_stream/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#delete_metric_stream/3","title":"aws_cloudwatch.delete_metric_stream/3","type":"function"},{"doc":"Retrieves the history for the specified alarm. You can filter the results by date range or item type. If an alarm name is not specified, the histories for either all metric alarms or all composite alarms are returned. CloudWatch retains the history of an alarm even if you delete the alarm. To use this operation and return information about a composite alarm, you must be signed on with the cloudwatch:DescribeAlarmHistory permission that is scoped to * . You can't return information about composite alarms if your cloudwatch:DescribeAlarmHistory permission has a narrower scope.","ref":"aws_cloudwatch.html#describe_alarm_history/2","title":"aws_cloudwatch.describe_alarm_history/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#describe_alarm_history/3","title":"aws_cloudwatch.describe_alarm_history/3","type":"function"},{"doc":"Retrieves the specified alarms. You can filter the results by specifying a prefix for the alarm name, the alarm state, or a prefix for any action. To use this operation and return information about composite alarms, you must be signed on with the cloudwatch:DescribeAlarms permission that is scoped to * . You can't return information about composite alarms if your cloudwatch:DescribeAlarms permission has a narrower scope.","ref":"aws_cloudwatch.html#describe_alarms/2","title":"aws_cloudwatch.describe_alarms/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#describe_alarms/3","title":"aws_cloudwatch.describe_alarms/3","type":"function"},{"doc":"Retrieves the alarms for the specified metric. To filter the results, specify a statistic, period, or unit. This operation retrieves only standard alarms that are based on the specified metric. It does not return alarms based on math expressions that use the specified metric, or composite alarms that use the specified metric.","ref":"aws_cloudwatch.html#describe_alarms_for_metric/2","title":"aws_cloudwatch.describe_alarms_for_metric/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#describe_alarms_for_metric/3","title":"aws_cloudwatch.describe_alarms_for_metric/3","type":"function"},{"doc":"Lists the anomaly detection models that you have created in your account. For single metric anomaly detectors, you can list all of the models in your account or filter the results to only the models that are related to a certain namespace, metric name, or metric dimension. For metric math anomaly detectors, you can list them by adding METRIC_MATH to the AnomalyDetectorTypes array. This will return all metric math anomaly detectors in your account.","ref":"aws_cloudwatch.html#describe_anomaly_detectors/2","title":"aws_cloudwatch.describe_anomaly_detectors/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#describe_anomaly_detectors/3","title":"aws_cloudwatch.describe_anomaly_detectors/3","type":"function"},{"doc":"Returns a list of all the Contributor Insights rules in your account. For more information about Contributor Insights, see Using Contributor Insights to Analyze High-Cardinality Data.","ref":"aws_cloudwatch.html#describe_insight_rules/2","title":"aws_cloudwatch.describe_insight_rules/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#describe_insight_rules/3","title":"aws_cloudwatch.describe_insight_rules/3","type":"function"},{"doc":"Disables the actions for the specified alarms. When an alarm's actions are disabled, the alarm actions do not execute when the alarm state changes.","ref":"aws_cloudwatch.html#disable_alarm_actions/2","title":"aws_cloudwatch.disable_alarm_actions/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#disable_alarm_actions/3","title":"aws_cloudwatch.disable_alarm_actions/3","type":"function"},{"doc":"Disables the specified Contributor Insights rules. When rules are disabled, they do not analyze log groups and do not incur costs.","ref":"aws_cloudwatch.html#disable_insight_rules/2","title":"aws_cloudwatch.disable_insight_rules/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#disable_insight_rules/3","title":"aws_cloudwatch.disable_insight_rules/3","type":"function"},{"doc":"Enables the actions for the specified alarms.","ref":"aws_cloudwatch.html#enable_alarm_actions/2","title":"aws_cloudwatch.enable_alarm_actions/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#enable_alarm_actions/3","title":"aws_cloudwatch.enable_alarm_actions/3","type":"function"},{"doc":"Enables the specified Contributor Insights rules. When rules are enabled, they immediately begin analyzing log data.","ref":"aws_cloudwatch.html#enable_insight_rules/2","title":"aws_cloudwatch.enable_insight_rules/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#enable_insight_rules/3","title":"aws_cloudwatch.enable_insight_rules/3","type":"function"},{"doc":"Displays the details of the dashboard that you specify. To copy an existing dashboard, use GetDashboard , and then use the data returned within DashboardBody as the template for the new dashboard when you call PutDashboard to create the copy.","ref":"aws_cloudwatch.html#get_dashboard/2","title":"aws_cloudwatch.get_dashboard/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#get_dashboard/3","title":"aws_cloudwatch.get_dashboard/3","type":"function"},{"doc":"This operation returns the time series data collected by a Contributor Insights rule. The data includes the identity and number of contributors to the log group. You can also optionally return one or more statistics about each data point in the time series. These statistics can include the following: UniqueContributors -- the number of unique contributors for each data point. MaxContributorValue -- the value of the top contributor for each data point. The identity of the contributor might change for each data point in the graph. If this rule aggregates by COUNT, the top contributor for each data point is the contributor with the most occurrences in that period. If the rule aggregates by SUM, the top contributor is the contributor with the highest sum in the log field specified by the rule's Value , during that period. SampleCount -- the number of data points matched by the rule. Sum -- the sum of the values from all contributors during the time period represented by that data point. Minimum -- the minimum value from a single observation during the time period represented by that data point. Maximum -- the maximum value from a single observation during the time period represented by that data point. Average -- the average value from all contributors during the time period represented by that data point.","ref":"aws_cloudwatch.html#get_insight_rule_report/2","title":"aws_cloudwatch.get_insight_rule_report/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#get_insight_rule_report/3","title":"aws_cloudwatch.get_insight_rule_report/3","type":"function"},{"doc":"You can use the GetMetricData API to retrieve CloudWatch metric values. The operation can also include a CloudWatch Metrics Insights query, and one or more metric math functions. A GetMetricData operation that does not include a query can retrieve as many as 500 different metrics in a single request, with a total of as many as 100,800 data points. You can also optionally perform metric math expressions on the values of the returned statistics, to create new time series that represent new insights into your data. For example, using Lambda metrics, you could divide the Errors metric by the Invocations metric to get an error rate time series. For more information about metric math expressions, see Metric Math Syntax and Functions in the Amazon CloudWatch User Guide. If you include a Metrics Insights query, each GetMetricData operation can include only one query. But the same GetMetricData operation can also retrieve other metrics. Metrics Insights queries can query only the most recent three hours of metric data. For more information about Metrics Insights, see Query your metrics with CloudWatch Metrics Insights. Calls to the GetMetricData API have a different pricing structure than calls to GetMetricStatistics . For more information about pricing, see Amazon CloudWatch Pricing. Amazon CloudWatch retains metric data as follows: Data points with a period of less than 60 seconds are available for 3 hours. These data points are high-resolution metrics and are available only for custom metrics that have been defined with a StorageResolution of 1. Data points with a period of 60 seconds (1-minute) are available for 15 days. Data points with a period of 300 seconds (5-minute) are available for 63 days. Data points with a period of 3600 seconds (1 hour) are available for 455 days (15 months). Data points that are initially published with a shorter period are aggregated together for long-term storage. For example, if you collect data using a period of 1 minute, the data remains available for 15 days with 1-minute resolution. After 15 days, this data is still available, but is aggregated and retrievable only with a resolution of 5 minutes. After 63 days, the data is further aggregated and is available with a resolution of 1 hour. If you omit Unit in your request, all data that was collected with any unit is returned, along with the corresponding units that were specified when the data was reported to CloudWatch. If you specify a unit, the operation returns only data that was collected with that unit specified. If you specify a unit that does not match the data collected, the results of the operation are null. CloudWatch does not perform unit conversions. Using Metrics Insights queries with metric math You can't mix a Metric Insights query and metric math syntax in the same expression, but you can reference results from a Metrics Insights query within other Metric math expressions. A Metrics Insights query without a GROUP BY clause returns a single time-series (TS), and can be used as input for a metric math expression that expects a single time series. A Metrics Insights query with a GROUP BY clause returns an array of time-series (TS[]), and can be used as input for a metric math expression that expects an array of time series.","ref":"aws_cloudwatch.html#get_metric_data/2","title":"aws_cloudwatch.get_metric_data/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#get_metric_data/3","title":"aws_cloudwatch.get_metric_data/3","type":"function"},{"doc":"Gets statistics for the specified metric. The maximum number of data points returned from a single call is 1,440. If you request more than 1,440 data points, CloudWatch returns an error. To reduce the number of data points, you can narrow the specified time range and make multiple requests across adjacent time ranges, or you can increase the specified period. Data points are not returned in chronological order. CloudWatch aggregates data points based on the length of the period that you specify. For example, if you request statistics with a one-hour period, CloudWatch aggregates all data points with time stamps that fall within each one-hour period. Therefore, the number of values aggregated by CloudWatch is larger than the number of data points returned. CloudWatch needs raw data points to calculate percentile statistics. If you publish data using a statistic set instead, you can only retrieve percentile statistics for this data if one of the following conditions is true: The SampleCount value of the statistic set is 1. The Min and the Max values of the statistic set are equal. Percentile statistics are not available for metrics when any of the metric values are negative numbers. Amazon CloudWatch retains metric data as follows: Data points with a period of less than 60 seconds are available for 3 hours. These data points are high-resolution metrics and are available only for custom metrics that have been defined with a StorageResolution of 1. Data points with a period of 60 seconds (1-minute) are available for 15 days. Data points with a period of 300 seconds (5-minute) are available for 63 days. Data points with a period of 3600 seconds (1 hour) are available for 455 days (15 months). Data points that are initially published with a shorter period are aggregated together for long-term storage. For example, if you collect data using a period of 1 minute, the data remains available for 15 days with 1-minute resolution. After 15 days, this data is still available, but is aggregated and retrievable only with a resolution of 5 minutes. After 63 days, the data is further aggregated and is available with a resolution of 1 hour. CloudWatch started retaining 5-minute and 1-hour metric data as of July 9, 2016. For information about metrics and dimensions supported by Amazon Web Services services, see the Amazon CloudWatch Metrics and Dimensions Reference in the Amazon CloudWatch User Guide.","ref":"aws_cloudwatch.html#get_metric_statistics/2","title":"aws_cloudwatch.get_metric_statistics/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#get_metric_statistics/3","title":"aws_cloudwatch.get_metric_statistics/3","type":"function"},{"doc":"Returns information about the metric stream that you specify.","ref":"aws_cloudwatch.html#get_metric_stream/2","title":"aws_cloudwatch.get_metric_stream/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#get_metric_stream/3","title":"aws_cloudwatch.get_metric_stream/3","type":"function"},{"doc":"You can use the GetMetricWidgetImage API to retrieve a snapshot graph of one or more Amazon CloudWatch metrics as a bitmap image. You can then embed this image into your services and products, such as wiki pages, reports, and documents. You could also retrieve images regularly, such as every minute, and create your own custom live dashboard. The graph you retrieve can include all CloudWatch metric graph features, including metric math and horizontal and vertical annotations. There is a limit of 20 transactions per second for this API. Each GetMetricWidgetImage action has the following limits: As many as 100 metrics in the graph. Up to 100 KB uncompressed payload.","ref":"aws_cloudwatch.html#get_metric_widget_image/2","title":"aws_cloudwatch.get_metric_widget_image/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#get_metric_widget_image/3","title":"aws_cloudwatch.get_metric_widget_image/3","type":"function"},{"doc":"Returns a list of the dashboards for your account. If you include DashboardNamePrefix , only those dashboards with names starting with the prefix are listed. Otherwise, all dashboards in your account are listed. ListDashboards returns up to 1000 results on one page. If there are more than 1000 dashboards, you can call ListDashboards again and include the value you received for NextToken in the first call, to receive the next 1000 results.","ref":"aws_cloudwatch.html#list_dashboards/2","title":"aws_cloudwatch.list_dashboards/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#list_dashboards/3","title":"aws_cloudwatch.list_dashboards/3","type":"function"},{"doc":"Returns a list that contains the number of managed Contributor Insights rules in your account.","ref":"aws_cloudwatch.html#list_managed_insight_rules/2","title":"aws_cloudwatch.list_managed_insight_rules/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#list_managed_insight_rules/3","title":"aws_cloudwatch.list_managed_insight_rules/3","type":"function"},{"doc":"Returns a list of metric streams in this account.","ref":"aws_cloudwatch.html#list_metric_streams/2","title":"aws_cloudwatch.list_metric_streams/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#list_metric_streams/3","title":"aws_cloudwatch.list_metric_streams/3","type":"function"},{"doc":"List the specified metrics. You can use the returned metrics with GetMetricData or GetMetricStatistics to get statistical data. Up to 500 results are returned for any one call. To retrieve additional results, use the returned token with subsequent calls. After you create a metric, allow up to 15 minutes for the metric to appear. To see metric statistics sooner, use GetMetricData or GetMetricStatistics. If you are using CloudWatch cross-account observability, you can use this operation in a monitoring account and view metrics from the linked source accounts. For more information, see CloudWatch cross-account observability. ListMetrics doesn't return information about metrics if those metrics haven't reported data in the past two weeks. To retrieve those metrics, use GetMetricData or GetMetricStatistics.","ref":"aws_cloudwatch.html#list_metrics/2","title":"aws_cloudwatch.list_metrics/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#list_metrics/3","title":"aws_cloudwatch.list_metrics/3","type":"function"},{"doc":"Displays the tags associated with a CloudWatch resource. Currently, alarms and Contributor Insights rules support tagging.","ref":"aws_cloudwatch.html#list_tags_for_resource/2","title":"aws_cloudwatch.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#list_tags_for_resource/3","title":"aws_cloudwatch.list_tags_for_resource/3","type":"function"},{"doc":"Creates an anomaly detection model for a CloudWatch metric. You can use the model to display a band of expected normal values when the metric is graphed. For more information, see CloudWatch Anomaly Detection.","ref":"aws_cloudwatch.html#put_anomaly_detector/2","title":"aws_cloudwatch.put_anomaly_detector/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#put_anomaly_detector/3","title":"aws_cloudwatch.put_anomaly_detector/3","type":"function"},{"doc":"Creates or updates a composite alarm. When you create a composite alarm, you specify a rule expression for the alarm that takes into account the alarm states of other alarms that you have created. The composite alarm goes into ALARM state only if all conditions of the rule are met. The alarms specified in a composite alarm's rule expression can include metric alarms and other composite alarms. The rule expression of a composite alarm can include as many as 100 underlying alarms. Any single alarm can be included in the rule expressions of as many as 150 composite alarms. Using composite alarms can reduce alarm noise. You can create multiple metric alarms, and also create a composite alarm and set up alerts only for the composite alarm. For example, you could create a composite alarm that goes into ALARM state only when more than one of the underlying metric alarms are in ALARM state. Currently, the only alarm actions that can be taken by composite alarms are notifying SNS topics. It is possible to create a loop or cycle of composite alarms, where composite alarm A depends on composite alarm B, and composite alarm B also depends on composite alarm A. In this scenario, you can't delete any composite alarm that is part of the cycle because there is always still a composite alarm that depends on that alarm that you want to delete. To get out of such a situation, you must break the cycle by changing the rule of one of the composite alarms in the cycle to remove a dependency that creates the cycle. The simplest change to make to break a cycle is to change the AlarmRule of one of the alarms to false . Additionally, the evaluation of composite alarms stops if CloudWatch detects a cycle in the evaluation path. When this operation creates an alarm, the alarm state is immediately set to INSUFFICIENT_DATA . The alarm is then evaluated and its state is set appropriately. Any actions associated with the new state are then executed. For a composite alarm, this initial time after creation is the only time that the alarm can be in INSUFFICIENT_DATA state. When you update an existing alarm, its state is left unchanged, but the update completely overwrites the previous configuration of the alarm. To use this operation, you must be signed on with the cloudwatch:PutCompositeAlarm permission that is scoped to * . You can't create a composite alarms if your cloudwatch:PutCompositeAlarm permission has a narrower scope. If you are an IAM user, you must have iam:CreateServiceLinkedRole to create a composite alarm that has Systems Manager OpsItem actions.","ref":"aws_cloudwatch.html#put_composite_alarm/2","title":"aws_cloudwatch.put_composite_alarm/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#put_composite_alarm/3","title":"aws_cloudwatch.put_composite_alarm/3","type":"function"},{"doc":"Creates a dashboard if it does not already exist, or updates an existing dashboard. If you update a dashboard, the entire contents are replaced with what you specify here. All dashboards in your account are global, not region-specific. A simple way to create a dashboard using PutDashboard is to copy an existing dashboard. To copy an existing dashboard using the console, you can load the dashboard and then use the View/edit source command in the Actions menu to display the JSON block for that dashboard. Another way to copy a dashboard is to use GetDashboard , and then use the data returned within DashboardBody as the template for the new dashboard when you call PutDashboard . When you create a dashboard with PutDashboard , a good practice is to add a text widget at the top of the dashboard with a message that the dashboard was created by script and should not be changed in the console. This message could also point console users to the location of the DashboardBody script or the CloudFormation template used to create the dashboard.","ref":"aws_cloudwatch.html#put_dashboard/2","title":"aws_cloudwatch.put_dashboard/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#put_dashboard/3","title":"aws_cloudwatch.put_dashboard/3","type":"function"},{"doc":"Creates a Contributor Insights rule. Rules evaluate log events in a CloudWatch Logs log group, enabling you to find contributor data for the log events in that log group. For more information, see Using Contributor Insights to Analyze High-Cardinality Data. If you create a rule, delete it, and then re-create it with the same name, historical data from the first time the rule was created might not be available.","ref":"aws_cloudwatch.html#put_insight_rule/2","title":"aws_cloudwatch.put_insight_rule/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#put_insight_rule/3","title":"aws_cloudwatch.put_insight_rule/3","type":"function"},{"doc":"Creates a managed Contributor Insights rule for a specified Amazon Web Services resource. When you enable a managed rule, you create a Contributor Insights rule that collects data from Amazon Web Services services. You cannot edit these rules with PutInsightRule . The rules can be enabled, disabled, and deleted using EnableInsightRules , DisableInsightRules , and DeleteInsightRules . If a previously created managed rule is currently disabled, a subsequent call to this API will re-enable it. Use ListManagedInsightRules to describe all available rules.","ref":"aws_cloudwatch.html#put_managed_insight_rules/2","title":"aws_cloudwatch.put_managed_insight_rules/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#put_managed_insight_rules/3","title":"aws_cloudwatch.put_managed_insight_rules/3","type":"function"},{"doc":"Creates or updates an alarm and associates it with the specified metric, metric math expression, anomaly detection model, or Metrics Insights query. For more information about using a Metrics Insights query for an alarm, see Create alarms on Metrics Insights queries. Alarms based on anomaly detection models cannot have Auto Scaling actions. When this operation creates an alarm, the alarm state is immediately set to INSUFFICIENT_DATA . The alarm is then evaluated and its state is set appropriately. Any actions associated with the new state are then executed. When you update an existing alarm, its state is left unchanged, but the update completely overwrites the previous configuration of the alarm. If you are an IAM user, you must have Amazon EC2 permissions for some alarm operations: The iam:CreateServiceLinkedRole for all alarms with EC2 actions The iam:CreateServiceLinkedRole to create an alarm with Systems Manager OpsItem actions. The first time you create an alarm in the Amazon Web Services Management Console, the CLI, or by using the PutMetricAlarm API, CloudWatch creates the necessary service-linked role for you. The service-linked roles are called AWSServiceRoleForCloudWatchEvents and AWSServiceRoleForCloudWatchAlarms_ActionSSM . For more information, see Amazon Web Services service-linked role. Cross-account alarms You can set an alarm on metrics in the current account, or in another account. To create a cross-account alarm that watches a metric in a different account, you must have completed the following pre-requisites: The account where the metrics are located (the sharing account) must already have a sharing role named CloudWatch-CrossAccountSharingRole. If it does not already have this role, you must create it using the instructions in Set up a sharing account in Cross-account cross-Region CloudWatch console. The policy for that role must grant access to the ID of the account where you are creating the alarm. The account where you are creating the alarm (the monitoring account) must already have a service-linked role named AWSServiceRoleForCloudWatchCrossAccount to allow CloudWatch to assume the sharing role in the sharing account. If it does not, you must create it following the directions in Set up a monitoring account in Cross-account cross-Region CloudWatch console.","ref":"aws_cloudwatch.html#put_metric_alarm/2","title":"aws_cloudwatch.put_metric_alarm/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#put_metric_alarm/3","title":"aws_cloudwatch.put_metric_alarm/3","type":"function"},{"doc":"Publishes metric data points to Amazon CloudWatch. CloudWatch associates the data points with the specified metric. If the specified metric does not exist, CloudWatch creates the metric. When CloudWatch creates a metric, it can take up to fifteen minutes for the metric to appear in calls to ListMetrics. You can publish either individual data points in the Value field, or arrays of values and the number of times each value occurred during the period by using the Values and Counts fields in the MetricDatum structure. Using the Values and Counts method enables you to publish up to 150 values per metric with one PutMetricData request, and supports retrieving percentile statistics on this data. Each PutMetricData request is limited to 1 MB in size for HTTP POST requests. You can send a payload compressed by gzip. Each request is also limited to no more than 1000 different metrics. Although the Value parameter accepts numbers of type Double , CloudWatch rejects values that are either too small or too large. Values must be in the range of -2^360 to 2^360. In addition, special values (for example, NaN, +Infinity, -Infinity) are not supported. You can use up to 30 dimensions per metric to further clarify what data the metric collects. Each dimension consists of a Name and Value pair. For more information about specifying dimensions, see Publishing Metrics in the Amazon CloudWatch User Guide. You specify the time stamp to be associated with each data point. You can specify time stamps that are as much as two weeks before the current date, and as much as 2 hours after the current day and time. Data points with time stamps from 24 hours ago or longer can take at least 48 hours to become available for GetMetricData or GetMetricStatistics from the time they are submitted. Data points with time stamps between 3 and 24 hours ago can take as much as 2 hours to become available for for GetMetricData or GetMetricStatistics. CloudWatch needs raw data points to calculate percentile statistics. If you publish data using a statistic set instead, you can only retrieve percentile statistics for this data if one of the following conditions is true: The SampleCount value of the statistic set is 1 and Min , Max , and Sum are all equal. The Min and Max are equal, and Sum is equal to Min multiplied by SampleCount .","ref":"aws_cloudwatch.html#put_metric_data/2","title":"aws_cloudwatch.put_metric_data/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#put_metric_data/3","title":"aws_cloudwatch.put_metric_data/3","type":"function"},{"doc":"Creates or updates a metric stream. Metric streams can automatically stream CloudWatch metrics to Amazon Web Services destinations, including Amazon S3, and to many third-party solutions. For more information, see Using Metric Streams. To create a metric stream, you must be signed in to an account that has the iam:PassRole permission and either the CloudWatchFullAccess policy or the cloudwatch:PutMetricStream permission. When you create or update a metric stream, you choose one of the following: Stream metrics from all metric namespaces in the account. Stream metrics from all metric namespaces in the account, except for the namespaces that you list in ExcludeFilters . Stream metrics from only the metric namespaces that you list in IncludeFilters . By default, a metric stream always sends the MAX , MIN , SUM , and SAMPLECOUNT statistics for each metric that is streamed. You can use the StatisticsConfigurations parameter to have the metric stream send additional statistics in the stream. Streaming additional statistics incurs additional costs. For more information, see Amazon CloudWatch Pricing. When you use PutMetricStream to create a new metric stream, the stream is created in the running state. If you use it to update an existing stream, the state of the stream is not changed. If you are using CloudWatch cross-account observability and you create a metric stream in a monitoring account, you can choose whether to include metrics from source accounts in the stream. For more information, see CloudWatch cross-account observability.","ref":"aws_cloudwatch.html#put_metric_stream/2","title":"aws_cloudwatch.put_metric_stream/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#put_metric_stream/3","title":"aws_cloudwatch.put_metric_stream/3","type":"function"},{"doc":"Temporarily sets the state of an alarm for testing purposes. When the updated state differs from the previous value, the action configured for the appropriate state is invoked. For example, if your alarm is configured to send an Amazon SNS message when an alarm is triggered, temporarily changing the alarm state to ALARM sends an SNS message. Metric alarms returns to their actual state quickly, often within seconds. Because the metric alarm state change happens quickly, it is typically only visible in the alarm's History tab in the Amazon CloudWatch console or through DescribeAlarmHistory. If you use SetAlarmState on a composite alarm, the composite alarm is not guaranteed to return to its actual state. It returns to its actual state only once any of its children alarms change state. It is also reevaluated if you update its configuration. If an alarm triggers EC2 Auto Scaling policies or application Auto Scaling policies, you must include information in the StateReasonData parameter to enable the policy to take the correct action.","ref":"aws_cloudwatch.html#set_alarm_state/2","title":"aws_cloudwatch.set_alarm_state/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#set_alarm_state/3","title":"aws_cloudwatch.set_alarm_state/3","type":"function"},{"doc":"Starts the streaming of metrics for one or more of your metric streams.","ref":"aws_cloudwatch.html#start_metric_streams/2","title":"aws_cloudwatch.start_metric_streams/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#start_metric_streams/3","title":"aws_cloudwatch.start_metric_streams/3","type":"function"},{"doc":"Stops the streaming of metrics for one or more of your metric streams.","ref":"aws_cloudwatch.html#stop_metric_streams/2","title":"aws_cloudwatch.stop_metric_streams/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#stop_metric_streams/3","title":"aws_cloudwatch.stop_metric_streams/3","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified CloudWatch resource. Currently, the only CloudWatch resources that can be tagged are alarms and Contributor Insights rules. Tags can help you organize and categorize your resources. You can also use them to scope user permissions by granting a user permission to access or change only resources with certain tag values. Tags don't have any semantic meaning to Amazon Web Services and are interpreted strictly as strings of characters. You can use the TagResource action with an alarm that already has tags. If you specify a new tag key for the alarm, this tag is appended to the list of tags associated with the alarm. If you specify a tag key that is already associated with the alarm, the new tag value that you specify replaces the previous value for that tag. You can associate as many as 50 tags with a CloudWatch resource.","ref":"aws_cloudwatch.html#tag_resource/2","title":"aws_cloudwatch.tag_resource/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#tag_resource/3","title":"aws_cloudwatch.tag_resource/3","type":"function"},{"doc":"Removes one or more tags from the specified resource.","ref":"aws_cloudwatch.html#untag_resource/2","title":"aws_cloudwatch.untag_resource/2","type":"function"},{"doc":"","ref":"aws_cloudwatch.html#untag_resource/3","title":"aws_cloudwatch.untag_resource/3","type":"function"},{"doc":"Amazon EventBridge helps you to respond to state changes in your Amazon Web Services resources. When your resources change state, they automatically send events to an event stream. You can create rules that match selected events in the stream and route them to targets to take action. You can also use rules to take action on a predetermined schedule. For example, you can configure rules to: Automatically invoke an Lambda function to update DNS entries when an event notifies you that Amazon EC2 instance enters the running state. Direct specific API records from CloudTrail to an Amazon Kinesis data stream for detailed analysis of potential security or availability risks. Periodically invoke a built-in target to create a snapshot of an Amazon EBS volume. For more information about the features of Amazon EventBridge, see the Amazon EventBridge User Guide.","ref":"aws_cloudwatch_events.html","title":"aws_cloudwatch_events","type":"module"},{"doc":"Activates a partner event source that has been deactivated. Once activated, your matching event bus will start receiving events from the event source.","ref":"aws_cloudwatch_events.html#activate_event_source/2","title":"aws_cloudwatch_events.activate_event_source/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#activate_event_source/3","title":"aws_cloudwatch_events.activate_event_source/3","type":"function"},{"doc":"Cancels the specified replay.","ref":"aws_cloudwatch_events.html#cancel_replay/2","title":"aws_cloudwatch_events.cancel_replay/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#cancel_replay/3","title":"aws_cloudwatch_events.cancel_replay/3","type":"function"},{"doc":"Creates an API destination, which is an HTTP invocation endpoint configured as a target for events.","ref":"aws_cloudwatch_events.html#create_api_destination/2","title":"aws_cloudwatch_events.create_api_destination/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#create_api_destination/3","title":"aws_cloudwatch_events.create_api_destination/3","type":"function"},{"doc":"Creates an archive of events with the specified settings. When you create an archive, incoming events might not immediately start being sent to the archive. Allow a short period of time for changes to take effect. If you do not specify a pattern to filter events sent to the archive, all events are sent to the archive except replayed events. Replayed events are not sent to an archive.","ref":"aws_cloudwatch_events.html#create_archive/2","title":"aws_cloudwatch_events.create_archive/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#create_archive/3","title":"aws_cloudwatch_events.create_archive/3","type":"function"},{"doc":"Creates a connection. A connection defines the authorization type and credentials to use for authorization with an API destination HTTP endpoint.","ref":"aws_cloudwatch_events.html#create_connection/2","title":"aws_cloudwatch_events.create_connection/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#create_connection/3","title":"aws_cloudwatch_events.create_connection/3","type":"function"},{"doc":"Creates a new event bus within your account. This can be a custom event bus which you can use to receive events from your custom applications and services, or it can be a partner event bus which can be matched to a partner event source.","ref":"aws_cloudwatch_events.html#create_event_bus/2","title":"aws_cloudwatch_events.create_event_bus/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#create_event_bus/3","title":"aws_cloudwatch_events.create_event_bus/3","type":"function"},{"doc":"Called by an SaaS partner to create a partner event source. This operation is not used by Amazon Web Services customers. Each partner event source can be used by one Amazon Web Services account to create a matching partner event bus in that Amazon Web Services account. A SaaS partner must create one partner event source for each Amazon Web Services account that wants to receive those event types. A partner event source creates events based on resources within the SaaS partner's service or application. An Amazon Web Services account that creates a partner event bus that matches the partner event source can use that event bus to receive events from the partner, and then process them using Amazon Web Services Events rules and targets. Partner event source names follow this format: partner_name/event_namespace/event_name partner_name is determined during partner registration and identifies the partner to Amazon Web Services customers. event_namespace is determined by the partner and is a way for the partner to categorize their events. event_name is determined by the partner, and should uniquely identify an event-generating resource within the partner system. The combination of event_namespace and event_name should help Amazon Web Services customers decide whether to create an event bus to receive these events.","ref":"aws_cloudwatch_events.html#create_partner_event_source/2","title":"aws_cloudwatch_events.create_partner_event_source/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#create_partner_event_source/3","title":"aws_cloudwatch_events.create_partner_event_source/3","type":"function"},{"doc":"You can use this operation to temporarily stop receiving events from the specified partner event source. The matching event bus is not deleted. When you deactivate a partner event source, the source goes into PENDING state. If it remains in PENDING state for more than two weeks, it is deleted. To activate a deactivated partner event source, use ActivateEventSource.","ref":"aws_cloudwatch_events.html#deactivate_event_source/2","title":"aws_cloudwatch_events.deactivate_event_source/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#deactivate_event_source/3","title":"aws_cloudwatch_events.deactivate_event_source/3","type":"function"},{"doc":"Removes all authorization parameters from the connection. This lets you remove the secret from the connection so you can reuse it without having to create a new connection.","ref":"aws_cloudwatch_events.html#deauthorize_connection/2","title":"aws_cloudwatch_events.deauthorize_connection/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#deauthorize_connection/3","title":"aws_cloudwatch_events.deauthorize_connection/3","type":"function"},{"doc":"Deletes the specified API destination.","ref":"aws_cloudwatch_events.html#delete_api_destination/2","title":"aws_cloudwatch_events.delete_api_destination/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#delete_api_destination/3","title":"aws_cloudwatch_events.delete_api_destination/3","type":"function"},{"doc":"Deletes the specified archive.","ref":"aws_cloudwatch_events.html#delete_archive/2","title":"aws_cloudwatch_events.delete_archive/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#delete_archive/3","title":"aws_cloudwatch_events.delete_archive/3","type":"function"},{"doc":"Deletes a connection.","ref":"aws_cloudwatch_events.html#delete_connection/2","title":"aws_cloudwatch_events.delete_connection/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#delete_connection/3","title":"aws_cloudwatch_events.delete_connection/3","type":"function"},{"doc":"Deletes the specified custom event bus or partner event bus. All rules associated with this event bus need to be deleted. You can't delete your account's default event bus.","ref":"aws_cloudwatch_events.html#delete_event_bus/2","title":"aws_cloudwatch_events.delete_event_bus/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#delete_event_bus/3","title":"aws_cloudwatch_events.delete_event_bus/3","type":"function"},{"doc":"This operation is used by SaaS partners to delete a partner event source. This operation is not used by Amazon Web Services customers. When you delete an event source, the status of the corresponding partner event bus in the Amazon Web Services customer account becomes DELETED.","ref":"aws_cloudwatch_events.html#delete_partner_event_source/2","title":"aws_cloudwatch_events.delete_partner_event_source/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#delete_partner_event_source/3","title":"aws_cloudwatch_events.delete_partner_event_source/3","type":"function"},{"doc":"Deletes the specified rule. Before you can delete the rule, you must remove all targets, using RemoveTargets. When you delete a rule, incoming events might continue to match to the deleted rule. Allow a short period of time for changes to take effect. If you call delete rule multiple times for the same rule, all calls will succeed. When you call delete rule for a non-existent custom eventbus, ResourceNotFoundException is returned. Managed rules are rules created and managed by another Amazon Web Services service on your behalf. These rules are created by those other Amazon Web Services services to support functionality in those services. You can delete these rules using the Force option, but you should do so only if you are sure the other service is not still using that rule.","ref":"aws_cloudwatch_events.html#delete_rule/2","title":"aws_cloudwatch_events.delete_rule/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#delete_rule/3","title":"aws_cloudwatch_events.delete_rule/3","type":"function"},{"doc":"Retrieves details about an API destination.","ref":"aws_cloudwatch_events.html#describe_api_destination/2","title":"aws_cloudwatch_events.describe_api_destination/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#describe_api_destination/3","title":"aws_cloudwatch_events.describe_api_destination/3","type":"function"},{"doc":"Retrieves details about an archive.","ref":"aws_cloudwatch_events.html#describe_archive/2","title":"aws_cloudwatch_events.describe_archive/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#describe_archive/3","title":"aws_cloudwatch_events.describe_archive/3","type":"function"},{"doc":"Retrieves details about a connection.","ref":"aws_cloudwatch_events.html#describe_connection/2","title":"aws_cloudwatch_events.describe_connection/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#describe_connection/3","title":"aws_cloudwatch_events.describe_connection/3","type":"function"},{"doc":"Displays details about an event bus in your account. This can include the external Amazon Web Services accounts that are permitted to write events to your default event bus, and the associated policy. For custom event buses and partner event buses, it displays the name, ARN, policy, state, and creation time. To enable your account to receive events from other accounts on its default event bus, use PutPermission. For more information about partner event buses, see CreateEventBus.","ref":"aws_cloudwatch_events.html#describe_event_bus/2","title":"aws_cloudwatch_events.describe_event_bus/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#describe_event_bus/3","title":"aws_cloudwatch_events.describe_event_bus/3","type":"function"},{"doc":"This operation lists details about a partner event source that is shared with your account.","ref":"aws_cloudwatch_events.html#describe_event_source/2","title":"aws_cloudwatch_events.describe_event_source/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#describe_event_source/3","title":"aws_cloudwatch_events.describe_event_source/3","type":"function"},{"doc":"An SaaS partner can use this operation to list details about a partner event source that they have created. Amazon Web Services customers do not use this operation. Instead, Amazon Web Services customers can use DescribeEventSource to see details about a partner event source that is shared with them.","ref":"aws_cloudwatch_events.html#describe_partner_event_source/2","title":"aws_cloudwatch_events.describe_partner_event_source/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#describe_partner_event_source/3","title":"aws_cloudwatch_events.describe_partner_event_source/3","type":"function"},{"doc":"Retrieves details about a replay. Use DescribeReplay to determine the progress of a running replay. A replay processes events to replay based on the time in the event, and replays them using 1 minute intervals. If you use StartReplay and specify an EventStartTime and an EventEndTime that covers a 20 minute time range, the events are replayed from the first minute of that 20 minute range first. Then the events from the second minute are replayed. You can use DescribeReplay to determine the progress of a replay. The value returned for EventLastReplayedTime indicates the time within the specified time range associated with the last event replayed.","ref":"aws_cloudwatch_events.html#describe_replay/2","title":"aws_cloudwatch_events.describe_replay/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#describe_replay/3","title":"aws_cloudwatch_events.describe_replay/3","type":"function"},{"doc":"Describes the specified rule. DescribeRule does not list the targets of a rule. To see the targets associated with a rule, use ListTargetsByRule.","ref":"aws_cloudwatch_events.html#describe_rule/2","title":"aws_cloudwatch_events.describe_rule/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#describe_rule/3","title":"aws_cloudwatch_events.describe_rule/3","type":"function"},{"doc":"Disables the specified rule. A disabled rule won't match any events, and won't self-trigger if it has a schedule expression. When you disable a rule, incoming events might continue to match to the disabled rule. Allow a short period of time for changes to take effect.","ref":"aws_cloudwatch_events.html#disable_rule/2","title":"aws_cloudwatch_events.disable_rule/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#disable_rule/3","title":"aws_cloudwatch_events.disable_rule/3","type":"function"},{"doc":"Enables the specified rule. If the rule does not exist, the operation fails. When you enable a rule, incoming events might not immediately start matching to a newly enabled rule. Allow a short period of time for changes to take effect.","ref":"aws_cloudwatch_events.html#enable_rule/2","title":"aws_cloudwatch_events.enable_rule/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#enable_rule/3","title":"aws_cloudwatch_events.enable_rule/3","type":"function"},{"doc":"Retrieves a list of API destination in the account in the current Region.","ref":"aws_cloudwatch_events.html#list_api_destinations/2","title":"aws_cloudwatch_events.list_api_destinations/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#list_api_destinations/3","title":"aws_cloudwatch_events.list_api_destinations/3","type":"function"},{"doc":"Lists your archives. You can either list all the archives or you can provide a prefix to match to the archive names. Filter parameters are exclusive.","ref":"aws_cloudwatch_events.html#list_archives/2","title":"aws_cloudwatch_events.list_archives/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#list_archives/3","title":"aws_cloudwatch_events.list_archives/3","type":"function"},{"doc":"Retrieves a list of connections from the account.","ref":"aws_cloudwatch_events.html#list_connections/2","title":"aws_cloudwatch_events.list_connections/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#list_connections/3","title":"aws_cloudwatch_events.list_connections/3","type":"function"},{"doc":"Lists all the event buses in your account, including the default event bus, custom event buses, and partner event buses.","ref":"aws_cloudwatch_events.html#list_event_buses/2","title":"aws_cloudwatch_events.list_event_buses/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#list_event_buses/3","title":"aws_cloudwatch_events.list_event_buses/3","type":"function"},{"doc":"You can use this to see all the partner event sources that have been shared with your Amazon Web Services account. For more information about partner event sources, see CreateEventBus.","ref":"aws_cloudwatch_events.html#list_event_sources/2","title":"aws_cloudwatch_events.list_event_sources/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#list_event_sources/3","title":"aws_cloudwatch_events.list_event_sources/3","type":"function"},{"doc":"An SaaS partner can use this operation to display the Amazon Web Services account ID that a particular partner event source name is associated with. This operation is not used by Amazon Web Services customers.","ref":"aws_cloudwatch_events.html#list_partner_event_source_accounts/2","title":"aws_cloudwatch_events.list_partner_event_source_accounts/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#list_partner_event_source_accounts/3","title":"aws_cloudwatch_events.list_partner_event_source_accounts/3","type":"function"},{"doc":"An SaaS partner can use this operation to list all the partner event source names that they have created. This operation is not used by Amazon Web Services customers.","ref":"aws_cloudwatch_events.html#list_partner_event_sources/2","title":"aws_cloudwatch_events.list_partner_event_sources/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#list_partner_event_sources/3","title":"aws_cloudwatch_events.list_partner_event_sources/3","type":"function"},{"doc":"Lists your replays. You can either list all the replays or you can provide a prefix to match to the replay names. Filter parameters are exclusive.","ref":"aws_cloudwatch_events.html#list_replays/2","title":"aws_cloudwatch_events.list_replays/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#list_replays/3","title":"aws_cloudwatch_events.list_replays/3","type":"function"},{"doc":"Lists the rules for the specified target. You can see which of the rules in Amazon EventBridge can invoke a specific target in your account.","ref":"aws_cloudwatch_events.html#list_rule_names_by_target/2","title":"aws_cloudwatch_events.list_rule_names_by_target/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#list_rule_names_by_target/3","title":"aws_cloudwatch_events.list_rule_names_by_target/3","type":"function"},{"doc":"Lists your Amazon EventBridge rules. You can either list all the rules or you can provide a prefix to match to the rule names. ListRules does not list the targets of a rule. To see the targets associated with a rule, use ListTargetsByRule.","ref":"aws_cloudwatch_events.html#list_rules/2","title":"aws_cloudwatch_events.list_rules/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#list_rules/3","title":"aws_cloudwatch_events.list_rules/3","type":"function"},{"doc":"Displays the tags associated with an EventBridge resource. In EventBridge, rules and event buses can be tagged.","ref":"aws_cloudwatch_events.html#list_tags_for_resource/2","title":"aws_cloudwatch_events.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#list_tags_for_resource/3","title":"aws_cloudwatch_events.list_tags_for_resource/3","type":"function"},{"doc":"Lists the targets assigned to the specified rule.","ref":"aws_cloudwatch_events.html#list_targets_by_rule/2","title":"aws_cloudwatch_events.list_targets_by_rule/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#list_targets_by_rule/3","title":"aws_cloudwatch_events.list_targets_by_rule/3","type":"function"},{"doc":"Sends custom events to Amazon EventBridge so that they can be matched to rules.","ref":"aws_cloudwatch_events.html#put_events/2","title":"aws_cloudwatch_events.put_events/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#put_events/3","title":"aws_cloudwatch_events.put_events/3","type":"function"},{"doc":"This is used by SaaS partners to write events to a customer's partner event bus. Amazon Web Services customers do not use this operation.","ref":"aws_cloudwatch_events.html#put_partner_events/2","title":"aws_cloudwatch_events.put_partner_events/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#put_partner_events/3","title":"aws_cloudwatch_events.put_partner_events/3","type":"function"},{"doc":"Running PutPermission permits the specified Amazon Web Services account or Amazon Web Services organization to put events to the specified event bus. Amazon EventBridge (CloudWatch Events) rules in your account are triggered by these events arriving to an event bus in your account. For another account to send events to your account, that external account must have an EventBridge rule with your account's event bus as a target. To enable multiple Amazon Web Services accounts to put events to your event bus, run PutPermission once for each of these accounts. Or, if all the accounts are members of the same Amazon Web Services organization, you can run PutPermission once specifying Principal as &quot;*&quot; and specifying the Amazon Web Services organization ID in Condition , to grant permissions to all accounts in that organization. If you grant permissions using an organization, then accounts in that organization must specify a RoleArn with proper permissions when they use PutTarget to add your account's event bus as a target. For more information, see Sending and Receiving Events Between Amazon Web Services Accounts in the Amazon EventBridge User Guide. The permission policy on the event bus cannot exceed 10 KB in size.","ref":"aws_cloudwatch_events.html#put_permission/2","title":"aws_cloudwatch_events.put_permission/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#put_permission/3","title":"aws_cloudwatch_events.put_permission/3","type":"function"},{"doc":"Creates or updates the specified rule. Rules are enabled by default, or based on value of the state. You can disable a rule using DisableRule. A single rule watches for events from a single event bus. Events generated by Amazon Web Services services go to your account's default event bus. Events generated by SaaS partner services or applications go to the matching partner event bus. If you have custom applications or services, you can specify whether their events go to your default event bus or a custom event bus that you have created. For more information, see CreateEventBus. If you are updating an existing rule, the rule is replaced with what you specify in this PutRule command. If you omit arguments in PutRule , the old values for those arguments are not kept. Instead, they are replaced with null values. When you create or update a rule, incoming events might not immediately start matching to new or updated rules. Allow a short period of time for changes to take effect. A rule must contain at least an EventPattern or ScheduleExpression. Rules with EventPatterns are triggered when a matching event is observed. Rules with ScheduleExpressions self-trigger based on the given schedule. A rule can have both an EventPattern and a ScheduleExpression, in which case the rule triggers on matching events as well as on a schedule. When you initially create a rule, you can optionally assign one or more tags to the rule. Tags can help you organize and categorize your resources. You can also use them to scope user permissions, by granting a user permission to access or change only rules with certain tag values. To use the PutRule operation and assign tags, you must have both the events:PutRule and events:TagResource permissions. If you are updating an existing rule, any tags you specify in the PutRule operation are ignored. To update the tags of an existing rule, use TagResource and UntagResource. Most services in Amazon Web Services treat : or / as the same character in Amazon Resource Names (ARNs). However, EventBridge uses an exact match in event patterns and rules. Be sure to use the correct ARN characters when creating event patterns so that they match the ARN syntax in the event you want to match. In EventBridge, it is possible to create rules that lead to infinite loops, where a rule is fired repeatedly. For example, a rule might detect that ACLs have changed on an S3 bucket, and trigger software to change them to the desired state. If the rule is not written carefully, the subsequent change to the ACLs fires the rule again, creating an infinite loop. To prevent this, write the rules so that the triggered actions do not re-fire the same rule. For example, your rule could fire only if ACLs are found to be in a bad state, instead of after any change. An infinite loop can quickly cause higher than expected charges. We recommend that you use budgeting, which alerts you when charges exceed your specified limit. For more information, see Managing Your Costs with Budgets.","ref":"aws_cloudwatch_events.html#put_rule/2","title":"aws_cloudwatch_events.put_rule/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#put_rule/3","title":"aws_cloudwatch_events.put_rule/3","type":"function"},{"doc":"Adds the specified targets to the specified rule, or updates the targets if they are already associated with the rule. Targets are the resources that are invoked when a rule is triggered. You can configure the following as targets for Events: API destination Amazon API Gateway REST API endpoints API Gateway Batch job queue CloudWatch Logs group CodeBuild project CodePipeline Amazon EC2 CreateSnapshot API call Amazon EC2 RebootInstances API call Amazon EC2 StopInstances API call Amazon EC2 TerminateInstances API call Amazon ECS tasks Event bus in a different Amazon Web Services account or Region. You can use an event bus in the US East (N. Virginia) us-east-1, US West (Oregon) us-west-2, or Europe (Ireland) eu-west-1 Regions as a target for a rule. Firehose delivery stream (Kinesis Data Firehose) Inspector assessment template (Amazon Inspector) Kinesis stream (Kinesis Data Stream) Lambda function Redshift clusters (Data API statement execution) Amazon SNS topic Amazon SQS queues (includes FIFO queues SSM Automation SSM OpsItem SSM Run Command Step Functions state machines Creating rules with built-in targets is supported only in the Management Console. The built-in targets are EC2 CreateSnapshot API call , EC2 RebootInstances API call , EC2 StopInstances API call , and EC2 TerminateInstances API call . For some target types, PutTargets provides target-specific parameters. If the target is a Kinesis data stream, you can optionally specify which shard the event goes to by using the KinesisParameters argument. To invoke a command on multiple EC2 instances with one rule, you can use the RunCommandParameters field. To be able to make API calls against the resources that you own, Amazon EventBridge needs the appropriate permissions. For Lambda and Amazon SNS resources, EventBridge relies on resource-based policies. For EC2 instances, Kinesis Data Streams, Step Functions state machines and API Gateway REST APIs, EventBridge relies on IAM roles that you specify in the RoleARN argument in PutTargets . For more information, see Authentication and Access Control in the Amazon EventBridge User Guide. If another Amazon Web Services account is in the same region and has granted you permission (using PutPermission ), you can send events to that account. Set that account's event bus as a target of the rules in your account. To send the matched events to the other account, specify that account's event bus as the Arn value when you run PutTargets . If your account sends events to another account, your account is charged for each sent event. Each event sent to another account is charged as a custom event. The account receiving the event is not charged. For more information, see Amazon EventBridge Pricing. Input , InputPath , and InputTransformer are not available with PutTarget if the target is an event bus of a different Amazon Web Services account. If you are setting the event bus of another account as the target, and that account granted permission to your account through an organization instead of directly by the account ID, then you must specify a RoleArn with proper permissions in the Target structure. For more information, see Sending and Receiving Events Between Amazon Web Services Accounts in the Amazon EventBridge User Guide. For more information about enabling cross-account events, see PutPermission. Input, InputPath, and InputTransformer are mutually exclusive and optional parameters of a target. When a rule is triggered due to a matched event: If none of the following arguments are specified for a target, then the entire event is passed to the target in JSON format (unless the target is Amazon EC2 Run Command or Amazon ECS task, in which case nothing from the event is passed to the target). If Input is specified in the form of valid JSON, then the matched event is overridden with this constant. If InputPath is specified in the form of JSONPath (for example, $.detail ), then only the part of the event specified in the path is passed to the target (for example, only the detail part of the event is passed). If InputTransformer is specified, then one or more specified JSONPaths are extracted from the event and used as values in a template that you specify as the input to the target. When you specify InputPath or InputTransformer , you must use JSON dot notation, not bracket notation. When you add targets to a rule and the associated rule triggers soon after, new or updated targets might not be immediately invoked. Allow a short period of time for changes to take effect. This action can partially fail if too many requests are made at the same time. If that happens, FailedEntryCount is non-zero in the response and each entry in FailedEntries provides the ID of the failed target and the error code.","ref":"aws_cloudwatch_events.html#put_targets/2","title":"aws_cloudwatch_events.put_targets/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#put_targets/3","title":"aws_cloudwatch_events.put_targets/3","type":"function"},{"doc":"Revokes the permission of another Amazon Web Services account to be able to put events to the specified event bus. Specify the account to revoke by the StatementId value that you associated with the account when you granted it permission with PutPermission . You can find the StatementId by using DescribeEventBus.","ref":"aws_cloudwatch_events.html#remove_permission/2","title":"aws_cloudwatch_events.remove_permission/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#remove_permission/3","title":"aws_cloudwatch_events.remove_permission/3","type":"function"},{"doc":"Removes the specified targets from the specified rule. When the rule is triggered, those targets are no longer be invoked. When you remove a target, when the associated rule triggers, removed targets might continue to be invoked. Allow a short period of time for changes to take effect. This action can partially fail if too many requests are made at the same time. If that happens, FailedEntryCount is non-zero in the response and each entry in FailedEntries provides the ID of the failed target and the error code.","ref":"aws_cloudwatch_events.html#remove_targets/2","title":"aws_cloudwatch_events.remove_targets/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#remove_targets/3","title":"aws_cloudwatch_events.remove_targets/3","type":"function"},{"doc":"Starts the specified replay. Events are not necessarily replayed in the exact same order that they were added to the archive. A replay processes events to replay based on the time in the event, and replays them using 1 minute intervals. If you specify an EventStartTime and an EventEndTime that covers a 20 minute time range, the events are replayed from the first minute of that 20 minute range first. Then the events from the second minute are replayed. You can use DescribeReplay to determine the progress of a replay. The value returned for EventLastReplayedTime indicates the time within the specified time range associated with the last event replayed.","ref":"aws_cloudwatch_events.html#start_replay/2","title":"aws_cloudwatch_events.start_replay/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#start_replay/3","title":"aws_cloudwatch_events.start_replay/3","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified EventBridge resource. Tags can help you organize and categorize your resources. You can also use them to scope user permissions by granting a user permission to access or change only resources with certain tag values. In EventBridge, rules and event buses can be tagged. Tags don't have any semantic meaning to Amazon Web Services and are interpreted strictly as strings of characters. You can use the TagResource action with a resource that already has tags. If you specify a new tag key, this tag is appended to the list of tags associated with the resource. If you specify a tag key that is already associated with the resource, the new tag value that you specify replaces the previous value for that tag. You can associate as many as 50 tags with a resource.","ref":"aws_cloudwatch_events.html#tag_resource/2","title":"aws_cloudwatch_events.tag_resource/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#tag_resource/3","title":"aws_cloudwatch_events.tag_resource/3","type":"function"},{"doc":"Tests whether the specified event pattern matches the provided event. Most services in Amazon Web Services treat : or / as the same character in Amazon Resource Names (ARNs). However, EventBridge uses an exact match in event patterns and rules. Be sure to use the correct ARN characters when creating event patterns so that they match the ARN syntax in the event you want to match.","ref":"aws_cloudwatch_events.html#test_event_pattern/2","title":"aws_cloudwatch_events.test_event_pattern/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#test_event_pattern/3","title":"aws_cloudwatch_events.test_event_pattern/3","type":"function"},{"doc":"Removes one or more tags from the specified EventBridge resource. In Amazon EventBridge (CloudWatch Events), rules and event buses can be tagged.","ref":"aws_cloudwatch_events.html#untag_resource/2","title":"aws_cloudwatch_events.untag_resource/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#untag_resource/3","title":"aws_cloudwatch_events.untag_resource/3","type":"function"},{"doc":"Updates an API destination.","ref":"aws_cloudwatch_events.html#update_api_destination/2","title":"aws_cloudwatch_events.update_api_destination/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#update_api_destination/3","title":"aws_cloudwatch_events.update_api_destination/3","type":"function"},{"doc":"Updates the specified archive.","ref":"aws_cloudwatch_events.html#update_archive/2","title":"aws_cloudwatch_events.update_archive/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#update_archive/3","title":"aws_cloudwatch_events.update_archive/3","type":"function"},{"doc":"Updates settings for a connection.","ref":"aws_cloudwatch_events.html#update_connection/2","title":"aws_cloudwatch_events.update_connection/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_events.html#update_connection/3","title":"aws_cloudwatch_events.update_connection/3","type":"function"},{"doc":"You can use Amazon CloudWatch Logs to monitor, store, and access your log files from EC2 instances, CloudTrail, and other sources. You can then retrieve the associated log data from CloudWatch Logs using the CloudWatch console. Alternatively, you can use CloudWatch Logs commands in the Amazon Web Services CLI, CloudWatch Logs API, or CloudWatch Logs SDK. You can use CloudWatch Logs to: Monitor logs from EC2 instances in real time: You can use CloudWatch Logs to monitor applications and systems using log data. For example, CloudWatch Logs can track the number of errors that occur in your application logs. Then, it can send you a notification whenever the rate of errors exceeds a threshold that you specify. CloudWatch Logs uses your log data for monitoring so no code changes are required. For example, you can monitor application logs for specific literal terms (such as &quot;NullReferenceException&quot;). You can also count the number of occurrences of a literal term at a particular position in log data (such as &quot;404&quot; status codes in an Apache access log). When the term you are searching for is found, CloudWatch Logs reports the data to a CloudWatch metric that you specify. Monitor CloudTrail logged events: You can create alarms in CloudWatch and receive notifications of particular API activity as captured by CloudTrail. You can use the notification to perform troubleshooting. Archive log data: You can use CloudWatch Logs to store your log data in highly durable storage. You can change the log retention setting so that any log events earlier than this setting are automatically deleted. The CloudWatch Logs agent helps to quickly send both rotated and non-rotated log data off of a host and into the log service. You can then access the raw log data when you need it.","ref":"aws_cloudwatch_logs.html","title":"aws_cloudwatch_logs","type":"module"},{"doc":"Associates the specified KMS key with the specified log group. Associating a KMS key with a log group overrides any existing associations between the log group and a KMS key. After a KMS key is associated with a log group, all newly ingested data for the log group is encrypted using the KMS key. This association is stored as long as the data encrypted with the KMS keyis still within CloudWatch Logs. This enables CloudWatch Logs to decrypt this data whenever it is requested. CloudWatch Logs supports only symmetric KMS keys. Do not use an associate an asymmetric KMS key with your log group. For more information, see Using Symmetric and Asymmetric Keys. It can take up to 5 minutes for this operation to take effect. If you attempt to associate a KMS key with a log group but the KMS key does not exist or the KMS key is disabled, you receive an InvalidParameterException error.","ref":"aws_cloudwatch_logs.html#associate_kms_key/2","title":"aws_cloudwatch_logs.associate_kms_key/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#associate_kms_key/3","title":"aws_cloudwatch_logs.associate_kms_key/3","type":"function"},{"doc":"Cancels the specified export task. The task must be in the PENDING or RUNNING state.","ref":"aws_cloudwatch_logs.html#cancel_export_task/2","title":"aws_cloudwatch_logs.cancel_export_task/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#cancel_export_task/3","title":"aws_cloudwatch_logs.cancel_export_task/3","type":"function"},{"doc":"Creates an export task so that you can efficiently export data from a log group to an Amazon S3 bucket. When you perform a CreateExportTask operation, you must use credentials that have permission to write to the S3 bucket that you specify as the destination. Exporting log data to S3 buckets that are encrypted by KMS is supported. Exporting log data to Amazon S3 buckets that have S3 Object Lock enabled with a retention period is also supported. Exporting to S3 buckets that are encrypted with AES-256 is supported. This is an asynchronous call. If all the required information is provided, this operation initiates an export task and responds with the ID of the task. After the task has started, you can use DescribeExportTasks to get the status of the export task. Each account can only have one active ( RUNNING or PENDING ) export task at a time. To cancel an export task, use CancelExportTask. You can export logs from multiple log groups or multiple time ranges to the same S3 bucket. To separate log data for each export task, specify a prefix to be used as the Amazon S3 key prefix for all exported objects. Time-based sorting on chunks of log data inside an exported file is not guaranteed. You can sort the exported log field data by using Linux utilities.","ref":"aws_cloudwatch_logs.html#create_export_task/2","title":"aws_cloudwatch_logs.create_export_task/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#create_export_task/3","title":"aws_cloudwatch_logs.create_export_task/3","type":"function"},{"doc":"Creates a log group with the specified name. You can create up to 20,000 log groups per account. You must use the following guidelines when naming a log group: Log group names must be unique within a Region for an Amazon Web Services account. Log group names can be between 1 and 512 characters long. Log group names consist of the following characters: a-z, A-Z, 0-9, '_' (underscore), '-' (hyphen), '/' (forward slash), '.' (period), and '#' (number sign) When you create a log group, by default the log events in the log group do not expire. To set a retention policy so that events expire and are deleted after a specified time, use PutRetentionPolicy. If you associate an KMS key with the log group, ingested data is encrypted using the KMS key. This association is stored as long as the data encrypted with the KMS key is still within CloudWatch Logs. This enables CloudWatch Logs to decrypt this data whenever it is requested. If you attempt to associate a KMS key with the log group but the KMS keydoes not exist or the KMS key is disabled, you receive an InvalidParameterException error. CloudWatch Logs supports only symmetric KMS keys. Do not associate an asymmetric KMS key with your log group. For more information, see Using Symmetric and Asymmetric Keys.","ref":"aws_cloudwatch_logs.html#create_log_group/2","title":"aws_cloudwatch_logs.create_log_group/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#create_log_group/3","title":"aws_cloudwatch_logs.create_log_group/3","type":"function"},{"doc":"Creates a log stream for the specified log group. A log stream is a sequence of log events that originate from a single source, such as an application instance or a resource that is being monitored. There is no limit on the number of log streams that you can create for a log group. There is a limit of 50 TPS on CreateLogStream operations, after which transactions are throttled. You must use the following guidelines when naming a log stream: Log stream names must be unique within the log group. Log stream names can be between 1 and 512 characters long. Don't use ':' (colon) or '*' (asterisk) characters.","ref":"aws_cloudwatch_logs.html#create_log_stream/2","title":"aws_cloudwatch_logs.create_log_stream/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#create_log_stream/3","title":"aws_cloudwatch_logs.create_log_stream/3","type":"function"},{"doc":"Deletes the data protection policy from the specified log group. For more information about data protection policies, see PutDataProtectionPolicy.","ref":"aws_cloudwatch_logs.html#delete_data_protection_policy/2","title":"aws_cloudwatch_logs.delete_data_protection_policy/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#delete_data_protection_policy/3","title":"aws_cloudwatch_logs.delete_data_protection_policy/3","type":"function"},{"doc":"Deletes the specified destination, and eventually disables all the subscription filters that publish to it. This operation does not delete the physical resource encapsulated by the destination.","ref":"aws_cloudwatch_logs.html#delete_destination/2","title":"aws_cloudwatch_logs.delete_destination/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#delete_destination/3","title":"aws_cloudwatch_logs.delete_destination/3","type":"function"},{"doc":"Deletes the specified log group and permanently deletes all the archived log events associated with the log group.","ref":"aws_cloudwatch_logs.html#delete_log_group/2","title":"aws_cloudwatch_logs.delete_log_group/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#delete_log_group/3","title":"aws_cloudwatch_logs.delete_log_group/3","type":"function"},{"doc":"Deletes the specified log stream and permanently deletes all the archived log events associated with the log stream.","ref":"aws_cloudwatch_logs.html#delete_log_stream/2","title":"aws_cloudwatch_logs.delete_log_stream/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#delete_log_stream/3","title":"aws_cloudwatch_logs.delete_log_stream/3","type":"function"},{"doc":"Deletes the specified metric filter.","ref":"aws_cloudwatch_logs.html#delete_metric_filter/2","title":"aws_cloudwatch_logs.delete_metric_filter/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#delete_metric_filter/3","title":"aws_cloudwatch_logs.delete_metric_filter/3","type":"function"},{"doc":"Deletes a saved CloudWatch Logs Insights query definition. A query definition contains details about a saved CloudWatch Logs Insights query. Each DeleteQueryDefinition operation can delete one query definition. You must have the logs:DeleteQueryDefinition permission to be able to perform this operation.","ref":"aws_cloudwatch_logs.html#delete_query_definition/2","title":"aws_cloudwatch_logs.delete_query_definition/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#delete_query_definition/3","title":"aws_cloudwatch_logs.delete_query_definition/3","type":"function"},{"doc":"Deletes a resource policy from this account. This revokes the access of the identities in that policy to put log events to this account.","ref":"aws_cloudwatch_logs.html#delete_resource_policy/2","title":"aws_cloudwatch_logs.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#delete_resource_policy/3","title":"aws_cloudwatch_logs.delete_resource_policy/3","type":"function"},{"doc":"Deletes the specified retention policy. Log events do not expire if they belong to log groups without a retention policy.","ref":"aws_cloudwatch_logs.html#delete_retention_policy/2","title":"aws_cloudwatch_logs.delete_retention_policy/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#delete_retention_policy/3","title":"aws_cloudwatch_logs.delete_retention_policy/3","type":"function"},{"doc":"Deletes the specified subscription filter.","ref":"aws_cloudwatch_logs.html#delete_subscription_filter/2","title":"aws_cloudwatch_logs.delete_subscription_filter/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#delete_subscription_filter/3","title":"aws_cloudwatch_logs.delete_subscription_filter/3","type":"function"},{"doc":"Lists all your destinations. The results are ASCII-sorted by destination name.","ref":"aws_cloudwatch_logs.html#describe_destinations/2","title":"aws_cloudwatch_logs.describe_destinations/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#describe_destinations/3","title":"aws_cloudwatch_logs.describe_destinations/3","type":"function"},{"doc":"Lists the specified export tasks. You can list all your export tasks or filter the results based on task ID or task status.","ref":"aws_cloudwatch_logs.html#describe_export_tasks/2","title":"aws_cloudwatch_logs.describe_export_tasks/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#describe_export_tasks/3","title":"aws_cloudwatch_logs.describe_export_tasks/3","type":"function"},{"doc":"Lists the specified log groups. You can list all your log groups or filter the results by prefix. The results are ASCII-sorted by log group name. CloudWatch Logs doesn’t support IAM policies that control access to the DescribeLogGroups action by using the aws:ResourceTag/key-name condition key. Other CloudWatch Logs actions do support the use of the aws:ResourceTag/key-name condition key to control access. For more information about using tags to control access, see Controlling access to Amazon Web Services resources using tags. If you are using CloudWatch cross-account observability, you can use this operation in a monitoring account and view data from the linked source accounts. For more information, see CloudWatch cross-account observability.","ref":"aws_cloudwatch_logs.html#describe_log_groups/2","title":"aws_cloudwatch_logs.describe_log_groups/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#describe_log_groups/3","title":"aws_cloudwatch_logs.describe_log_groups/3","type":"function"},{"doc":"Lists the log streams for the specified log group. You can list all the log streams or filter the results by prefix. You can also control how the results are ordered. You can specify the log group to search by using either logGroupIdentifier or logGroupName . You must include one of these two parameters, but you can't include both. This operation has a limit of five transactions per second, after which transactions are throttled. If you are using CloudWatch cross-account observability, you can use this operation in a monitoring account and view data from the linked source accounts. For more information, see CloudWatch cross-account observability.","ref":"aws_cloudwatch_logs.html#describe_log_streams/2","title":"aws_cloudwatch_logs.describe_log_streams/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#describe_log_streams/3","title":"aws_cloudwatch_logs.describe_log_streams/3","type":"function"},{"doc":"Lists the specified metric filters. You can list all of the metric filters or filter the results by log name, prefix, metric name, or metric namespace. The results are ASCII-sorted by filter name.","ref":"aws_cloudwatch_logs.html#describe_metric_filters/2","title":"aws_cloudwatch_logs.describe_metric_filters/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#describe_metric_filters/3","title":"aws_cloudwatch_logs.describe_metric_filters/3","type":"function"},{"doc":"Returns a list of CloudWatch Logs Insights queries that are scheduled, running, or have been run recently in this account. You can request all queries or limit it to queries of a specific log group or queries with a certain status.","ref":"aws_cloudwatch_logs.html#describe_queries/2","title":"aws_cloudwatch_logs.describe_queries/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#describe_queries/3","title":"aws_cloudwatch_logs.describe_queries/3","type":"function"},{"doc":"This operation returns a paginated list of your saved CloudWatch Logs Insights query definitions. You can use the queryDefinitionNamePrefix parameter to limit the results to only the query definitions that have names that start with a certain string.","ref":"aws_cloudwatch_logs.html#describe_query_definitions/2","title":"aws_cloudwatch_logs.describe_query_definitions/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#describe_query_definitions/3","title":"aws_cloudwatch_logs.describe_query_definitions/3","type":"function"},{"doc":"Lists the resource policies in this account.","ref":"aws_cloudwatch_logs.html#describe_resource_policies/2","title":"aws_cloudwatch_logs.describe_resource_policies/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#describe_resource_policies/3","title":"aws_cloudwatch_logs.describe_resource_policies/3","type":"function"},{"doc":"Lists the subscription filters for the specified log group. You can list all the subscription filters or filter the results by prefix. The results are ASCII-sorted by filter name.","ref":"aws_cloudwatch_logs.html#describe_subscription_filters/2","title":"aws_cloudwatch_logs.describe_subscription_filters/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#describe_subscription_filters/3","title":"aws_cloudwatch_logs.describe_subscription_filters/3","type":"function"},{"doc":"Disassociates the associated KMS key from the specified log group. After the KMS key is disassociated from the log group, CloudWatch Logs stops encrypting newly ingested data for the log group. All previously ingested data remains encrypted, and CloudWatch Logs requires permissions for the KMS key whenever the encrypted data is requested. Note that it can take up to 5 minutes for this operation to take effect.","ref":"aws_cloudwatch_logs.html#disassociate_kms_key/2","title":"aws_cloudwatch_logs.disassociate_kms_key/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#disassociate_kms_key/3","title":"aws_cloudwatch_logs.disassociate_kms_key/3","type":"function"},{"doc":"Lists log events from the specified log group. You can list all the log events or filter the results using a filter pattern, a time range, and the name of the log stream. You must have the logs;FilterLogEvents permission to perform this operation. You can specify the log group to search by using either logGroupIdentifier or logGroupName . You must include one of these two parameters, but you can't include both. By default, this operation returns as many log events as can fit in 1 MB (up to 10,000 log events) or all the events found within the specified time range. If the results include a token, that means there are more log events available. You can get additional results by specifying the token in a subsequent call. This operation can return empty results while there are more log events available through the token. The returned log events are sorted by event timestamp, the timestamp when the event was ingested by CloudWatch Logs, and the ID of the PutLogEvents request. If you are using CloudWatch cross-account observability, you can use this operation in a monitoring account and view data from the linked source accounts. For more information, see CloudWatch cross-account observability.","ref":"aws_cloudwatch_logs.html#filter_log_events/2","title":"aws_cloudwatch_logs.filter_log_events/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#filter_log_events/3","title":"aws_cloudwatch_logs.filter_log_events/3","type":"function"},{"doc":"Returns information about a log group data protection policy.","ref":"aws_cloudwatch_logs.html#get_data_protection_policy/2","title":"aws_cloudwatch_logs.get_data_protection_policy/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#get_data_protection_policy/3","title":"aws_cloudwatch_logs.get_data_protection_policy/3","type":"function"},{"doc":"Lists log events from the specified log stream. You can list all of the log events or filter using a time range. By default, this operation returns as many log events as can fit in a response size of 1MB (up to 10,000 log events). You can get additional log events by specifying one of the tokens in a subsequent call. This operation can return empty results while there are more log events available through the token. If you are using CloudWatch cross-account observability, you can use this operation in a monitoring account and view data from the linked source accounts. For more information, see CloudWatch cross-account observability. You can specify the log group to search by using either logGroupIdentifier or logGroupName . You must include one of these two parameters, but you can't include both.","ref":"aws_cloudwatch_logs.html#get_log_events/2","title":"aws_cloudwatch_logs.get_log_events/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#get_log_events/3","title":"aws_cloudwatch_logs.get_log_events/3","type":"function"},{"doc":"Returns a list of the fields that are included in log events in the specified log group. Includes the percentage of log events that contain each field. The search is limited to a time period that you specify. You can specify the log group to search by using either logGroupIdentifier or logGroupName . You must specify one of these parameters, but you can't specify both. In the results, fields that start with @ are fields generated by CloudWatch Logs. For example, @timestamp is the timestamp of each log event. For more information about the fields that are generated by CloudWatch logs, see Supported Logs and Discovered Fields. The response results are sorted by the frequency percentage, starting with the highest percentage. If you are using CloudWatch cross-account observability, you can use this operation in a monitoring account and view data from the linked source accounts. For more information, see CloudWatch cross-account observability.","ref":"aws_cloudwatch_logs.html#get_log_group_fields/2","title":"aws_cloudwatch_logs.get_log_group_fields/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#get_log_group_fields/3","title":"aws_cloudwatch_logs.get_log_group_fields/3","type":"function"},{"doc":"Retrieves all of the fields and values of a single log event. All fields are retrieved, even if the original query that produced the logRecordPointer retrieved only a subset of fields. Fields are returned as field name/field value pairs. The full unparsed log event is returned within @message .","ref":"aws_cloudwatch_logs.html#get_log_record/2","title":"aws_cloudwatch_logs.get_log_record/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#get_log_record/3","title":"aws_cloudwatch_logs.get_log_record/3","type":"function"},{"doc":"Returns the results from the specified query. Only the fields requested in the query are returned, along with a @ptr field, which is the identifier for the log record. You can use the value of @ptr in a GetLogRecord operation to get the full log record. GetQueryResults does not start running a query. To run a query, use StartQuery. If the value of the Status field in the output is Running , this operation returns only partial results. If you see a value of Scheduled or Running for the status, you can retry the operation later to see the final results. If you are using CloudWatch cross-account observability, you can use this operation in a monitoring account to start queries in linked source accounts. For more information, see CloudWatch cross-account observability.","ref":"aws_cloudwatch_logs.html#get_query_results/2","title":"aws_cloudwatch_logs.get_query_results/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#get_query_results/3","title":"aws_cloudwatch_logs.get_query_results/3","type":"function"},{"doc":"Displays the tags associated with a CloudWatch Logs resource. Currently, log groups and destinations support tagging.","ref":"aws_cloudwatch_logs.html#list_tags_for_resource/2","title":"aws_cloudwatch_logs.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#list_tags_for_resource/3","title":"aws_cloudwatch_logs.list_tags_for_resource/3","type":"function"},{"doc":"The ListTagsLogGroup operation is on the path to deprecation. We recommend that you use ListTagsForResource instead. Lists the tags for the specified log group.","ref":"aws_cloudwatch_logs.html#list_tags_log_group/2","title":"aws_cloudwatch_logs.list_tags_log_group/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#list_tags_log_group/3","title":"aws_cloudwatch_logs.list_tags_log_group/3","type":"function"},{"doc":"Creates a data protection policy for the specified log group. A data protection policy can help safeguard sensitive data that's ingested by the log group by auditing and masking the sensitive log data. Sensitive data is detected and masked when it is ingested into the log group. When you set a data protection policy, log events ingested into the log group before that time are not masked. By default, when a user views a log event that includes masked data, the sensitive data is replaced by asterisks. A user who has the logs:Unmask permission can use a GetLogEvents or FilterLogEvents operation with the unmask parameter set to true to view the unmasked log events. Users with the logs:Unmask can also view unmasked data in the CloudWatch Logs console by running a CloudWatch Logs Insights query with the unmask query command. For more information, including a list of types of data that can be audited and masked, see Protect sensitive log data with masking.","ref":"aws_cloudwatch_logs.html#put_data_protection_policy/2","title":"aws_cloudwatch_logs.put_data_protection_policy/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#put_data_protection_policy/3","title":"aws_cloudwatch_logs.put_data_protection_policy/3","type":"function"},{"doc":"Creates or updates a destination. This operation is used only to create destinations for cross-account subscriptions. A destination encapsulates a physical resource (such as an Amazon Kinesis stream). With a destination, you can subscribe to a real-time stream of log events for a different account, ingested using PutLogEvents. Through an access policy, a destination controls what is written to it. By default, PutDestination does not set any access policy with the destination, which means a cross-account user cannot call PutSubscriptionFilter against this destination. To enable this, the destination owner must call PutDestinationPolicy after PutDestination . To perform a PutDestination operation, you must also have the iam:PassRole permission.","ref":"aws_cloudwatch_logs.html#put_destination/2","title":"aws_cloudwatch_logs.put_destination/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#put_destination/3","title":"aws_cloudwatch_logs.put_destination/3","type":"function"},{"doc":"Creates or updates an access policy associated with an existing destination. An access policy is an IAM policy document that is used to authorize claims to register a subscription filter against a given destination.","ref":"aws_cloudwatch_logs.html#put_destination_policy/2","title":"aws_cloudwatch_logs.put_destination_policy/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#put_destination_policy/3","title":"aws_cloudwatch_logs.put_destination_policy/3","type":"function"},{"doc":"Uploads a batch of log events to the specified log stream. The sequence token is now ignored in PutLogEvents actions. PutLogEvents actions are always accepted and never return InvalidSequenceTokenException or DataAlreadyAcceptedException even if the sequence token is not valid. You can use parallel PutLogEvents actions on the same log stream. The batch of events must satisfy the following constraints: The maximum batch size is 1,048,576 bytes. This size is calculated as the sum of all event messages in UTF-8, plus 26 bytes for each log event. None of the log events in the batch can be more than 2 hours in the future. None of the log events in the batch can be more than 14 days in the past. Also, none of the log events can be from earlier than the retention period of the log group. The log events in the batch must be in chronological order by their timestamp. The timestamp is the time that the event occurred, expressed as the number of milliseconds after Jan 1, 1970 00:00:00 UTC . (In Amazon Web Services Tools for PowerShell and the Amazon Web Services SDK for .NET, the timestamp is specified in .NET format: yyyy-mm-ddThh:mm:ss . For example, 2017-09-15T13:45:30 .) A batch of log events in a single request cannot span more than 24 hours. Otherwise, the operation fails. The maximum number of log events in a batch is 10,000. The quota of five requests per second per log stream has been removed. Instead, PutLogEvents actions are throttled based on a per-second per-account quota. You can request an increase to the per-second throttling quota by using the Service Quotas service. If a call to PutLogEvents returns &quot;UnrecognizedClientException&quot; the most likely cause is a non-valid Amazon Web Services access key ID or secret key.","ref":"aws_cloudwatch_logs.html#put_log_events/2","title":"aws_cloudwatch_logs.put_log_events/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#put_log_events/3","title":"aws_cloudwatch_logs.put_log_events/3","type":"function"},{"doc":"Creates or updates a metric filter and associates it with the specified log group. With metric filters, you can configure rules to extract metric data from log events ingested through PutLogEvents. The maximum number of metric filters that can be associated with a log group is 100. When you create a metric filter, you can also optionally assign a unit and dimensions to the metric that is created. Metrics extracted from log events are charged as custom metrics. To prevent unexpected high charges, do not specify high-cardinality fields such as IPAddress or requestID as dimensions. Each different value found for a dimension is treated as a separate metric and accrues charges as a separate custom metric. CloudWatch Logs disables a metric filter if it generates 1,000 different name/value pairs for your specified dimensions within a certain amount of time. This helps to prevent accidental high charges. You can also set up a billing alarm to alert you if your charges are higher than expected. For more information, see Creating a Billing Alarm to Monitor Your Estimated Amazon Web Services Charges.","ref":"aws_cloudwatch_logs.html#put_metric_filter/2","title":"aws_cloudwatch_logs.put_metric_filter/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#put_metric_filter/3","title":"aws_cloudwatch_logs.put_metric_filter/3","type":"function"},{"doc":"Creates or updates a query definition for CloudWatch Logs Insights. For more information, see Analyzing Log Data with CloudWatch Logs Insights. To update a query definition, specify its queryDefinitionId in your request. The values of name , queryString , and logGroupNames are changed to the values that you specify in your update operation. No current values are retained from the current query definition. For example, imagine updating a current query definition that includes log groups. If you don't specify the logGroupNames parameter in your update operation, the query definition changes to contain no log groups. You must have the logs:PutQueryDefinition permission to be able to perform this operation.","ref":"aws_cloudwatch_logs.html#put_query_definition/2","title":"aws_cloudwatch_logs.put_query_definition/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#put_query_definition/3","title":"aws_cloudwatch_logs.put_query_definition/3","type":"function"},{"doc":"Creates or updates a resource policy allowing other Amazon Web Services services to put log events to this account, such as Amazon Route 53. An account can have up to 10 resource policies per Amazon Web Services Region.","ref":"aws_cloudwatch_logs.html#put_resource_policy/2","title":"aws_cloudwatch_logs.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#put_resource_policy/3","title":"aws_cloudwatch_logs.put_resource_policy/3","type":"function"},{"doc":"Sets the retention of the specified log group. With a retention policy, you can configure the number of days for which to retain log events in the specified log group. CloudWatch Logs doesn’t immediately delete log events when they reach their retention setting. It typically takes up to 72 hours after that before log events are deleted, but in rare situations might take longer. To illustrate, imagine that you change a log group to have a longer retention setting when it contains log events that are past the expiration date, but haven’t been deleted. Those log events will take up to 72 hours to be deleted after the new retention date is reached. To make sure that log data is deleted permanently, keep a log group at its lower retention setting until 72 hours after the previous retention period ends. Alternatively, wait to change the retention setting until you confirm that the earlier log events are deleted.","ref":"aws_cloudwatch_logs.html#put_retention_policy/2","title":"aws_cloudwatch_logs.put_retention_policy/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#put_retention_policy/3","title":"aws_cloudwatch_logs.put_retention_policy/3","type":"function"},{"doc":"Creates or updates a subscription filter and associates it with the specified log group. With subscription filters, you can subscribe to a real-time stream of log events ingested through PutLogEvents and have them delivered to a specific destination. When log events are sent to the receiving service, they are Base64 encoded and compressed with the GZIP format. The following destinations are supported for subscription filters: An Amazon Kinesis data stream belonging to the same account as the subscription filter, for same-account delivery. A logical destination that belongs to a different account, for cross-account delivery. An Amazon Kinesis Data Firehose delivery stream that belongs to the same account as the subscription filter, for same-account delivery. An Lambda function that belongs to the same account as the subscription filter, for same-account delivery. Each log group can have up to two subscription filters associated with it. If you are updating an existing filter, you must specify the correct name in filterName . To perform a PutSubscriptionFilter operation, you must also have the iam:PassRole permission.","ref":"aws_cloudwatch_logs.html#put_subscription_filter/2","title":"aws_cloudwatch_logs.put_subscription_filter/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#put_subscription_filter/3","title":"aws_cloudwatch_logs.put_subscription_filter/3","type":"function"},{"doc":"Schedules a query of a log group using CloudWatch Logs Insights. You specify the log group and time range to query and the query string to use. For more information, see CloudWatch Logs Insights Query Syntax. Queries time out after 15 minutes of runtime. If your queries are timing out, reduce the time range being searched or partition your query into a number of queries. If you are using CloudWatch cross-account observability, you can use this operation in a monitoring account to start a query in a linked source account. For more information, see CloudWatch cross-account observability. For a cross-account StartQuery operation, the query definition must be defined in the monitoring account. You can have up to 20 concurrent CloudWatch Logs insights queries, including queries that have been added to dashboards.","ref":"aws_cloudwatch_logs.html#start_query/2","title":"aws_cloudwatch_logs.start_query/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#start_query/3","title":"aws_cloudwatch_logs.start_query/3","type":"function"},{"doc":"Stops a CloudWatch Logs Insights query that is in progress. If the query has already ended, the operation returns an error indicating that the specified query is not running.","ref":"aws_cloudwatch_logs.html#stop_query/2","title":"aws_cloudwatch_logs.stop_query/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#stop_query/3","title":"aws_cloudwatch_logs.stop_query/3","type":"function"},{"doc":"The TagLogGroup operation is on the path to deprecation. We recommend that you use TagResource instead. Adds or updates the specified tags for the specified log group. To list the tags for a log group, use ListTagsForResource. To remove tags, use UntagResource. For more information about tags, see Tag Log Groups in Amazon CloudWatch Logs in the Amazon CloudWatch Logs User Guide. CloudWatch Logs doesn’t support IAM policies that prevent users from assigning specified tags to log groups using the aws:Resource/key-name or aws:TagKeys condition keys. For more information about using tags to control access, see Controlling access to Amazon Web Services resources using tags.","ref":"aws_cloudwatch_logs.html#tag_log_group/2","title":"aws_cloudwatch_logs.tag_log_group/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#tag_log_group/3","title":"aws_cloudwatch_logs.tag_log_group/3","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified CloudWatch Logs resource. Currently, the only CloudWatch Logs resources that can be tagged are log groups and destinations. Tags can help you organize and categorize your resources. You can also use them to scope user permissions by granting a user permission to access or change only resources with certain tag values. Tags don't have any semantic meaning to Amazon Web Services and are interpreted strictly as strings of characters. You can use the TagResource action with a resource that already has tags. If you specify a new tag key for the alarm, this tag is appended to the list of tags associated with the alarm. If you specify a tag key that is already associated with the alarm, the new tag value that you specify replaces the previous value for that tag. You can associate as many as 50 tags with a CloudWatch Logs resource.","ref":"aws_cloudwatch_logs.html#tag_resource/2","title":"aws_cloudwatch_logs.tag_resource/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#tag_resource/3","title":"aws_cloudwatch_logs.tag_resource/3","type":"function"},{"doc":"Tests the filter pattern of a metric filter against a sample of log event messages. You can use this operation to validate the correctness of a metric filter pattern.","ref":"aws_cloudwatch_logs.html#test_metric_filter/2","title":"aws_cloudwatch_logs.test_metric_filter/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#test_metric_filter/3","title":"aws_cloudwatch_logs.test_metric_filter/3","type":"function"},{"doc":"The UntagLogGroup operation is on the path to deprecation. We recommend that you use UntagResource instead. Removes the specified tags from the specified log group. To list the tags for a log group, use ListTagsForResource. To add tags, use TagResource. CloudWatch Logs doesn’t support IAM policies that prevent users from assigning specified tags to log groups using the aws:Resource/key-name or aws:TagKeys condition keys.","ref":"aws_cloudwatch_logs.html#untag_log_group/2","title":"aws_cloudwatch_logs.untag_log_group/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#untag_log_group/3","title":"aws_cloudwatch_logs.untag_log_group/3","type":"function"},{"doc":"Removes one or more tags from the specified resource.","ref":"aws_cloudwatch_logs.html#untag_resource/2","title":"aws_cloudwatch_logs.untag_resource/2","type":"function"},{"doc":"","ref":"aws_cloudwatch_logs.html#untag_resource/3","title":"aws_cloudwatch_logs.untag_resource/3","type":"function"},{"doc":"CodeArtifact is a fully managed artifact repository compatible with language-native package managers and build tools such as npm, Apache Maven, pip, and dotnet. You can use CodeArtifact to share packages with development teams and pull packages. Packages can be pulled from both public and CodeArtifact repositories. You can also create an upstream relationship between a CodeArtifact repository and another repository, which effectively merges their contents from the point of view of a package manager client. CodeArtifact Components Use the information in this guide to help you work with the following CodeArtifact components: Repository: A CodeArtifact repository contains a set of package versions, each of which maps to a set of assets, or files. Repositories are polyglot, so a single repository can contain packages of any supported type. Each repository exposes endpoints for fetching and publishing packages using tools like the npm CLI, the Maven CLI ( mvn ), Python CLIs ( pip and twine ), and NuGet CLIs ( nuget and dotnet ). Domain: Repositories are aggregated into a higher-level entity known as a domain. All package assets and metadata are stored in the domain, but are consumed through repositories. A given package asset, such as a Maven JAR file, is stored once per domain, no matter how many repositories it's present in. All of the assets and metadata in a domain are encrypted with the same customer master key (CMK) stored in Key Management Service (KMS). Each repository is a member of a single domain and can't be moved to a different domain. The domain allows organizational policy to be applied across multiple repositories, such as which accounts can access repositories in the domain, and which public repositories can be used as sources of packages. Although an organization can have multiple domains, we recommend a single production domain that contains all published artifacts so that teams can find and share packages across their organization. Package: A package is a bundle of software and the metadata required to resolve dependencies and install the software. CodeArtifact supports npm, PyPI, Maven, and NuGet package formats. In CodeArtifact, a package consists of: A name (for example, webpack is the name of a popular npm package) An optional namespace (for example, @types in @types/node ) A set of versions (for example, 1.0.0 , 1.0.1 , 1.0.2 , etc.) Package-level metadata (for example, npm tags) Package version: A version of a package, such as @types/node 12.6.9 . The version number format and semantics vary for different package formats. For example, npm package versions must conform to the Semantic Versioning specification. In CodeArtifact, a package version consists of the version identifier, metadata at the package version level, and a set of assets. Upstream repository: One repository is upstream of another when the package versions in it can be accessed from the repository endpoint of the downstream repository, effectively merging the contents of the two repositories from the point of view of a client. CodeArtifact allows creating an upstream relationship between two repositories. Asset: An individual file stored in CodeArtifact associated with a package version, such as an npm .tgz file or Maven POM and JAR files. CodeArtifact supports these operations: AssociateExternalConnection : Adds an existing external connection to a repository. CopyPackageVersions : Copies package versions from one repository to another repository in the same domain. CreateDomain : Creates a domain CreateRepository : Creates a CodeArtifact repository in a domain. DeleteDomain : Deletes a domain. You cannot delete a domain that contains repositories. DeleteDomainPermissionsPolicy : Deletes the resource policy that is set on a domain. DeletePackageVersions : Deletes versions of a package. After a package has been deleted, it can be republished, but its assets and metadata cannot be restored because they have been permanently removed from storage. DeleteRepository : Deletes a repository. DeleteRepositoryPermissionsPolicy : Deletes the resource policy that is set on a repository. DescribeDomain : Returns a DomainDescription object that contains information about the requested domain. DescribePackage : Returns a PackageDescription object that contains details about a package. DescribePackageVersion : Returns a PackageVersionDescription object that contains details about a package version. DescribeRepository : Returns a RepositoryDescription object that contains detailed information about the requested repository. DisposePackageVersions : Disposes versions of a package. A package version with the status Disposed cannot be restored because they have been permanently removed from storage. DisassociateExternalConnection : Removes an existing external connection from a repository. GetAuthorizationToken : Generates a temporary authorization token for accessing repositories in the domain. The token expires the authorization period has passed. The default authorization period is 12 hours and can be customized to any length with a maximum of 12 hours. GetDomainPermissionsPolicy : Returns the policy of a resource that is attached to the specified domain. GetPackageVersionAsset : Returns the contents of an asset that is in a package version. GetPackageVersionReadme : Gets the readme file or descriptive text for a package version. GetRepositoryEndpoint : Returns the endpoint of a repository for a specific package format. A repository has one endpoint for each package format: maven npm nuget pypi GetRepositoryPermissionsPolicy : Returns the resource policy that is set on a repository. ListDomains : Returns a list of DomainSummary objects. Each returned DomainSummary object contains information about a domain. ListPackages : Lists the packages in a repository. ListPackageVersionAssets : Lists the assets for a given package version. ListPackageVersionDependencies : Returns a list of the direct dependencies for a package version. ListPackageVersions : Returns a list of package versions for a specified package in a repository. ListRepositories : Returns a list of repositories owned by the Amazon Web Services account that called this method. ListRepositoriesInDomain : Returns a list of the repositories in a domain. PutDomainPermissionsPolicy : Attaches a resource policy to a domain. PutPackageOriginConfiguration : Sets the package origin configuration for a package, which determine how new versions of the package can be added to a specific repository. PutRepositoryPermissionsPolicy : Sets the resource policy on a repository that specifies permissions to access it. UpdatePackageVersionsStatus : Updates the status of one or more versions of a package. UpdateRepository : Updates the properties of a repository.","ref":"aws_codeartifact.html","title":"aws_codeartifact","type":"module"},{"doc":"Adds an existing external connection to a repository. One external connection is allowed per repository. A repository can have one or more upstream repositories, or an external connection.","ref":"aws_codeartifact.html#associate_external_connection/2","title":"aws_codeartifact.associate_external_connection/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#associate_external_connection/3","title":"aws_codeartifact.associate_external_connection/3","type":"function"},{"doc":"Copies package versions from one repository to another repository in the same domain. You must specify versions or versionRevisions . You cannot specify both.","ref":"aws_codeartifact.html#copy_package_versions/2","title":"aws_codeartifact.copy_package_versions/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#copy_package_versions/3","title":"aws_codeartifact.copy_package_versions/3","type":"function"},{"doc":"Creates a domain. CodeArtifact domains make it easier to manage multiple repositories across an organization. You can use a domain to apply permissions across many repositories owned by different Amazon Web Services accounts. An asset is stored only once in a domain, even if it's in multiple repositories. Although you can have multiple domains, we recommend a single production domain that contains all published artifacts so that your development teams can find and share packages. You can use a second pre-production domain to test changes to the production domain configuration.","ref":"aws_codeartifact.html#create_domain/2","title":"aws_codeartifact.create_domain/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#create_domain/3","title":"aws_codeartifact.create_domain/3","type":"function"},{"doc":"Creates a repository.","ref":"aws_codeartifact.html#create_repository/2","title":"aws_codeartifact.create_repository/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#create_repository/3","title":"aws_codeartifact.create_repository/3","type":"function"},{"doc":"Deletes a domain. You cannot delete a domain that contains repositories. If you want to delete a domain with repositories, first delete its repositories.","ref":"aws_codeartifact.html#delete_domain/2","title":"aws_codeartifact.delete_domain/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#delete_domain/3","title":"aws_codeartifact.delete_domain/3","type":"function"},{"doc":"Deletes the resource policy set on a domain.","ref":"aws_codeartifact.html#delete_domain_permissions_policy/2","title":"aws_codeartifact.delete_domain_permissions_policy/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#delete_domain_permissions_policy/3","title":"aws_codeartifact.delete_domain_permissions_policy/3","type":"function"},{"doc":"Deletes a package and all associated package versions. A deleted package cannot be restored. To delete one or more package versions, use the DeletePackageVersions API.","ref":"aws_codeartifact.html#delete_package/2","title":"aws_codeartifact.delete_package/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#delete_package/3","title":"aws_codeartifact.delete_package/3","type":"function"},{"doc":"Deletes one or more versions of a package. A deleted package version cannot be restored in your repository. If you want to remove a package version from your repository and be able to restore it later, set its status to Archived . Archived packages cannot be downloaded from a repository and don't show up with list package APIs (for example, ListackageVersions), but you can restore them using UpdatePackageVersionsStatus.","ref":"aws_codeartifact.html#delete_package_versions/2","title":"aws_codeartifact.delete_package_versions/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#delete_package_versions/3","title":"aws_codeartifact.delete_package_versions/3","type":"function"},{"doc":"Deletes a repository.","ref":"aws_codeartifact.html#delete_repository/2","title":"aws_codeartifact.delete_repository/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#delete_repository/3","title":"aws_codeartifact.delete_repository/3","type":"function"},{"doc":"Deletes the resource policy that is set on a repository. After a resource policy is deleted, the permissions allowed and denied by the deleted policy are removed. The effect of deleting a resource policy might not be immediate. Use DeleteRepositoryPermissionsPolicy with caution. After a policy is deleted, Amazon Web Services users, roles, and accounts lose permissions to perform the repository actions granted by the deleted policy.","ref":"aws_codeartifact.html#delete_repository_permissions_policy/2","title":"aws_codeartifact.delete_repository_permissions_policy/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#delete_repository_permissions_policy/3","title":"aws_codeartifact.delete_repository_permissions_policy/3","type":"function"},{"doc":"Returns a DomainDescription object that contains information about the requested domain.","ref":"aws_codeartifact.html#describe_domain/2","title":"aws_codeartifact.describe_domain/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#describe_domain/4","title":"aws_codeartifact.describe_domain/4","type":"function"},{"doc":"","ref":"aws_codeartifact.html#describe_domain/5","title":"aws_codeartifact.describe_domain/5","type":"function"},{"doc":"Returns a PackageDescription object that contains information about the requested package.","ref":"aws_codeartifact.html#describe_package/5","title":"aws_codeartifact.describe_package/5","type":"function"},{"doc":"","ref":"aws_codeartifact.html#describe_package/7","title":"aws_codeartifact.describe_package/7","type":"function"},{"doc":"","ref":"aws_codeartifact.html#describe_package/8","title":"aws_codeartifact.describe_package/8","type":"function"},{"doc":"Returns a PackageVersionDescription object that contains information about the requested package version.","ref":"aws_codeartifact.html#describe_package_version/6","title":"aws_codeartifact.describe_package_version/6","type":"function"},{"doc":"","ref":"aws_codeartifact.html#describe_package_version/8","title":"aws_codeartifact.describe_package_version/8","type":"function"},{"doc":"","ref":"aws_codeartifact.html#describe_package_version/9","title":"aws_codeartifact.describe_package_version/9","type":"function"},{"doc":"Returns a RepositoryDescription object that contains detailed information about the requested repository.","ref":"aws_codeartifact.html#describe_repository/3","title":"aws_codeartifact.describe_repository/3","type":"function"},{"doc":"","ref":"aws_codeartifact.html#describe_repository/5","title":"aws_codeartifact.describe_repository/5","type":"function"},{"doc":"","ref":"aws_codeartifact.html#describe_repository/6","title":"aws_codeartifact.describe_repository/6","type":"function"},{"doc":"Removes an existing external connection from a repository.","ref":"aws_codeartifact.html#disassociate_external_connection/2","title":"aws_codeartifact.disassociate_external_connection/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#disassociate_external_connection/3","title":"aws_codeartifact.disassociate_external_connection/3","type":"function"},{"doc":"Deletes the assets in package versions and sets the package versions' status to Disposed . A disposed package version cannot be restored in your repository because its assets are deleted. To view all disposed package versions in a repository, use ListPackageVersions and set the status parameter to Disposed . To view information about a disposed package version, use DescribePackageVersion.","ref":"aws_codeartifact.html#dispose_package_versions/2","title":"aws_codeartifact.dispose_package_versions/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#dispose_package_versions/3","title":"aws_codeartifact.dispose_package_versions/3","type":"function"},{"doc":"Generates a temporary authorization token for accessing repositories in the domain. This API requires the codeartifact:GetAuthorizationToken and sts:GetServiceBearerToken permissions. For more information about authorization tokens, see CodeArtifact authentication and tokens. CodeArtifact authorization tokens are valid for a period of 12 hours when created with the login command. You can call login periodically to refresh the token. When you create an authorization token with the GetAuthorizationToken API, you can set a custom authorization period, up to a maximum of 12 hours, with the durationSeconds parameter. The authorization period begins after login or GetAuthorizationToken is called. If login or GetAuthorizationToken is called while assuming a role, the token lifetime is independent of the maximum session duration of the role. For example, if you call sts assume-role and specify a session duration of 15 minutes, then generate a CodeArtifact authorization token, the token will be valid for the full authorization period even though this is longer than the 15-minute session duration. See Using IAM Roles for more information on controlling session duration.","ref":"aws_codeartifact.html#get_authorization_token/2","title":"aws_codeartifact.get_authorization_token/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#get_authorization_token/3","title":"aws_codeartifact.get_authorization_token/3","type":"function"},{"doc":"Returns the resource policy attached to the specified domain. The policy is a resource-based policy, not an identity-based policy. For more information, see Identity-based policies and resource-based policies in the IAM User Guide.","ref":"aws_codeartifact.html#get_domain_permissions_policy/2","title":"aws_codeartifact.get_domain_permissions_policy/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#get_domain_permissions_policy/4","title":"aws_codeartifact.get_domain_permissions_policy/4","type":"function"},{"doc":"","ref":"aws_codeartifact.html#get_domain_permissions_policy/5","title":"aws_codeartifact.get_domain_permissions_policy/5","type":"function"},{"doc":"Returns an asset (or file) that is in a package. For example, for a Maven package version, use GetPackageVersionAsset to download a JAR file, a POM file, or any other assets in the package version.","ref":"aws_codeartifact.html#get_package_version_asset/7","title":"aws_codeartifact.get_package_version_asset/7","type":"function"},{"doc":"","ref":"aws_codeartifact.html#get_package_version_asset/9","title":"aws_codeartifact.get_package_version_asset/9","type":"function"},{"doc":"","ref":"aws_codeartifact.html#get_package_version_asset/10","title":"aws_codeartifact.get_package_version_asset/10","type":"function"},{"doc":"Gets the readme file or descriptive text for a package version. The returned text might contain formatting. For example, it might contain formatting for Markdown or reStructuredText.","ref":"aws_codeartifact.html#get_package_version_readme/6","title":"aws_codeartifact.get_package_version_readme/6","type":"function"},{"doc":"","ref":"aws_codeartifact.html#get_package_version_readme/8","title":"aws_codeartifact.get_package_version_readme/8","type":"function"},{"doc":"","ref":"aws_codeartifact.html#get_package_version_readme/9","title":"aws_codeartifact.get_package_version_readme/9","type":"function"},{"doc":"Returns the endpoint of a repository for a specific package format. A repository has one endpoint for each package format: maven npm nuget pypi","ref":"aws_codeartifact.html#get_repository_endpoint/4","title":"aws_codeartifact.get_repository_endpoint/4","type":"function"},{"doc":"","ref":"aws_codeartifact.html#get_repository_endpoint/6","title":"aws_codeartifact.get_repository_endpoint/6","type":"function"},{"doc":"","ref":"aws_codeartifact.html#get_repository_endpoint/7","title":"aws_codeartifact.get_repository_endpoint/7","type":"function"},{"doc":"Returns the resource policy that is set on a repository.","ref":"aws_codeartifact.html#get_repository_permissions_policy/3","title":"aws_codeartifact.get_repository_permissions_policy/3","type":"function"},{"doc":"","ref":"aws_codeartifact.html#get_repository_permissions_policy/5","title":"aws_codeartifact.get_repository_permissions_policy/5","type":"function"},{"doc":"","ref":"aws_codeartifact.html#get_repository_permissions_policy/6","title":"aws_codeartifact.get_repository_permissions_policy/6","type":"function"},{"doc":"Returns a list of DomainSummary objects for all domains owned by the Amazon Web Services account that makes this call. Each returned DomainSummary object contains information about a domain.","ref":"aws_codeartifact.html#list_domains/2","title":"aws_codeartifact.list_domains/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#list_domains/3","title":"aws_codeartifact.list_domains/3","type":"function"},{"doc":"Returns a list of AssetSummary objects for assets in a package version.","ref":"aws_codeartifact.html#list_package_version_assets/2","title":"aws_codeartifact.list_package_version_assets/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#list_package_version_assets/3","title":"aws_codeartifact.list_package_version_assets/3","type":"function"},{"doc":"Returns the direct dependencies for a package version. The dependencies are returned as PackageDependency objects. CodeArtifact extracts the dependencies for a package version from the metadata file for the package format (for example, the package.json file for npm packages and the pom.xml file for Maven). Any package version dependencies that are not listed in the configuration file are not returned.","ref":"aws_codeartifact.html#list_package_version_dependencies/2","title":"aws_codeartifact.list_package_version_dependencies/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#list_package_version_dependencies/3","title":"aws_codeartifact.list_package_version_dependencies/3","type":"function"},{"doc":"Returns a list of PackageVersionSummary objects for package versions in a repository that match the request parameters. Package versions of all statuses will be returned by default when calling list-package-versions with no --status parameter.","ref":"aws_codeartifact.html#list_package_versions/2","title":"aws_codeartifact.list_package_versions/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#list_package_versions/3","title":"aws_codeartifact.list_package_versions/3","type":"function"},{"doc":"Returns a list of PackageSummary objects for packages in a repository that match the request parameters.","ref":"aws_codeartifact.html#list_packages/2","title":"aws_codeartifact.list_packages/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#list_packages/3","title":"aws_codeartifact.list_packages/3","type":"function"},{"doc":"Returns a list of RepositorySummary objects. Each RepositorySummary contains information about a repository in the specified Amazon Web Services account and that matches the input parameters.","ref":"aws_codeartifact.html#list_repositories/2","title":"aws_codeartifact.list_repositories/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#list_repositories/3","title":"aws_codeartifact.list_repositories/3","type":"function"},{"doc":"Returns a list of RepositorySummary objects. Each RepositorySummary contains information about a repository in the specified domain and that matches the input parameters.","ref":"aws_codeartifact.html#list_repositories_in_domain/2","title":"aws_codeartifact.list_repositories_in_domain/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#list_repositories_in_domain/3","title":"aws_codeartifact.list_repositories_in_domain/3","type":"function"},{"doc":"Gets information about Amazon Web Services tags for a specified Amazon Resource Name (ARN) in CodeArtifact.","ref":"aws_codeartifact.html#list_tags_for_resource/2","title":"aws_codeartifact.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#list_tags_for_resource/3","title":"aws_codeartifact.list_tags_for_resource/3","type":"function"},{"doc":"Sets a resource policy on a domain that specifies permissions to access it. When you call PutDomainPermissionsPolicy , the resource policy on the domain is ignored when evaluting permissions. This ensures that the owner of a domain cannot lock themselves out of the domain, which would prevent them from being able to update the resource policy.","ref":"aws_codeartifact.html#put_domain_permissions_policy/2","title":"aws_codeartifact.put_domain_permissions_policy/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#put_domain_permissions_policy/3","title":"aws_codeartifact.put_domain_permissions_policy/3","type":"function"},{"doc":"Sets the package origin configuration for a package. The package origin configuration determines how new versions of a package can be added to a repository. You can allow or block direct publishing of new package versions, or ingestion and retaining of new package versions from an external connection or upstream source. For more information about package origin controls and configuration, see Editing package origin controls in the CodeArtifact User Guide. PutPackageOriginConfiguration can be called on a package that doesn't yet exist in the repository. When called on a package that does not exist, a package is created in the repository with no versions and the requested restrictions are set on the package. This can be used to preemptively block ingesting or retaining any versions from external connections or upstream repositories, or to block publishing any versions of the package into the repository before connecting any package managers or publishers to the repository.","ref":"aws_codeartifact.html#put_package_origin_configuration/2","title":"aws_codeartifact.put_package_origin_configuration/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#put_package_origin_configuration/3","title":"aws_codeartifact.put_package_origin_configuration/3","type":"function"},{"doc":"Sets the resource policy on a repository that specifies permissions to access it. When you call PutRepositoryPermissionsPolicy , the resource policy on the repository is ignored when evaluting permissions. This ensures that the owner of a repository cannot lock themselves out of the repository, which would prevent them from being able to update the resource policy.","ref":"aws_codeartifact.html#put_repository_permissions_policy/2","title":"aws_codeartifact.put_repository_permissions_policy/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#put_repository_permissions_policy/3","title":"aws_codeartifact.put_repository_permissions_policy/3","type":"function"},{"doc":"Adds or updates tags for a resource in CodeArtifact.","ref":"aws_codeartifact.html#tag_resource/2","title":"aws_codeartifact.tag_resource/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#tag_resource/3","title":"aws_codeartifact.tag_resource/3","type":"function"},{"doc":"Removes tags from a resource in CodeArtifact.","ref":"aws_codeartifact.html#untag_resource/2","title":"aws_codeartifact.untag_resource/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#untag_resource/3","title":"aws_codeartifact.untag_resource/3","type":"function"},{"doc":"Updates the status of one or more versions of a package. Using UpdatePackageVersionsStatus , you can update the status of package versions to Archived , Published , or Unlisted . To set the status of a package version to Disposed , use DisposePackageVersions.","ref":"aws_codeartifact.html#update_package_versions_status/2","title":"aws_codeartifact.update_package_versions_status/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#update_package_versions_status/3","title":"aws_codeartifact.update_package_versions_status/3","type":"function"},{"doc":"Update the properties of a repository.","ref":"aws_codeartifact.html#update_repository/2","title":"aws_codeartifact.update_repository/2","type":"function"},{"doc":"","ref":"aws_codeartifact.html#update_repository/3","title":"aws_codeartifact.update_repository/3","type":"function"},{"doc":"CodeBuild CodeBuild is a fully managed build service in the cloud. CodeBuild compiles your source code, runs unit tests, and produces artifacts that are ready to deploy. CodeBuild eliminates the need to provision, manage, and scale your own build servers. It provides prepackaged build environments for the most popular programming languages and build tools, such as Apache Maven, Gradle, and more. You can also fully customize build environments in CodeBuild to use your own build tools. CodeBuild scales automatically to meet peak build requests. You pay only for the build time you consume. For more information about CodeBuild, see the CodeBuild User Guide.","ref":"aws_codebuild.html","title":"aws_codebuild","type":"module"},{"doc":"Deletes one or more builds.","ref":"aws_codebuild.html#batch_delete_builds/2","title":"aws_codebuild.batch_delete_builds/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#batch_delete_builds/3","title":"aws_codebuild.batch_delete_builds/3","type":"function"},{"doc":"Retrieves information about one or more batch builds.","ref":"aws_codebuild.html#batch_get_build_batches/2","title":"aws_codebuild.batch_get_build_batches/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#batch_get_build_batches/3","title":"aws_codebuild.batch_get_build_batches/3","type":"function"},{"doc":"Gets information about one or more builds.","ref":"aws_codebuild.html#batch_get_builds/2","title":"aws_codebuild.batch_get_builds/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#batch_get_builds/3","title":"aws_codebuild.batch_get_builds/3","type":"function"},{"doc":"Gets information about one or more build projects.","ref":"aws_codebuild.html#batch_get_projects/2","title":"aws_codebuild.batch_get_projects/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#batch_get_projects/3","title":"aws_codebuild.batch_get_projects/3","type":"function"},{"doc":"Returns an array of report groups.","ref":"aws_codebuild.html#batch_get_report_groups/2","title":"aws_codebuild.batch_get_report_groups/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#batch_get_report_groups/3","title":"aws_codebuild.batch_get_report_groups/3","type":"function"},{"doc":"Returns an array of reports.","ref":"aws_codebuild.html#batch_get_reports/2","title":"aws_codebuild.batch_get_reports/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#batch_get_reports/3","title":"aws_codebuild.batch_get_reports/3","type":"function"},{"doc":"Creates a build project.","ref":"aws_codebuild.html#create_project/2","title":"aws_codebuild.create_project/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#create_project/3","title":"aws_codebuild.create_project/3","type":"function"},{"doc":"Creates a report group. A report group contains a collection of reports.","ref":"aws_codebuild.html#create_report_group/2","title":"aws_codebuild.create_report_group/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#create_report_group/3","title":"aws_codebuild.create_report_group/3","type":"function"},{"doc":"For an existing CodeBuild build project that has its source code stored in a GitHub or Bitbucket repository, enables CodeBuild to start rebuilding the source code every time a code change is pushed to the repository. If you enable webhooks for an CodeBuild project, and the project is used as a build step in CodePipeline, then two identical builds are created for each commit. One build is triggered through webhooks, and one through CodePipeline. Because billing is on a per-build basis, you are billed for both builds. Therefore, if you are using CodePipeline, we recommend that you disable webhooks in CodeBuild. In the CodeBuild console, clear the Webhook box. For more information, see step 5 in Change a Build Project's Settings.","ref":"aws_codebuild.html#create_webhook/2","title":"aws_codebuild.create_webhook/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#create_webhook/3","title":"aws_codebuild.create_webhook/3","type":"function"},{"doc":"Deletes a batch build.","ref":"aws_codebuild.html#delete_build_batch/2","title":"aws_codebuild.delete_build_batch/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#delete_build_batch/3","title":"aws_codebuild.delete_build_batch/3","type":"function"},{"doc":"Deletes a build project. When you delete a project, its builds are not deleted.","ref":"aws_codebuild.html#delete_project/2","title":"aws_codebuild.delete_project/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#delete_project/3","title":"aws_codebuild.delete_project/3","type":"function"},{"doc":"Deletes a report.","ref":"aws_codebuild.html#delete_report/2","title":"aws_codebuild.delete_report/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#delete_report/3","title":"aws_codebuild.delete_report/3","type":"function"},{"doc":"Deletes a report group. Before you delete a report group, you must delete its reports.","ref":"aws_codebuild.html#delete_report_group/2","title":"aws_codebuild.delete_report_group/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#delete_report_group/3","title":"aws_codebuild.delete_report_group/3","type":"function"},{"doc":"Deletes a resource policy that is identified by its resource ARN.","ref":"aws_codebuild.html#delete_resource_policy/2","title":"aws_codebuild.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#delete_resource_policy/3","title":"aws_codebuild.delete_resource_policy/3","type":"function"},{"doc":"Deletes a set of GitHub, GitHub Enterprise, or Bitbucket source credentials.","ref":"aws_codebuild.html#delete_source_credentials/2","title":"aws_codebuild.delete_source_credentials/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#delete_source_credentials/3","title":"aws_codebuild.delete_source_credentials/3","type":"function"},{"doc":"For an existing CodeBuild build project that has its source code stored in a GitHub or Bitbucket repository, stops CodeBuild from rebuilding the source code every time a code change is pushed to the repository.","ref":"aws_codebuild.html#delete_webhook/2","title":"aws_codebuild.delete_webhook/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#delete_webhook/3","title":"aws_codebuild.delete_webhook/3","type":"function"},{"doc":"Retrieves one or more code coverage reports.","ref":"aws_codebuild.html#describe_code_coverages/2","title":"aws_codebuild.describe_code_coverages/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#describe_code_coverages/3","title":"aws_codebuild.describe_code_coverages/3","type":"function"},{"doc":"Returns a list of details about test cases for a report.","ref":"aws_codebuild.html#describe_test_cases/2","title":"aws_codebuild.describe_test_cases/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#describe_test_cases/3","title":"aws_codebuild.describe_test_cases/3","type":"function"},{"doc":"Analyzes and accumulates test report values for the specified test reports.","ref":"aws_codebuild.html#get_report_group_trend/2","title":"aws_codebuild.get_report_group_trend/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#get_report_group_trend/3","title":"aws_codebuild.get_report_group_trend/3","type":"function"},{"doc":"Gets a resource policy that is identified by its resource ARN.","ref":"aws_codebuild.html#get_resource_policy/2","title":"aws_codebuild.get_resource_policy/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#get_resource_policy/3","title":"aws_codebuild.get_resource_policy/3","type":"function"},{"doc":"Imports the source repository credentials for an CodeBuild project that has its source code stored in a GitHub, GitHub Enterprise, or Bitbucket repository.","ref":"aws_codebuild.html#import_source_credentials/2","title":"aws_codebuild.import_source_credentials/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#import_source_credentials/3","title":"aws_codebuild.import_source_credentials/3","type":"function"},{"doc":"Resets the cache for a project.","ref":"aws_codebuild.html#invalidate_project_cache/2","title":"aws_codebuild.invalidate_project_cache/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#invalidate_project_cache/3","title":"aws_codebuild.invalidate_project_cache/3","type":"function"},{"doc":"Retrieves the identifiers of your build batches in the current region.","ref":"aws_codebuild.html#list_build_batches/2","title":"aws_codebuild.list_build_batches/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#list_build_batches/3","title":"aws_codebuild.list_build_batches/3","type":"function"},{"doc":"Retrieves the identifiers of the build batches for a specific project.","ref":"aws_codebuild.html#list_build_batches_for_project/2","title":"aws_codebuild.list_build_batches_for_project/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#list_build_batches_for_project/3","title":"aws_codebuild.list_build_batches_for_project/3","type":"function"},{"doc":"Gets a list of build IDs, with each build ID representing a single build.","ref":"aws_codebuild.html#list_builds/2","title":"aws_codebuild.list_builds/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#list_builds/3","title":"aws_codebuild.list_builds/3","type":"function"},{"doc":"Gets a list of build identifiers for the specified build project, with each build identifier representing a single build.","ref":"aws_codebuild.html#list_builds_for_project/2","title":"aws_codebuild.list_builds_for_project/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#list_builds_for_project/3","title":"aws_codebuild.list_builds_for_project/3","type":"function"},{"doc":"Gets information about Docker images that are managed by CodeBuild.","ref":"aws_codebuild.html#list_curated_environment_images/2","title":"aws_codebuild.list_curated_environment_images/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#list_curated_environment_images/3","title":"aws_codebuild.list_curated_environment_images/3","type":"function"},{"doc":"Gets a list of build project names, with each build project name representing a single build project.","ref":"aws_codebuild.html#list_projects/2","title":"aws_codebuild.list_projects/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#list_projects/3","title":"aws_codebuild.list_projects/3","type":"function"},{"doc":"Gets a list ARNs for the report groups in the current Amazon Web Services account.","ref":"aws_codebuild.html#list_report_groups/2","title":"aws_codebuild.list_report_groups/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#list_report_groups/3","title":"aws_codebuild.list_report_groups/3","type":"function"},{"doc":"Returns a list of ARNs for the reports in the current Amazon Web Services account.","ref":"aws_codebuild.html#list_reports/2","title":"aws_codebuild.list_reports/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#list_reports/3","title":"aws_codebuild.list_reports/3","type":"function"},{"doc":"Returns a list of ARNs for the reports that belong to a ReportGroup .","ref":"aws_codebuild.html#list_reports_for_report_group/2","title":"aws_codebuild.list_reports_for_report_group/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#list_reports_for_report_group/3","title":"aws_codebuild.list_reports_for_report_group/3","type":"function"},{"doc":"Gets a list of projects that are shared with other Amazon Web Services accounts or users.","ref":"aws_codebuild.html#list_shared_projects/2","title":"aws_codebuild.list_shared_projects/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#list_shared_projects/3","title":"aws_codebuild.list_shared_projects/3","type":"function"},{"doc":"Gets a list of report groups that are shared with other Amazon Web Services accounts or users.","ref":"aws_codebuild.html#list_shared_report_groups/2","title":"aws_codebuild.list_shared_report_groups/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#list_shared_report_groups/3","title":"aws_codebuild.list_shared_report_groups/3","type":"function"},{"doc":"Returns a list of SourceCredentialsInfo objects.","ref":"aws_codebuild.html#list_source_credentials/2","title":"aws_codebuild.list_source_credentials/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#list_source_credentials/3","title":"aws_codebuild.list_source_credentials/3","type":"function"},{"doc":"Stores a resource policy for the ARN of a Project or ReportGroup object.","ref":"aws_codebuild.html#put_resource_policy/2","title":"aws_codebuild.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#put_resource_policy/3","title":"aws_codebuild.put_resource_policy/3","type":"function"},{"doc":"Restarts a build.","ref":"aws_codebuild.html#retry_build/2","title":"aws_codebuild.retry_build/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#retry_build/3","title":"aws_codebuild.retry_build/3","type":"function"},{"doc":"Restarts a failed batch build. Only batch builds that have failed can be retried.","ref":"aws_codebuild.html#retry_build_batch/2","title":"aws_codebuild.retry_build_batch/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#retry_build_batch/3","title":"aws_codebuild.retry_build_batch/3","type":"function"},{"doc":"Starts running a build.","ref":"aws_codebuild.html#start_build/2","title":"aws_codebuild.start_build/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#start_build/3","title":"aws_codebuild.start_build/3","type":"function"},{"doc":"Starts a batch build for a project.","ref":"aws_codebuild.html#start_build_batch/2","title":"aws_codebuild.start_build_batch/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#start_build_batch/3","title":"aws_codebuild.start_build_batch/3","type":"function"},{"doc":"Attempts to stop running a build.","ref":"aws_codebuild.html#stop_build/2","title":"aws_codebuild.stop_build/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#stop_build/3","title":"aws_codebuild.stop_build/3","type":"function"},{"doc":"Stops a running batch build.","ref":"aws_codebuild.html#stop_build_batch/2","title":"aws_codebuild.stop_build_batch/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#stop_build_batch/3","title":"aws_codebuild.stop_build_batch/3","type":"function"},{"doc":"Changes the settings of a build project.","ref":"aws_codebuild.html#update_project/2","title":"aws_codebuild.update_project/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#update_project/3","title":"aws_codebuild.update_project/3","type":"function"},{"doc":"Changes the public visibility for a project. The project's build results, logs, and artifacts are available to the general public. For more information, see Public build projects in the CodeBuild User Guide. The following should be kept in mind when making your projects public: All of a project's build results, logs, and artifacts, including builds that were run when the project was private, are available to the general public. All build logs and artifacts are available to the public. Environment variables, source code, and other sensitive information may have been output to the build logs and artifacts. You must be careful about what information is output to the build logs. Some best practice are: Do not store sensitive values, especially Amazon Web Services access key IDs and secret access keys, in environment variables. We recommend that you use an Amazon EC2 Systems Manager Parameter Store or Secrets Manager to store sensitive values. Follow Best practices for using webhooks in the CodeBuild User Guide to limit which entities can trigger a build, and do not store the buildspec in the project itself, to ensure that your webhooks are as secure as possible. A malicious user can use public builds to distribute malicious artifacts. We recommend that you review all pull requests to verify that the pull request is a legitimate change. We also recommend that you validate any artifacts with their checksums to make sure that the correct artifacts are being downloaded.","ref":"aws_codebuild.html#update_project_visibility/2","title":"aws_codebuild.update_project_visibility/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#update_project_visibility/3","title":"aws_codebuild.update_project_visibility/3","type":"function"},{"doc":"Updates a report group.","ref":"aws_codebuild.html#update_report_group/2","title":"aws_codebuild.update_report_group/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#update_report_group/3","title":"aws_codebuild.update_report_group/3","type":"function"},{"doc":"Updates the webhook associated with an CodeBuild build project. If you use Bitbucket for your repository, rotateSecret is ignored.","ref":"aws_codebuild.html#update_webhook/2","title":"aws_codebuild.update_webhook/2","type":"function"},{"doc":"","ref":"aws_codebuild.html#update_webhook/3","title":"aws_codebuild.update_webhook/3","type":"function"},{"doc":"AWS CodeCommit This is the AWS CodeCommit API Reference. This reference provides descriptions of the operations and data types for AWS CodeCommit API along with usage examples. You can use the AWS CodeCommit API to work with the following objects: Repositories, by calling the following: BatchGetRepositories , which returns information about one or more repositories associated with your AWS account. CreateRepository , which creates an AWS CodeCommit repository. DeleteRepository , which deletes an AWS CodeCommit repository. GetRepository , which returns information about a specified repository. ListRepositories , which lists all AWS CodeCommit repositories associated with your AWS account. UpdateRepositoryDescription , which sets or updates the description of the repository. UpdateRepositoryName , which changes the name of the repository. If you change the name of a repository, no other users of that repository can access it until you send them the new HTTPS or SSH URL to use. Branches, by calling the following: CreateBranch , which creates a branch in a specified repository. DeleteBranch , which deletes the specified branch in a repository unless it is the default branch. GetBranch , which returns information about a specified branch. ListBranches , which lists all branches for a specified repository. UpdateDefaultBranch , which changes the default branch for a repository. Files, by calling the following: DeleteFile , which deletes the content of a specified file from a specified branch. GetBlob , which returns the base-64 encoded content of an individual Git blob object in a repository. GetFile , which returns the base-64 encoded content of a specified file. GetFolder , which returns the contents of a specified folder or directory. PutFile , which adds or modifies a single file in a specified repository and branch. Commits, by calling the following: BatchGetCommits , which returns information about one or more commits in a repository. CreateCommit , which creates a commit for changes to a repository. GetCommit , which returns information about a commit, including commit messages and author and committer information. GetDifferences , which returns information about the differences in a valid commit specifier (such as a branch, tag, HEAD, commit ID, or other fully qualified reference). Merges, by calling the following: BatchDescribeMergeConflicts , which returns information about conflicts in a merge between commits in a repository. CreateUnreferencedMergeCommit , which creates an unreferenced commit between two branches or commits for the purpose of comparing them and identifying any potential conflicts. DescribeMergeConflicts , which returns information about merge conflicts between the base, source, and destination versions of a file in a potential merge. GetMergeCommit , which returns information about the merge between a source and destination commit. GetMergeConflicts , which returns information about merge conflicts between the source and destination branch in a pull request. GetMergeOptions , which returns information about the available merge options between two branches or commit specifiers. MergeBranchesByFastForward , which merges two branches using the fast-forward merge option. MergeBranchesBySquash , which merges two branches using the squash merge option. MergeBranchesByThreeWay , which merges two branches using the three-way merge option. Pull requests, by calling the following: CreatePullRequest , which creates a pull request in a specified repository. CreatePullRequestApprovalRule , which creates an approval rule for a specified pull request. DeletePullRequestApprovalRule , which deletes an approval rule for a specified pull request. DescribePullRequestEvents , which returns information about one or more pull request events. EvaluatePullRequestApprovalRules , which evaluates whether a pull request has met all the conditions specified in its associated approval rules. GetCommentsForPullRequest , which returns information about comments on a specified pull request. GetPullRequest , which returns information about a specified pull request. GetPullRequestApprovalStates , which returns information about the approval states for a specified pull request. GetPullRequestOverrideState , which returns information about whether approval rules have been set aside (overriden) for a pull request, and if so, the Amazon Resource Name (ARN) of the user or identity that overrode the rules and their requirements for the pull request. ListPullRequests , which lists all pull requests for a repository. MergePullRequestByFastForward , which merges the source destination branch of a pull request into the specified destination branch for that pull request using the fast-forward merge option. MergePullRequestBySquash , which merges the source destination branch of a pull request into the specified destination branch for that pull request using the squash merge option. MergePullRequestByThreeWay . which merges the source destination branch of a pull request into the specified destination branch for that pull request using the three-way merge option. OverridePullRequestApprovalRules , which sets aside all approval rule requirements for a pull request. PostCommentForPullRequest , which posts a comment to a pull request at the specified line, file, or request. UpdatePullRequestApprovalRuleContent , which updates the structure of an approval rule for a pull request. UpdatePullRequestApprovalState , which updates the state of an approval on a pull request. UpdatePullRequestDescription , which updates the description of a pull request. UpdatePullRequestStatus , which updates the status of a pull request. UpdatePullRequestTitle , which updates the title of a pull request. Approval rule templates, by calling the following: AssociateApprovalRuleTemplateWithRepository , which associates a template with a specified repository. After the template is associated with a repository, AWS CodeCommit creates approval rules that match the template conditions on every pull request created in the specified repository. BatchAssociateApprovalRuleTemplateWithRepositories , which associates a template with one or more specified repositories. After the template is associated with a repository, AWS CodeCommit creates approval rules that match the template conditions on every pull request created in the specified repositories. BatchDisassociateApprovalRuleTemplateFromRepositories , which removes the association between a template and specified repositories so that approval rules based on the template are not automatically created when pull requests are created in those repositories. CreateApprovalRuleTemplate , which creates a template for approval rules that can then be associated with one or more repositories in your AWS account. DeleteApprovalRuleTemplate , which deletes the specified template. It does not remove approval rules on pull requests already created with the template. DisassociateApprovalRuleTemplateFromRepository , which removes the association between a template and a repository so that approval rules based on the template are not automatically created when pull requests are created in the specified repository. GetApprovalRuleTemplate , which returns information about an approval rule template. ListApprovalRuleTemplates , which lists all approval rule templates in the AWS Region in your AWS account. ListAssociatedApprovalRuleTemplatesForRepository , which lists all approval rule templates that are associated with a specified repository. ListRepositoriesForApprovalRuleTemplate , which lists all repositories associated with the specified approval rule template. UpdateApprovalRuleTemplateDescription , which updates the description of an approval rule template. UpdateApprovalRuleTemplateName , which updates the name of an approval rule template. UpdateApprovalRuleTemplateContent , which updates the content of an approval rule template. Comments in a repository, by calling the following: DeleteCommentContent , which deletes the content of a comment on a commit in a repository. GetComment , which returns information about a comment on a commit. GetCommentReactions , which returns information about emoji reactions to comments. GetCommentsForComparedCommit , which returns information about comments on the comparison between two commit specifiers in a repository. PostCommentForComparedCommit , which creates a comment on the comparison between two commit specifiers in a repository. PostCommentReply , which creates a reply to a comment. PutCommentReaction , which creates or updates an emoji reaction to a comment. UpdateComment , which updates the content of a comment on a commit in a repository. Tags used to tag resources in AWS CodeCommit (not Git tags), by calling the following: ListTagsForResource , which gets information about AWS tags for a specified Amazon Resource Name (ARN) in AWS CodeCommit. TagResource , which adds or updates tags for a resource in AWS CodeCommit. UntagResource , which removes tags for a resource in AWS CodeCommit. Triggers, by calling the following: GetRepositoryTriggers , which returns information about triggers configured for a repository. PutRepositoryTriggers , which replaces all triggers for a repository and can be used to create or delete triggers. TestRepositoryTriggers , which tests the functionality of a repository trigger by sending data to the trigger target. For information about how to use AWS CodeCommit, see the AWS CodeCommit User Guide.","ref":"aws_codecommit.html","title":"aws_codecommit","type":"module"},{"doc":"Creates an association between an approval rule template and a specified repository. Then, the next time a pull request is created in the repository where the destination reference (if specified) matches the destination reference (branch) for the pull request, an approval rule that matches the template conditions is automatically created for that pull request. If no destination references are specified in the template, an approval rule that matches the template contents is created for all pull requests in that repository.","ref":"aws_codecommit.html#associate_approval_rule_template_with_repository/2","title":"aws_codecommit.associate_approval_rule_template_with_repository/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#associate_approval_rule_template_with_repository/3","title":"aws_codecommit.associate_approval_rule_template_with_repository/3","type":"function"},{"doc":"Creates an association between an approval rule template and one or more specified repositories.","ref":"aws_codecommit.html#batch_associate_approval_rule_template_with_repositories/2","title":"aws_codecommit.batch_associate_approval_rule_template_with_repositories/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#batch_associate_approval_rule_template_with_repositories/3","title":"aws_codecommit.batch_associate_approval_rule_template_with_repositories/3","type":"function"},{"doc":"Returns information about one or more merge conflicts in the attempted merge of two commit specifiers using the squash or three-way merge strategy.","ref":"aws_codecommit.html#batch_describe_merge_conflicts/2","title":"aws_codecommit.batch_describe_merge_conflicts/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#batch_describe_merge_conflicts/3","title":"aws_codecommit.batch_describe_merge_conflicts/3","type":"function"},{"doc":"Removes the association between an approval rule template and one or more specified repositories.","ref":"aws_codecommit.html#batch_disassociate_approval_rule_template_from_repositories/2","title":"aws_codecommit.batch_disassociate_approval_rule_template_from_repositories/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#batch_disassociate_approval_rule_template_from_repositories/3","title":"aws_codecommit.batch_disassociate_approval_rule_template_from_repositories/3","type":"function"},{"doc":"Returns information about the contents of one or more commits in a repository.","ref":"aws_codecommit.html#batch_get_commits/2","title":"aws_codecommit.batch_get_commits/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#batch_get_commits/3","title":"aws_codecommit.batch_get_commits/3","type":"function"},{"doc":"Returns information about one or more repositories. The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a webpage can expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a webpage.","ref":"aws_codecommit.html#batch_get_repositories/2","title":"aws_codecommit.batch_get_repositories/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#batch_get_repositories/3","title":"aws_codecommit.batch_get_repositories/3","type":"function"},{"doc":"Creates a template for approval rules that can then be associated with one or more repositories in your AWS account. When you associate a template with a repository, AWS CodeCommit creates an approval rule that matches the conditions of the template for all pull requests that meet the conditions of the template. For more information, see AssociateApprovalRuleTemplateWithRepository .","ref":"aws_codecommit.html#create_approval_rule_template/2","title":"aws_codecommit.create_approval_rule_template/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#create_approval_rule_template/3","title":"aws_codecommit.create_approval_rule_template/3","type":"function"},{"doc":"Creates a branch in a repository and points the branch to a commit. Calling the create branch operation does not set a repository's default branch. To do this, call the update default branch operation.","ref":"aws_codecommit.html#create_branch/2","title":"aws_codecommit.create_branch/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#create_branch/3","title":"aws_codecommit.create_branch/3","type":"function"},{"doc":"Creates a commit for a repository on the tip of a specified branch.","ref":"aws_codecommit.html#create_commit/2","title":"aws_codecommit.create_commit/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#create_commit/3","title":"aws_codecommit.create_commit/3","type":"function"},{"doc":"Creates a pull request in the specified repository.","ref":"aws_codecommit.html#create_pull_request/2","title":"aws_codecommit.create_pull_request/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#create_pull_request/3","title":"aws_codecommit.create_pull_request/3","type":"function"},{"doc":"Creates an approval rule for a pull request.","ref":"aws_codecommit.html#create_pull_request_approval_rule/2","title":"aws_codecommit.create_pull_request_approval_rule/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#create_pull_request_approval_rule/3","title":"aws_codecommit.create_pull_request_approval_rule/3","type":"function"},{"doc":"Creates a new, empty repository.","ref":"aws_codecommit.html#create_repository/2","title":"aws_codecommit.create_repository/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#create_repository/3","title":"aws_codecommit.create_repository/3","type":"function"},{"doc":"Creates an unreferenced commit that represents the result of merging two branches using a specified merge strategy. This can help you determine the outcome of a potential merge. This API cannot be used with the fast-forward merge strategy because that strategy does not create a merge commit. This unreferenced merge commit can only be accessed using the GetCommit API or through git commands such as git fetch. To retrieve this commit, you must specify its commit ID or otherwise reference it.","ref":"aws_codecommit.html#create_unreferenced_merge_commit/2","title":"aws_codecommit.create_unreferenced_merge_commit/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#create_unreferenced_merge_commit/3","title":"aws_codecommit.create_unreferenced_merge_commit/3","type":"function"},{"doc":"Deletes a specified approval rule template. Deleting a template does not remove approval rules on pull requests already created with the template.","ref":"aws_codecommit.html#delete_approval_rule_template/2","title":"aws_codecommit.delete_approval_rule_template/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#delete_approval_rule_template/3","title":"aws_codecommit.delete_approval_rule_template/3","type":"function"},{"doc":"Deletes a branch from a repository, unless that branch is the default branch for the repository.","ref":"aws_codecommit.html#delete_branch/2","title":"aws_codecommit.delete_branch/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#delete_branch/3","title":"aws_codecommit.delete_branch/3","type":"function"},{"doc":"Deletes the content of a comment made on a change, file, or commit in a repository.","ref":"aws_codecommit.html#delete_comment_content/2","title":"aws_codecommit.delete_comment_content/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#delete_comment_content/3","title":"aws_codecommit.delete_comment_content/3","type":"function"},{"doc":"Deletes a specified file from a specified branch. A commit is created on the branch that contains the revision. The file still exists in the commits earlier to the commit that contains the deletion.","ref":"aws_codecommit.html#delete_file/2","title":"aws_codecommit.delete_file/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#delete_file/3","title":"aws_codecommit.delete_file/3","type":"function"},{"doc":"Deletes an approval rule from a specified pull request. Approval rules can be deleted from a pull request only if the pull request is open, and if the approval rule was created specifically for a pull request and not generated from an approval rule template associated with the repository where the pull request was created. You cannot delete an approval rule from a merged or closed pull request.","ref":"aws_codecommit.html#delete_pull_request_approval_rule/2","title":"aws_codecommit.delete_pull_request_approval_rule/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#delete_pull_request_approval_rule/3","title":"aws_codecommit.delete_pull_request_approval_rule/3","type":"function"},{"doc":"Deletes a repository. If a specified repository was already deleted, a null repository ID is returned. Deleting a repository also deletes all associated objects and metadata. After a repository is deleted, all future push calls to the deleted repository fail.","ref":"aws_codecommit.html#delete_repository/2","title":"aws_codecommit.delete_repository/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#delete_repository/3","title":"aws_codecommit.delete_repository/3","type":"function"},{"doc":"Returns information about one or more merge conflicts in the attempted merge of two commit specifiers using the squash or three-way merge strategy. If the merge option for the attempted merge is specified as FAST_FORWARD_MERGE, an exception is thrown.","ref":"aws_codecommit.html#describe_merge_conflicts/2","title":"aws_codecommit.describe_merge_conflicts/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#describe_merge_conflicts/3","title":"aws_codecommit.describe_merge_conflicts/3","type":"function"},{"doc":"Returns information about one or more pull request events.","ref":"aws_codecommit.html#describe_pull_request_events/2","title":"aws_codecommit.describe_pull_request_events/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#describe_pull_request_events/3","title":"aws_codecommit.describe_pull_request_events/3","type":"function"},{"doc":"Removes the association between a template and a repository so that approval rules based on the template are not automatically created when pull requests are created in the specified repository. This does not delete any approval rules previously created for pull requests through the template association.","ref":"aws_codecommit.html#disassociate_approval_rule_template_from_repository/2","title":"aws_codecommit.disassociate_approval_rule_template_from_repository/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#disassociate_approval_rule_template_from_repository/3","title":"aws_codecommit.disassociate_approval_rule_template_from_repository/3","type":"function"},{"doc":"Evaluates whether a pull request has met all the conditions specified in its associated approval rules.","ref":"aws_codecommit.html#evaluate_pull_request_approval_rules/2","title":"aws_codecommit.evaluate_pull_request_approval_rules/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#evaluate_pull_request_approval_rules/3","title":"aws_codecommit.evaluate_pull_request_approval_rules/3","type":"function"},{"doc":"Returns information about a specified approval rule template.","ref":"aws_codecommit.html#get_approval_rule_template/2","title":"aws_codecommit.get_approval_rule_template/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_approval_rule_template/3","title":"aws_codecommit.get_approval_rule_template/3","type":"function"},{"doc":"Returns the base-64 encoded content of an individual blob in a repository.","ref":"aws_codecommit.html#get_blob/2","title":"aws_codecommit.get_blob/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_blob/3","title":"aws_codecommit.get_blob/3","type":"function"},{"doc":"Returns information about a repository branch, including its name and the last commit ID.","ref":"aws_codecommit.html#get_branch/2","title":"aws_codecommit.get_branch/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_branch/3","title":"aws_codecommit.get_branch/3","type":"function"},{"doc":"Returns the content of a comment made on a change, file, or commit in a repository. Reaction counts might include numbers from user identities who were deleted after the reaction was made. For a count of reactions from active identities, use GetCommentReactions.","ref":"aws_codecommit.html#get_comment/2","title":"aws_codecommit.get_comment/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_comment/3","title":"aws_codecommit.get_comment/3","type":"function"},{"doc":"Returns information about reactions to a specified comment ID. Reactions from users who have been deleted will not be included in the count.","ref":"aws_codecommit.html#get_comment_reactions/2","title":"aws_codecommit.get_comment_reactions/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_comment_reactions/3","title":"aws_codecommit.get_comment_reactions/3","type":"function"},{"doc":"Returns information about comments made on the comparison between two commits. Reaction counts might include numbers from user identities who were deleted after the reaction was made. For a count of reactions from active identities, use GetCommentReactions.","ref":"aws_codecommit.html#get_comments_for_compared_commit/2","title":"aws_codecommit.get_comments_for_compared_commit/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_comments_for_compared_commit/3","title":"aws_codecommit.get_comments_for_compared_commit/3","type":"function"},{"doc":"Returns comments made on a pull request. Reaction counts might include numbers from user identities who were deleted after the reaction was made. For a count of reactions from active identities, use GetCommentReactions.","ref":"aws_codecommit.html#get_comments_for_pull_request/2","title":"aws_codecommit.get_comments_for_pull_request/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_comments_for_pull_request/3","title":"aws_codecommit.get_comments_for_pull_request/3","type":"function"},{"doc":"Returns information about a commit, including commit message and committer information.","ref":"aws_codecommit.html#get_commit/2","title":"aws_codecommit.get_commit/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_commit/3","title":"aws_codecommit.get_commit/3","type":"function"},{"doc":"Returns information about the differences in a valid commit specifier (such as a branch, tag, HEAD, commit ID, or other fully qualified reference). Results can be limited to a specified path.","ref":"aws_codecommit.html#get_differences/2","title":"aws_codecommit.get_differences/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_differences/3","title":"aws_codecommit.get_differences/3","type":"function"},{"doc":"Returns the base-64 encoded contents of a specified file and its metadata.","ref":"aws_codecommit.html#get_file/2","title":"aws_codecommit.get_file/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_file/3","title":"aws_codecommit.get_file/3","type":"function"},{"doc":"Returns the contents of a specified folder in a repository.","ref":"aws_codecommit.html#get_folder/2","title":"aws_codecommit.get_folder/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_folder/3","title":"aws_codecommit.get_folder/3","type":"function"},{"doc":"Returns information about a specified merge commit.","ref":"aws_codecommit.html#get_merge_commit/2","title":"aws_codecommit.get_merge_commit/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_merge_commit/3","title":"aws_codecommit.get_merge_commit/3","type":"function"},{"doc":"Returns information about merge conflicts between the before and after commit IDs for a pull request in a repository.","ref":"aws_codecommit.html#get_merge_conflicts/2","title":"aws_codecommit.get_merge_conflicts/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_merge_conflicts/3","title":"aws_codecommit.get_merge_conflicts/3","type":"function"},{"doc":"Returns information about the merge options available for merging two specified branches. For details about why a merge option is not available, use GetMergeConflicts or DescribeMergeConflicts.","ref":"aws_codecommit.html#get_merge_options/2","title":"aws_codecommit.get_merge_options/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_merge_options/3","title":"aws_codecommit.get_merge_options/3","type":"function"},{"doc":"Gets information about a pull request in a specified repository.","ref":"aws_codecommit.html#get_pull_request/2","title":"aws_codecommit.get_pull_request/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_pull_request/3","title":"aws_codecommit.get_pull_request/3","type":"function"},{"doc":"Gets information about the approval states for a specified pull request. Approval states only apply to pull requests that have one or more approval rules applied to them.","ref":"aws_codecommit.html#get_pull_request_approval_states/2","title":"aws_codecommit.get_pull_request_approval_states/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_pull_request_approval_states/3","title":"aws_codecommit.get_pull_request_approval_states/3","type":"function"},{"doc":"Returns information about whether approval rules have been set aside (overridden) for a pull request, and if so, the Amazon Resource Name (ARN) of the user or identity that overrode the rules and their requirements for the pull request.","ref":"aws_codecommit.html#get_pull_request_override_state/2","title":"aws_codecommit.get_pull_request_override_state/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_pull_request_override_state/3","title":"aws_codecommit.get_pull_request_override_state/3","type":"function"},{"doc":"Returns information about a repository. The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a webpage can expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a webpage.","ref":"aws_codecommit.html#get_repository/2","title":"aws_codecommit.get_repository/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_repository/3","title":"aws_codecommit.get_repository/3","type":"function"},{"doc":"Gets information about triggers configured for a repository.","ref":"aws_codecommit.html#get_repository_triggers/2","title":"aws_codecommit.get_repository_triggers/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#get_repository_triggers/3","title":"aws_codecommit.get_repository_triggers/3","type":"function"},{"doc":"Lists all approval rule templates in the specified AWS Region in your AWS account. If an AWS Region is not specified, the AWS Region where you are signed in is used.","ref":"aws_codecommit.html#list_approval_rule_templates/2","title":"aws_codecommit.list_approval_rule_templates/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#list_approval_rule_templates/3","title":"aws_codecommit.list_approval_rule_templates/3","type":"function"},{"doc":"Lists all approval rule templates that are associated with a specified repository.","ref":"aws_codecommit.html#list_associated_approval_rule_templates_for_repository/2","title":"aws_codecommit.list_associated_approval_rule_templates_for_repository/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#list_associated_approval_rule_templates_for_repository/3","title":"aws_codecommit.list_associated_approval_rule_templates_for_repository/3","type":"function"},{"doc":"Gets information about one or more branches in a repository.","ref":"aws_codecommit.html#list_branches/2","title":"aws_codecommit.list_branches/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#list_branches/3","title":"aws_codecommit.list_branches/3","type":"function"},{"doc":"Returns a list of pull requests for a specified repository. The return list can be refined by pull request status or pull request author ARN.","ref":"aws_codecommit.html#list_pull_requests/2","title":"aws_codecommit.list_pull_requests/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#list_pull_requests/3","title":"aws_codecommit.list_pull_requests/3","type":"function"},{"doc":"Gets information about one or more repositories.","ref":"aws_codecommit.html#list_repositories/2","title":"aws_codecommit.list_repositories/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#list_repositories/3","title":"aws_codecommit.list_repositories/3","type":"function"},{"doc":"Lists all repositories associated with the specified approval rule template.","ref":"aws_codecommit.html#list_repositories_for_approval_rule_template/2","title":"aws_codecommit.list_repositories_for_approval_rule_template/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#list_repositories_for_approval_rule_template/3","title":"aws_codecommit.list_repositories_for_approval_rule_template/3","type":"function"},{"doc":"Gets information about AWS tags for a specified Amazon Resource Name (ARN) in AWS CodeCommit. For a list of valid resources in AWS CodeCommit, see CodeCommit Resources and Operations in the AWS CodeCommit User Guide.","ref":"aws_codecommit.html#list_tags_for_resource/2","title":"aws_codecommit.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#list_tags_for_resource/3","title":"aws_codecommit.list_tags_for_resource/3","type":"function"},{"doc":"Merges two branches using the fast-forward merge strategy.","ref":"aws_codecommit.html#merge_branches_by_fast_forward/2","title":"aws_codecommit.merge_branches_by_fast_forward/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#merge_branches_by_fast_forward/3","title":"aws_codecommit.merge_branches_by_fast_forward/3","type":"function"},{"doc":"Merges two branches using the squash merge strategy.","ref":"aws_codecommit.html#merge_branches_by_squash/2","title":"aws_codecommit.merge_branches_by_squash/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#merge_branches_by_squash/3","title":"aws_codecommit.merge_branches_by_squash/3","type":"function"},{"doc":"Merges two specified branches using the three-way merge strategy.","ref":"aws_codecommit.html#merge_branches_by_three_way/2","title":"aws_codecommit.merge_branches_by_three_way/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#merge_branches_by_three_way/3","title":"aws_codecommit.merge_branches_by_three_way/3","type":"function"},{"doc":"Attempts to merge the source commit of a pull request into the specified destination branch for that pull request at the specified commit using the fast-forward merge strategy. If the merge is successful, it closes the pull request.","ref":"aws_codecommit.html#merge_pull_request_by_fast_forward/2","title":"aws_codecommit.merge_pull_request_by_fast_forward/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#merge_pull_request_by_fast_forward/3","title":"aws_codecommit.merge_pull_request_by_fast_forward/3","type":"function"},{"doc":"Attempts to merge the source commit of a pull request into the specified destination branch for that pull request at the specified commit using the squash merge strategy. If the merge is successful, it closes the pull request.","ref":"aws_codecommit.html#merge_pull_request_by_squash/2","title":"aws_codecommit.merge_pull_request_by_squash/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#merge_pull_request_by_squash/3","title":"aws_codecommit.merge_pull_request_by_squash/3","type":"function"},{"doc":"Attempts to merge the source commit of a pull request into the specified destination branch for that pull request at the specified commit using the three-way merge strategy. If the merge is successful, it closes the pull request.","ref":"aws_codecommit.html#merge_pull_request_by_three_way/2","title":"aws_codecommit.merge_pull_request_by_three_way/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#merge_pull_request_by_three_way/3","title":"aws_codecommit.merge_pull_request_by_three_way/3","type":"function"},{"doc":"Sets aside (overrides) all approval rule requirements for a specified pull request.","ref":"aws_codecommit.html#override_pull_request_approval_rules/2","title":"aws_codecommit.override_pull_request_approval_rules/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#override_pull_request_approval_rules/3","title":"aws_codecommit.override_pull_request_approval_rules/3","type":"function"},{"doc":"Posts a comment on the comparison between two commits.","ref":"aws_codecommit.html#post_comment_for_compared_commit/2","title":"aws_codecommit.post_comment_for_compared_commit/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#post_comment_for_compared_commit/3","title":"aws_codecommit.post_comment_for_compared_commit/3","type":"function"},{"doc":"Posts a comment on a pull request.","ref":"aws_codecommit.html#post_comment_for_pull_request/2","title":"aws_codecommit.post_comment_for_pull_request/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#post_comment_for_pull_request/3","title":"aws_codecommit.post_comment_for_pull_request/3","type":"function"},{"doc":"Posts a comment in reply to an existing comment on a comparison between commits or a pull request.","ref":"aws_codecommit.html#post_comment_reply/2","title":"aws_codecommit.post_comment_reply/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#post_comment_reply/3","title":"aws_codecommit.post_comment_reply/3","type":"function"},{"doc":"Adds or updates a reaction to a specified comment for the user whose identity is used to make the request. You can only add or update a reaction for yourself. You cannot add, modify, or delete a reaction for another user.","ref":"aws_codecommit.html#put_comment_reaction/2","title":"aws_codecommit.put_comment_reaction/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#put_comment_reaction/3","title":"aws_codecommit.put_comment_reaction/3","type":"function"},{"doc":"Adds or updates a file in a branch in an AWS CodeCommit repository, and generates a commit for the addition in the specified branch.","ref":"aws_codecommit.html#put_file/2","title":"aws_codecommit.put_file/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#put_file/3","title":"aws_codecommit.put_file/3","type":"function"},{"doc":"Replaces all triggers for a repository. Used to create or delete triggers.","ref":"aws_codecommit.html#put_repository_triggers/2","title":"aws_codecommit.put_repository_triggers/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#put_repository_triggers/3","title":"aws_codecommit.put_repository_triggers/3","type":"function"},{"doc":"Adds or updates tags for a resource in AWS CodeCommit. For a list of valid resources in AWS CodeCommit, see CodeCommit Resources and Operations in the AWS CodeCommit User Guide.","ref":"aws_codecommit.html#tag_resource/2","title":"aws_codecommit.tag_resource/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#tag_resource/3","title":"aws_codecommit.tag_resource/3","type":"function"},{"doc":"Tests the functionality of repository triggers by sending information to the trigger target. If real data is available in the repository, the test sends data from the last commit. If no data is available, sample data is generated.","ref":"aws_codecommit.html#test_repository_triggers/2","title":"aws_codecommit.test_repository_triggers/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#test_repository_triggers/3","title":"aws_codecommit.test_repository_triggers/3","type":"function"},{"doc":"Removes tags for a resource in AWS CodeCommit. For a list of valid resources in AWS CodeCommit, see CodeCommit Resources and Operations in the AWS CodeCommit User Guide.","ref":"aws_codecommit.html#untag_resource/2","title":"aws_codecommit.untag_resource/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#untag_resource/3","title":"aws_codecommit.untag_resource/3","type":"function"},{"doc":"Updates the content of an approval rule template. You can change the number of required approvals, the membership of the approval rule, and whether an approval pool is defined.","ref":"aws_codecommit.html#update_approval_rule_template_content/2","title":"aws_codecommit.update_approval_rule_template_content/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#update_approval_rule_template_content/3","title":"aws_codecommit.update_approval_rule_template_content/3","type":"function"},{"doc":"Updates the description for a specified approval rule template.","ref":"aws_codecommit.html#update_approval_rule_template_description/2","title":"aws_codecommit.update_approval_rule_template_description/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#update_approval_rule_template_description/3","title":"aws_codecommit.update_approval_rule_template_description/3","type":"function"},{"doc":"Updates the name of a specified approval rule template.","ref":"aws_codecommit.html#update_approval_rule_template_name/2","title":"aws_codecommit.update_approval_rule_template_name/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#update_approval_rule_template_name/3","title":"aws_codecommit.update_approval_rule_template_name/3","type":"function"},{"doc":"Replaces the contents of a comment.","ref":"aws_codecommit.html#update_comment/2","title":"aws_codecommit.update_comment/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#update_comment/3","title":"aws_codecommit.update_comment/3","type":"function"},{"doc":"Sets or changes the default branch name for the specified repository. If you use this operation to change the default branch name to the current default branch name, a success message is returned even though the default branch did not change.","ref":"aws_codecommit.html#update_default_branch/2","title":"aws_codecommit.update_default_branch/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#update_default_branch/3","title":"aws_codecommit.update_default_branch/3","type":"function"},{"doc":"Updates the structure of an approval rule created specifically for a pull request. For example, you can change the number of required approvers and the approval pool for approvers.","ref":"aws_codecommit.html#update_pull_request_approval_rule_content/2","title":"aws_codecommit.update_pull_request_approval_rule_content/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#update_pull_request_approval_rule_content/3","title":"aws_codecommit.update_pull_request_approval_rule_content/3","type":"function"},{"doc":"Updates the state of a user's approval on a pull request. The user is derived from the signed-in account when the request is made.","ref":"aws_codecommit.html#update_pull_request_approval_state/2","title":"aws_codecommit.update_pull_request_approval_state/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#update_pull_request_approval_state/3","title":"aws_codecommit.update_pull_request_approval_state/3","type":"function"},{"doc":"Replaces the contents of the description of a pull request.","ref":"aws_codecommit.html#update_pull_request_description/2","title":"aws_codecommit.update_pull_request_description/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#update_pull_request_description/3","title":"aws_codecommit.update_pull_request_description/3","type":"function"},{"doc":"Updates the status of a pull request.","ref":"aws_codecommit.html#update_pull_request_status/2","title":"aws_codecommit.update_pull_request_status/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#update_pull_request_status/3","title":"aws_codecommit.update_pull_request_status/3","type":"function"},{"doc":"Replaces the title of a pull request.","ref":"aws_codecommit.html#update_pull_request_title/2","title":"aws_codecommit.update_pull_request_title/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#update_pull_request_title/3","title":"aws_codecommit.update_pull_request_title/3","type":"function"},{"doc":"Sets or changes the comment or description for a repository. The description field for a repository accepts all HTML characters and all valid Unicode characters. Applications that do not HTML-encode the description and display it in a webpage can expose users to potentially malicious code. Make sure that you HTML-encode the description field in any application that uses this API to display the repository description on a webpage.","ref":"aws_codecommit.html#update_repository_description/2","title":"aws_codecommit.update_repository_description/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#update_repository_description/3","title":"aws_codecommit.update_repository_description/3","type":"function"},{"doc":"Renames a repository. The repository name must be unique across the calling AWS account. Repository names are limited to 100 alphanumeric, dash, and underscore characters, and cannot include certain characters. The suffix .git is prohibited. For more information about the limits on repository names, see Limits in the AWS CodeCommit User Guide.","ref":"aws_codecommit.html#update_repository_name/2","title":"aws_codecommit.update_repository_name/2","type":"function"},{"doc":"","ref":"aws_codecommit.html#update_repository_name/3","title":"aws_codecommit.update_repository_name/3","type":"function"},{"doc":"CodeDeploy is a deployment service that automates application deployments to Amazon EC2 instances, on-premises instances running in your own facility, serverless Lambda functions, or applications in an Amazon ECS service. You can deploy a nearly unlimited variety of application content, such as an updated Lambda function, updated applications in an Amazon ECS service, code, web and configuration files, executables, packages, scripts, multimedia files, and so on. CodeDeploy can deploy application content stored in Amazon S3 buckets, GitHub repositories, or Bitbucket repositories. You do not need to make changes to your existing code before you can use CodeDeploy. CodeDeploy makes it easier for you to rapidly release new features, helps you avoid downtime during application deployment, and handles the complexity of updating your applications, without many of the risks associated with error-prone manual deployments. CodeDeploy Components Use the information in this guide to help you work with the following CodeDeploy components: Application: A name that uniquely identifies the application you want to deploy. CodeDeploy uses this name, which functions as a container, to ensure the correct combination of revision, deployment configuration, and deployment group are referenced during a deployment. Deployment group: A set of individual instances, CodeDeploy Lambda deployment configuration settings, or an Amazon ECS service and network details. A Lambda deployment group specifies how to route traffic to a new version of a Lambda function. An Amazon ECS deployment group specifies the service created in Amazon ECS to deploy, a load balancer, and a listener to reroute production traffic to an updated containerized application. An Amazon EC2/On-premises deployment group contains individually tagged instances, Amazon EC2 instances in Amazon EC2 Auto Scaling groups, or both. All deployment groups can specify optional trigger, alarm, and rollback settings. Deployment configuration: A set of deployment rules and deployment success and failure conditions used by CodeDeploy during a deployment. Deployment: The process and the components used when updating a Lambda function, a containerized application in an Amazon ECS service, or of installing content on one or more instances. Application revisions: For an Lambda deployment, this is an AppSpec file that specifies the Lambda function to be updated and one or more functions to validate deployment lifecycle events. For an Amazon ECS deployment, this is an AppSpec file that specifies the Amazon ECS task definition, container, and port where production traffic is rerouted. For an EC2/On-premises deployment, this is an archive file that contains source content—source code, webpages, executable files, and deployment scripts—along with an AppSpec file. Revisions are stored in Amazon S3 buckets or GitHub repositories. For Amazon S3, a revision is uniquely identified by its Amazon S3 object key and its ETag, version, or both. For GitHub, a revision is uniquely identified by its commit ID. This guide also contains information to help you get details about the instances in your deployments, to make on-premises instances available for CodeDeploy deployments, to get details about a Lambda function deployment, and to get details about Amazon ECS service deployments. CodeDeploy Information Resources CodeDeploy User Guide CodeDeploy API Reference Guide CLI Reference for CodeDeploy CodeDeploy Developer Forum","ref":"aws_codedeploy.html","title":"aws_codedeploy","type":"module"},{"doc":"Adds tags to on-premises instances.","ref":"aws_codedeploy.html#add_tags_to_on_premises_instances/2","title":"aws_codedeploy.add_tags_to_on_premises_instances/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#add_tags_to_on_premises_instances/3","title":"aws_codedeploy.add_tags_to_on_premises_instances/3","type":"function"},{"doc":"Gets information about one or more application revisions. The maximum number of application revisions that can be returned is 25.","ref":"aws_codedeploy.html#batch_get_application_revisions/2","title":"aws_codedeploy.batch_get_application_revisions/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#batch_get_application_revisions/3","title":"aws_codedeploy.batch_get_application_revisions/3","type":"function"},{"doc":"Gets information about one or more applications. The maximum number of applications that can be returned is 100.","ref":"aws_codedeploy.html#batch_get_applications/2","title":"aws_codedeploy.batch_get_applications/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#batch_get_applications/3","title":"aws_codedeploy.batch_get_applications/3","type":"function"},{"doc":"Gets information about one or more deployment groups.","ref":"aws_codedeploy.html#batch_get_deployment_groups/2","title":"aws_codedeploy.batch_get_deployment_groups/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#batch_get_deployment_groups/3","title":"aws_codedeploy.batch_get_deployment_groups/3","type":"function"},{"doc":"This method works, but is deprecated. Use BatchGetDeploymentTargets instead. Returns an array of one or more instances associated with a deployment. This method works with EC2/On-premises and Lambda compute platforms. The newer BatchGetDeploymentTargets works with all compute platforms. The maximum number of instances that can be returned is 25.","ref":"aws_codedeploy.html#batch_get_deployment_instances/2","title":"aws_codedeploy.batch_get_deployment_instances/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#batch_get_deployment_instances/3","title":"aws_codedeploy.batch_get_deployment_instances/3","type":"function"},{"doc":"Returns an array of one or more targets associated with a deployment. This method works with all compute types and should be used instead of the deprecated BatchGetDeploymentInstances . The maximum number of targets that can be returned is 25. The type of targets returned depends on the deployment's compute platform or deployment method: EC2/On-premises: Information about Amazon EC2 instance targets. Lambda: Information about Lambda functions targets. Amazon ECS: Information about Amazon ECS service targets. CloudFormation: Information about targets of blue/green deployments initiated by a CloudFormation stack update.","ref":"aws_codedeploy.html#batch_get_deployment_targets/2","title":"aws_codedeploy.batch_get_deployment_targets/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#batch_get_deployment_targets/3","title":"aws_codedeploy.batch_get_deployment_targets/3","type":"function"},{"doc":"Gets information about one or more deployments. The maximum number of deployments that can be returned is 25.","ref":"aws_codedeploy.html#batch_get_deployments/2","title":"aws_codedeploy.batch_get_deployments/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#batch_get_deployments/3","title":"aws_codedeploy.batch_get_deployments/3","type":"function"},{"doc":"Gets information about one or more on-premises instances. The maximum number of on-premises instances that can be returned is 25.","ref":"aws_codedeploy.html#batch_get_on_premises_instances/2","title":"aws_codedeploy.batch_get_on_premises_instances/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#batch_get_on_premises_instances/3","title":"aws_codedeploy.batch_get_on_premises_instances/3","type":"function"},{"doc":"For a blue/green deployment, starts the process of rerouting traffic from instances in the original environment to instances in the replacement environment without waiting for a specified wait time to elapse. (Traffic rerouting, which is achieved by registering instances in the replacement environment with the load balancer, can start as soon as all instances have a status of Ready.)","ref":"aws_codedeploy.html#continue_deployment/2","title":"aws_codedeploy.continue_deployment/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#continue_deployment/3","title":"aws_codedeploy.continue_deployment/3","type":"function"},{"doc":"Creates an application.","ref":"aws_codedeploy.html#create_application/2","title":"aws_codedeploy.create_application/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#create_application/3","title":"aws_codedeploy.create_application/3","type":"function"},{"doc":"Deploys an application revision through the specified deployment group.","ref":"aws_codedeploy.html#create_deployment/2","title":"aws_codedeploy.create_deployment/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#create_deployment/3","title":"aws_codedeploy.create_deployment/3","type":"function"},{"doc":"Creates a deployment configuration.","ref":"aws_codedeploy.html#create_deployment_config/2","title":"aws_codedeploy.create_deployment_config/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#create_deployment_config/3","title":"aws_codedeploy.create_deployment_config/3","type":"function"},{"doc":"Creates a deployment group to which application revisions are deployed.","ref":"aws_codedeploy.html#create_deployment_group/2","title":"aws_codedeploy.create_deployment_group/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#create_deployment_group/3","title":"aws_codedeploy.create_deployment_group/3","type":"function"},{"doc":"Deletes an application.","ref":"aws_codedeploy.html#delete_application/2","title":"aws_codedeploy.delete_application/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#delete_application/3","title":"aws_codedeploy.delete_application/3","type":"function"},{"doc":"Deletes a deployment configuration. A deployment configuration cannot be deleted if it is currently in use. Predefined configurations cannot be deleted.","ref":"aws_codedeploy.html#delete_deployment_config/2","title":"aws_codedeploy.delete_deployment_config/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#delete_deployment_config/3","title":"aws_codedeploy.delete_deployment_config/3","type":"function"},{"doc":"Deletes a deployment group.","ref":"aws_codedeploy.html#delete_deployment_group/2","title":"aws_codedeploy.delete_deployment_group/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#delete_deployment_group/3","title":"aws_codedeploy.delete_deployment_group/3","type":"function"},{"doc":"Deletes a GitHub account connection.","ref":"aws_codedeploy.html#delete_git_hub_account_token/2","title":"aws_codedeploy.delete_git_hub_account_token/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#delete_git_hub_account_token/3","title":"aws_codedeploy.delete_git_hub_account_token/3","type":"function"},{"doc":"Deletes resources linked to an external ID.","ref":"aws_codedeploy.html#delete_resources_by_external_id/2","title":"aws_codedeploy.delete_resources_by_external_id/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#delete_resources_by_external_id/3","title":"aws_codedeploy.delete_resources_by_external_id/3","type":"function"},{"doc":"Deregisters an on-premises instance.","ref":"aws_codedeploy.html#deregister_on_premises_instance/2","title":"aws_codedeploy.deregister_on_premises_instance/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#deregister_on_premises_instance/3","title":"aws_codedeploy.deregister_on_premises_instance/3","type":"function"},{"doc":"Gets information about an application.","ref":"aws_codedeploy.html#get_application/2","title":"aws_codedeploy.get_application/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#get_application/3","title":"aws_codedeploy.get_application/3","type":"function"},{"doc":"Gets information about an application revision.","ref":"aws_codedeploy.html#get_application_revision/2","title":"aws_codedeploy.get_application_revision/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#get_application_revision/3","title":"aws_codedeploy.get_application_revision/3","type":"function"},{"doc":"Gets information about a deployment. The content property of the appSpecContent object in the returned revision is always null. Use GetApplicationRevision and the sha256 property of the returned appSpecContent object to get the content of the deployment’s AppSpec file.","ref":"aws_codedeploy.html#get_deployment/2","title":"aws_codedeploy.get_deployment/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#get_deployment/3","title":"aws_codedeploy.get_deployment/3","type":"function"},{"doc":"Gets information about a deployment configuration.","ref":"aws_codedeploy.html#get_deployment_config/2","title":"aws_codedeploy.get_deployment_config/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#get_deployment_config/3","title":"aws_codedeploy.get_deployment_config/3","type":"function"},{"doc":"Gets information about a deployment group.","ref":"aws_codedeploy.html#get_deployment_group/2","title":"aws_codedeploy.get_deployment_group/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#get_deployment_group/3","title":"aws_codedeploy.get_deployment_group/3","type":"function"},{"doc":"Gets information about an instance as part of a deployment.","ref":"aws_codedeploy.html#get_deployment_instance/2","title":"aws_codedeploy.get_deployment_instance/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#get_deployment_instance/3","title":"aws_codedeploy.get_deployment_instance/3","type":"function"},{"doc":"Returns information about a deployment target.","ref":"aws_codedeploy.html#get_deployment_target/2","title":"aws_codedeploy.get_deployment_target/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#get_deployment_target/3","title":"aws_codedeploy.get_deployment_target/3","type":"function"},{"doc":"Gets information about an on-premises instance.","ref":"aws_codedeploy.html#get_on_premises_instance/2","title":"aws_codedeploy.get_on_premises_instance/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#get_on_premises_instance/3","title":"aws_codedeploy.get_on_premises_instance/3","type":"function"},{"doc":"Lists information about revisions for an application.","ref":"aws_codedeploy.html#list_application_revisions/2","title":"aws_codedeploy.list_application_revisions/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#list_application_revisions/3","title":"aws_codedeploy.list_application_revisions/3","type":"function"},{"doc":"Lists the applications registered with the IAM user or Amazon Web Services account.","ref":"aws_codedeploy.html#list_applications/2","title":"aws_codedeploy.list_applications/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#list_applications/3","title":"aws_codedeploy.list_applications/3","type":"function"},{"doc":"Lists the deployment configurations with the IAM user or Amazon Web Services account.","ref":"aws_codedeploy.html#list_deployment_configs/2","title":"aws_codedeploy.list_deployment_configs/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#list_deployment_configs/3","title":"aws_codedeploy.list_deployment_configs/3","type":"function"},{"doc":"Lists the deployment groups for an application registered with the IAM user or Amazon Web Services account.","ref":"aws_codedeploy.html#list_deployment_groups/2","title":"aws_codedeploy.list_deployment_groups/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#list_deployment_groups/3","title":"aws_codedeploy.list_deployment_groups/3","type":"function"},{"doc":"The newer BatchGetDeploymentTargets should be used instead because it works with all compute types. ListDeploymentInstances throws an exception if it is used with a compute platform other than EC2/On-premises or Lambda. Lists the instance for a deployment associated with the IAM user or Amazon Web Services account.","ref":"aws_codedeploy.html#list_deployment_instances/2","title":"aws_codedeploy.list_deployment_instances/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#list_deployment_instances/3","title":"aws_codedeploy.list_deployment_instances/3","type":"function"},{"doc":"Returns an array of target IDs that are associated a deployment.","ref":"aws_codedeploy.html#list_deployment_targets/2","title":"aws_codedeploy.list_deployment_targets/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#list_deployment_targets/3","title":"aws_codedeploy.list_deployment_targets/3","type":"function"},{"doc":"Lists the deployments in a deployment group for an application registered with the IAM user or Amazon Web Services account.","ref":"aws_codedeploy.html#list_deployments/2","title":"aws_codedeploy.list_deployments/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#list_deployments/3","title":"aws_codedeploy.list_deployments/3","type":"function"},{"doc":"Lists the names of stored connections to GitHub accounts.","ref":"aws_codedeploy.html#list_git_hub_account_token_names/2","title":"aws_codedeploy.list_git_hub_account_token_names/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#list_git_hub_account_token_names/3","title":"aws_codedeploy.list_git_hub_account_token_names/3","type":"function"},{"doc":"Gets a list of names for one or more on-premises instances. Unless otherwise specified, both registered and deregistered on-premises instance names are listed. To list only registered or deregistered on-premises instance names, use the registration status parameter.","ref":"aws_codedeploy.html#list_on_premises_instances/2","title":"aws_codedeploy.list_on_premises_instances/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#list_on_premises_instances/3","title":"aws_codedeploy.list_on_premises_instances/3","type":"function"},{"doc":"Returns a list of tags for the resource identified by a specified Amazon Resource Name (ARN). Tags are used to organize and categorize your CodeDeploy resources.","ref":"aws_codedeploy.html#list_tags_for_resource/2","title":"aws_codedeploy.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#list_tags_for_resource/3","title":"aws_codedeploy.list_tags_for_resource/3","type":"function"},{"doc":"Sets the result of a Lambda validation function. The function validates lifecycle hooks during a deployment that uses the Lambda or Amazon ECS compute platform. For Lambda deployments, the available lifecycle hooks are BeforeAllowTraffic and AfterAllowTraffic . For Amazon ECS deployments, the available lifecycle hooks are BeforeInstall , AfterInstall , AfterAllowTestTraffic , BeforeAllowTraffic , and AfterAllowTraffic . Lambda validation functions return Succeeded or Failed . For more information, see AppSpec 'hooks' Section for an Lambda Deployment and AppSpec 'hooks' Section for an Amazon ECS Deployment.","ref":"aws_codedeploy.html#put_lifecycle_event_hook_execution_status/2","title":"aws_codedeploy.put_lifecycle_event_hook_execution_status/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#put_lifecycle_event_hook_execution_status/3","title":"aws_codedeploy.put_lifecycle_event_hook_execution_status/3","type":"function"},{"doc":"Registers with CodeDeploy a revision for the specified application.","ref":"aws_codedeploy.html#register_application_revision/2","title":"aws_codedeploy.register_application_revision/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#register_application_revision/3","title":"aws_codedeploy.register_application_revision/3","type":"function"},{"doc":"Registers an on-premises instance. Only one IAM ARN (an IAM session ARN or IAM user ARN) is supported in the request. You cannot use both.","ref":"aws_codedeploy.html#register_on_premises_instance/2","title":"aws_codedeploy.register_on_premises_instance/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#register_on_premises_instance/3","title":"aws_codedeploy.register_on_premises_instance/3","type":"function"},{"doc":"Removes one or more tags from one or more on-premises instances.","ref":"aws_codedeploy.html#remove_tags_from_on_premises_instances/2","title":"aws_codedeploy.remove_tags_from_on_premises_instances/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#remove_tags_from_on_premises_instances/3","title":"aws_codedeploy.remove_tags_from_on_premises_instances/3","type":"function"},{"doc":"In a blue/green deployment, overrides any specified wait time and starts terminating instances immediately after the traffic routing is complete.","ref":"aws_codedeploy.html#skip_wait_time_for_instance_termination/2","title":"aws_codedeploy.skip_wait_time_for_instance_termination/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#skip_wait_time_for_instance_termination/3","title":"aws_codedeploy.skip_wait_time_for_instance_termination/3","type":"function"},{"doc":"Attempts to stop an ongoing deployment.","ref":"aws_codedeploy.html#stop_deployment/2","title":"aws_codedeploy.stop_deployment/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#stop_deployment/3","title":"aws_codedeploy.stop_deployment/3","type":"function"},{"doc":"Associates the list of tags in the input Tags parameter with the resource identified by the ResourceArn input parameter.","ref":"aws_codedeploy.html#tag_resource/2","title":"aws_codedeploy.tag_resource/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#tag_resource/3","title":"aws_codedeploy.tag_resource/3","type":"function"},{"doc":"Disassociates a resource from a list of tags. The resource is identified by the ResourceArn input parameter. The tags are identified by the list of keys in the TagKeys input parameter.","ref":"aws_codedeploy.html#untag_resource/2","title":"aws_codedeploy.untag_resource/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#untag_resource/3","title":"aws_codedeploy.untag_resource/3","type":"function"},{"doc":"Changes the name of an application.","ref":"aws_codedeploy.html#update_application/2","title":"aws_codedeploy.update_application/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#update_application/3","title":"aws_codedeploy.update_application/3","type":"function"},{"doc":"Changes information about a deployment group.","ref":"aws_codedeploy.html#update_deployment_group/2","title":"aws_codedeploy.update_deployment_group/2","type":"function"},{"doc":"","ref":"aws_codedeploy.html#update_deployment_group/3","title":"aws_codedeploy.update_deployment_group/3","type":"function"},{"doc":"This section provides documentation for the Amazon CodeGuru Reviewer API operations. CodeGuru Reviewer is a service that uses program analysis and machine learning to detect potential defects that are difficult for developers to find and recommends fixes in your Java and Python code. By proactively detecting and providing recommendations for addressing code defects and implementing best practices, CodeGuru Reviewer improves the overall quality and maintainability of your code base during the code review stage. For more information about CodeGuru Reviewer, see the Amazon CodeGuru Reviewer User Guide. To improve the security of your CodeGuru Reviewer API calls, you can establish a private connection between your VPC and CodeGuru Reviewer by creating an interface VPC endpoint. For more information, see CodeGuru Reviewer and interface VPC endpoints (Amazon Web Services PrivateLink) in the Amazon CodeGuru Reviewer User Guide.","ref":"aws_codeguru_reviewer.html","title":"aws_codeguru_reviewer","type":"module"},{"doc":"Use to associate an Amazon Web Services CodeCommit repository or a repository managed by Amazon Web Services CodeStar Connections with Amazon CodeGuru Reviewer. When you associate a repository, CodeGuru Reviewer reviews source code changes in the repository's pull requests and provides automatic recommendations. You can view recommendations using the CodeGuru Reviewer console. For more information, see Recommendations in Amazon CodeGuru Reviewer in the Amazon CodeGuru Reviewer User Guide. If you associate a CodeCommit or S3 repository, it must be in the same Amazon Web Services Region and Amazon Web Services account where its CodeGuru Reviewer code reviews are configured. Bitbucket and GitHub Enterprise Server repositories are managed by Amazon Web Services CodeStar Connections to connect to CodeGuru Reviewer. For more information, see Associate a repository in the Amazon CodeGuru Reviewer User Guide. You cannot use the CodeGuru Reviewer SDK or the Amazon Web Services CLI to associate a GitHub repository with Amazon CodeGuru Reviewer. To associate a GitHub repository, use the console. For more information, see Getting started with CodeGuru Reviewer in the CodeGuru Reviewer User Guide.","ref":"aws_codeguru_reviewer.html#associate_repository/2","title":"aws_codeguru_reviewer.associate_repository/2","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#associate_repository/3","title":"aws_codeguru_reviewer.associate_repository/3","type":"function"},{"doc":"Use to create a code review with a CodeReviewType of RepositoryAnalysis . This type of code review analyzes all code under a specified branch in an associated repository. PullRequest code reviews are automatically triggered by a pull request.","ref":"aws_codeguru_reviewer.html#create_code_review/2","title":"aws_codeguru_reviewer.create_code_review/2","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#create_code_review/3","title":"aws_codeguru_reviewer.create_code_review/3","type":"function"},{"doc":"Returns the metadata associated with the code review along with its status.","ref":"aws_codeguru_reviewer.html#describe_code_review/2","title":"aws_codeguru_reviewer.describe_code_review/2","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#describe_code_review/4","title":"aws_codeguru_reviewer.describe_code_review/4","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#describe_code_review/5","title":"aws_codeguru_reviewer.describe_code_review/5","type":"function"},{"doc":"Describes the customer feedback for a CodeGuru Reviewer recommendation.","ref":"aws_codeguru_reviewer.html#describe_recommendation_feedback/3","title":"aws_codeguru_reviewer.describe_recommendation_feedback/3","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#describe_recommendation_feedback/5","title":"aws_codeguru_reviewer.describe_recommendation_feedback/5","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#describe_recommendation_feedback/6","title":"aws_codeguru_reviewer.describe_recommendation_feedback/6","type":"function"},{"doc":"Returns a RepositoryAssociation object that contains information about the requested repository association.","ref":"aws_codeguru_reviewer.html#describe_repository_association/2","title":"aws_codeguru_reviewer.describe_repository_association/2","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#describe_repository_association/4","title":"aws_codeguru_reviewer.describe_repository_association/4","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#describe_repository_association/5","title":"aws_codeguru_reviewer.describe_repository_association/5","type":"function"},{"doc":"Removes the association between Amazon CodeGuru Reviewer and a repository.","ref":"aws_codeguru_reviewer.html#disassociate_repository/3","title":"aws_codeguru_reviewer.disassociate_repository/3","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#disassociate_repository/4","title":"aws_codeguru_reviewer.disassociate_repository/4","type":"function"},{"doc":"Lists all the code reviews that the customer has created in the past 90 days.","ref":"aws_codeguru_reviewer.html#list_code_reviews/2","title":"aws_codeguru_reviewer.list_code_reviews/2","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#list_code_reviews/4","title":"aws_codeguru_reviewer.list_code_reviews/4","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#list_code_reviews/5","title":"aws_codeguru_reviewer.list_code_reviews/5","type":"function"},{"doc":"Returns a list of RecommendationFeedbackSummary objects that contain customer recommendation feedback for all CodeGuru Reviewer users.","ref":"aws_codeguru_reviewer.html#list_recommendation_feedback/2","title":"aws_codeguru_reviewer.list_recommendation_feedback/2","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#list_recommendation_feedback/4","title":"aws_codeguru_reviewer.list_recommendation_feedback/4","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#list_recommendation_feedback/5","title":"aws_codeguru_reviewer.list_recommendation_feedback/5","type":"function"},{"doc":"Returns the list of all recommendations for a completed code review.","ref":"aws_codeguru_reviewer.html#list_recommendations/2","title":"aws_codeguru_reviewer.list_recommendations/2","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#list_recommendations/4","title":"aws_codeguru_reviewer.list_recommendations/4","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#list_recommendations/5","title":"aws_codeguru_reviewer.list_recommendations/5","type":"function"},{"doc":"Returns a list of RepositoryAssociationSummary objects that contain summary information about a repository association. You can filter the returned list by ProviderType, Name, State, and Owner.","ref":"aws_codeguru_reviewer.html#list_repository_associations/1","title":"aws_codeguru_reviewer.list_repository_associations/1","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#list_repository_associations/3","title":"aws_codeguru_reviewer.list_repository_associations/3","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#list_repository_associations/4","title":"aws_codeguru_reviewer.list_repository_associations/4","type":"function"},{"doc":"Returns the list of tags associated with an associated repository resource.","ref":"aws_codeguru_reviewer.html#list_tags_for_resource/2","title":"aws_codeguru_reviewer.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#list_tags_for_resource/4","title":"aws_codeguru_reviewer.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#list_tags_for_resource/5","title":"aws_codeguru_reviewer.list_tags_for_resource/5","type":"function"},{"doc":"Stores customer feedback for a CodeGuru Reviewer recommendation. When this API is called again with different reactions the previous feedback is overwritten.","ref":"aws_codeguru_reviewer.html#put_recommendation_feedback/2","title":"aws_codeguru_reviewer.put_recommendation_feedback/2","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#put_recommendation_feedback/3","title":"aws_codeguru_reviewer.put_recommendation_feedback/3","type":"function"},{"doc":"Adds one or more tags to an associated repository.","ref":"aws_codeguru_reviewer.html#tag_resource/3","title":"aws_codeguru_reviewer.tag_resource/3","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#tag_resource/4","title":"aws_codeguru_reviewer.tag_resource/4","type":"function"},{"doc":"Removes a tag from an associated repository.","ref":"aws_codeguru_reviewer.html#untag_resource/3","title":"aws_codeguru_reviewer.untag_resource/3","type":"function"},{"doc":"","ref":"aws_codeguru_reviewer.html#untag_resource/4","title":"aws_codeguru_reviewer.untag_resource/4","type":"function"},{"doc":"This section provides documentation for the Amazon CodeGuru Profiler API operations. Amazon CodeGuru Profiler collects runtime performance data from your live applications, and provides recommendations that can help you fine-tune your application performance. Using machine learning algorithms, CodeGuru Profiler can help you find your most expensive lines of code and suggest ways you can improve efficiency and remove CPU bottlenecks. Amazon CodeGuru Profiler provides different visualizations of profiling data to help you identify what code is running on the CPU, see how much time is consumed, and suggest ways to reduce CPU utilization. Amazon CodeGuru Profiler currently supports applications written in all Java virtual machine (JVM) languages and Python. While CodeGuru Profiler supports both visualizations and recommendations for applications written in Java, it can also generate visualizations and a subset of recommendations for applications written in other JVM languages and Python. For more information, see What is Amazon CodeGuru Profiler in the Amazon CodeGuru Profiler User Guide.","ref":"aws_codeguruprofiler.html","title":"aws_codeguruprofiler","type":"module"},{"doc":"Add up to 2 anomaly notifications channels for a profiling group.","ref":"aws_codeguruprofiler.html#add_notification_channels/3","title":"aws_codeguruprofiler.add_notification_channels/3","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#add_notification_channels/4","title":"aws_codeguruprofiler.add_notification_channels/4","type":"function"},{"doc":"Returns the time series of values for a requested list of frame metrics from a time period.","ref":"aws_codeguruprofiler.html#batch_get_frame_metric_data/3","title":"aws_codeguruprofiler.batch_get_frame_metric_data/3","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#batch_get_frame_metric_data/4","title":"aws_codeguruprofiler.batch_get_frame_metric_data/4","type":"function"},{"doc":"Used by profiler agents to report their current state and to receive remote configuration updates. For example, ConfigureAgent can be used to tell an agent whether to profile or not and for how long to return profiling data.","ref":"aws_codeguruprofiler.html#configure_agent/3","title":"aws_codeguruprofiler.configure_agent/3","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#configure_agent/4","title":"aws_codeguruprofiler.configure_agent/4","type":"function"},{"doc":"Creates a profiling group.","ref":"aws_codeguruprofiler.html#create_profiling_group/2","title":"aws_codeguruprofiler.create_profiling_group/2","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#create_profiling_group/3","title":"aws_codeguruprofiler.create_profiling_group/3","type":"function"},{"doc":"Deletes a profiling group.","ref":"aws_codeguruprofiler.html#delete_profiling_group/3","title":"aws_codeguruprofiler.delete_profiling_group/3","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#delete_profiling_group/4","title":"aws_codeguruprofiler.delete_profiling_group/4","type":"function"},{"doc":"Returns a ProfilingGroupDescription object that contains information about the requested profiling group.","ref":"aws_codeguruprofiler.html#describe_profiling_group/2","title":"aws_codeguruprofiler.describe_profiling_group/2","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#describe_profiling_group/4","title":"aws_codeguruprofiler.describe_profiling_group/4","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#describe_profiling_group/5","title":"aws_codeguruprofiler.describe_profiling_group/5","type":"function"},{"doc":"Returns a list of FindingsReportSummary objects that contain analysis results for all profiling groups in your AWS account.","ref":"aws_codeguruprofiler.html#get_findings_report_account_summary/1","title":"aws_codeguruprofiler.get_findings_report_account_summary/1","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#get_findings_report_account_summary/3","title":"aws_codeguruprofiler.get_findings_report_account_summary/3","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#get_findings_report_account_summary/4","title":"aws_codeguruprofiler.get_findings_report_account_summary/4","type":"function"},{"doc":"Get the current configuration for anomaly notifications for a profiling group.","ref":"aws_codeguruprofiler.html#get_notification_configuration/2","title":"aws_codeguruprofiler.get_notification_configuration/2","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#get_notification_configuration/4","title":"aws_codeguruprofiler.get_notification_configuration/4","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#get_notification_configuration/5","title":"aws_codeguruprofiler.get_notification_configuration/5","type":"function"},{"doc":"Returns the JSON-formatted resource-based policy on a profiling group.","ref":"aws_codeguruprofiler.html#get_policy/2","title":"aws_codeguruprofiler.get_policy/2","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#get_policy/4","title":"aws_codeguruprofiler.get_policy/4","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#get_policy/5","title":"aws_codeguruprofiler.get_policy/5","type":"function"},{"doc":"Gets the aggregated profile of a profiling group for a specified time range. Amazon CodeGuru Profiler collects posted agent profiles for a profiling group into aggregated profiles. &lt;note&gt; &lt;p&gt; Because aggregated profiles expire over time &lt;code&gt;GetProfile&lt;/code&gt; is not idempotent. &lt;/p&gt; &lt;/note&gt; &lt;p&gt; Specify the time range for the requested aggregated profile using 1 or 2 of the following parameters: &lt;code&gt;startTime&lt;/code&gt;, &lt;code&gt;endTime&lt;/code&gt;, &lt;code&gt;period&lt;/code&gt;. The maximum time range allowed is 7 days. If you specify all 3 parameters, an exception is thrown. If you specify only &lt;code&gt;period&lt;/code&gt;, the latest aggregated profile is returned. &lt;/p&gt; &lt;p&gt; Aggregated profiles are available with aggregation periods of 5 minutes, 1 hour, and 1 day, aligned to UTC. The aggregation period of an aggregated profile determines how long it is retained. For more information, see &lt;a href=&quot;https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_AggregatedProfileTime.html&quot;&gt; &lt;code&gt;AggregatedProfileTime&lt;/code&gt; &lt;/a&gt;. The aggregated profile's aggregation period determines how long it is retained by CodeGuru Profiler. &lt;/p&gt; &lt;ul&gt; &lt;li&gt; &lt;p&gt; If the aggregation period is 5 minutes, the aggregated profile is retained for 15 days. &lt;/p&gt; &lt;/li&gt; &lt;li&gt; &lt;p&gt; If the aggregation period is 1 hour, the aggregated profile is retained for 60 days. &lt;/p&gt; &lt;/li&gt; &lt;li&gt; &lt;p&gt; If the aggregation period is 1 day, the aggregated profile is retained for 3 years. &lt;/p&gt; &lt;/li&gt; &lt;/ul&gt; &lt;p&gt;There are two use cases for calling &lt;code&gt;GetProfile&lt;/code&gt;.&lt;/p&gt; &lt;ol&gt; &lt;li&gt; &lt;p&gt; If you want to return an aggregated profile that already exists, use &lt;a href=&quot;https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_ListProfileTimes.html&quot;&gt; &lt;code&gt;ListProfileTimes&lt;/code&gt; &lt;/a&gt; to view the time ranges of existing aggregated profiles. Use them in a &lt;code&gt;GetProfile&lt;/code&gt; request to return a specific, existing aggregated profile. &lt;/p&gt; &lt;/li&gt; &lt;li&gt; &lt;p&gt; If you want to return an aggregated profile for a time range that doesn't align with an existing aggregated profile, then CodeGuru Profiler makes a best effort to combine existing aggregated profiles from the requested time range and return them as one aggregated profile. &lt;/p&gt; &lt;p&gt; If aggregated profiles do not exist for the full time range requested, then aggregated profiles for a smaller time range are returned. For example, if the requested time range is from 00:00 to 00:20, and the existing aggregated profiles are from 00:15 and 00:25, then the aggregated profiles from 00:15 to 00:20 are returned. &lt;/p&gt; &lt;/li&gt; &lt;/ol&gt;","ref":"aws_codeguruprofiler.html#get_profile/2","title":"aws_codeguruprofiler.get_profile/2","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#get_profile/4","title":"aws_codeguruprofiler.get_profile/4","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#get_profile/5","title":"aws_codeguruprofiler.get_profile/5","type":"function"},{"doc":"Returns a list of Recommendation objects that contain recommendations for a profiling group for a given time period. A list of Anomaly objects that contains details about anomalies detected in the profiling group for the same time period is also returned.","ref":"aws_codeguruprofiler.html#get_recommendations/4","title":"aws_codeguruprofiler.get_recommendations/4","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#get_recommendations/6","title":"aws_codeguruprofiler.get_recommendations/6","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#get_recommendations/7","title":"aws_codeguruprofiler.get_recommendations/7","type":"function"},{"doc":"List the available reports for a given profiling group and time range.","ref":"aws_codeguruprofiler.html#list_findings_reports/4","title":"aws_codeguruprofiler.list_findings_reports/4","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#list_findings_reports/6","title":"aws_codeguruprofiler.list_findings_reports/6","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#list_findings_reports/7","title":"aws_codeguruprofiler.list_findings_reports/7","type":"function"},{"doc":"Lists the start times of the available aggregated profiles of a profiling group for an aggregation period within the specified time range.","ref":"aws_codeguruprofiler.html#list_profile_times/5","title":"aws_codeguruprofiler.list_profile_times/5","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#list_profile_times/7","title":"aws_codeguruprofiler.list_profile_times/7","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#list_profile_times/8","title":"aws_codeguruprofiler.list_profile_times/8","type":"function"},{"doc":"Returns a list of profiling groups. The profiling groups are returned as ProfilingGroupDescription objects.","ref":"aws_codeguruprofiler.html#list_profiling_groups/1","title":"aws_codeguruprofiler.list_profiling_groups/1","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#list_profiling_groups/3","title":"aws_codeguruprofiler.list_profiling_groups/3","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#list_profiling_groups/4","title":"aws_codeguruprofiler.list_profiling_groups/4","type":"function"},{"doc":"Returns a list of the tags that are assigned to a specified resource.","ref":"aws_codeguruprofiler.html#list_tags_for_resource/2","title":"aws_codeguruprofiler.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#list_tags_for_resource/4","title":"aws_codeguruprofiler.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#list_tags_for_resource/5","title":"aws_codeguruprofiler.list_tags_for_resource/5","type":"function"},{"doc":"Submits profiling data to an aggregated profile of a profiling group. To get an aggregated profile that is created with this profiling data, use GetProfile .","ref":"aws_codeguruprofiler.html#post_agent_profile/3","title":"aws_codeguruprofiler.post_agent_profile/3","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#post_agent_profile/4","title":"aws_codeguruprofiler.post_agent_profile/4","type":"function"},{"doc":"Adds permissions to a profiling group's resource-based policy that are provided using an action group. If a profiling group doesn't have a resource-based policy, one is created for it using the permissions in the action group and the roles and users in the principals parameter. &lt;p&gt; The one supported action group that can be added is &lt;code&gt;agentPermission&lt;/code&gt; which grants &lt;code&gt;ConfigureAgent&lt;/code&gt; and &lt;code&gt;PostAgent&lt;/code&gt; permissions. For more information, see &lt;a href=&quot;https://docs.aws.amazon.com/codeguru/latest/profiler-ug/resource-based-policies.html&quot;&gt;Resource-based policies in CodeGuru Profiler&lt;/a&gt; in the &lt;i&gt;Amazon CodeGuru Profiler User Guide&lt;/i&gt;, &lt;a href=&quot;https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_ConfigureAgent.html&quot;&gt; &lt;code&gt;ConfigureAgent&lt;/code&gt; &lt;/a&gt;, and &lt;a href=&quot;https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_PostAgentProfile.html&quot;&gt; &lt;code&gt;PostAgentProfile&lt;/code&gt; &lt;/a&gt;. &lt;/p&gt; &lt;p&gt; The first time you call &lt;code&gt;PutPermission&lt;/code&gt; on a profiling group, do not specify a &lt;code&gt;revisionId&lt;/code&gt; because it doesn't have a resource-based policy. Subsequent calls must provide a &lt;code&gt;revisionId&lt;/code&gt; to specify which revision of the resource-based policy to add the permissions to. &lt;/p&gt; &lt;p&gt; The response contains the profiling group's JSON-formatted resource policy. &lt;/p&gt;","ref":"aws_codeguruprofiler.html#put_permission/4","title":"aws_codeguruprofiler.put_permission/4","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#put_permission/5","title":"aws_codeguruprofiler.put_permission/5","type":"function"},{"doc":"Remove one anomaly notifications channel for a profiling group.","ref":"aws_codeguruprofiler.html#remove_notification_channel/4","title":"aws_codeguruprofiler.remove_notification_channel/4","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#remove_notification_channel/5","title":"aws_codeguruprofiler.remove_notification_channel/5","type":"function"},{"doc":"Removes permissions from a profiling group's resource-based policy that are provided using an action group. The one supported action group that can be removed is agentPermission which grants ConfigureAgent and PostAgent permissions. For more information, see Resource-based policies in CodeGuru Profiler in the Amazon CodeGuru Profiler User Guide, ConfigureAgent , and PostAgentProfile .","ref":"aws_codeguruprofiler.html#remove_permission/4","title":"aws_codeguruprofiler.remove_permission/4","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#remove_permission/5","title":"aws_codeguruprofiler.remove_permission/5","type":"function"},{"doc":"Sends feedback to CodeGuru Profiler about whether the anomaly detected by the analysis is useful or not.","ref":"aws_codeguruprofiler.html#submit_feedback/4","title":"aws_codeguruprofiler.submit_feedback/4","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#submit_feedback/5","title":"aws_codeguruprofiler.submit_feedback/5","type":"function"},{"doc":"Use to assign one or more tags to a resource.","ref":"aws_codeguruprofiler.html#tag_resource/3","title":"aws_codeguruprofiler.tag_resource/3","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#tag_resource/4","title":"aws_codeguruprofiler.tag_resource/4","type":"function"},{"doc":"Use to remove one or more tags from a resource.","ref":"aws_codeguruprofiler.html#untag_resource/3","title":"aws_codeguruprofiler.untag_resource/3","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#untag_resource/4","title":"aws_codeguruprofiler.untag_resource/4","type":"function"},{"doc":"Updates a profiling group.","ref":"aws_codeguruprofiler.html#update_profiling_group/3","title":"aws_codeguruprofiler.update_profiling_group/3","type":"function"},{"doc":"","ref":"aws_codeguruprofiler.html#update_profiling_group/4","title":"aws_codeguruprofiler.update_profiling_group/4","type":"function"},{"doc":"AWS CodePipeline Overview This is the AWS CodePipeline API Reference. This guide provides descriptions of the actions and data types for AWS CodePipeline. Some functionality for your pipeline can only be configured through the API. For more information, see the AWS CodePipeline User Guide. You can use the AWS CodePipeline API to work with pipelines, stages, actions, and transitions. Pipelines are models of automated release processes. Each pipeline is uniquely named, and consists of stages, actions, and transitions. You can work with pipelines by calling: CreatePipeline , which creates a uniquely named pipeline. DeletePipeline , which deletes the specified pipeline. GetPipeline , which returns information about the pipeline structure and pipeline metadata, including the pipeline Amazon Resource Name (ARN). GetPipelineExecution , which returns information about a specific execution of a pipeline. GetPipelineState , which returns information about the current state of the stages and actions of a pipeline. ListActionExecutions , which returns action-level details for past executions. The details include full stage and action-level details, including individual action duration, status, any errors that occurred during the execution, and input and output artifact location details. ListPipelines , which gets a summary of all of the pipelines associated with your account. ListPipelineExecutions , which gets a summary of the most recent executions for a pipeline. StartPipelineExecution , which runs the most recent revision of an artifact through the pipeline. StopPipelineExecution , which stops the specified pipeline execution from continuing through the pipeline. UpdatePipeline , which updates a pipeline with edits or changes to the structure of the pipeline. Pipelines include stages. Each stage contains one or more actions that must complete before the next stage begins. A stage results in success or failure. If a stage fails, the pipeline stops at that stage and remains stopped until either a new version of an artifact appears in the source location, or a user takes action to rerun the most recent artifact through the pipeline. You can call GetPipelineState , which displays the status of a pipeline, including the status of stages in the pipeline, or GetPipeline , which returns the entire structure of the pipeline, including the stages of that pipeline. For more information about the structure of stages and actions, see AWS CodePipeline Pipeline Structure Reference. Pipeline stages include actions that are categorized into categories such as source or build actions performed in a stage of a pipeline. For example, you can use a source action to import artifacts into a pipeline from a source such as Amazon S3. Like stages, you do not work with actions directly in most cases, but you do define and interact with actions when working with pipeline operations such as CreatePipeline and GetPipelineState . Valid action categories are: Source Build Test Deploy Approval Invoke Pipelines also include transitions, which allow the transition of artifacts from one stage to the next in a pipeline after the actions in one stage complete. You can work with transitions by calling: DisableStageTransition , which prevents artifacts from transitioning to the next stage in a pipeline. EnableStageTransition , which enables transition of artifacts between stages in a pipeline. Using the API to integrate with AWS CodePipeline For third-party integrators or developers who want to create their own integrations with AWS CodePipeline, the expected sequence varies from the standard API user. To integrate with AWS CodePipeline, developers need to work with the following items: Jobs, which are instances of an action. For example, a job for a source action might import a revision of an artifact from a source. You can work with jobs by calling: AcknowledgeJob , which confirms whether a job worker has received the specified job. GetJobDetails , which returns the details of a job. PollForJobs , which determines whether there are any jobs to act on. PutJobFailureResult , which provides details of a job failure. PutJobSuccessResult , which provides details of a job success. Third party jobs, which are instances of an action created by a partner action and integrated into AWS CodePipeline. Partner actions are created by members of the AWS Partner Network. You can work with third party jobs by calling: AcknowledgeThirdPartyJob , which confirms whether a job worker has received the specified job. GetThirdPartyJobDetails , which requests the details of a job for a partner action. PollForThirdPartyJobs , which determines whether there are any jobs to act on. PutThirdPartyJobFailureResult , which provides details of a job failure. PutThirdPartyJobSuccessResult , which provides details of a job success.","ref":"aws_codepipeline.html","title":"aws_codepipeline","type":"module"},{"doc":"Returns information about a specified job and whether that job has been received by the job worker. Used for custom actions only.","ref":"aws_codepipeline.html#acknowledge_job/2","title":"aws_codepipeline.acknowledge_job/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#acknowledge_job/3","title":"aws_codepipeline.acknowledge_job/3","type":"function"},{"doc":"Confirms a job worker has received the specified job. Used for partner actions only.","ref":"aws_codepipeline.html#acknowledge_third_party_job/2","title":"aws_codepipeline.acknowledge_third_party_job/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#acknowledge_third_party_job/3","title":"aws_codepipeline.acknowledge_third_party_job/3","type":"function"},{"doc":"Creates a new custom action that can be used in all pipelines associated with the AWS account. Only used for custom actions.","ref":"aws_codepipeline.html#create_custom_action_type/2","title":"aws_codepipeline.create_custom_action_type/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#create_custom_action_type/3","title":"aws_codepipeline.create_custom_action_type/3","type":"function"},{"doc":"Creates a pipeline. In the pipeline structure, you must include either artifactStore or artifactStores in your pipeline, but you cannot use both. If you create a cross-region action in your pipeline, you must use artifactStores .","ref":"aws_codepipeline.html#create_pipeline/2","title":"aws_codepipeline.create_pipeline/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#create_pipeline/3","title":"aws_codepipeline.create_pipeline/3","type":"function"},{"doc":"Marks a custom action as deleted. PollForJobs for the custom action fails after the action is marked for deletion. Used for custom actions only. To re-create a custom action after it has been deleted you must use a string in the version field that has never been used before. This string can be an incremented version number, for example. To restore a deleted custom action, use a JSON file that is identical to the deleted action, including the original string in the version field.","ref":"aws_codepipeline.html#delete_custom_action_type/2","title":"aws_codepipeline.delete_custom_action_type/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#delete_custom_action_type/3","title":"aws_codepipeline.delete_custom_action_type/3","type":"function"},{"doc":"Deletes the specified pipeline.","ref":"aws_codepipeline.html#delete_pipeline/2","title":"aws_codepipeline.delete_pipeline/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#delete_pipeline/3","title":"aws_codepipeline.delete_pipeline/3","type":"function"},{"doc":"Deletes a previously created webhook by name. Deleting the webhook stops AWS CodePipeline from starting a pipeline every time an external event occurs. The API returns successfully when trying to delete a webhook that is already deleted. If a deleted webhook is re-created by calling PutWebhook with the same name, it will have a different URL.","ref":"aws_codepipeline.html#delete_webhook/2","title":"aws_codepipeline.delete_webhook/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#delete_webhook/3","title":"aws_codepipeline.delete_webhook/3","type":"function"},{"doc":"Removes the connection between the webhook that was created by CodePipeline and the external tool with events to be detected. Currently supported only for webhooks that target an action type of GitHub.","ref":"aws_codepipeline.html#deregister_webhook_with_third_party/2","title":"aws_codepipeline.deregister_webhook_with_third_party/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#deregister_webhook_with_third_party/3","title":"aws_codepipeline.deregister_webhook_with_third_party/3","type":"function"},{"doc":"Prevents artifacts in a pipeline from transitioning to the next stage in the pipeline.","ref":"aws_codepipeline.html#disable_stage_transition/2","title":"aws_codepipeline.disable_stage_transition/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#disable_stage_transition/3","title":"aws_codepipeline.disable_stage_transition/3","type":"function"},{"doc":"Enables artifacts in a pipeline to transition to a stage in a pipeline.","ref":"aws_codepipeline.html#enable_stage_transition/2","title":"aws_codepipeline.enable_stage_transition/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#enable_stage_transition/3","title":"aws_codepipeline.enable_stage_transition/3","type":"function"},{"doc":"Returns information about an action type created for an external provider, where the action is to be used by customers of the external provider. The action can be created with any supported integration model.","ref":"aws_codepipeline.html#get_action_type/2","title":"aws_codepipeline.get_action_type/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#get_action_type/3","title":"aws_codepipeline.get_action_type/3","type":"function"},{"doc":"Returns information about a job. Used for custom actions only. When this API is called, AWS CodePipeline returns temporary credentials for the S3 bucket used to store artifacts for the pipeline, if the action requires access to that S3 bucket for input or output artifacts. This API also returns any secret values defined for the action.","ref":"aws_codepipeline.html#get_job_details/2","title":"aws_codepipeline.get_job_details/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#get_job_details/3","title":"aws_codepipeline.get_job_details/3","type":"function"},{"doc":"Returns the metadata, structure, stages, and actions of a pipeline. Can be used to return the entire structure of a pipeline in JSON format, which can then be modified and used to update the pipeline structure with UpdatePipeline .","ref":"aws_codepipeline.html#get_pipeline/2","title":"aws_codepipeline.get_pipeline/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#get_pipeline/3","title":"aws_codepipeline.get_pipeline/3","type":"function"},{"doc":"Returns information about an execution of a pipeline, including details about artifacts, the pipeline execution ID, and the name, version, and status of the pipeline.","ref":"aws_codepipeline.html#get_pipeline_execution/2","title":"aws_codepipeline.get_pipeline_execution/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#get_pipeline_execution/3","title":"aws_codepipeline.get_pipeline_execution/3","type":"function"},{"doc":"Returns information about the state of a pipeline, including the stages and actions. Values returned in the revisionId and revisionUrl fields indicate the source revision information, such as the commit ID, for the current state.","ref":"aws_codepipeline.html#get_pipeline_state/2","title":"aws_codepipeline.get_pipeline_state/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#get_pipeline_state/3","title":"aws_codepipeline.get_pipeline_state/3","type":"function"},{"doc":"Requests the details of a job for a third party action. Used for partner actions only. When this API is called, AWS CodePipeline returns temporary credentials for the S3 bucket used to store artifacts for the pipeline, if the action requires access to that S3 bucket for input or output artifacts. This API also returns any secret values defined for the action.","ref":"aws_codepipeline.html#get_third_party_job_details/2","title":"aws_codepipeline.get_third_party_job_details/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#get_third_party_job_details/3","title":"aws_codepipeline.get_third_party_job_details/3","type":"function"},{"doc":"Lists the action executions that have occurred in a pipeline.","ref":"aws_codepipeline.html#list_action_executions/2","title":"aws_codepipeline.list_action_executions/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#list_action_executions/3","title":"aws_codepipeline.list_action_executions/3","type":"function"},{"doc":"Gets a summary of all AWS CodePipeline action types associated with your account.","ref":"aws_codepipeline.html#list_action_types/2","title":"aws_codepipeline.list_action_types/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#list_action_types/3","title":"aws_codepipeline.list_action_types/3","type":"function"},{"doc":"Gets a summary of the most recent executions for a pipeline.","ref":"aws_codepipeline.html#list_pipeline_executions/2","title":"aws_codepipeline.list_pipeline_executions/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#list_pipeline_executions/3","title":"aws_codepipeline.list_pipeline_executions/3","type":"function"},{"doc":"Gets a summary of all of the pipelines associated with your account.","ref":"aws_codepipeline.html#list_pipelines/2","title":"aws_codepipeline.list_pipelines/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#list_pipelines/3","title":"aws_codepipeline.list_pipelines/3","type":"function"},{"doc":"Gets the set of key-value pairs (metadata) that are used to manage the resource.","ref":"aws_codepipeline.html#list_tags_for_resource/2","title":"aws_codepipeline.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#list_tags_for_resource/3","title":"aws_codepipeline.list_tags_for_resource/3","type":"function"},{"doc":"Gets a listing of all the webhooks in this AWS Region for this account. The output lists all webhooks and includes the webhook URL and ARN and the configuration for each webhook.","ref":"aws_codepipeline.html#list_webhooks/2","title":"aws_codepipeline.list_webhooks/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#list_webhooks/3","title":"aws_codepipeline.list_webhooks/3","type":"function"},{"doc":"Returns information about any jobs for AWS CodePipeline to act on. PollForJobs is valid only for action types with &quot;Custom&quot; in the owner field. If the action type contains &quot;AWS&quot; or &quot;ThirdParty&quot; in the owner field, the PollForJobs action returns an error. When this API is called, AWS CodePipeline returns temporary credentials for the S3 bucket used to store artifacts for the pipeline, if the action requires access to that S3 bucket for input or output artifacts. This API also returns any secret values defined for the action.","ref":"aws_codepipeline.html#poll_for_jobs/2","title":"aws_codepipeline.poll_for_jobs/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#poll_for_jobs/3","title":"aws_codepipeline.poll_for_jobs/3","type":"function"},{"doc":"Determines whether there are any third party jobs for a job worker to act on. Used for partner actions only. When this API is called, AWS CodePipeline returns temporary credentials for the S3 bucket used to store artifacts for the pipeline, if the action requires access to that S3 bucket for input or output artifacts.","ref":"aws_codepipeline.html#poll_for_third_party_jobs/2","title":"aws_codepipeline.poll_for_third_party_jobs/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#poll_for_third_party_jobs/3","title":"aws_codepipeline.poll_for_third_party_jobs/3","type":"function"},{"doc":"Provides information to AWS CodePipeline about new revisions to a source.","ref":"aws_codepipeline.html#put_action_revision/2","title":"aws_codepipeline.put_action_revision/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#put_action_revision/3","title":"aws_codepipeline.put_action_revision/3","type":"function"},{"doc":"Provides the response to a manual approval request to AWS CodePipeline. Valid responses include Approved and Rejected.","ref":"aws_codepipeline.html#put_approval_result/2","title":"aws_codepipeline.put_approval_result/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#put_approval_result/3","title":"aws_codepipeline.put_approval_result/3","type":"function"},{"doc":"Represents the failure of a job as returned to the pipeline by a job worker. Used for custom actions only.","ref":"aws_codepipeline.html#put_job_failure_result/2","title":"aws_codepipeline.put_job_failure_result/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#put_job_failure_result/3","title":"aws_codepipeline.put_job_failure_result/3","type":"function"},{"doc":"Represents the success of a job as returned to the pipeline by a job worker. Used for custom actions only.","ref":"aws_codepipeline.html#put_job_success_result/2","title":"aws_codepipeline.put_job_success_result/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#put_job_success_result/3","title":"aws_codepipeline.put_job_success_result/3","type":"function"},{"doc":"Represents the failure of a third party job as returned to the pipeline by a job worker. Used for partner actions only.","ref":"aws_codepipeline.html#put_third_party_job_failure_result/2","title":"aws_codepipeline.put_third_party_job_failure_result/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#put_third_party_job_failure_result/3","title":"aws_codepipeline.put_third_party_job_failure_result/3","type":"function"},{"doc":"Represents the success of a third party job as returned to the pipeline by a job worker. Used for partner actions only.","ref":"aws_codepipeline.html#put_third_party_job_success_result/2","title":"aws_codepipeline.put_third_party_job_success_result/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#put_third_party_job_success_result/3","title":"aws_codepipeline.put_third_party_job_success_result/3","type":"function"},{"doc":"Defines a webhook and returns a unique webhook URL generated by CodePipeline. This URL can be supplied to third party source hosting providers to call every time there's a code change. When CodePipeline receives a POST request on this URL, the pipeline defined in the webhook is started as long as the POST request satisfied the authentication and filtering requirements supplied when defining the webhook. RegisterWebhookWithThirdParty and DeregisterWebhookWithThirdParty APIs can be used to automatically configure supported third parties to call the generated webhook URL.","ref":"aws_codepipeline.html#put_webhook/2","title":"aws_codepipeline.put_webhook/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#put_webhook/3","title":"aws_codepipeline.put_webhook/3","type":"function"},{"doc":"Configures a connection between the webhook that was created and the external tool with events to be detected.","ref":"aws_codepipeline.html#register_webhook_with_third_party/2","title":"aws_codepipeline.register_webhook_with_third_party/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#register_webhook_with_third_party/3","title":"aws_codepipeline.register_webhook_with_third_party/3","type":"function"},{"doc":"Resumes the pipeline execution by retrying the last failed actions in a stage. You can retry a stage immediately if any of the actions in the stage fail. When you retry, all actions that are still in progress continue working, and failed actions are triggered again.","ref":"aws_codepipeline.html#retry_stage_execution/2","title":"aws_codepipeline.retry_stage_execution/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#retry_stage_execution/3","title":"aws_codepipeline.retry_stage_execution/3","type":"function"},{"doc":"Starts the specified pipeline. Specifically, it begins processing the latest commit to the source location specified as part of the pipeline.","ref":"aws_codepipeline.html#start_pipeline_execution/2","title":"aws_codepipeline.start_pipeline_execution/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#start_pipeline_execution/3","title":"aws_codepipeline.start_pipeline_execution/3","type":"function"},{"doc":"Stops the specified pipeline execution. You choose to either stop the pipeline execution by completing in-progress actions without starting subsequent actions, or by abandoning in-progress actions. While completing or abandoning in-progress actions, the pipeline execution is in a Stopping state. After all in-progress actions are completed or abandoned, the pipeline execution is in a Stopped state.","ref":"aws_codepipeline.html#stop_pipeline_execution/2","title":"aws_codepipeline.stop_pipeline_execution/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#stop_pipeline_execution/3","title":"aws_codepipeline.stop_pipeline_execution/3","type":"function"},{"doc":"Adds to or modifies the tags of the given resource. Tags are metadata that can be used to manage a resource.","ref":"aws_codepipeline.html#tag_resource/2","title":"aws_codepipeline.tag_resource/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#tag_resource/3","title":"aws_codepipeline.tag_resource/3","type":"function"},{"doc":"Removes tags from an AWS resource.","ref":"aws_codepipeline.html#untag_resource/2","title":"aws_codepipeline.untag_resource/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#untag_resource/3","title":"aws_codepipeline.untag_resource/3","type":"function"},{"doc":"Updates an action type that was created with any supported integration model, where the action type is to be used by customers of the action type provider. Use a JSON file with the action definition and UpdateActionType to provide the full structure.","ref":"aws_codepipeline.html#update_action_type/2","title":"aws_codepipeline.update_action_type/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#update_action_type/3","title":"aws_codepipeline.update_action_type/3","type":"function"},{"doc":"Updates a specified pipeline with edits or changes to its structure. Use a JSON file with the pipeline structure and UpdatePipeline to provide the full structure of the pipeline. Updating the pipeline increases the version number of the pipeline by 1.","ref":"aws_codepipeline.html#update_pipeline/2","title":"aws_codepipeline.update_pipeline/2","type":"function"},{"doc":"","ref":"aws_codepipeline.html#update_pipeline/3","title":"aws_codepipeline.update_pipeline/3","type":"function"},{"doc":"AWS CodeStar This is the API reference for AWS CodeStar. This reference provides descriptions of the operations and data types for the AWS CodeStar API along with usage examples. You can use the AWS CodeStar API to work with: Projects and their resources, by calling the following: DeleteProject , which deletes a project. DescribeProject , which lists the attributes of a project. ListProjects , which lists all projects associated with your AWS account. ListResources , which lists the resources associated with a project. ListTagsForProject , which lists the tags associated with a project. TagProject , which adds tags to a project. UntagProject , which removes tags from a project. UpdateProject , which updates the attributes of a project. Teams and team members, by calling the following: AssociateTeamMember , which adds an IAM user to the team for a project. DisassociateTeamMember , which removes an IAM user from the team for a project. ListTeamMembers , which lists all the IAM users in the team for a project, including their roles and attributes. UpdateTeamMember , which updates a team member's attributes in a project. Users, by calling the following: CreateUserProfile , which creates a user profile that contains data associated with the user across all projects. DeleteUserProfile , which deletes all user profile information across all projects. DescribeUserProfile , which describes the profile of a user. ListUserProfiles , which lists all user profiles. UpdateUserProfile , which updates the profile for a user.","ref":"aws_codestar.html","title":"aws_codestar","type":"module"},{"doc":"Adds an IAM user to the team for an AWS CodeStar project.","ref":"aws_codestar.html#associate_team_member/2","title":"aws_codestar.associate_team_member/2","type":"function"},{"doc":"","ref":"aws_codestar.html#associate_team_member/3","title":"aws_codestar.associate_team_member/3","type":"function"},{"doc":"Creates a project, including project resources. This action creates a project based on a submitted project request. A set of source code files and a toolchain template file can be included with the project request. If these are not provided, an empty project is created.","ref":"aws_codestar.html#create_project/2","title":"aws_codestar.create_project/2","type":"function"},{"doc":"","ref":"aws_codestar.html#create_project/3","title":"aws_codestar.create_project/3","type":"function"},{"doc":"Creates a profile for a user that includes user preferences, such as the display name and email address assocciated with the user, in AWS CodeStar. The user profile is not project-specific. Information in the user profile is displayed wherever the user's information appears to other users in AWS CodeStar.","ref":"aws_codestar.html#create_user_profile/2","title":"aws_codestar.create_user_profile/2","type":"function"},{"doc":"","ref":"aws_codestar.html#create_user_profile/3","title":"aws_codestar.create_user_profile/3","type":"function"},{"doc":"Deletes a project, including project resources. Does not delete users associated with the project, but does delete the IAM roles that allowed access to the project.","ref":"aws_codestar.html#delete_project/2","title":"aws_codestar.delete_project/2","type":"function"},{"doc":"","ref":"aws_codestar.html#delete_project/3","title":"aws_codestar.delete_project/3","type":"function"},{"doc":"Deletes a user profile in AWS CodeStar, including all personal preference data associated with that profile, such as display name and email address. It does not delete the history of that user, for example the history of commits made by that user.","ref":"aws_codestar.html#delete_user_profile/2","title":"aws_codestar.delete_user_profile/2","type":"function"},{"doc":"","ref":"aws_codestar.html#delete_user_profile/3","title":"aws_codestar.delete_user_profile/3","type":"function"},{"doc":"Describes a project and its resources.","ref":"aws_codestar.html#describe_project/2","title":"aws_codestar.describe_project/2","type":"function"},{"doc":"","ref":"aws_codestar.html#describe_project/3","title":"aws_codestar.describe_project/3","type":"function"},{"doc":"Describes a user in AWS CodeStar and the user attributes across all projects.","ref":"aws_codestar.html#describe_user_profile/2","title":"aws_codestar.describe_user_profile/2","type":"function"},{"doc":"","ref":"aws_codestar.html#describe_user_profile/3","title":"aws_codestar.describe_user_profile/3","type":"function"},{"doc":"Removes a user from a project. Removing a user from a project also removes the IAM policies from that user that allowed access to the project and its resources. Disassociating a team member does not remove that user's profile from AWS CodeStar. It does not remove the user from IAM.","ref":"aws_codestar.html#disassociate_team_member/2","title":"aws_codestar.disassociate_team_member/2","type":"function"},{"doc":"","ref":"aws_codestar.html#disassociate_team_member/3","title":"aws_codestar.disassociate_team_member/3","type":"function"},{"doc":"Lists all projects in AWS CodeStar associated with your AWS account.","ref":"aws_codestar.html#list_projects/2","title":"aws_codestar.list_projects/2","type":"function"},{"doc":"","ref":"aws_codestar.html#list_projects/3","title":"aws_codestar.list_projects/3","type":"function"},{"doc":"Lists resources associated with a project in AWS CodeStar.","ref":"aws_codestar.html#list_resources/2","title":"aws_codestar.list_resources/2","type":"function"},{"doc":"","ref":"aws_codestar.html#list_resources/3","title":"aws_codestar.list_resources/3","type":"function"},{"doc":"Gets the tags for a project.","ref":"aws_codestar.html#list_tags_for_project/2","title":"aws_codestar.list_tags_for_project/2","type":"function"},{"doc":"","ref":"aws_codestar.html#list_tags_for_project/3","title":"aws_codestar.list_tags_for_project/3","type":"function"},{"doc":"Lists all team members associated with a project.","ref":"aws_codestar.html#list_team_members/2","title":"aws_codestar.list_team_members/2","type":"function"},{"doc":"","ref":"aws_codestar.html#list_team_members/3","title":"aws_codestar.list_team_members/3","type":"function"},{"doc":"Lists all the user profiles configured for your AWS account in AWS CodeStar.","ref":"aws_codestar.html#list_user_profiles/2","title":"aws_codestar.list_user_profiles/2","type":"function"},{"doc":"","ref":"aws_codestar.html#list_user_profiles/3","title":"aws_codestar.list_user_profiles/3","type":"function"},{"doc":"Adds tags to a project.","ref":"aws_codestar.html#tag_project/2","title":"aws_codestar.tag_project/2","type":"function"},{"doc":"","ref":"aws_codestar.html#tag_project/3","title":"aws_codestar.tag_project/3","type":"function"},{"doc":"Removes tags from a project.","ref":"aws_codestar.html#untag_project/2","title":"aws_codestar.untag_project/2","type":"function"},{"doc":"","ref":"aws_codestar.html#untag_project/3","title":"aws_codestar.untag_project/3","type":"function"},{"doc":"Updates a project in AWS CodeStar.","ref":"aws_codestar.html#update_project/2","title":"aws_codestar.update_project/2","type":"function"},{"doc":"","ref":"aws_codestar.html#update_project/3","title":"aws_codestar.update_project/3","type":"function"},{"doc":"Updates a team member's attributes in an AWS CodeStar project. For example, you can change a team member's role in the project, or change whether they have remote access to project resources.","ref":"aws_codestar.html#update_team_member/2","title":"aws_codestar.update_team_member/2","type":"function"},{"doc":"","ref":"aws_codestar.html#update_team_member/3","title":"aws_codestar.update_team_member/3","type":"function"},{"doc":"Updates a user's profile in AWS CodeStar. The user profile is not project-specific. Information in the user profile is displayed wherever the user's information appears to other users in AWS CodeStar.","ref":"aws_codestar.html#update_user_profile/2","title":"aws_codestar.update_user_profile/2","type":"function"},{"doc":"","ref":"aws_codestar.html#update_user_profile/3","title":"aws_codestar.update_user_profile/3","type":"function"},{"doc":"AWS CodeStar Connections This AWS CodeStar Connections API Reference provides descriptions and usage examples of the operations and data types for the AWS CodeStar Connections API. You can use the connections API to work with connections and installations. Connections are configurations that you use to connect AWS resources to external code repositories. Each connection is a resource that can be given to services such as CodePipeline to connect to a third-party repository such as Bitbucket. For example, you can add the connection in CodePipeline so that it triggers your pipeline when a code change is made to your third-party code repository. Each connection is named and associated with a unique ARN that is used to reference the connection. When you create a connection, the console initiates a third-party connection handshake. Installations are the apps that are used to conduct this handshake. For example, the installation for the Bitbucket provider type is the Bitbucket app. When you create a connection, you can choose an existing installation or create one. When you want to create a connection to an installed provider type such as GitHub Enterprise Server, you create a host for your connections. You can work with connections by calling: CreateConnection , which creates a uniquely named connection that can be referenced by services such as CodePipeline. DeleteConnection , which deletes the specified connection. GetConnection , which returns information about the connection, including the connection status. ListConnections , which lists the connections associated with your account. You can work with hosts by calling: CreateHost , which creates a host that represents the infrastructure where your provider is installed. DeleteHost , which deletes the specified host. GetHost , which returns information about the host, including the setup status. ListHosts , which lists the hosts associated with your account. You can work with tags in AWS CodeStar Connections by calling the following: ListTagsForResource , which gets information about AWS tags for a specified Amazon Resource Name (ARN) in AWS CodeStar Connections. TagResource , which adds or updates tags for a resource in AWS CodeStar Connections. UntagResource , which removes tags for a resource in AWS CodeStar Connections. For information about how to use AWS CodeStar Connections, see the Developer Tools User Guide.","ref":"aws_codestar_connections.html","title":"aws_codestar_connections","type":"module"},{"doc":"Creates a connection that can then be given to other AWS services like CodePipeline so that it can access third-party code repositories. The connection is in pending status until the third-party connection handshake is completed from the console.","ref":"aws_codestar_connections.html#create_connection/2","title":"aws_codestar_connections.create_connection/2","type":"function"},{"doc":"","ref":"aws_codestar_connections.html#create_connection/3","title":"aws_codestar_connections.create_connection/3","type":"function"},{"doc":"Creates a resource that represents the infrastructure where a third-party provider is installed. The host is used when you create connections to an installed third-party provider type, such as GitHub Enterprise Server. You create one host for all connections to that provider. A host created through the CLI or the SDK is in PENDING status by default. You can make its status AVAILABLE by setting up the host in the console.","ref":"aws_codestar_connections.html#create_host/2","title":"aws_codestar_connections.create_host/2","type":"function"},{"doc":"","ref":"aws_codestar_connections.html#create_host/3","title":"aws_codestar_connections.create_host/3","type":"function"},{"doc":"The connection to be deleted.","ref":"aws_codestar_connections.html#delete_connection/2","title":"aws_codestar_connections.delete_connection/2","type":"function"},{"doc":"","ref":"aws_codestar_connections.html#delete_connection/3","title":"aws_codestar_connections.delete_connection/3","type":"function"},{"doc":"The host to be deleted. Before you delete a host, all connections associated to the host must be deleted. A host cannot be deleted if it is in the VPC_CONFIG_INITIALIZING or VPC_CONFIG_DELETING state.","ref":"aws_codestar_connections.html#delete_host/2","title":"aws_codestar_connections.delete_host/2","type":"function"},{"doc":"","ref":"aws_codestar_connections.html#delete_host/3","title":"aws_codestar_connections.delete_host/3","type":"function"},{"doc":"Returns the connection ARN and details such as status, owner, and provider type.","ref":"aws_codestar_connections.html#get_connection/2","title":"aws_codestar_connections.get_connection/2","type":"function"},{"doc":"","ref":"aws_codestar_connections.html#get_connection/3","title":"aws_codestar_connections.get_connection/3","type":"function"},{"doc":"Returns the host ARN and details such as status, provider type, endpoint, and, if applicable, the VPC configuration.","ref":"aws_codestar_connections.html#get_host/2","title":"aws_codestar_connections.get_host/2","type":"function"},{"doc":"","ref":"aws_codestar_connections.html#get_host/3","title":"aws_codestar_connections.get_host/3","type":"function"},{"doc":"Lists the connections associated with your account.","ref":"aws_codestar_connections.html#list_connections/2","title":"aws_codestar_connections.list_connections/2","type":"function"},{"doc":"","ref":"aws_codestar_connections.html#list_connections/3","title":"aws_codestar_connections.list_connections/3","type":"function"},{"doc":"Lists the hosts associated with your account.","ref":"aws_codestar_connections.html#list_hosts/2","title":"aws_codestar_connections.list_hosts/2","type":"function"},{"doc":"","ref":"aws_codestar_connections.html#list_hosts/3","title":"aws_codestar_connections.list_hosts/3","type":"function"},{"doc":"Gets the set of key-value pairs (metadata) that are used to manage the resource.","ref":"aws_codestar_connections.html#list_tags_for_resource/2","title":"aws_codestar_connections.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_codestar_connections.html#list_tags_for_resource/3","title":"aws_codestar_connections.list_tags_for_resource/3","type":"function"},{"doc":"Adds to or modifies the tags of the given resource. Tags are metadata that can be used to manage a resource.","ref":"aws_codestar_connections.html#tag_resource/2","title":"aws_codestar_connections.tag_resource/2","type":"function"},{"doc":"","ref":"aws_codestar_connections.html#tag_resource/3","title":"aws_codestar_connections.tag_resource/3","type":"function"},{"doc":"Removes tags from an AWS resource.","ref":"aws_codestar_connections.html#untag_resource/2","title":"aws_codestar_connections.untag_resource/2","type":"function"},{"doc":"","ref":"aws_codestar_connections.html#untag_resource/3","title":"aws_codestar_connections.untag_resource/3","type":"function"},{"doc":"Updates a specified host with the provided configurations.","ref":"aws_codestar_connections.html#update_host/2","title":"aws_codestar_connections.update_host/2","type":"function"},{"doc":"","ref":"aws_codestar_connections.html#update_host/3","title":"aws_codestar_connections.update_host/3","type":"function"},{"doc":"This AWS CodeStar Notifications API Reference provides descriptions and usage examples of the operations and data types for the AWS CodeStar Notifications API. You can use the AWS CodeStar Notifications API to work with the following objects: Notification rules, by calling the following: CreateNotificationRule , which creates a notification rule for a resource in your account. DeleteNotificationRule , which deletes a notification rule. DescribeNotificationRule , which provides information about a notification rule. ListNotificationRules , which lists the notification rules associated with your account. UpdateNotificationRule , which changes the name, events, or targets associated with a notification rule. Subscribe , which subscribes a target to a notification rule. Unsubscribe , which removes a target from a notification rule. Targets, by calling the following: DeleteTarget , which removes a notification rule target from a notification rule. ListTargets , which lists the targets associated with a notification rule. Events, by calling the following: ListEventTypes , which lists the event types you can include in a notification rule. Tags, by calling the following: ListTagsForResource , which lists the tags already associated with a notification rule in your account. TagResource , which associates a tag you provide with a notification rule in your account. UntagResource , which removes a tag from a notification rule in your account. For information about how to use AWS CodeStar Notifications, see the Amazon Web Services Developer Tools Console User Guide.","ref":"aws_codestar_notifications.html","title":"aws_codestar_notifications","type":"module"},{"doc":"Creates a notification rule for a resource. The rule specifies the events you want notifications about and the targets (such as Chatbot topics or Chatbot clients configured for Slack) where you want to receive them.","ref":"aws_codestar_notifications.html#create_notification_rule/2","title":"aws_codestar_notifications.create_notification_rule/2","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#create_notification_rule/3","title":"aws_codestar_notifications.create_notification_rule/3","type":"function"},{"doc":"Deletes a notification rule for a resource.","ref":"aws_codestar_notifications.html#delete_notification_rule/2","title":"aws_codestar_notifications.delete_notification_rule/2","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#delete_notification_rule/3","title":"aws_codestar_notifications.delete_notification_rule/3","type":"function"},{"doc":"Deletes a specified target for notifications.","ref":"aws_codestar_notifications.html#delete_target/2","title":"aws_codestar_notifications.delete_target/2","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#delete_target/3","title":"aws_codestar_notifications.delete_target/3","type":"function"},{"doc":"Returns information about a specified notification rule.","ref":"aws_codestar_notifications.html#describe_notification_rule/2","title":"aws_codestar_notifications.describe_notification_rule/2","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#describe_notification_rule/3","title":"aws_codestar_notifications.describe_notification_rule/3","type":"function"},{"doc":"Returns information about the event types available for configuring notifications.","ref":"aws_codestar_notifications.html#list_event_types/2","title":"aws_codestar_notifications.list_event_types/2","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#list_event_types/3","title":"aws_codestar_notifications.list_event_types/3","type":"function"},{"doc":"Returns a list of the notification rules for an Amazon Web Services account.","ref":"aws_codestar_notifications.html#list_notification_rules/2","title":"aws_codestar_notifications.list_notification_rules/2","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#list_notification_rules/3","title":"aws_codestar_notifications.list_notification_rules/3","type":"function"},{"doc":"Returns a list of the tags associated with a notification rule.","ref":"aws_codestar_notifications.html#list_tags_for_resource/2","title":"aws_codestar_notifications.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#list_tags_for_resource/3","title":"aws_codestar_notifications.list_tags_for_resource/3","type":"function"},{"doc":"Returns a list of the notification rule targets for an Amazon Web Services account.","ref":"aws_codestar_notifications.html#list_targets/2","title":"aws_codestar_notifications.list_targets/2","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#list_targets/3","title":"aws_codestar_notifications.list_targets/3","type":"function"},{"doc":"Creates an association between a notification rule and an Chatbot topic or Chatbot client so that the associated target can receive notifications when the events described in the rule are triggered.","ref":"aws_codestar_notifications.html#subscribe/2","title":"aws_codestar_notifications.subscribe/2","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#subscribe/3","title":"aws_codestar_notifications.subscribe/3","type":"function"},{"doc":"Associates a set of provided tags with a notification rule.","ref":"aws_codestar_notifications.html#tag_resource/2","title":"aws_codestar_notifications.tag_resource/2","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#tag_resource/3","title":"aws_codestar_notifications.tag_resource/3","type":"function"},{"doc":"Removes an association between a notification rule and an Chatbot topic so that subscribers to that topic stop receiving notifications when the events described in the rule are triggered.","ref":"aws_codestar_notifications.html#unsubscribe/2","title":"aws_codestar_notifications.unsubscribe/2","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#unsubscribe/3","title":"aws_codestar_notifications.unsubscribe/3","type":"function"},{"doc":"Removes the association between one or more provided tags and a notification rule.","ref":"aws_codestar_notifications.html#untag_resource/3","title":"aws_codestar_notifications.untag_resource/3","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#untag_resource/4","title":"aws_codestar_notifications.untag_resource/4","type":"function"},{"doc":"Updates a notification rule for a resource. You can change the events that trigger the notification rule, the status of the rule, and the targets that receive the notifications. To add or remove tags for a notification rule, you must use TagResource and UntagResource .","ref":"aws_codestar_notifications.html#update_notification_rule/2","title":"aws_codestar_notifications.update_notification_rule/2","type":"function"},{"doc":"","ref":"aws_codestar_notifications.html#update_notification_rule/3","title":"aws_codestar_notifications.update_notification_rule/3","type":"function"},{"doc":"Amazon Cognito Federated Identities Amazon Cognito Federated Identities is a web service that delivers scoped temporary credentials to mobile devices and other untrusted environments. It uniquely identifies a device and supplies the user with a consistent identity over the lifetime of an application. Using Amazon Cognito Federated Identities, you can enable authentication with one or more third-party identity providers (Facebook, Google, or Login with Amazon) or an Amazon Cognito user pool, and you can also choose to support unauthenticated access from your app. Cognito delivers a unique identifier for each user and acts as an OpenID token provider trusted by AWS Security Token Service (STS) to access temporary, limited-privilege AWS credentials. For a description of the authentication flow from the Amazon Cognito Developer Guide see Authentication Flow. For more information see Amazon Cognito Federated Identities.","ref":"aws_cognito_identity.html","title":"aws_cognito_identity","type":"module"},{"doc":"Creates a new identity pool. The identity pool is a store of user identity information that is specific to your AWS account. The keys for SupportedLoginProviders are as follows: Facebook: graph.facebook.com Google: accounts.google.com Amazon: www.amazon.com Twitter: api.twitter.com Digits: www.digits.com You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#create_identity_pool/2","title":"aws_cognito_identity.create_identity_pool/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#create_identity_pool/3","title":"aws_cognito_identity.create_identity_pool/3","type":"function"},{"doc":"Deletes identities from an identity pool. You can specify a list of 1-60 identities that you want to delete. You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#delete_identities/2","title":"aws_cognito_identity.delete_identities/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#delete_identities/3","title":"aws_cognito_identity.delete_identities/3","type":"function"},{"doc":"Deletes an identity pool. Once a pool is deleted, users will not be able to authenticate with the pool. You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#delete_identity_pool/2","title":"aws_cognito_identity.delete_identity_pool/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#delete_identity_pool/3","title":"aws_cognito_identity.delete_identity_pool/3","type":"function"},{"doc":"Returns metadata related to the given identity, including when the identity was created and any associated linked logins. You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#describe_identity/2","title":"aws_cognito_identity.describe_identity/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#describe_identity/3","title":"aws_cognito_identity.describe_identity/3","type":"function"},{"doc":"Gets details about a particular identity pool, including the pool name, ID description, creation date, and current number of users. You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#describe_identity_pool/2","title":"aws_cognito_identity.describe_identity_pool/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#describe_identity_pool/3","title":"aws_cognito_identity.describe_identity_pool/3","type":"function"},{"doc":"Returns credentials for the provided identity ID. Any provided logins will be validated against supported login providers. If the token is for cognito-identity.amazonaws.com, it will be passed through to AWS Security Token Service with the appropriate role for the token. This is a public API. You do not need any credentials to call this API.","ref":"aws_cognito_identity.html#get_credentials_for_identity/2","title":"aws_cognito_identity.get_credentials_for_identity/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#get_credentials_for_identity/3","title":"aws_cognito_identity.get_credentials_for_identity/3","type":"function"},{"doc":"Generates (or retrieves) a Cognito ID. Supplying multiple logins will create an implicit linked account. This is a public API. You do not need any credentials to call this API.","ref":"aws_cognito_identity.html#get_id/2","title":"aws_cognito_identity.get_id/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#get_id/3","title":"aws_cognito_identity.get_id/3","type":"function"},{"doc":"Gets the roles for an identity pool. You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#get_identity_pool_roles/2","title":"aws_cognito_identity.get_identity_pool_roles/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#get_identity_pool_roles/3","title":"aws_cognito_identity.get_identity_pool_roles/3","type":"function"},{"doc":"Gets an OpenID token, using a known Cognito ID. This known Cognito ID is returned by GetId . You can optionally add additional logins for the identity. Supplying multiple logins creates an implicit link. The OpenID token is valid for 10 minutes. This is a public API. You do not need any credentials to call this API.","ref":"aws_cognito_identity.html#get_open_id_token/2","title":"aws_cognito_identity.get_open_id_token/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#get_open_id_token/3","title":"aws_cognito_identity.get_open_id_token/3","type":"function"},{"doc":"Registers (or retrieves) a Cognito IdentityId and an OpenID Connect token for a user authenticated by your backend authentication process. Supplying multiple logins will create an implicit linked account. You can only specify one developer provider as part of the Logins map, which is linked to the identity pool. The developer provider is the &quot;domain&quot; by which Cognito will refer to your users. You can use GetOpenIdTokenForDeveloperIdentity to create a new identity and to link new logins (that is, user credentials issued by a public provider or developer provider) to an existing identity. When you want to create a new identity, the IdentityId should be null. When you want to associate a new login with an existing authenticated/unauthenticated identity, you can do so by providing the existing IdentityId . This API will create the identity in the specified IdentityPoolId . You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#get_open_id_token_for_developer_identity/2","title":"aws_cognito_identity.get_open_id_token_for_developer_identity/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#get_open_id_token_for_developer_identity/3","title":"aws_cognito_identity.get_open_id_token_for_developer_identity/3","type":"function"},{"doc":"Use GetPrincipalTagAttributeMap to list all mappings between PrincipalTags and user attributes.","ref":"aws_cognito_identity.html#get_principal_tag_attribute_map/2","title":"aws_cognito_identity.get_principal_tag_attribute_map/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#get_principal_tag_attribute_map/3","title":"aws_cognito_identity.get_principal_tag_attribute_map/3","type":"function"},{"doc":"Lists the identities in an identity pool. You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#list_identities/2","title":"aws_cognito_identity.list_identities/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#list_identities/3","title":"aws_cognito_identity.list_identities/3","type":"function"},{"doc":"Lists all of the Cognito identity pools registered for your account. You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#list_identity_pools/2","title":"aws_cognito_identity.list_identity_pools/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#list_identity_pools/3","title":"aws_cognito_identity.list_identity_pools/3","type":"function"},{"doc":"Lists the tags that are assigned to an Amazon Cognito identity pool. A tag is a label that you can apply to identity pools to categorize and manage them in different ways, such as by purpose, owner, environment, or other criteria. You can use this action up to 10 times per second, per account.","ref":"aws_cognito_identity.html#list_tags_for_resource/2","title":"aws_cognito_identity.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#list_tags_for_resource/3","title":"aws_cognito_identity.list_tags_for_resource/3","type":"function"},{"doc":"Retrieves the IdentityID associated with a DeveloperUserIdentifier or the list of DeveloperUserIdentifier values associated with an IdentityId for an existing identity. Either IdentityID or DeveloperUserIdentifier must not be null. If you supply only one of these values, the other value will be searched in the database and returned as a part of the response. If you supply both, DeveloperUserIdentifier will be matched against IdentityID . If the values are verified against the database, the response returns both values and is the same as the request. Otherwise a ResourceConflictException is thrown. LookupDeveloperIdentity is intended for low-throughput control plane operations: for example, to enable customer service to locate an identity ID by username. If you are using it for higher-volume operations such as user authentication, your requests are likely to be throttled. GetOpenIdTokenForDeveloperIdentity is a better option for higher-volume operations for user authentication. You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#lookup_developer_identity/2","title":"aws_cognito_identity.lookup_developer_identity/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#lookup_developer_identity/3","title":"aws_cognito_identity.lookup_developer_identity/3","type":"function"},{"doc":"Merges two users having different IdentityId s, existing in the same identity pool, and identified by the same developer provider. You can use this action to request that discrete users be merged and identified as a single user in the Cognito environment. Cognito associates the given source user ( SourceUserIdentifier ) with the IdentityId of the DestinationUserIdentifier . Only developer-authenticated users can be merged. If the users to be merged are associated with the same public provider, but as two different users, an exception will be thrown. The number of linked logins is limited to 20. So, the number of linked logins for the source user, SourceUserIdentifier , and the destination user, DestinationUserIdentifier , together should not be larger than 20. Otherwise, an exception will be thrown. You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#merge_developer_identities/2","title":"aws_cognito_identity.merge_developer_identities/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#merge_developer_identities/3","title":"aws_cognito_identity.merge_developer_identities/3","type":"function"},{"doc":"Sets the roles for an identity pool. These roles are used when making calls to GetCredentialsForIdentity action. You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#set_identity_pool_roles/2","title":"aws_cognito_identity.set_identity_pool_roles/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#set_identity_pool_roles/3","title":"aws_cognito_identity.set_identity_pool_roles/3","type":"function"},{"doc":"You can use this operation to use default (username and clientID) attribute or custom attribute mappings.","ref":"aws_cognito_identity.html#set_principal_tag_attribute_map/2","title":"aws_cognito_identity.set_principal_tag_attribute_map/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#set_principal_tag_attribute_map/3","title":"aws_cognito_identity.set_principal_tag_attribute_map/3","type":"function"},{"doc":"Assigns a set of tags to the specified Amazon Cognito identity pool. A tag is a label that you can use to categorize and manage identity pools in different ways, such as by purpose, owner, environment, or other criteria. Each tag consists of a key and value, both of which you define. A key is a general category for more specific values. For example, if you have two versions of an identity pool, one for testing and another for production, you might assign an Environment tag key to both identity pools. The value of this key might be Test for one identity pool and Production for the other. Tags are useful for cost tracking and access control. You can activate your tags so that they appear on the Billing and Cost Management console, where you can track the costs associated with your identity pools. In an IAM policy, you can constrain permissions for identity pools based on specific tags or tag values. You can use this action up to 5 times per second, per account. An identity pool can have as many as 50 tags.","ref":"aws_cognito_identity.html#tag_resource/2","title":"aws_cognito_identity.tag_resource/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#tag_resource/3","title":"aws_cognito_identity.tag_resource/3","type":"function"},{"doc":"Unlinks a DeveloperUserIdentifier from an existing identity. Unlinked developer users will be considered new identities next time they are seen. If, for a given Cognito identity, you remove all federated identities as well as the developer user identifier, the Cognito identity becomes inaccessible. You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#unlink_developer_identity/2","title":"aws_cognito_identity.unlink_developer_identity/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#unlink_developer_identity/3","title":"aws_cognito_identity.unlink_developer_identity/3","type":"function"},{"doc":"Unlinks a federated identity from an existing account. Unlinked logins will be considered new identities next time they are seen. Removing the last linked login will make this identity inaccessible. This is a public API. You do not need any credentials to call this API.","ref":"aws_cognito_identity.html#unlink_identity/2","title":"aws_cognito_identity.unlink_identity/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#unlink_identity/3","title":"aws_cognito_identity.unlink_identity/3","type":"function"},{"doc":"Removes the specified tags from the specified Amazon Cognito identity pool. You can use this action up to 5 times per second, per account","ref":"aws_cognito_identity.html#untag_resource/2","title":"aws_cognito_identity.untag_resource/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#untag_resource/3","title":"aws_cognito_identity.untag_resource/3","type":"function"},{"doc":"Updates an identity pool. You must use AWS Developer credentials to call this API.","ref":"aws_cognito_identity.html#update_identity_pool/2","title":"aws_cognito_identity.update_identity_pool/2","type":"function"},{"doc":"","ref":"aws_cognito_identity.html#update_identity_pool/3","title":"aws_cognito_identity.update_identity_pool/3","type":"function"},{"doc":"Using the Amazon Cognito user pools API, you can create a user pool to manage directories and users. You can authenticate a user to obtain tokens related to user identity and access policies. This API reference provides information about user pools in Amazon Cognito user pools. For more information, see the Amazon Cognito Documentation.","ref":"aws_cognito_identity_provider.html","title":"aws_cognito_identity_provider","type":"module"},{"doc":"Adds additional user attributes to the user pool schema.","ref":"aws_cognito_identity_provider.html#add_custom_attributes/2","title":"aws_cognito_identity_provider.add_custom_attributes/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#add_custom_attributes/3","title":"aws_cognito_identity_provider.add_custom_attributes/3","type":"function"},{"doc":"Adds the specified user to the specified group. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_add_user_to_group/2","title":"aws_cognito_identity_provider.admin_add_user_to_group/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_add_user_to_group/3","title":"aws_cognito_identity_provider.admin_add_user_to_group/3","type":"function"},{"doc":"Confirms user registration as an admin without using a confirmation code. Works on any user. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_confirm_sign_up/2","title":"aws_cognito_identity_provider.admin_confirm_sign_up/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_confirm_sign_up/3","title":"aws_cognito_identity_provider.admin_confirm_sign_up/3","type":"function"},{"doc":"Creates a new user in the specified user pool. If MessageAction isn't set, the default is to send a welcome message via email or phone (SMS). This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide. This message is based on a template that you configured in your call to create or update a user pool. This template includes your custom sign-up instructions and placeholders for user name and temporary password. Alternatively, you can call AdminCreateUser with SUPPRESS for the MessageAction parameter, and Amazon Cognito won't send any email. In either case, the user will be in the FORCE_CHANGE_PASSWORD state until they sign in and change their password. AdminCreateUser requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_create_user/2","title":"aws_cognito_identity_provider.admin_create_user/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_create_user/3","title":"aws_cognito_identity_provider.admin_create_user/3","type":"function"},{"doc":"Deletes a user as an administrator. Works on any user. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_delete_user/2","title":"aws_cognito_identity_provider.admin_delete_user/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_delete_user/3","title":"aws_cognito_identity_provider.admin_delete_user/3","type":"function"},{"doc":"Deletes the user attributes in a user pool as an administrator. Works on any user. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_delete_user_attributes/2","title":"aws_cognito_identity_provider.admin_delete_user_attributes/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_delete_user_attributes/3","title":"aws_cognito_identity_provider.admin_delete_user_attributes/3","type":"function"},{"doc":"Prevents the user from signing in with the specified external (SAML or social) identity provider (IdP). If the user that you want to deactivate is a Amazon Cognito user pools native username + password user, they can't use their password to sign in. If the user to deactivate is a linked external IdP user, any link between that user and an existing user is removed. When the external user signs in again, and the user is no longer attached to the previously linked DestinationUser , the user must create a new user account. See AdminLinkProviderForUser. This action is enabled only for admin access and requires developer credentials. The ProviderName must match the value specified when creating an IdP for the pool. To deactivate a native username + password user, the ProviderName value must be Cognito and the ProviderAttributeName must be Cognito_Subject . The ProviderAttributeValue must be the name that is used in the user pool for the user. The ProviderAttributeName must always be Cognito_Subject for social IdPs. The ProviderAttributeValue must always be the exact subject that was used when the user was originally linked as a source user. For de-linking a SAML identity, there are two scenarios. If the linked identity has not yet been used to sign in, the ProviderAttributeName and ProviderAttributeValue must be the same values that were used for the SourceUser when the identities were originally linked using AdminLinkProviderForUser call. (If the linking was done with ProviderAttributeName set to Cognito_Subject , the same applies here). However, if the user has already signed in, the ProviderAttributeName must be Cognito_Subject and ProviderAttributeValue must be the subject of the SAML assertion.","ref":"aws_cognito_identity_provider.html#admin_disable_provider_for_user/2","title":"aws_cognito_identity_provider.admin_disable_provider_for_user/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_disable_provider_for_user/3","title":"aws_cognito_identity_provider.admin_disable_provider_for_user/3","type":"function"},{"doc":"Deactivates a user and revokes all access tokens for the user. A deactivated user can't sign in, but still appears in the responses to GetUser and ListUsers API requests. You must make this API request with Amazon Web Services credentials that have cognito-idp:AdminDisableUser permissions.","ref":"aws_cognito_identity_provider.html#admin_disable_user/2","title":"aws_cognito_identity_provider.admin_disable_user/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_disable_user/3","title":"aws_cognito_identity_provider.admin_disable_user/3","type":"function"},{"doc":"Enables the specified user as an administrator. Works on any user. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_enable_user/2","title":"aws_cognito_identity_provider.admin_enable_user/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_enable_user/3","title":"aws_cognito_identity_provider.admin_enable_user/3","type":"function"},{"doc":"Forgets the device, as an administrator. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_forget_device/2","title":"aws_cognito_identity_provider.admin_forget_device/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_forget_device/3","title":"aws_cognito_identity_provider.admin_forget_device/3","type":"function"},{"doc":"Gets the device, as an administrator. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_get_device/2","title":"aws_cognito_identity_provider.admin_get_device/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_get_device/3","title":"aws_cognito_identity_provider.admin_get_device/3","type":"function"},{"doc":"Gets the specified user by user name in a user pool as an administrator. Works on any user. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_get_user/2","title":"aws_cognito_identity_provider.admin_get_user/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_get_user/3","title":"aws_cognito_identity_provider.admin_get_user/3","type":"function"},{"doc":"Initiates the authentication flow, as an administrator. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_initiate_auth/2","title":"aws_cognito_identity_provider.admin_initiate_auth/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_initiate_auth/3","title":"aws_cognito_identity_provider.admin_initiate_auth/3","type":"function"},{"doc":"Links an existing user account in a user pool ( DestinationUser ) to an identity from an external IdP ( SourceUser ) based on a specified attribute name and value from the external IdP. This allows you to create a link from the existing user account to an external federated user identity that has not yet been used to sign in. You can then use the federated user identity to sign in as the existing user account. For example, if there is an existing user with a username and password, this API links that user to a federated user identity. When the user signs in with a federated user identity, they sign in as the existing user account. The maximum number of federated identities linked to a user is five. Because this API allows a user with an external federated identity to sign in as an existing user in the user pool, it is critical that it only be used with external IdPs and provider attributes that have been trusted by the application owner. This action is administrative and requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_link_provider_for_user/2","title":"aws_cognito_identity_provider.admin_link_provider_for_user/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_link_provider_for_user/3","title":"aws_cognito_identity_provider.admin_link_provider_for_user/3","type":"function"},{"doc":"Lists devices, as an administrator. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_list_devices/2","title":"aws_cognito_identity_provider.admin_list_devices/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_list_devices/3","title":"aws_cognito_identity_provider.admin_list_devices/3","type":"function"},{"doc":"Lists the groups that the user belongs to. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_list_groups_for_user/2","title":"aws_cognito_identity_provider.admin_list_groups_for_user/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_list_groups_for_user/3","title":"aws_cognito_identity_provider.admin_list_groups_for_user/3","type":"function"},{"doc":"A history of user activity and any risks detected as part of Amazon Cognito advanced security.","ref":"aws_cognito_identity_provider.html#admin_list_user_auth_events/2","title":"aws_cognito_identity_provider.admin_list_user_auth_events/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_list_user_auth_events/3","title":"aws_cognito_identity_provider.admin_list_user_auth_events/3","type":"function"},{"doc":"Removes the specified user from the specified group. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_remove_user_from_group/2","title":"aws_cognito_identity_provider.admin_remove_user_from_group/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_remove_user_from_group/3","title":"aws_cognito_identity_provider.admin_remove_user_from_group/3","type":"function"},{"doc":"Resets the specified user's password in a user pool as an administrator. Works on any user. When a developer calls this API, the current password is invalidated, so it must be changed. If a user tries to sign in after the API is called, the app will get a PasswordResetRequiredException exception back and should direct the user down the flow to reset the password, which is the same as the forgot password flow. In addition, if the user pool has phone verification selected and a verified phone number exists for the user, or if email verification is selected and a verified email exists for the user, calling this API will also result in sending a message to the end user with the code to change their password. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_reset_user_password/2","title":"aws_cognito_identity_provider.admin_reset_user_password/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_reset_user_password/3","title":"aws_cognito_identity_provider.admin_reset_user_password/3","type":"function"},{"doc":"Responds to an authentication challenge, as an administrator. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_respond_to_auth_challenge/2","title":"aws_cognito_identity_provider.admin_respond_to_auth_challenge/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_respond_to_auth_challenge/3","title":"aws_cognito_identity_provider.admin_respond_to_auth_challenge/3","type":"function"},{"doc":"The user's multi-factor authentication (MFA) preference, including which MFA options are activated, and if any are preferred. Only one factor can be set as preferred. The preferred MFA factor will be used to authenticate a user if multiple factors are activated. If multiple options are activated and no preference is set, a challenge to choose an MFA option will be returned during sign-in.","ref":"aws_cognito_identity_provider.html#admin_set_user_mfa_preference/2","title":"aws_cognito_identity_provider.admin_set_user_mfa_preference/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_set_user_mfa_preference/3","title":"aws_cognito_identity_provider.admin_set_user_mfa_preference/3","type":"function"},{"doc":"Sets the specified user's password in a user pool as an administrator. Works on any user. The password can be temporary or permanent. If it is temporary, the user status enters the FORCE_CHANGE_PASSWORD state. When the user next tries to sign in, the InitiateAuth/AdminInitiateAuth response will contain the NEW_PASSWORD_REQUIRED challenge. If the user doesn't sign in before it expires, the user won't be able to sign in, and an administrator must reset their password. Once the user has set a new password, or the password is permanent, the user status is set to Confirmed .","ref":"aws_cognito_identity_provider.html#admin_set_user_password/2","title":"aws_cognito_identity_provider.admin_set_user_password/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_set_user_password/3","title":"aws_cognito_identity_provider.admin_set_user_password/3","type":"function"},{"doc":"This action is no longer supported. You can use it to configure only SMS MFA. You can't use it to configure time-based one-time password (TOTP) software token MFA. To configure either type of MFA, use AdminSetUserMFAPreference instead.","ref":"aws_cognito_identity_provider.html#admin_set_user_settings/2","title":"aws_cognito_identity_provider.admin_set_user_settings/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_set_user_settings/3","title":"aws_cognito_identity_provider.admin_set_user_settings/3","type":"function"},{"doc":"Provides feedback for an authentication event indicating if it was from a valid user. This feedback is used for improving the risk evaluation decision for the user pool as part of Amazon Cognito advanced security.","ref":"aws_cognito_identity_provider.html#admin_update_auth_event_feedback/2","title":"aws_cognito_identity_provider.admin_update_auth_event_feedback/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_update_auth_event_feedback/3","title":"aws_cognito_identity_provider.admin_update_auth_event_feedback/3","type":"function"},{"doc":"Updates the device status as an administrator. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_update_device_status/2","title":"aws_cognito_identity_provider.admin_update_device_status/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_update_device_status/3","title":"aws_cognito_identity_provider.admin_update_device_status/3","type":"function"},{"doc":"Updates the specified user's attributes, including developer attributes, as an administrator. Works on any user. For custom attributes, you must prepend the custom: prefix to the attribute name. In addition to updating user attributes, this API can also be used to mark phone and email as verified. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_update_user_attributes/2","title":"aws_cognito_identity_provider.admin_update_user_attributes/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_update_user_attributes/3","title":"aws_cognito_identity_provider.admin_update_user_attributes/3","type":"function"},{"doc":"Signs out a user from all devices. You must sign AdminUserGlobalSignOut requests with Amazon Web Services credentials. It also invalidates all refresh tokens that Amazon Cognito has issued to a user. The user's current access and ID tokens remain valid until they expire. By default, access and ID tokens expire one hour after they're issued. A user can still use a hosted UI cookie to retrieve new tokens for the duration of the cookie validity period of 1 hour. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#admin_user_global_sign_out/2","title":"aws_cognito_identity_provider.admin_user_global_sign_out/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#admin_user_global_sign_out/3","title":"aws_cognito_identity_provider.admin_user_global_sign_out/3","type":"function"},{"doc":"Begins setup of time-based one-time password (TOTP) multi-factor authentication (MFA) for a user, with a unique private key that Amazon Cognito generates and returns in the API response. You can authorize an AssociateSoftwareToken request with either the user's access token, or a session string from a challenge response that you received from Amazon Cognito. Amazon Cognito disassociates an existing software token when you verify the new token in a VerifySoftwareToken API request. If you don't verify the software token and your user pool doesn't require MFA, the user can then authenticate with user name and password credentials alone. If your user pool requires TOTP MFA, Amazon Cognito generates an MFA_SETUP or SOFTWARE_TOKEN_SETUP challenge each time your user signs. Complete setup with AssociateSoftwareToken and VerifySoftwareToken . After you set up software token MFA for your user, Amazon Cognito generates a SOFTWARE_TOKEN_MFA challenge when they authenticate. Respond to this challenge with your user's TOTP.","ref":"aws_cognito_identity_provider.html#associate_software_token/2","title":"aws_cognito_identity_provider.associate_software_token/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#associate_software_token/3","title":"aws_cognito_identity_provider.associate_software_token/3","type":"function"},{"doc":"Changes the password for a specified user in a user pool.","ref":"aws_cognito_identity_provider.html#change_password/2","title":"aws_cognito_identity_provider.change_password/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#change_password/3","title":"aws_cognito_identity_provider.change_password/3","type":"function"},{"doc":"Confirms tracking of the device. This API call is the call that begins device tracking.","ref":"aws_cognito_identity_provider.html#confirm_device/2","title":"aws_cognito_identity_provider.confirm_device/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#confirm_device/3","title":"aws_cognito_identity_provider.confirm_device/3","type":"function"},{"doc":"Allows a user to enter a confirmation code to reset a forgotten password.","ref":"aws_cognito_identity_provider.html#confirm_forgot_password/2","title":"aws_cognito_identity_provider.confirm_forgot_password/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#confirm_forgot_password/3","title":"aws_cognito_identity_provider.confirm_forgot_password/3","type":"function"},{"doc":"Confirms registration of a new user.","ref":"aws_cognito_identity_provider.html#confirm_sign_up/2","title":"aws_cognito_identity_provider.confirm_sign_up/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#confirm_sign_up/3","title":"aws_cognito_identity_provider.confirm_sign_up/3","type":"function"},{"doc":"Creates a new group in the specified user pool. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#create_group/2","title":"aws_cognito_identity_provider.create_group/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#create_group/3","title":"aws_cognito_identity_provider.create_group/3","type":"function"},{"doc":"Creates an IdP for a user pool.","ref":"aws_cognito_identity_provider.html#create_identity_provider/2","title":"aws_cognito_identity_provider.create_identity_provider/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#create_identity_provider/3","title":"aws_cognito_identity_provider.create_identity_provider/3","type":"function"},{"doc":"Creates a new OAuth2.0 resource server and defines custom scopes within it.","ref":"aws_cognito_identity_provider.html#create_resource_server/2","title":"aws_cognito_identity_provider.create_resource_server/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#create_resource_server/3","title":"aws_cognito_identity_provider.create_resource_server/3","type":"function"},{"doc":"Creates the user import job.","ref":"aws_cognito_identity_provider.html#create_user_import_job/2","title":"aws_cognito_identity_provider.create_user_import_job/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#create_user_import_job/3","title":"aws_cognito_identity_provider.create_user_import_job/3","type":"function"},{"doc":"Creates a new Amazon Cognito user pool and sets the password policy for the pool. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide.","ref":"aws_cognito_identity_provider.html#create_user_pool/2","title":"aws_cognito_identity_provider.create_user_pool/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#create_user_pool/3","title":"aws_cognito_identity_provider.create_user_pool/3","type":"function"},{"doc":"Creates the user pool client. When you create a new user pool client, token revocation is automatically activated. For more information about revoking tokens, see RevokeToken.","ref":"aws_cognito_identity_provider.html#create_user_pool_client/2","title":"aws_cognito_identity_provider.create_user_pool_client/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#create_user_pool_client/3","title":"aws_cognito_identity_provider.create_user_pool_client/3","type":"function"},{"doc":"Creates a new domain for a user pool.","ref":"aws_cognito_identity_provider.html#create_user_pool_domain/2","title":"aws_cognito_identity_provider.create_user_pool_domain/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#create_user_pool_domain/3","title":"aws_cognito_identity_provider.create_user_pool_domain/3","type":"function"},{"doc":"Deletes a group. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#delete_group/2","title":"aws_cognito_identity_provider.delete_group/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#delete_group/3","title":"aws_cognito_identity_provider.delete_group/3","type":"function"},{"doc":"Deletes an IdP for a user pool.","ref":"aws_cognito_identity_provider.html#delete_identity_provider/2","title":"aws_cognito_identity_provider.delete_identity_provider/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#delete_identity_provider/3","title":"aws_cognito_identity_provider.delete_identity_provider/3","type":"function"},{"doc":"Deletes a resource server.","ref":"aws_cognito_identity_provider.html#delete_resource_server/2","title":"aws_cognito_identity_provider.delete_resource_server/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#delete_resource_server/3","title":"aws_cognito_identity_provider.delete_resource_server/3","type":"function"},{"doc":"Allows a user to delete himself or herself.","ref":"aws_cognito_identity_provider.html#delete_user/2","title":"aws_cognito_identity_provider.delete_user/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#delete_user/3","title":"aws_cognito_identity_provider.delete_user/3","type":"function"},{"doc":"Deletes the attributes for a user.","ref":"aws_cognito_identity_provider.html#delete_user_attributes/2","title":"aws_cognito_identity_provider.delete_user_attributes/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#delete_user_attributes/3","title":"aws_cognito_identity_provider.delete_user_attributes/3","type":"function"},{"doc":"Deletes the specified Amazon Cognito user pool.","ref":"aws_cognito_identity_provider.html#delete_user_pool/2","title":"aws_cognito_identity_provider.delete_user_pool/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#delete_user_pool/3","title":"aws_cognito_identity_provider.delete_user_pool/3","type":"function"},{"doc":"Allows the developer to delete the user pool client.","ref":"aws_cognito_identity_provider.html#delete_user_pool_client/2","title":"aws_cognito_identity_provider.delete_user_pool_client/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#delete_user_pool_client/3","title":"aws_cognito_identity_provider.delete_user_pool_client/3","type":"function"},{"doc":"Deletes a domain for a user pool.","ref":"aws_cognito_identity_provider.html#delete_user_pool_domain/2","title":"aws_cognito_identity_provider.delete_user_pool_domain/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#delete_user_pool_domain/3","title":"aws_cognito_identity_provider.delete_user_pool_domain/3","type":"function"},{"doc":"Gets information about a specific IdP.","ref":"aws_cognito_identity_provider.html#describe_identity_provider/2","title":"aws_cognito_identity_provider.describe_identity_provider/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#describe_identity_provider/3","title":"aws_cognito_identity_provider.describe_identity_provider/3","type":"function"},{"doc":"Describes a resource server.","ref":"aws_cognito_identity_provider.html#describe_resource_server/2","title":"aws_cognito_identity_provider.describe_resource_server/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#describe_resource_server/3","title":"aws_cognito_identity_provider.describe_resource_server/3","type":"function"},{"doc":"Describes the risk configuration.","ref":"aws_cognito_identity_provider.html#describe_risk_configuration/2","title":"aws_cognito_identity_provider.describe_risk_configuration/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#describe_risk_configuration/3","title":"aws_cognito_identity_provider.describe_risk_configuration/3","type":"function"},{"doc":"Describes the user import job.","ref":"aws_cognito_identity_provider.html#describe_user_import_job/2","title":"aws_cognito_identity_provider.describe_user_import_job/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#describe_user_import_job/3","title":"aws_cognito_identity_provider.describe_user_import_job/3","type":"function"},{"doc":"Returns the configuration information and metadata of the specified user pool.","ref":"aws_cognito_identity_provider.html#describe_user_pool/2","title":"aws_cognito_identity_provider.describe_user_pool/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#describe_user_pool/3","title":"aws_cognito_identity_provider.describe_user_pool/3","type":"function"},{"doc":"Client method for returning the configuration information and metadata of the specified user pool app client.","ref":"aws_cognito_identity_provider.html#describe_user_pool_client/2","title":"aws_cognito_identity_provider.describe_user_pool_client/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#describe_user_pool_client/3","title":"aws_cognito_identity_provider.describe_user_pool_client/3","type":"function"},{"doc":"Gets information about a domain.","ref":"aws_cognito_identity_provider.html#describe_user_pool_domain/2","title":"aws_cognito_identity_provider.describe_user_pool_domain/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#describe_user_pool_domain/3","title":"aws_cognito_identity_provider.describe_user_pool_domain/3","type":"function"},{"doc":"Forgets the specified device.","ref":"aws_cognito_identity_provider.html#forget_device/2","title":"aws_cognito_identity_provider.forget_device/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#forget_device/3","title":"aws_cognito_identity_provider.forget_device/3","type":"function"},{"doc":"Calling this API causes a message to be sent to the end user with a confirmation code that is required to change the user's password. For the Username parameter, you can use the username or user alias. The method used to send the confirmation code is sent according to the specified AccountRecoverySetting. For more information, see Recovering User Accounts in the Amazon Cognito Developer Guide. If neither a verified phone number nor a verified email exists, an InvalidParameterException is thrown. To use the confirmation code for resetting the password, call ConfirmForgotPassword. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide.","ref":"aws_cognito_identity_provider.html#forgot_password/2","title":"aws_cognito_identity_provider.forgot_password/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#forgot_password/3","title":"aws_cognito_identity_provider.forgot_password/3","type":"function"},{"doc":"Gets the header information for the comma-separated value (CSV) file to be used as input for the user import job.","ref":"aws_cognito_identity_provider.html#get_csv_header/2","title":"aws_cognito_identity_provider.get_csv_header/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#get_csv_header/3","title":"aws_cognito_identity_provider.get_csv_header/3","type":"function"},{"doc":"Gets the device.","ref":"aws_cognito_identity_provider.html#get_device/2","title":"aws_cognito_identity_provider.get_device/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#get_device/3","title":"aws_cognito_identity_provider.get_device/3","type":"function"},{"doc":"Gets a group. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#get_group/2","title":"aws_cognito_identity_provider.get_group/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#get_group/3","title":"aws_cognito_identity_provider.get_group/3","type":"function"},{"doc":"Gets the specified IdP.","ref":"aws_cognito_identity_provider.html#get_identity_provider_by_identifier/2","title":"aws_cognito_identity_provider.get_identity_provider_by_identifier/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#get_identity_provider_by_identifier/3","title":"aws_cognito_identity_provider.get_identity_provider_by_identifier/3","type":"function"},{"doc":"This method takes a user pool ID, and returns the signing certificate. The issued certificate is valid for 10 years from the date of issue. Amazon Cognito issues and assigns a new signing certificate annually. This process returns a new value in the response to GetSigningCertificate , but doesn't invalidate the original certificate.","ref":"aws_cognito_identity_provider.html#get_signing_certificate/2","title":"aws_cognito_identity_provider.get_signing_certificate/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#get_signing_certificate/3","title":"aws_cognito_identity_provider.get_signing_certificate/3","type":"function"},{"doc":"Gets the user interface (UI) Customization information for a particular app client's app UI, if any such information exists for the client. If nothing is set for the particular client, but there is an existing pool level customization (the app clientId is ALL ), then that information is returned. If nothing is present, then an empty shape is returned.","ref":"aws_cognito_identity_provider.html#get_ui_customization/2","title":"aws_cognito_identity_provider.get_ui_customization/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#get_ui_customization/3","title":"aws_cognito_identity_provider.get_ui_customization/3","type":"function"},{"doc":"Gets the user attributes and metadata for a user.","ref":"aws_cognito_identity_provider.html#get_user/2","title":"aws_cognito_identity_provider.get_user/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#get_user/3","title":"aws_cognito_identity_provider.get_user/3","type":"function"},{"doc":"Generates a user attribute verification code for the specified attribute name. Sends a message to a user with a code that they must return in a VerifyUserAttribute request. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide.","ref":"aws_cognito_identity_provider.html#get_user_attribute_verification_code/2","title":"aws_cognito_identity_provider.get_user_attribute_verification_code/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#get_user_attribute_verification_code/3","title":"aws_cognito_identity_provider.get_user_attribute_verification_code/3","type":"function"},{"doc":"Gets the user pool multi-factor authentication (MFA) configuration.","ref":"aws_cognito_identity_provider.html#get_user_pool_mfa_config/2","title":"aws_cognito_identity_provider.get_user_pool_mfa_config/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#get_user_pool_mfa_config/3","title":"aws_cognito_identity_provider.get_user_pool_mfa_config/3","type":"function"},{"doc":"Signs out users from all devices. It also invalidates all refresh tokens that Amazon Cognito has issued to a user. A user can still use a hosted UI cookie to retrieve new tokens for the duration of the 1-hour cookie validity period.","ref":"aws_cognito_identity_provider.html#global_sign_out/2","title":"aws_cognito_identity_provider.global_sign_out/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#global_sign_out/3","title":"aws_cognito_identity_provider.global_sign_out/3","type":"function"},{"doc":"Initiates sign-in for a user in the Amazon Cognito user directory. You can't sign in a user with a federated IdP with InitiateAuth . For more information, see Adding user pool sign-in through a third party. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide.","ref":"aws_cognito_identity_provider.html#initiate_auth/2","title":"aws_cognito_identity_provider.initiate_auth/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#initiate_auth/3","title":"aws_cognito_identity_provider.initiate_auth/3","type":"function"},{"doc":"Lists the sign-in devices that Amazon Cognito has registered to the current user.","ref":"aws_cognito_identity_provider.html#list_devices/2","title":"aws_cognito_identity_provider.list_devices/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#list_devices/3","title":"aws_cognito_identity_provider.list_devices/3","type":"function"},{"doc":"Lists the groups associated with a user pool. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#list_groups/2","title":"aws_cognito_identity_provider.list_groups/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#list_groups/3","title":"aws_cognito_identity_provider.list_groups/3","type":"function"},{"doc":"Lists information about all IdPs for a user pool.","ref":"aws_cognito_identity_provider.html#list_identity_providers/2","title":"aws_cognito_identity_provider.list_identity_providers/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#list_identity_providers/3","title":"aws_cognito_identity_provider.list_identity_providers/3","type":"function"},{"doc":"Lists the resource servers for a user pool.","ref":"aws_cognito_identity_provider.html#list_resource_servers/2","title":"aws_cognito_identity_provider.list_resource_servers/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#list_resource_servers/3","title":"aws_cognito_identity_provider.list_resource_servers/3","type":"function"},{"doc":"Lists the tags that are assigned to an Amazon Cognito user pool. A tag is a label that you can apply to user pools to categorize and manage them in different ways, such as by purpose, owner, environment, or other criteria. You can use this action up to 10 times per second, per account.","ref":"aws_cognito_identity_provider.html#list_tags_for_resource/2","title":"aws_cognito_identity_provider.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#list_tags_for_resource/3","title":"aws_cognito_identity_provider.list_tags_for_resource/3","type":"function"},{"doc":"Lists the user import jobs.","ref":"aws_cognito_identity_provider.html#list_user_import_jobs/2","title":"aws_cognito_identity_provider.list_user_import_jobs/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#list_user_import_jobs/3","title":"aws_cognito_identity_provider.list_user_import_jobs/3","type":"function"},{"doc":"Lists the clients that have been created for the specified user pool.","ref":"aws_cognito_identity_provider.html#list_user_pool_clients/2","title":"aws_cognito_identity_provider.list_user_pool_clients/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#list_user_pool_clients/3","title":"aws_cognito_identity_provider.list_user_pool_clients/3","type":"function"},{"doc":"Lists the user pools associated with an Amazon Web Services account.","ref":"aws_cognito_identity_provider.html#list_user_pools/2","title":"aws_cognito_identity_provider.list_user_pools/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#list_user_pools/3","title":"aws_cognito_identity_provider.list_user_pools/3","type":"function"},{"doc":"Lists the users in the Amazon Cognito user pool.","ref":"aws_cognito_identity_provider.html#list_users/2","title":"aws_cognito_identity_provider.list_users/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#list_users/3","title":"aws_cognito_identity_provider.list_users/3","type":"function"},{"doc":"Lists the users in the specified group. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#list_users_in_group/2","title":"aws_cognito_identity_provider.list_users_in_group/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#list_users_in_group/3","title":"aws_cognito_identity_provider.list_users_in_group/3","type":"function"},{"doc":"Resends the confirmation (for confirmation of registration) to a specific user in the user pool. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide.","ref":"aws_cognito_identity_provider.html#resend_confirmation_code/2","title":"aws_cognito_identity_provider.resend_confirmation_code/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#resend_confirmation_code/3","title":"aws_cognito_identity_provider.resend_confirmation_code/3","type":"function"},{"doc":"Responds to the authentication challenge. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide.","ref":"aws_cognito_identity_provider.html#respond_to_auth_challenge/2","title":"aws_cognito_identity_provider.respond_to_auth_challenge/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#respond_to_auth_challenge/3","title":"aws_cognito_identity_provider.respond_to_auth_challenge/3","type":"function"},{"doc":"Revokes all of the access tokens generated by, and at the same time as, the specified refresh token. After a token is revoked, you can't use the revoked token to access Amazon Cognito user APIs, or to authorize access to your resource server.","ref":"aws_cognito_identity_provider.html#revoke_token/2","title":"aws_cognito_identity_provider.revoke_token/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#revoke_token/3","title":"aws_cognito_identity_provider.revoke_token/3","type":"function"},{"doc":"Configures actions on detected risks. To delete the risk configuration for UserPoolId or ClientId , pass null values for all four configuration types. To activate Amazon Cognito advanced security features, update the user pool to include the UserPoolAddOns key AdvancedSecurityMode .","ref":"aws_cognito_identity_provider.html#set_risk_configuration/2","title":"aws_cognito_identity_provider.set_risk_configuration/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#set_risk_configuration/3","title":"aws_cognito_identity_provider.set_risk_configuration/3","type":"function"},{"doc":"Sets the user interface (UI) customization information for a user pool's built-in app UI. You can specify app UI customization settings for a single client (with a specific clientId ) or for all clients (by setting the clientId to ALL ). If you specify ALL , the default configuration is used for every client that has no previously set UI customization. If you specify UI customization settings for a particular client, it will no longer return to the ALL configuration. To use this API, your user pool must have a domain associated with it. Otherwise, there is no place to host the app's pages, and the service will throw an error.","ref":"aws_cognito_identity_provider.html#set_ui_customization/2","title":"aws_cognito_identity_provider.set_ui_customization/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#set_ui_customization/3","title":"aws_cognito_identity_provider.set_ui_customization/3","type":"function"},{"doc":"Set the user's multi-factor authentication (MFA) method preference, including which MFA factors are activated and if any are preferred. Only one factor can be set as preferred. The preferred MFA factor will be used to authenticate a user if multiple factors are activated. If multiple options are activated and no preference is set, a challenge to choose an MFA option will be returned during sign-in. If an MFA type is activated for a user, the user will be prompted for MFA during all sign-in attempts unless device tracking is turned on and the device has been trusted. If you want MFA to be applied selectively based on the assessed risk level of sign-in attempts, deactivate MFA for users and turn on Adaptive Authentication for the user pool.","ref":"aws_cognito_identity_provider.html#set_user_mfa_preference/2","title":"aws_cognito_identity_provider.set_user_mfa_preference/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#set_user_mfa_preference/3","title":"aws_cognito_identity_provider.set_user_mfa_preference/3","type":"function"},{"doc":"Sets the user pool multi-factor authentication (MFA) configuration. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide.","ref":"aws_cognito_identity_provider.html#set_user_pool_mfa_config/2","title":"aws_cognito_identity_provider.set_user_pool_mfa_config/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#set_user_pool_mfa_config/3","title":"aws_cognito_identity_provider.set_user_pool_mfa_config/3","type":"function"},{"doc":"This action is no longer supported. You can use it to configure only SMS MFA. You can't use it to configure time-based one-time password (TOTP) software token MFA. To configure either type of MFA, use SetUserMFAPreference instead.","ref":"aws_cognito_identity_provider.html#set_user_settings/2","title":"aws_cognito_identity_provider.set_user_settings/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#set_user_settings/3","title":"aws_cognito_identity_provider.set_user_settings/3","type":"function"},{"doc":"Registers the user in the specified user pool and creates a user name, password, and user attributes. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide.","ref":"aws_cognito_identity_provider.html#sign_up/2","title":"aws_cognito_identity_provider.sign_up/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#sign_up/3","title":"aws_cognito_identity_provider.sign_up/3","type":"function"},{"doc":"Starts the user import.","ref":"aws_cognito_identity_provider.html#start_user_import_job/2","title":"aws_cognito_identity_provider.start_user_import_job/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#start_user_import_job/3","title":"aws_cognito_identity_provider.start_user_import_job/3","type":"function"},{"doc":"Stops the user import job.","ref":"aws_cognito_identity_provider.html#stop_user_import_job/2","title":"aws_cognito_identity_provider.stop_user_import_job/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#stop_user_import_job/3","title":"aws_cognito_identity_provider.stop_user_import_job/3","type":"function"},{"doc":"Assigns a set of tags to an Amazon Cognito user pool. A tag is a label that you can use to categorize and manage user pools in different ways, such as by purpose, owner, environment, or other criteria. Each tag consists of a key and value, both of which you define. A key is a general category for more specific values. For example, if you have two versions of a user pool, one for testing and another for production, you might assign an Environment tag key to both user pools. The value of this key might be Test for one user pool, and Production for the other. Tags are useful for cost tracking and access control. You can activate your tags so that they appear on the Billing and Cost Management console, where you can track the costs associated with your user pools. In an Identity and Access Management policy, you can constrain permissions for user pools based on specific tags or tag values. You can use this action up to 5 times per second, per account. A user pool can have as many as 50 tags.","ref":"aws_cognito_identity_provider.html#tag_resource/2","title":"aws_cognito_identity_provider.tag_resource/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#tag_resource/3","title":"aws_cognito_identity_provider.tag_resource/3","type":"function"},{"doc":"Removes the specified tags from an Amazon Cognito user pool. You can use this action up to 5 times per second, per account.","ref":"aws_cognito_identity_provider.html#untag_resource/2","title":"aws_cognito_identity_provider.untag_resource/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#untag_resource/3","title":"aws_cognito_identity_provider.untag_resource/3","type":"function"},{"doc":"Provides the feedback for an authentication event, whether it was from a valid user or not. This feedback is used for improving the risk evaluation decision for the user pool as part of Amazon Cognito advanced security.","ref":"aws_cognito_identity_provider.html#update_auth_event_feedback/2","title":"aws_cognito_identity_provider.update_auth_event_feedback/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#update_auth_event_feedback/3","title":"aws_cognito_identity_provider.update_auth_event_feedback/3","type":"function"},{"doc":"Updates the device status.","ref":"aws_cognito_identity_provider.html#update_device_status/2","title":"aws_cognito_identity_provider.update_device_status/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#update_device_status/3","title":"aws_cognito_identity_provider.update_device_status/3","type":"function"},{"doc":"Updates the specified group with the specified attributes. Calling this action requires developer credentials.","ref":"aws_cognito_identity_provider.html#update_group/2","title":"aws_cognito_identity_provider.update_group/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#update_group/3","title":"aws_cognito_identity_provider.update_group/3","type":"function"},{"doc":"Updates IdP information for a user pool.","ref":"aws_cognito_identity_provider.html#update_identity_provider/2","title":"aws_cognito_identity_provider.update_identity_provider/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#update_identity_provider/3","title":"aws_cognito_identity_provider.update_identity_provider/3","type":"function"},{"doc":"Updates the name and scopes of resource server. All other fields are read-only. If you don't provide a value for an attribute, it is set to the default value.","ref":"aws_cognito_identity_provider.html#update_resource_server/2","title":"aws_cognito_identity_provider.update_resource_server/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#update_resource_server/3","title":"aws_cognito_identity_provider.update_resource_server/3","type":"function"},{"doc":"Allows a user to update a specific attribute (one at a time). This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide.","ref":"aws_cognito_identity_provider.html#update_user_attributes/2","title":"aws_cognito_identity_provider.update_user_attributes/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#update_user_attributes/3","title":"aws_cognito_identity_provider.update_user_attributes/3","type":"function"},{"doc":"Updates the specified user pool with the specified attributes. You can get a list of the current user pool settings using DescribeUserPool. If you don't provide a value for an attribute, it will be set to the default value. This action might generate an SMS text message. Starting June 1, 2021, US telecom carriers require you to register an origination phone number before you can send SMS messages to US phone numbers. If you use SMS text messages in Amazon Cognito, you must register a phone number with Amazon Pinpoint. Amazon Cognito uses the registered number automatically. Otherwise, Amazon Cognito users who must receive SMS messages might not be able to sign up, activate their accounts, or sign in. If you have never used SMS text messages with Amazon Cognito or any other Amazon Web Service, Amazon Simple Notification Service might place your account in the SMS sandbox. In sandbox mode , you can send messages only to verified phone numbers. After you test your app while in the sandbox environment, you can move out of the sandbox and into production. For more information, see SMS message settings for Amazon Cognito user pools in the Amazon Cognito Developer Guide.","ref":"aws_cognito_identity_provider.html#update_user_pool/2","title":"aws_cognito_identity_provider.update_user_pool/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#update_user_pool/3","title":"aws_cognito_identity_provider.update_user_pool/3","type":"function"},{"doc":"Updates the specified user pool app client with the specified attributes. You can get a list of the current user pool app client settings using DescribeUserPoolClient. If you don't provide a value for an attribute, it will be set to the default value. You can also use this operation to enable token revocation for user pool clients. For more information about revoking tokens, see RevokeToken.","ref":"aws_cognito_identity_provider.html#update_user_pool_client/2","title":"aws_cognito_identity_provider.update_user_pool_client/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#update_user_pool_client/3","title":"aws_cognito_identity_provider.update_user_pool_client/3","type":"function"},{"doc":"Updates the Secure Sockets Layer (SSL) certificate for the custom domain for your user pool. You can use this operation to provide the Amazon Resource Name (ARN) of a new certificate to Amazon Cognito. You can't use it to change the domain for a user pool. A custom domain is used to host the Amazon Cognito hosted UI, which provides sign-up and sign-in pages for your application. When you set up a custom domain, you provide a certificate that you manage with Certificate Manager (ACM). When necessary, you can use this operation to change the certificate that you applied to your custom domain. Usually, this is unnecessary following routine certificate renewal with ACM. When you renew your existing certificate in ACM, the ARN for your certificate remains the same, and your custom domain uses the new certificate automatically. However, if you replace your existing certificate with a new one, ACM gives the new certificate a new ARN. To apply the new certificate to your custom domain, you must provide this ARN to Amazon Cognito. When you add your new certificate in ACM, you must choose US East (N. Virginia) as the Amazon Web Services Region. After you submit your request, Amazon Cognito requires up to 1 hour to distribute your new certificate to your custom domain. For more information about adding a custom domain to your user pool, see Using Your Own Domain for the Hosted UI.","ref":"aws_cognito_identity_provider.html#update_user_pool_domain/2","title":"aws_cognito_identity_provider.update_user_pool_domain/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#update_user_pool_domain/3","title":"aws_cognito_identity_provider.update_user_pool_domain/3","type":"function"},{"doc":"Use this API to register a user's entered time-based one-time password (TOTP) code and mark the user's software token MFA status as &quot;verified&quot; if successful. The request takes an access token or a session string, but not both.","ref":"aws_cognito_identity_provider.html#verify_software_token/2","title":"aws_cognito_identity_provider.verify_software_token/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#verify_software_token/3","title":"aws_cognito_identity_provider.verify_software_token/3","type":"function"},{"doc":"Verifies the specified user attributes in the user pool. If your user pool requires verification before Amazon Cognito updates the attribute value, VerifyUserAttribute updates the affected attribute to its pending value. For more information, see UserAttributeUpdateSettingsType.","ref":"aws_cognito_identity_provider.html#verify_user_attribute/2","title":"aws_cognito_identity_provider.verify_user_attribute/2","type":"function"},{"doc":"","ref":"aws_cognito_identity_provider.html#verify_user_attribute/3","title":"aws_cognito_identity_provider.verify_user_attribute/3","type":"function"},{"doc":"Amazon Cognito Sync Amazon Cognito Sync provides an AWS service and client library that enable cross-device syncing of application-related user data. High-level client libraries are available for both iOS and Android. You can use these libraries to persist data locally so that it's available even if the device is offline. Developer credentials don't need to be stored on the mobile device to access the service. You can use Amazon Cognito to obtain a normalized user ID and credentials. User data is persisted in a dataset that can store up to 1 MB of key-value pairs, and you can have up to 20 datasets per user identity. With Amazon Cognito Sync, the data stored for each identity is accessible only to credentials assigned to that identity. In order to use the Cognito Sync service, you need to make API calls using credentials retrieved with Amazon Cognito Identity service. If you want to use Cognito Sync in an Android or iOS application, you will probably want to make API calls via the AWS Mobile SDK. To learn more, see the Developer Guide for Android and the Developer Guide for iOS.","ref":"aws_cognito_sync.html","title":"aws_cognito_sync","type":"module"},{"doc":"Initiates a bulk publish of all existing datasets for an Identity Pool to the configured stream. Customers are limited to one successful bulk publish per 24 hours. Bulk publish is an asynchronous request, customers can see the status of the request via the GetBulkPublishDetails operation. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognito_sync.html#bulk_publish/3","title":"aws_cognito_sync.bulk_publish/3","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#bulk_publish/4","title":"aws_cognito_sync.bulk_publish/4","type":"function"},{"doc":"Deletes the specific dataset. The dataset will be deleted permanently, and the action can't be undone. Datasets that this dataset was merged with will no longer report the merge. Any subsequent operation on this dataset will result in a ResourceNotFoundException. This API can be called with temporary user credentials provided by Cognito Identity or with developer credentials.","ref":"aws_cognito_sync.html#delete_dataset/5","title":"aws_cognito_sync.delete_dataset/5","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#delete_dataset/6","title":"aws_cognito_sync.delete_dataset/6","type":"function"},{"doc":"Gets meta data about a dataset by identity and dataset name. With Amazon Cognito Sync, each identity has access only to its own data. Thus, the credentials used to make this API call need to have access to the identity data. This API can be called with temporary user credentials provided by Cognito Identity or with developer credentials. You should use Cognito Identity credentials to make this API call.","ref":"aws_cognito_sync.html#describe_dataset/4","title":"aws_cognito_sync.describe_dataset/4","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#describe_dataset/6","title":"aws_cognito_sync.describe_dataset/6","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#describe_dataset/7","title":"aws_cognito_sync.describe_dataset/7","type":"function"},{"doc":"Gets usage details (for example, data storage) about a particular identity pool. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognito_sync.html#describe_identity_pool_usage/2","title":"aws_cognito_sync.describe_identity_pool_usage/2","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#describe_identity_pool_usage/4","title":"aws_cognito_sync.describe_identity_pool_usage/4","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#describe_identity_pool_usage/5","title":"aws_cognito_sync.describe_identity_pool_usage/5","type":"function"},{"doc":"Gets usage information for an identity, including number of datasets and data usage. This API can be called with temporary user credentials provided by Cognito Identity or with developer credentials.","ref":"aws_cognito_sync.html#describe_identity_usage/3","title":"aws_cognito_sync.describe_identity_usage/3","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#describe_identity_usage/5","title":"aws_cognito_sync.describe_identity_usage/5","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#describe_identity_usage/6","title":"aws_cognito_sync.describe_identity_usage/6","type":"function"},{"doc":"Get the status of the last BulkPublish operation for an identity pool. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognito_sync.html#get_bulk_publish_details/3","title":"aws_cognito_sync.get_bulk_publish_details/3","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#get_bulk_publish_details/4","title":"aws_cognito_sync.get_bulk_publish_details/4","type":"function"},{"doc":"Gets the events and the corresponding Lambda functions associated with an identity pool. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognito_sync.html#get_cognito_events/2","title":"aws_cognito_sync.get_cognito_events/2","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#get_cognito_events/4","title":"aws_cognito_sync.get_cognito_events/4","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#get_cognito_events/5","title":"aws_cognito_sync.get_cognito_events/5","type":"function"},{"doc":"Gets the configuration settings of an identity pool. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognito_sync.html#get_identity_pool_configuration/2","title":"aws_cognito_sync.get_identity_pool_configuration/2","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#get_identity_pool_configuration/4","title":"aws_cognito_sync.get_identity_pool_configuration/4","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#get_identity_pool_configuration/5","title":"aws_cognito_sync.get_identity_pool_configuration/5","type":"function"},{"doc":"Lists datasets for an identity. With Amazon Cognito Sync, each identity has access only to its own data. Thus, the credentials used to make this API call need to have access to the identity data. ListDatasets can be called with temporary user credentials provided by Cognito Identity or with developer credentials. You should use the Cognito Identity credentials to make this API call.","ref":"aws_cognito_sync.html#list_datasets/3","title":"aws_cognito_sync.list_datasets/3","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#list_datasets/5","title":"aws_cognito_sync.list_datasets/5","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#list_datasets/6","title":"aws_cognito_sync.list_datasets/6","type":"function"},{"doc":"Gets a list of identity pools registered with Cognito. ListIdentityPoolUsage can only be called with developer credentials. You cannot make this API call with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognito_sync.html#list_identity_pool_usage/1","title":"aws_cognito_sync.list_identity_pool_usage/1","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#list_identity_pool_usage/3","title":"aws_cognito_sync.list_identity_pool_usage/3","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#list_identity_pool_usage/4","title":"aws_cognito_sync.list_identity_pool_usage/4","type":"function"},{"doc":"Gets paginated records, optionally changed after a particular sync count for a dataset and identity. With Amazon Cognito Sync, each identity has access only to its own data. Thus, the credentials used to make this API call need to have access to the identity data. ListRecords can be called with temporary user credentials provided by Cognito Identity or with developer credentials. You should use Cognito Identity credentials to make this API call.","ref":"aws_cognito_sync.html#list_records/4","title":"aws_cognito_sync.list_records/4","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#list_records/6","title":"aws_cognito_sync.list_records/6","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#list_records/7","title":"aws_cognito_sync.list_records/7","type":"function"},{"doc":"Registers a device to receive push sync notifications. This API can only be called with temporary credentials provided by Cognito Identity. You cannot call this API with developer credentials.","ref":"aws_cognito_sync.html#register_device/4","title":"aws_cognito_sync.register_device/4","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#register_device/5","title":"aws_cognito_sync.register_device/5","type":"function"},{"doc":"Sets the AWS Lambda function for a given event type for an identity pool. This request only updates the key/value pair specified. Other key/values pairs are not updated. To remove a key value pair, pass a empty value for the particular key. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognito_sync.html#set_cognito_events/3","title":"aws_cognito_sync.set_cognito_events/3","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#set_cognito_events/4","title":"aws_cognito_sync.set_cognito_events/4","type":"function"},{"doc":"Sets the necessary configuration for push sync. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognito_sync.html#set_identity_pool_configuration/3","title":"aws_cognito_sync.set_identity_pool_configuration/3","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#set_identity_pool_configuration/4","title":"aws_cognito_sync.set_identity_pool_configuration/4","type":"function"},{"doc":"Subscribes to receive notifications when a dataset is modified by another device. This API can only be called with temporary credentials provided by Cognito Identity. You cannot call this API with developer credentials.","ref":"aws_cognito_sync.html#subscribe_to_dataset/6","title":"aws_cognito_sync.subscribe_to_dataset/6","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#subscribe_to_dataset/7","title":"aws_cognito_sync.subscribe_to_dataset/7","type":"function"},{"doc":"Unsubscribes from receiving notifications when a dataset is modified by another device. This API can only be called with temporary credentials provided by Cognito Identity. You cannot call this API with developer credentials.","ref":"aws_cognito_sync.html#unsubscribe_from_dataset/6","title":"aws_cognito_sync.unsubscribe_from_dataset/6","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#unsubscribe_from_dataset/7","title":"aws_cognito_sync.unsubscribe_from_dataset/7","type":"function"},{"doc":"Posts updates to records and adds and deletes records for a dataset and user. The sync count in the record patch is your last known sync count for that record. The server will reject an UpdateRecords request with a ResourceConflictException if you try to patch a record with a new value but a stale sync count. For example, if the sync count on the server is 5 for a key called highScore and you try and submit a new highScore with sync count of 4, the request will be rejected. To obtain the current sync count for a record, call ListRecords. On a successful update of the record, the response returns the new sync count for that record. You should present that sync count the next time you try to update that same record. When the record does not exist, specify the sync count as 0. This API can be called with temporary user credentials provided by Cognito Identity or with developer credentials.","ref":"aws_cognito_sync.html#update_records/5","title":"aws_cognito_sync.update_records/5","type":"function"},{"doc":"","ref":"aws_cognito_sync.html#update_records/6","title":"aws_cognito_sync.update_records/6","type":"function"},{"doc":"Amazon Cognito Sync Amazon Cognito Sync provides an AWS service and client library that enable cross-device syncing of application-related user data. High-level client libraries are available for both iOS and Android. You can use these libraries to persist data locally so that it's available even if the device is offline. Developer credentials don't need to be stored on the mobile device to access the service. You can use Amazon Cognito to obtain a normalized user ID and credentials. User data is persisted in a dataset that can store up to 1 MB of key-value pairs, and you can have up to 20 datasets per user identity. With Amazon Cognito Sync, the data stored for each identity is accessible only to credentials assigned to that identity. In order to use the Cognito Sync service, you need to make API calls using credentials retrieved with Amazon Cognito Identity service. If you want to use Cognito Sync in an Android or iOS application, you will probably want to make API calls via the AWS Mobile SDK. To learn more, see the Developer Guide for Android and the Developer Guide for iOS.","ref":"aws_cognitosync.html","title":"aws_cognitosync","type":"module"},{"doc":"Initiates a bulk publish of all existing datasets for an Identity Pool to the configured stream. Customers are limited to one successful bulk publish per 24 hours. Bulk publish is an asynchronous request, customers can see the status of the request via the GetBulkPublishDetails operation. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognitosync.html#bulk_publish/3","title":"aws_cognitosync.bulk_publish/3","type":"function"},{"doc":"","ref":"aws_cognitosync.html#bulk_publish/4","title":"aws_cognitosync.bulk_publish/4","type":"function"},{"doc":"Deletes the specific dataset. The dataset will be deleted permanently, and the action can't be undone. Datasets that this dataset was merged with will no longer report the merge. Any subsequent operation on this dataset will result in a ResourceNotFoundException. This API can be called with temporary user credentials provided by Cognito Identity or with developer credentials.","ref":"aws_cognitosync.html#delete_dataset/5","title":"aws_cognitosync.delete_dataset/5","type":"function"},{"doc":"","ref":"aws_cognitosync.html#delete_dataset/6","title":"aws_cognitosync.delete_dataset/6","type":"function"},{"doc":"Gets meta data about a dataset by identity and dataset name. With Amazon Cognito Sync, each identity has access only to its own data. Thus, the credentials used to make this API call need to have access to the identity data. This API can be called with temporary user credentials provided by Cognito Identity or with developer credentials. You should use Cognito Identity credentials to make this API call.","ref":"aws_cognitosync.html#describe_dataset/4","title":"aws_cognitosync.describe_dataset/4","type":"function"},{"doc":"","ref":"aws_cognitosync.html#describe_dataset/6","title":"aws_cognitosync.describe_dataset/6","type":"function"},{"doc":"","ref":"aws_cognitosync.html#describe_dataset/7","title":"aws_cognitosync.describe_dataset/7","type":"function"},{"doc":"Gets usage details (for example, data storage) about a particular identity pool. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognitosync.html#describe_identity_pool_usage/2","title":"aws_cognitosync.describe_identity_pool_usage/2","type":"function"},{"doc":"","ref":"aws_cognitosync.html#describe_identity_pool_usage/4","title":"aws_cognitosync.describe_identity_pool_usage/4","type":"function"},{"doc":"","ref":"aws_cognitosync.html#describe_identity_pool_usage/5","title":"aws_cognitosync.describe_identity_pool_usage/5","type":"function"},{"doc":"Gets usage information for an identity, including number of datasets and data usage. This API can be called with temporary user credentials provided by Cognito Identity or with developer credentials.","ref":"aws_cognitosync.html#describe_identity_usage/3","title":"aws_cognitosync.describe_identity_usage/3","type":"function"},{"doc":"","ref":"aws_cognitosync.html#describe_identity_usage/5","title":"aws_cognitosync.describe_identity_usage/5","type":"function"},{"doc":"","ref":"aws_cognitosync.html#describe_identity_usage/6","title":"aws_cognitosync.describe_identity_usage/6","type":"function"},{"doc":"Get the status of the last BulkPublish operation for an identity pool. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognitosync.html#get_bulk_publish_details/3","title":"aws_cognitosync.get_bulk_publish_details/3","type":"function"},{"doc":"","ref":"aws_cognitosync.html#get_bulk_publish_details/4","title":"aws_cognitosync.get_bulk_publish_details/4","type":"function"},{"doc":"Gets the events and the corresponding Lambda functions associated with an identity pool. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognitosync.html#get_cognito_events/2","title":"aws_cognitosync.get_cognito_events/2","type":"function"},{"doc":"","ref":"aws_cognitosync.html#get_cognito_events/4","title":"aws_cognitosync.get_cognito_events/4","type":"function"},{"doc":"","ref":"aws_cognitosync.html#get_cognito_events/5","title":"aws_cognitosync.get_cognito_events/5","type":"function"},{"doc":"Gets the configuration settings of an identity pool. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognitosync.html#get_identity_pool_configuration/2","title":"aws_cognitosync.get_identity_pool_configuration/2","type":"function"},{"doc":"","ref":"aws_cognitosync.html#get_identity_pool_configuration/4","title":"aws_cognitosync.get_identity_pool_configuration/4","type":"function"},{"doc":"","ref":"aws_cognitosync.html#get_identity_pool_configuration/5","title":"aws_cognitosync.get_identity_pool_configuration/5","type":"function"},{"doc":"Lists datasets for an identity. With Amazon Cognito Sync, each identity has access only to its own data. Thus, the credentials used to make this API call need to have access to the identity data. ListDatasets can be called with temporary user credentials provided by Cognito Identity or with developer credentials. You should use the Cognito Identity credentials to make this API call.","ref":"aws_cognitosync.html#list_datasets/3","title":"aws_cognitosync.list_datasets/3","type":"function"},{"doc":"","ref":"aws_cognitosync.html#list_datasets/5","title":"aws_cognitosync.list_datasets/5","type":"function"},{"doc":"","ref":"aws_cognitosync.html#list_datasets/6","title":"aws_cognitosync.list_datasets/6","type":"function"},{"doc":"Gets a list of identity pools registered with Cognito. ListIdentityPoolUsage can only be called with developer credentials. You cannot make this API call with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognitosync.html#list_identity_pool_usage/1","title":"aws_cognitosync.list_identity_pool_usage/1","type":"function"},{"doc":"","ref":"aws_cognitosync.html#list_identity_pool_usage/3","title":"aws_cognitosync.list_identity_pool_usage/3","type":"function"},{"doc":"","ref":"aws_cognitosync.html#list_identity_pool_usage/4","title":"aws_cognitosync.list_identity_pool_usage/4","type":"function"},{"doc":"Gets paginated records, optionally changed after a particular sync count for a dataset and identity. With Amazon Cognito Sync, each identity has access only to its own data. Thus, the credentials used to make this API call need to have access to the identity data. ListRecords can be called with temporary user credentials provided by Cognito Identity or with developer credentials. You should use Cognito Identity credentials to make this API call.","ref":"aws_cognitosync.html#list_records/4","title":"aws_cognitosync.list_records/4","type":"function"},{"doc":"","ref":"aws_cognitosync.html#list_records/6","title":"aws_cognitosync.list_records/6","type":"function"},{"doc":"","ref":"aws_cognitosync.html#list_records/7","title":"aws_cognitosync.list_records/7","type":"function"},{"doc":"Registers a device to receive push sync notifications. This API can only be called with temporary credentials provided by Cognito Identity. You cannot call this API with developer credentials.","ref":"aws_cognitosync.html#register_device/4","title":"aws_cognitosync.register_device/4","type":"function"},{"doc":"","ref":"aws_cognitosync.html#register_device/5","title":"aws_cognitosync.register_device/5","type":"function"},{"doc":"Sets the AWS Lambda function for a given event type for an identity pool. This request only updates the key/value pair specified. Other key/values pairs are not updated. To remove a key value pair, pass a empty value for the particular key. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognitosync.html#set_cognito_events/3","title":"aws_cognitosync.set_cognito_events/3","type":"function"},{"doc":"","ref":"aws_cognitosync.html#set_cognito_events/4","title":"aws_cognitosync.set_cognito_events/4","type":"function"},{"doc":"Sets the necessary configuration for push sync. This API can only be called with developer credentials. You cannot call this API with the temporary user credentials provided by Cognito Identity.","ref":"aws_cognitosync.html#set_identity_pool_configuration/3","title":"aws_cognitosync.set_identity_pool_configuration/3","type":"function"},{"doc":"","ref":"aws_cognitosync.html#set_identity_pool_configuration/4","title":"aws_cognitosync.set_identity_pool_configuration/4","type":"function"},{"doc":"Subscribes to receive notifications when a dataset is modified by another device. This API can only be called with temporary credentials provided by Cognito Identity. You cannot call this API with developer credentials.","ref":"aws_cognitosync.html#subscribe_to_dataset/6","title":"aws_cognitosync.subscribe_to_dataset/6","type":"function"},{"doc":"","ref":"aws_cognitosync.html#subscribe_to_dataset/7","title":"aws_cognitosync.subscribe_to_dataset/7","type":"function"},{"doc":"Unsubscribes from receiving notifications when a dataset is modified by another device. This API can only be called with temporary credentials provided by Cognito Identity. You cannot call this API with developer credentials.","ref":"aws_cognitosync.html#unsubscribe_from_dataset/6","title":"aws_cognitosync.unsubscribe_from_dataset/6","type":"function"},{"doc":"","ref":"aws_cognitosync.html#unsubscribe_from_dataset/7","title":"aws_cognitosync.unsubscribe_from_dataset/7","type":"function"},{"doc":"Posts updates to records and adds and deletes records for a dataset and user. The sync count in the record patch is your last known sync count for that record. The server will reject an UpdateRecords request with a ResourceConflictException if you try to patch a record with a new value but a stale sync count. For example, if the sync count on the server is 5 for a key called highScore and you try and submit a new highScore with sync count of 4, the request will be rejected. To obtain the current sync count for a record, call ListRecords. On a successful update of the record, the response returns the new sync count for that record. You should present that sync count the next time you try to update that same record. When the record does not exist, specify the sync count as 0. This API can be called with temporary user credentials provided by Cognito Identity or with developer credentials.","ref":"aws_cognitosync.html#update_records/5","title":"aws_cognitosync.update_records/5","type":"function"},{"doc":"","ref":"aws_cognitosync.html#update_records/6","title":"aws_cognitosync.update_records/6","type":"function"},{"doc":"Amazon Comprehend is an AWS service for gaining insight into the content of documents. Use these actions to determine the topics contained in your documents, the topics they discuss, the predominant sentiment expressed in them, the predominant language used, and more.","ref":"aws_comprehend.html","title":"aws_comprehend","type":"module"},{"doc":"Determines the dominant language of the input text for a batch of documents. For a list of languages that Amazon Comprehend can detect, see Amazon Comprehend Supported Languages.","ref":"aws_comprehend.html#batch_detect_dominant_language/2","title":"aws_comprehend.batch_detect_dominant_language/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#batch_detect_dominant_language/3","title":"aws_comprehend.batch_detect_dominant_language/3","type":"function"},{"doc":"Inspects the text of a batch of documents for named entities and returns information about them. For more information about named entities, see Entities in the Comprehend Developer Guide.","ref":"aws_comprehend.html#batch_detect_entities/2","title":"aws_comprehend.batch_detect_entities/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#batch_detect_entities/3","title":"aws_comprehend.batch_detect_entities/3","type":"function"},{"doc":"Detects the key noun phrases found in a batch of documents.","ref":"aws_comprehend.html#batch_detect_key_phrases/2","title":"aws_comprehend.batch_detect_key_phrases/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#batch_detect_key_phrases/3","title":"aws_comprehend.batch_detect_key_phrases/3","type":"function"},{"doc":"Inspects a batch of documents and returns an inference of the prevailing sentiment, POSITIVE , NEUTRAL , MIXED , or NEGATIVE , in each one.","ref":"aws_comprehend.html#batch_detect_sentiment/2","title":"aws_comprehend.batch_detect_sentiment/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#batch_detect_sentiment/3","title":"aws_comprehend.batch_detect_sentiment/3","type":"function"},{"doc":"Inspects the text of a batch of documents for the syntax and part of speech of the words in the document and returns information about them. For more information, see Syntax in the Comprehend Developer Guide.","ref":"aws_comprehend.html#batch_detect_syntax/2","title":"aws_comprehend.batch_detect_syntax/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#batch_detect_syntax/3","title":"aws_comprehend.batch_detect_syntax/3","type":"function"},{"doc":"Inspects a batch of documents and returns a sentiment analysis for each entity identified in the documents. For more information about targeted sentiment, see Targeted sentiment.","ref":"aws_comprehend.html#batch_detect_targeted_sentiment/2","title":"aws_comprehend.batch_detect_targeted_sentiment/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#batch_detect_targeted_sentiment/3","title":"aws_comprehend.batch_detect_targeted_sentiment/3","type":"function"},{"doc":"Creates a new document classification request to analyze a single document in real-time, using a previously created and trained custom model and an endpoint. You can input plain text or you can upload a single-page input document (text, PDF, Word, or image). If the system detects errors while processing a page in the input document, the API response includes an entry in Errors that describes the errors. If the system detects a document-level error in your input document, the API returns an InvalidRequestException error response. For details about this exception, see Errors in semi-structured documents in the Comprehend Developer Guide.","ref":"aws_comprehend.html#classify_document/2","title":"aws_comprehend.classify_document/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#classify_document/3","title":"aws_comprehend.classify_document/3","type":"function"},{"doc":"Analyzes input text for the presence of personally identifiable information (PII) and returns the labels of identified PII entity types such as name, address, bank account number, or phone number.","ref":"aws_comprehend.html#contains_pii_entities/2","title":"aws_comprehend.contains_pii_entities/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#contains_pii_entities/3","title":"aws_comprehend.contains_pii_entities/3","type":"function"},{"doc":"Creates a new document classifier that you can use to categorize documents. To create a classifier, you provide a set of training documents that labeled with the categories that you want to use. After the classifier is trained you can use it to categorize a set of labeled documents into the categories. For more information, see Document Classification in the Comprehend Developer Guide.","ref":"aws_comprehend.html#create_document_classifier/2","title":"aws_comprehend.create_document_classifier/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#create_document_classifier/3","title":"aws_comprehend.create_document_classifier/3","type":"function"},{"doc":"Creates a model-specific endpoint for synchronous inference for a previously trained custom model For information about endpoints, see Managing endpoints.","ref":"aws_comprehend.html#create_endpoint/2","title":"aws_comprehend.create_endpoint/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#create_endpoint/3","title":"aws_comprehend.create_endpoint/3","type":"function"},{"doc":"Creates an entity recognizer using submitted files. After your CreateEntityRecognizer request is submitted, you can check job status using the API.","ref":"aws_comprehend.html#create_entity_recognizer/2","title":"aws_comprehend.create_entity_recognizer/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#create_entity_recognizer/3","title":"aws_comprehend.create_entity_recognizer/3","type":"function"},{"doc":"Deletes a previously created document classifier Only those classifiers that are in terminated states (IN_ERROR, TRAINED) will be deleted. If an active inference job is using the model, a ResourceInUseException will be returned. This is an asynchronous action that puts the classifier into a DELETING state, and it is then removed by a background job. Once removed, the classifier disappears from your account and is no longer available for use.","ref":"aws_comprehend.html#delete_document_classifier/2","title":"aws_comprehend.delete_document_classifier/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#delete_document_classifier/3","title":"aws_comprehend.delete_document_classifier/3","type":"function"},{"doc":"Deletes a model-specific endpoint for a previously-trained custom model. All endpoints must be deleted in order for the model to be deleted. For information about endpoints, see Managing endpoints.","ref":"aws_comprehend.html#delete_endpoint/2","title":"aws_comprehend.delete_endpoint/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#delete_endpoint/3","title":"aws_comprehend.delete_endpoint/3","type":"function"},{"doc":"Deletes an entity recognizer. Only those recognizers that are in terminated states (IN_ERROR, TRAINED) will be deleted. If an active inference job is using the model, a ResourceInUseException will be returned. This is an asynchronous action that puts the recognizer into a DELETING state, and it is then removed by a background job. Once removed, the recognizer disappears from your account and is no longer available for use.","ref":"aws_comprehend.html#delete_entity_recognizer/2","title":"aws_comprehend.delete_entity_recognizer/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#delete_entity_recognizer/3","title":"aws_comprehend.delete_entity_recognizer/3","type":"function"},{"doc":"Deletes a resource-based policy that is attached to a custom model.","ref":"aws_comprehend.html#delete_resource_policy/2","title":"aws_comprehend.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#delete_resource_policy/3","title":"aws_comprehend.delete_resource_policy/3","type":"function"},{"doc":"Gets the properties associated with a document classification job. Use this operation to get the status of a classification job.","ref":"aws_comprehend.html#describe_document_classification_job/2","title":"aws_comprehend.describe_document_classification_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_document_classification_job/3","title":"aws_comprehend.describe_document_classification_job/3","type":"function"},{"doc":"Gets the properties associated with a document classifier.","ref":"aws_comprehend.html#describe_document_classifier/2","title":"aws_comprehend.describe_document_classifier/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_document_classifier/3","title":"aws_comprehend.describe_document_classifier/3","type":"function"},{"doc":"Gets the properties associated with a dominant language detection job. Use this operation to get the status of a detection job.","ref":"aws_comprehend.html#describe_dominant_language_detection_job/2","title":"aws_comprehend.describe_dominant_language_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_dominant_language_detection_job/3","title":"aws_comprehend.describe_dominant_language_detection_job/3","type":"function"},{"doc":"Gets the properties associated with a specific endpoint. Use this operation to get the status of an endpoint. For information about endpoints, see Managing endpoints.","ref":"aws_comprehend.html#describe_endpoint/2","title":"aws_comprehend.describe_endpoint/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_endpoint/3","title":"aws_comprehend.describe_endpoint/3","type":"function"},{"doc":"Gets the properties associated with an entities detection job. Use this operation to get the status of a detection job.","ref":"aws_comprehend.html#describe_entities_detection_job/2","title":"aws_comprehend.describe_entities_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_entities_detection_job/3","title":"aws_comprehend.describe_entities_detection_job/3","type":"function"},{"doc":"Provides details about an entity recognizer including status, S3 buckets containing training data, recognizer metadata, metrics, and so on.","ref":"aws_comprehend.html#describe_entity_recognizer/2","title":"aws_comprehend.describe_entity_recognizer/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_entity_recognizer/3","title":"aws_comprehend.describe_entity_recognizer/3","type":"function"},{"doc":"Gets the status and details of an events detection job.","ref":"aws_comprehend.html#describe_events_detection_job/2","title":"aws_comprehend.describe_events_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_events_detection_job/3","title":"aws_comprehend.describe_events_detection_job/3","type":"function"},{"doc":"Gets the properties associated with a key phrases detection job. Use this operation to get the status of a detection job.","ref":"aws_comprehend.html#describe_key_phrases_detection_job/2","title":"aws_comprehend.describe_key_phrases_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_key_phrases_detection_job/3","title":"aws_comprehend.describe_key_phrases_detection_job/3","type":"function"},{"doc":"Gets the properties associated with a PII entities detection job. For example, you can use this operation to get the job status.","ref":"aws_comprehend.html#describe_pii_entities_detection_job/2","title":"aws_comprehend.describe_pii_entities_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_pii_entities_detection_job/3","title":"aws_comprehend.describe_pii_entities_detection_job/3","type":"function"},{"doc":"Gets the details of a resource-based policy that is attached to a custom model, including the JSON body of the policy.","ref":"aws_comprehend.html#describe_resource_policy/2","title":"aws_comprehend.describe_resource_policy/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_resource_policy/3","title":"aws_comprehend.describe_resource_policy/3","type":"function"},{"doc":"Gets the properties associated with a sentiment detection job. Use this operation to get the status of a detection job.","ref":"aws_comprehend.html#describe_sentiment_detection_job/2","title":"aws_comprehend.describe_sentiment_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_sentiment_detection_job/3","title":"aws_comprehend.describe_sentiment_detection_job/3","type":"function"},{"doc":"Gets the properties associated with a targeted sentiment detection job. Use this operation to get the status of the job.","ref":"aws_comprehend.html#describe_targeted_sentiment_detection_job/2","title":"aws_comprehend.describe_targeted_sentiment_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_targeted_sentiment_detection_job/3","title":"aws_comprehend.describe_targeted_sentiment_detection_job/3","type":"function"},{"doc":"Gets the properties associated with a topic detection job. Use this operation to get the status of a detection job.","ref":"aws_comprehend.html#describe_topics_detection_job/2","title":"aws_comprehend.describe_topics_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#describe_topics_detection_job/3","title":"aws_comprehend.describe_topics_detection_job/3","type":"function"},{"doc":"Determines the dominant language of the input text. For a list of languages that Amazon Comprehend can detect, see Amazon Comprehend Supported Languages.","ref":"aws_comprehend.html#detect_dominant_language/2","title":"aws_comprehend.detect_dominant_language/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#detect_dominant_language/3","title":"aws_comprehend.detect_dominant_language/3","type":"function"},{"doc":"Detects named entities in input text when you use the pre-trained model. Detects custom entities if you have a custom entity recognition model. When detecting named entities using the pre-trained model, use plain text as the input. For more information about named entities, see Entities in the Comprehend Developer Guide. When you use a custom entity recognition model, you can input plain text or you can upload a single-page input document (text, PDF, Word, or image). If the system detects errors while processing a page in the input document, the API response includes an entry in Errors for each error. If the system detects a document-level error in your input document, the API returns an InvalidRequestException error response. For details about this exception, see Errors in semi-structured documents in the Comprehend Developer Guide.","ref":"aws_comprehend.html#detect_entities/2","title":"aws_comprehend.detect_entities/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#detect_entities/3","title":"aws_comprehend.detect_entities/3","type":"function"},{"doc":"Detects the key noun phrases found in the text.","ref":"aws_comprehend.html#detect_key_phrases/2","title":"aws_comprehend.detect_key_phrases/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#detect_key_phrases/3","title":"aws_comprehend.detect_key_phrases/3","type":"function"},{"doc":"Inspects the input text for entities that contain personally identifiable information (PII) and returns information about them.","ref":"aws_comprehend.html#detect_pii_entities/2","title":"aws_comprehend.detect_pii_entities/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#detect_pii_entities/3","title":"aws_comprehend.detect_pii_entities/3","type":"function"},{"doc":"Inspects text and returns an inference of the prevailing sentiment ( POSITIVE , NEUTRAL , MIXED , or NEGATIVE ).","ref":"aws_comprehend.html#detect_sentiment/2","title":"aws_comprehend.detect_sentiment/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#detect_sentiment/3","title":"aws_comprehend.detect_sentiment/3","type":"function"},{"doc":"Inspects text for syntax and the part of speech of words in the document. For more information, see Syntax in the Comprehend Developer Guide.","ref":"aws_comprehend.html#detect_syntax/2","title":"aws_comprehend.detect_syntax/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#detect_syntax/3","title":"aws_comprehend.detect_syntax/3","type":"function"},{"doc":"Inspects the input text and returns a sentiment analysis for each entity identified in the text. For more information about targeted sentiment, see Targeted sentiment.","ref":"aws_comprehend.html#detect_targeted_sentiment/2","title":"aws_comprehend.detect_targeted_sentiment/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#detect_targeted_sentiment/3","title":"aws_comprehend.detect_targeted_sentiment/3","type":"function"},{"doc":"Creates a new custom model that replicates a source custom model that you import. The source model can be in your AWS account or another one. If the source model is in another AWS account, then it must have a resource-based policy that authorizes you to import it. The source model must be in the same AWS region that you're using when you import. You can't import a model that's in a different region.","ref":"aws_comprehend.html#import_model/2","title":"aws_comprehend.import_model/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#import_model/3","title":"aws_comprehend.import_model/3","type":"function"},{"doc":"Gets a list of the documentation classification jobs that you have submitted.","ref":"aws_comprehend.html#list_document_classification_jobs/2","title":"aws_comprehend.list_document_classification_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_document_classification_jobs/3","title":"aws_comprehend.list_document_classification_jobs/3","type":"function"},{"doc":"Gets a list of summaries of the document classifiers that you have created","ref":"aws_comprehend.html#list_document_classifier_summaries/2","title":"aws_comprehend.list_document_classifier_summaries/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_document_classifier_summaries/3","title":"aws_comprehend.list_document_classifier_summaries/3","type":"function"},{"doc":"Gets a list of the document classifiers that you have created.","ref":"aws_comprehend.html#list_document_classifiers/2","title":"aws_comprehend.list_document_classifiers/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_document_classifiers/3","title":"aws_comprehend.list_document_classifiers/3","type":"function"},{"doc":"Gets a list of the dominant language detection jobs that you have submitted.","ref":"aws_comprehend.html#list_dominant_language_detection_jobs/2","title":"aws_comprehend.list_dominant_language_detection_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_dominant_language_detection_jobs/3","title":"aws_comprehend.list_dominant_language_detection_jobs/3","type":"function"},{"doc":"Gets a list of all existing endpoints that you've created. For information about endpoints, see Managing endpoints.","ref":"aws_comprehend.html#list_endpoints/2","title":"aws_comprehend.list_endpoints/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_endpoints/3","title":"aws_comprehend.list_endpoints/3","type":"function"},{"doc":"Gets a list of the entity detection jobs that you have submitted.","ref":"aws_comprehend.html#list_entities_detection_jobs/2","title":"aws_comprehend.list_entities_detection_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_entities_detection_jobs/3","title":"aws_comprehend.list_entities_detection_jobs/3","type":"function"},{"doc":"Gets a list of summaries for the entity recognizers that you have created.","ref":"aws_comprehend.html#list_entity_recognizer_summaries/2","title":"aws_comprehend.list_entity_recognizer_summaries/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_entity_recognizer_summaries/3","title":"aws_comprehend.list_entity_recognizer_summaries/3","type":"function"},{"doc":"Gets a list of the properties of all entity recognizers that you created, including recognizers currently in training. Allows you to filter the list of recognizers based on criteria such as status and submission time. This call returns up to 500 entity recognizers in the list, with a default number of 100 recognizers in the list. The results of this list are not in any particular order. Please get the list and sort locally if needed.","ref":"aws_comprehend.html#list_entity_recognizers/2","title":"aws_comprehend.list_entity_recognizers/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_entity_recognizers/3","title":"aws_comprehend.list_entity_recognizers/3","type":"function"},{"doc":"Gets a list of the events detection jobs that you have submitted.","ref":"aws_comprehend.html#list_events_detection_jobs/2","title":"aws_comprehend.list_events_detection_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_events_detection_jobs/3","title":"aws_comprehend.list_events_detection_jobs/3","type":"function"},{"doc":"Get a list of key phrase detection jobs that you have submitted.","ref":"aws_comprehend.html#list_key_phrases_detection_jobs/2","title":"aws_comprehend.list_key_phrases_detection_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_key_phrases_detection_jobs/3","title":"aws_comprehend.list_key_phrases_detection_jobs/3","type":"function"},{"doc":"Gets a list of the PII entity detection jobs that you have submitted.","ref":"aws_comprehend.html#list_pii_entities_detection_jobs/2","title":"aws_comprehend.list_pii_entities_detection_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_pii_entities_detection_jobs/3","title":"aws_comprehend.list_pii_entities_detection_jobs/3","type":"function"},{"doc":"Gets a list of sentiment detection jobs that you have submitted.","ref":"aws_comprehend.html#list_sentiment_detection_jobs/2","title":"aws_comprehend.list_sentiment_detection_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_sentiment_detection_jobs/3","title":"aws_comprehend.list_sentiment_detection_jobs/3","type":"function"},{"doc":"Lists all tags associated with a given Amazon Comprehend resource.","ref":"aws_comprehend.html#list_tags_for_resource/2","title":"aws_comprehend.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_tags_for_resource/3","title":"aws_comprehend.list_tags_for_resource/3","type":"function"},{"doc":"Gets a list of targeted sentiment detection jobs that you have submitted.","ref":"aws_comprehend.html#list_targeted_sentiment_detection_jobs/2","title":"aws_comprehend.list_targeted_sentiment_detection_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_targeted_sentiment_detection_jobs/3","title":"aws_comprehend.list_targeted_sentiment_detection_jobs/3","type":"function"},{"doc":"Gets a list of the topic detection jobs that you have submitted.","ref":"aws_comprehend.html#list_topics_detection_jobs/2","title":"aws_comprehend.list_topics_detection_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#list_topics_detection_jobs/3","title":"aws_comprehend.list_topics_detection_jobs/3","type":"function"},{"doc":"Attaches a resource-based policy to a custom model. You can use this policy to authorize an entity in another AWS account to import the custom model, which replicates it in Amazon Comprehend in their account.","ref":"aws_comprehend.html#put_resource_policy/2","title":"aws_comprehend.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#put_resource_policy/3","title":"aws_comprehend.put_resource_policy/3","type":"function"},{"doc":"Starts an asynchronous document classification job. Use the operation to track the progress of the job.","ref":"aws_comprehend.html#start_document_classification_job/2","title":"aws_comprehend.start_document_classification_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#start_document_classification_job/3","title":"aws_comprehend.start_document_classification_job/3","type":"function"},{"doc":"Starts an asynchronous dominant language detection job for a collection of documents. Use the operation to track the status of a job.","ref":"aws_comprehend.html#start_dominant_language_detection_job/2","title":"aws_comprehend.start_dominant_language_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#start_dominant_language_detection_job/3","title":"aws_comprehend.start_dominant_language_detection_job/3","type":"function"},{"doc":"Starts an asynchronous entity detection job for a collection of documents. Use the operation to track the status of a job. This API can be used for either standard entity detection or custom entity recognition. In order to be used for custom entity recognition, the optional EntityRecognizerArn must be used in order to provide access to the recognizer being used to detect the custom entity.","ref":"aws_comprehend.html#start_entities_detection_job/2","title":"aws_comprehend.start_entities_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#start_entities_detection_job/3","title":"aws_comprehend.start_entities_detection_job/3","type":"function"},{"doc":"Starts an asynchronous event detection job for a collection of documents.","ref":"aws_comprehend.html#start_events_detection_job/2","title":"aws_comprehend.start_events_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#start_events_detection_job/3","title":"aws_comprehend.start_events_detection_job/3","type":"function"},{"doc":"Starts an asynchronous key phrase detection job for a collection of documents. Use the operation to track the status of a job.","ref":"aws_comprehend.html#start_key_phrases_detection_job/2","title":"aws_comprehend.start_key_phrases_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#start_key_phrases_detection_job/3","title":"aws_comprehend.start_key_phrases_detection_job/3","type":"function"},{"doc":"Starts an asynchronous PII entity detection job for a collection of documents.","ref":"aws_comprehend.html#start_pii_entities_detection_job/2","title":"aws_comprehend.start_pii_entities_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#start_pii_entities_detection_job/3","title":"aws_comprehend.start_pii_entities_detection_job/3","type":"function"},{"doc":"Starts an asynchronous sentiment detection job for a collection of documents. Use the operation to track the status of a job.","ref":"aws_comprehend.html#start_sentiment_detection_job/2","title":"aws_comprehend.start_sentiment_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#start_sentiment_detection_job/3","title":"aws_comprehend.start_sentiment_detection_job/3","type":"function"},{"doc":"Starts an asynchronous targeted sentiment detection job for a collection of documents. Use the operation to track the status of a job.","ref":"aws_comprehend.html#start_targeted_sentiment_detection_job/2","title":"aws_comprehend.start_targeted_sentiment_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#start_targeted_sentiment_detection_job/3","title":"aws_comprehend.start_targeted_sentiment_detection_job/3","type":"function"},{"doc":"Starts an asynchronous topic detection job. Use the DescribeTopicDetectionJob operation to track the status of a job.","ref":"aws_comprehend.html#start_topics_detection_job/2","title":"aws_comprehend.start_topics_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#start_topics_detection_job/3","title":"aws_comprehend.start_topics_detection_job/3","type":"function"},{"doc":"Stops a dominant language detection job in progress. If the job state is IN_PROGRESS the job is marked for termination and put into the STOP_REQUESTED state. If the job completes before it can be stopped, it is put into the COMPLETED state; otherwise the job is stopped and put into the STOPPED state. If the job is in the COMPLETED or FAILED state when you call the StopDominantLanguageDetectionJob operation, the operation returns a 400 Internal Request Exception. When a job is stopped, any documents already processed are written to the output location.","ref":"aws_comprehend.html#stop_dominant_language_detection_job/2","title":"aws_comprehend.stop_dominant_language_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#stop_dominant_language_detection_job/3","title":"aws_comprehend.stop_dominant_language_detection_job/3","type":"function"},{"doc":"Stops an entities detection job in progress. If the job state is IN_PROGRESS the job is marked for termination and put into the STOP_REQUESTED state. If the job completes before it can be stopped, it is put into the COMPLETED state; otherwise the job is stopped and put into the STOPPED state. If the job is in the COMPLETED or FAILED state when you call the StopDominantLanguageDetectionJob operation, the operation returns a 400 Internal Request Exception. When a job is stopped, any documents already processed are written to the output location.","ref":"aws_comprehend.html#stop_entities_detection_job/2","title":"aws_comprehend.stop_entities_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#stop_entities_detection_job/3","title":"aws_comprehend.stop_entities_detection_job/3","type":"function"},{"doc":"Stops an events detection job in progress.","ref":"aws_comprehend.html#stop_events_detection_job/2","title":"aws_comprehend.stop_events_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#stop_events_detection_job/3","title":"aws_comprehend.stop_events_detection_job/3","type":"function"},{"doc":"Stops a key phrases detection job in progress. If the job state is IN_PROGRESS the job is marked for termination and put into the STOP_REQUESTED state. If the job completes before it can be stopped, it is put into the COMPLETED state; otherwise the job is stopped and put into the STOPPED state. If the job is in the COMPLETED or FAILED state when you call the StopDominantLanguageDetectionJob operation, the operation returns a 400 Internal Request Exception. When a job is stopped, any documents already processed are written to the output location.","ref":"aws_comprehend.html#stop_key_phrases_detection_job/2","title":"aws_comprehend.stop_key_phrases_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#stop_key_phrases_detection_job/3","title":"aws_comprehend.stop_key_phrases_detection_job/3","type":"function"},{"doc":"Stops a PII entities detection job in progress.","ref":"aws_comprehend.html#stop_pii_entities_detection_job/2","title":"aws_comprehend.stop_pii_entities_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#stop_pii_entities_detection_job/3","title":"aws_comprehend.stop_pii_entities_detection_job/3","type":"function"},{"doc":"Stops a sentiment detection job in progress. If the job state is IN_PROGRESS , the job is marked for termination and put into the STOP_REQUESTED state. If the job completes before it can be stopped, it is put into the COMPLETED state; otherwise the job is be stopped and put into the STOPPED state. If the job is in the COMPLETED or FAILED state when you call the StopDominantLanguageDetectionJob operation, the operation returns a 400 Internal Request Exception. When a job is stopped, any documents already processed are written to the output location.","ref":"aws_comprehend.html#stop_sentiment_detection_job/2","title":"aws_comprehend.stop_sentiment_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#stop_sentiment_detection_job/3","title":"aws_comprehend.stop_sentiment_detection_job/3","type":"function"},{"doc":"Stops a targeted sentiment detection job in progress. If the job state is IN_PROGRESS , the job is marked for termination and put into the STOP_REQUESTED state. If the job completes before it can be stopped, it is put into the COMPLETED state; otherwise the job is be stopped and put into the STOPPED state. If the job is in the COMPLETED or FAILED state when you call the StopDominantLanguageDetectionJob operation, the operation returns a 400 Internal Request Exception. When a job is stopped, any documents already processed are written to the output location.","ref":"aws_comprehend.html#stop_targeted_sentiment_detection_job/2","title":"aws_comprehend.stop_targeted_sentiment_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#stop_targeted_sentiment_detection_job/3","title":"aws_comprehend.stop_targeted_sentiment_detection_job/3","type":"function"},{"doc":"Stops a document classifier training job while in progress. If the training job state is TRAINING , the job is marked for termination and put into the STOP_REQUESTED state. If the training job completes before it can be stopped, it is put into the TRAINED ; otherwise the training job is stopped and put into the STOPPED state and the service sends back an HTTP 200 response with an empty HTTP body.","ref":"aws_comprehend.html#stop_training_document_classifier/2","title":"aws_comprehend.stop_training_document_classifier/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#stop_training_document_classifier/3","title":"aws_comprehend.stop_training_document_classifier/3","type":"function"},{"doc":"Stops an entity recognizer training job while in progress. If the training job state is TRAINING , the job is marked for termination and put into the STOP_REQUESTED state. If the training job completes before it can be stopped, it is put into the TRAINED ; otherwise the training job is stopped and putted into the STOPPED state and the service sends back an HTTP 200 response with an empty HTTP body.","ref":"aws_comprehend.html#stop_training_entity_recognizer/2","title":"aws_comprehend.stop_training_entity_recognizer/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#stop_training_entity_recognizer/3","title":"aws_comprehend.stop_training_entity_recognizer/3","type":"function"},{"doc":"Associates a specific tag with an Amazon Comprehend resource. A tag is a key-value pair that adds as a metadata to a resource used by Amazon Comprehend. For example, a tag with &quot;Sales&quot; as the key might be added to a resource to indicate its use by the sales department.","ref":"aws_comprehend.html#tag_resource/2","title":"aws_comprehend.tag_resource/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#tag_resource/3","title":"aws_comprehend.tag_resource/3","type":"function"},{"doc":"Removes a specific tag associated with an Amazon Comprehend resource.","ref":"aws_comprehend.html#untag_resource/2","title":"aws_comprehend.untag_resource/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#untag_resource/3","title":"aws_comprehend.untag_resource/3","type":"function"},{"doc":"Updates information about the specified endpoint. For information about endpoints, see Managing endpoints.","ref":"aws_comprehend.html#update_endpoint/2","title":"aws_comprehend.update_endpoint/2","type":"function"},{"doc":"","ref":"aws_comprehend.html#update_endpoint/3","title":"aws_comprehend.update_endpoint/3","type":"function"},{"doc":"Comprehend Medical; extracts structured information from unstructured clinical text. Use these actions to gain insight in your documents.","ref":"aws_comprehendmedical.html","title":"aws_comprehendmedical","type":"module"},{"doc":"Gets the properties associated with a medical entities detection job. Use this operation to get the status of a detection job.","ref":"aws_comprehendmedical.html#describe_entities_detection_v2_job/2","title":"aws_comprehendmedical.describe_entities_detection_v2_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#describe_entities_detection_v2_job/3","title":"aws_comprehendmedical.describe_entities_detection_v2_job/3","type":"function"},{"doc":"Gets the properties associated with an InferICD10CM job. Use this operation to get the status of an inference job.","ref":"aws_comprehendmedical.html#describe_icd10_cm_inference_job/2","title":"aws_comprehendmedical.describe_icd10_cm_inference_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#describe_icd10_cm_inference_job/3","title":"aws_comprehendmedical.describe_icd10_cm_inference_job/3","type":"function"},{"doc":"Gets the properties associated with a protected health information (PHI) detection job. Use this operation to get the status of a detection job.","ref":"aws_comprehendmedical.html#describe_phi_detection_job/2","title":"aws_comprehendmedical.describe_phi_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#describe_phi_detection_job/3","title":"aws_comprehendmedical.describe_phi_detection_job/3","type":"function"},{"doc":"Gets the properties associated with an InferRxNorm job. Use this operation to get the status of an inference job.","ref":"aws_comprehendmedical.html#describe_rx_norm_inference_job/2","title":"aws_comprehendmedical.describe_rx_norm_inference_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#describe_rx_norm_inference_job/3","title":"aws_comprehendmedical.describe_rx_norm_inference_job/3","type":"function"},{"doc":"Gets the properties associated with an InferSNOMEDCT job. Use this operation to get the status of an inference job.","ref":"aws_comprehendmedical.html#describe_s_n_o_m_e_d_c_t_inference_job/2","title":"aws_comprehendmedical.describe_s_n_o_m_e_d_c_t_inference_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#describe_s_n_o_m_e_d_c_t_inference_job/3","title":"aws_comprehendmedical.describe_s_n_o_m_e_d_c_t_inference_job/3","type":"function"},{"doc":"The DetectEntities operation is deprecated. You should use the DetectEntitiesV2 operation instead. Inspects the clinical text for a variety of medical entities and returns specific information about them such as entity category, location, and confidence score on that information .","ref":"aws_comprehendmedical.html#detect_entities/2","title":"aws_comprehendmedical.detect_entities/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#detect_entities/3","title":"aws_comprehendmedical.detect_entities/3","type":"function"},{"doc":"Inspects the clinical text for a variety of medical entities and returns specific information about them such as entity category, location, and confidence score on that information. Amazon Comprehend Medical only detects medical entities in English language texts. The DetectEntitiesV2 operation replaces the DetectEntities operation. This new action uses a different model for determining the entities in your medical text and changes the way that some entities are returned in the output. You should use the DetectEntitiesV2 operation in all new applications. The DetectEntitiesV2 operation returns the Acuity and Direction entities as attributes instead of types.","ref":"aws_comprehendmedical.html#detect_entities_v2/2","title":"aws_comprehendmedical.detect_entities_v2/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#detect_entities_v2/3","title":"aws_comprehendmedical.detect_entities_v2/3","type":"function"},{"doc":"Inspects the clinical text for protected health information (PHI) entities and returns the entity category, location, and confidence score for each entity. Amazon Comprehend Medical only detects entities in English language texts.","ref":"aws_comprehendmedical.html#detect_phi/2","title":"aws_comprehendmedical.detect_phi/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#detect_phi/3","title":"aws_comprehendmedical.detect_phi/3","type":"function"},{"doc":"InferICD10CM detects medical conditions as entities listed in a patient record and links those entities to normalized concept identifiers in the ICD-10-CM knowledge base from the Centers for Disease Control. Amazon Comprehend Medical only detects medical entities in English language texts.","ref":"aws_comprehendmedical.html#infer_icd10_cm/2","title":"aws_comprehendmedical.infer_icd10_cm/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#infer_icd10_cm/3","title":"aws_comprehendmedical.infer_icd10_cm/3","type":"function"},{"doc":"InferRxNorm detects medications as entities listed in a patient record and links to the normalized concept identifiers in the RxNorm database from the National Library of Medicine. Amazon Comprehend Medical only detects medical entities in English language texts.","ref":"aws_comprehendmedical.html#infer_rx_norm/2","title":"aws_comprehendmedical.infer_rx_norm/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#infer_rx_norm/3","title":"aws_comprehendmedical.infer_rx_norm/3","type":"function"},{"doc":"InferSNOMEDCT detects possible medical concepts as entities and links them to codes from the Systematized Nomenclature of Medicine, Clinical Terms (SNOMED-CT) ontology","ref":"aws_comprehendmedical.html#infer_s_n_o_m_e_d_c_t/2","title":"aws_comprehendmedical.infer_s_n_o_m_e_d_c_t/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#infer_s_n_o_m_e_d_c_t/3","title":"aws_comprehendmedical.infer_s_n_o_m_e_d_c_t/3","type":"function"},{"doc":"Gets a list of medical entity detection jobs that you have submitted.","ref":"aws_comprehendmedical.html#list_entities_detection_v2_jobs/2","title":"aws_comprehendmedical.list_entities_detection_v2_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#list_entities_detection_v2_jobs/3","title":"aws_comprehendmedical.list_entities_detection_v2_jobs/3","type":"function"},{"doc":"Gets a list of InferICD10CM jobs that you have submitted.","ref":"aws_comprehendmedical.html#list_icd10_cm_inference_jobs/2","title":"aws_comprehendmedical.list_icd10_cm_inference_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#list_icd10_cm_inference_jobs/3","title":"aws_comprehendmedical.list_icd10_cm_inference_jobs/3","type":"function"},{"doc":"Gets a list of protected health information (PHI) detection jobs that you have submitted.","ref":"aws_comprehendmedical.html#list_phi_detection_jobs/2","title":"aws_comprehendmedical.list_phi_detection_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#list_phi_detection_jobs/3","title":"aws_comprehendmedical.list_phi_detection_jobs/3","type":"function"},{"doc":"Gets a list of InferRxNorm jobs that you have submitted.","ref":"aws_comprehendmedical.html#list_rx_norm_inference_jobs/2","title":"aws_comprehendmedical.list_rx_norm_inference_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#list_rx_norm_inference_jobs/3","title":"aws_comprehendmedical.list_rx_norm_inference_jobs/3","type":"function"},{"doc":"Gets a list of InferSNOMEDCT jobs a user has submitted.","ref":"aws_comprehendmedical.html#list_s_n_o_m_e_d_c_t_inference_jobs/2","title":"aws_comprehendmedical.list_s_n_o_m_e_d_c_t_inference_jobs/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#list_s_n_o_m_e_d_c_t_inference_jobs/3","title":"aws_comprehendmedical.list_s_n_o_m_e_d_c_t_inference_jobs/3","type":"function"},{"doc":"Starts an asynchronous medical entity detection job for a collection of documents. Use the DescribeEntitiesDetectionV2Job operation to track the status of a job.","ref":"aws_comprehendmedical.html#start_entities_detection_v2_job/2","title":"aws_comprehendmedical.start_entities_detection_v2_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#start_entities_detection_v2_job/3","title":"aws_comprehendmedical.start_entities_detection_v2_job/3","type":"function"},{"doc":"Starts an asynchronous job to detect medical conditions and link them to the ICD-10-CM ontology. Use the DescribeICD10CMInferenceJob operation to track the status of a job.","ref":"aws_comprehendmedical.html#start_icd10_cm_inference_job/2","title":"aws_comprehendmedical.start_icd10_cm_inference_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#start_icd10_cm_inference_job/3","title":"aws_comprehendmedical.start_icd10_cm_inference_job/3","type":"function"},{"doc":"Starts an asynchronous job to detect protected health information (PHI). Use the DescribePHIDetectionJob operation to track the status of a job.","ref":"aws_comprehendmedical.html#start_phi_detection_job/2","title":"aws_comprehendmedical.start_phi_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#start_phi_detection_job/3","title":"aws_comprehendmedical.start_phi_detection_job/3","type":"function"},{"doc":"Starts an asynchronous job to detect medication entities and link them to the RxNorm ontology. Use the DescribeRxNormInferenceJob operation to track the status of a job.","ref":"aws_comprehendmedical.html#start_rx_norm_inference_job/2","title":"aws_comprehendmedical.start_rx_norm_inference_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#start_rx_norm_inference_job/3","title":"aws_comprehendmedical.start_rx_norm_inference_job/3","type":"function"},{"doc":"Starts an asynchronous job to detect medical concepts and link them to the SNOMED-CT ontology. Use the DescribeSNOMEDCTInferenceJob operation to track the status of a job.","ref":"aws_comprehendmedical.html#start_s_n_o_m_e_d_c_t_inference_job/2","title":"aws_comprehendmedical.start_s_n_o_m_e_d_c_t_inference_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#start_s_n_o_m_e_d_c_t_inference_job/3","title":"aws_comprehendmedical.start_s_n_o_m_e_d_c_t_inference_job/3","type":"function"},{"doc":"Stops a medical entities detection job in progress.","ref":"aws_comprehendmedical.html#stop_entities_detection_v2_job/2","title":"aws_comprehendmedical.stop_entities_detection_v2_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#stop_entities_detection_v2_job/3","title":"aws_comprehendmedical.stop_entities_detection_v2_job/3","type":"function"},{"doc":"Stops an InferICD10CM inference job in progress.","ref":"aws_comprehendmedical.html#stop_icd10_cm_inference_job/2","title":"aws_comprehendmedical.stop_icd10_cm_inference_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#stop_icd10_cm_inference_job/3","title":"aws_comprehendmedical.stop_icd10_cm_inference_job/3","type":"function"},{"doc":"Stops a protected health information (PHI) detection job in progress.","ref":"aws_comprehendmedical.html#stop_phi_detection_job/2","title":"aws_comprehendmedical.stop_phi_detection_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#stop_phi_detection_job/3","title":"aws_comprehendmedical.stop_phi_detection_job/3","type":"function"},{"doc":"Stops an InferRxNorm inference job in progress.","ref":"aws_comprehendmedical.html#stop_rx_norm_inference_job/2","title":"aws_comprehendmedical.stop_rx_norm_inference_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#stop_rx_norm_inference_job/3","title":"aws_comprehendmedical.stop_rx_norm_inference_job/3","type":"function"},{"doc":"Stops an InferSNOMEDCT inference job in progress.","ref":"aws_comprehendmedical.html#stop_s_n_o_m_e_d_c_t_inference_job/2","title":"aws_comprehendmedical.stop_s_n_o_m_e_d_c_t_inference_job/2","type":"function"},{"doc":"","ref":"aws_comprehendmedical.html#stop_s_n_o_m_e_d_c_t_inference_job/3","title":"aws_comprehendmedical.stop_s_n_o_m_e_d_c_t_inference_job/3","type":"function"},{"doc":"Compute Optimizer is a service that analyzes the configuration and utilization metrics of your Amazon Web Services compute resources, such as Amazon EC2 instances, Amazon EC2 Auto Scaling groups, Lambda functions, Amazon EBS volumes, and Amazon ECS services on Fargate. It reports whether your resources are optimal, and generates optimization recommendations to reduce the cost and improve the performance of your workloads. Compute Optimizer also provides recent utilization metric data, in addition to projected utilization metric data for the recommendations, which you can use to evaluate which recommendation provides the best price-performance trade-off. The analysis of your usage patterns can help you decide when to move or resize your running resources, and still meet your performance and capacity requirements. For more information about Compute Optimizer, including the required permissions to use the service, see the Compute Optimizer User Guide.","ref":"aws_compute_optimizer.html","title":"aws_compute_optimizer","type":"module"},{"doc":"Deletes a recommendation preference, such as enhanced infrastructure metrics. For more information, see Activating enhanced infrastructure metrics in the Compute Optimizer User Guide.","ref":"aws_compute_optimizer.html#delete_recommendation_preferences/2","title":"aws_compute_optimizer.delete_recommendation_preferences/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#delete_recommendation_preferences/3","title":"aws_compute_optimizer.delete_recommendation_preferences/3","type":"function"},{"doc":"Describes recommendation export jobs created in the last seven days. Use the ExportAutoScalingGroupRecommendations or ExportEC2InstanceRecommendations actions to request an export of your recommendations. Then use the DescribeRecommendationExportJobs action to view your export jobs.","ref":"aws_compute_optimizer.html#describe_recommendation_export_jobs/2","title":"aws_compute_optimizer.describe_recommendation_export_jobs/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#describe_recommendation_export_jobs/3","title":"aws_compute_optimizer.describe_recommendation_export_jobs/3","type":"function"},{"doc":"Exports optimization recommendations for Auto Scaling groups. Recommendations are exported in a comma-separated values (.csv) file, and its metadata in a JavaScript Object Notation (JSON) (.json) file, to an existing Amazon Simple Storage Service (Amazon S3) bucket that you specify. For more information, see Exporting Recommendations in the Compute Optimizer User Guide. You can have only one Auto Scaling group export job in progress per Amazon Web Services Region.","ref":"aws_compute_optimizer.html#export_auto_scaling_group_recommendations/2","title":"aws_compute_optimizer.export_auto_scaling_group_recommendations/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#export_auto_scaling_group_recommendations/3","title":"aws_compute_optimizer.export_auto_scaling_group_recommendations/3","type":"function"},{"doc":"Exports optimization recommendations for Amazon ECS services on Fargate. Recommendations are exported in a CSV file, and its metadata in a JSON file, to an existing Amazon Simple Storage Service (Amazon S3) bucket that you specify. For more information, see Exporting Recommendations in the Compute Optimizer User Guide. You can only have one Amazon ECS service export job in progress per Amazon Web Services Region.","ref":"aws_compute_optimizer.html#export_e_c_s_service_recommendations/2","title":"aws_compute_optimizer.export_e_c_s_service_recommendations/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#export_e_c_s_service_recommendations/3","title":"aws_compute_optimizer.export_e_c_s_service_recommendations/3","type":"function"},{"doc":"Exports optimization recommendations for Amazon EBS volumes. Recommendations are exported in a comma-separated values (.csv) file, and its metadata in a JavaScript Object Notation (JSON) (.json) file, to an existing Amazon Simple Storage Service (Amazon S3) bucket that you specify. For more information, see Exporting Recommendations in the Compute Optimizer User Guide. You can have only one Amazon EBS volume export job in progress per Amazon Web Services Region.","ref":"aws_compute_optimizer.html#export_ebs_volume_recommendations/2","title":"aws_compute_optimizer.export_ebs_volume_recommendations/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#export_ebs_volume_recommendations/3","title":"aws_compute_optimizer.export_ebs_volume_recommendations/3","type":"function"},{"doc":"Exports optimization recommendations for Amazon EC2 instances. Recommendations are exported in a comma-separated values (.csv) file, and its metadata in a JavaScript Object Notation (JSON) (.json) file, to an existing Amazon Simple Storage Service (Amazon S3) bucket that you specify. For more information, see Exporting Recommendations in the Compute Optimizer User Guide. You can have only one Amazon EC2 instance export job in progress per Amazon Web Services Region.","ref":"aws_compute_optimizer.html#export_ec2_instance_recommendations/2","title":"aws_compute_optimizer.export_ec2_instance_recommendations/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#export_ec2_instance_recommendations/3","title":"aws_compute_optimizer.export_ec2_instance_recommendations/3","type":"function"},{"doc":"Exports optimization recommendations for Lambda functions. Recommendations are exported in a comma-separated values (.csv) file, and its metadata in a JavaScript Object Notation (JSON) (.json) file, to an existing Amazon Simple Storage Service (Amazon S3) bucket that you specify. For more information, see Exporting Recommendations in the Compute Optimizer User Guide. You can have only one Lambda function export job in progress per Amazon Web Services Region.","ref":"aws_compute_optimizer.html#export_lambda_function_recommendations/2","title":"aws_compute_optimizer.export_lambda_function_recommendations/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#export_lambda_function_recommendations/3","title":"aws_compute_optimizer.export_lambda_function_recommendations/3","type":"function"},{"doc":"Returns Auto Scaling group recommendations. Compute Optimizer generates recommendations for Amazon EC2 Auto Scaling groups that meet a specific set of requirements. For more information, see the Supported resources and requirements in the Compute Optimizer User Guide.","ref":"aws_compute_optimizer.html#get_auto_scaling_group_recommendations/2","title":"aws_compute_optimizer.get_auto_scaling_group_recommendations/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#get_auto_scaling_group_recommendations/3","title":"aws_compute_optimizer.get_auto_scaling_group_recommendations/3","type":"function"},{"doc":"Returns the projected metrics of Amazon ECS service recommendations.","ref":"aws_compute_optimizer.html#get_e_c_s_service_recommendation_projected_metrics/2","title":"aws_compute_optimizer.get_e_c_s_service_recommendation_projected_metrics/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#get_e_c_s_service_recommendation_projected_metrics/3","title":"aws_compute_optimizer.get_e_c_s_service_recommendation_projected_metrics/3","type":"function"},{"doc":"Returns Amazon ECS service recommendations. Compute Optimizer generates recommendations for Amazon ECS services on Fargate that meet a specific set of requirements. For more information, see the Supported resources and requirements in the Compute Optimizer User Guide.","ref":"aws_compute_optimizer.html#get_e_c_s_service_recommendations/2","title":"aws_compute_optimizer.get_e_c_s_service_recommendations/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#get_e_c_s_service_recommendations/3","title":"aws_compute_optimizer.get_e_c_s_service_recommendations/3","type":"function"},{"doc":"Returns Amazon Elastic Block Store (Amazon EBS) volume recommendations. Compute Optimizer generates recommendations for Amazon EBS volumes that meet a specific set of requirements. For more information, see the Supported resources and requirements in the Compute Optimizer User Guide.","ref":"aws_compute_optimizer.html#get_ebs_volume_recommendations/2","title":"aws_compute_optimizer.get_ebs_volume_recommendations/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#get_ebs_volume_recommendations/3","title":"aws_compute_optimizer.get_ebs_volume_recommendations/3","type":"function"},{"doc":"Returns Amazon EC2 instance recommendations. Compute Optimizer generates recommendations for Amazon Elastic Compute Cloud (Amazon EC2) instances that meet a specific set of requirements. For more information, see the Supported resources and requirements in the Compute Optimizer User Guide.","ref":"aws_compute_optimizer.html#get_ec2_instance_recommendations/2","title":"aws_compute_optimizer.get_ec2_instance_recommendations/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#get_ec2_instance_recommendations/3","title":"aws_compute_optimizer.get_ec2_instance_recommendations/3","type":"function"},{"doc":"Returns the projected utilization metrics of Amazon EC2 instance recommendations. The Cpu and Memory metrics are the only projected utilization metrics returned when you run this action. Additionally, the Memory metric is returned only for resources that have the unified CloudWatch agent installed on them. For more information, see Enabling Memory Utilization with the CloudWatch Agent.","ref":"aws_compute_optimizer.html#get_ec2_recommendation_projected_metrics/2","title":"aws_compute_optimizer.get_ec2_recommendation_projected_metrics/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#get_ec2_recommendation_projected_metrics/3","title":"aws_compute_optimizer.get_ec2_recommendation_projected_metrics/3","type":"function"},{"doc":"Returns the recommendation preferences that are in effect for a given resource, such as enhanced infrastructure metrics. Considers all applicable preferences that you might have set at the resource, account, and organization level. When you create a recommendation preference, you can set its status to Active or Inactive . Use this action to view the recommendation preferences that are in effect, or Active .","ref":"aws_compute_optimizer.html#get_effective_recommendation_preferences/2","title":"aws_compute_optimizer.get_effective_recommendation_preferences/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#get_effective_recommendation_preferences/3","title":"aws_compute_optimizer.get_effective_recommendation_preferences/3","type":"function"},{"doc":"Returns the enrollment (opt in) status of an account to the Compute Optimizer service. If the account is the management account of an organization, this action also confirms the enrollment status of member accounts of the organization. Use the GetEnrollmentStatusesForOrganization action to get detailed information about the enrollment status of member accounts of an organization.","ref":"aws_compute_optimizer.html#get_enrollment_status/2","title":"aws_compute_optimizer.get_enrollment_status/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#get_enrollment_status/3","title":"aws_compute_optimizer.get_enrollment_status/3","type":"function"},{"doc":"Returns the Compute Optimizer enrollment (opt-in) status of organization member accounts, if your account is an organization management account. To get the enrollment status of standalone accounts, use the GetEnrollmentStatus action.","ref":"aws_compute_optimizer.html#get_enrollment_statuses_for_organization/2","title":"aws_compute_optimizer.get_enrollment_statuses_for_organization/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#get_enrollment_statuses_for_organization/3","title":"aws_compute_optimizer.get_enrollment_statuses_for_organization/3","type":"function"},{"doc":"Returns Lambda function recommendations. Compute Optimizer generates recommendations for functions that meet a specific set of requirements. For more information, see the Supported resources and requirements in the Compute Optimizer User Guide.","ref":"aws_compute_optimizer.html#get_lambda_function_recommendations/2","title":"aws_compute_optimizer.get_lambda_function_recommendations/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#get_lambda_function_recommendations/3","title":"aws_compute_optimizer.get_lambda_function_recommendations/3","type":"function"},{"doc":"Returns existing recommendation preferences, such as enhanced infrastructure metrics. Use the scope parameter to specify which preferences to return. You can specify to return preferences for an organization, a specific account ID, or a specific EC2 instance or Auto Scaling group Amazon Resource Name (ARN). For more information, see Activating enhanced infrastructure metrics in the Compute Optimizer User Guide.","ref":"aws_compute_optimizer.html#get_recommendation_preferences/2","title":"aws_compute_optimizer.get_recommendation_preferences/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#get_recommendation_preferences/3","title":"aws_compute_optimizer.get_recommendation_preferences/3","type":"function"},{"doc":"Returns the optimization findings for an account. It returns the number of: Amazon EC2 instances in an account that are Underprovisioned , Overprovisioned , or Optimized . Auto Scaling groups in an account that are NotOptimized , or Optimized . Amazon EBS volumes in an account that are NotOptimized , or Optimized . Lambda functions in an account that are NotOptimized , or Optimized . Amazon ECS services in an account that are Underprovisioned , Overprovisioned , or Optimized .","ref":"aws_compute_optimizer.html#get_recommendation_summaries/2","title":"aws_compute_optimizer.get_recommendation_summaries/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#get_recommendation_summaries/3","title":"aws_compute_optimizer.get_recommendation_summaries/3","type":"function"},{"doc":"Creates a new recommendation preference or updates an existing recommendation preference, such as enhanced infrastructure metrics. For more information, see Activating enhanced infrastructure metrics in the Compute Optimizer User Guide.","ref":"aws_compute_optimizer.html#put_recommendation_preferences/2","title":"aws_compute_optimizer.put_recommendation_preferences/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#put_recommendation_preferences/3","title":"aws_compute_optimizer.put_recommendation_preferences/3","type":"function"},{"doc":"Updates the enrollment (opt in and opt out) status of an account to the Compute Optimizer service. If the account is a management account of an organization, this action can also be used to enroll member accounts of the organization. You must have the appropriate permissions to opt in to Compute Optimizer, to view its recommendations, and to opt out. For more information, see Controlling access with Amazon Web Services Identity and Access Management in the Compute Optimizer User Guide. When you opt in, Compute Optimizer automatically creates a service-linked role in your account to access its data. For more information, see Using Service-Linked Roles for Compute Optimizer in the Compute Optimizer User Guide.","ref":"aws_compute_optimizer.html#update_enrollment_status/2","title":"aws_compute_optimizer.update_enrollment_status/2","type":"function"},{"doc":"","ref":"aws_compute_optimizer.html#update_enrollment_status/3","title":"aws_compute_optimizer.update_enrollment_status/3","type":"function"},{"doc":"Config Config provides a way to keep track of the configurations of all the Amazon Web Services resources associated with your Amazon Web Services account. You can use Config to get the current and historical configurations of each Amazon Web Services resource and also to get information about the relationship between the resources. An Amazon Web Services resource can be an Amazon Compute Cloud (Amazon EC2) instance, an Elastic Block Store (EBS) volume, an elastic network Interface (ENI), or a security group. For a complete list of resources currently supported by Config, see Supported Amazon Web Services resources. You can access and manage Config through the Amazon Web Services Management Console, the Amazon Web Services Command Line Interface (Amazon Web Services CLI), the Config API, or the Amazon Web Services SDKs for Config. This reference guide contains documentation for the Config API and the Amazon Web Services CLI commands that you can use to manage Config. The Config API uses the Signature Version 4 protocol for signing requests. For more information about how to sign a request with this protocol, see Signature Version 4 Signing Process. For detailed information about Config features and their associated actions or commands, as well as how to work with Amazon Web Services Management Console, see What Is Config in the Config Developer Guide.","ref":"aws_config.html","title":"aws_config","type":"module"},{"doc":"Returns the current configuration items for resources that are present in your Config aggregator. The operation also returns a list of resources that are not processed in the current request. If there are no unprocessed resources, the operation returns an empty unprocessedResourceIdentifiers list. The API does not return results for deleted resources. The API does not return tags and relationships.","ref":"aws_config.html#batch_get_aggregate_resource_config/2","title":"aws_config.batch_get_aggregate_resource_config/2","type":"function"},{"doc":"","ref":"aws_config.html#batch_get_aggregate_resource_config/3","title":"aws_config.batch_get_aggregate_resource_config/3","type":"function"},{"doc":"Returns the BaseConfigurationItem for one or more requested resources. The operation also returns a list of resources that are not processed in the current request. If there are no unprocessed resources, the operation returns an empty unprocessedResourceKeys list. The API does not return results for deleted resources. The API does not return any tags for the requested resources. This information is filtered out of the supplementaryConfiguration section of the API response.","ref":"aws_config.html#batch_get_resource_config/2","title":"aws_config.batch_get_resource_config/2","type":"function"},{"doc":"","ref":"aws_config.html#batch_get_resource_config/3","title":"aws_config.batch_get_resource_config/3","type":"function"},{"doc":"Deletes the authorization granted to the specified configuration aggregator account in a specified region.","ref":"aws_config.html#delete_aggregation_authorization/2","title":"aws_config.delete_aggregation_authorization/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_aggregation_authorization/3","title":"aws_config.delete_aggregation_authorization/3","type":"function"},{"doc":"Deletes the specified Config rule and all of its evaluation results. Config sets the state of a rule to DELETING until the deletion is complete. You cannot update a rule while it is in this state. If you make a PutConfigRule or DeleteConfigRule request for the rule, you will receive a ResourceInUseException . You can check the state of a rule by using the DescribeConfigRules request.","ref":"aws_config.html#delete_config_rule/2","title":"aws_config.delete_config_rule/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_config_rule/3","title":"aws_config.delete_config_rule/3","type":"function"},{"doc":"Deletes the specified configuration aggregator and the aggregated data associated with the aggregator.","ref":"aws_config.html#delete_configuration_aggregator/2","title":"aws_config.delete_configuration_aggregator/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_configuration_aggregator/3","title":"aws_config.delete_configuration_aggregator/3","type":"function"},{"doc":"Deletes the configuration recorder. After the configuration recorder is deleted, Config will not record resource configuration changes until you create a new configuration recorder. This action does not delete the configuration information that was previously recorded. You will be able to access the previously recorded information by using the GetResourceConfigHistory action, but you will not be able to access this information in the Config console until you create a new configuration recorder.","ref":"aws_config.html#delete_configuration_recorder/2","title":"aws_config.delete_configuration_recorder/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_configuration_recorder/3","title":"aws_config.delete_configuration_recorder/3","type":"function"},{"doc":"Deletes the specified conformance pack and all the Config rules, remediation actions, and all evaluation results within that conformance pack. Config sets the conformance pack to DELETE_IN_PROGRESS until the deletion is complete. You cannot update a conformance pack while it is in this state.","ref":"aws_config.html#delete_conformance_pack/2","title":"aws_config.delete_conformance_pack/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_conformance_pack/3","title":"aws_config.delete_conformance_pack/3","type":"function"},{"doc":"Deletes the delivery channel. Before you can delete the delivery channel, you must stop the configuration recorder by using the StopConfigurationRecorder action.","ref":"aws_config.html#delete_delivery_channel/2","title":"aws_config.delete_delivery_channel/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_delivery_channel/3","title":"aws_config.delete_delivery_channel/3","type":"function"},{"doc":"Deletes the evaluation results for the specified Config rule. You can specify one Config rule per request. After you delete the evaluation results, you can call the StartConfigRulesEvaluation API to start evaluating your Amazon Web Services resources against the rule.","ref":"aws_config.html#delete_evaluation_results/2","title":"aws_config.delete_evaluation_results/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_evaluation_results/3","title":"aws_config.delete_evaluation_results/3","type":"function"},{"doc":"Deletes the specified organization Config rule and all of its evaluation results from all member accounts in that organization. Only a management account and a delegated administrator account can delete an organization Config rule. When calling this API with a delegated administrator, you must ensure Organizations ListDelegatedAdministrator permissions are added. Config sets the state of a rule to DELETE_IN_PROGRESS until the deletion is complete. You cannot update a rule while it is in this state.","ref":"aws_config.html#delete_organization_config_rule/2","title":"aws_config.delete_organization_config_rule/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_organization_config_rule/3","title":"aws_config.delete_organization_config_rule/3","type":"function"},{"doc":"Deletes the specified organization conformance pack and all of the Config rules and remediation actions from all member accounts in that organization. Only a management account or a delegated administrator account can delete an organization conformance pack. When calling this API with a delegated administrator, you must ensure Organizations ListDelegatedAdministrator permissions are added. Config sets the state of a conformance pack to DELETE_IN_PROGRESS until the deletion is complete. You cannot update a conformance pack while it is in this state.","ref":"aws_config.html#delete_organization_conformance_pack/2","title":"aws_config.delete_organization_conformance_pack/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_organization_conformance_pack/3","title":"aws_config.delete_organization_conformance_pack/3","type":"function"},{"doc":"Deletes pending authorization requests for a specified aggregator account in a specified region.","ref":"aws_config.html#delete_pending_aggregation_request/2","title":"aws_config.delete_pending_aggregation_request/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_pending_aggregation_request/3","title":"aws_config.delete_pending_aggregation_request/3","type":"function"},{"doc":"Deletes the remediation configuration.","ref":"aws_config.html#delete_remediation_configuration/2","title":"aws_config.delete_remediation_configuration/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_remediation_configuration/3","title":"aws_config.delete_remediation_configuration/3","type":"function"},{"doc":"Deletes one or more remediation exceptions mentioned in the resource keys. Config generates a remediation exception when a problem occurs executing a remediation action to a specific resource. Remediation exceptions blocks auto-remediation until the exception is cleared.","ref":"aws_config.html#delete_remediation_exceptions/2","title":"aws_config.delete_remediation_exceptions/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_remediation_exceptions/3","title":"aws_config.delete_remediation_exceptions/3","type":"function"},{"doc":"Records the configuration state for a custom resource that has been deleted. This API records a new ConfigurationItem with a ResourceDeleted status. You can retrieve the ConfigurationItems recorded for this resource in your Config History.","ref":"aws_config.html#delete_resource_config/2","title":"aws_config.delete_resource_config/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_resource_config/3","title":"aws_config.delete_resource_config/3","type":"function"},{"doc":"Deletes the retention configuration.","ref":"aws_config.html#delete_retention_configuration/2","title":"aws_config.delete_retention_configuration/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_retention_configuration/3","title":"aws_config.delete_retention_configuration/3","type":"function"},{"doc":"Deletes the stored query for a single Amazon Web Services account and a single Amazon Web Services Region.","ref":"aws_config.html#delete_stored_query/2","title":"aws_config.delete_stored_query/2","type":"function"},{"doc":"","ref":"aws_config.html#delete_stored_query/3","title":"aws_config.delete_stored_query/3","type":"function"},{"doc":"Schedules delivery of a configuration snapshot to the Amazon S3 bucket in the specified delivery channel. After the delivery has started, Config sends the following notifications using an Amazon SNS topic that you have specified. Notification of the start of the delivery. Notification of the completion of the delivery, if the delivery was successfully completed. Notification of delivery failure, if the delivery failed.","ref":"aws_config.html#deliver_config_snapshot/2","title":"aws_config.deliver_config_snapshot/2","type":"function"},{"doc":"","ref":"aws_config.html#deliver_config_snapshot/3","title":"aws_config.deliver_config_snapshot/3","type":"function"},{"doc":"Returns a list of compliant and noncompliant rules with the number of resources for compliant and noncompliant rules. Does not display rules that do not have compliance results. The results can return an empty result page, but if you have a nextToken , the results are displayed on the next page.","ref":"aws_config.html#describe_aggregate_compliance_by_config_rules/2","title":"aws_config.describe_aggregate_compliance_by_config_rules/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_aggregate_compliance_by_config_rules/3","title":"aws_config.describe_aggregate_compliance_by_config_rules/3","type":"function"},{"doc":"Returns a list of the conformance packs and their associated compliance status with the count of compliant and noncompliant Config rules within each conformance pack. Also returns the total rule count which includes compliant rules, noncompliant rules, and rules that cannot be evaluated due to insufficient data. The results can return an empty result page, but if you have a nextToken , the results are displayed on the next page.","ref":"aws_config.html#describe_aggregate_compliance_by_conformance_packs/2","title":"aws_config.describe_aggregate_compliance_by_conformance_packs/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_aggregate_compliance_by_conformance_packs/3","title":"aws_config.describe_aggregate_compliance_by_conformance_packs/3","type":"function"},{"doc":"Returns a list of authorizations granted to various aggregator accounts and regions.","ref":"aws_config.html#describe_aggregation_authorizations/2","title":"aws_config.describe_aggregation_authorizations/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_aggregation_authorizations/3","title":"aws_config.describe_aggregation_authorizations/3","type":"function"},{"doc":"Indicates whether the specified Config rules are compliant. If a rule is noncompliant, this action returns the number of Amazon Web Services resources that do not comply with the rule. A rule is compliant if all of the evaluated resources comply with it. It is noncompliant if any of these resources do not comply. If Config has no current evaluation results for the rule, it returns INSUFFICIENT_DATA . This result might indicate one of the following conditions: Config has never invoked an evaluation for the rule. To check whether it has, use the DescribeConfigRuleEvaluationStatus action to get the LastSuccessfulInvocationTime and LastFailedInvocationTime . The rule's Lambda function is failing to send evaluation results to Config. Verify that the role you assigned to your configuration recorder includes the config:PutEvaluations permission. If the rule is a custom rule, verify that the Lambda execution role includes the config:PutEvaluations permission. The rule's Lambda function has returned NOT_APPLICABLE for all evaluation results. This can occur if the resources were deleted or removed from the rule's scope.","ref":"aws_config.html#describe_compliance_by_config_rule/2","title":"aws_config.describe_compliance_by_config_rule/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_compliance_by_config_rule/3","title":"aws_config.describe_compliance_by_config_rule/3","type":"function"},{"doc":"Indicates whether the specified Amazon Web Services resources are compliant. If a resource is noncompliant, this action returns the number of Config rules that the resource does not comply with. A resource is compliant if it complies with all the Config rules that evaluate it. It is noncompliant if it does not comply with one or more of these rules. If Config has no current evaluation results for the resource, it returns INSUFFICIENT_DATA . This result might indicate one of the following conditions about the rules that evaluate the resource: Config has never invoked an evaluation for the rule. To check whether it has, use the DescribeConfigRuleEvaluationStatus action to get the LastSuccessfulInvocationTime and LastFailedInvocationTime . The rule's Lambda function is failing to send evaluation results to Config. Verify that the role that you assigned to your configuration recorder includes the config:PutEvaluations permission. If the rule is a custom rule, verify that the Lambda execution role includes the config:PutEvaluations permission. The rule's Lambda function has returned NOT_APPLICABLE for all evaluation results. This can occur if the resources were deleted or removed from the rule's scope.","ref":"aws_config.html#describe_compliance_by_resource/2","title":"aws_config.describe_compliance_by_resource/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_compliance_by_resource/3","title":"aws_config.describe_compliance_by_resource/3","type":"function"},{"doc":"Returns status information for each of your Config managed rules. The status includes information such as the last time Config invoked the rule, the last time Config failed to invoke the rule, and the related error for the last failure.","ref":"aws_config.html#describe_config_rule_evaluation_status/2","title":"aws_config.describe_config_rule_evaluation_status/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_config_rule_evaluation_status/3","title":"aws_config.describe_config_rule_evaluation_status/3","type":"function"},{"doc":"Returns details about your Config rules.","ref":"aws_config.html#describe_config_rules/2","title":"aws_config.describe_config_rules/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_config_rules/3","title":"aws_config.describe_config_rules/3","type":"function"},{"doc":"Returns status information for sources within an aggregator. The status includes information about the last time Config verified authorization between the source account and an aggregator account. In case of a failure, the status contains the related error code or message.","ref":"aws_config.html#describe_configuration_aggregator_sources_status/2","title":"aws_config.describe_configuration_aggregator_sources_status/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_configuration_aggregator_sources_status/3","title":"aws_config.describe_configuration_aggregator_sources_status/3","type":"function"},{"doc":"Returns the details of one or more configuration aggregators. If the configuration aggregator is not specified, this action returns the details for all the configuration aggregators associated with the account.","ref":"aws_config.html#describe_configuration_aggregators/2","title":"aws_config.describe_configuration_aggregators/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_configuration_aggregators/3","title":"aws_config.describe_configuration_aggregators/3","type":"function"},{"doc":"Returns the current status of the specified configuration recorder. If a configuration recorder is not specified, this action returns the status of all configuration recorders associated with the account. Currently, you can specify only one configuration recorder per region in your account.","ref":"aws_config.html#describe_configuration_recorder_status/2","title":"aws_config.describe_configuration_recorder_status/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_configuration_recorder_status/3","title":"aws_config.describe_configuration_recorder_status/3","type":"function"},{"doc":"Returns the details for the specified configuration recorders. If the configuration recorder is not specified, this action returns the details for all configuration recorders associated with the account. Currently, you can specify only one configuration recorder per region in your account.","ref":"aws_config.html#describe_configuration_recorders/2","title":"aws_config.describe_configuration_recorders/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_configuration_recorders/3","title":"aws_config.describe_configuration_recorders/3","type":"function"},{"doc":"Returns compliance details for each rule in that conformance pack. You must provide exact rule names.","ref":"aws_config.html#describe_conformance_pack_compliance/2","title":"aws_config.describe_conformance_pack_compliance/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_conformance_pack_compliance/3","title":"aws_config.describe_conformance_pack_compliance/3","type":"function"},{"doc":"Provides one or more conformance packs deployment status. If there are no conformance packs then you will see an empty result.","ref":"aws_config.html#describe_conformance_pack_status/2","title":"aws_config.describe_conformance_pack_status/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_conformance_pack_status/3","title":"aws_config.describe_conformance_pack_status/3","type":"function"},{"doc":"Returns a list of one or more conformance packs.","ref":"aws_config.html#describe_conformance_packs/2","title":"aws_config.describe_conformance_packs/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_conformance_packs/3","title":"aws_config.describe_conformance_packs/3","type":"function"},{"doc":"Returns the current status of the specified delivery channel. If a delivery channel is not specified, this action returns the current status of all delivery channels associated with the account. Currently, you can specify only one delivery channel per region in your account.","ref":"aws_config.html#describe_delivery_channel_status/2","title":"aws_config.describe_delivery_channel_status/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_delivery_channel_status/3","title":"aws_config.describe_delivery_channel_status/3","type":"function"},{"doc":"Returns details about the specified delivery channel. If a delivery channel is not specified, this action returns the details of all delivery channels associated with the account. Currently, you can specify only one delivery channel per region in your account.","ref":"aws_config.html#describe_delivery_channels/2","title":"aws_config.describe_delivery_channels/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_delivery_channels/3","title":"aws_config.describe_delivery_channels/3","type":"function"},{"doc":"Provides organization Config rule deployment status for an organization. The status is not considered successful until organization Config rule is successfully deployed in all the member accounts with an exception of excluded accounts. When you specify the limit and the next token, you receive a paginated response. Limit and next token are not applicable if you specify organization Config rule names. It is only applicable, when you request all the organization Config rules.","ref":"aws_config.html#describe_organization_config_rule_statuses/2","title":"aws_config.describe_organization_config_rule_statuses/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_organization_config_rule_statuses/3","title":"aws_config.describe_organization_config_rule_statuses/3","type":"function"},{"doc":"Returns a list of organization Config rules. When you specify the limit and the next token, you receive a paginated response. Limit and next token are not applicable if you specify organization Config rule names. It is only applicable, when you request all the organization Config rules. For accounts within an organzation If you deploy an organizational rule or conformance pack in an organization administrator account, and then establish a delegated administrator and deploy an organizational rule or conformance pack in the delegated administrator account, you won't be able to see the organizational rule or conformance pack in the organization administrator account from the delegated administrator account or see the organizational rule or conformance pack in the delegated administrator account from organization administrator account. The DescribeOrganizationConfigRules and DescribeOrganizationConformancePacks APIs can only see and interact with the organization-related resource that were deployed from within the account calling those APIs.","ref":"aws_config.html#describe_organization_config_rules/2","title":"aws_config.describe_organization_config_rules/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_organization_config_rules/3","title":"aws_config.describe_organization_config_rules/3","type":"function"},{"doc":"Provides organization conformance pack deployment status for an organization. The status is not considered successful until organization conformance pack is successfully deployed in all the member accounts with an exception of excluded accounts. When you specify the limit and the next token, you receive a paginated response. Limit and next token are not applicable if you specify organization conformance pack names. They are only applicable, when you request all the organization conformance packs.","ref":"aws_config.html#describe_organization_conformance_pack_statuses/2","title":"aws_config.describe_organization_conformance_pack_statuses/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_organization_conformance_pack_statuses/3","title":"aws_config.describe_organization_conformance_pack_statuses/3","type":"function"},{"doc":"Returns a list of organization conformance packs. When you specify the limit and the next token, you receive a paginated response. Limit and next token are not applicable if you specify organization conformance packs names. They are only applicable, when you request all the organization conformance packs. For accounts within an organzation If you deploy an organizational rule or conformance pack in an organization administrator account, and then establish a delegated administrator and deploy an organizational rule or conformance pack in the delegated administrator account, you won't be able to see the organizational rule or conformance pack in the organization administrator account from the delegated administrator account or see the organizational rule or conformance pack in the delegated administrator account from organization administrator account. The DescribeOrganizationConfigRules and DescribeOrganizationConformancePacks APIs can only see and interact with the organization-related resource that were deployed from within the account calling those APIs.","ref":"aws_config.html#describe_organization_conformance_packs/2","title":"aws_config.describe_organization_conformance_packs/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_organization_conformance_packs/3","title":"aws_config.describe_organization_conformance_packs/3","type":"function"},{"doc":"Returns a list of all pending aggregation requests.","ref":"aws_config.html#describe_pending_aggregation_requests/2","title":"aws_config.describe_pending_aggregation_requests/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_pending_aggregation_requests/3","title":"aws_config.describe_pending_aggregation_requests/3","type":"function"},{"doc":"Returns the details of one or more remediation configurations.","ref":"aws_config.html#describe_remediation_configurations/2","title":"aws_config.describe_remediation_configurations/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_remediation_configurations/3","title":"aws_config.describe_remediation_configurations/3","type":"function"},{"doc":"Returns the details of one or more remediation exceptions. A detailed view of a remediation exception for a set of resources that includes an explanation of an exception and the time when the exception will be deleted. When you specify the limit and the next token, you receive a paginated response. Config generates a remediation exception when a problem occurs executing a remediation action to a specific resource. Remediation exceptions blocks auto-remediation until the exception is cleared. When you specify the limit and the next token, you receive a paginated response. Limit and next token are not applicable if you request resources in batch. It is only applicable, when you request all resources.","ref":"aws_config.html#describe_remediation_exceptions/2","title":"aws_config.describe_remediation_exceptions/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_remediation_exceptions/3","title":"aws_config.describe_remediation_exceptions/3","type":"function"},{"doc":"Provides a detailed view of a Remediation Execution for a set of resources including state, timestamps for when steps for the remediation execution occur, and any error messages for steps that have failed. When you specify the limit and the next token, you receive a paginated response.","ref":"aws_config.html#describe_remediation_execution_status/2","title":"aws_config.describe_remediation_execution_status/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_remediation_execution_status/3","title":"aws_config.describe_remediation_execution_status/3","type":"function"},{"doc":"Returns the details of one or more retention configurations. If the retention configuration name is not specified, this action returns the details for all the retention configurations for that account. Currently, Config supports only one retention configuration per region in your account.","ref":"aws_config.html#describe_retention_configurations/2","title":"aws_config.describe_retention_configurations/2","type":"function"},{"doc":"","ref":"aws_config.html#describe_retention_configurations/3","title":"aws_config.describe_retention_configurations/3","type":"function"},{"doc":"Returns the evaluation results for the specified Config rule for a specific resource in a rule. The results indicate which Amazon Web Services resources were evaluated by the rule, when each resource was last evaluated, and whether each resource complies with the rule. The results can return an empty result page. But if you have a nextToken , the results are displayed on the next page.","ref":"aws_config.html#get_aggregate_compliance_details_by_config_rule/2","title":"aws_config.get_aggregate_compliance_details_by_config_rule/2","type":"function"},{"doc":"","ref":"aws_config.html#get_aggregate_compliance_details_by_config_rule/3","title":"aws_config.get_aggregate_compliance_details_by_config_rule/3","type":"function"},{"doc":"Returns the number of compliant and noncompliant rules for one or more accounts and regions in an aggregator. The results can return an empty result page, but if you have a nextToken, the results are displayed on the next page.","ref":"aws_config.html#get_aggregate_config_rule_compliance_summary/2","title":"aws_config.get_aggregate_config_rule_compliance_summary/2","type":"function"},{"doc":"","ref":"aws_config.html#get_aggregate_config_rule_compliance_summary/3","title":"aws_config.get_aggregate_config_rule_compliance_summary/3","type":"function"},{"doc":"Returns the count of compliant and noncompliant conformance packs across all Amazon Web Services accounts and Amazon Web Services Regions in an aggregator. You can filter based on Amazon Web Services account ID or Amazon Web Services Region. The results can return an empty result page, but if you have a nextToken, the results are displayed on the next page.","ref":"aws_config.html#get_aggregate_conformance_pack_compliance_summary/2","title":"aws_config.get_aggregate_conformance_pack_compliance_summary/2","type":"function"},{"doc":"","ref":"aws_config.html#get_aggregate_conformance_pack_compliance_summary/3","title":"aws_config.get_aggregate_conformance_pack_compliance_summary/3","type":"function"},{"doc":"Returns the resource counts across accounts and regions that are present in your Config aggregator. You can request the resource counts by providing filters and GroupByKey. For example, if the input contains accountID 12345678910 and region us-east-1 in filters, the API returns the count of resources in account ID 12345678910 and region us-east-1. If the input contains ACCOUNT_ID as a GroupByKey, the API returns resource counts for all source accounts that are present in your aggregator.","ref":"aws_config.html#get_aggregate_discovered_resource_counts/2","title":"aws_config.get_aggregate_discovered_resource_counts/2","type":"function"},{"doc":"","ref":"aws_config.html#get_aggregate_discovered_resource_counts/3","title":"aws_config.get_aggregate_discovered_resource_counts/3","type":"function"},{"doc":"Returns configuration item that is aggregated for your specific resource in a specific source account and region.","ref":"aws_config.html#get_aggregate_resource_config/2","title":"aws_config.get_aggregate_resource_config/2","type":"function"},{"doc":"","ref":"aws_config.html#get_aggregate_resource_config/3","title":"aws_config.get_aggregate_resource_config/3","type":"function"},{"doc":"Returns the evaluation results for the specified Config rule. The results indicate which Amazon Web Services resources were evaluated by the rule, when each resource was last evaluated, and whether each resource complies with the rule.","ref":"aws_config.html#get_compliance_details_by_config_rule/2","title":"aws_config.get_compliance_details_by_config_rule/2","type":"function"},{"doc":"","ref":"aws_config.html#get_compliance_details_by_config_rule/3","title":"aws_config.get_compliance_details_by_config_rule/3","type":"function"},{"doc":"Returns the evaluation results for the specified Amazon Web Services resource. The results indicate which Config rules were used to evaluate the resource, when each rule was last invoked, and whether the resource complies with each rule.","ref":"aws_config.html#get_compliance_details_by_resource/2","title":"aws_config.get_compliance_details_by_resource/2","type":"function"},{"doc":"","ref":"aws_config.html#get_compliance_details_by_resource/3","title":"aws_config.get_compliance_details_by_resource/3","type":"function"},{"doc":"Returns the number of Config rules that are compliant and noncompliant, up to a maximum of 25 for each.","ref":"aws_config.html#get_compliance_summary_by_config_rule/2","title":"aws_config.get_compliance_summary_by_config_rule/2","type":"function"},{"doc":"","ref":"aws_config.html#get_compliance_summary_by_config_rule/3","title":"aws_config.get_compliance_summary_by_config_rule/3","type":"function"},{"doc":"Returns the number of resources that are compliant and the number that are noncompliant. You can specify one or more resource types to get these numbers for each resource type. The maximum number returned is 100.","ref":"aws_config.html#get_compliance_summary_by_resource_type/2","title":"aws_config.get_compliance_summary_by_resource_type/2","type":"function"},{"doc":"","ref":"aws_config.html#get_compliance_summary_by_resource_type/3","title":"aws_config.get_compliance_summary_by_resource_type/3","type":"function"},{"doc":"Returns compliance details of a conformance pack for all Amazon Web Services resources that are monitered by conformance pack.","ref":"aws_config.html#get_conformance_pack_compliance_details/2","title":"aws_config.get_conformance_pack_compliance_details/2","type":"function"},{"doc":"","ref":"aws_config.html#get_conformance_pack_compliance_details/3","title":"aws_config.get_conformance_pack_compliance_details/3","type":"function"},{"doc":"Returns compliance details for the conformance pack based on the cumulative compliance results of all the rules in that conformance pack.","ref":"aws_config.html#get_conformance_pack_compliance_summary/2","title":"aws_config.get_conformance_pack_compliance_summary/2","type":"function"},{"doc":"","ref":"aws_config.html#get_conformance_pack_compliance_summary/3","title":"aws_config.get_conformance_pack_compliance_summary/3","type":"function"},{"doc":"Returns the policy definition containing the logic for your Config Custom Policy rule.","ref":"aws_config.html#get_custom_rule_policy/2","title":"aws_config.get_custom_rule_policy/2","type":"function"},{"doc":"","ref":"aws_config.html#get_custom_rule_policy/3","title":"aws_config.get_custom_rule_policy/3","type":"function"},{"doc":"Returns the resource types, the number of each resource type, and the total number of resources that Config is recording in this region for your Amazon Web Services account. Example Config is recording three resource types in the US East (Ohio) Region for your account: 25 EC2 instances, 20 IAM users, and 15 S3 buckets. You make a call to the GetDiscoveredResourceCounts action and specify that you want all resource types. Config returns the following: The resource types (EC2 instances, IAM users, and S3 buckets). The number of each resource type (25, 20, and 15). The total number of all resources (60). The response is paginated. By default, Config lists 100 ResourceCount objects on each page. You can customize this number with the limit parameter. The response includes a nextToken string. To get the next page of results, run the request again and specify the string for the nextToken parameter. If you make a call to the GetDiscoveredResourceCounts action, you might not immediately receive resource counts in the following situations: You are a new Config customer. You just enabled resource recording. It might take a few minutes for Config to record and count your resources. Wait a few minutes and then retry the GetDiscoveredResourceCounts action.","ref":"aws_config.html#get_discovered_resource_counts/2","title":"aws_config.get_discovered_resource_counts/2","type":"function"},{"doc":"","ref":"aws_config.html#get_discovered_resource_counts/3","title":"aws_config.get_discovered_resource_counts/3","type":"function"},{"doc":"Returns detailed status for each member account within an organization for a given organization Config rule.","ref":"aws_config.html#get_organization_config_rule_detailed_status/2","title":"aws_config.get_organization_config_rule_detailed_status/2","type":"function"},{"doc":"","ref":"aws_config.html#get_organization_config_rule_detailed_status/3","title":"aws_config.get_organization_config_rule_detailed_status/3","type":"function"},{"doc":"Returns detailed status for each member account within an organization for a given organization conformance pack.","ref":"aws_config.html#get_organization_conformance_pack_detailed_status/2","title":"aws_config.get_organization_conformance_pack_detailed_status/2","type":"function"},{"doc":"","ref":"aws_config.html#get_organization_conformance_pack_detailed_status/3","title":"aws_config.get_organization_conformance_pack_detailed_status/3","type":"function"},{"doc":"Returns the policy definition containing the logic for your organization Config Custom Policy rule.","ref":"aws_config.html#get_organization_custom_rule_policy/2","title":"aws_config.get_organization_custom_rule_policy/2","type":"function"},{"doc":"","ref":"aws_config.html#get_organization_custom_rule_policy/3","title":"aws_config.get_organization_custom_rule_policy/3","type":"function"},{"doc":"Returns a list of ConfigurationItems for the specified resource. The list contains details about each state of the resource during the specified time interval. If you specified a retention period to retain your ConfigurationItems between a minimum of 30 days and a maximum of 7 years (2557 days), Config returns the ConfigurationItems for the specified retention period. The response is paginated. By default, Config returns a limit of 10 configuration items per page. You can customize this number with the limit parameter. The response includes a nextToken string. To get the next page of results, run the request again and specify the string for the nextToken parameter. Each call to the API is limited to span a duration of seven days. It is likely that the number of records returned is smaller than the specified limit . In such cases, you can make another call, using the nextToken .","ref":"aws_config.html#get_resource_config_history/2","title":"aws_config.get_resource_config_history/2","type":"function"},{"doc":"","ref":"aws_config.html#get_resource_config_history/3","title":"aws_config.get_resource_config_history/3","type":"function"},{"doc":"Returns a summary of resource evaluation for the specified resource evaluation ID from the proactive rules that were run. The results indicate which evaluation context was used to evaluate the rules, which resource details were evaluated, the evaluation mode that was run, and whether the resource details comply with the configuration of the proactive rules.","ref":"aws_config.html#get_resource_evaluation_summary/2","title":"aws_config.get_resource_evaluation_summary/2","type":"function"},{"doc":"","ref":"aws_config.html#get_resource_evaluation_summary/3","title":"aws_config.get_resource_evaluation_summary/3","type":"function"},{"doc":"Returns the details of a specific stored query.","ref":"aws_config.html#get_stored_query/2","title":"aws_config.get_stored_query/2","type":"function"},{"doc":"","ref":"aws_config.html#get_stored_query/3","title":"aws_config.get_stored_query/3","type":"function"},{"doc":"Accepts a resource type and returns a list of resource identifiers that are aggregated for a specific resource type across accounts and regions. A resource identifier includes the resource type, ID, (if available) the custom resource name, source account, and source region. You can narrow the results to include only resources that have specific resource IDs, or a resource name, or source account ID, or source region. For example, if the input consists of accountID 12345678910 and the region is us-east-1 for resource type AWS::EC2::Instance then the API returns all the EC2 instance identifiers of accountID 12345678910 and region us-east-1.","ref":"aws_config.html#list_aggregate_discovered_resources/2","title":"aws_config.list_aggregate_discovered_resources/2","type":"function"},{"doc":"","ref":"aws_config.html#list_aggregate_discovered_resources/3","title":"aws_config.list_aggregate_discovered_resources/3","type":"function"},{"doc":"Returns a list of conformance pack compliance scores. A compliance score is the percentage of the number of compliant rule-resource combinations in a conformance pack compared to the number of total possible rule-resource combinations in the conformance pack. This metric provides you with a high-level view of the compliance state of your conformance packs. You can use it to identify, investigate, and understand the level of compliance in your conformance packs. Conformance packs with no evaluation results will have a compliance score of INSUFFICIENT_DATA .","ref":"aws_config.html#list_conformance_pack_compliance_scores/2","title":"aws_config.list_conformance_pack_compliance_scores/2","type":"function"},{"doc":"","ref":"aws_config.html#list_conformance_pack_compliance_scores/3","title":"aws_config.list_conformance_pack_compliance_scores/3","type":"function"},{"doc":"Accepts a resource type and returns a list of resource identifiers for the resources of that type. A resource identifier includes the resource type, ID, and (if available) the custom resource name. The results consist of resources that Config has discovered, including those that Config is not currently recording. You can narrow the results to include only resources that have specific resource IDs or a resource name. You can specify either resource IDs or a resource name, but not both, in the same request. The response is paginated. By default, Config lists 100 resource identifiers on each page. You can customize this number with the limit parameter. The response includes a nextToken string. To get the next page of results, run the request again and specify the string for the nextToken parameter.","ref":"aws_config.html#list_discovered_resources/2","title":"aws_config.list_discovered_resources/2","type":"function"},{"doc":"","ref":"aws_config.html#list_discovered_resources/3","title":"aws_config.list_discovered_resources/3","type":"function"},{"doc":"Returns a list of proactive resource evaluations.","ref":"aws_config.html#list_resource_evaluations/2","title":"aws_config.list_resource_evaluations/2","type":"function"},{"doc":"","ref":"aws_config.html#list_resource_evaluations/3","title":"aws_config.list_resource_evaluations/3","type":"function"},{"doc":"Lists the stored queries for a single Amazon Web Services account and a single Amazon Web Services Region. The default is 100.","ref":"aws_config.html#list_stored_queries/2","title":"aws_config.list_stored_queries/2","type":"function"},{"doc":"","ref":"aws_config.html#list_stored_queries/3","title":"aws_config.list_stored_queries/3","type":"function"},{"doc":"List the tags for Config resource.","ref":"aws_config.html#list_tags_for_resource/2","title":"aws_config.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_config.html#list_tags_for_resource/3","title":"aws_config.list_tags_for_resource/3","type":"function"},{"doc":"Authorizes the aggregator account and region to collect data from the source account and region.","ref":"aws_config.html#put_aggregation_authorization/2","title":"aws_config.put_aggregation_authorization/2","type":"function"},{"doc":"","ref":"aws_config.html#put_aggregation_authorization/3","title":"aws_config.put_aggregation_authorization/3","type":"function"},{"doc":"Adds or updates an Config rule to evaluate if your Amazon Web Services resources comply with your desired configurations. For information on how many Config rules you can have per account, see Service Limits in the Config Developer Guide. There are two types of rules: Config Custom Rules and Config Managed Rules. You can use PutConfigRule to create both Config custom rules and Config managed rules. Custom rules are rules that you can create using either Guard or Lambda functions. Guard (Guard GitHub Repository) is a policy-as-code language that allows you to write policies that are enforced by Config Custom Policy rules. Lambda uses custom code that you upload to evaluate a custom rule. If you are adding a new Custom Lambda rule, you first need to create an Lambda function that the rule invokes to evaluate your resources. When you use PutConfigRule to add a Custom Lambda rule to Config, you must specify the Amazon Resource Name (ARN) that Lambda assigns to the function. You specify the ARN in the SourceIdentifier key. This key is part of the Source object, which is part of the ConfigRule object. Managed rules are predefined, customizable rules created by Config. For a list of managed rules, see List of Config Managed Rules. If you are adding an Config managed rule, you must specify the rule's identifier for the SourceIdentifier key. For any new rule that you add, specify the ConfigRuleName in the ConfigRule object. Do not specify the ConfigRuleArn or the ConfigRuleId . These values are generated by Config for new rules. If you are updating a rule that you added previously, you can specify the rule by ConfigRuleName , ConfigRuleId , or ConfigRuleArn in the ConfigRule data type that you use in this request. For more information about developing and using Config rules, see Evaluating Amazon Web Services resource Configurations with Config in the Config Developer Guide.","ref":"aws_config.html#put_config_rule/2","title":"aws_config.put_config_rule/2","type":"function"},{"doc":"","ref":"aws_config.html#put_config_rule/3","title":"aws_config.put_config_rule/3","type":"function"},{"doc":"Creates and updates the configuration aggregator with the selected source accounts and regions. The source account can be individual account(s) or an organization. accountIds that are passed will be replaced with existing accounts. If you want to add additional accounts into the aggregator, call DescribeConfigurationAggregators to get the previous accounts and then append new ones. Config should be enabled in source accounts and regions you want to aggregate. If your source type is an organization, you must be signed in to the management account or a registered delegated administrator and all the features must be enabled in your organization. If the caller is a management account, Config calls EnableAwsServiceAccess API to enable integration between Config and Organizations. If the caller is a registered delegated administrator, Config calls ListDelegatedAdministrators API to verify whether the caller is a valid delegated administrator. To register a delegated administrator, see Register a Delegated Administrator in the Config developer guide.","ref":"aws_config.html#put_configuration_aggregator/2","title":"aws_config.put_configuration_aggregator/2","type":"function"},{"doc":"","ref":"aws_config.html#put_configuration_aggregator/3","title":"aws_config.put_configuration_aggregator/3","type":"function"},{"doc":"Creates a new configuration recorder to record the selected resource configurations. You can use this action to change the role roleARN or the recordingGroup of an existing recorder. To change the role, call the action on the existing configuration recorder and specify a role. Currently, you can specify only one configuration recorder per region in your account. If ConfigurationRecorder does not have the recordingGroup parameter specified, the default is to record all supported resource types.","ref":"aws_config.html#put_configuration_recorder/2","title":"aws_config.put_configuration_recorder/2","type":"function"},{"doc":"","ref":"aws_config.html#put_configuration_recorder/3","title":"aws_config.put_configuration_recorder/3","type":"function"},{"doc":"Creates or updates a conformance pack. A conformance pack is a collection of Config rules that can be easily deployed in an account and a region and across an organization. For information on how many conformance packs you can have per account, see Service Limits in the Config Developer Guide. This API creates a service-linked role AWSServiceRoleForConfigConforms in your account. The service-linked role is created only when the role does not exist in your account. You must specify only one of the follow parameters: TemplateS3Uri , TemplateBody or TemplateSSMDocumentDetails .","ref":"aws_config.html#put_conformance_pack/2","title":"aws_config.put_conformance_pack/2","type":"function"},{"doc":"","ref":"aws_config.html#put_conformance_pack/3","title":"aws_config.put_conformance_pack/3","type":"function"},{"doc":"Creates a delivery channel object to deliver configuration information to an Amazon S3 bucket and Amazon SNS topic. Before you can create a delivery channel, you must create a configuration recorder. You can use this action to change the Amazon S3 bucket or an Amazon SNS topic of the existing delivery channel. To change the Amazon S3 bucket or an Amazon SNS topic, call this action and specify the changed values for the S3 bucket and the SNS topic. If you specify a different value for either the S3 bucket or the SNS topic, this action will keep the existing value for the parameter that is not changed. You can have only one delivery channel per region in your account.","ref":"aws_config.html#put_delivery_channel/2","title":"aws_config.put_delivery_channel/2","type":"function"},{"doc":"","ref":"aws_config.html#put_delivery_channel/3","title":"aws_config.put_delivery_channel/3","type":"function"},{"doc":"Used by an Lambda function to deliver evaluation results to Config. This action is required in every Lambda function that is invoked by an Config rule.","ref":"aws_config.html#put_evaluations/2","title":"aws_config.put_evaluations/2","type":"function"},{"doc":"","ref":"aws_config.html#put_evaluations/3","title":"aws_config.put_evaluations/3","type":"function"},{"doc":"Add or updates the evaluations for process checks. This API checks if the rule is a process check when the name of the Config rule is provided.","ref":"aws_config.html#put_external_evaluation/2","title":"aws_config.put_external_evaluation/2","type":"function"},{"doc":"","ref":"aws_config.html#put_external_evaluation/3","title":"aws_config.put_external_evaluation/3","type":"function"},{"doc":"Adds or updates an Config rule for your entire organization to evaluate if your Amazon Web Services resources comply with your desired configurations. For information on how many organization Config rules you can have per account, see Service Limits in the Config Developer Guide. Only a management account and a delegated administrator can create or update an organization Config rule. When calling this API with a delegated administrator, you must ensure Organizations ListDelegatedAdministrator permissions are added. An organization can have up to 3 delegated administrators. This API enables organization service access through the EnableAWSServiceAccess action and creates a service-linked role AWSServiceRoleForConfigMultiAccountSetup in the management or delegated administrator account of your organization. The service-linked role is created only when the role does not exist in the caller account. Config verifies the existence of role with GetRole action. To use this API with delegated administrator, register a delegated administrator by calling Amazon Web Services Organization register-delegated-administrator for config-multiaccountsetup.amazonaws.com . There are two types of rules: Config Custom Rules and Config Managed Rules. You can use PutOrganizationConfigRule to create both Config custom rules and Config managed rules. Custom rules are rules that you can create using either Guard or Lambda functions. Guard (Guard GitHub Repository) is a policy-as-code language that allows you to write policies that are enforced by Config Custom Policy rules. Lambda uses custom code that you upload to evaluate a custom rule. If you are adding a new Custom Lambda rule, you first need to create an Lambda function in the management account or a delegated administrator that the rule invokes to evaluate your resources. You also need to create an IAM role in the managed account that can be assumed by the Lambda function. When you use PutOrganizationConfigRule to add a Custom Lambda rule to Config, you must specify the Amazon Resource Name (ARN) that Lambda assigns to the function. Managed rules are predefined, customizable rules created by Config. For a list of managed rules, see List of Config Managed Rules. If you are adding an Config managed rule, you must specify the rule's identifier for the RuleIdentifier key. Prerequisite: Ensure you call EnableAllFeatures API to enable all features in an organization. Make sure to specify one of either OrganizationCustomPolicyRuleMetadata for Custom Policy rules, OrganizationCustomRuleMetadata for Custom Lambda rules, or OrganizationManagedRuleMetadata for managed rules.","ref":"aws_config.html#put_organization_config_rule/2","title":"aws_config.put_organization_config_rule/2","type":"function"},{"doc":"","ref":"aws_config.html#put_organization_config_rule/3","title":"aws_config.put_organization_config_rule/3","type":"function"},{"doc":"Deploys conformance packs across member accounts in an Amazon Web Services Organization. For information on how many organization conformance packs and how many Config rules you can have per account, see Service Limits in the Config Developer Guide. Only a management account and a delegated administrator can call this API. When calling this API with a delegated administrator, you must ensure Organizations ListDelegatedAdministrator permissions are added. An organization can have up to 3 delegated administrators. This API enables organization service access for config-multiaccountsetup.amazonaws.com through the EnableAWSServiceAccess action and creates a service-linked role AWSServiceRoleForConfigMultiAccountSetup in the management or delegated administrator account of your organization. The service-linked role is created only when the role does not exist in the caller account. To use this API with delegated administrator, register a delegated administrator by calling Amazon Web Services Organization register-delegate-admin for config-multiaccountsetup.amazonaws.com . Prerequisite: Ensure you call EnableAllFeatures API to enable all features in an organization. You must specify either the TemplateS3Uri or the TemplateBody parameter, but not both. If you provide both Config uses the TemplateS3Uri parameter and ignores the TemplateBody parameter. Config sets the state of a conformance pack to CREATE_IN_PROGRESS and UPDATE_IN_PROGRESS until the conformance pack is created or updated. You cannot update a conformance pack while it is in this state.","ref":"aws_config.html#put_organization_conformance_pack/2","title":"aws_config.put_organization_conformance_pack/2","type":"function"},{"doc":"","ref":"aws_config.html#put_organization_conformance_pack/3","title":"aws_config.put_organization_conformance_pack/3","type":"function"},{"doc":"Adds or updates the remediation configuration with a specific Config rule with the selected target or action. The API creates the RemediationConfiguration object for the Config rule. The Config rule must already exist for you to add a remediation configuration. The target (SSM document) must exist and have permissions to use the target. If you make backward incompatible changes to the SSM document, you must call this again to ensure the remediations can run. This API does not support adding remediation configurations for service-linked Config Rules such as Organization Config rules, the rules deployed by conformance packs, and rules deployed by Amazon Web Services Security Hub. For manual remediation configuration, you need to provide a value for automationAssumeRole or use a value in the assumeRole field to remediate your resources. The SSM automation document can use either as long as it maps to a valid parameter. However, for automatic remediation configuration, the only valid assumeRole field value is AutomationAssumeRole and you need to provide a value for AutomationAssumeRole to remediate your resources.","ref":"aws_config.html#put_remediation_configurations/2","title":"aws_config.put_remediation_configurations/2","type":"function"},{"doc":"","ref":"aws_config.html#put_remediation_configurations/3","title":"aws_config.put_remediation_configurations/3","type":"function"},{"doc":"A remediation exception is when a specific resource is no longer considered for auto-remediation. This API adds a new exception or updates an existing exception for a specific resource with a specific Config rule. Config generates a remediation exception when a problem occurs executing a remediation action to a specific resource. Remediation exceptions blocks auto-remediation until the exception is cleared. To place an exception on an Amazon Web Services resource, ensure remediation is set as manual remediation.","ref":"aws_config.html#put_remediation_exceptions/2","title":"aws_config.put_remediation_exceptions/2","type":"function"},{"doc":"","ref":"aws_config.html#put_remediation_exceptions/3","title":"aws_config.put_remediation_exceptions/3","type":"function"},{"doc":"Records the configuration state for the resource provided in the request. The configuration state of a resource is represented in Config as Configuration Items. Once this API records the configuration item, you can retrieve the list of configuration items for the custom resource type using existing Config APIs. The custom resource type must be registered with CloudFormation. This API accepts the configuration item registered with CloudFormation. When you call this API, Config only stores configuration state of the resource provided in the request. This API does not change or remediate the configuration of the resource. Write-only schema properites are not recorded as part of the published configuration item.","ref":"aws_config.html#put_resource_config/2","title":"aws_config.put_resource_config/2","type":"function"},{"doc":"","ref":"aws_config.html#put_resource_config/3","title":"aws_config.put_resource_config/3","type":"function"},{"doc":"Creates and updates the retention configuration with details about retention period (number of days) that Config stores your historical information. The API creates the RetentionConfiguration object and names the object as default. When you have a RetentionConfiguration object named default, calling the API modifies the default object. Currently, Config supports only one retention configuration per region in your account.","ref":"aws_config.html#put_retention_configuration/2","title":"aws_config.put_retention_configuration/2","type":"function"},{"doc":"","ref":"aws_config.html#put_retention_configuration/3","title":"aws_config.put_retention_configuration/3","type":"function"},{"doc":"Saves a new query or updates an existing saved query. The QueryName must be unique for a single Amazon Web Services account and a single Amazon Web Services Region. You can create upto 300 queries in a single Amazon Web Services account and a single Amazon Web Services Region.","ref":"aws_config.html#put_stored_query/2","title":"aws_config.put_stored_query/2","type":"function"},{"doc":"","ref":"aws_config.html#put_stored_query/3","title":"aws_config.put_stored_query/3","type":"function"},{"doc":"Accepts a structured query language (SQL) SELECT command and an aggregator to query configuration state of Amazon Web Services resources across multiple accounts and regions, performs the corresponding search, and returns resource configurations matching the properties. For more information about query components, see the Query Components section in the Config Developer Guide. If you run an aggregation query (i.e., using GROUP BY or using aggregate functions such as COUNT ; e.g., SELECT resourceId, COUNT(*) WHERE resourceType = AWS::IAM::Role' GROUP BY resourceId') and do not specify the MaxResults or the Limit query parameters, the default page size is set to 500. If you run a non-aggregation query (i.e., not using GROUP BY or aggregate function; e.g., SELECT * WHERE resourceType = AWS::IAM::Role'') and do not specify the MaxResults or the Limit query parameters, the default page size is set to 25.","ref":"aws_config.html#select_aggregate_resource_config/2","title":"aws_config.select_aggregate_resource_config/2","type":"function"},{"doc":"","ref":"aws_config.html#select_aggregate_resource_config/3","title":"aws_config.select_aggregate_resource_config/3","type":"function"},{"doc":"Accepts a structured query language (SQL) SELECT command, performs the corresponding search, and returns resource configurations matching the properties. For more information about query components, see the Query Components section in the Config Developer Guide.","ref":"aws_config.html#select_resource_config/2","title":"aws_config.select_resource_config/2","type":"function"},{"doc":"","ref":"aws_config.html#select_resource_config/3","title":"aws_config.select_resource_config/3","type":"function"},{"doc":"Runs an on-demand evaluation for the specified Config rules against the last known configuration state of the resources. Use StartConfigRulesEvaluation when you want to test that a rule you updated is working as expected. StartConfigRulesEvaluation does not re-record the latest configuration state for your resources. It re-runs an evaluation against the last known state of your resources. You can specify up to 25 Config rules per request. An existing StartConfigRulesEvaluation call for the specified rules must complete before you can call the API again. If you chose to have Config stream to an Amazon SNS topic, you will receive a ConfigRuleEvaluationStarted notification when the evaluation starts. You don't need to call the StartConfigRulesEvaluation API to run an evaluation for a new rule. When you create a rule, Config evaluates your resources against the rule automatically. The StartConfigRulesEvaluation API is useful if you want to run on-demand evaluations, such as the following example: You have a custom rule that evaluates your IAM resources every 24 hours. You update your Lambda function to add additional conditions to your rule. Instead of waiting for the next periodic evaluation, you call the StartConfigRulesEvaluation API. Config invokes your Lambda function and evaluates your IAM resources. Your custom rule will still run periodic evaluations every 24 hours.","ref":"aws_config.html#start_config_rules_evaluation/2","title":"aws_config.start_config_rules_evaluation/2","type":"function"},{"doc":"","ref":"aws_config.html#start_config_rules_evaluation/3","title":"aws_config.start_config_rules_evaluation/3","type":"function"},{"doc":"Starts recording configurations of the Amazon Web Services resources you have selected to record in your Amazon Web Services account. You must have created at least one delivery channel to successfully start the configuration recorder.","ref":"aws_config.html#start_configuration_recorder/2","title":"aws_config.start_configuration_recorder/2","type":"function"},{"doc":"","ref":"aws_config.html#start_configuration_recorder/3","title":"aws_config.start_configuration_recorder/3","type":"function"},{"doc":"Runs an on-demand remediation for the specified Config rules against the last known remediation configuration. It runs an execution against the current state of your resources. Remediation execution is asynchronous. You can specify up to 100 resource keys per request. An existing StartRemediationExecution call for the specified resource keys must complete before you can call the API again.","ref":"aws_config.html#start_remediation_execution/2","title":"aws_config.start_remediation_execution/2","type":"function"},{"doc":"","ref":"aws_config.html#start_remediation_execution/3","title":"aws_config.start_remediation_execution/3","type":"function"},{"doc":"Runs an on-demand evaluation for the specified resource to determine whether the resource details will comply with configured Config rules. You can also use it for evaluation purposes. Config recommends using an evaluation context. It runs an execution against the resource details with all of the Config rules in your account that match with the specified proactive mode and resource type. Ensure you have the cloudformation:DescribeType role setup to validate the resource type schema.","ref":"aws_config.html#start_resource_evaluation/2","title":"aws_config.start_resource_evaluation/2","type":"function"},{"doc":"","ref":"aws_config.html#start_resource_evaluation/3","title":"aws_config.start_resource_evaluation/3","type":"function"},{"doc":"Stops recording configurations of the Amazon Web Services resources you have selected to record in your Amazon Web Services account.","ref":"aws_config.html#stop_configuration_recorder/2","title":"aws_config.stop_configuration_recorder/2","type":"function"},{"doc":"","ref":"aws_config.html#stop_configuration_recorder/3","title":"aws_config.stop_configuration_recorder/3","type":"function"},{"doc":"Associates the specified tags to a resource with the specified resourceArn. If existing tags on a resource are not specified in the request parameters, they are not changed. When a resource is deleted, the tags associated with that resource are deleted as well.","ref":"aws_config.html#tag_resource/2","title":"aws_config.tag_resource/2","type":"function"},{"doc":"","ref":"aws_config.html#tag_resource/3","title":"aws_config.tag_resource/3","type":"function"},{"doc":"Deletes specified tags from a resource.","ref":"aws_config.html#untag_resource/2","title":"aws_config.untag_resource/2","type":"function"},{"doc":"","ref":"aws_config.html#untag_resource/3","title":"aws_config.untag_resource/3","type":"function"},{"doc":"Amazon Connect is a cloud-based contact center solution that you use to set up and manage a customer contact center and provide reliable customer engagement at any scale. Amazon Connect provides metrics and real-time reporting that enable you to optimize contact routing. You can also resolve customer issues more efficiently by getting customers in touch with the appropriate agents. There are limits to the number of Amazon Connect resources that you can create. There are also limits to the number of requests that you can make per second. For more information, see Amazon Connect Service Quotas in the Amazon Connect Administrator Guide. You can connect programmatically to an Amazon Web Services service by using an endpoint. For a list of Amazon Connect endpoints, see Amazon Connect Endpoints.","ref":"aws_connect.html","title":"aws_connect","type":"module"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Associates an approved origin to an Amazon Connect instance.","ref":"aws_connect.html#associate_approved_origin/3","title":"aws_connect.associate_approved_origin/3","type":"function"},{"doc":"","ref":"aws_connect.html#associate_approved_origin/4","title":"aws_connect.associate_approved_origin/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Allows the specified Amazon Connect instance to access the specified Amazon Lex or Amazon Lex V2 bot.","ref":"aws_connect.html#associate_bot/3","title":"aws_connect.associate_bot/3","type":"function"},{"doc":"","ref":"aws_connect.html#associate_bot/4","title":"aws_connect.associate_bot/4","type":"function"},{"doc":"Associates an existing vocabulary as the default. Contact Lens for Amazon Connect uses the vocabulary in post-call and real-time analysis sessions for the given language.","ref":"aws_connect.html#associate_default_vocabulary/4","title":"aws_connect.associate_default_vocabulary/4","type":"function"},{"doc":"","ref":"aws_connect.html#associate_default_vocabulary/5","title":"aws_connect.associate_default_vocabulary/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Associates a storage resource type for the first time. You can only associate one type of storage configuration in a single call. This means, for example, that you can't define an instance with multiple S3 buckets for storing chat transcripts. This API does not create a resource that doesn't exist. It only associates it to the instance. Ensure that the resource being specified in the storage configuration, like an S3 bucket, exists when being used for association.","ref":"aws_connect.html#associate_instance_storage_config/3","title":"aws_connect.associate_instance_storage_config/3","type":"function"},{"doc":"","ref":"aws_connect.html#associate_instance_storage_config/4","title":"aws_connect.associate_instance_storage_config/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Allows the specified Amazon Connect instance to access the specified Lambda function.","ref":"aws_connect.html#associate_lambda_function/3","title":"aws_connect.associate_lambda_function/3","type":"function"},{"doc":"","ref":"aws_connect.html#associate_lambda_function/4","title":"aws_connect.associate_lambda_function/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Allows the specified Amazon Connect instance to access the specified Amazon Lex V1 bot. This API only supports the association of Amazon Lex V1 bots.","ref":"aws_connect.html#associate_lex_bot/3","title":"aws_connect.associate_lex_bot/3","type":"function"},{"doc":"","ref":"aws_connect.html#associate_lex_bot/4","title":"aws_connect.associate_lex_bot/4","type":"function"},{"doc":"Associates a flow with a phone number claimed to your Amazon Connect instance. If the number is claimed to a traffic distribution group, and you are calling this API using an instance in the Amazon Web Services Region where the traffic distribution group was created, you can use either a full phone number ARN or UUID value for the PhoneNumberId URI request parameter. However, if the number is claimed to a traffic distribution group and you are calling this API using an instance in the alternate Amazon Web Services Region associated with the traffic distribution group, you must provide a full phone number ARN. If a UUID is provided in this scenario, you will receive a ResourceNotFoundException .","ref":"aws_connect.html#associate_phone_number_contact_flow/3","title":"aws_connect.associate_phone_number_contact_flow/3","type":"function"},{"doc":"","ref":"aws_connect.html#associate_phone_number_contact_flow/4","title":"aws_connect.associate_phone_number_contact_flow/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Associates a set of quick connects with a queue.","ref":"aws_connect.html#associate_queue_quick_connects/4","title":"aws_connect.associate_queue_quick_connects/4","type":"function"},{"doc":"","ref":"aws_connect.html#associate_queue_quick_connects/5","title":"aws_connect.associate_queue_quick_connects/5","type":"function"},{"doc":"Associates a set of queues with a routing profile.","ref":"aws_connect.html#associate_routing_profile_queues/4","title":"aws_connect.associate_routing_profile_queues/4","type":"function"},{"doc":"","ref":"aws_connect.html#associate_routing_profile_queues/5","title":"aws_connect.associate_routing_profile_queues/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Associates a security key to the instance.","ref":"aws_connect.html#associate_security_key/3","title":"aws_connect.associate_security_key/3","type":"function"},{"doc":"","ref":"aws_connect.html#associate_security_key/4","title":"aws_connect.associate_security_key/4","type":"function"},{"doc":"Claims an available phone number to your Amazon Connect instance or traffic distribution group. You can call this API only in the same Amazon Web Services Region where the Amazon Connect instance or traffic distribution group was created. For more information about how to use this operation, see Claim a phone number in your country and Claim phone numbers to traffic distribution groups in the Amazon Connect Administrator Guide. You can call the SearchAvailablePhoneNumbers API for available phone numbers that you can claim. Call the DescribePhoneNumber API to verify the status of a previous ClaimPhoneNumber operation.","ref":"aws_connect.html#claim_phone_number/2","title":"aws_connect.claim_phone_number/2","type":"function"},{"doc":"","ref":"aws_connect.html#claim_phone_number/3","title":"aws_connect.claim_phone_number/3","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Creates an agent status for the specified Amazon Connect instance.","ref":"aws_connect.html#create_agent_status/3","title":"aws_connect.create_agent_status/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_agent_status/4","title":"aws_connect.create_agent_status/4","type":"function"},{"doc":"Creates a flow for the specified Amazon Connect instance. You can also create and update flows using the Amazon Connect Flow language.","ref":"aws_connect.html#create_contact_flow/3","title":"aws_connect.create_contact_flow/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_contact_flow/4","title":"aws_connect.create_contact_flow/4","type":"function"},{"doc":"Creates a flow module for the specified Amazon Connect instance.","ref":"aws_connect.html#create_contact_flow_module/3","title":"aws_connect.create_contact_flow_module/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_contact_flow_module/4","title":"aws_connect.create_contact_flow_module/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Creates hours of operation.","ref":"aws_connect.html#create_hours_of_operation/3","title":"aws_connect.create_hours_of_operation/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_hours_of_operation/4","title":"aws_connect.create_hours_of_operation/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Initiates an Amazon Connect instance with all the supported channels enabled. It does not attach any storage, such as Amazon Simple Storage Service (Amazon S3) or Amazon Kinesis. It also does not allow for any configurations on features, such as Contact Lens for Amazon Connect. Amazon Connect enforces a limit on the total number of instances that you can create or delete in 30 days. If you exceed this limit, you will get an error message indicating there has been an excessive number of attempts at creating or deleting instances. You must wait 30 days before you can restart creating and deleting instances in your account.","ref":"aws_connect.html#create_instance/2","title":"aws_connect.create_instance/2","type":"function"},{"doc":"","ref":"aws_connect.html#create_instance/3","title":"aws_connect.create_instance/3","type":"function"},{"doc":"Creates an Amazon Web Services resource association with an Amazon Connect instance.","ref":"aws_connect.html#create_integration_association/3","title":"aws_connect.create_integration_association/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_integration_association/4","title":"aws_connect.create_integration_association/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Creates a new queue for the specified Amazon Connect instance. If the number being used in the input is claimed to a traffic distribution group, and you are calling this API using an instance in the Amazon Web Services Region where the traffic distribution group was created, you can use either a full phone number ARN or UUID value for the OutboundCallerIdNumberId value of the OutboundCallerConfig request body parameter. However, if the number is claimed to a traffic distribution group and you are calling this API using an instance in the alternate Amazon Web Services Region associated with the traffic distribution group, you must provide a full phone number ARN. If a UUID is provided in this scenario, you will receive a ResourceNotFoundException .","ref":"aws_connect.html#create_queue/3","title":"aws_connect.create_queue/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_queue/4","title":"aws_connect.create_queue/4","type":"function"},{"doc":"Creates a quick connect for the specified Amazon Connect instance.","ref":"aws_connect.html#create_quick_connect/3","title":"aws_connect.create_quick_connect/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_quick_connect/4","title":"aws_connect.create_quick_connect/4","type":"function"},{"doc":"Creates a new routing profile.","ref":"aws_connect.html#create_routing_profile/3","title":"aws_connect.create_routing_profile/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_routing_profile/4","title":"aws_connect.create_routing_profile/4","type":"function"},{"doc":"Creates a rule for the specified Amazon Connect instance. Use the Rules Function language to code conditions for the rule.","ref":"aws_connect.html#create_rule/3","title":"aws_connect.create_rule/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_rule/4","title":"aws_connect.create_rule/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Creates a security profile.","ref":"aws_connect.html#create_security_profile/3","title":"aws_connect.create_security_profile/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_security_profile/4","title":"aws_connect.create_security_profile/4","type":"function"},{"doc":"Creates a new task template in the specified Amazon Connect instance.","ref":"aws_connect.html#create_task_template/3","title":"aws_connect.create_task_template/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_task_template/4","title":"aws_connect.create_task_template/4","type":"function"},{"doc":"Creates a traffic distribution group given an Amazon Connect instance that has been replicated. For more information about creating traffic distribution groups, see Set up traffic distribution groups in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#create_traffic_distribution_group/2","title":"aws_connect.create_traffic_distribution_group/2","type":"function"},{"doc":"","ref":"aws_connect.html#create_traffic_distribution_group/3","title":"aws_connect.create_traffic_distribution_group/3","type":"function"},{"doc":"Creates a use case for an integration association.","ref":"aws_connect.html#create_use_case/4","title":"aws_connect.create_use_case/4","type":"function"},{"doc":"","ref":"aws_connect.html#create_use_case/5","title":"aws_connect.create_use_case/5","type":"function"},{"doc":"Creates a user account for the specified Amazon Connect instance. For information about how to create user accounts using the Amazon Connect console, see Add Users in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#create_user/3","title":"aws_connect.create_user/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_user/4","title":"aws_connect.create_user/4","type":"function"},{"doc":"Creates a new user hierarchy group.","ref":"aws_connect.html#create_user_hierarchy_group/3","title":"aws_connect.create_user_hierarchy_group/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_user_hierarchy_group/4","title":"aws_connect.create_user_hierarchy_group/4","type":"function"},{"doc":"Creates a custom vocabulary associated with your Amazon Connect instance. You can set a custom vocabulary to be your default vocabulary for a given language. Contact Lens for Amazon Connect uses the default vocabulary in post-call and real-time contact analysis sessions for that language.","ref":"aws_connect.html#create_vocabulary/3","title":"aws_connect.create_vocabulary/3","type":"function"},{"doc":"","ref":"aws_connect.html#create_vocabulary/4","title":"aws_connect.create_vocabulary/4","type":"function"},{"doc":"Deletes a flow for the specified Amazon Connect instance.","ref":"aws_connect.html#delete_contact_flow/4","title":"aws_connect.delete_contact_flow/4","type":"function"},{"doc":"","ref":"aws_connect.html#delete_contact_flow/5","title":"aws_connect.delete_contact_flow/5","type":"function"},{"doc":"Deletes the specified flow module.","ref":"aws_connect.html#delete_contact_flow_module/4","title":"aws_connect.delete_contact_flow_module/4","type":"function"},{"doc":"","ref":"aws_connect.html#delete_contact_flow_module/5","title":"aws_connect.delete_contact_flow_module/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Deletes an hours of operation.","ref":"aws_connect.html#delete_hours_of_operation/4","title":"aws_connect.delete_hours_of_operation/4","type":"function"},{"doc":"","ref":"aws_connect.html#delete_hours_of_operation/5","title":"aws_connect.delete_hours_of_operation/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Deletes the Amazon Connect instance. Amazon Connect enforces a limit on the total number of instances that you can create or delete in 30 days. If you exceed this limit, you will get an error message indicating there has been an excessive number of attempts at creating or deleting instances. You must wait 30 days before you can restart creating and deleting instances in your account.","ref":"aws_connect.html#delete_instance/3","title":"aws_connect.delete_instance/3","type":"function"},{"doc":"","ref":"aws_connect.html#delete_instance/4","title":"aws_connect.delete_instance/4","type":"function"},{"doc":"Deletes an Amazon Web Services resource association from an Amazon Connect instance. The association must not have any use cases associated with it.","ref":"aws_connect.html#delete_integration_association/4","title":"aws_connect.delete_integration_association/4","type":"function"},{"doc":"","ref":"aws_connect.html#delete_integration_association/5","title":"aws_connect.delete_integration_association/5","type":"function"},{"doc":"Deletes a quick connect.","ref":"aws_connect.html#delete_quick_connect/4","title":"aws_connect.delete_quick_connect/4","type":"function"},{"doc":"","ref":"aws_connect.html#delete_quick_connect/5","title":"aws_connect.delete_quick_connect/5","type":"function"},{"doc":"Deletes a rule for the specified Amazon Connect instance.","ref":"aws_connect.html#delete_rule/4","title":"aws_connect.delete_rule/4","type":"function"},{"doc":"","ref":"aws_connect.html#delete_rule/5","title":"aws_connect.delete_rule/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Deletes a security profile.","ref":"aws_connect.html#delete_security_profile/4","title":"aws_connect.delete_security_profile/4","type":"function"},{"doc":"","ref":"aws_connect.html#delete_security_profile/5","title":"aws_connect.delete_security_profile/5","type":"function"},{"doc":"Deletes the task template.","ref":"aws_connect.html#delete_task_template/4","title":"aws_connect.delete_task_template/4","type":"function"},{"doc":"","ref":"aws_connect.html#delete_task_template/5","title":"aws_connect.delete_task_template/5","type":"function"},{"doc":"Deletes a traffic distribution group. This API can be called only in the Region where the traffic distribution group is created. For more information about deleting traffic distribution groups, see Delete traffic distribution groups in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#delete_traffic_distribution_group/3","title":"aws_connect.delete_traffic_distribution_group/3","type":"function"},{"doc":"","ref":"aws_connect.html#delete_traffic_distribution_group/4","title":"aws_connect.delete_traffic_distribution_group/4","type":"function"},{"doc":"Deletes a use case from an integration association.","ref":"aws_connect.html#delete_use_case/5","title":"aws_connect.delete_use_case/5","type":"function"},{"doc":"","ref":"aws_connect.html#delete_use_case/6","title":"aws_connect.delete_use_case/6","type":"function"},{"doc":"Deletes a user account from the specified Amazon Connect instance. For information about what happens to a user's data when their account is deleted, see Delete Users from Your Amazon Connect Instance in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#delete_user/4","title":"aws_connect.delete_user/4","type":"function"},{"doc":"","ref":"aws_connect.html#delete_user/5","title":"aws_connect.delete_user/5","type":"function"},{"doc":"Deletes an existing user hierarchy group. It must not be associated with any agents or have any active child groups.","ref":"aws_connect.html#delete_user_hierarchy_group/4","title":"aws_connect.delete_user_hierarchy_group/4","type":"function"},{"doc":"","ref":"aws_connect.html#delete_user_hierarchy_group/5","title":"aws_connect.delete_user_hierarchy_group/5","type":"function"},{"doc":"Deletes the vocabulary that has the given identifier.","ref":"aws_connect.html#delete_vocabulary/4","title":"aws_connect.delete_vocabulary/4","type":"function"},{"doc":"","ref":"aws_connect.html#delete_vocabulary/5","title":"aws_connect.delete_vocabulary/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Describes an agent status.","ref":"aws_connect.html#describe_agent_status/3","title":"aws_connect.describe_agent_status/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_agent_status/5","title":"aws_connect.describe_agent_status/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_agent_status/6","title":"aws_connect.describe_agent_status/6","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Describes the specified contact. Contact information remains available in Amazon Connect for 24 months, and then it is deleted. Only data from November 12, 2021, and later is returned by this API.","ref":"aws_connect.html#describe_contact/3","title":"aws_connect.describe_contact/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_contact/5","title":"aws_connect.describe_contact/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_contact/6","title":"aws_connect.describe_contact/6","type":"function"},{"doc":"Describes the specified flow. You can also create and update flows using the Amazon Connect Flow language.","ref":"aws_connect.html#describe_contact_flow/3","title":"aws_connect.describe_contact_flow/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_contact_flow/5","title":"aws_connect.describe_contact_flow/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_contact_flow/6","title":"aws_connect.describe_contact_flow/6","type":"function"},{"doc":"Describes the specified flow module.","ref":"aws_connect.html#describe_contact_flow_module/3","title":"aws_connect.describe_contact_flow_module/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_contact_flow_module/5","title":"aws_connect.describe_contact_flow_module/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_contact_flow_module/6","title":"aws_connect.describe_contact_flow_module/6","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Describes the hours of operation.","ref":"aws_connect.html#describe_hours_of_operation/3","title":"aws_connect.describe_hours_of_operation/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_hours_of_operation/5","title":"aws_connect.describe_hours_of_operation/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_hours_of_operation/6","title":"aws_connect.describe_hours_of_operation/6","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Returns the current state of the specified instance identifier. It tracks the instance while it is being created and returns an error status, if applicable. If an instance is not created successfully, the instance status reason field returns details relevant to the reason. The instance in a failed state is returned only for 24 hours after the CreateInstance API was invoked.","ref":"aws_connect.html#describe_instance/2","title":"aws_connect.describe_instance/2","type":"function"},{"doc":"","ref":"aws_connect.html#describe_instance/4","title":"aws_connect.describe_instance/4","type":"function"},{"doc":"","ref":"aws_connect.html#describe_instance/5","title":"aws_connect.describe_instance/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Describes the specified instance attribute.","ref":"aws_connect.html#describe_instance_attribute/3","title":"aws_connect.describe_instance_attribute/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_instance_attribute/5","title":"aws_connect.describe_instance_attribute/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_instance_attribute/6","title":"aws_connect.describe_instance_attribute/6","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Retrieves the current storage configurations for the specified resource type, association ID, and instance ID.","ref":"aws_connect.html#describe_instance_storage_config/4","title":"aws_connect.describe_instance_storage_config/4","type":"function"},{"doc":"","ref":"aws_connect.html#describe_instance_storage_config/6","title":"aws_connect.describe_instance_storage_config/6","type":"function"},{"doc":"","ref":"aws_connect.html#describe_instance_storage_config/7","title":"aws_connect.describe_instance_storage_config/7","type":"function"},{"doc":"Gets details and status of a phone number that’s claimed to your Amazon Connect instance or traffic distribution group. If the number is claimed to a traffic distribution group, and you are calling in the Amazon Web Services Region where the traffic distribution group was created, you can use either a phone number ARN or UUID value for the PhoneNumberId URI request parameter. However, if the number is claimed to a traffic distribution group and you are calling this API in the alternate Amazon Web Services Region associated with the traffic distribution group, you must provide a full phone number ARN. If a UUID is provided in this scenario, you will receive a ResourceNotFoundException .","ref":"aws_connect.html#describe_phone_number/2","title":"aws_connect.describe_phone_number/2","type":"function"},{"doc":"","ref":"aws_connect.html#describe_phone_number/4","title":"aws_connect.describe_phone_number/4","type":"function"},{"doc":"","ref":"aws_connect.html#describe_phone_number/5","title":"aws_connect.describe_phone_number/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Describes the specified queue.","ref":"aws_connect.html#describe_queue/3","title":"aws_connect.describe_queue/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_queue/5","title":"aws_connect.describe_queue/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_queue/6","title":"aws_connect.describe_queue/6","type":"function"},{"doc":"Describes the quick connect.","ref":"aws_connect.html#describe_quick_connect/3","title":"aws_connect.describe_quick_connect/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_quick_connect/5","title":"aws_connect.describe_quick_connect/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_quick_connect/6","title":"aws_connect.describe_quick_connect/6","type":"function"},{"doc":"Describes the specified routing profile.","ref":"aws_connect.html#describe_routing_profile/3","title":"aws_connect.describe_routing_profile/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_routing_profile/5","title":"aws_connect.describe_routing_profile/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_routing_profile/6","title":"aws_connect.describe_routing_profile/6","type":"function"},{"doc":"Describes a rule for the specified Amazon Connect instance.","ref":"aws_connect.html#describe_rule/3","title":"aws_connect.describe_rule/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_rule/5","title":"aws_connect.describe_rule/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_rule/6","title":"aws_connect.describe_rule/6","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Gets basic information about the security profle.","ref":"aws_connect.html#describe_security_profile/3","title":"aws_connect.describe_security_profile/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_security_profile/5","title":"aws_connect.describe_security_profile/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_security_profile/6","title":"aws_connect.describe_security_profile/6","type":"function"},{"doc":"Gets details and status of a traffic distribution group.","ref":"aws_connect.html#describe_traffic_distribution_group/2","title":"aws_connect.describe_traffic_distribution_group/2","type":"function"},{"doc":"","ref":"aws_connect.html#describe_traffic_distribution_group/4","title":"aws_connect.describe_traffic_distribution_group/4","type":"function"},{"doc":"","ref":"aws_connect.html#describe_traffic_distribution_group/5","title":"aws_connect.describe_traffic_distribution_group/5","type":"function"},{"doc":"Describes the specified user account. You can find the instance ID in the console (it’s the final part of the ARN). The console does not display the user IDs. Instead, list the users and note the IDs provided in the output.","ref":"aws_connect.html#describe_user/3","title":"aws_connect.describe_user/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_user/5","title":"aws_connect.describe_user/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_user/6","title":"aws_connect.describe_user/6","type":"function"},{"doc":"Describes the specified hierarchy group.","ref":"aws_connect.html#describe_user_hierarchy_group/3","title":"aws_connect.describe_user_hierarchy_group/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_user_hierarchy_group/5","title":"aws_connect.describe_user_hierarchy_group/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_user_hierarchy_group/6","title":"aws_connect.describe_user_hierarchy_group/6","type":"function"},{"doc":"Describes the hierarchy structure of the specified Amazon Connect instance.","ref":"aws_connect.html#describe_user_hierarchy_structure/2","title":"aws_connect.describe_user_hierarchy_structure/2","type":"function"},{"doc":"","ref":"aws_connect.html#describe_user_hierarchy_structure/4","title":"aws_connect.describe_user_hierarchy_structure/4","type":"function"},{"doc":"","ref":"aws_connect.html#describe_user_hierarchy_structure/5","title":"aws_connect.describe_user_hierarchy_structure/5","type":"function"},{"doc":"Describes the specified vocabulary.","ref":"aws_connect.html#describe_vocabulary/3","title":"aws_connect.describe_vocabulary/3","type":"function"},{"doc":"","ref":"aws_connect.html#describe_vocabulary/5","title":"aws_connect.describe_vocabulary/5","type":"function"},{"doc":"","ref":"aws_connect.html#describe_vocabulary/6","title":"aws_connect.describe_vocabulary/6","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Revokes access to integrated applications from Amazon Connect.","ref":"aws_connect.html#disassociate_approved_origin/3","title":"aws_connect.disassociate_approved_origin/3","type":"function"},{"doc":"","ref":"aws_connect.html#disassociate_approved_origin/4","title":"aws_connect.disassociate_approved_origin/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Revokes authorization from the specified instance to access the specified Amazon Lex or Amazon Lex V2 bot.","ref":"aws_connect.html#disassociate_bot/3","title":"aws_connect.disassociate_bot/3","type":"function"},{"doc":"","ref":"aws_connect.html#disassociate_bot/4","title":"aws_connect.disassociate_bot/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Removes the storage type configurations for the specified resource type and association ID.","ref":"aws_connect.html#disassociate_instance_storage_config/4","title":"aws_connect.disassociate_instance_storage_config/4","type":"function"},{"doc":"","ref":"aws_connect.html#disassociate_instance_storage_config/5","title":"aws_connect.disassociate_instance_storage_config/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Remove the Lambda function from the dropdown options available in the relevant flow blocks.","ref":"aws_connect.html#disassociate_lambda_function/3","title":"aws_connect.disassociate_lambda_function/3","type":"function"},{"doc":"","ref":"aws_connect.html#disassociate_lambda_function/4","title":"aws_connect.disassociate_lambda_function/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Revokes authorization from the specified instance to access the specified Amazon Lex bot.","ref":"aws_connect.html#disassociate_lex_bot/3","title":"aws_connect.disassociate_lex_bot/3","type":"function"},{"doc":"","ref":"aws_connect.html#disassociate_lex_bot/4","title":"aws_connect.disassociate_lex_bot/4","type":"function"},{"doc":"Removes the flow association from a phone number claimed to your Amazon Connect instance. If the number is claimed to a traffic distribution group, and you are calling this API using an instance in the Amazon Web Services Region where the traffic distribution group was created, you can use either a full phone number ARN or UUID value for the PhoneNumberId URI request parameter. However, if the number is claimed to a traffic distribution group and you are calling this API using an instance in the alternate Amazon Web Services Region associated with the traffic distribution group, you must provide a full phone number ARN. If a UUID is provided in this scenario, you will receive a ResourceNotFoundException .","ref":"aws_connect.html#disassociate_phone_number_contact_flow/3","title":"aws_connect.disassociate_phone_number_contact_flow/3","type":"function"},{"doc":"","ref":"aws_connect.html#disassociate_phone_number_contact_flow/4","title":"aws_connect.disassociate_phone_number_contact_flow/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Disassociates a set of quick connects from a queue.","ref":"aws_connect.html#disassociate_queue_quick_connects/4","title":"aws_connect.disassociate_queue_quick_connects/4","type":"function"},{"doc":"","ref":"aws_connect.html#disassociate_queue_quick_connects/5","title":"aws_connect.disassociate_queue_quick_connects/5","type":"function"},{"doc":"Disassociates a set of queues from a routing profile.","ref":"aws_connect.html#disassociate_routing_profile_queues/4","title":"aws_connect.disassociate_routing_profile_queues/4","type":"function"},{"doc":"","ref":"aws_connect.html#disassociate_routing_profile_queues/5","title":"aws_connect.disassociate_routing_profile_queues/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Deletes the specified security key.","ref":"aws_connect.html#disassociate_security_key/4","title":"aws_connect.disassociate_security_key/4","type":"function"},{"doc":"","ref":"aws_connect.html#disassociate_security_key/5","title":"aws_connect.disassociate_security_key/5","type":"function"},{"doc":"Dismisses contacts from an agent’s CCP and returns the agent to an available state, which allows the agent to receive a new routed contact. Contacts can only be dismissed if they are in a MISSED , ERROR , ENDED , or REJECTED state in the Agent Event Stream.","ref":"aws_connect.html#dismiss_user_contact/4","title":"aws_connect.dismiss_user_contact/4","type":"function"},{"doc":"","ref":"aws_connect.html#dismiss_user_contact/5","title":"aws_connect.dismiss_user_contact/5","type":"function"},{"doc":"Retrieves the contact attributes for the specified contact.","ref":"aws_connect.html#get_contact_attributes/3","title":"aws_connect.get_contact_attributes/3","type":"function"},{"doc":"","ref":"aws_connect.html#get_contact_attributes/5","title":"aws_connect.get_contact_attributes/5","type":"function"},{"doc":"","ref":"aws_connect.html#get_contact_attributes/6","title":"aws_connect.get_contact_attributes/6","type":"function"},{"doc":"Gets the real-time metric data from the specified Amazon Connect instance. For a description of each metric, see Real-time Metrics Definitions in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#get_current_metric_data/3","title":"aws_connect.get_current_metric_data/3","type":"function"},{"doc":"","ref":"aws_connect.html#get_current_metric_data/4","title":"aws_connect.get_current_metric_data/4","type":"function"},{"doc":"Gets the real-time active user data from the specified Amazon Connect instance.","ref":"aws_connect.html#get_current_user_data/3","title":"aws_connect.get_current_user_data/3","type":"function"},{"doc":"","ref":"aws_connect.html#get_current_user_data/4","title":"aws_connect.get_current_user_data/4","type":"function"},{"doc":"Retrieves a token for federation. This API doesn't support root users. If you try to invoke GetFederationToken with root credentials, an error message similar to the following one appears: Provided identity: Principal: .... User: .... cannot be used for federation with Amazon Connect","ref":"aws_connect.html#get_federation_token/2","title":"aws_connect.get_federation_token/2","type":"function"},{"doc":"","ref":"aws_connect.html#get_federation_token/4","title":"aws_connect.get_federation_token/4","type":"function"},{"doc":"","ref":"aws_connect.html#get_federation_token/5","title":"aws_connect.get_federation_token/5","type":"function"},{"doc":"Gets historical metric data from the specified Amazon Connect instance. For a description of each historical metric, see Historical Metrics Definitions in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#get_metric_data/3","title":"aws_connect.get_metric_data/3","type":"function"},{"doc":"","ref":"aws_connect.html#get_metric_data/4","title":"aws_connect.get_metric_data/4","type":"function"},{"doc":"Gets details about a specific task template in the specified Amazon Connect instance.","ref":"aws_connect.html#get_task_template/3","title":"aws_connect.get_task_template/3","type":"function"},{"doc":"","ref":"aws_connect.html#get_task_template/5","title":"aws_connect.get_task_template/5","type":"function"},{"doc":"","ref":"aws_connect.html#get_task_template/6","title":"aws_connect.get_task_template/6","type":"function"},{"doc":"Retrieves the current traffic distribution for a given traffic distribution group.","ref":"aws_connect.html#get_traffic_distribution/2","title":"aws_connect.get_traffic_distribution/2","type":"function"},{"doc":"","ref":"aws_connect.html#get_traffic_distribution/4","title":"aws_connect.get_traffic_distribution/4","type":"function"},{"doc":"","ref":"aws_connect.html#get_traffic_distribution/5","title":"aws_connect.get_traffic_distribution/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Lists agent statuses.","ref":"aws_connect.html#list_agent_statuses/2","title":"aws_connect.list_agent_statuses/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_agent_statuses/4","title":"aws_connect.list_agent_statuses/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_agent_statuses/5","title":"aws_connect.list_agent_statuses/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Returns a paginated list of all approved origins associated with the instance.","ref":"aws_connect.html#list_approved_origins/2","title":"aws_connect.list_approved_origins/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_approved_origins/4","title":"aws_connect.list_approved_origins/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_approved_origins/5","title":"aws_connect.list_approved_origins/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. For the specified version of Amazon Lex, returns a paginated list of all the Amazon Lex bots currently associated with the instance. Use this API to returns both Amazon Lex V1 and V2 bots.","ref":"aws_connect.html#list_bots/3","title":"aws_connect.list_bots/3","type":"function"},{"doc":"","ref":"aws_connect.html#list_bots/5","title":"aws_connect.list_bots/5","type":"function"},{"doc":"","ref":"aws_connect.html#list_bots/6","title":"aws_connect.list_bots/6","type":"function"},{"doc":"Provides information about the flow modules for the specified Amazon Connect instance.","ref":"aws_connect.html#list_contact_flow_modules/2","title":"aws_connect.list_contact_flow_modules/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_contact_flow_modules/4","title":"aws_connect.list_contact_flow_modules/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_contact_flow_modules/5","title":"aws_connect.list_contact_flow_modules/5","type":"function"},{"doc":"Provides information about the flows for the specified Amazon Connect instance. You can also create and update flows using the Amazon Connect Flow language. For more information about flows, see Flows in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#list_contact_flows/2","title":"aws_connect.list_contact_flows/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_contact_flows/4","title":"aws_connect.list_contact_flows/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_contact_flows/5","title":"aws_connect.list_contact_flows/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. For the specified referenceTypes , returns a list of references associated with the contact.","ref":"aws_connect.html#list_contact_references/4","title":"aws_connect.list_contact_references/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_contact_references/6","title":"aws_connect.list_contact_references/6","type":"function"},{"doc":"","ref":"aws_connect.html#list_contact_references/7","title":"aws_connect.list_contact_references/7","type":"function"},{"doc":"Lists the default vocabularies for the specified Amazon Connect instance.","ref":"aws_connect.html#list_default_vocabularies/3","title":"aws_connect.list_default_vocabularies/3","type":"function"},{"doc":"","ref":"aws_connect.html#list_default_vocabularies/4","title":"aws_connect.list_default_vocabularies/4","type":"function"},{"doc":"Provides information about the hours of operation for the specified Amazon Connect instance. For more information about hours of operation, see Set the Hours of Operation for a Queue in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#list_hours_of_operations/2","title":"aws_connect.list_hours_of_operations/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_hours_of_operations/4","title":"aws_connect.list_hours_of_operations/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_hours_of_operations/5","title":"aws_connect.list_hours_of_operations/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Returns a paginated list of all attribute types for the given instance.","ref":"aws_connect.html#list_instance_attributes/2","title":"aws_connect.list_instance_attributes/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_instance_attributes/4","title":"aws_connect.list_instance_attributes/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_instance_attributes/5","title":"aws_connect.list_instance_attributes/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Returns a paginated list of storage configs for the identified instance and resource type.","ref":"aws_connect.html#list_instance_storage_configs/3","title":"aws_connect.list_instance_storage_configs/3","type":"function"},{"doc":"","ref":"aws_connect.html#list_instance_storage_configs/5","title":"aws_connect.list_instance_storage_configs/5","type":"function"},{"doc":"","ref":"aws_connect.html#list_instance_storage_configs/6","title":"aws_connect.list_instance_storage_configs/6","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Return a list of instances which are in active state, creation-in-progress state, and failed state. Instances that aren't successfully created (they are in a failed state) are returned only for 24 hours after the CreateInstance API was invoked.","ref":"aws_connect.html#list_instances/1","title":"aws_connect.list_instances/1","type":"function"},{"doc":"","ref":"aws_connect.html#list_instances/3","title":"aws_connect.list_instances/3","type":"function"},{"doc":"","ref":"aws_connect.html#list_instances/4","title":"aws_connect.list_instances/4","type":"function"},{"doc":"Provides summary information about the Amazon Web Services resource associations for the specified Amazon Connect instance.","ref":"aws_connect.html#list_integration_associations/2","title":"aws_connect.list_integration_associations/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_integration_associations/4","title":"aws_connect.list_integration_associations/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_integration_associations/5","title":"aws_connect.list_integration_associations/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Returns a paginated list of all Lambda functions that display in the dropdown options in the relevant flow blocks.","ref":"aws_connect.html#list_lambda_functions/2","title":"aws_connect.list_lambda_functions/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_lambda_functions/4","title":"aws_connect.list_lambda_functions/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_lambda_functions/5","title":"aws_connect.list_lambda_functions/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Returns a paginated list of all the Amazon Lex V1 bots currently associated with the instance. To return both Amazon Lex V1 and V2 bots, use the ListBots API.","ref":"aws_connect.html#list_lex_bots/2","title":"aws_connect.list_lex_bots/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_lex_bots/4","title":"aws_connect.list_lex_bots/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_lex_bots/5","title":"aws_connect.list_lex_bots/5","type":"function"},{"doc":"Provides information about the phone numbers for the specified Amazon Connect instance. For more information about phone numbers, see Set Up Phone Numbers for Your Contact Center in the Amazon Connect Administrator Guide. The phone number Arn value that is returned from each of the items in the PhoneNumberSummaryList cannot be used to tag phone number resources. It will fail with a ResourceNotFoundException . Instead, use the ListPhoneNumbersV2 API. It returns the new phone number ARN that can be used to tag phone number resources.","ref":"aws_connect.html#list_phone_numbers/2","title":"aws_connect.list_phone_numbers/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_phone_numbers/4","title":"aws_connect.list_phone_numbers/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_phone_numbers/5","title":"aws_connect.list_phone_numbers/5","type":"function"},{"doc":"Lists phone numbers claimed to your Amazon Connect instance or traffic distribution group. If the provided TargetArn is a traffic distribution group, you can call this API in both Amazon Web Services Regions associated with traffic distribution group. For more information about phone numbers, see Set Up Phone Numbers for Your Contact Center in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#list_phone_numbers_v2/2","title":"aws_connect.list_phone_numbers_v2/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_phone_numbers_v2/3","title":"aws_connect.list_phone_numbers_v2/3","type":"function"},{"doc":"Provides information about the prompts for the specified Amazon Connect instance.","ref":"aws_connect.html#list_prompts/2","title":"aws_connect.list_prompts/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_prompts/4","title":"aws_connect.list_prompts/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_prompts/5","title":"aws_connect.list_prompts/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Lists the quick connects associated with a queue.","ref":"aws_connect.html#list_queue_quick_connects/3","title":"aws_connect.list_queue_quick_connects/3","type":"function"},{"doc":"","ref":"aws_connect.html#list_queue_quick_connects/5","title":"aws_connect.list_queue_quick_connects/5","type":"function"},{"doc":"","ref":"aws_connect.html#list_queue_quick_connects/6","title":"aws_connect.list_queue_quick_connects/6","type":"function"},{"doc":"Provides information about the queues for the specified Amazon Connect instance. If you do not specify a QueueTypes parameter, both standard and agent queues are returned. This might cause an unexpected truncation of results if you have more than 1000 agents and you limit the number of results of the API call in code. For more information about queues, see Queues: Standard and Agent in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#list_queues/2","title":"aws_connect.list_queues/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_queues/4","title":"aws_connect.list_queues/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_queues/5","title":"aws_connect.list_queues/5","type":"function"},{"doc":"Provides information about the quick connects for the specified Amazon Connect instance.","ref":"aws_connect.html#list_quick_connects/2","title":"aws_connect.list_quick_connects/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_quick_connects/4","title":"aws_connect.list_quick_connects/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_quick_connects/5","title":"aws_connect.list_quick_connects/5","type":"function"},{"doc":"Lists the queues associated with a routing profile.","ref":"aws_connect.html#list_routing_profile_queues/3","title":"aws_connect.list_routing_profile_queues/3","type":"function"},{"doc":"","ref":"aws_connect.html#list_routing_profile_queues/5","title":"aws_connect.list_routing_profile_queues/5","type":"function"},{"doc":"","ref":"aws_connect.html#list_routing_profile_queues/6","title":"aws_connect.list_routing_profile_queues/6","type":"function"},{"doc":"Provides summary information about the routing profiles for the specified Amazon Connect instance. For more information about routing profiles, see Routing Profiles and Create a Routing Profile in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#list_routing_profiles/2","title":"aws_connect.list_routing_profiles/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_routing_profiles/4","title":"aws_connect.list_routing_profiles/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_routing_profiles/5","title":"aws_connect.list_routing_profiles/5","type":"function"},{"doc":"List all rules for the specified Amazon Connect instance.","ref":"aws_connect.html#list_rules/2","title":"aws_connect.list_rules/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_rules/4","title":"aws_connect.list_rules/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_rules/5","title":"aws_connect.list_rules/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Returns a paginated list of all security keys associated with the instance.","ref":"aws_connect.html#list_security_keys/2","title":"aws_connect.list_security_keys/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_security_keys/4","title":"aws_connect.list_security_keys/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_security_keys/5","title":"aws_connect.list_security_keys/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Lists the permissions granted to a security profile.","ref":"aws_connect.html#list_security_profile_permissions/3","title":"aws_connect.list_security_profile_permissions/3","type":"function"},{"doc":"","ref":"aws_connect.html#list_security_profile_permissions/5","title":"aws_connect.list_security_profile_permissions/5","type":"function"},{"doc":"","ref":"aws_connect.html#list_security_profile_permissions/6","title":"aws_connect.list_security_profile_permissions/6","type":"function"},{"doc":"Provides summary information about the security profiles for the specified Amazon Connect instance. For more information about security profiles, see Security Profiles in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#list_security_profiles/2","title":"aws_connect.list_security_profiles/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_security_profiles/4","title":"aws_connect.list_security_profiles/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_security_profiles/5","title":"aws_connect.list_security_profiles/5","type":"function"},{"doc":"Lists the tags for the specified resource. For sample policies that use tags, see Amazon Connect Identity-Based Policy Examples in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#list_tags_for_resource/2","title":"aws_connect.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_tags_for_resource/4","title":"aws_connect.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_tags_for_resource/5","title":"aws_connect.list_tags_for_resource/5","type":"function"},{"doc":"Lists task templates for the specified Amazon Connect instance.","ref":"aws_connect.html#list_task_templates/2","title":"aws_connect.list_task_templates/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_task_templates/4","title":"aws_connect.list_task_templates/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_task_templates/5","title":"aws_connect.list_task_templates/5","type":"function"},{"doc":"Lists traffic distribution groups.","ref":"aws_connect.html#list_traffic_distribution_groups/1","title":"aws_connect.list_traffic_distribution_groups/1","type":"function"},{"doc":"","ref":"aws_connect.html#list_traffic_distribution_groups/3","title":"aws_connect.list_traffic_distribution_groups/3","type":"function"},{"doc":"","ref":"aws_connect.html#list_traffic_distribution_groups/4","title":"aws_connect.list_traffic_distribution_groups/4","type":"function"},{"doc":"Lists the use cases for the integration association.","ref":"aws_connect.html#list_use_cases/3","title":"aws_connect.list_use_cases/3","type":"function"},{"doc":"","ref":"aws_connect.html#list_use_cases/5","title":"aws_connect.list_use_cases/5","type":"function"},{"doc":"","ref":"aws_connect.html#list_use_cases/6","title":"aws_connect.list_use_cases/6","type":"function"},{"doc":"Provides summary information about the hierarchy groups for the specified Amazon Connect instance. For more information about agent hierarchies, see Set Up Agent Hierarchies in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#list_user_hierarchy_groups/2","title":"aws_connect.list_user_hierarchy_groups/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_user_hierarchy_groups/4","title":"aws_connect.list_user_hierarchy_groups/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_user_hierarchy_groups/5","title":"aws_connect.list_user_hierarchy_groups/5","type":"function"},{"doc":"Provides summary information about the users for the specified Amazon Connect instance.","ref":"aws_connect.html#list_users/2","title":"aws_connect.list_users/2","type":"function"},{"doc":"","ref":"aws_connect.html#list_users/4","title":"aws_connect.list_users/4","type":"function"},{"doc":"","ref":"aws_connect.html#list_users/5","title":"aws_connect.list_users/5","type":"function"},{"doc":"Initiates silent monitoring of a contact. The Contact Control Panel (CCP) of the user specified by userId will be set to silent monitoring mode on the contact.","ref":"aws_connect.html#monitor_contact/2","title":"aws_connect.monitor_contact/2","type":"function"},{"doc":"","ref":"aws_connect.html#monitor_contact/3","title":"aws_connect.monitor_contact/3","type":"function"},{"doc":"Changes the current status of a user or agent in Amazon Connect. If the agent is currently handling a contact, this sets the agent's next status. For more information, see Agent status and Set your next status in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#put_user_status/4","title":"aws_connect.put_user_status/4","type":"function"},{"doc":"","ref":"aws_connect.html#put_user_status/5","title":"aws_connect.put_user_status/5","type":"function"},{"doc":"Releases a phone number previously claimed to an Amazon Connect instance or traffic distribution group. You can call this API only in the Amazon Web Services Region where the number was claimed. To release phone numbers from a traffic distribution group, use the ReleasePhoneNumber API, not the Amazon Connect console. After releasing a phone number, the phone number enters into a cooldown period of 30 days. It cannot be searched for or claimed again until the period has ended. If you accidentally release a phone number, contact Amazon Web Services Support.","ref":"aws_connect.html#release_phone_number/3","title":"aws_connect.release_phone_number/3","type":"function"},{"doc":"","ref":"aws_connect.html#release_phone_number/4","title":"aws_connect.release_phone_number/4","type":"function"},{"doc":"Replicates an Amazon Connect instance in the specified Amazon Web Services Region. For more information about replicating an Amazon Connect instance, see Create a replica of your existing Amazon Connect instance in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#replicate_instance/3","title":"aws_connect.replicate_instance/3","type":"function"},{"doc":"","ref":"aws_connect.html#replicate_instance/4","title":"aws_connect.replicate_instance/4","type":"function"},{"doc":"When a contact is being recorded, and the recording has been suspended using SuspendContactRecording, this API resumes recording the call. Only voice recordings are supported at this time.","ref":"aws_connect.html#resume_contact_recording/2","title":"aws_connect.resume_contact_recording/2","type":"function"},{"doc":"","ref":"aws_connect.html#resume_contact_recording/3","title":"aws_connect.resume_contact_recording/3","type":"function"},{"doc":"Searches for available phone numbers that you can claim to your Amazon Connect instance or traffic distribution group. If the provided TargetArn is a traffic distribution group, you can call this API in both Amazon Web Services Regions associated with the traffic distribution group.","ref":"aws_connect.html#search_available_phone_numbers/2","title":"aws_connect.search_available_phone_numbers/2","type":"function"},{"doc":"","ref":"aws_connect.html#search_available_phone_numbers/3","title":"aws_connect.search_available_phone_numbers/3","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Searches queues in an Amazon Connect instance, with optional filtering.","ref":"aws_connect.html#search_queues/2","title":"aws_connect.search_queues/2","type":"function"},{"doc":"","ref":"aws_connect.html#search_queues/3","title":"aws_connect.search_queues/3","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Searches routing profiles in an Amazon Connect instance, with optional filtering.","ref":"aws_connect.html#search_routing_profiles/2","title":"aws_connect.search_routing_profiles/2","type":"function"},{"doc":"","ref":"aws_connect.html#search_routing_profiles/3","title":"aws_connect.search_routing_profiles/3","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Searches security profiles in an Amazon Connect instance, with optional filtering.","ref":"aws_connect.html#search_security_profiles/2","title":"aws_connect.search_security_profiles/2","type":"function"},{"doc":"","ref":"aws_connect.html#search_security_profiles/3","title":"aws_connect.search_security_profiles/3","type":"function"},{"doc":"Searches users in an Amazon Connect instance, with optional filtering. AfterContactWorkTimeLimit is returned in milliseconds.","ref":"aws_connect.html#search_users/2","title":"aws_connect.search_users/2","type":"function"},{"doc":"","ref":"aws_connect.html#search_users/3","title":"aws_connect.search_users/3","type":"function"},{"doc":"Searches for vocabularies within a specific Amazon Connect instance using State , NameStartsWith , and LanguageCode .","ref":"aws_connect.html#search_vocabularies/3","title":"aws_connect.search_vocabularies/3","type":"function"},{"doc":"","ref":"aws_connect.html#search_vocabularies/4","title":"aws_connect.search_vocabularies/4","type":"function"},{"doc":"Initiates a flow to start a new chat for the customer. Response of this API provides a token required to obtain credentials from the CreateParticipantConnection API in the Amazon Connect Participant Service. When a new chat contact is successfully created, clients must subscribe to the participant’s connection for the created chat within 5 minutes. This is achieved by invoking CreateParticipantConnection with WEBSOCKET and CONNECTION_CREDENTIALS. A 429 error occurs in the following situations: API rate limit is exceeded. API TPS throttling returns a TooManyRequests exception. The quota for concurrent active chats is exceeded. Active chat throttling returns a LimitExceededException . If you use the ChatDurationInMinutes parameter and receive a 400 error, your account may not support the ability to configure custom chat durations. For more information, contact Amazon Web Services Support. For more information about chat, see Chat in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#start_chat_contact/2","title":"aws_connect.start_chat_contact/2","type":"function"},{"doc":"","ref":"aws_connect.html#start_chat_contact/3","title":"aws_connect.start_chat_contact/3","type":"function"},{"doc":"Starts recording the contact: If the API is called before the agent joins the call, recording starts when the agent joins the call. If the API is called after the agent joins the call, recording starts at the time of the API call. StartContactRecording is a one-time action. For example, if you use StopContactRecording to stop recording an ongoing call, you can't use StartContactRecording to restart it. For scenarios where the recording has started and you want to suspend and resume it, such as when collecting sensitive information (for example, a credit card number), use SuspendContactRecording and ResumeContactRecording. You can use this API to override the recording behavior configured in the Set recording behavior block. Only voice recordings are supported at this time.","ref":"aws_connect.html#start_contact_recording/2","title":"aws_connect.start_contact_recording/2","type":"function"},{"doc":"","ref":"aws_connect.html#start_contact_recording/3","title":"aws_connect.start_contact_recording/3","type":"function"},{"doc":"Initiates real-time message streaming for a new chat contact. For more information about message streaming, see Enable real-time chat message streaming in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#start_contact_streaming/2","title":"aws_connect.start_contact_streaming/2","type":"function"},{"doc":"","ref":"aws_connect.html#start_contact_streaming/3","title":"aws_connect.start_contact_streaming/3","type":"function"},{"doc":"Places an outbound call to a contact, and then initiates the flow. It performs the actions in the flow that's specified (in ContactFlowId ). Agents do not initiate the outbound API, which means that they do not dial the contact. If the flow places an outbound call to a contact, and then puts the contact in queue, the call is then routed to the agent, like any other inbound case. There is a 60-second dialing timeout for this operation. If the call is not connected after 60 seconds, it fails. UK numbers with a 447 prefix are not allowed by default. Before you can dial these UK mobile numbers, you must submit a service quota increase request. For more information, see Amazon Connect Service Quotas in the Amazon Connect Administrator Guide. Campaign calls are not allowed by default. Before you can make a call with TrafficType = CAMPAIGN , you must submit a service quota increase request to the quota Amazon Connect campaigns.","ref":"aws_connect.html#start_outbound_voice_contact/2","title":"aws_connect.start_outbound_voice_contact/2","type":"function"},{"doc":"","ref":"aws_connect.html#start_outbound_voice_contact/3","title":"aws_connect.start_outbound_voice_contact/3","type":"function"},{"doc":"Initiates a flow to start a new task.","ref":"aws_connect.html#start_task_contact/2","title":"aws_connect.start_task_contact/2","type":"function"},{"doc":"","ref":"aws_connect.html#start_task_contact/3","title":"aws_connect.start_task_contact/3","type":"function"},{"doc":"Ends the specified contact. This call does not work for the following initiation methods: DISCONNECT TRANSFER QUEUE_TRANSFER","ref":"aws_connect.html#stop_contact/2","title":"aws_connect.stop_contact/2","type":"function"},{"doc":"","ref":"aws_connect.html#stop_contact/3","title":"aws_connect.stop_contact/3","type":"function"},{"doc":"Stops recording a call when a contact is being recorded. StopContactRecording is a one-time action. If you use StopContactRecording to stop recording an ongoing call, you can't use StartContactRecording to restart it. For scenarios where the recording has started and you want to suspend it for sensitive information (for example, to collect a credit card number), and then restart it, use SuspendContactRecording and ResumeContactRecording. Only voice recordings are supported at this time.","ref":"aws_connect.html#stop_contact_recording/2","title":"aws_connect.stop_contact_recording/2","type":"function"},{"doc":"","ref":"aws_connect.html#stop_contact_recording/3","title":"aws_connect.stop_contact_recording/3","type":"function"},{"doc":"Ends message streaming on a specified contact. To restart message streaming on that contact, call the StartContactStreaming API.","ref":"aws_connect.html#stop_contact_streaming/2","title":"aws_connect.stop_contact_streaming/2","type":"function"},{"doc":"","ref":"aws_connect.html#stop_contact_streaming/3","title":"aws_connect.stop_contact_streaming/3","type":"function"},{"doc":"When a contact is being recorded, this API suspends recording the call. For example, you might suspend the call recording while collecting sensitive information, such as a credit card number. Then use ResumeContactRecording to restart recording. The period of time that the recording is suspended is filled with silence in the final recording. Only voice recordings are supported at this time.","ref":"aws_connect.html#suspend_contact_recording/2","title":"aws_connect.suspend_contact_recording/2","type":"function"},{"doc":"","ref":"aws_connect.html#suspend_contact_recording/3","title":"aws_connect.suspend_contact_recording/3","type":"function"},{"doc":"Adds the specified tags to the specified resource. Some of the supported resource types are agents, routing profiles, queues, quick connects, contact flows, agent statuses, hours of operation, phone numbers, security profiles, and task templates. For a complete list, see Tagging resources in Amazon Connect. For sample policies that use tags, see Amazon Connect Identity-Based Policy Examples in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#tag_resource/3","title":"aws_connect.tag_resource/3","type":"function"},{"doc":"","ref":"aws_connect.html#tag_resource/4","title":"aws_connect.tag_resource/4","type":"function"},{"doc":"Transfers contacts from one agent or queue to another agent or queue at any point after a contact is created. You can transfer a contact to another queue by providing the flow which orchestrates the contact to the destination queue. This gives you more control over contact handling and helps you adhere to the service level agreement (SLA) guaranteed to your customers. Note the following requirements: Transfer is supported for only TASK contacts. Do not use both QueueId and UserId in the same call. The following flow types are supported: Inbound flow, Transfer to agent flow, and Transfer to queue flow. The TransferContact API can be called only on active contacts. A contact cannot be transferred more than 11 times.","ref":"aws_connect.html#transfer_contact/2","title":"aws_connect.transfer_contact/2","type":"function"},{"doc":"","ref":"aws_connect.html#transfer_contact/3","title":"aws_connect.transfer_contact/3","type":"function"},{"doc":"Removes the specified tags from the specified resource.","ref":"aws_connect.html#untag_resource/3","title":"aws_connect.untag_resource/3","type":"function"},{"doc":"","ref":"aws_connect.html#untag_resource/4","title":"aws_connect.untag_resource/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Updates agent status.","ref":"aws_connect.html#update_agent_status/4","title":"aws_connect.update_agent_status/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_agent_status/5","title":"aws_connect.update_agent_status/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Adds or updates user-defined contact information associated with the specified contact. At least one field to be updated must be present in the request. You can add or update user-defined contact information for both ongoing and completed contacts.","ref":"aws_connect.html#update_contact/4","title":"aws_connect.update_contact/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_contact/5","title":"aws_connect.update_contact/5","type":"function"},{"doc":"Creates or updates user-defined contact attributes associated with the specified contact. You can create or update user-defined attributes for both ongoing and completed contacts. For example, while the call is active, you can update the customer's name or the reason the customer called. You can add notes about steps that the agent took during the call that display to the next agent that takes the call. You can also update attributes for a contact using data from your CRM application and save the data with the contact in Amazon Connect. You could also flag calls for additional analysis, such as legal review or to identify abusive callers. Contact attributes are available in Amazon Connect for 24 months, and are then deleted. For information about contact record retention and the maximum size of the contact record attributes section, see Feature specifications in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#update_contact_attributes/2","title":"aws_connect.update_contact_attributes/2","type":"function"},{"doc":"","ref":"aws_connect.html#update_contact_attributes/3","title":"aws_connect.update_contact_attributes/3","type":"function"},{"doc":"Updates the specified flow. You can also create and update flows using the Amazon Connect Flow language.","ref":"aws_connect.html#update_contact_flow_content/4","title":"aws_connect.update_contact_flow_content/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_contact_flow_content/5","title":"aws_connect.update_contact_flow_content/5","type":"function"},{"doc":"Updates metadata about specified flow.","ref":"aws_connect.html#update_contact_flow_metadata/4","title":"aws_connect.update_contact_flow_metadata/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_contact_flow_metadata/5","title":"aws_connect.update_contact_flow_metadata/5","type":"function"},{"doc":"Updates specified flow module for the specified Amazon Connect instance.","ref":"aws_connect.html#update_contact_flow_module_content/4","title":"aws_connect.update_contact_flow_module_content/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_contact_flow_module_content/5","title":"aws_connect.update_contact_flow_module_content/5","type":"function"},{"doc":"Updates metadata about specified flow module.","ref":"aws_connect.html#update_contact_flow_module_metadata/4","title":"aws_connect.update_contact_flow_module_metadata/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_contact_flow_module_metadata/5","title":"aws_connect.update_contact_flow_module_metadata/5","type":"function"},{"doc":"The name of the flow. You can also create and update flows using the Amazon Connect Flow language.","ref":"aws_connect.html#update_contact_flow_name/4","title":"aws_connect.update_contact_flow_name/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_contact_flow_name/5","title":"aws_connect.update_contact_flow_name/5","type":"function"},{"doc":"Updates the scheduled time of a task contact that is already scheduled.","ref":"aws_connect.html#update_contact_schedule/2","title":"aws_connect.update_contact_schedule/2","type":"function"},{"doc":"","ref":"aws_connect.html#update_contact_schedule/3","title":"aws_connect.update_contact_schedule/3","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Updates the hours of operation.","ref":"aws_connect.html#update_hours_of_operation/4","title":"aws_connect.update_hours_of_operation/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_hours_of_operation/5","title":"aws_connect.update_hours_of_operation/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Updates the value for the specified attribute type.","ref":"aws_connect.html#update_instance_attribute/4","title":"aws_connect.update_instance_attribute/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_instance_attribute/5","title":"aws_connect.update_instance_attribute/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Updates an existing configuration for a resource type. This API is idempotent.","ref":"aws_connect.html#update_instance_storage_config/4","title":"aws_connect.update_instance_storage_config/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_instance_storage_config/5","title":"aws_connect.update_instance_storage_config/5","type":"function"},{"doc":"Updates timeouts for when human chat participants are to be considered idle, and when agents are automatically disconnected from a chat due to idleness. You can set four timers: Customer idle timeout Customer auto-disconnect timeout Agent idle timeout Agent auto-disconnect timeout For more information about how chat timeouts work, see Set up chat timeouts for human participants.","ref":"aws_connect.html#update_participant_role_config/4","title":"aws_connect.update_participant_role_config/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_participant_role_config/5","title":"aws_connect.update_participant_role_config/5","type":"function"},{"doc":"Updates your claimed phone number from its current Amazon Connect instance or traffic distribution group to another Amazon Connect instance or traffic distribution group in the same Amazon Web Services Region. You can call DescribePhoneNumber API to verify the status of a previous UpdatePhoneNumber operation.","ref":"aws_connect.html#update_phone_number/3","title":"aws_connect.update_phone_number/3","type":"function"},{"doc":"","ref":"aws_connect.html#update_phone_number/4","title":"aws_connect.update_phone_number/4","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Updates the hours of operation for the specified queue.","ref":"aws_connect.html#update_queue_hours_of_operation/4","title":"aws_connect.update_queue_hours_of_operation/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_queue_hours_of_operation/5","title":"aws_connect.update_queue_hours_of_operation/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Updates the maximum number of contacts allowed in a queue before it is considered full.","ref":"aws_connect.html#update_queue_max_contacts/4","title":"aws_connect.update_queue_max_contacts/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_queue_max_contacts/5","title":"aws_connect.update_queue_max_contacts/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Updates the name and description of a queue. At least Name or Description must be provided.","ref":"aws_connect.html#update_queue_name/4","title":"aws_connect.update_queue_name/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_queue_name/5","title":"aws_connect.update_queue_name/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Updates the outbound caller ID name, number, and outbound whisper flow for a specified queue. If the number being used in the input is claimed to a traffic distribution group, and you are calling this API using an instance in the Amazon Web Services Region where the traffic distribution group was created, you can use either a full phone number ARN or UUID value for the OutboundCallerIdNumberId value of the OutboundCallerConfig request body parameter. However, if the number is claimed to a traffic distribution group and you are calling this API using an instance in the alternate Amazon Web Services Region associated with the traffic distribution group, you must provide a full phone number ARN. If a UUID is provided in this scenario, you will receive a ResourceNotFoundException .","ref":"aws_connect.html#update_queue_outbound_caller_config/4","title":"aws_connect.update_queue_outbound_caller_config/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_queue_outbound_caller_config/5","title":"aws_connect.update_queue_outbound_caller_config/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Updates the status of the queue.","ref":"aws_connect.html#update_queue_status/4","title":"aws_connect.update_queue_status/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_queue_status/5","title":"aws_connect.update_queue_status/5","type":"function"},{"doc":"Updates the configuration settings for the specified quick connect.","ref":"aws_connect.html#update_quick_connect_config/4","title":"aws_connect.update_quick_connect_config/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_quick_connect_config/5","title":"aws_connect.update_quick_connect_config/5","type":"function"},{"doc":"Updates the name and description of a quick connect. The request accepts the following data in JSON format. At least Name or Description must be provided.","ref":"aws_connect.html#update_quick_connect_name/4","title":"aws_connect.update_quick_connect_name/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_quick_connect_name/5","title":"aws_connect.update_quick_connect_name/5","type":"function"},{"doc":"Updates the channels that agents can handle in the Contact Control Panel (CCP) for a routing profile.","ref":"aws_connect.html#update_routing_profile_concurrency/4","title":"aws_connect.update_routing_profile_concurrency/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_routing_profile_concurrency/5","title":"aws_connect.update_routing_profile_concurrency/5","type":"function"},{"doc":"Updates the default outbound queue of a routing profile.","ref":"aws_connect.html#update_routing_profile_default_outbound_queue/4","title":"aws_connect.update_routing_profile_default_outbound_queue/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_routing_profile_default_outbound_queue/5","title":"aws_connect.update_routing_profile_default_outbound_queue/5","type":"function"},{"doc":"Updates the name and description of a routing profile. The request accepts the following data in JSON format. At least Name or Description must be provided.","ref":"aws_connect.html#update_routing_profile_name/4","title":"aws_connect.update_routing_profile_name/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_routing_profile_name/5","title":"aws_connect.update_routing_profile_name/5","type":"function"},{"doc":"Updates the properties associated with a set of queues for a routing profile.","ref":"aws_connect.html#update_routing_profile_queues/4","title":"aws_connect.update_routing_profile_queues/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_routing_profile_queues/5","title":"aws_connect.update_routing_profile_queues/5","type":"function"},{"doc":"Updates a rule for the specified Amazon Connect instance. Use the Rules Function language to code conditions for the rule.","ref":"aws_connect.html#update_rule/4","title":"aws_connect.update_rule/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_rule/5","title":"aws_connect.update_rule/5","type":"function"},{"doc":"This API is in preview release for Amazon Connect and is subject to change. Updates a security profile.","ref":"aws_connect.html#update_security_profile/4","title":"aws_connect.update_security_profile/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_security_profile/5","title":"aws_connect.update_security_profile/5","type":"function"},{"doc":"Updates details about a specific task template in the specified Amazon Connect instance. This operation does not support partial updates. Instead it does a full update of template content.","ref":"aws_connect.html#update_task_template/4","title":"aws_connect.update_task_template/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_task_template/5","title":"aws_connect.update_task_template/5","type":"function"},{"doc":"Updates the traffic distribution for a given traffic distribution group. For more information about updating a traffic distribution group, see Update telephony traffic distribution across Amazon Web Services Regions in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#update_traffic_distribution/3","title":"aws_connect.update_traffic_distribution/3","type":"function"},{"doc":"","ref":"aws_connect.html#update_traffic_distribution/4","title":"aws_connect.update_traffic_distribution/4","type":"function"},{"doc":"Assigns the specified hierarchy group to the specified user.","ref":"aws_connect.html#update_user_hierarchy/4","title":"aws_connect.update_user_hierarchy/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_user_hierarchy/5","title":"aws_connect.update_user_hierarchy/5","type":"function"},{"doc":"Updates the name of the user hierarchy group.","ref":"aws_connect.html#update_user_hierarchy_group_name/4","title":"aws_connect.update_user_hierarchy_group_name/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_user_hierarchy_group_name/5","title":"aws_connect.update_user_hierarchy_group_name/5","type":"function"},{"doc":"Updates the user hierarchy structure: add, remove, and rename user hierarchy levels.","ref":"aws_connect.html#update_user_hierarchy_structure/3","title":"aws_connect.update_user_hierarchy_structure/3","type":"function"},{"doc":"","ref":"aws_connect.html#update_user_hierarchy_structure/4","title":"aws_connect.update_user_hierarchy_structure/4","type":"function"},{"doc":"Updates the identity information for the specified user. We strongly recommend limiting who has the ability to invoke UpdateUserIdentityInfo . Someone with that ability can change the login credentials of other users by changing their email address. This poses a security risk to your organization. They can change the email address of a user to the attacker's email address, and then reset the password through email. For more information, see Best Practices for Security Profiles in the Amazon Connect Administrator Guide.","ref":"aws_connect.html#update_user_identity_info/4","title":"aws_connect.update_user_identity_info/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_user_identity_info/5","title":"aws_connect.update_user_identity_info/5","type":"function"},{"doc":"Updates the phone configuration settings for the specified user.","ref":"aws_connect.html#update_user_phone_config/4","title":"aws_connect.update_user_phone_config/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_user_phone_config/5","title":"aws_connect.update_user_phone_config/5","type":"function"},{"doc":"Assigns the specified routing profile to the specified user.","ref":"aws_connect.html#update_user_routing_profile/4","title":"aws_connect.update_user_routing_profile/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_user_routing_profile/5","title":"aws_connect.update_user_routing_profile/5","type":"function"},{"doc":"Assigns the specified security profiles to the specified user.","ref":"aws_connect.html#update_user_security_profiles/4","title":"aws_connect.update_user_security_profiles/4","type":"function"},{"doc":"","ref":"aws_connect.html#update_user_security_profiles/5","title":"aws_connect.update_user_security_profiles/5","type":"function"},{"doc":"Contact Lens for Amazon Connect enables you to analyze conversations between customer and agents, by using speech transcription, natural language processing, and intelligent search capabilities. It performs sentiment analysis, detects issues, and enables you to automatically categorize contacts. Contact Lens for Amazon Connect provides both real-time and post-call analytics of customer-agent conversations. For more information, see Analyze conversations using Contact Lens in the Amazon Connect Administrator Guide.","ref":"aws_connect_contact_lens.html","title":"aws_connect_contact_lens","type":"module"},{"doc":"Provides a list of analysis segments for a real-time analysis session.","ref":"aws_connect_contact_lens.html#list_realtime_contact_analysis_segments/2","title":"aws_connect_contact_lens.list_realtime_contact_analysis_segments/2","type":"function"},{"doc":"","ref":"aws_connect_contact_lens.html#list_realtime_contact_analysis_segments/3","title":"aws_connect_contact_lens.list_realtime_contact_analysis_segments/3","type":"function"},{"doc":"Provide APIs to create and manage Amazon Connect Campaigns.","ref":"aws_connectcampaigns.html","title":"aws_connectcampaigns","type":"module"},{"doc":"Creates a campaign for the specified Amazon Connect account. This API is idempotent.","ref":"aws_connectcampaigns.html#create_campaign/2","title":"aws_connectcampaigns.create_campaign/2","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#create_campaign/3","title":"aws_connectcampaigns.create_campaign/3","type":"function"},{"doc":"Deletes a campaign from the specified Amazon Connect account.","ref":"aws_connectcampaigns.html#delete_campaign/3","title":"aws_connectcampaigns.delete_campaign/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#delete_campaign/4","title":"aws_connectcampaigns.delete_campaign/4","type":"function"},{"doc":"Deletes a connect instance config from the specified AWS account.","ref":"aws_connectcampaigns.html#delete_connect_instance_config/3","title":"aws_connectcampaigns.delete_connect_instance_config/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#delete_connect_instance_config/4","title":"aws_connectcampaigns.delete_connect_instance_config/4","type":"function"},{"doc":"Delete the Connect Campaigns onboarding job for the specified Amazon Connect instance.","ref":"aws_connectcampaigns.html#delete_instance_onboarding_job/3","title":"aws_connectcampaigns.delete_instance_onboarding_job/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#delete_instance_onboarding_job/4","title":"aws_connectcampaigns.delete_instance_onboarding_job/4","type":"function"},{"doc":"Describes the specific campaign.","ref":"aws_connectcampaigns.html#describe_campaign/2","title":"aws_connectcampaigns.describe_campaign/2","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#describe_campaign/4","title":"aws_connectcampaigns.describe_campaign/4","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#describe_campaign/5","title":"aws_connectcampaigns.describe_campaign/5","type":"function"},{"doc":"Get state of a campaign for the specified Amazon Connect account.","ref":"aws_connectcampaigns.html#get_campaign_state/2","title":"aws_connectcampaigns.get_campaign_state/2","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#get_campaign_state/4","title":"aws_connectcampaigns.get_campaign_state/4","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#get_campaign_state/5","title":"aws_connectcampaigns.get_campaign_state/5","type":"function"},{"doc":"Get state of campaigns for the specified Amazon Connect account.","ref":"aws_connectcampaigns.html#get_campaign_state_batch/2","title":"aws_connectcampaigns.get_campaign_state_batch/2","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#get_campaign_state_batch/3","title":"aws_connectcampaigns.get_campaign_state_batch/3","type":"function"},{"doc":"Get the specific Connect instance config.","ref":"aws_connectcampaigns.html#get_connect_instance_config/2","title":"aws_connectcampaigns.get_connect_instance_config/2","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#get_connect_instance_config/4","title":"aws_connectcampaigns.get_connect_instance_config/4","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#get_connect_instance_config/5","title":"aws_connectcampaigns.get_connect_instance_config/5","type":"function"},{"doc":"Get the specific instance onboarding job status.","ref":"aws_connectcampaigns.html#get_instance_onboarding_job_status/2","title":"aws_connectcampaigns.get_instance_onboarding_job_status/2","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#get_instance_onboarding_job_status/4","title":"aws_connectcampaigns.get_instance_onboarding_job_status/4","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#get_instance_onboarding_job_status/5","title":"aws_connectcampaigns.get_instance_onboarding_job_status/5","type":"function"},{"doc":"Provides summary information about the campaigns under the specified Amazon Connect account.","ref":"aws_connectcampaigns.html#list_campaigns/2","title":"aws_connectcampaigns.list_campaigns/2","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#list_campaigns/3","title":"aws_connectcampaigns.list_campaigns/3","type":"function"},{"doc":"List tags for a resource.","ref":"aws_connectcampaigns.html#list_tags_for_resource/2","title":"aws_connectcampaigns.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#list_tags_for_resource/4","title":"aws_connectcampaigns.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#list_tags_for_resource/5","title":"aws_connectcampaigns.list_tags_for_resource/5","type":"function"},{"doc":"Pauses a campaign for the specified Amazon Connect account.","ref":"aws_connectcampaigns.html#pause_campaign/3","title":"aws_connectcampaigns.pause_campaign/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#pause_campaign/4","title":"aws_connectcampaigns.pause_campaign/4","type":"function"},{"doc":"Creates dials requests for the specified campaign Amazon Connect account. This API is idempotent.","ref":"aws_connectcampaigns.html#put_dial_request_batch/3","title":"aws_connectcampaigns.put_dial_request_batch/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#put_dial_request_batch/4","title":"aws_connectcampaigns.put_dial_request_batch/4","type":"function"},{"doc":"Stops a campaign for the specified Amazon Connect account.","ref":"aws_connectcampaigns.html#resume_campaign/3","title":"aws_connectcampaigns.resume_campaign/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#resume_campaign/4","title":"aws_connectcampaigns.resume_campaign/4","type":"function"},{"doc":"Starts a campaign for the specified Amazon Connect account.","ref":"aws_connectcampaigns.html#start_campaign/3","title":"aws_connectcampaigns.start_campaign/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#start_campaign/4","title":"aws_connectcampaigns.start_campaign/4","type":"function"},{"doc":"Onboard the specific Amazon Connect instance to Connect Campaigns.","ref":"aws_connectcampaigns.html#start_instance_onboarding_job/3","title":"aws_connectcampaigns.start_instance_onboarding_job/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#start_instance_onboarding_job/4","title":"aws_connectcampaigns.start_instance_onboarding_job/4","type":"function"},{"doc":"Stops a campaign for the specified Amazon Connect account.","ref":"aws_connectcampaigns.html#stop_campaign/3","title":"aws_connectcampaigns.stop_campaign/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#stop_campaign/4","title":"aws_connectcampaigns.stop_campaign/4","type":"function"},{"doc":"Tag a resource.","ref":"aws_connectcampaigns.html#tag_resource/3","title":"aws_connectcampaigns.tag_resource/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#tag_resource/4","title":"aws_connectcampaigns.tag_resource/4","type":"function"},{"doc":"Untag a resource.","ref":"aws_connectcampaigns.html#untag_resource/3","title":"aws_connectcampaigns.untag_resource/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#untag_resource/4","title":"aws_connectcampaigns.untag_resource/4","type":"function"},{"doc":"Updates the dialer config of a campaign. This API is idempotent.","ref":"aws_connectcampaigns.html#update_campaign_dialer_config/3","title":"aws_connectcampaigns.update_campaign_dialer_config/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#update_campaign_dialer_config/4","title":"aws_connectcampaigns.update_campaign_dialer_config/4","type":"function"},{"doc":"Updates the name of a campaign. This API is idempotent.","ref":"aws_connectcampaigns.html#update_campaign_name/3","title":"aws_connectcampaigns.update_campaign_name/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#update_campaign_name/4","title":"aws_connectcampaigns.update_campaign_name/4","type":"function"},{"doc":"Updates the outbound call config of a campaign. This API is idempotent.","ref":"aws_connectcampaigns.html#update_campaign_outbound_call_config/3","title":"aws_connectcampaigns.update_campaign_outbound_call_config/3","type":"function"},{"doc":"","ref":"aws_connectcampaigns.html#update_campaign_outbound_call_config/4","title":"aws_connectcampaigns.update_campaign_outbound_call_config/4","type":"function"},{"doc":"Welcome to the Amazon Connect Cases API Reference. This guide provides information about the Amazon Connect Cases API, which you can use to create, update, get, and list Cases domains, fields, field options, layouts, templates, cases, related items, and tags. &lt;p&gt;For more information about Amazon Connect Cases, see &lt;a href=&quot;https://docs.aws.amazon.com/connect/latest/adminguide/cases.html&quot;&gt;Amazon Connect Cases&lt;/a&gt; in the &lt;i&gt;Amazon Connect Administrator Guide&lt;/i&gt;. &lt;/p&gt;","ref":"aws_connectcases.html","title":"aws_connectcases","type":"module"},{"doc":"Returns the description for the list of fields in the request parameters.","ref":"aws_connectcases.html#batch_get_field/3","title":"aws_connectcases.batch_get_field/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#batch_get_field/4","title":"aws_connectcases.batch_get_field/4","type":"function"},{"doc":"Creates and updates a set of field options for a single select field in a Cases domain.","ref":"aws_connectcases.html#batch_put_field_options/4","title":"aws_connectcases.batch_put_field_options/4","type":"function"},{"doc":"","ref":"aws_connectcases.html#batch_put_field_options/5","title":"aws_connectcases.batch_put_field_options/5","type":"function"},{"doc":"Creates a case in the specified Cases domain. Case system and custom fields are taken as an array id/value pairs with a declared data types. customer_id is a required field when creating a case.","ref":"aws_connectcases.html#create_case/3","title":"aws_connectcases.create_case/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#create_case/4","title":"aws_connectcases.create_case/4","type":"function"},{"doc":"Creates a domain, which is a container for all case data, such as cases, fields, templates and layouts. Each Amazon Connect instance can be associated with only one Cases domain. This will not associate your connect instance to Cases domain. Instead, use the Amazon Connect CreateIntegrationAssociation API.","ref":"aws_connectcases.html#create_domain/2","title":"aws_connectcases.create_domain/2","type":"function"},{"doc":"","ref":"aws_connectcases.html#create_domain/3","title":"aws_connectcases.create_domain/3","type":"function"},{"doc":"Creates a field in the Cases domain. This field is used to define the case object model (that is, defines what data can be captured on cases) in a Cases domain.","ref":"aws_connectcases.html#create_field/3","title":"aws_connectcases.create_field/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#create_field/4","title":"aws_connectcases.create_field/4","type":"function"},{"doc":"Creates a layout in the Cases domain. Layouts define the following configuration in the top section and More Info tab of the Cases user interface: Fields to display to the users Field ordering Title and Status fields cannot be part of layouts since they are not configurable.","ref":"aws_connectcases.html#create_layout/3","title":"aws_connectcases.create_layout/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#create_layout/4","title":"aws_connectcases.create_layout/4","type":"function"},{"doc":"Creates a related item (comments, tasks, and contacts) and associates it with a case. A Related Item is a resource that is associated with a case. It may or may not have an external identifier linking it to an external resource (for example, a contactArn ). All Related Items have their own internal identifier, the relatedItemArn . Examples of related items include comments and contacts .","ref":"aws_connectcases.html#create_related_item/4","title":"aws_connectcases.create_related_item/4","type":"function"},{"doc":"","ref":"aws_connectcases.html#create_related_item/5","title":"aws_connectcases.create_related_item/5","type":"function"},{"doc":"Creates a template in the Cases domain. This template is used to define the case object model (that is, to define what data can be captured on cases) in a Cases domain. A template must have a unique name within a domain, and it must reference existing field IDs and layout IDs. Additionally, multiple fields with same IDs are not allowed within the same Template. A template can be either Active or Inactive, as indicated by its status. Inactive templates cannot be used to create cases.","ref":"aws_connectcases.html#create_template/3","title":"aws_connectcases.create_template/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#create_template/4","title":"aws_connectcases.create_template/4","type":"function"},{"doc":"Returns information about a specific case if it exists.","ref":"aws_connectcases.html#get_case/4","title":"aws_connectcases.get_case/4","type":"function"},{"doc":"","ref":"aws_connectcases.html#get_case/5","title":"aws_connectcases.get_case/5","type":"function"},{"doc":"Returns the case event publishing configuration.","ref":"aws_connectcases.html#get_case_event_configuration/3","title":"aws_connectcases.get_case_event_configuration/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#get_case_event_configuration/4","title":"aws_connectcases.get_case_event_configuration/4","type":"function"},{"doc":"Returns information about a specific domain if it exists.","ref":"aws_connectcases.html#get_domain/3","title":"aws_connectcases.get_domain/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#get_domain/4","title":"aws_connectcases.get_domain/4","type":"function"},{"doc":"Returns the details for the requested layout.","ref":"aws_connectcases.html#get_layout/4","title":"aws_connectcases.get_layout/4","type":"function"},{"doc":"","ref":"aws_connectcases.html#get_layout/5","title":"aws_connectcases.get_layout/5","type":"function"},{"doc":"Returns the details for the requested template.","ref":"aws_connectcases.html#get_template/4","title":"aws_connectcases.get_template/4","type":"function"},{"doc":"","ref":"aws_connectcases.html#get_template/5","title":"aws_connectcases.get_template/5","type":"function"},{"doc":"Lists cases for a given contact.","ref":"aws_connectcases.html#list_cases_for_contact/3","title":"aws_connectcases.list_cases_for_contact/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#list_cases_for_contact/4","title":"aws_connectcases.list_cases_for_contact/4","type":"function"},{"doc":"Lists all cases domains in the Amazon Web Services account. Each list item is a condensed summary object of the domain.","ref":"aws_connectcases.html#list_domains/2","title":"aws_connectcases.list_domains/2","type":"function"},{"doc":"","ref":"aws_connectcases.html#list_domains/3","title":"aws_connectcases.list_domains/3","type":"function"},{"doc":"Lists all of the field options for a field identifier in the domain.","ref":"aws_connectcases.html#list_field_options/4","title":"aws_connectcases.list_field_options/4","type":"function"},{"doc":"","ref":"aws_connectcases.html#list_field_options/5","title":"aws_connectcases.list_field_options/5","type":"function"},{"doc":"Lists all fields in a Cases domain.","ref":"aws_connectcases.html#list_fields/3","title":"aws_connectcases.list_fields/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#list_fields/4","title":"aws_connectcases.list_fields/4","type":"function"},{"doc":"Lists all layouts in the given cases domain. Each list item is a condensed summary object of the layout.","ref":"aws_connectcases.html#list_layouts/3","title":"aws_connectcases.list_layouts/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#list_layouts/4","title":"aws_connectcases.list_layouts/4","type":"function"},{"doc":"Lists tags for a resource.","ref":"aws_connectcases.html#list_tags_for_resource/2","title":"aws_connectcases.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_connectcases.html#list_tags_for_resource/4","title":"aws_connectcases.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_connectcases.html#list_tags_for_resource/5","title":"aws_connectcases.list_tags_for_resource/5","type":"function"},{"doc":"Lists all of the templates in a Cases domain. Each list item is a condensed summary object of the template.","ref":"aws_connectcases.html#list_templates/3","title":"aws_connectcases.list_templates/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#list_templates/4","title":"aws_connectcases.list_templates/4","type":"function"},{"doc":"API for adding case event publishing configuration","ref":"aws_connectcases.html#put_case_event_configuration/3","title":"aws_connectcases.put_case_event_configuration/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#put_case_event_configuration/4","title":"aws_connectcases.put_case_event_configuration/4","type":"function"},{"doc":"Searches for cases within their associated Cases domain. Search results are returned as a paginated list of abridged case documents.","ref":"aws_connectcases.html#search_cases/3","title":"aws_connectcases.search_cases/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#search_cases/4","title":"aws_connectcases.search_cases/4","type":"function"},{"doc":"Searches for related items that are associated with a case. If no filters are provided, this returns all related items associated with a case.","ref":"aws_connectcases.html#search_related_items/4","title":"aws_connectcases.search_related_items/4","type":"function"},{"doc":"","ref":"aws_connectcases.html#search_related_items/5","title":"aws_connectcases.search_related_items/5","type":"function"},{"doc":"Adds tags to a resource.","ref":"aws_connectcases.html#tag_resource/3","title":"aws_connectcases.tag_resource/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#tag_resource/4","title":"aws_connectcases.tag_resource/4","type":"function"},{"doc":"Untags a resource.","ref":"aws_connectcases.html#untag_resource/3","title":"aws_connectcases.untag_resource/3","type":"function"},{"doc":"","ref":"aws_connectcases.html#untag_resource/4","title":"aws_connectcases.untag_resource/4","type":"function"},{"doc":"Updates the values of fields on a case. Fields to be updated are received as an array of id/value pairs identical to the CreateCase input . If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.","ref":"aws_connectcases.html#update_case/4","title":"aws_connectcases.update_case/4","type":"function"},{"doc":"","ref":"aws_connectcases.html#update_case/5","title":"aws_connectcases.update_case/5","type":"function"},{"doc":"Updates the properties of an existing field.","ref":"aws_connectcases.html#update_field/4","title":"aws_connectcases.update_field/4","type":"function"},{"doc":"","ref":"aws_connectcases.html#update_field/5","title":"aws_connectcases.update_field/5","type":"function"},{"doc":"Updates the attributes of an existing layout. If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body. A ValidationException is returned when you add non-existent fieldIds to a layout. Title and Status fields cannot be part of layouts because they are not configurable.","ref":"aws_connectcases.html#update_layout/4","title":"aws_connectcases.update_layout/4","type":"function"},{"doc":"","ref":"aws_connectcases.html#update_layout/5","title":"aws_connectcases.update_layout/5","type":"function"},{"doc":"Updates the attributes of an existing template. The template attributes that can be modified include name , description , layoutConfiguration , requiredFields , and status . At least one of these attributes must not be null. If a null value is provided for a given attribute, that attribute is ignored and its current value is preserved.","ref":"aws_connectcases.html#update_template/4","title":"aws_connectcases.update_template/4","type":"function"},{"doc":"","ref":"aws_connectcases.html#update_template/5","title":"aws_connectcases.update_template/5","type":"function"},{"doc":"Amazon Connect is a cloud-based contact center solution that makes it easy to set up and manage a customer contact center. Amazon Connect enables customer contacts through voice or chat. Use the Amazon Connect Participant Service to manage chat participants, such as agents and customers.","ref":"aws_connectparticipant.html","title":"aws_connectparticipant","type":"module"},{"doc":"Allows you to confirm that the attachment has been uploaded using the pre-signed URL provided in StartAttachmentUpload API. ConnectionToken is used for invoking this API instead of ParticipantToken . The Amazon Connect Participant Service APIs do not use Signature Version 4 authentication.","ref":"aws_connectparticipant.html#complete_attachment_upload/2","title":"aws_connectparticipant.complete_attachment_upload/2","type":"function"},{"doc":"","ref":"aws_connectparticipant.html#complete_attachment_upload/3","title":"aws_connectparticipant.complete_attachment_upload/3","type":"function"},{"doc":"Creates the participant's connection. ParticipantToken is used for invoking this API instead of ConnectionToken . The participant token is valid for the lifetime of the participant – until they are part of a contact. The response URL for WEBSOCKET Type has a connect expiry timeout of 100s. Clients must manually connect to the returned websocket URL and subscribe to the desired topic. For chat, you need to publish the following on the established websocket connection: {&amp;quot;topic&amp;quot;:&amp;quot;aws/subscribe&amp;quot;,&amp;quot;content&amp;quot;:{&amp;quot;topics&amp;quot;:[&amp;quot;aws/chat&amp;quot;]}} Upon websocket URL expiry, as specified in the response ConnectionExpiry parameter, clients need to call this API again to obtain a new websocket URL and perform the same steps as before. Message streaming support: This API can also be used together with the StartContactStreaming API to create a participant connection for chat contacts that are not using a websocket. For more information about message streaming, Enable real-time chat message streaming in the Amazon Connect Administrator Guide. Feature specifications: For information about feature specifications, such as the allowed number of open websocket connections per participant, see Feature specifications in the Amazon Connect Administrator Guide. The Amazon Connect Participant Service APIs do not use Signature Version 4 authentication.","ref":"aws_connectparticipant.html#create_participant_connection/2","title":"aws_connectparticipant.create_participant_connection/2","type":"function"},{"doc":"","ref":"aws_connectparticipant.html#create_participant_connection/3","title":"aws_connectparticipant.create_participant_connection/3","type":"function"},{"doc":"Disconnects a participant. ConnectionToken is used for invoking this API instead of ParticipantToken . The Amazon Connect Participant Service APIs do not use Signature Version 4 authentication.","ref":"aws_connectparticipant.html#disconnect_participant/2","title":"aws_connectparticipant.disconnect_participant/2","type":"function"},{"doc":"","ref":"aws_connectparticipant.html#disconnect_participant/3","title":"aws_connectparticipant.disconnect_participant/3","type":"function"},{"doc":"Provides a pre-signed URL for download of a completed attachment. This is an asynchronous API for use with active contacts. ConnectionToken is used for invoking this API instead of ParticipantToken . The Amazon Connect Participant Service APIs do not use Signature Version 4 authentication.","ref":"aws_connectparticipant.html#get_attachment/2","title":"aws_connectparticipant.get_attachment/2","type":"function"},{"doc":"","ref":"aws_connectparticipant.html#get_attachment/3","title":"aws_connectparticipant.get_attachment/3","type":"function"},{"doc":"Retrieves a transcript of the session, including details about any attachments. For information about accessing past chat contact transcripts for a persistent chat, see Enable persistent chat. ConnectionToken is used for invoking this API instead of ParticipantToken . The Amazon Connect Participant Service APIs do not use Signature Version 4 authentication.","ref":"aws_connectparticipant.html#get_transcript/2","title":"aws_connectparticipant.get_transcript/2","type":"function"},{"doc":"","ref":"aws_connectparticipant.html#get_transcript/3","title":"aws_connectparticipant.get_transcript/3","type":"function"},{"doc":"Sends an event. ConnectionToken is used for invoking this API instead of ParticipantToken . The Amazon Connect Participant Service APIs do not use Signature Version 4 authentication.","ref":"aws_connectparticipant.html#send_event/2","title":"aws_connectparticipant.send_event/2","type":"function"},{"doc":"","ref":"aws_connectparticipant.html#send_event/3","title":"aws_connectparticipant.send_event/3","type":"function"},{"doc":"Sends a message. ConnectionToken is used for invoking this API instead of ParticipantToken . The Amazon Connect Participant Service APIs do not use Signature Version 4 authentication.","ref":"aws_connectparticipant.html#send_message/2","title":"aws_connectparticipant.send_message/2","type":"function"},{"doc":"","ref":"aws_connectparticipant.html#send_message/3","title":"aws_connectparticipant.send_message/3","type":"function"},{"doc":"Provides a pre-signed Amazon S3 URL in response for uploading the file directly to S3. ConnectionToken is used for invoking this API instead of ParticipantToken . The Amazon Connect Participant Service APIs do not use Signature Version 4 authentication.","ref":"aws_connectparticipant.html#start_attachment_upload/2","title":"aws_connectparticipant.start_attachment_upload/2","type":"function"},{"doc":"","ref":"aws_connectparticipant.html#start_attachment_upload/3","title":"aws_connectparticipant.start_attachment_upload/3","type":"function"},{"doc":"These interfaces allow you to apply the AWS library of pre-defined controls to your organizational units, programmatically. In this context, controls are the same as AWS Control Tower guardrails. To call these APIs, you'll need to know: the ControlARN for the control--that is, the guardrail--you are targeting, and the ARN associated with the target organizational unit (OU). To get the ControlARN for your AWS Control Tower guardrail: The ControlARN contains the control name which is specified in each guardrail. For a list of control names for Strongly recommended and Elective guardrails, see Resource identifiers for APIs and guardrails in the Automating tasks section of the AWS Control Tower User Guide. Remember that Mandatory guardrails cannot be added or removed. ARN format: arn:aws:controltower:{REGION}::control/{CONTROL_NAME} Example: arn:aws:controltower:us-west-2::control/AWS-GR_AUTOSCALING_LAUNCH_CONFIG_PUBLIC_IP_DISABLED To get the ARN for an OU: In the AWS Organizations console, you can find the ARN for the OU on the Organizational unit details page associated with that OU. OU ARN format: arn:${Partition}:organizations::${MasterAccountId}:ou/o-${OrganizationId}/ou-${OrganizationalUnitId} Details and examples List of resource identifiers for APIs and guardrails Guardrail API examples (CLI) Enable controls with AWS CloudFormation Creating AWS Control Tower resources with AWS CloudFormation To view the open source resource repository on GitHub, see aws-cloudformation/aws-cloudformation-resource-providers-controltower Recording API Requests AWS Control Tower supports AWS CloudTrail, a service that records AWS API calls for your AWS account and delivers log files to an Amazon S3 bucket. By using information collected by CloudTrail, you can determine which requests the AWS Control Tower service received, who made the request and when, and so on. For more about AWS Control Tower and its support for CloudTrail, see Logging AWS Control Tower Actions with AWS CloudTrail in the AWS Control Tower User Guide. To learn more about CloudTrail, including how to turn it on and find your log files, see the AWS CloudTrail User Guide.","ref":"aws_controltower.html","title":"aws_controltower","type":"module"},{"doc":"This API call turns off a control. It starts an asynchronous operation that deletes AWS resources on the specified organizational unit and the accounts it contains. The resources will vary according to the control that you specify.","ref":"aws_controltower.html#disable_control/2","title":"aws_controltower.disable_control/2","type":"function"},{"doc":"","ref":"aws_controltower.html#disable_control/3","title":"aws_controltower.disable_control/3","type":"function"},{"doc":"This API call activates a control. It starts an asynchronous operation that creates AWS resources on the specified organizational unit and the accounts it contains. The resources created will vary according to the control that you specify.","ref":"aws_controltower.html#enable_control/2","title":"aws_controltower.enable_control/2","type":"function"},{"doc":"","ref":"aws_controltower.html#enable_control/3","title":"aws_controltower.enable_control/3","type":"function"},{"doc":"Returns the status of a particular EnableControl or DisableControl operation. Displays a message in case of error. Details for an operation are available for 90 days.","ref":"aws_controltower.html#get_control_operation/2","title":"aws_controltower.get_control_operation/2","type":"function"},{"doc":"","ref":"aws_controltower.html#get_control_operation/3","title":"aws_controltower.get_control_operation/3","type":"function"},{"doc":"Lists the controls enabled by AWS Control Tower on the specified organizational unit and the accounts it contains.","ref":"aws_controltower.html#list_enabled_controls/2","title":"aws_controltower.list_enabled_controls/2","type":"function"},{"doc":"","ref":"aws_controltower.html#list_enabled_controls/3","title":"aws_controltower.list_enabled_controls/3","type":"function"},{"doc":"The AWS Cost and Usage Report API enables you to programmatically create, query, and delete AWS Cost and Usage report definitions. AWS Cost and Usage reports track the monthly AWS costs and usage associated with your AWS account. The report contains line items for each unique combination of AWS product, usage type, and operation that your AWS account uses. You can configure the AWS Cost and Usage report to show only the data that you want, using the AWS Cost and Usage API. Service Endpoint The AWS Cost and Usage Report API provides the following endpoint: cur.us-east-1.amazonaws.com","ref":"aws_cost_and_usage_report.html","title":"aws_cost_and_usage_report","type":"module"},{"doc":"Deletes the specified report.","ref":"aws_cost_and_usage_report.html#delete_report_definition/2","title":"aws_cost_and_usage_report.delete_report_definition/2","type":"function"},{"doc":"","ref":"aws_cost_and_usage_report.html#delete_report_definition/3","title":"aws_cost_and_usage_report.delete_report_definition/3","type":"function"},{"doc":"Lists the AWS Cost and Usage reports available to this account.","ref":"aws_cost_and_usage_report.html#describe_report_definitions/2","title":"aws_cost_and_usage_report.describe_report_definitions/2","type":"function"},{"doc":"","ref":"aws_cost_and_usage_report.html#describe_report_definitions/3","title":"aws_cost_and_usage_report.describe_report_definitions/3","type":"function"},{"doc":"Allows you to programatically update your report preferences.","ref":"aws_cost_and_usage_report.html#modify_report_definition/2","title":"aws_cost_and_usage_report.modify_report_definition/2","type":"function"},{"doc":"","ref":"aws_cost_and_usage_report.html#modify_report_definition/3","title":"aws_cost_and_usage_report.modify_report_definition/3","type":"function"},{"doc":"Creates a new report using the description that you provide.","ref":"aws_cost_and_usage_report.html#put_report_definition/2","title":"aws_cost_and_usage_report.put_report_definition/2","type":"function"},{"doc":"","ref":"aws_cost_and_usage_report.html#put_report_definition/3","title":"aws_cost_and_usage_report.put_report_definition/3","type":"function"},{"doc":"You can use the Cost Explorer API to programmatically query your cost and usage data. You can query for aggregated data such as total monthly costs or total daily usage. You can also query for granular data. This might include the number of daily write operations for Amazon DynamoDB database tables in your production environment. Service Endpoint The Cost Explorer API provides the following endpoint: https://ce.us-east-1.amazonaws.com For information about the costs that are associated with the Cost Explorer API, see Amazon Web Services Cost Management Pricing.","ref":"aws_cost_explorer.html","title":"aws_cost_explorer","type":"module"},{"doc":"Creates a new cost anomaly detection monitor with the requested type and monitor specification.","ref":"aws_cost_explorer.html#create_anomaly_monitor/2","title":"aws_cost_explorer.create_anomaly_monitor/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#create_anomaly_monitor/3","title":"aws_cost_explorer.create_anomaly_monitor/3","type":"function"},{"doc":"Adds an alert subscription to a cost anomaly detection monitor. You can use each subscription to define subscribers with email or SNS notifications. Email subscribers can set an absolute or percentage threshold and a time frequency for receiving notifications.","ref":"aws_cost_explorer.html#create_anomaly_subscription/2","title":"aws_cost_explorer.create_anomaly_subscription/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#create_anomaly_subscription/3","title":"aws_cost_explorer.create_anomaly_subscription/3","type":"function"},{"doc":"Creates a new Cost Category with the requested name and rules.","ref":"aws_cost_explorer.html#create_cost_category_definition/2","title":"aws_cost_explorer.create_cost_category_definition/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#create_cost_category_definition/3","title":"aws_cost_explorer.create_cost_category_definition/3","type":"function"},{"doc":"Deletes a cost anomaly monitor.","ref":"aws_cost_explorer.html#delete_anomaly_monitor/2","title":"aws_cost_explorer.delete_anomaly_monitor/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#delete_anomaly_monitor/3","title":"aws_cost_explorer.delete_anomaly_monitor/3","type":"function"},{"doc":"Deletes a cost anomaly subscription.","ref":"aws_cost_explorer.html#delete_anomaly_subscription/2","title":"aws_cost_explorer.delete_anomaly_subscription/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#delete_anomaly_subscription/3","title":"aws_cost_explorer.delete_anomaly_subscription/3","type":"function"},{"doc":"Deletes a Cost Category. Expenses from this month going forward will no longer be categorized with this Cost Category.","ref":"aws_cost_explorer.html#delete_cost_category_definition/2","title":"aws_cost_explorer.delete_cost_category_definition/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#delete_cost_category_definition/3","title":"aws_cost_explorer.delete_cost_category_definition/3","type":"function"},{"doc":"Returns the name, Amazon Resource Name (ARN), rules, definition, and effective dates of a Cost Category that's defined in the account. You have the option to use EffectiveOn to return a Cost Category that's active on a specific date. If there's no EffectiveOn specified, you see a Cost Category that's effective on the current date. If Cost Category is still effective, EffectiveEnd is omitted in the response.","ref":"aws_cost_explorer.html#describe_cost_category_definition/2","title":"aws_cost_explorer.describe_cost_category_definition/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#describe_cost_category_definition/3","title":"aws_cost_explorer.describe_cost_category_definition/3","type":"function"},{"doc":"Retrieves all of the cost anomalies detected on your account during the time period that's specified by the DateInterval object. Anomalies are available for up to 90 days.","ref":"aws_cost_explorer.html#get_anomalies/2","title":"aws_cost_explorer.get_anomalies/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_anomalies/3","title":"aws_cost_explorer.get_anomalies/3","type":"function"},{"doc":"Retrieves the cost anomaly monitor definitions for your account. You can filter using a list of cost anomaly monitor Amazon Resource Names (ARNs).","ref":"aws_cost_explorer.html#get_anomaly_monitors/2","title":"aws_cost_explorer.get_anomaly_monitors/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_anomaly_monitors/3","title":"aws_cost_explorer.get_anomaly_monitors/3","type":"function"},{"doc":"Retrieves the cost anomaly subscription objects for your account. You can filter using a list of cost anomaly monitor Amazon Resource Names (ARNs).","ref":"aws_cost_explorer.html#get_anomaly_subscriptions/2","title":"aws_cost_explorer.get_anomaly_subscriptions/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_anomaly_subscriptions/3","title":"aws_cost_explorer.get_anomaly_subscriptions/3","type":"function"},{"doc":"Retrieves cost and usage metrics for your account. You can specify which cost and usage-related metric that you want the request to return. For example, you can specify BlendedCosts or UsageQuantity . You can also filter and group your data by various dimensions, such as SERVICE or AZ , in a specific time range. For a complete list of valid dimensions, see the GetDimensionValues operation. Management account in an organization in Organizations have access to all member accounts. For information about filter limitations, see Quotas and restrictions in the Billing and Cost Management User Guide.","ref":"aws_cost_explorer.html#get_cost_and_usage/2","title":"aws_cost_explorer.get_cost_and_usage/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_cost_and_usage/3","title":"aws_cost_explorer.get_cost_and_usage/3","type":"function"},{"doc":"Retrieves cost and usage metrics with resources for your account. You can specify which cost and usage-related metric, such as BlendedCosts or UsageQuantity , that you want the request to return. You can also filter and group your data by various dimensions, such as SERVICE or AZ , in a specific time range. For a complete list of valid dimensions, see the GetDimensionValues operation. Management account in an organization in Organizations have access to all member accounts. This API is currently available for the Amazon Elastic Compute Cloud – Compute service only. This is an opt-in only feature. You can enable this feature from the Cost Explorer Settings page. For information about how to access the Settings page, see Controlling Access for Cost Explorer in the Billing and Cost Management User Guide.","ref":"aws_cost_explorer.html#get_cost_and_usage_with_resources/2","title":"aws_cost_explorer.get_cost_and_usage_with_resources/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_cost_and_usage_with_resources/3","title":"aws_cost_explorer.get_cost_and_usage_with_resources/3","type":"function"},{"doc":"Retrieves an array of Cost Category names and values incurred cost. If some Cost Category names and values are not associated with any cost, they will not be returned by this API.","ref":"aws_cost_explorer.html#get_cost_categories/2","title":"aws_cost_explorer.get_cost_categories/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_cost_categories/3","title":"aws_cost_explorer.get_cost_categories/3","type":"function"},{"doc":"Retrieves a forecast for how much Amazon Web Services predicts that you will spend over the forecast time period that you select, based on your past costs.","ref":"aws_cost_explorer.html#get_cost_forecast/2","title":"aws_cost_explorer.get_cost_forecast/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_cost_forecast/3","title":"aws_cost_explorer.get_cost_forecast/3","type":"function"},{"doc":"Retrieves all available filter values for a specified filter over a period of time. You can search the dimension values for an arbitrary string.","ref":"aws_cost_explorer.html#get_dimension_values/2","title":"aws_cost_explorer.get_dimension_values/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_dimension_values/3","title":"aws_cost_explorer.get_dimension_values/3","type":"function"},{"doc":"Retrieves the reservation coverage for your account, which you can use to see how much of your Amazon Elastic Compute Cloud, Amazon ElastiCache, Amazon Relational Database Service, or Amazon Redshift usage is covered by a reservation. An organization's management account can see the coverage of the associated member accounts. This supports dimensions, Cost Categories, and nested expressions. For any time period, you can filter data about reservation usage by the following dimensions: AZ CACHE_ENGINE DATABASE_ENGINE DEPLOYMENT_OPTION INSTANCE_TYPE LINKED_ACCOUNT OPERATING_SYSTEM PLATFORM REGION SERVICE TAG TENANCY To determine valid values for a dimension, use the GetDimensionValues operation.","ref":"aws_cost_explorer.html#get_reservation_coverage/2","title":"aws_cost_explorer.get_reservation_coverage/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_reservation_coverage/3","title":"aws_cost_explorer.get_reservation_coverage/3","type":"function"},{"doc":"Gets recommendations for reservation purchases. These recommendations might help you to reduce your costs. Reservations provide a discounted hourly rate (up to 75%) compared to On-Demand pricing. Amazon Web Services generates your recommendations by identifying your On-Demand usage during a specific time period and collecting your usage into categories that are eligible for a reservation. After Amazon Web Services has these categories, it simulates every combination of reservations in each category of usage to identify the best number of each type of Reserved Instance (RI) to purchase to maximize your estimated savings. For example, Amazon Web Services automatically aggregates your Amazon EC2 Linux, shared tenancy, and c4 family usage in the US West (Oregon) Region and recommends that you buy size-flexible regional reservations to apply to the c4 family usage. Amazon Web Services recommends the smallest size instance in an instance family. This makes it easier to purchase a size-flexible Reserved Instance (RI). Amazon Web Services also shows the equal number of normalized units. This way, you can purchase any instance size that you want. For this example, your RI recommendation is for c4.large because that is the smallest size instance in the c4 instance family.","ref":"aws_cost_explorer.html#get_reservation_purchase_recommendation/2","title":"aws_cost_explorer.get_reservation_purchase_recommendation/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_reservation_purchase_recommendation/3","title":"aws_cost_explorer.get_reservation_purchase_recommendation/3","type":"function"},{"doc":"Retrieves the reservation utilization for your account. Management account in an organization have access to member accounts. You can filter data by dimensions in a time period. You can use GetDimensionValues to determine the possible dimension values. Currently, you can group only by SUBSCRIPTION_ID .","ref":"aws_cost_explorer.html#get_reservation_utilization/2","title":"aws_cost_explorer.get_reservation_utilization/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_reservation_utilization/3","title":"aws_cost_explorer.get_reservation_utilization/3","type":"function"},{"doc":"Creates recommendations that help you save cost by identifying idle and underutilized Amazon EC2 instances. Recommendations are generated to either downsize or terminate instances, along with providing savings detail and metrics. For more information about calculation and function, see Optimizing Your Cost with Rightsizing Recommendations in the Billing and Cost Management User Guide.","ref":"aws_cost_explorer.html#get_rightsizing_recommendation/2","title":"aws_cost_explorer.get_rightsizing_recommendation/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_rightsizing_recommendation/3","title":"aws_cost_explorer.get_rightsizing_recommendation/3","type":"function"},{"doc":"Retrieves the Savings Plans covered for your account. This enables you to see how much of your cost is covered by a Savings Plan. An organization’s management account can see the coverage of the associated member accounts. This supports dimensions, Cost Categories, and nested expressions. For any time period, you can filter data for Savings Plans usage with the following dimensions: LINKED_ACCOUNT REGION SERVICE INSTANCE_FAMILY To determine valid values for a dimension, use the GetDimensionValues operation.","ref":"aws_cost_explorer.html#get_savings_plans_coverage/2","title":"aws_cost_explorer.get_savings_plans_coverage/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_savings_plans_coverage/3","title":"aws_cost_explorer.get_savings_plans_coverage/3","type":"function"},{"doc":"Retrieves the Savings Plans recommendations for your account. First use StartSavingsPlansPurchaseRecommendationGeneration to generate a new set of recommendations, and then use GetSavingsPlansPurchaseRecommendation to retrieve them.","ref":"aws_cost_explorer.html#get_savings_plans_purchase_recommendation/2","title":"aws_cost_explorer.get_savings_plans_purchase_recommendation/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_savings_plans_purchase_recommendation/3","title":"aws_cost_explorer.get_savings_plans_purchase_recommendation/3","type":"function"},{"doc":"Retrieves the Savings Plans utilization for your account across date ranges with daily or monthly granularity. Management account in an organization have access to member accounts. You can use GetDimensionValues in SAVINGS_PLANS to determine the possible dimension values. You can't group by any dimension values for GetSavingsPlansUtilization .","ref":"aws_cost_explorer.html#get_savings_plans_utilization/2","title":"aws_cost_explorer.get_savings_plans_utilization/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_savings_plans_utilization/3","title":"aws_cost_explorer.get_savings_plans_utilization/3","type":"function"},{"doc":"Retrieves attribute data along with aggregate utilization and savings data for a given time period. This doesn't support granular or grouped data (daily/monthly) in response. You can't retrieve data by dates in a single response similar to GetSavingsPlanUtilization , but you have the option to make multiple calls to GetSavingsPlanUtilizationDetails by providing individual dates. You can use GetDimensionValues in SAVINGS_PLANS to determine the possible dimension values. GetSavingsPlanUtilizationDetails internally groups data by SavingsPlansArn .","ref":"aws_cost_explorer.html#get_savings_plans_utilization_details/2","title":"aws_cost_explorer.get_savings_plans_utilization_details/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_savings_plans_utilization_details/3","title":"aws_cost_explorer.get_savings_plans_utilization_details/3","type":"function"},{"doc":"Queries for available tag keys and tag values for a specified period. You can search the tag values for an arbitrary string.","ref":"aws_cost_explorer.html#get_tags/2","title":"aws_cost_explorer.get_tags/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_tags/3","title":"aws_cost_explorer.get_tags/3","type":"function"},{"doc":"Retrieves a forecast for how much Amazon Web Services predicts that you will use over the forecast time period that you select, based on your past usage.","ref":"aws_cost_explorer.html#get_usage_forecast/2","title":"aws_cost_explorer.get_usage_forecast/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#get_usage_forecast/3","title":"aws_cost_explorer.get_usage_forecast/3","type":"function"},{"doc":"Get a list of cost allocation tags. All inputs in the API are optional and serve as filters. By default, all cost allocation tags are returned.","ref":"aws_cost_explorer.html#list_cost_allocation_tags/2","title":"aws_cost_explorer.list_cost_allocation_tags/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#list_cost_allocation_tags/3","title":"aws_cost_explorer.list_cost_allocation_tags/3","type":"function"},{"doc":"Returns the name, Amazon Resource Name (ARN), NumberOfRules and effective dates of all Cost Categories defined in the account. You have the option to use EffectiveOn to return a list of Cost Categories that were active on a specific date. If there is no EffectiveOn specified, you’ll see Cost Categories that are effective on the current date. If Cost Category is still effective, EffectiveEnd is omitted in the response. ListCostCategoryDefinitions supports pagination. The request can have a MaxResults range up to 100.","ref":"aws_cost_explorer.html#list_cost_category_definitions/2","title":"aws_cost_explorer.list_cost_category_definitions/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#list_cost_category_definitions/3","title":"aws_cost_explorer.list_cost_category_definitions/3","type":"function"},{"doc":"Retrieves a list of your historical recommendation generations within the past 30 days.","ref":"aws_cost_explorer.html#list_savings_plans_purchase_recommendation_generation/2","title":"aws_cost_explorer.list_savings_plans_purchase_recommendation_generation/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#list_savings_plans_purchase_recommendation_generation/3","title":"aws_cost_explorer.list_savings_plans_purchase_recommendation_generation/3","type":"function"},{"doc":"Returns a list of resource tags associated with the resource specified by the Amazon Resource Name (ARN).","ref":"aws_cost_explorer.html#list_tags_for_resource/2","title":"aws_cost_explorer.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#list_tags_for_resource/3","title":"aws_cost_explorer.list_tags_for_resource/3","type":"function"},{"doc":"Modifies the feedback property of a given cost anomaly.","ref":"aws_cost_explorer.html#provide_anomaly_feedback/2","title":"aws_cost_explorer.provide_anomaly_feedback/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#provide_anomaly_feedback/3","title":"aws_cost_explorer.provide_anomaly_feedback/3","type":"function"},{"doc":"Requests a Savings Plans recommendation generation. This enables you to calculate a fresh set of Savings Plans recommendations that takes your latest usage data and current Savings Plans inventory into account. You can refresh Savings Plans recommendations up to three times daily for a consolidated billing family. StartSavingsPlansPurchaseRecommendationGeneration has no request syntax because no input parameters are needed to support this operation.","ref":"aws_cost_explorer.html#start_savings_plans_purchase_recommendation_generation/2","title":"aws_cost_explorer.start_savings_plans_purchase_recommendation_generation/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#start_savings_plans_purchase_recommendation_generation/3","title":"aws_cost_explorer.start_savings_plans_purchase_recommendation_generation/3","type":"function"},{"doc":"An API operation for adding one or more tags (key-value pairs) to a resource. You can use the TagResource operation with a resource that already has tags. If you specify a new tag key for the resource, this tag is appended to the list of tags associated with the resource. If you specify a tag key that is already associated with the resource, the new tag value you specify replaces the previous value for that tag. Although the maximum number of array members is 200, user-tag maximum is 50. The remaining are reserved for Amazon Web Services use.","ref":"aws_cost_explorer.html#tag_resource/2","title":"aws_cost_explorer.tag_resource/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#tag_resource/3","title":"aws_cost_explorer.tag_resource/3","type":"function"},{"doc":"Removes one or more tags from a resource. Specify only tag keys in your request. Don't specify the value.","ref":"aws_cost_explorer.html#untag_resource/2","title":"aws_cost_explorer.untag_resource/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#untag_resource/3","title":"aws_cost_explorer.untag_resource/3","type":"function"},{"doc":"Updates an existing cost anomaly monitor. The changes made are applied going forward, and doesn't change anomalies detected in the past.","ref":"aws_cost_explorer.html#update_anomaly_monitor/2","title":"aws_cost_explorer.update_anomaly_monitor/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#update_anomaly_monitor/3","title":"aws_cost_explorer.update_anomaly_monitor/3","type":"function"},{"doc":"Updates an existing cost anomaly monitor subscription.","ref":"aws_cost_explorer.html#update_anomaly_subscription/2","title":"aws_cost_explorer.update_anomaly_subscription/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#update_anomaly_subscription/3","title":"aws_cost_explorer.update_anomaly_subscription/3","type":"function"},{"doc":"Updates status for cost allocation tags in bulk, with maximum batch size of 20. If the tag status that's updated is the same as the existing tag status, the request doesn't fail. Instead, it doesn't have any effect on the tag status (for example, activating the active tag).","ref":"aws_cost_explorer.html#update_cost_allocation_tags_status/2","title":"aws_cost_explorer.update_cost_allocation_tags_status/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#update_cost_allocation_tags_status/3","title":"aws_cost_explorer.update_cost_allocation_tags_status/3","type":"function"},{"doc":"Updates an existing Cost Category. Changes made to the Cost Category rules will be used to categorize the current month’s expenses and future expenses. This won’t change categorization for the previous months.","ref":"aws_cost_explorer.html#update_cost_category_definition/2","title":"aws_cost_explorer.update_cost_category_definition/2","type":"function"},{"doc":"","ref":"aws_cost_explorer.html#update_cost_category_definition/3","title":"aws_cost_explorer.update_cost_category_definition/3","type":"function"},{"doc":"Amazon Connect Customer Profiles Amazon Connect Customer Profiles is a unified customer profile for your contact center that has pre-built connectors powered by AppFlow that make it easy to combine customer information from third party applications, such as Salesforce (CRM), ServiceNow (ITSM), and your enterprise resource planning (ERP), with contact history from your Amazon Connect contact center. If you're new to Amazon Connect, you might find it helpful to review the Amazon Connect Administrator Guide.","ref":"aws_customer_profiles.html","title":"aws_customer_profiles","type":"module"},{"doc":"Associates a new key value with a specific profile, such as a Contact Record ContactId. A profile object can have a single unique key and any number of additional keys that can be used to identify the profile that it belongs to.","ref":"aws_customer_profiles.html#add_profile_key/3","title":"aws_customer_profiles.add_profile_key/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#add_profile_key/4","title":"aws_customer_profiles.add_profile_key/4","type":"function"},{"doc":"Creates a domain, which is a container for all customer data, such as customer profile attributes, object types, profile keys, and encryption keys. You can create multiple domains, and each domain can have multiple third-party integrations. Each Amazon Connect instance can be associated with only one domain. Multiple Amazon Connect instances can be associated with one domain. Use this API or UpdateDomain to enable identity resolution: set Matching to true. To prevent cross-service impersonation when you call this API, see Cross-service confused deputy prevention for sample policies that you should apply.","ref":"aws_customer_profiles.html#create_domain/3","title":"aws_customer_profiles.create_domain/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#create_domain/4","title":"aws_customer_profiles.create_domain/4","type":"function"},{"doc":"Creates an integration workflow. An integration workflow is an async process which ingests historic data and sets up an integration for ongoing updates. The supported Amazon AppFlow sources are Salesforce, ServiceNow, and Marketo.","ref":"aws_customer_profiles.html#create_integration_workflow/3","title":"aws_customer_profiles.create_integration_workflow/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#create_integration_workflow/4","title":"aws_customer_profiles.create_integration_workflow/4","type":"function"},{"doc":"Creates a standard profile. A standard profile represents the following attributes for a customer profile in a domain.","ref":"aws_customer_profiles.html#create_profile/3","title":"aws_customer_profiles.create_profile/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#create_profile/4","title":"aws_customer_profiles.create_profile/4","type":"function"},{"doc":"Deletes a specific domain and all of its customer data, such as customer profile attributes and their related objects.","ref":"aws_customer_profiles.html#delete_domain/3","title":"aws_customer_profiles.delete_domain/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#delete_domain/4","title":"aws_customer_profiles.delete_domain/4","type":"function"},{"doc":"Removes an integration from a specific domain.","ref":"aws_customer_profiles.html#delete_integration/3","title":"aws_customer_profiles.delete_integration/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#delete_integration/4","title":"aws_customer_profiles.delete_integration/4","type":"function"},{"doc":"Deletes the standard customer profile and all data pertaining to the profile.","ref":"aws_customer_profiles.html#delete_profile/3","title":"aws_customer_profiles.delete_profile/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#delete_profile/4","title":"aws_customer_profiles.delete_profile/4","type":"function"},{"doc":"Removes a searchable key from a customer profile.","ref":"aws_customer_profiles.html#delete_profile_key/3","title":"aws_customer_profiles.delete_profile_key/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#delete_profile_key/4","title":"aws_customer_profiles.delete_profile_key/4","type":"function"},{"doc":"Removes an object associated with a profile of a given ProfileObjectType.","ref":"aws_customer_profiles.html#delete_profile_object/3","title":"aws_customer_profiles.delete_profile_object/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#delete_profile_object/4","title":"aws_customer_profiles.delete_profile_object/4","type":"function"},{"doc":"Removes a ProfileObjectType from a specific domain as well as removes all the ProfileObjects of that type. It also disables integrations from this specific ProfileObjectType. In addition, it scrubs all of the fields of the standard profile that were populated from this ProfileObjectType.","ref":"aws_customer_profiles.html#delete_profile_object_type/4","title":"aws_customer_profiles.delete_profile_object_type/4","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#delete_profile_object_type/5","title":"aws_customer_profiles.delete_profile_object_type/5","type":"function"},{"doc":"Deletes the specified workflow and all its corresponding resources. This is an async process.","ref":"aws_customer_profiles.html#delete_workflow/4","title":"aws_customer_profiles.delete_workflow/4","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#delete_workflow/5","title":"aws_customer_profiles.delete_workflow/5","type":"function"},{"doc":"Tests the auto-merging settings of your Identity Resolution Job without merging your data. It randomly selects a sample of matching groups from the existing matching results, and applies the automerging settings that you provided. You can then view the number of profiles in the sample, the number of matches, and the number of profiles identified to be merged. This enables you to evaluate the accuracy of the attributes in your matching list. You can't view which profiles are matched and would be merged. We strongly recommend you use this API to do a dry run of the automerging process before running the Identity Resolution Job. Include at least two matching attributes. If your matching list includes too few attributes (such as only FirstName or only LastName ), there may be a large number of matches. This increases the chances of erroneous merges.","ref":"aws_customer_profiles.html#get_auto_merging_preview/3","title":"aws_customer_profiles.get_auto_merging_preview/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_auto_merging_preview/4","title":"aws_customer_profiles.get_auto_merging_preview/4","type":"function"},{"doc":"Returns information about a specific domain.","ref":"aws_customer_profiles.html#get_domain/2","title":"aws_customer_profiles.get_domain/2","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_domain/4","title":"aws_customer_profiles.get_domain/4","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_domain/5","title":"aws_customer_profiles.get_domain/5","type":"function"},{"doc":"Returns information about an Identity Resolution Job in a specific domain. Identity Resolution Jobs are set up using the Amazon Connect admin console. For more information, see Use Identity Resolution to consolidate similar profiles.","ref":"aws_customer_profiles.html#get_identity_resolution_job/3","title":"aws_customer_profiles.get_identity_resolution_job/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_identity_resolution_job/5","title":"aws_customer_profiles.get_identity_resolution_job/5","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_identity_resolution_job/6","title":"aws_customer_profiles.get_identity_resolution_job/6","type":"function"},{"doc":"Returns an integration for a domain.","ref":"aws_customer_profiles.html#get_integration/3","title":"aws_customer_profiles.get_integration/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_integration/4","title":"aws_customer_profiles.get_integration/4","type":"function"},{"doc":"Before calling this API, use CreateDomain or UpdateDomain to enable identity resolution: set Matching to true. GetMatches returns potentially matching profiles, based on the results of the latest run of a machine learning process. The process of matching duplicate profiles. If Matching = true , Amazon Connect Customer Profiles starts a weekly batch process called Identity Resolution Job. If you do not specify a date and time for Identity Resolution Job to run, by default it runs every Saturday at 12AM UTC to detect duplicate profiles in your domains. After the Identity Resolution Job completes, use the GetMatches API to return and review the results. Or, if you have configured ExportingConfig in the MatchingRequest , you can download the results from S3. Amazon Connect uses the following profile attributes to identify matches: PhoneNumber HomePhoneNumber BusinessPhoneNumber MobilePhoneNumber EmailAddress PersonalEmailAddress BusinessEmailAddress FullName For example, two or more profiles—with spelling mistakes such as John Doe and Jhn Doe, or different casing email addresses such as JOHN_DOE@ANYCOMPANY.COM and johndoe@anycompany.com, or different phone number formats such as 555-010-0000 and +1-555-010-0000—can be detected as belonging to the same customer John Doe and merged into a unified profile.","ref":"aws_customer_profiles.html#get_matches/2","title":"aws_customer_profiles.get_matches/2","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_matches/4","title":"aws_customer_profiles.get_matches/4","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_matches/5","title":"aws_customer_profiles.get_matches/5","type":"function"},{"doc":"Returns the object types for a specific domain.","ref":"aws_customer_profiles.html#get_profile_object_type/3","title":"aws_customer_profiles.get_profile_object_type/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_profile_object_type/5","title":"aws_customer_profiles.get_profile_object_type/5","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_profile_object_type/6","title":"aws_customer_profiles.get_profile_object_type/6","type":"function"},{"doc":"Returns the template information for a specific object type. A template is a predefined ProfileObjectType, such as “Salesforce-Account” or “Salesforce-Contact.” When a user sends a ProfileObject, using the PutProfileObject API, with an ObjectTypeName that matches one of the TemplateIds, it uses the mappings from the template.","ref":"aws_customer_profiles.html#get_profile_object_type_template/2","title":"aws_customer_profiles.get_profile_object_type_template/2","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_profile_object_type_template/4","title":"aws_customer_profiles.get_profile_object_type_template/4","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_profile_object_type_template/5","title":"aws_customer_profiles.get_profile_object_type_template/5","type":"function"},{"doc":"Get details of specified workflow.","ref":"aws_customer_profiles.html#get_workflow/3","title":"aws_customer_profiles.get_workflow/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_workflow/5","title":"aws_customer_profiles.get_workflow/5","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_workflow/6","title":"aws_customer_profiles.get_workflow/6","type":"function"},{"doc":"Get granular list of steps in workflow.","ref":"aws_customer_profiles.html#get_workflow_steps/3","title":"aws_customer_profiles.get_workflow_steps/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_workflow_steps/5","title":"aws_customer_profiles.get_workflow_steps/5","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#get_workflow_steps/6","title":"aws_customer_profiles.get_workflow_steps/6","type":"function"},{"doc":"Lists all of the integrations associated to a specific URI in the AWS account.","ref":"aws_customer_profiles.html#list_account_integrations/2","title":"aws_customer_profiles.list_account_integrations/2","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_account_integrations/3","title":"aws_customer_profiles.list_account_integrations/3","type":"function"},{"doc":"Returns a list of all the domains for an AWS account that have been created.","ref":"aws_customer_profiles.html#list_domains/1","title":"aws_customer_profiles.list_domains/1","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_domains/3","title":"aws_customer_profiles.list_domains/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_domains/4","title":"aws_customer_profiles.list_domains/4","type":"function"},{"doc":"Lists all of the Identity Resolution Jobs in your domain. The response sorts the list by JobStartTime .","ref":"aws_customer_profiles.html#list_identity_resolution_jobs/2","title":"aws_customer_profiles.list_identity_resolution_jobs/2","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_identity_resolution_jobs/4","title":"aws_customer_profiles.list_identity_resolution_jobs/4","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_identity_resolution_jobs/5","title":"aws_customer_profiles.list_identity_resolution_jobs/5","type":"function"},{"doc":"Lists all of the integrations in your domain.","ref":"aws_customer_profiles.html#list_integrations/2","title":"aws_customer_profiles.list_integrations/2","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_integrations/4","title":"aws_customer_profiles.list_integrations/4","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_integrations/5","title":"aws_customer_profiles.list_integrations/5","type":"function"},{"doc":"Lists all of the template information for object types.","ref":"aws_customer_profiles.html#list_profile_object_type_templates/1","title":"aws_customer_profiles.list_profile_object_type_templates/1","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_profile_object_type_templates/3","title":"aws_customer_profiles.list_profile_object_type_templates/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_profile_object_type_templates/4","title":"aws_customer_profiles.list_profile_object_type_templates/4","type":"function"},{"doc":"Lists all of the templates available within the service.","ref":"aws_customer_profiles.html#list_profile_object_types/2","title":"aws_customer_profiles.list_profile_object_types/2","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_profile_object_types/4","title":"aws_customer_profiles.list_profile_object_types/4","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_profile_object_types/5","title":"aws_customer_profiles.list_profile_object_types/5","type":"function"},{"doc":"Returns a list of objects associated with a profile of a given ProfileObjectType.","ref":"aws_customer_profiles.html#list_profile_objects/3","title":"aws_customer_profiles.list_profile_objects/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_profile_objects/4","title":"aws_customer_profiles.list_profile_objects/4","type":"function"},{"doc":"Displays the tags associated with an Amazon Connect Customer Profiles resource. In Connect Customer Profiles, domains, profile object types, and integrations can be tagged.","ref":"aws_customer_profiles.html#list_tags_for_resource/2","title":"aws_customer_profiles.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_tags_for_resource/4","title":"aws_customer_profiles.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_tags_for_resource/5","title":"aws_customer_profiles.list_tags_for_resource/5","type":"function"},{"doc":"Query to list all workflows.","ref":"aws_customer_profiles.html#list_workflows/3","title":"aws_customer_profiles.list_workflows/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#list_workflows/4","title":"aws_customer_profiles.list_workflows/4","type":"function"},{"doc":"Runs an AWS Lambda job that does the following: All the profileKeys in the ProfileToBeMerged will be moved to the main profile. All the objects in the ProfileToBeMerged will be moved to the main profile. All the ProfileToBeMerged will be deleted at the end. All the profileKeys in the ProfileIdsToBeMerged will be moved to the main profile. Standard fields are merged as follows: Fields are always &quot;union&quot;-ed if there are no conflicts in standard fields or attributeKeys. When there are conflicting fields: If no SourceProfileIds entry is specified, the main Profile value is always taken. If a SourceProfileIds entry is specified, the specified profileId is always taken, even if it is a NULL value. You can use MergeProfiles together with GetMatches, which returns potentially matching profiles, or use it with the results of another matching system. After profiles have been merged, they cannot be separated (unmerged).","ref":"aws_customer_profiles.html#merge_profiles/3","title":"aws_customer_profiles.merge_profiles/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#merge_profiles/4","title":"aws_customer_profiles.merge_profiles/4","type":"function"},{"doc":"Adds an integration between the service and a third-party service, which includes Amazon AppFlow and Amazon Connect. An integration can belong to only one domain. To add or remove tags on an existing Integration, see TagResource / UntagResource.","ref":"aws_customer_profiles.html#put_integration/3","title":"aws_customer_profiles.put_integration/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#put_integration/4","title":"aws_customer_profiles.put_integration/4","type":"function"},{"doc":"Adds additional objects to customer profiles of a given ObjectType. When adding a specific profile object, like a Contact Record, an inferred profile can get created if it is not mapped to an existing profile. The resulting profile will only have a phone number populated in the standard ProfileObject. Any additional Contact Records with the same phone number will be mapped to the same inferred profile. When a ProfileObject is created and if a ProfileObjectType already exists for the ProfileObject, it will provide data to a standard profile depending on the ProfileObjectType definition. PutProfileObject needs an ObjectType, which can be created using PutProfileObjectType.","ref":"aws_customer_profiles.html#put_profile_object/3","title":"aws_customer_profiles.put_profile_object/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#put_profile_object/4","title":"aws_customer_profiles.put_profile_object/4","type":"function"},{"doc":"Defines a ProfileObjectType. To add or remove tags on an existing ObjectType, see TagResource/UntagResource.","ref":"aws_customer_profiles.html#put_profile_object_type/4","title":"aws_customer_profiles.put_profile_object_type/4","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#put_profile_object_type/5","title":"aws_customer_profiles.put_profile_object_type/5","type":"function"},{"doc":"Searches for profiles within a specific domain using one or more predefined search keys (e.g., _fullName, _phone, _email, _account, etc.) and/or custom-defined search keys. A search key is a data type pair that consists of a KeyName and Values list. This operation supports searching for profiles with a minimum of 1 key-value(s) pair and up to 5 key-value(s) pairs using either AND or OR logic.","ref":"aws_customer_profiles.html#search_profiles/3","title":"aws_customer_profiles.search_profiles/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#search_profiles/4","title":"aws_customer_profiles.search_profiles/4","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified Amazon Connect Customer Profiles resource. Tags can help you organize and categorize your resources. You can also use them to scope user permissions by granting a user permission to access or change only resources with certain tag values. In Connect Customer Profiles, domains, profile object types, and integrations can be tagged. Tags don't have any semantic meaning to AWS and are interpreted strictly as strings of characters. You can use the TagResource action with a resource that already has tags. If you specify a new tag key, this tag is appended to the list of tags associated with the resource. If you specify a tag key that is already associated with the resource, the new tag value that you specify replaces the previous value for that tag. You can associate as many as 50 tags with a resource.","ref":"aws_customer_profiles.html#tag_resource/3","title":"aws_customer_profiles.tag_resource/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#tag_resource/4","title":"aws_customer_profiles.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from the specified Amazon Connect Customer Profiles resource. In Connect Customer Profiles, domains, profile object types, and integrations can be tagged.","ref":"aws_customer_profiles.html#untag_resource/3","title":"aws_customer_profiles.untag_resource/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#untag_resource/4","title":"aws_customer_profiles.untag_resource/4","type":"function"},{"doc":"Updates the properties of a domain, including creating or selecting a dead letter queue or an encryption key. After a domain is created, the name can’t be changed. Use this API or CreateDomain to enable identity resolution: set Matching to true. To prevent cross-service impersonation when you call this API, see Cross-service confused deputy prevention for sample policies that you should apply. To add or remove tags on an existing Domain, see TagResource/UntagResource.","ref":"aws_customer_profiles.html#update_domain/3","title":"aws_customer_profiles.update_domain/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#update_domain/4","title":"aws_customer_profiles.update_domain/4","type":"function"},{"doc":"Updates the properties of a profile. The ProfileId is required for updating a customer profile. When calling the UpdateProfile API, specifying an empty string value means that any existing value will be removed. Not specifying a string value means that any value already there will be kept.","ref":"aws_customer_profiles.html#update_profile/3","title":"aws_customer_profiles.update_profile/3","type":"function"},{"doc":"","ref":"aws_customer_profiles.html#update_profile/4","title":"aws_customer_profiles.update_profile/4","type":"function"},{"doc":"AWS Data Pipeline configures and manages a data-driven workflow called a pipeline. AWS Data Pipeline handles the details of scheduling and ensuring that data dependencies are met so that your application can focus on processing the data. AWS Data Pipeline provides a JAR implementation of a task runner called AWS Data Pipeline Task Runner. AWS Data Pipeline Task Runner provides logic for common data management scenarios, such as performing database queries and running data analysis using Amazon Elastic MapReduce (Amazon EMR). You can use AWS Data Pipeline Task Runner as your task runner, or you can write your own task runner to provide custom data management. AWS Data Pipeline implements two main sets of functionality. Use the first set to create a pipeline and define data sources, schedules, dependencies, and the transforms to be performed on the data. Use the second set in your task runner application to receive the next task ready for processing. The logic for performing the task, such as querying the data, running data analysis, or converting the data from one format to another, is contained within the task runner. The task runner performs the task assigned to it by the web service, reporting progress to the web service as it does so. When the task is done, the task runner reports the final success or failure of the task to the web service.","ref":"aws_data_pipeline.html","title":"aws_data_pipeline","type":"module"},{"doc":"Validates the specified pipeline and starts processing pipeline tasks. If the pipeline does not pass validation, activation fails. If you need to pause the pipeline to investigate an issue with a component, such as a data source or script, call DeactivatePipeline . To activate a finished pipeline, modify the end date for the pipeline and then activate it.","ref":"aws_data_pipeline.html#activate_pipeline/2","title":"aws_data_pipeline.activate_pipeline/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#activate_pipeline/3","title":"aws_data_pipeline.activate_pipeline/3","type":"function"},{"doc":"Adds or modifies tags for the specified pipeline.","ref":"aws_data_pipeline.html#add_tags/2","title":"aws_data_pipeline.add_tags/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#add_tags/3","title":"aws_data_pipeline.add_tags/3","type":"function"},{"doc":"Creates a new, empty pipeline. Use PutPipelineDefinition to populate the pipeline.","ref":"aws_data_pipeline.html#create_pipeline/2","title":"aws_data_pipeline.create_pipeline/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#create_pipeline/3","title":"aws_data_pipeline.create_pipeline/3","type":"function"},{"doc":"Deactivates the specified running pipeline. The pipeline is set to the DEACTIVATING state until the deactivation process completes. To resume a deactivated pipeline, use ActivatePipeline . By default, the pipeline resumes from the last completed execution. Optionally, you can specify the date and time to resume the pipeline.","ref":"aws_data_pipeline.html#deactivate_pipeline/2","title":"aws_data_pipeline.deactivate_pipeline/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#deactivate_pipeline/3","title":"aws_data_pipeline.deactivate_pipeline/3","type":"function"},{"doc":"Deletes a pipeline, its pipeline definition, and its run history. AWS Data Pipeline attempts to cancel instances associated with the pipeline that are currently being processed by task runners. Deleting a pipeline cannot be undone. You cannot query or restore a deleted pipeline. To temporarily pause a pipeline instead of deleting it, call SetStatus with the status set to PAUSE on individual components. Components that are paused by SetStatus can be resumed.","ref":"aws_data_pipeline.html#delete_pipeline/2","title":"aws_data_pipeline.delete_pipeline/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#delete_pipeline/3","title":"aws_data_pipeline.delete_pipeline/3","type":"function"},{"doc":"Gets the object definitions for a set of objects associated with the pipeline. Object definitions are composed of a set of fields that define the properties of the object.","ref":"aws_data_pipeline.html#describe_objects/2","title":"aws_data_pipeline.describe_objects/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#describe_objects/3","title":"aws_data_pipeline.describe_objects/3","type":"function"},{"doc":"Retrieves metadata about one or more pipelines. The information retrieved includes the name of the pipeline, the pipeline identifier, its current state, and the user account that owns the pipeline. Using account credentials, you can retrieve metadata about pipelines that you or your IAM users have created. If you are using an IAM user account, you can retrieve metadata about only those pipelines for which you have read permissions. To retrieve the full pipeline definition instead of metadata about the pipeline, call GetPipelineDefinition .","ref":"aws_data_pipeline.html#describe_pipelines/2","title":"aws_data_pipeline.describe_pipelines/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#describe_pipelines/3","title":"aws_data_pipeline.describe_pipelines/3","type":"function"},{"doc":"Task runners call EvaluateExpression to evaluate a string in the context of the specified object. For example, a task runner can evaluate SQL queries stored in Amazon S3.","ref":"aws_data_pipeline.html#evaluate_expression/2","title":"aws_data_pipeline.evaluate_expression/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#evaluate_expression/3","title":"aws_data_pipeline.evaluate_expression/3","type":"function"},{"doc":"Gets the definition of the specified pipeline. You can call GetPipelineDefinition to retrieve the pipeline definition that you provided using PutPipelineDefinition .","ref":"aws_data_pipeline.html#get_pipeline_definition/2","title":"aws_data_pipeline.get_pipeline_definition/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#get_pipeline_definition/3","title":"aws_data_pipeline.get_pipeline_definition/3","type":"function"},{"doc":"Lists the pipeline identifiers for all active pipelines that you have permission to access.","ref":"aws_data_pipeline.html#list_pipelines/2","title":"aws_data_pipeline.list_pipelines/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#list_pipelines/3","title":"aws_data_pipeline.list_pipelines/3","type":"function"},{"doc":"Task runners call PollForTask to receive a task to perform from AWS Data Pipeline. The task runner specifies which tasks it can perform by setting a value for the workerGroup parameter. The task returned can come from any of the pipelines that match the workerGroup value passed in by the task runner and that was launched using the IAM user credentials specified by the task runner. If tasks are ready in the work queue, PollForTask returns a response immediately. If no tasks are available in the queue, PollForTask uses long-polling and holds on to a poll connection for up to a 90 seconds, during which time the first newly scheduled task is handed to the task runner. To accomodate this, set the socket timeout in your task runner to 90 seconds. The task runner should not call PollForTask again on the same workerGroup until it receives a response, and this can take up to 90 seconds.","ref":"aws_data_pipeline.html#poll_for_task/2","title":"aws_data_pipeline.poll_for_task/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#poll_for_task/3","title":"aws_data_pipeline.poll_for_task/3","type":"function"},{"doc":"Adds tasks, schedules, and preconditions to the specified pipeline. You can use PutPipelineDefinition to populate a new pipeline. PutPipelineDefinition also validates the configuration as it adds it to the pipeline. Changes to the pipeline are saved unless one of the following three validation errors exists in the pipeline. An object is missing a name or identifier field. A string or reference field is empty. The number of objects in the pipeline exceeds the maximum allowed objects. The pipeline is in a FINISHED state. Pipeline object definitions are passed to the PutPipelineDefinition action and returned by the GetPipelineDefinition action.","ref":"aws_data_pipeline.html#put_pipeline_definition/2","title":"aws_data_pipeline.put_pipeline_definition/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#put_pipeline_definition/3","title":"aws_data_pipeline.put_pipeline_definition/3","type":"function"},{"doc":"Queries the specified pipeline for the names of objects that match the specified set of conditions.","ref":"aws_data_pipeline.html#query_objects/2","title":"aws_data_pipeline.query_objects/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#query_objects/3","title":"aws_data_pipeline.query_objects/3","type":"function"},{"doc":"Removes existing tags from the specified pipeline.","ref":"aws_data_pipeline.html#remove_tags/2","title":"aws_data_pipeline.remove_tags/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#remove_tags/3","title":"aws_data_pipeline.remove_tags/3","type":"function"},{"doc":"Task runners call ReportTaskProgress when assigned a task to acknowledge that it has the task. If the web service does not receive this acknowledgement within 2 minutes, it assigns the task in a subsequent PollForTask call. After this initial acknowledgement, the task runner only needs to report progress every 15 minutes to maintain its ownership of the task. You can change this reporting time from 15 minutes by specifying a reportProgressTimeout field in your pipeline. If a task runner does not report its status after 5 minutes, AWS Data Pipeline assumes that the task runner is unable to process the task and reassigns the task in a subsequent response to PollForTask . Task runners should call ReportTaskProgress every 60 seconds.","ref":"aws_data_pipeline.html#report_task_progress/2","title":"aws_data_pipeline.report_task_progress/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#report_task_progress/3","title":"aws_data_pipeline.report_task_progress/3","type":"function"},{"doc":"Task runners call ReportTaskRunnerHeartbeat every 15 minutes to indicate that they are operational. If the AWS Data Pipeline Task Runner is launched on a resource managed by AWS Data Pipeline, the web service can use this call to detect when the task runner application has failed and restart a new instance.","ref":"aws_data_pipeline.html#report_task_runner_heartbeat/2","title":"aws_data_pipeline.report_task_runner_heartbeat/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#report_task_runner_heartbeat/3","title":"aws_data_pipeline.report_task_runner_heartbeat/3","type":"function"},{"doc":"Requests that the status of the specified physical or logical pipeline objects be updated in the specified pipeline. This update might not occur immediately, but is eventually consistent. The status that can be set depends on the type of object (for example, DataNode or Activity). You cannot perform this operation on FINISHED pipelines and attempting to do so returns InvalidRequestException .","ref":"aws_data_pipeline.html#set_status/2","title":"aws_data_pipeline.set_status/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#set_status/3","title":"aws_data_pipeline.set_status/3","type":"function"},{"doc":"Task runners call SetTaskStatus to notify AWS Data Pipeline that a task is completed and provide information about the final status. A task runner makes this call regardless of whether the task was sucessful. A task runner does not need to call SetTaskStatus for tasks that are canceled by the web service during a call to ReportTaskProgress .","ref":"aws_data_pipeline.html#set_task_status/2","title":"aws_data_pipeline.set_task_status/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#set_task_status/3","title":"aws_data_pipeline.set_task_status/3","type":"function"},{"doc":"Validates the specified pipeline definition to ensure that it is well formed and can be run without error.","ref":"aws_data_pipeline.html#validate_pipeline_definition/2","title":"aws_data_pipeline.validate_pipeline_definition/2","type":"function"},{"doc":"","ref":"aws_data_pipeline.html#validate_pipeline_definition/3","title":"aws_data_pipeline.validate_pipeline_definition/3","type":"function"},{"doc":"Database Migration Service Database Migration Service (DMS) can migrate your data to and from the most widely used commercial and open-source databases such as Oracle, PostgreSQL, Microsoft SQL Server, Amazon Redshift, MariaDB, Amazon Aurora, MySQL, and SAP Adaptive Server Enterprise (ASE). The service supports homogeneous migrations such as Oracle to Oracle, as well as heterogeneous migrations between different database platforms, such as Oracle to MySQL or SQL Server to PostgreSQL. For more information about DMS, see What Is Database Migration Service? in the Database Migration Service User Guide.","ref":"aws_database_migration.html","title":"aws_database_migration","type":"module"},{"doc":"Adds metadata tags to an DMS resource, including replication instance, endpoint, security group, and migration task. These tags can also be used with cost allocation reporting to track cost associated with DMS resources, or used in a Condition statement in an IAM policy for DMS. For more information, see Tag data type description.","ref":"aws_database_migration.html#add_tags_to_resource/2","title":"aws_database_migration.add_tags_to_resource/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#add_tags_to_resource/3","title":"aws_database_migration.add_tags_to_resource/3","type":"function"},{"doc":"Applies a pending maintenance action to a resource (for example, to a replication instance).","ref":"aws_database_migration.html#apply_pending_maintenance_action/2","title":"aws_database_migration.apply_pending_maintenance_action/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#apply_pending_maintenance_action/3","title":"aws_database_migration.apply_pending_maintenance_action/3","type":"function"},{"doc":"Cancels a single premigration assessment run. This operation prevents any individual assessments from running if they haven't started running. It also attempts to cancel any individual assessments that are currently running.","ref":"aws_database_migration.html#cancel_replication_task_assessment_run/2","title":"aws_database_migration.cancel_replication_task_assessment_run/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#cancel_replication_task_assessment_run/3","title":"aws_database_migration.cancel_replication_task_assessment_run/3","type":"function"},{"doc":"Creates an endpoint using the provided settings. For a MySQL source or target endpoint, don't explicitly specify the database using the DatabaseName request parameter on the CreateEndpoint API call. Specifying DatabaseName when you create a MySQL endpoint replicates all the task tables to this single database. For MySQL endpoints, you specify the database only when you specify the schema in the table-mapping rules of the DMS task.","ref":"aws_database_migration.html#create_endpoint/2","title":"aws_database_migration.create_endpoint/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#create_endpoint/3","title":"aws_database_migration.create_endpoint/3","type":"function"},{"doc":"Creates an DMS event notification subscription. You can specify the type of source ( SourceType ) you want to be notified of, provide a list of DMS source IDs ( SourceIds ) that triggers the events, and provide a list of event categories ( EventCategories ) for events you want to be notified of. If you specify both the SourceType and SourceIds , such as SourceType = replication-instance and SourceIdentifier = my-replinstance , you will be notified of all the replication instance events for the specified source. If you specify a SourceType but don't specify a SourceIdentifier , you receive notice of the events for that source type for all your DMS sources. If you don't specify either SourceType nor SourceIdentifier , you will be notified of events generated from all DMS sources belonging to your customer account. For more information about DMS events, see Working with Events and Notifications in the Database Migration Service User Guide.","ref":"aws_database_migration.html#create_event_subscription/2","title":"aws_database_migration.create_event_subscription/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#create_event_subscription/3","title":"aws_database_migration.create_event_subscription/3","type":"function"},{"doc":"Creates a Fleet Advisor collector using the specified parameters.","ref":"aws_database_migration.html#create_fleet_advisor_collector/2","title":"aws_database_migration.create_fleet_advisor_collector/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#create_fleet_advisor_collector/3","title":"aws_database_migration.create_fleet_advisor_collector/3","type":"function"},{"doc":"Creates the replication instance using the specified parameters. DMS requires that your account have certain roles with appropriate permissions before you can create a replication instance. For information on the required roles, see Creating the IAM Roles to Use With the CLI and DMS API. For information on the required permissions, see IAM Permissions Needed to Use DMS.","ref":"aws_database_migration.html#create_replication_instance/2","title":"aws_database_migration.create_replication_instance/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#create_replication_instance/3","title":"aws_database_migration.create_replication_instance/3","type":"function"},{"doc":"Creates a replication subnet group given a list of the subnet IDs in a VPC. The VPC needs to have at least one subnet in at least two availability zones in the Amazon Web Services Region, otherwise the service will throw a ReplicationSubnetGroupDoesNotCoverEnoughAZs exception.","ref":"aws_database_migration.html#create_replication_subnet_group/2","title":"aws_database_migration.create_replication_subnet_group/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#create_replication_subnet_group/3","title":"aws_database_migration.create_replication_subnet_group/3","type":"function"},{"doc":"Creates a replication task using the specified parameters.","ref":"aws_database_migration.html#create_replication_task/2","title":"aws_database_migration.create_replication_task/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#create_replication_task/3","title":"aws_database_migration.create_replication_task/3","type":"function"},{"doc":"Deletes the specified certificate.","ref":"aws_database_migration.html#delete_certificate/2","title":"aws_database_migration.delete_certificate/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#delete_certificate/3","title":"aws_database_migration.delete_certificate/3","type":"function"},{"doc":"Deletes the connection between a replication instance and an endpoint.","ref":"aws_database_migration.html#delete_connection/2","title":"aws_database_migration.delete_connection/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#delete_connection/3","title":"aws_database_migration.delete_connection/3","type":"function"},{"doc":"Deletes the specified endpoint. All tasks associated with the endpoint must be deleted before you can delete the endpoint.","ref":"aws_database_migration.html#delete_endpoint/2","title":"aws_database_migration.delete_endpoint/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#delete_endpoint/3","title":"aws_database_migration.delete_endpoint/3","type":"function"},{"doc":"Deletes an DMS event subscription.","ref":"aws_database_migration.html#delete_event_subscription/2","title":"aws_database_migration.delete_event_subscription/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#delete_event_subscription/3","title":"aws_database_migration.delete_event_subscription/3","type":"function"},{"doc":"Deletes the specified Fleet Advisor collector.","ref":"aws_database_migration.html#delete_fleet_advisor_collector/2","title":"aws_database_migration.delete_fleet_advisor_collector/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#delete_fleet_advisor_collector/3","title":"aws_database_migration.delete_fleet_advisor_collector/3","type":"function"},{"doc":"Deletes the specified Fleet Advisor collector databases.","ref":"aws_database_migration.html#delete_fleet_advisor_databases/2","title":"aws_database_migration.delete_fleet_advisor_databases/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#delete_fleet_advisor_databases/3","title":"aws_database_migration.delete_fleet_advisor_databases/3","type":"function"},{"doc":"Deletes the specified replication instance. You must delete any migration tasks that are associated with the replication instance before you can delete it.","ref":"aws_database_migration.html#delete_replication_instance/2","title":"aws_database_migration.delete_replication_instance/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#delete_replication_instance/3","title":"aws_database_migration.delete_replication_instance/3","type":"function"},{"doc":"Deletes a subnet group.","ref":"aws_database_migration.html#delete_replication_subnet_group/2","title":"aws_database_migration.delete_replication_subnet_group/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#delete_replication_subnet_group/3","title":"aws_database_migration.delete_replication_subnet_group/3","type":"function"},{"doc":"Deletes the specified replication task.","ref":"aws_database_migration.html#delete_replication_task/2","title":"aws_database_migration.delete_replication_task/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#delete_replication_task/3","title":"aws_database_migration.delete_replication_task/3","type":"function"},{"doc":"Deletes the record of a single premigration assessment run. This operation removes all metadata that DMS maintains about this assessment run. However, the operation leaves untouched all information about this assessment run that is stored in your Amazon S3 bucket.","ref":"aws_database_migration.html#delete_replication_task_assessment_run/2","title":"aws_database_migration.delete_replication_task_assessment_run/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#delete_replication_task_assessment_run/3","title":"aws_database_migration.delete_replication_task_assessment_run/3","type":"function"},{"doc":"Lists all of the DMS attributes for a customer account. These attributes include DMS quotas for the account and a unique account identifier in a particular DMS region. DMS quotas include a list of resource quotas supported by the account, such as the number of replication instances allowed. The description for each resource quota, includes the quota name, current usage toward that quota, and the quota's maximum value. DMS uses the unique account identifier to name each artifact used by DMS in the given region. This command does not take any parameters.","ref":"aws_database_migration.html#describe_account_attributes/2","title":"aws_database_migration.describe_account_attributes/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_account_attributes/3","title":"aws_database_migration.describe_account_attributes/3","type":"function"},{"doc":"Provides a list of individual assessments that you can specify for a new premigration assessment run, given one or more parameters. If you specify an existing migration task, this operation provides the default individual assessments you can specify for that task. Otherwise, the specified parameters model elements of a possible migration task on which to base a premigration assessment run. To use these migration task modeling parameters, you must specify an existing replication instance, a source database engine, a target database engine, and a migration type. This combination of parameters potentially limits the default individual assessments available for an assessment run created for a corresponding migration task. If you specify no parameters, this operation provides a list of all possible individual assessments that you can specify for an assessment run. If you specify any one of the task modeling parameters, you must specify all of them or the operation cannot provide a list of individual assessments. The only parameter that you can specify alone is for an existing migration task. The specified task definition then determines the default list of individual assessments that you can specify in an assessment run for the task.","ref":"aws_database_migration.html#describe_applicable_individual_assessments/2","title":"aws_database_migration.describe_applicable_individual_assessments/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_applicable_individual_assessments/3","title":"aws_database_migration.describe_applicable_individual_assessments/3","type":"function"},{"doc":"Provides a description of the certificate.","ref":"aws_database_migration.html#describe_certificates/2","title":"aws_database_migration.describe_certificates/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_certificates/3","title":"aws_database_migration.describe_certificates/3","type":"function"},{"doc":"Describes the status of the connections that have been made between the replication instance and an endpoint. Connections are created when you test an endpoint.","ref":"aws_database_migration.html#describe_connections/2","title":"aws_database_migration.describe_connections/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_connections/3","title":"aws_database_migration.describe_connections/3","type":"function"},{"doc":"Returns information about the possible endpoint settings available when you create an endpoint for a specific database engine.","ref":"aws_database_migration.html#describe_endpoint_settings/2","title":"aws_database_migration.describe_endpoint_settings/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_endpoint_settings/3","title":"aws_database_migration.describe_endpoint_settings/3","type":"function"},{"doc":"Returns information about the type of endpoints available.","ref":"aws_database_migration.html#describe_endpoint_types/2","title":"aws_database_migration.describe_endpoint_types/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_endpoint_types/3","title":"aws_database_migration.describe_endpoint_types/3","type":"function"},{"doc":"Returns information about the endpoints for your account in the current region.","ref":"aws_database_migration.html#describe_endpoints/2","title":"aws_database_migration.describe_endpoints/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_endpoints/3","title":"aws_database_migration.describe_endpoints/3","type":"function"},{"doc":"Lists categories for all event source types, or, if specified, for a specified source type. You can see a list of the event categories and source types in Working with Events and Notifications in the Database Migration Service User Guide.","ref":"aws_database_migration.html#describe_event_categories/2","title":"aws_database_migration.describe_event_categories/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_event_categories/3","title":"aws_database_migration.describe_event_categories/3","type":"function"},{"doc":"Lists all the event subscriptions for a customer account. The description of a subscription includes SubscriptionName , SNSTopicARN , CustomerID , SourceType , SourceID , CreationTime , and Status . If you specify SubscriptionName , this action lists the description for that subscription.","ref":"aws_database_migration.html#describe_event_subscriptions/2","title":"aws_database_migration.describe_event_subscriptions/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_event_subscriptions/3","title":"aws_database_migration.describe_event_subscriptions/3","type":"function"},{"doc":"Lists events for a given source identifier and source type. You can also specify a start and end time. For more information on DMS events, see Working with Events and Notifications in the Database Migration Service User Guide.","ref":"aws_database_migration.html#describe_events/2","title":"aws_database_migration.describe_events/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_events/3","title":"aws_database_migration.describe_events/3","type":"function"},{"doc":"Returns a list of the Fleet Advisor collectors in your account.","ref":"aws_database_migration.html#describe_fleet_advisor_collectors/2","title":"aws_database_migration.describe_fleet_advisor_collectors/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_fleet_advisor_collectors/3","title":"aws_database_migration.describe_fleet_advisor_collectors/3","type":"function"},{"doc":"Returns a list of Fleet Advisor databases in your account.","ref":"aws_database_migration.html#describe_fleet_advisor_databases/2","title":"aws_database_migration.describe_fleet_advisor_databases/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_fleet_advisor_databases/3","title":"aws_database_migration.describe_fleet_advisor_databases/3","type":"function"},{"doc":"Provides descriptions of large-scale assessment (LSA) analyses produced by your Fleet Advisor collectors.","ref":"aws_database_migration.html#describe_fleet_advisor_lsa_analysis/2","title":"aws_database_migration.describe_fleet_advisor_lsa_analysis/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_fleet_advisor_lsa_analysis/3","title":"aws_database_migration.describe_fleet_advisor_lsa_analysis/3","type":"function"},{"doc":"Provides descriptions of the schemas discovered by your Fleet Advisor collectors.","ref":"aws_database_migration.html#describe_fleet_advisor_schema_object_summary/2","title":"aws_database_migration.describe_fleet_advisor_schema_object_summary/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_fleet_advisor_schema_object_summary/3","title":"aws_database_migration.describe_fleet_advisor_schema_object_summary/3","type":"function"},{"doc":"Returns a list of schemas detected by Fleet Advisor Collectors in your account.","ref":"aws_database_migration.html#describe_fleet_advisor_schemas/2","title":"aws_database_migration.describe_fleet_advisor_schemas/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_fleet_advisor_schemas/3","title":"aws_database_migration.describe_fleet_advisor_schemas/3","type":"function"},{"doc":"Returns information about the replication instance types that can be created in the specified region.","ref":"aws_database_migration.html#describe_orderable_replication_instances/2","title":"aws_database_migration.describe_orderable_replication_instances/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_orderable_replication_instances/3","title":"aws_database_migration.describe_orderable_replication_instances/3","type":"function"},{"doc":"For internal use only","ref":"aws_database_migration.html#describe_pending_maintenance_actions/2","title":"aws_database_migration.describe_pending_maintenance_actions/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_pending_maintenance_actions/3","title":"aws_database_migration.describe_pending_maintenance_actions/3","type":"function"},{"doc":"Returns the status of the RefreshSchemas operation.","ref":"aws_database_migration.html#describe_refresh_schemas_status/2","title":"aws_database_migration.describe_refresh_schemas_status/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_refresh_schemas_status/3","title":"aws_database_migration.describe_refresh_schemas_status/3","type":"function"},{"doc":"Returns information about the task logs for the specified task.","ref":"aws_database_migration.html#describe_replication_instance_task_logs/2","title":"aws_database_migration.describe_replication_instance_task_logs/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_replication_instance_task_logs/3","title":"aws_database_migration.describe_replication_instance_task_logs/3","type":"function"},{"doc":"Returns information about replication instances for your account in the current region.","ref":"aws_database_migration.html#describe_replication_instances/2","title":"aws_database_migration.describe_replication_instances/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_replication_instances/3","title":"aws_database_migration.describe_replication_instances/3","type":"function"},{"doc":"Returns information about the replication subnet groups.","ref":"aws_database_migration.html#describe_replication_subnet_groups/2","title":"aws_database_migration.describe_replication_subnet_groups/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_replication_subnet_groups/3","title":"aws_database_migration.describe_replication_subnet_groups/3","type":"function"},{"doc":"Returns the task assessment results from the Amazon S3 bucket that DMS creates in your Amazon Web Services account. This action always returns the latest results. For more information about DMS task assessments, see Creating a task assessment report in the Database Migration Service User Guide.","ref":"aws_database_migration.html#describe_replication_task_assessment_results/2","title":"aws_database_migration.describe_replication_task_assessment_results/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_replication_task_assessment_results/3","title":"aws_database_migration.describe_replication_task_assessment_results/3","type":"function"},{"doc":"Returns a paginated list of premigration assessment runs based on filter settings. These filter settings can specify a combination of premigration assessment runs, migration tasks, replication instances, and assessment run status values. This operation doesn't return information about individual assessments. For this information, see the DescribeReplicationTaskIndividualAssessments operation.","ref":"aws_database_migration.html#describe_replication_task_assessment_runs/2","title":"aws_database_migration.describe_replication_task_assessment_runs/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_replication_task_assessment_runs/3","title":"aws_database_migration.describe_replication_task_assessment_runs/3","type":"function"},{"doc":"Returns a paginated list of individual assessments based on filter settings. These filter settings can specify a combination of premigration assessment runs, migration tasks, and assessment status values.","ref":"aws_database_migration.html#describe_replication_task_individual_assessments/2","title":"aws_database_migration.describe_replication_task_individual_assessments/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_replication_task_individual_assessments/3","title":"aws_database_migration.describe_replication_task_individual_assessments/3","type":"function"},{"doc":"Returns information about replication tasks for your account in the current region.","ref":"aws_database_migration.html#describe_replication_tasks/2","title":"aws_database_migration.describe_replication_tasks/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_replication_tasks/3","title":"aws_database_migration.describe_replication_tasks/3","type":"function"},{"doc":"Returns information about the schema for the specified endpoint.","ref":"aws_database_migration.html#describe_schemas/2","title":"aws_database_migration.describe_schemas/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_schemas/3","title":"aws_database_migration.describe_schemas/3","type":"function"},{"doc":"Returns table statistics on the database migration task, including table name, rows inserted, rows updated, and rows deleted. Note that the &quot;last updated&quot; column the DMS console only indicates the time that DMS last updated the table statistics record for a table. It does not indicate the time of the last update to the table.","ref":"aws_database_migration.html#describe_table_statistics/2","title":"aws_database_migration.describe_table_statistics/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#describe_table_statistics/3","title":"aws_database_migration.describe_table_statistics/3","type":"function"},{"doc":"Uploads the specified certificate.","ref":"aws_database_migration.html#import_certificate/2","title":"aws_database_migration.import_certificate/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#import_certificate/3","title":"aws_database_migration.import_certificate/3","type":"function"},{"doc":"Lists all metadata tags attached to an DMS resource, including replication instance, endpoint, security group, and migration task. For more information, see Tag data type description.","ref":"aws_database_migration.html#list_tags_for_resource/2","title":"aws_database_migration.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#list_tags_for_resource/3","title":"aws_database_migration.list_tags_for_resource/3","type":"function"},{"doc":"Modifies the specified endpoint. For a MySQL source or target endpoint, don't explicitly specify the database using the DatabaseName request parameter on the ModifyEndpoint API call. Specifying DatabaseName when you modify a MySQL endpoint replicates all the task tables to this single database. For MySQL endpoints, you specify the database only when you specify the schema in the table-mapping rules of the DMS task.","ref":"aws_database_migration.html#modify_endpoint/2","title":"aws_database_migration.modify_endpoint/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#modify_endpoint/3","title":"aws_database_migration.modify_endpoint/3","type":"function"},{"doc":"Modifies an existing DMS event notification subscription.","ref":"aws_database_migration.html#modify_event_subscription/2","title":"aws_database_migration.modify_event_subscription/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#modify_event_subscription/3","title":"aws_database_migration.modify_event_subscription/3","type":"function"},{"doc":"Modifies the replication instance to apply new settings. You can change one or more parameters by specifying these parameters and the new values in the request. Some settings are applied during the maintenance window.","ref":"aws_database_migration.html#modify_replication_instance/2","title":"aws_database_migration.modify_replication_instance/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#modify_replication_instance/3","title":"aws_database_migration.modify_replication_instance/3","type":"function"},{"doc":"Modifies the settings for the specified replication subnet group.","ref":"aws_database_migration.html#modify_replication_subnet_group/2","title":"aws_database_migration.modify_replication_subnet_group/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#modify_replication_subnet_group/3","title":"aws_database_migration.modify_replication_subnet_group/3","type":"function"},{"doc":"Modifies the specified replication task. You can't modify the task endpoints. The task must be stopped before you can modify it. For more information about DMS tasks, see Working with Migration Tasks in the Database Migration Service User Guide.","ref":"aws_database_migration.html#modify_replication_task/2","title":"aws_database_migration.modify_replication_task/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#modify_replication_task/3","title":"aws_database_migration.modify_replication_task/3","type":"function"},{"doc":"Moves a replication task from its current replication instance to a different target replication instance using the specified parameters. The target replication instance must be created with the same or later DMS version as the current replication instance.","ref":"aws_database_migration.html#move_replication_task/2","title":"aws_database_migration.move_replication_task/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#move_replication_task/3","title":"aws_database_migration.move_replication_task/3","type":"function"},{"doc":"Reboots a replication instance. Rebooting results in a momentary outage, until the replication instance becomes available again.","ref":"aws_database_migration.html#reboot_replication_instance/2","title":"aws_database_migration.reboot_replication_instance/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#reboot_replication_instance/3","title":"aws_database_migration.reboot_replication_instance/3","type":"function"},{"doc":"Populates the schema for the specified endpoint. This is an asynchronous operation and can take several minutes. You can check the status of this operation by calling the DescribeRefreshSchemasStatus operation.","ref":"aws_database_migration.html#refresh_schemas/2","title":"aws_database_migration.refresh_schemas/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#refresh_schemas/3","title":"aws_database_migration.refresh_schemas/3","type":"function"},{"doc":"Reloads the target database table with the source data. You can only use this operation with a task in the RUNNING state, otherwise the service will throw an InvalidResourceStateFault exception.","ref":"aws_database_migration.html#reload_tables/2","title":"aws_database_migration.reload_tables/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#reload_tables/3","title":"aws_database_migration.reload_tables/3","type":"function"},{"doc":"Removes metadata tags from an DMS resource, including replication instance, endpoint, security group, and migration task. For more information, see Tag data type description.","ref":"aws_database_migration.html#remove_tags_from_resource/2","title":"aws_database_migration.remove_tags_from_resource/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#remove_tags_from_resource/3","title":"aws_database_migration.remove_tags_from_resource/3","type":"function"},{"doc":"Runs large-scale assessment (LSA) analysis on every Fleet Advisor collector in your account.","ref":"aws_database_migration.html#run_fleet_advisor_lsa_analysis/2","title":"aws_database_migration.run_fleet_advisor_lsa_analysis/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#run_fleet_advisor_lsa_analysis/3","title":"aws_database_migration.run_fleet_advisor_lsa_analysis/3","type":"function"},{"doc":"Starts the replication task. For more information about DMS tasks, see Working with Migration Tasks in the Database Migration Service User Guide.","ref":"aws_database_migration.html#start_replication_task/2","title":"aws_database_migration.start_replication_task/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#start_replication_task/3","title":"aws_database_migration.start_replication_task/3","type":"function"},{"doc":"Starts the replication task assessment for unsupported data types in the source database. You can only use this operation for a task if the following conditions are true: The task must be in the stopped state. The task must have successful connections to the source and target. If either of these conditions are not met, an InvalidResourceStateFault error will result. For information about DMS task assessments, see Creating a task assessment report in the Database Migration Service User Guide.","ref":"aws_database_migration.html#start_replication_task_assessment/2","title":"aws_database_migration.start_replication_task_assessment/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#start_replication_task_assessment/3","title":"aws_database_migration.start_replication_task_assessment/3","type":"function"},{"doc":"Starts a new premigration assessment run for one or more individual assessments of a migration task. The assessments that you can specify depend on the source and target database engine and the migration type defined for the given task. To run this operation, your migration task must already be created. After you run this operation, you can review the status of each individual assessment. You can also run the migration task manually after the assessment run and its individual assessments complete.","ref":"aws_database_migration.html#start_replication_task_assessment_run/2","title":"aws_database_migration.start_replication_task_assessment_run/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#start_replication_task_assessment_run/3","title":"aws_database_migration.start_replication_task_assessment_run/3","type":"function"},{"doc":"Stops the replication task.","ref":"aws_database_migration.html#stop_replication_task/2","title":"aws_database_migration.stop_replication_task/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#stop_replication_task/3","title":"aws_database_migration.stop_replication_task/3","type":"function"},{"doc":"Tests the connection between the replication instance and the endpoint.","ref":"aws_database_migration.html#test_connection/2","title":"aws_database_migration.test_connection/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#test_connection/3","title":"aws_database_migration.test_connection/3","type":"function"},{"doc":"Migrates 10 active and enabled Amazon SNS subscriptions at a time and converts them to corresponding Amazon EventBridge rules. By default, this operation migrates subscriptions only when all your replication instance versions are 3.4.6 or higher. If any replication instances are from versions earlier than 3.4.6, the operation raises an error and tells you to upgrade these instances to version 3.4.6 or higher. To enable migration regardless of version, set the Force option to true. However, if you don't upgrade instances earlier than version 3.4.6, some types of events might not be available when you use Amazon EventBridge. To call this operation, make sure that you have certain permissions added to your user account. For more information, see Migrating event subscriptions to Amazon EventBridge in the Amazon Web Services Database Migration Service User Guide.","ref":"aws_database_migration.html#update_subscriptions_to_event_bridge/2","title":"aws_database_migration.update_subscriptions_to_event_bridge/2","type":"function"},{"doc":"","ref":"aws_database_migration.html#update_subscriptions_to_event_bridge/3","title":"aws_database_migration.update_subscriptions_to_event_bridge/3","type":"function"},{"doc":"Glue DataBrew is a visual, cloud-scale data-preparation service. DataBrew simplifies data preparation tasks, targeting data issues that are hard to spot and time-consuming to fix. DataBrew empowers users of all technical levels to visualize the data and perform one-click data transformations, with no coding required.","ref":"aws_databrew.html","title":"aws_databrew","type":"module"},{"doc":"Deletes one or more versions of a recipe at a time. The entire request will be rejected if: The recipe does not exist. There is an invalid version identifier in the list of versions. The version list is empty. The version list size exceeds 50. The version list contains duplicate entries. The request will complete successfully, but with partial failures, if: A version does not exist. A version is being used by a job. You specify LATEST_WORKING , but it's being used by a project. The version fails to be deleted. The LATEST_WORKING version will only be deleted if the recipe has no other versions. If you try to delete LATEST_WORKING while other versions exist (or if they can't be deleted), then LATEST_WORKING will be listed as partial failure in the response.","ref":"aws_databrew.html#batch_delete_recipe_version/3","title":"aws_databrew.batch_delete_recipe_version/3","type":"function"},{"doc":"","ref":"aws_databrew.html#batch_delete_recipe_version/4","title":"aws_databrew.batch_delete_recipe_version/4","type":"function"},{"doc":"Creates a new DataBrew dataset.","ref":"aws_databrew.html#create_dataset/2","title":"aws_databrew.create_dataset/2","type":"function"},{"doc":"","ref":"aws_databrew.html#create_dataset/3","title":"aws_databrew.create_dataset/3","type":"function"},{"doc":"Creates a new job to analyze a dataset and create its data profile.","ref":"aws_databrew.html#create_profile_job/2","title":"aws_databrew.create_profile_job/2","type":"function"},{"doc":"","ref":"aws_databrew.html#create_profile_job/3","title":"aws_databrew.create_profile_job/3","type":"function"},{"doc":"Creates a new DataBrew project.","ref":"aws_databrew.html#create_project/2","title":"aws_databrew.create_project/2","type":"function"},{"doc":"","ref":"aws_databrew.html#create_project/3","title":"aws_databrew.create_project/3","type":"function"},{"doc":"Creates a new DataBrew recipe.","ref":"aws_databrew.html#create_recipe/2","title":"aws_databrew.create_recipe/2","type":"function"},{"doc":"","ref":"aws_databrew.html#create_recipe/3","title":"aws_databrew.create_recipe/3","type":"function"},{"doc":"Creates a new job to transform input data, using steps defined in an existing Glue DataBrew recipe","ref":"aws_databrew.html#create_recipe_job/2","title":"aws_databrew.create_recipe_job/2","type":"function"},{"doc":"","ref":"aws_databrew.html#create_recipe_job/3","title":"aws_databrew.create_recipe_job/3","type":"function"},{"doc":"Creates a new ruleset that can be used in a profile job to validate the data quality of a dataset.","ref":"aws_databrew.html#create_ruleset/2","title":"aws_databrew.create_ruleset/2","type":"function"},{"doc":"","ref":"aws_databrew.html#create_ruleset/3","title":"aws_databrew.create_ruleset/3","type":"function"},{"doc":"Creates a new schedule for one or more DataBrew jobs. Jobs can be run at a specific date and time, or at regular intervals.","ref":"aws_databrew.html#create_schedule/2","title":"aws_databrew.create_schedule/2","type":"function"},{"doc":"","ref":"aws_databrew.html#create_schedule/3","title":"aws_databrew.create_schedule/3","type":"function"},{"doc":"Deletes a dataset from DataBrew.","ref":"aws_databrew.html#delete_dataset/3","title":"aws_databrew.delete_dataset/3","type":"function"},{"doc":"","ref":"aws_databrew.html#delete_dataset/4","title":"aws_databrew.delete_dataset/4","type":"function"},{"doc":"Deletes the specified DataBrew job.","ref":"aws_databrew.html#delete_job/3","title":"aws_databrew.delete_job/3","type":"function"},{"doc":"","ref":"aws_databrew.html#delete_job/4","title":"aws_databrew.delete_job/4","type":"function"},{"doc":"Deletes an existing DataBrew project.","ref":"aws_databrew.html#delete_project/3","title":"aws_databrew.delete_project/3","type":"function"},{"doc":"","ref":"aws_databrew.html#delete_project/4","title":"aws_databrew.delete_project/4","type":"function"},{"doc":"Deletes a single version of a DataBrew recipe.","ref":"aws_databrew.html#delete_recipe_version/4","title":"aws_databrew.delete_recipe_version/4","type":"function"},{"doc":"","ref":"aws_databrew.html#delete_recipe_version/5","title":"aws_databrew.delete_recipe_version/5","type":"function"},{"doc":"Deletes a ruleset.","ref":"aws_databrew.html#delete_ruleset/3","title":"aws_databrew.delete_ruleset/3","type":"function"},{"doc":"","ref":"aws_databrew.html#delete_ruleset/4","title":"aws_databrew.delete_ruleset/4","type":"function"},{"doc":"Deletes the specified DataBrew schedule.","ref":"aws_databrew.html#delete_schedule/3","title":"aws_databrew.delete_schedule/3","type":"function"},{"doc":"","ref":"aws_databrew.html#delete_schedule/4","title":"aws_databrew.delete_schedule/4","type":"function"},{"doc":"Returns the definition of a specific DataBrew dataset.","ref":"aws_databrew.html#describe_dataset/2","title":"aws_databrew.describe_dataset/2","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_dataset/4","title":"aws_databrew.describe_dataset/4","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_dataset/5","title":"aws_databrew.describe_dataset/5","type":"function"},{"doc":"Returns the definition of a specific DataBrew job.","ref":"aws_databrew.html#describe_job/2","title":"aws_databrew.describe_job/2","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_job/4","title":"aws_databrew.describe_job/4","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_job/5","title":"aws_databrew.describe_job/5","type":"function"},{"doc":"Represents one run of a DataBrew job.","ref":"aws_databrew.html#describe_job_run/3","title":"aws_databrew.describe_job_run/3","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_job_run/5","title":"aws_databrew.describe_job_run/5","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_job_run/6","title":"aws_databrew.describe_job_run/6","type":"function"},{"doc":"Returns the definition of a specific DataBrew project.","ref":"aws_databrew.html#describe_project/2","title":"aws_databrew.describe_project/2","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_project/4","title":"aws_databrew.describe_project/4","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_project/5","title":"aws_databrew.describe_project/5","type":"function"},{"doc":"Returns the definition of a specific DataBrew recipe corresponding to a particular version.","ref":"aws_databrew.html#describe_recipe/2","title":"aws_databrew.describe_recipe/2","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_recipe/4","title":"aws_databrew.describe_recipe/4","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_recipe/5","title":"aws_databrew.describe_recipe/5","type":"function"},{"doc":"Retrieves detailed information about the ruleset.","ref":"aws_databrew.html#describe_ruleset/2","title":"aws_databrew.describe_ruleset/2","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_ruleset/4","title":"aws_databrew.describe_ruleset/4","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_ruleset/5","title":"aws_databrew.describe_ruleset/5","type":"function"},{"doc":"Returns the definition of a specific DataBrew schedule.","ref":"aws_databrew.html#describe_schedule/2","title":"aws_databrew.describe_schedule/2","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_schedule/4","title":"aws_databrew.describe_schedule/4","type":"function"},{"doc":"","ref":"aws_databrew.html#describe_schedule/5","title":"aws_databrew.describe_schedule/5","type":"function"},{"doc":"Lists all of the DataBrew datasets.","ref":"aws_databrew.html#list_datasets/1","title":"aws_databrew.list_datasets/1","type":"function"},{"doc":"","ref":"aws_databrew.html#list_datasets/3","title":"aws_databrew.list_datasets/3","type":"function"},{"doc":"","ref":"aws_databrew.html#list_datasets/4","title":"aws_databrew.list_datasets/4","type":"function"},{"doc":"Lists all of the previous runs of a particular DataBrew job.","ref":"aws_databrew.html#list_job_runs/2","title":"aws_databrew.list_job_runs/2","type":"function"},{"doc":"","ref":"aws_databrew.html#list_job_runs/4","title":"aws_databrew.list_job_runs/4","type":"function"},{"doc":"","ref":"aws_databrew.html#list_job_runs/5","title":"aws_databrew.list_job_runs/5","type":"function"},{"doc":"Lists all of the DataBrew jobs that are defined.","ref":"aws_databrew.html#list_jobs/1","title":"aws_databrew.list_jobs/1","type":"function"},{"doc":"","ref":"aws_databrew.html#list_jobs/3","title":"aws_databrew.list_jobs/3","type":"function"},{"doc":"","ref":"aws_databrew.html#list_jobs/4","title":"aws_databrew.list_jobs/4","type":"function"},{"doc":"Lists all of the DataBrew projects that are defined.","ref":"aws_databrew.html#list_projects/1","title":"aws_databrew.list_projects/1","type":"function"},{"doc":"","ref":"aws_databrew.html#list_projects/3","title":"aws_databrew.list_projects/3","type":"function"},{"doc":"","ref":"aws_databrew.html#list_projects/4","title":"aws_databrew.list_projects/4","type":"function"},{"doc":"Lists the versions of a particular DataBrew recipe, except for LATEST_WORKING .","ref":"aws_databrew.html#list_recipe_versions/2","title":"aws_databrew.list_recipe_versions/2","type":"function"},{"doc":"","ref":"aws_databrew.html#list_recipe_versions/4","title":"aws_databrew.list_recipe_versions/4","type":"function"},{"doc":"","ref":"aws_databrew.html#list_recipe_versions/5","title":"aws_databrew.list_recipe_versions/5","type":"function"},{"doc":"Lists all of the DataBrew recipes that are defined.","ref":"aws_databrew.html#list_recipes/1","title":"aws_databrew.list_recipes/1","type":"function"},{"doc":"","ref":"aws_databrew.html#list_recipes/3","title":"aws_databrew.list_recipes/3","type":"function"},{"doc":"","ref":"aws_databrew.html#list_recipes/4","title":"aws_databrew.list_recipes/4","type":"function"},{"doc":"List all rulesets available in the current account or rulesets associated with a specific resource (dataset).","ref":"aws_databrew.html#list_rulesets/1","title":"aws_databrew.list_rulesets/1","type":"function"},{"doc":"","ref":"aws_databrew.html#list_rulesets/3","title":"aws_databrew.list_rulesets/3","type":"function"},{"doc":"","ref":"aws_databrew.html#list_rulesets/4","title":"aws_databrew.list_rulesets/4","type":"function"},{"doc":"Lists the DataBrew schedules that are defined.","ref":"aws_databrew.html#list_schedules/1","title":"aws_databrew.list_schedules/1","type":"function"},{"doc":"","ref":"aws_databrew.html#list_schedules/3","title":"aws_databrew.list_schedules/3","type":"function"},{"doc":"","ref":"aws_databrew.html#list_schedules/4","title":"aws_databrew.list_schedules/4","type":"function"},{"doc":"Lists all the tags for a DataBrew resource.","ref":"aws_databrew.html#list_tags_for_resource/2","title":"aws_databrew.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_databrew.html#list_tags_for_resource/4","title":"aws_databrew.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_databrew.html#list_tags_for_resource/5","title":"aws_databrew.list_tags_for_resource/5","type":"function"},{"doc":"Publishes a new version of a DataBrew recipe.","ref":"aws_databrew.html#publish_recipe/3","title":"aws_databrew.publish_recipe/3","type":"function"},{"doc":"","ref":"aws_databrew.html#publish_recipe/4","title":"aws_databrew.publish_recipe/4","type":"function"},{"doc":"Performs a recipe step within an interactive DataBrew session that's currently open.","ref":"aws_databrew.html#send_project_session_action/3","title":"aws_databrew.send_project_session_action/3","type":"function"},{"doc":"","ref":"aws_databrew.html#send_project_session_action/4","title":"aws_databrew.send_project_session_action/4","type":"function"},{"doc":"Runs a DataBrew job.","ref":"aws_databrew.html#start_job_run/3","title":"aws_databrew.start_job_run/3","type":"function"},{"doc":"","ref":"aws_databrew.html#start_job_run/4","title":"aws_databrew.start_job_run/4","type":"function"},{"doc":"Creates an interactive session, enabling you to manipulate data in a DataBrew project.","ref":"aws_databrew.html#start_project_session/3","title":"aws_databrew.start_project_session/3","type":"function"},{"doc":"","ref":"aws_databrew.html#start_project_session/4","title":"aws_databrew.start_project_session/4","type":"function"},{"doc":"Stops a particular run of a job.","ref":"aws_databrew.html#stop_job_run/4","title":"aws_databrew.stop_job_run/4","type":"function"},{"doc":"","ref":"aws_databrew.html#stop_job_run/5","title":"aws_databrew.stop_job_run/5","type":"function"},{"doc":"Adds metadata tags to a DataBrew resource, such as a dataset, project, recipe, job, or schedule.","ref":"aws_databrew.html#tag_resource/3","title":"aws_databrew.tag_resource/3","type":"function"},{"doc":"","ref":"aws_databrew.html#tag_resource/4","title":"aws_databrew.tag_resource/4","type":"function"},{"doc":"Removes metadata tags from a DataBrew resource.","ref":"aws_databrew.html#untag_resource/3","title":"aws_databrew.untag_resource/3","type":"function"},{"doc":"","ref":"aws_databrew.html#untag_resource/4","title":"aws_databrew.untag_resource/4","type":"function"},{"doc":"Modifies the definition of an existing DataBrew dataset.","ref":"aws_databrew.html#update_dataset/3","title":"aws_databrew.update_dataset/3","type":"function"},{"doc":"","ref":"aws_databrew.html#update_dataset/4","title":"aws_databrew.update_dataset/4","type":"function"},{"doc":"Modifies the definition of an existing profile job.","ref":"aws_databrew.html#update_profile_job/3","title":"aws_databrew.update_profile_job/3","type":"function"},{"doc":"","ref":"aws_databrew.html#update_profile_job/4","title":"aws_databrew.update_profile_job/4","type":"function"},{"doc":"Modifies the definition of an existing DataBrew project.","ref":"aws_databrew.html#update_project/3","title":"aws_databrew.update_project/3","type":"function"},{"doc":"","ref":"aws_databrew.html#update_project/4","title":"aws_databrew.update_project/4","type":"function"},{"doc":"Modifies the definition of the LATEST_WORKING version of a DataBrew recipe.","ref":"aws_databrew.html#update_recipe/3","title":"aws_databrew.update_recipe/3","type":"function"},{"doc":"","ref":"aws_databrew.html#update_recipe/4","title":"aws_databrew.update_recipe/4","type":"function"},{"doc":"Modifies the definition of an existing DataBrew recipe job.","ref":"aws_databrew.html#update_recipe_job/3","title":"aws_databrew.update_recipe_job/3","type":"function"},{"doc":"","ref":"aws_databrew.html#update_recipe_job/4","title":"aws_databrew.update_recipe_job/4","type":"function"},{"doc":"Updates specified ruleset.","ref":"aws_databrew.html#update_ruleset/3","title":"aws_databrew.update_ruleset/3","type":"function"},{"doc":"","ref":"aws_databrew.html#update_ruleset/4","title":"aws_databrew.update_ruleset/4","type":"function"},{"doc":"Modifies the definition of an existing DataBrew schedule.","ref":"aws_databrew.html#update_schedule/3","title":"aws_databrew.update_schedule/3","type":"function"},{"doc":"","ref":"aws_databrew.html#update_schedule/4","title":"aws_databrew.update_schedule/4","type":"function"},{"doc":"AWS Data Exchange is a service that makes it easy for AWS customers to exchange data in the cloud. You can use the AWS Data Exchange APIs to create, update, manage, and access file-based data set in the AWS Cloud. As a subscriber, you can view and access the data sets that you have an entitlement to through a subscription. You can use the APIs to download or copy your entitled data sets to Amazon Simple Storage Service (Amazon S3) for use across a variety of AWS analytics and machine learning services. As a provider, you can create and manage your data sets that you would like to publish to a product. Being able to package and provide your data sets into products requires a few steps to determine eligibility. For more information, visit the AWS Data Exchange User Guide. A data set is a collection of data that can be changed or updated over time. Data sets can be updated using revisions, which represent a new version or incremental change to a data set. A revision contains one or more assets. An asset in AWS Data Exchange is a piece of data that can be stored as an Amazon S3 object, Redshift datashare, API Gateway API, AWS Lake Formation data permission, or Amazon S3 data access. The asset can be a structured data file, an image file, or some other data file. Jobs are asynchronous import or export operations used to create or copy assets.","ref":"aws_dataexchange.html","title":"aws_dataexchange","type":"module"},{"doc":"This operation cancels a job. Jobs can be cancelled only when they are in the WAITING state.","ref":"aws_dataexchange.html#cancel_job/3","title":"aws_dataexchange.cancel_job/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#cancel_job/4","title":"aws_dataexchange.cancel_job/4","type":"function"},{"doc":"This operation creates a data set.","ref":"aws_dataexchange.html#create_data_set/2","title":"aws_dataexchange.create_data_set/2","type":"function"},{"doc":"","ref":"aws_dataexchange.html#create_data_set/3","title":"aws_dataexchange.create_data_set/3","type":"function"},{"doc":"This operation creates an event action.","ref":"aws_dataexchange.html#create_event_action/2","title":"aws_dataexchange.create_event_action/2","type":"function"},{"doc":"","ref":"aws_dataexchange.html#create_event_action/3","title":"aws_dataexchange.create_event_action/3","type":"function"},{"doc":"This operation creates a job.","ref":"aws_dataexchange.html#create_job/2","title":"aws_dataexchange.create_job/2","type":"function"},{"doc":"","ref":"aws_dataexchange.html#create_job/3","title":"aws_dataexchange.create_job/3","type":"function"},{"doc":"This operation creates a revision for a data set.","ref":"aws_dataexchange.html#create_revision/3","title":"aws_dataexchange.create_revision/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#create_revision/4","title":"aws_dataexchange.create_revision/4","type":"function"},{"doc":"This operation deletes an asset.","ref":"aws_dataexchange.html#delete_asset/5","title":"aws_dataexchange.delete_asset/5","type":"function"},{"doc":"","ref":"aws_dataexchange.html#delete_asset/6","title":"aws_dataexchange.delete_asset/6","type":"function"},{"doc":"This operation deletes a data set.","ref":"aws_dataexchange.html#delete_data_set/3","title":"aws_dataexchange.delete_data_set/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#delete_data_set/4","title":"aws_dataexchange.delete_data_set/4","type":"function"},{"doc":"This operation deletes the event action.","ref":"aws_dataexchange.html#delete_event_action/3","title":"aws_dataexchange.delete_event_action/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#delete_event_action/4","title":"aws_dataexchange.delete_event_action/4","type":"function"},{"doc":"This operation deletes a revision.","ref":"aws_dataexchange.html#delete_revision/4","title":"aws_dataexchange.delete_revision/4","type":"function"},{"doc":"","ref":"aws_dataexchange.html#delete_revision/5","title":"aws_dataexchange.delete_revision/5","type":"function"},{"doc":"This operation returns information about an asset.","ref":"aws_dataexchange.html#get_asset/4","title":"aws_dataexchange.get_asset/4","type":"function"},{"doc":"","ref":"aws_dataexchange.html#get_asset/6","title":"aws_dataexchange.get_asset/6","type":"function"},{"doc":"","ref":"aws_dataexchange.html#get_asset/7","title":"aws_dataexchange.get_asset/7","type":"function"},{"doc":"This operation returns information about a data set.","ref":"aws_dataexchange.html#get_data_set/2","title":"aws_dataexchange.get_data_set/2","type":"function"},{"doc":"","ref":"aws_dataexchange.html#get_data_set/4","title":"aws_dataexchange.get_data_set/4","type":"function"},{"doc":"","ref":"aws_dataexchange.html#get_data_set/5","title":"aws_dataexchange.get_data_set/5","type":"function"},{"doc":"This operation retrieves information about an event action.","ref":"aws_dataexchange.html#get_event_action/2","title":"aws_dataexchange.get_event_action/2","type":"function"},{"doc":"","ref":"aws_dataexchange.html#get_event_action/4","title":"aws_dataexchange.get_event_action/4","type":"function"},{"doc":"","ref":"aws_dataexchange.html#get_event_action/5","title":"aws_dataexchange.get_event_action/5","type":"function"},{"doc":"This operation returns information about a job.","ref":"aws_dataexchange.html#get_job/2","title":"aws_dataexchange.get_job/2","type":"function"},{"doc":"","ref":"aws_dataexchange.html#get_job/4","title":"aws_dataexchange.get_job/4","type":"function"},{"doc":"","ref":"aws_dataexchange.html#get_job/5","title":"aws_dataexchange.get_job/5","type":"function"},{"doc":"This operation returns information about a revision.","ref":"aws_dataexchange.html#get_revision/3","title":"aws_dataexchange.get_revision/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#get_revision/5","title":"aws_dataexchange.get_revision/5","type":"function"},{"doc":"","ref":"aws_dataexchange.html#get_revision/6","title":"aws_dataexchange.get_revision/6","type":"function"},{"doc":"This operation lists a data set's revisions sorted by CreatedAt in descending order.","ref":"aws_dataexchange.html#list_data_set_revisions/2","title":"aws_dataexchange.list_data_set_revisions/2","type":"function"},{"doc":"","ref":"aws_dataexchange.html#list_data_set_revisions/4","title":"aws_dataexchange.list_data_set_revisions/4","type":"function"},{"doc":"","ref":"aws_dataexchange.html#list_data_set_revisions/5","title":"aws_dataexchange.list_data_set_revisions/5","type":"function"},{"doc":"This operation lists your data sets. When listing by origin OWNED, results are sorted by CreatedAt in descending order. When listing by origin ENTITLED, there is no order and the maxResults parameter is ignored.","ref":"aws_dataexchange.html#list_data_sets/1","title":"aws_dataexchange.list_data_sets/1","type":"function"},{"doc":"","ref":"aws_dataexchange.html#list_data_sets/3","title":"aws_dataexchange.list_data_sets/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#list_data_sets/4","title":"aws_dataexchange.list_data_sets/4","type":"function"},{"doc":"This operation lists your event actions.","ref":"aws_dataexchange.html#list_event_actions/1","title":"aws_dataexchange.list_event_actions/1","type":"function"},{"doc":"","ref":"aws_dataexchange.html#list_event_actions/3","title":"aws_dataexchange.list_event_actions/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#list_event_actions/4","title":"aws_dataexchange.list_event_actions/4","type":"function"},{"doc":"This operation lists your jobs sorted by CreatedAt in descending order.","ref":"aws_dataexchange.html#list_jobs/1","title":"aws_dataexchange.list_jobs/1","type":"function"},{"doc":"","ref":"aws_dataexchange.html#list_jobs/3","title":"aws_dataexchange.list_jobs/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#list_jobs/4","title":"aws_dataexchange.list_jobs/4","type":"function"},{"doc":"This operation lists a revision's assets sorted alphabetically in descending order.","ref":"aws_dataexchange.html#list_revision_assets/3","title":"aws_dataexchange.list_revision_assets/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#list_revision_assets/5","title":"aws_dataexchange.list_revision_assets/5","type":"function"},{"doc":"","ref":"aws_dataexchange.html#list_revision_assets/6","title":"aws_dataexchange.list_revision_assets/6","type":"function"},{"doc":"This operation lists the tags on the resource.","ref":"aws_dataexchange.html#list_tags_for_resource/2","title":"aws_dataexchange.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_dataexchange.html#list_tags_for_resource/4","title":"aws_dataexchange.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_dataexchange.html#list_tags_for_resource/5","title":"aws_dataexchange.list_tags_for_resource/5","type":"function"},{"doc":"This operation revokes subscribers' access to a revision.","ref":"aws_dataexchange.html#revoke_revision/4","title":"aws_dataexchange.revoke_revision/4","type":"function"},{"doc":"","ref":"aws_dataexchange.html#revoke_revision/5","title":"aws_dataexchange.revoke_revision/5","type":"function"},{"doc":"This operation invokes an API Gateway API asset. The request is proxied to the provider’s API Gateway API.","ref":"aws_dataexchange.html#send_api_asset/2","title":"aws_dataexchange.send_api_asset/2","type":"function"},{"doc":"","ref":"aws_dataexchange.html#send_api_asset/3","title":"aws_dataexchange.send_api_asset/3","type":"function"},{"doc":"This operation starts a job.","ref":"aws_dataexchange.html#start_job/3","title":"aws_dataexchange.start_job/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#start_job/4","title":"aws_dataexchange.start_job/4","type":"function"},{"doc":"This operation tags a resource.","ref":"aws_dataexchange.html#tag_resource/3","title":"aws_dataexchange.tag_resource/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#tag_resource/4","title":"aws_dataexchange.tag_resource/4","type":"function"},{"doc":"This operation removes one or more tags from a resource.","ref":"aws_dataexchange.html#untag_resource/3","title":"aws_dataexchange.untag_resource/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#untag_resource/4","title":"aws_dataexchange.untag_resource/4","type":"function"},{"doc":"This operation updates an asset.","ref":"aws_dataexchange.html#update_asset/5","title":"aws_dataexchange.update_asset/5","type":"function"},{"doc":"","ref":"aws_dataexchange.html#update_asset/6","title":"aws_dataexchange.update_asset/6","type":"function"},{"doc":"This operation updates a data set.","ref":"aws_dataexchange.html#update_data_set/3","title":"aws_dataexchange.update_data_set/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#update_data_set/4","title":"aws_dataexchange.update_data_set/4","type":"function"},{"doc":"This operation updates the event action.","ref":"aws_dataexchange.html#update_event_action/3","title":"aws_dataexchange.update_event_action/3","type":"function"},{"doc":"","ref":"aws_dataexchange.html#update_event_action/4","title":"aws_dataexchange.update_event_action/4","type":"function"},{"doc":"This operation updates a revision.","ref":"aws_dataexchange.html#update_revision/4","title":"aws_dataexchange.update_revision/4","type":"function"},{"doc":"","ref":"aws_dataexchange.html#update_revision/5","title":"aws_dataexchange.update_revision/5","type":"function"},{"doc":"AWS Data Pipeline configures and manages a data-driven workflow called a pipeline. AWS Data Pipeline handles the details of scheduling and ensuring that data dependencies are met so that your application can focus on processing the data. AWS Data Pipeline provides a JAR implementation of a task runner called AWS Data Pipeline Task Runner. AWS Data Pipeline Task Runner provides logic for common data management scenarios, such as performing database queries and running data analysis using Amazon Elastic MapReduce (Amazon EMR). You can use AWS Data Pipeline Task Runner as your task runner, or you can write your own task runner to provide custom data management. AWS Data Pipeline implements two main sets of functionality. Use the first set to create a pipeline and define data sources, schedules, dependencies, and the transforms to be performed on the data. Use the second set in your task runner application to receive the next task ready for processing. The logic for performing the task, such as querying the data, running data analysis, or converting the data from one format to another, is contained within the task runner. The task runner performs the task assigned to it by the web service, reporting progress to the web service as it does so. When the task is done, the task runner reports the final success or failure of the task to the web service.","ref":"aws_datapipeline.html","title":"aws_datapipeline","type":"module"},{"doc":"Validates the specified pipeline and starts processing pipeline tasks. If the pipeline does not pass validation, activation fails. If you need to pause the pipeline to investigate an issue with a component, such as a data source or script, call DeactivatePipeline . To activate a finished pipeline, modify the end date for the pipeline and then activate it.","ref":"aws_datapipeline.html#activate_pipeline/2","title":"aws_datapipeline.activate_pipeline/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#activate_pipeline/3","title":"aws_datapipeline.activate_pipeline/3","type":"function"},{"doc":"Adds or modifies tags for the specified pipeline.","ref":"aws_datapipeline.html#add_tags/2","title":"aws_datapipeline.add_tags/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#add_tags/3","title":"aws_datapipeline.add_tags/3","type":"function"},{"doc":"Creates a new, empty pipeline. Use PutPipelineDefinition to populate the pipeline.","ref":"aws_datapipeline.html#create_pipeline/2","title":"aws_datapipeline.create_pipeline/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#create_pipeline/3","title":"aws_datapipeline.create_pipeline/3","type":"function"},{"doc":"Deactivates the specified running pipeline. The pipeline is set to the DEACTIVATING state until the deactivation process completes. To resume a deactivated pipeline, use ActivatePipeline . By default, the pipeline resumes from the last completed execution. Optionally, you can specify the date and time to resume the pipeline.","ref":"aws_datapipeline.html#deactivate_pipeline/2","title":"aws_datapipeline.deactivate_pipeline/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#deactivate_pipeline/3","title":"aws_datapipeline.deactivate_pipeline/3","type":"function"},{"doc":"Deletes a pipeline, its pipeline definition, and its run history. AWS Data Pipeline attempts to cancel instances associated with the pipeline that are currently being processed by task runners. Deleting a pipeline cannot be undone. You cannot query or restore a deleted pipeline. To temporarily pause a pipeline instead of deleting it, call SetStatus with the status set to PAUSE on individual components. Components that are paused by SetStatus can be resumed.","ref":"aws_datapipeline.html#delete_pipeline/2","title":"aws_datapipeline.delete_pipeline/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#delete_pipeline/3","title":"aws_datapipeline.delete_pipeline/3","type":"function"},{"doc":"Gets the object definitions for a set of objects associated with the pipeline. Object definitions are composed of a set of fields that define the properties of the object.","ref":"aws_datapipeline.html#describe_objects/2","title":"aws_datapipeline.describe_objects/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#describe_objects/3","title":"aws_datapipeline.describe_objects/3","type":"function"},{"doc":"Retrieves metadata about one or more pipelines. The information retrieved includes the name of the pipeline, the pipeline identifier, its current state, and the user account that owns the pipeline. Using account credentials, you can retrieve metadata about pipelines that you or your IAM users have created. If you are using an IAM user account, you can retrieve metadata about only those pipelines for which you have read permissions. To retrieve the full pipeline definition instead of metadata about the pipeline, call GetPipelineDefinition .","ref":"aws_datapipeline.html#describe_pipelines/2","title":"aws_datapipeline.describe_pipelines/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#describe_pipelines/3","title":"aws_datapipeline.describe_pipelines/3","type":"function"},{"doc":"Task runners call EvaluateExpression to evaluate a string in the context of the specified object. For example, a task runner can evaluate SQL queries stored in Amazon S3.","ref":"aws_datapipeline.html#evaluate_expression/2","title":"aws_datapipeline.evaluate_expression/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#evaluate_expression/3","title":"aws_datapipeline.evaluate_expression/3","type":"function"},{"doc":"Gets the definition of the specified pipeline. You can call GetPipelineDefinition to retrieve the pipeline definition that you provided using PutPipelineDefinition .","ref":"aws_datapipeline.html#get_pipeline_definition/2","title":"aws_datapipeline.get_pipeline_definition/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#get_pipeline_definition/3","title":"aws_datapipeline.get_pipeline_definition/3","type":"function"},{"doc":"Lists the pipeline identifiers for all active pipelines that you have permission to access.","ref":"aws_datapipeline.html#list_pipelines/2","title":"aws_datapipeline.list_pipelines/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#list_pipelines/3","title":"aws_datapipeline.list_pipelines/3","type":"function"},{"doc":"Task runners call PollForTask to receive a task to perform from AWS Data Pipeline. The task runner specifies which tasks it can perform by setting a value for the workerGroup parameter. The task returned can come from any of the pipelines that match the workerGroup value passed in by the task runner and that was launched using the IAM user credentials specified by the task runner. If tasks are ready in the work queue, PollForTask returns a response immediately. If no tasks are available in the queue, PollForTask uses long-polling and holds on to a poll connection for up to a 90 seconds, during which time the first newly scheduled task is handed to the task runner. To accomodate this, set the socket timeout in your task runner to 90 seconds. The task runner should not call PollForTask again on the same workerGroup until it receives a response, and this can take up to 90 seconds.","ref":"aws_datapipeline.html#poll_for_task/2","title":"aws_datapipeline.poll_for_task/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#poll_for_task/3","title":"aws_datapipeline.poll_for_task/3","type":"function"},{"doc":"Adds tasks, schedules, and preconditions to the specified pipeline. You can use PutPipelineDefinition to populate a new pipeline. PutPipelineDefinition also validates the configuration as it adds it to the pipeline. Changes to the pipeline are saved unless one of the following three validation errors exists in the pipeline. An object is missing a name or identifier field. A string or reference field is empty. The number of objects in the pipeline exceeds the maximum allowed objects. The pipeline is in a FINISHED state. Pipeline object definitions are passed to the PutPipelineDefinition action and returned by the GetPipelineDefinition action.","ref":"aws_datapipeline.html#put_pipeline_definition/2","title":"aws_datapipeline.put_pipeline_definition/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#put_pipeline_definition/3","title":"aws_datapipeline.put_pipeline_definition/3","type":"function"},{"doc":"Queries the specified pipeline for the names of objects that match the specified set of conditions.","ref":"aws_datapipeline.html#query_objects/2","title":"aws_datapipeline.query_objects/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#query_objects/3","title":"aws_datapipeline.query_objects/3","type":"function"},{"doc":"Removes existing tags from the specified pipeline.","ref":"aws_datapipeline.html#remove_tags/2","title":"aws_datapipeline.remove_tags/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#remove_tags/3","title":"aws_datapipeline.remove_tags/3","type":"function"},{"doc":"Task runners call ReportTaskProgress when assigned a task to acknowledge that it has the task. If the web service does not receive this acknowledgement within 2 minutes, it assigns the task in a subsequent PollForTask call. After this initial acknowledgement, the task runner only needs to report progress every 15 minutes to maintain its ownership of the task. You can change this reporting time from 15 minutes by specifying a reportProgressTimeout field in your pipeline. If a task runner does not report its status after 5 minutes, AWS Data Pipeline assumes that the task runner is unable to process the task and reassigns the task in a subsequent response to PollForTask . Task runners should call ReportTaskProgress every 60 seconds.","ref":"aws_datapipeline.html#report_task_progress/2","title":"aws_datapipeline.report_task_progress/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#report_task_progress/3","title":"aws_datapipeline.report_task_progress/3","type":"function"},{"doc":"Task runners call ReportTaskRunnerHeartbeat every 15 minutes to indicate that they are operational. If the AWS Data Pipeline Task Runner is launched on a resource managed by AWS Data Pipeline, the web service can use this call to detect when the task runner application has failed and restart a new instance.","ref":"aws_datapipeline.html#report_task_runner_heartbeat/2","title":"aws_datapipeline.report_task_runner_heartbeat/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#report_task_runner_heartbeat/3","title":"aws_datapipeline.report_task_runner_heartbeat/3","type":"function"},{"doc":"Requests that the status of the specified physical or logical pipeline objects be updated in the specified pipeline. This update might not occur immediately, but is eventually consistent. The status that can be set depends on the type of object (for example, DataNode or Activity). You cannot perform this operation on FINISHED pipelines and attempting to do so returns InvalidRequestException .","ref":"aws_datapipeline.html#set_status/2","title":"aws_datapipeline.set_status/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#set_status/3","title":"aws_datapipeline.set_status/3","type":"function"},{"doc":"Task runners call SetTaskStatus to notify AWS Data Pipeline that a task is completed and provide information about the final status. A task runner makes this call regardless of whether the task was sucessful. A task runner does not need to call SetTaskStatus for tasks that are canceled by the web service during a call to ReportTaskProgress .","ref":"aws_datapipeline.html#set_task_status/2","title":"aws_datapipeline.set_task_status/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#set_task_status/3","title":"aws_datapipeline.set_task_status/3","type":"function"},{"doc":"Validates the specified pipeline definition to ensure that it is well formed and can be run without error.","ref":"aws_datapipeline.html#validate_pipeline_definition/2","title":"aws_datapipeline.validate_pipeline_definition/2","type":"function"},{"doc":"","ref":"aws_datapipeline.html#validate_pipeline_definition/3","title":"aws_datapipeline.validate_pipeline_definition/3","type":"function"},{"doc":"DataSync DataSync is a managed data transfer service that makes it simpler for you to automate moving data between on-premises storage and Amazon Web Services storage services. You also can use DataSync to transfer data between other cloud providers and Amazon Web Services storage services. This API interface reference includes documentation for using DataSync programmatically. For complete information, see the DataSync User Guide .","ref":"aws_datasync.html","title":"aws_datasync","type":"module"},{"doc":"Stops an DataSync task execution that's in progress. The transfer of some files are abruptly interrupted. File contents that're transferred to the destination might be incomplete or inconsistent with the source files. However, if you start a new task execution using the same task and allow it to finish, file content on the destination will be complete and consistent. This applies to other unexpected failures that interrupt a task execution. In all of these cases, DataSync successfully completes the transfer when you start the next task execution.","ref":"aws_datasync.html#cancel_task_execution/2","title":"aws_datasync.cancel_task_execution/2","type":"function"},{"doc":"","ref":"aws_datasync.html#cancel_task_execution/3","title":"aws_datasync.cancel_task_execution/3","type":"function"},{"doc":"Activates an DataSync agent that you have deployed in your storage environment. The activation process associates your agent with your account. In the activation process, you specify information such as the Amazon Web Services Region that you want to activate the agent in. You activate the agent in the Amazon Web Services Region where your target locations (in Amazon S3 or Amazon EFS) reside. Your tasks are created in this Amazon Web Services Region. You can activate the agent in a VPC (virtual private cloud) or provide the agent access to a VPC endpoint so you can run tasks without going over the public internet. You can use an agent for more than one location. If a task uses multiple agents, all of them need to have status AVAILABLE for the task to run. If you use multiple agents for a source location, the status of all the agents must be AVAILABLE for the task to run. Agents are automatically updated by Amazon Web Services on a regular basis, using a mechanism that ensures minimal interruption to your tasks.","ref":"aws_datasync.html#create_agent/2","title":"aws_datasync.create_agent/2","type":"function"},{"doc":"","ref":"aws_datasync.html#create_agent/3","title":"aws_datasync.create_agent/3","type":"function"},{"doc":"Creates an endpoint for an Amazon EFS file system that DataSync can access for a transfer. For more information, see Creating a location for Amazon EFS.","ref":"aws_datasync.html#create_location_efs/2","title":"aws_datasync.create_location_efs/2","type":"function"},{"doc":"","ref":"aws_datasync.html#create_location_efs/3","title":"aws_datasync.create_location_efs/3","type":"function"},{"doc":"Creates an endpoint for an Amazon FSx for Lustre file system.","ref":"aws_datasync.html#create_location_fsx_lustre/2","title":"aws_datasync.create_location_fsx_lustre/2","type":"function"},{"doc":"","ref":"aws_datasync.html#create_location_fsx_lustre/3","title":"aws_datasync.create_location_fsx_lustre/3","type":"function"},{"doc":"Creates an endpoint for an Amazon FSx for NetApp ONTAP file system that DataSync can access for a transfer. For more information, see Creating a location for FSx for ONTAP.","ref":"aws_datasync.html#create_location_fsx_ontap/2","title":"aws_datasync.create_location_fsx_ontap/2","type":"function"},{"doc":"","ref":"aws_datasync.html#create_location_fsx_ontap/3","title":"aws_datasync.create_location_fsx_ontap/3","type":"function"},{"doc":"Creates an endpoint for an Amazon FSx for OpenZFS file system that DataSync can access for a transfer. For more information, see Creating a location for FSx for OpenZFS. Request parameters related to SMB aren't supported with the CreateLocationFsxOpenZfs operation.","ref":"aws_datasync.html#create_location_fsx_open_zfs/2","title":"aws_datasync.create_location_fsx_open_zfs/2","type":"function"},{"doc":"","ref":"aws_datasync.html#create_location_fsx_open_zfs/3","title":"aws_datasync.create_location_fsx_open_zfs/3","type":"function"},{"doc":"Creates an endpoint for an Amazon FSx for Windows File Server file system.","ref":"aws_datasync.html#create_location_fsx_windows/2","title":"aws_datasync.create_location_fsx_windows/2","type":"function"},{"doc":"","ref":"aws_datasync.html#create_location_fsx_windows/3","title":"aws_datasync.create_location_fsx_windows/3","type":"function"},{"doc":"Creates an endpoint for a Hadoop Distributed File System (HDFS).","ref":"aws_datasync.html#create_location_hdfs/2","title":"aws_datasync.create_location_hdfs/2","type":"function"},{"doc":"","ref":"aws_datasync.html#create_location_hdfs/3","title":"aws_datasync.create_location_hdfs/3","type":"function"},{"doc":"Defines a file system on a Network File System (NFS) server that can be read from or written to.","ref":"aws_datasync.html#create_location_nfs/2","title":"aws_datasync.create_location_nfs/2","type":"function"},{"doc":"","ref":"aws_datasync.html#create_location_nfs/3","title":"aws_datasync.create_location_nfs/3","type":"function"},{"doc":"Creates an endpoint for an object storage system that DataSync can access for a transfer. For more information, see Creating a location for object storage.","ref":"aws_datasync.html#create_location_object_storage/2","title":"aws_datasync.create_location_object_storage/2","type":"function"},{"doc":"","ref":"aws_datasync.html#create_location_object_storage/3","title":"aws_datasync.create_location_object_storage/3","type":"function"},{"doc":"Creates an endpoint for an Amazon S3 bucket that DataSync can access for a transfer. For more information, see Create an Amazon S3 location in the DataSync User Guide.","ref":"aws_datasync.html#create_location_s3/2","title":"aws_datasync.create_location_s3/2","type":"function"},{"doc":"","ref":"aws_datasync.html#create_location_s3/3","title":"aws_datasync.create_location_s3/3","type":"function"},{"doc":"Defines a file system on a Server Message Block (SMB) server that can be read from or written to.","ref":"aws_datasync.html#create_location_smb/2","title":"aws_datasync.create_location_smb/2","type":"function"},{"doc":"","ref":"aws_datasync.html#create_location_smb/3","title":"aws_datasync.create_location_smb/3","type":"function"},{"doc":"Configures a task, which defines where and how DataSync transfers your data. A task includes a source location, a destination location, and the preferences for how and when you want to transfer your data (such as bandwidth limits, scheduling, among other options).","ref":"aws_datasync.html#create_task/2","title":"aws_datasync.create_task/2","type":"function"},{"doc":"","ref":"aws_datasync.html#create_task/3","title":"aws_datasync.create_task/3","type":"function"},{"doc":"Deletes an agent. To specify which agent to delete, use the Amazon Resource Name (ARN) of the agent in your request. The operation disassociates the agent from your Amazon Web Services account. However, it doesn't delete the agent virtual machine (VM) from your on-premises environment.","ref":"aws_datasync.html#delete_agent/2","title":"aws_datasync.delete_agent/2","type":"function"},{"doc":"","ref":"aws_datasync.html#delete_agent/3","title":"aws_datasync.delete_agent/3","type":"function"},{"doc":"Deletes the configuration of a location used by DataSync.","ref":"aws_datasync.html#delete_location/2","title":"aws_datasync.delete_location/2","type":"function"},{"doc":"","ref":"aws_datasync.html#delete_location/3","title":"aws_datasync.delete_location/3","type":"function"},{"doc":"Deletes an DataSync task.","ref":"aws_datasync.html#delete_task/2","title":"aws_datasync.delete_task/2","type":"function"},{"doc":"","ref":"aws_datasync.html#delete_task/3","title":"aws_datasync.delete_task/3","type":"function"},{"doc":"Returns metadata such as the name, the network interfaces, and the status (that is, whether the agent is running or not) for an agent. To specify which agent to describe, use the Amazon Resource Name (ARN) of the agent in your request.","ref":"aws_datasync.html#describe_agent/2","title":"aws_datasync.describe_agent/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_agent/3","title":"aws_datasync.describe_agent/3","type":"function"},{"doc":"Returns metadata about your DataSync location for an Amazon EFS file system.","ref":"aws_datasync.html#describe_location_efs/2","title":"aws_datasync.describe_location_efs/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_location_efs/3","title":"aws_datasync.describe_location_efs/3","type":"function"},{"doc":"Provides details about how an DataSync location for an Amazon FSx for Lustre file system is configured.","ref":"aws_datasync.html#describe_location_fsx_lustre/2","title":"aws_datasync.describe_location_fsx_lustre/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_location_fsx_lustre/3","title":"aws_datasync.describe_location_fsx_lustre/3","type":"function"},{"doc":"Provides details about how an DataSync location for an Amazon FSx for NetApp ONTAP file system is configured. If your location uses SMB, the DescribeLocationFsxOntap operation doesn't actually return a Password .","ref":"aws_datasync.html#describe_location_fsx_ontap/2","title":"aws_datasync.describe_location_fsx_ontap/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_location_fsx_ontap/3","title":"aws_datasync.describe_location_fsx_ontap/3","type":"function"},{"doc":"Provides details about how an DataSync location for an Amazon FSx for OpenZFS file system is configured. Response elements related to SMB aren't supported with the DescribeLocationFsxOpenZfs operation.","ref":"aws_datasync.html#describe_location_fsx_open_zfs/2","title":"aws_datasync.describe_location_fsx_open_zfs/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_location_fsx_open_zfs/3","title":"aws_datasync.describe_location_fsx_open_zfs/3","type":"function"},{"doc":"Returns metadata about an Amazon FSx for Windows File Server location, such as information about its path.","ref":"aws_datasync.html#describe_location_fsx_windows/2","title":"aws_datasync.describe_location_fsx_windows/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_location_fsx_windows/3","title":"aws_datasync.describe_location_fsx_windows/3","type":"function"},{"doc":"Returns metadata, such as the authentication information about the Hadoop Distributed File System (HDFS) location.","ref":"aws_datasync.html#describe_location_hdfs/2","title":"aws_datasync.describe_location_hdfs/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_location_hdfs/3","title":"aws_datasync.describe_location_hdfs/3","type":"function"},{"doc":"Returns metadata, such as the path information, about an NFS location.","ref":"aws_datasync.html#describe_location_nfs/2","title":"aws_datasync.describe_location_nfs/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_location_nfs/3","title":"aws_datasync.describe_location_nfs/3","type":"function"},{"doc":"Returns metadata about your DataSync location for an object storage system.","ref":"aws_datasync.html#describe_location_object_storage/2","title":"aws_datasync.describe_location_object_storage/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_location_object_storage/3","title":"aws_datasync.describe_location_object_storage/3","type":"function"},{"doc":"Returns metadata, such as bucket name, about an Amazon S3 bucket location.","ref":"aws_datasync.html#describe_location_s3/2","title":"aws_datasync.describe_location_s3/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_location_s3/3","title":"aws_datasync.describe_location_s3/3","type":"function"},{"doc":"Returns metadata, such as the path and user information about an SMB location.","ref":"aws_datasync.html#describe_location_smb/2","title":"aws_datasync.describe_location_smb/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_location_smb/3","title":"aws_datasync.describe_location_smb/3","type":"function"},{"doc":"Returns metadata about a task.","ref":"aws_datasync.html#describe_task/2","title":"aws_datasync.describe_task/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_task/3","title":"aws_datasync.describe_task/3","type":"function"},{"doc":"Returns detailed metadata about a task that is being executed.","ref":"aws_datasync.html#describe_task_execution/2","title":"aws_datasync.describe_task_execution/2","type":"function"},{"doc":"","ref":"aws_datasync.html#describe_task_execution/3","title":"aws_datasync.describe_task_execution/3","type":"function"},{"doc":"Returns a list of agents owned by an Amazon Web Services account in the Amazon Web Services Region specified in the request. The returned list is ordered by agent Amazon Resource Name (ARN). By default, this operation returns a maximum of 100 agents. This operation supports pagination that enables you to optionally reduce the number of agents returned in a response. If you have more agents than are returned in a response (that is, the response returns only a truncated list of your agents), the response contains a marker that you can specify in your next request to fetch the next page of agents.","ref":"aws_datasync.html#list_agents/2","title":"aws_datasync.list_agents/2","type":"function"},{"doc":"","ref":"aws_datasync.html#list_agents/3","title":"aws_datasync.list_agents/3","type":"function"},{"doc":"Returns a list of source and destination locations. If you have more locations than are returned in a response (that is, the response returns only a truncated list of your agents), the response contains a token that you can specify in your next request to fetch the next page of locations.","ref":"aws_datasync.html#list_locations/2","title":"aws_datasync.list_locations/2","type":"function"},{"doc":"","ref":"aws_datasync.html#list_locations/3","title":"aws_datasync.list_locations/3","type":"function"},{"doc":"Returns all the tags associated with an Amazon Web Services resource.","ref":"aws_datasync.html#list_tags_for_resource/2","title":"aws_datasync.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_datasync.html#list_tags_for_resource/3","title":"aws_datasync.list_tags_for_resource/3","type":"function"},{"doc":"Returns a list of executed tasks.","ref":"aws_datasync.html#list_task_executions/2","title":"aws_datasync.list_task_executions/2","type":"function"},{"doc":"","ref":"aws_datasync.html#list_task_executions/3","title":"aws_datasync.list_task_executions/3","type":"function"},{"doc":"Returns a list of the DataSync tasks you created.","ref":"aws_datasync.html#list_tasks/2","title":"aws_datasync.list_tasks/2","type":"function"},{"doc":"","ref":"aws_datasync.html#list_tasks/3","title":"aws_datasync.list_tasks/3","type":"function"},{"doc":"Starts an DataSync task. For each task, you can only run one task execution at a time. There are several phases to a task execution. For more information, see Task execution statuses.","ref":"aws_datasync.html#start_task_execution/2","title":"aws_datasync.start_task_execution/2","type":"function"},{"doc":"","ref":"aws_datasync.html#start_task_execution/3","title":"aws_datasync.start_task_execution/3","type":"function"},{"doc":"Applies a tag to an Amazon Web Services resource. Tags are key-value pairs that can help you manage, filter, and search for your resources. These include DataSync resources, such as locations, tasks, and task executions.","ref":"aws_datasync.html#tag_resource/2","title":"aws_datasync.tag_resource/2","type":"function"},{"doc":"","ref":"aws_datasync.html#tag_resource/3","title":"aws_datasync.tag_resource/3","type":"function"},{"doc":"Removes tags from an Amazon Web Services resource.","ref":"aws_datasync.html#untag_resource/2","title":"aws_datasync.untag_resource/2","type":"function"},{"doc":"","ref":"aws_datasync.html#untag_resource/3","title":"aws_datasync.untag_resource/3","type":"function"},{"doc":"Updates the name of an agent.","ref":"aws_datasync.html#update_agent/2","title":"aws_datasync.update_agent/2","type":"function"},{"doc":"","ref":"aws_datasync.html#update_agent/3","title":"aws_datasync.update_agent/3","type":"function"},{"doc":"Updates some parameters of a previously created location for a Hadoop Distributed File System cluster.","ref":"aws_datasync.html#update_location_hdfs/2","title":"aws_datasync.update_location_hdfs/2","type":"function"},{"doc":"","ref":"aws_datasync.html#update_location_hdfs/3","title":"aws_datasync.update_location_hdfs/3","type":"function"},{"doc":"Updates some of the parameters of a previously created location for Network File System (NFS) access. For information about creating an NFS location, see Creating a location for NFS.","ref":"aws_datasync.html#update_location_nfs/2","title":"aws_datasync.update_location_nfs/2","type":"function"},{"doc":"","ref":"aws_datasync.html#update_location_nfs/3","title":"aws_datasync.update_location_nfs/3","type":"function"},{"doc":"Updates some parameters of an existing object storage location that DataSync accesses for a transfer. For information about creating a self-managed object storage location, see Creating a location for object storage.","ref":"aws_datasync.html#update_location_object_storage/2","title":"aws_datasync.update_location_object_storage/2","type":"function"},{"doc":"","ref":"aws_datasync.html#update_location_object_storage/3","title":"aws_datasync.update_location_object_storage/3","type":"function"},{"doc":"Updates some of the parameters of a previously created location for Server Message Block (SMB) file system access. For information about creating an SMB location, see Creating a location for SMB.","ref":"aws_datasync.html#update_location_smb/2","title":"aws_datasync.update_location_smb/2","type":"function"},{"doc":"","ref":"aws_datasync.html#update_location_smb/3","title":"aws_datasync.update_location_smb/3","type":"function"},{"doc":"Updates the metadata associated with a task.","ref":"aws_datasync.html#update_task/2","title":"aws_datasync.update_task/2","type":"function"},{"doc":"","ref":"aws_datasync.html#update_task/3","title":"aws_datasync.update_task/3","type":"function"},{"doc":"Updates execution of a task. You can modify bandwidth throttling for a task execution that is running or queued. For more information, see Adjusting Bandwidth Throttling for a Task Execution. The only Option that can be modified by UpdateTaskExecution is BytesPerSecond .","ref":"aws_datasync.html#update_task_execution/2","title":"aws_datasync.update_task_execution/2","type":"function"},{"doc":"","ref":"aws_datasync.html#update_task_execution/3","title":"aws_datasync.update_task_execution/3","type":"function"},{"doc":"DAX is a managed caching service engineered for Amazon DynamoDB. DAX dramatically speeds up database reads by caching frequently-accessed data from DynamoDB, so applications can access that data with sub-millisecond latency. You can create a DAX cluster easily, using the AWS Management Console. With a few simple modifications to your code, your application can begin taking advantage of the DAX cluster and realize significant improvements in read performance.","ref":"aws_dax.html","title":"aws_dax","type":"module"},{"doc":"Creates a DAX cluster. All nodes in the cluster run the same DAX caching software.","ref":"aws_dax.html#create_cluster/2","title":"aws_dax.create_cluster/2","type":"function"},{"doc":"","ref":"aws_dax.html#create_cluster/3","title":"aws_dax.create_cluster/3","type":"function"},{"doc":"Creates a new parameter group. A parameter group is a collection of parameters that you apply to all of the nodes in a DAX cluster.","ref":"aws_dax.html#create_parameter_group/2","title":"aws_dax.create_parameter_group/2","type":"function"},{"doc":"","ref":"aws_dax.html#create_parameter_group/3","title":"aws_dax.create_parameter_group/3","type":"function"},{"doc":"Creates a new subnet group.","ref":"aws_dax.html#create_subnet_group/2","title":"aws_dax.create_subnet_group/2","type":"function"},{"doc":"","ref":"aws_dax.html#create_subnet_group/3","title":"aws_dax.create_subnet_group/3","type":"function"},{"doc":"Removes one or more nodes from a DAX cluster. You cannot use DecreaseReplicationFactor to remove the last node in a DAX cluster. If you need to do this, use DeleteCluster instead.","ref":"aws_dax.html#decrease_replication_factor/2","title":"aws_dax.decrease_replication_factor/2","type":"function"},{"doc":"","ref":"aws_dax.html#decrease_replication_factor/3","title":"aws_dax.decrease_replication_factor/3","type":"function"},{"doc":"Deletes a previously provisioned DAX cluster. DeleteCluster deletes all associated nodes, node endpoints and the DAX cluster itself. When you receive a successful response from this action, DAX immediately begins deleting the cluster; you cannot cancel or revert this action.","ref":"aws_dax.html#delete_cluster/2","title":"aws_dax.delete_cluster/2","type":"function"},{"doc":"","ref":"aws_dax.html#delete_cluster/3","title":"aws_dax.delete_cluster/3","type":"function"},{"doc":"Deletes the specified parameter group. You cannot delete a parameter group if it is associated with any DAX clusters.","ref":"aws_dax.html#delete_parameter_group/2","title":"aws_dax.delete_parameter_group/2","type":"function"},{"doc":"","ref":"aws_dax.html#delete_parameter_group/3","title":"aws_dax.delete_parameter_group/3","type":"function"},{"doc":"Deletes a subnet group. You cannot delete a subnet group if it is associated with any DAX clusters.","ref":"aws_dax.html#delete_subnet_group/2","title":"aws_dax.delete_subnet_group/2","type":"function"},{"doc":"","ref":"aws_dax.html#delete_subnet_group/3","title":"aws_dax.delete_subnet_group/3","type":"function"},{"doc":"Returns information about all provisioned DAX clusters if no cluster identifier is specified, or about a specific DAX cluster if a cluster identifier is supplied. If the cluster is in the CREATING state, only cluster level information will be displayed until all of the nodes are successfully provisioned. If the cluster is in the DELETING state, only cluster level information will be displayed. If nodes are currently being added to the DAX cluster, node endpoint information and creation time for the additional nodes will not be displayed until they are completely provisioned. When the DAX cluster state is available, the cluster is ready for use. If nodes are currently being removed from the DAX cluster, no endpoint information for the removed nodes is displayed.","ref":"aws_dax.html#describe_clusters/2","title":"aws_dax.describe_clusters/2","type":"function"},{"doc":"","ref":"aws_dax.html#describe_clusters/3","title":"aws_dax.describe_clusters/3","type":"function"},{"doc":"Returns the default system parameter information for the DAX caching software.","ref":"aws_dax.html#describe_default_parameters/2","title":"aws_dax.describe_default_parameters/2","type":"function"},{"doc":"","ref":"aws_dax.html#describe_default_parameters/3","title":"aws_dax.describe_default_parameters/3","type":"function"},{"doc":"Returns events related to DAX clusters and parameter groups. You can obtain events specific to a particular DAX cluster or parameter group by providing the name as a parameter. By default, only the events occurring within the last 24 hours are returned; however, you can retrieve up to 14 days' worth of events if necessary.","ref":"aws_dax.html#describe_events/2","title":"aws_dax.describe_events/2","type":"function"},{"doc":"","ref":"aws_dax.html#describe_events/3","title":"aws_dax.describe_events/3","type":"function"},{"doc":"Returns a list of parameter group descriptions. If a parameter group name is specified, the list will contain only the descriptions for that group.","ref":"aws_dax.html#describe_parameter_groups/2","title":"aws_dax.describe_parameter_groups/2","type":"function"},{"doc":"","ref":"aws_dax.html#describe_parameter_groups/3","title":"aws_dax.describe_parameter_groups/3","type":"function"},{"doc":"Returns the detailed parameter list for a particular parameter group.","ref":"aws_dax.html#describe_parameters/2","title":"aws_dax.describe_parameters/2","type":"function"},{"doc":"","ref":"aws_dax.html#describe_parameters/3","title":"aws_dax.describe_parameters/3","type":"function"},{"doc":"Returns a list of subnet group descriptions. If a subnet group name is specified, the list will contain only the description of that group.","ref":"aws_dax.html#describe_subnet_groups/2","title":"aws_dax.describe_subnet_groups/2","type":"function"},{"doc":"","ref":"aws_dax.html#describe_subnet_groups/3","title":"aws_dax.describe_subnet_groups/3","type":"function"},{"doc":"Adds one or more nodes to a DAX cluster.","ref":"aws_dax.html#increase_replication_factor/2","title":"aws_dax.increase_replication_factor/2","type":"function"},{"doc":"","ref":"aws_dax.html#increase_replication_factor/3","title":"aws_dax.increase_replication_factor/3","type":"function"},{"doc":"List all of the tags for a DAX cluster. You can call ListTags up to 10 times per second, per account.","ref":"aws_dax.html#list_tags/2","title":"aws_dax.list_tags/2","type":"function"},{"doc":"","ref":"aws_dax.html#list_tags/3","title":"aws_dax.list_tags/3","type":"function"},{"doc":"Reboots a single node of a DAX cluster. The reboot action takes place as soon as possible. During the reboot, the node status is set to REBOOTING. RebootNode restarts the DAX engine process and does not remove the contents of the cache.","ref":"aws_dax.html#reboot_node/2","title":"aws_dax.reboot_node/2","type":"function"},{"doc":"","ref":"aws_dax.html#reboot_node/3","title":"aws_dax.reboot_node/3","type":"function"},{"doc":"Associates a set of tags with a DAX resource. You can call TagResource up to 5 times per second, per account.","ref":"aws_dax.html#tag_resource/2","title":"aws_dax.tag_resource/2","type":"function"},{"doc":"","ref":"aws_dax.html#tag_resource/3","title":"aws_dax.tag_resource/3","type":"function"},{"doc":"Removes the association of tags from a DAX resource. You can call UntagResource up to 5 times per second, per account.","ref":"aws_dax.html#untag_resource/2","title":"aws_dax.untag_resource/2","type":"function"},{"doc":"","ref":"aws_dax.html#untag_resource/3","title":"aws_dax.untag_resource/3","type":"function"},{"doc":"Modifies the settings for a DAX cluster. You can use this action to change one or more cluster configuration parameters by specifying the parameters and the new values.","ref":"aws_dax.html#update_cluster/2","title":"aws_dax.update_cluster/2","type":"function"},{"doc":"","ref":"aws_dax.html#update_cluster/3","title":"aws_dax.update_cluster/3","type":"function"},{"doc":"Modifies the parameters of a parameter group. You can modify up to 20 parameters in a single request by submitting a list parameter name and value pairs.","ref":"aws_dax.html#update_parameter_group/2","title":"aws_dax.update_parameter_group/2","type":"function"},{"doc":"","ref":"aws_dax.html#update_parameter_group/3","title":"aws_dax.update_parameter_group/3","type":"function"},{"doc":"Modifies an existing subnet group.","ref":"aws_dax.html#update_subnet_group/2","title":"aws_dax.update_subnet_group/2","type":"function"},{"doc":"","ref":"aws_dax.html#update_subnet_group/3","title":"aws_dax.update_subnet_group/3","type":"function"},{"doc":"Detective uses machine learning and purpose-built visualizations to help you to analyze and investigate security issues across your Amazon Web Services (Amazon Web Services) workloads. Detective automatically extracts time-based events such as login attempts, API calls, and network traffic from CloudTrail and Amazon Virtual Private Cloud (Amazon VPC) flow logs. It also extracts findings detected by Amazon GuardDuty. The Detective API primarily supports the creation and management of behavior graphs. A behavior graph contains the extracted data from a set of member accounts, and is created and managed by an administrator account. To add a member account to the behavior graph, the administrator account sends an invitation to the account. When the account accepts the invitation, it becomes a member account in the behavior graph. Detective is also integrated with Organizations. The organization management account designates the Detective administrator account for the organization. That account becomes the administrator account for the organization behavior graph. The Detective administrator account is also the delegated administrator account for Detective in Organizations. The Detective administrator account can enable any organization account as a member account in the organization behavior graph. The organization accounts do not receive invitations. The Detective administrator account can also invite other accounts to the organization behavior graph. Every behavior graph is specific to a Region. You can only use the API to manage behavior graphs that belong to the Region that is associated with the currently selected endpoint. The administrator account for a behavior graph can use the Detective API to do the following: Enable and disable Detective. Enabling Detective creates a new behavior graph. View the list of member accounts in a behavior graph. Add member accounts to a behavior graph. Remove member accounts from a behavior graph. Apply tags to a behavior graph. The organization management account can use the Detective API to select the delegated administrator for Detective. The Detective administrator account for an organization can use the Detective API to do the following: Perform all of the functions of an administrator account. Determine whether to automatically enable new organization accounts as member accounts in the organization behavior graph. An invited member account can use the Detective API to do the following: View the list of behavior graphs that they are invited to. Accept an invitation to contribute to a behavior graph. Decline an invitation to contribute to a behavior graph. Remove their account from a behavior graph. All API actions are logged as CloudTrail events. See Logging Detective API Calls with CloudTrail. We replaced the term &quot;master account&quot; with the term &quot;administrator account.&quot; An administrator account is used to centrally manage multiple accounts. In the case of Detective, the administrator account manages the accounts in their behavior graph.","ref":"aws_detective.html","title":"aws_detective","type":"module"},{"doc":"Accepts an invitation for the member account to contribute data to a behavior graph. This operation can only be called by an invited member account. The request provides the ARN of behavior graph. The member account status in the graph must be INVITED .","ref":"aws_detective.html#accept_invitation/2","title":"aws_detective.accept_invitation/2","type":"function"},{"doc":"","ref":"aws_detective.html#accept_invitation/3","title":"aws_detective.accept_invitation/3","type":"function"},{"doc":"Gets data source package information for the behavior graph.","ref":"aws_detective.html#batch_get_graph_member_datasources/2","title":"aws_detective.batch_get_graph_member_datasources/2","type":"function"},{"doc":"","ref":"aws_detective.html#batch_get_graph_member_datasources/3","title":"aws_detective.batch_get_graph_member_datasources/3","type":"function"},{"doc":"Gets information on the data source package history for an account.","ref":"aws_detective.html#batch_get_membership_datasources/2","title":"aws_detective.batch_get_membership_datasources/2","type":"function"},{"doc":"","ref":"aws_detective.html#batch_get_membership_datasources/3","title":"aws_detective.batch_get_membership_datasources/3","type":"function"},{"doc":"Creates a new behavior graph for the calling account, and sets that account as the administrator account. This operation is called by the account that is enabling Detective. Before you try to enable Detective, make sure that your account has been enrolled in Amazon GuardDuty for at least 48 hours. If you do not meet this requirement, you cannot enable Detective. If you do meet the GuardDuty prerequisite, then when you make the request to enable Detective, it checks whether your data volume is within the Detective quota. If it exceeds the quota, then you cannot enable Detective. The operation also enables Detective for the calling account in the currently selected Region. It returns the ARN of the new behavior graph. CreateGraph triggers a process to create the corresponding data tables for the new behavior graph. An account can only be the administrator account for one behavior graph within a Region. If the same account calls CreateGraph with the same administrator account, it always returns the same behavior graph ARN. It does not create a new behavior graph.","ref":"aws_detective.html#create_graph/2","title":"aws_detective.create_graph/2","type":"function"},{"doc":"","ref":"aws_detective.html#create_graph/3","title":"aws_detective.create_graph/3","type":"function"},{"doc":"CreateMembers is used to send invitations to accounts. For the organization behavior graph, the Detective administrator account uses CreateMembers to enable organization accounts as member accounts. For invited accounts, CreateMembers sends a request to invite the specified Amazon Web Services accounts to be member accounts in the behavior graph. This operation can only be called by the administrator account for a behavior graph. CreateMembers verifies the accounts and then invites the verified accounts. The administrator can optionally specify to not send invitation emails to the member accounts. This would be used when the administrator manages their member accounts centrally. For organization accounts in the organization behavior graph, CreateMembers attempts to enable the accounts. The organization accounts do not receive invitations. The request provides the behavior graph ARN and the list of accounts to invite or to enable. The response separates the requested accounts into two lists: The accounts that CreateMembers was able to process. For invited accounts, includes member accounts that are being verified, that have passed verification and are to be invited, and that have failed verification. For organization accounts in the organization behavior graph, includes accounts that can be enabled and that cannot be enabled. The accounts that CreateMembers was unable to process. This list includes accounts that were already invited to be member accounts in the behavior graph.","ref":"aws_detective.html#create_members/2","title":"aws_detective.create_members/2","type":"function"},{"doc":"","ref":"aws_detective.html#create_members/3","title":"aws_detective.create_members/3","type":"function"},{"doc":"Disables the specified behavior graph and queues it to be deleted. This operation removes the behavior graph from each member account's list of behavior graphs. DeleteGraph can only be called by the administrator account for a behavior graph.","ref":"aws_detective.html#delete_graph/2","title":"aws_detective.delete_graph/2","type":"function"},{"doc":"","ref":"aws_detective.html#delete_graph/3","title":"aws_detective.delete_graph/3","type":"function"},{"doc":"Removes the specified member accounts from the behavior graph. The removed accounts no longer contribute data to the behavior graph. This operation can only be called by the administrator account for the behavior graph. For invited accounts, the removed accounts are deleted from the list of accounts in the behavior graph. To restore the account, the administrator account must send another invitation. For organization accounts in the organization behavior graph, the Detective administrator account can always enable the organization account again. Organization accounts that are not enabled as member accounts are not included in the ListMembers results for the organization behavior graph. An administrator account cannot use DeleteMembers to remove their own account from the behavior graph. To disable a behavior graph, the administrator account uses the DeleteGraph API method.","ref":"aws_detective.html#delete_members/2","title":"aws_detective.delete_members/2","type":"function"},{"doc":"","ref":"aws_detective.html#delete_members/3","title":"aws_detective.delete_members/3","type":"function"},{"doc":"Returns information about the configuration for the organization behavior graph. Currently indicates whether to automatically enable new organization accounts as member accounts. Can only be called by the Detective administrator account for the organization.","ref":"aws_detective.html#describe_organization_configuration/2","title":"aws_detective.describe_organization_configuration/2","type":"function"},{"doc":"","ref":"aws_detective.html#describe_organization_configuration/3","title":"aws_detective.describe_organization_configuration/3","type":"function"},{"doc":"Removes the Detective administrator account in the current Region. Deletes the organization behavior graph. Can only be called by the organization management account. Removing the Detective administrator account does not affect the delegated administrator account for Detective in Organizations. To remove the delegated administrator account in Organizations, use the Organizations API. Removing the delegated administrator account also removes the Detective administrator account in all Regions, except for Regions where the Detective administrator account is the organization management account.","ref":"aws_detective.html#disable_organization_admin_account/2","title":"aws_detective.disable_organization_admin_account/2","type":"function"},{"doc":"","ref":"aws_detective.html#disable_organization_admin_account/3","title":"aws_detective.disable_organization_admin_account/3","type":"function"},{"doc":"Removes the member account from the specified behavior graph. This operation can only be called by an invited member account that has the ENABLED status. DisassociateMembership cannot be called by an organization account in the organization behavior graph. For the organization behavior graph, the Detective administrator account determines which organization accounts to enable or disable as member accounts.","ref":"aws_detective.html#disassociate_membership/2","title":"aws_detective.disassociate_membership/2","type":"function"},{"doc":"","ref":"aws_detective.html#disassociate_membership/3","title":"aws_detective.disassociate_membership/3","type":"function"},{"doc":"Designates the Detective administrator account for the organization in the current Region. If the account does not have Detective enabled, then enables Detective for that account and creates a new behavior graph. Can only be called by the organization management account. If the organization has a delegated administrator account in Organizations, then the Detective administrator account must be either the delegated administrator account or the organization management account. If the organization does not have a delegated administrator account in Organizations, then you can choose any account in the organization. If you choose an account other than the organization management account, Detective calls Organizations to make that account the delegated administrator account for Detective. The organization management account cannot be the delegated administrator account.","ref":"aws_detective.html#enable_organization_admin_account/2","title":"aws_detective.enable_organization_admin_account/2","type":"function"},{"doc":"","ref":"aws_detective.html#enable_organization_admin_account/3","title":"aws_detective.enable_organization_admin_account/3","type":"function"},{"doc":"Returns the membership details for specified member accounts for a behavior graph.","ref":"aws_detective.html#get_members/2","title":"aws_detective.get_members/2","type":"function"},{"doc":"","ref":"aws_detective.html#get_members/3","title":"aws_detective.get_members/3","type":"function"},{"doc":"Lists data source packages in the behavior graph.","ref":"aws_detective.html#list_datasource_packages/2","title":"aws_detective.list_datasource_packages/2","type":"function"},{"doc":"","ref":"aws_detective.html#list_datasource_packages/3","title":"aws_detective.list_datasource_packages/3","type":"function"},{"doc":"Returns the list of behavior graphs that the calling account is an administrator account of. This operation can only be called by an administrator account. Because an account can currently only be the administrator of one behavior graph within a Region, the results always contain a single behavior graph.","ref":"aws_detective.html#list_graphs/2","title":"aws_detective.list_graphs/2","type":"function"},{"doc":"","ref":"aws_detective.html#list_graphs/3","title":"aws_detective.list_graphs/3","type":"function"},{"doc":"Retrieves the list of open and accepted behavior graph invitations for the member account. This operation can only be called by an invited member account. Open invitations are invitations that the member account has not responded to. The results do not include behavior graphs for which the member account declined the invitation. The results also do not include behavior graphs that the member account resigned from or was removed from.","ref":"aws_detective.html#list_invitations/2","title":"aws_detective.list_invitations/2","type":"function"},{"doc":"","ref":"aws_detective.html#list_invitations/3","title":"aws_detective.list_invitations/3","type":"function"},{"doc":"Retrieves the list of member accounts for a behavior graph. For invited accounts, the results do not include member accounts that were removed from the behavior graph. For the organization behavior graph, the results do not include organization accounts that the Detective administrator account has not enabled as member accounts.","ref":"aws_detective.html#list_members/2","title":"aws_detective.list_members/2","type":"function"},{"doc":"","ref":"aws_detective.html#list_members/3","title":"aws_detective.list_members/3","type":"function"},{"doc":"Returns information about the Detective administrator account for an organization. Can only be called by the organization management account.","ref":"aws_detective.html#list_organization_admin_accounts/2","title":"aws_detective.list_organization_admin_accounts/2","type":"function"},{"doc":"","ref":"aws_detective.html#list_organization_admin_accounts/3","title":"aws_detective.list_organization_admin_accounts/3","type":"function"},{"doc":"Returns the tag values that are assigned to a behavior graph.","ref":"aws_detective.html#list_tags_for_resource/2","title":"aws_detective.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_detective.html#list_tags_for_resource/4","title":"aws_detective.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_detective.html#list_tags_for_resource/5","title":"aws_detective.list_tags_for_resource/5","type":"function"},{"doc":"Rejects an invitation to contribute the account data to a behavior graph. This operation must be called by an invited member account that has the INVITED status. RejectInvitation cannot be called by an organization account in the organization behavior graph. In the organization behavior graph, organization accounts do not receive an invitation.","ref":"aws_detective.html#reject_invitation/2","title":"aws_detective.reject_invitation/2","type":"function"},{"doc":"","ref":"aws_detective.html#reject_invitation/3","title":"aws_detective.reject_invitation/3","type":"function"},{"doc":"Sends a request to enable data ingest for a member account that has a status of ACCEPTED_BUT_DISABLED . For valid member accounts, the status is updated as follows. If Detective enabled the member account, then the new status is ENABLED . If Detective cannot enable the member account, the status remains ACCEPTED_BUT_DISABLED .","ref":"aws_detective.html#start_monitoring_member/2","title":"aws_detective.start_monitoring_member/2","type":"function"},{"doc":"","ref":"aws_detective.html#start_monitoring_member/3","title":"aws_detective.start_monitoring_member/3","type":"function"},{"doc":"Applies tag values to a behavior graph.","ref":"aws_detective.html#tag_resource/3","title":"aws_detective.tag_resource/3","type":"function"},{"doc":"","ref":"aws_detective.html#tag_resource/4","title":"aws_detective.tag_resource/4","type":"function"},{"doc":"Removes tags from a behavior graph.","ref":"aws_detective.html#untag_resource/3","title":"aws_detective.untag_resource/3","type":"function"},{"doc":"","ref":"aws_detective.html#untag_resource/4","title":"aws_detective.untag_resource/4","type":"function"},{"doc":"Starts a data source packages for the behavior graph.","ref":"aws_detective.html#update_datasource_packages/2","title":"aws_detective.update_datasource_packages/2","type":"function"},{"doc":"","ref":"aws_detective.html#update_datasource_packages/3","title":"aws_detective.update_datasource_packages/3","type":"function"},{"doc":"Updates the configuration for the Organizations integration in the current Region. Can only be called by the Detective administrator account for the organization.","ref":"aws_detective.html#update_organization_configuration/2","title":"aws_detective.update_organization_configuration/2","type":"function"},{"doc":"","ref":"aws_detective.html#update_organization_configuration/3","title":"aws_detective.update_organization_configuration/3","type":"function"},{"doc":"Welcome to the AWS Device Farm API documentation, which contains APIs for: Testing on desktop browsers Device Farm makes it possible for you to test your web applications on desktop browsers using Selenium. The APIs for desktop browser testing contain TestGrid in their names. For more information, see Testing Web Applications on Selenium with Device Farm. Testing on real mobile devices Device Farm makes it possible for you to test apps on physical phones, tablets, and other devices in the cloud. For more information, see the Device Farm Developer Guide.","ref":"aws_device_farm.html","title":"aws_device_farm","type":"module"},{"doc":"Creates a device pool.","ref":"aws_device_farm.html#create_device_pool/2","title":"aws_device_farm.create_device_pool/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#create_device_pool/3","title":"aws_device_farm.create_device_pool/3","type":"function"},{"doc":"Creates a profile that can be applied to one or more private fleet device instances.","ref":"aws_device_farm.html#create_instance_profile/2","title":"aws_device_farm.create_instance_profile/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#create_instance_profile/3","title":"aws_device_farm.create_instance_profile/3","type":"function"},{"doc":"Creates a network profile.","ref":"aws_device_farm.html#create_network_profile/2","title":"aws_device_farm.create_network_profile/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#create_network_profile/3","title":"aws_device_farm.create_network_profile/3","type":"function"},{"doc":"Creates a project.","ref":"aws_device_farm.html#create_project/2","title":"aws_device_farm.create_project/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#create_project/3","title":"aws_device_farm.create_project/3","type":"function"},{"doc":"Specifies and starts a remote access session.","ref":"aws_device_farm.html#create_remote_access_session/2","title":"aws_device_farm.create_remote_access_session/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#create_remote_access_session/3","title":"aws_device_farm.create_remote_access_session/3","type":"function"},{"doc":"Creates a Selenium testing project. Projects are used to track TestGridSession instances.","ref":"aws_device_farm.html#create_test_grid_project/2","title":"aws_device_farm.create_test_grid_project/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#create_test_grid_project/3","title":"aws_device_farm.create_test_grid_project/3","type":"function"},{"doc":"Creates a signed, short-term URL that can be passed to a Selenium RemoteWebDriver constructor.","ref":"aws_device_farm.html#create_test_grid_url/2","title":"aws_device_farm.create_test_grid_url/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#create_test_grid_url/3","title":"aws_device_farm.create_test_grid_url/3","type":"function"},{"doc":"Uploads an app or test scripts.","ref":"aws_device_farm.html#create_upload/2","title":"aws_device_farm.create_upload/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#create_upload/3","title":"aws_device_farm.create_upload/3","type":"function"},{"doc":"Creates a configuration record in Device Farm for your Amazon Virtual Private Cloud (VPC) endpoint.","ref":"aws_device_farm.html#create_vpce_configuration/2","title":"aws_device_farm.create_vpce_configuration/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#create_vpce_configuration/3","title":"aws_device_farm.create_vpce_configuration/3","type":"function"},{"doc":"Deletes a device pool given the pool ARN. Does not allow deletion of curated pools owned by the system.","ref":"aws_device_farm.html#delete_device_pool/2","title":"aws_device_farm.delete_device_pool/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#delete_device_pool/3","title":"aws_device_farm.delete_device_pool/3","type":"function"},{"doc":"Deletes a profile that can be applied to one or more private device instances.","ref":"aws_device_farm.html#delete_instance_profile/2","title":"aws_device_farm.delete_instance_profile/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#delete_instance_profile/3","title":"aws_device_farm.delete_instance_profile/3","type":"function"},{"doc":"Deletes a network profile.","ref":"aws_device_farm.html#delete_network_profile/2","title":"aws_device_farm.delete_network_profile/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#delete_network_profile/3","title":"aws_device_farm.delete_network_profile/3","type":"function"},{"doc":"Deletes an AWS Device Farm project, given the project ARN. Deleting this resource does not stop an in-progress run.","ref":"aws_device_farm.html#delete_project/2","title":"aws_device_farm.delete_project/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#delete_project/3","title":"aws_device_farm.delete_project/3","type":"function"},{"doc":"Deletes a completed remote access session and its results.","ref":"aws_device_farm.html#delete_remote_access_session/2","title":"aws_device_farm.delete_remote_access_session/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#delete_remote_access_session/3","title":"aws_device_farm.delete_remote_access_session/3","type":"function"},{"doc":"Deletes the run, given the run ARN. Deleting this resource does not stop an in-progress run.","ref":"aws_device_farm.html#delete_run/2","title":"aws_device_farm.delete_run/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#delete_run/3","title":"aws_device_farm.delete_run/3","type":"function"},{"doc":"Deletes a Selenium testing project and all content generated under it. You cannot undo this operation. You cannot delete a project if it has active sessions.","ref":"aws_device_farm.html#delete_test_grid_project/2","title":"aws_device_farm.delete_test_grid_project/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#delete_test_grid_project/3","title":"aws_device_farm.delete_test_grid_project/3","type":"function"},{"doc":"Deletes an upload given the upload ARN.","ref":"aws_device_farm.html#delete_upload/2","title":"aws_device_farm.delete_upload/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#delete_upload/3","title":"aws_device_farm.delete_upload/3","type":"function"},{"doc":"Deletes a configuration for your Amazon Virtual Private Cloud (VPC) endpoint.","ref":"aws_device_farm.html#delete_vpce_configuration/2","title":"aws_device_farm.delete_vpce_configuration/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#delete_vpce_configuration/3","title":"aws_device_farm.delete_vpce_configuration/3","type":"function"},{"doc":"Returns the number of unmetered iOS or unmetered Android devices that have been purchased by the account.","ref":"aws_device_farm.html#get_account_settings/2","title":"aws_device_farm.get_account_settings/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_account_settings/3","title":"aws_device_farm.get_account_settings/3","type":"function"},{"doc":"Gets information about a unique device type.","ref":"aws_device_farm.html#get_device/2","title":"aws_device_farm.get_device/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_device/3","title":"aws_device_farm.get_device/3","type":"function"},{"doc":"Returns information about a device instance that belongs to a private device fleet.","ref":"aws_device_farm.html#get_device_instance/2","title":"aws_device_farm.get_device_instance/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_device_instance/3","title":"aws_device_farm.get_device_instance/3","type":"function"},{"doc":"Gets information about a device pool.","ref":"aws_device_farm.html#get_device_pool/2","title":"aws_device_farm.get_device_pool/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_device_pool/3","title":"aws_device_farm.get_device_pool/3","type":"function"},{"doc":"Gets information about compatibility with a device pool.","ref":"aws_device_farm.html#get_device_pool_compatibility/2","title":"aws_device_farm.get_device_pool_compatibility/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_device_pool_compatibility/3","title":"aws_device_farm.get_device_pool_compatibility/3","type":"function"},{"doc":"Returns information about the specified instance profile.","ref":"aws_device_farm.html#get_instance_profile/2","title":"aws_device_farm.get_instance_profile/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_instance_profile/3","title":"aws_device_farm.get_instance_profile/3","type":"function"},{"doc":"Gets information about a job.","ref":"aws_device_farm.html#get_job/2","title":"aws_device_farm.get_job/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_job/3","title":"aws_device_farm.get_job/3","type":"function"},{"doc":"Returns information about a network profile.","ref":"aws_device_farm.html#get_network_profile/2","title":"aws_device_farm.get_network_profile/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_network_profile/3","title":"aws_device_farm.get_network_profile/3","type":"function"},{"doc":"Gets the current status and future status of all offerings purchased by an AWS account. The response indicates how many offerings are currently available and the offerings that will be available in the next period. The API returns a NotEligible error if the user is not permitted to invoke the operation. If you must be able to invoke this operation, contact aws-devicefarm-support@amazon.com.","ref":"aws_device_farm.html#get_offering_status/2","title":"aws_device_farm.get_offering_status/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_offering_status/3","title":"aws_device_farm.get_offering_status/3","type":"function"},{"doc":"Gets information about a project.","ref":"aws_device_farm.html#get_project/2","title":"aws_device_farm.get_project/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_project/3","title":"aws_device_farm.get_project/3","type":"function"},{"doc":"Returns a link to a currently running remote access session.","ref":"aws_device_farm.html#get_remote_access_session/2","title":"aws_device_farm.get_remote_access_session/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_remote_access_session/3","title":"aws_device_farm.get_remote_access_session/3","type":"function"},{"doc":"Gets information about a run.","ref":"aws_device_farm.html#get_run/2","title":"aws_device_farm.get_run/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_run/3","title":"aws_device_farm.get_run/3","type":"function"},{"doc":"Gets information about a suite.","ref":"aws_device_farm.html#get_suite/2","title":"aws_device_farm.get_suite/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_suite/3","title":"aws_device_farm.get_suite/3","type":"function"},{"doc":"Gets information about a test.","ref":"aws_device_farm.html#get_test/2","title":"aws_device_farm.get_test/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_test/3","title":"aws_device_farm.get_test/3","type":"function"},{"doc":"Retrieves information about a Selenium testing project.","ref":"aws_device_farm.html#get_test_grid_project/2","title":"aws_device_farm.get_test_grid_project/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_test_grid_project/3","title":"aws_device_farm.get_test_grid_project/3","type":"function"},{"doc":"A session is an instance of a browser created through a RemoteWebDriver with the URL from CreateTestGridUrlResult$url . You can use the following to look up sessions: The session ARN ( GetTestGridSessionRequest$sessionArn ). The project ARN and a session ID ( GetTestGridSessionRequest$projectArn and GetTestGridSessionRequest$sessionId ).","ref":"aws_device_farm.html#get_test_grid_session/2","title":"aws_device_farm.get_test_grid_session/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_test_grid_session/3","title":"aws_device_farm.get_test_grid_session/3","type":"function"},{"doc":"Gets information about an upload.","ref":"aws_device_farm.html#get_upload/2","title":"aws_device_farm.get_upload/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_upload/3","title":"aws_device_farm.get_upload/3","type":"function"},{"doc":"Returns information about the configuration settings for your Amazon Virtual Private Cloud (VPC) endpoint.","ref":"aws_device_farm.html#get_vpce_configuration/2","title":"aws_device_farm.get_vpce_configuration/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#get_vpce_configuration/3","title":"aws_device_farm.get_vpce_configuration/3","type":"function"},{"doc":"Installs an application to the device in a remote access session. For Android applications, the file must be in .apk format. For iOS applications, the file must be in .ipa format.","ref":"aws_device_farm.html#install_to_remote_access_session/2","title":"aws_device_farm.install_to_remote_access_session/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#install_to_remote_access_session/3","title":"aws_device_farm.install_to_remote_access_session/3","type":"function"},{"doc":"Gets information about artifacts.","ref":"aws_device_farm.html#list_artifacts/2","title":"aws_device_farm.list_artifacts/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_artifacts/3","title":"aws_device_farm.list_artifacts/3","type":"function"},{"doc":"Returns information about the private device instances associated with one or more AWS accounts.","ref":"aws_device_farm.html#list_device_instances/2","title":"aws_device_farm.list_device_instances/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_device_instances/3","title":"aws_device_farm.list_device_instances/3","type":"function"},{"doc":"Gets information about device pools.","ref":"aws_device_farm.html#list_device_pools/2","title":"aws_device_farm.list_device_pools/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_device_pools/3","title":"aws_device_farm.list_device_pools/3","type":"function"},{"doc":"Gets information about unique device types.","ref":"aws_device_farm.html#list_devices/2","title":"aws_device_farm.list_devices/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_devices/3","title":"aws_device_farm.list_devices/3","type":"function"},{"doc":"Returns information about all the instance profiles in an AWS account.","ref":"aws_device_farm.html#list_instance_profiles/2","title":"aws_device_farm.list_instance_profiles/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_instance_profiles/3","title":"aws_device_farm.list_instance_profiles/3","type":"function"},{"doc":"Gets information about jobs for a given test run.","ref":"aws_device_farm.html#list_jobs/2","title":"aws_device_farm.list_jobs/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_jobs/3","title":"aws_device_farm.list_jobs/3","type":"function"},{"doc":"Returns the list of available network profiles.","ref":"aws_device_farm.html#list_network_profiles/2","title":"aws_device_farm.list_network_profiles/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_network_profiles/3","title":"aws_device_farm.list_network_profiles/3","type":"function"},{"doc":"Returns a list of offering promotions. Each offering promotion record contains the ID and description of the promotion. The API returns a NotEligible error if the caller is not permitted to invoke the operation. Contact aws-devicefarm-support@amazon.com if you must be able to invoke this operation.","ref":"aws_device_farm.html#list_offering_promotions/2","title":"aws_device_farm.list_offering_promotions/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_offering_promotions/3","title":"aws_device_farm.list_offering_promotions/3","type":"function"},{"doc":"Returns a list of all historical purchases, renewals, and system renewal transactions for an AWS account. The list is paginated and ordered by a descending timestamp (most recent transactions are first). The API returns a NotEligible error if the user is not permitted to invoke the operation. If you must be able to invoke this operation, contact aws-devicefarm-support@amazon.com.","ref":"aws_device_farm.html#list_offering_transactions/2","title":"aws_device_farm.list_offering_transactions/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_offering_transactions/3","title":"aws_device_farm.list_offering_transactions/3","type":"function"},{"doc":"Returns a list of products or offerings that the user can manage through the API. Each offering record indicates the recurring price per unit and the frequency for that offering. The API returns a NotEligible error if the user is not permitted to invoke the operation. If you must be able to invoke this operation, contact aws-devicefarm-support@amazon.com.","ref":"aws_device_farm.html#list_offerings/2","title":"aws_device_farm.list_offerings/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_offerings/3","title":"aws_device_farm.list_offerings/3","type":"function"},{"doc":"Gets information about projects.","ref":"aws_device_farm.html#list_projects/2","title":"aws_device_farm.list_projects/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_projects/3","title":"aws_device_farm.list_projects/3","type":"function"},{"doc":"Returns a list of all currently running remote access sessions.","ref":"aws_device_farm.html#list_remote_access_sessions/2","title":"aws_device_farm.list_remote_access_sessions/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_remote_access_sessions/3","title":"aws_device_farm.list_remote_access_sessions/3","type":"function"},{"doc":"Gets information about runs, given an AWS Device Farm project ARN.","ref":"aws_device_farm.html#list_runs/2","title":"aws_device_farm.list_runs/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_runs/3","title":"aws_device_farm.list_runs/3","type":"function"},{"doc":"Gets information about samples, given an AWS Device Farm job ARN.","ref":"aws_device_farm.html#list_samples/2","title":"aws_device_farm.list_samples/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_samples/3","title":"aws_device_farm.list_samples/3","type":"function"},{"doc":"Gets information about test suites for a given job.","ref":"aws_device_farm.html#list_suites/2","title":"aws_device_farm.list_suites/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_suites/3","title":"aws_device_farm.list_suites/3","type":"function"},{"doc":"List the tags for an AWS Device Farm resource.","ref":"aws_device_farm.html#list_tags_for_resource/2","title":"aws_device_farm.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_tags_for_resource/3","title":"aws_device_farm.list_tags_for_resource/3","type":"function"},{"doc":"Gets a list of all Selenium testing projects in your account.","ref":"aws_device_farm.html#list_test_grid_projects/2","title":"aws_device_farm.list_test_grid_projects/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_test_grid_projects/3","title":"aws_device_farm.list_test_grid_projects/3","type":"function"},{"doc":"Returns a list of the actions taken in a TestGridSession .","ref":"aws_device_farm.html#list_test_grid_session_actions/2","title":"aws_device_farm.list_test_grid_session_actions/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_test_grid_session_actions/3","title":"aws_device_farm.list_test_grid_session_actions/3","type":"function"},{"doc":"Retrieves a list of artifacts created during the session.","ref":"aws_device_farm.html#list_test_grid_session_artifacts/2","title":"aws_device_farm.list_test_grid_session_artifacts/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_test_grid_session_artifacts/3","title":"aws_device_farm.list_test_grid_session_artifacts/3","type":"function"},{"doc":"Retrieves a list of sessions for a TestGridProject .","ref":"aws_device_farm.html#list_test_grid_sessions/2","title":"aws_device_farm.list_test_grid_sessions/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_test_grid_sessions/3","title":"aws_device_farm.list_test_grid_sessions/3","type":"function"},{"doc":"Gets information about tests in a given test suite.","ref":"aws_device_farm.html#list_tests/2","title":"aws_device_farm.list_tests/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_tests/3","title":"aws_device_farm.list_tests/3","type":"function"},{"doc":"Gets information about unique problems, such as exceptions or crashes. Unique problems are defined as a single instance of an error across a run, job, or suite. For example, if a call in your application consistently raises an exception ( OutOfBoundsException in MyActivity.java:386 ), ListUniqueProblems returns a single entry instead of many individual entries for that exception.","ref":"aws_device_farm.html#list_unique_problems/2","title":"aws_device_farm.list_unique_problems/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_unique_problems/3","title":"aws_device_farm.list_unique_problems/3","type":"function"},{"doc":"Gets information about uploads, given an AWS Device Farm project ARN.","ref":"aws_device_farm.html#list_uploads/2","title":"aws_device_farm.list_uploads/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_uploads/3","title":"aws_device_farm.list_uploads/3","type":"function"},{"doc":"Returns information about all Amazon Virtual Private Cloud (VPC) endpoint configurations in the AWS account.","ref":"aws_device_farm.html#list_vpce_configurations/2","title":"aws_device_farm.list_vpce_configurations/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#list_vpce_configurations/3","title":"aws_device_farm.list_vpce_configurations/3","type":"function"},{"doc":"Immediately purchases offerings for an AWS account. Offerings renew with the latest total purchased quantity for an offering, unless the renewal was overridden. The API returns a NotEligible error if the user is not permitted to invoke the operation. If you must be able to invoke this operation, contact aws-devicefarm-support@amazon.com.","ref":"aws_device_farm.html#purchase_offering/2","title":"aws_device_farm.purchase_offering/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#purchase_offering/3","title":"aws_device_farm.purchase_offering/3","type":"function"},{"doc":"Explicitly sets the quantity of devices to renew for an offering, starting from the effectiveDate of the next period. The API returns a NotEligible error if the user is not permitted to invoke the operation. If you must be able to invoke this operation, contact aws-devicefarm-support@amazon.com.","ref":"aws_device_farm.html#renew_offering/2","title":"aws_device_farm.renew_offering/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#renew_offering/3","title":"aws_device_farm.renew_offering/3","type":"function"},{"doc":"Schedules a run.","ref":"aws_device_farm.html#schedule_run/2","title":"aws_device_farm.schedule_run/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#schedule_run/3","title":"aws_device_farm.schedule_run/3","type":"function"},{"doc":"Initiates a stop request for the current job. AWS Device Farm immediately stops the job on the device where tests have not started. You are not billed for this device. On the device where tests have started, setup suite and teardown suite tests run to completion on the device. You are billed for setup, teardown, and any tests that were in progress or already completed.","ref":"aws_device_farm.html#stop_job/2","title":"aws_device_farm.stop_job/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#stop_job/3","title":"aws_device_farm.stop_job/3","type":"function"},{"doc":"Ends a specified remote access session.","ref":"aws_device_farm.html#stop_remote_access_session/2","title":"aws_device_farm.stop_remote_access_session/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#stop_remote_access_session/3","title":"aws_device_farm.stop_remote_access_session/3","type":"function"},{"doc":"Initiates a stop request for the current test run. AWS Device Farm immediately stops the run on devices where tests have not started. You are not billed for these devices. On devices where tests have started executing, setup suite and teardown suite tests run to completion on those devices. You are billed for setup, teardown, and any tests that were in progress or already completed.","ref":"aws_device_farm.html#stop_run/2","title":"aws_device_farm.stop_run/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#stop_run/3","title":"aws_device_farm.stop_run/3","type":"function"},{"doc":"Associates the specified tags to a resource with the specified resourceArn . If existing tags on a resource are not specified in the request parameters, they are not changed. When a resource is deleted, the tags associated with that resource are also deleted.","ref":"aws_device_farm.html#tag_resource/2","title":"aws_device_farm.tag_resource/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#tag_resource/3","title":"aws_device_farm.tag_resource/3","type":"function"},{"doc":"Deletes the specified tags from a resource.","ref":"aws_device_farm.html#untag_resource/2","title":"aws_device_farm.untag_resource/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#untag_resource/3","title":"aws_device_farm.untag_resource/3","type":"function"},{"doc":"Updates information about a private device instance.","ref":"aws_device_farm.html#update_device_instance/2","title":"aws_device_farm.update_device_instance/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#update_device_instance/3","title":"aws_device_farm.update_device_instance/3","type":"function"},{"doc":"Modifies the name, description, and rules in a device pool given the attributes and the pool ARN. Rule updates are all-or-nothing, meaning they can only be updated as a whole (or not at all).","ref":"aws_device_farm.html#update_device_pool/2","title":"aws_device_farm.update_device_pool/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#update_device_pool/3","title":"aws_device_farm.update_device_pool/3","type":"function"},{"doc":"Updates information about an existing private device instance profile.","ref":"aws_device_farm.html#update_instance_profile/2","title":"aws_device_farm.update_instance_profile/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#update_instance_profile/3","title":"aws_device_farm.update_instance_profile/3","type":"function"},{"doc":"Updates the network profile.","ref":"aws_device_farm.html#update_network_profile/2","title":"aws_device_farm.update_network_profile/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#update_network_profile/3","title":"aws_device_farm.update_network_profile/3","type":"function"},{"doc":"Modifies the specified project name, given the project ARN and a new name.","ref":"aws_device_farm.html#update_project/2","title":"aws_device_farm.update_project/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#update_project/3","title":"aws_device_farm.update_project/3","type":"function"},{"doc":"Change details of a project.","ref":"aws_device_farm.html#update_test_grid_project/2","title":"aws_device_farm.update_test_grid_project/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#update_test_grid_project/3","title":"aws_device_farm.update_test_grid_project/3","type":"function"},{"doc":"Updates an uploaded test spec.","ref":"aws_device_farm.html#update_upload/2","title":"aws_device_farm.update_upload/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#update_upload/3","title":"aws_device_farm.update_upload/3","type":"function"},{"doc":"Updates information about an Amazon Virtual Private Cloud (VPC) endpoint configuration.","ref":"aws_device_farm.html#update_vpce_configuration/2","title":"aws_device_farm.update_vpce_configuration/2","type":"function"},{"doc":"","ref":"aws_device_farm.html#update_vpce_configuration/3","title":"aws_device_farm.update_vpce_configuration/3","type":"function"},{"doc":"Amazon DevOps Guru is a fully managed service that helps you identify anomalous behavior in business critical operational applications. You specify the Amazon Web Services resources that you want DevOps Guru to cover, then the Amazon CloudWatch metrics and Amazon Web Services CloudTrail events related to those resources are analyzed. When anomalous behavior is detected, DevOps Guru creates an insight that includes recommendations, related events, and related metrics that can help you improve your operational applications. For more information, see What is Amazon DevOps Guru. You can specify 1 or 2 Amazon Simple Notification Service topics so you are notified every time a new insight is created. You can also enable DevOps Guru to generate an OpsItem in Amazon Web Services Systems Manager for each insight to help you manage and track your work addressing insights. To learn about the DevOps Guru workflow, see How DevOps Guru works. To learn about DevOps Guru concepts, see Concepts in DevOps Guru.","ref":"aws_devops_guru.html","title":"aws_devops_guru","type":"module"},{"doc":"Adds a notification channel to DevOps Guru. A notification channel is used to notify you about important DevOps Guru events, such as when an insight is generated. If you use an Amazon SNS topic in another account, you must attach a policy to it that grants DevOps Guru permission to it notifications. DevOps Guru adds the required policy on your behalf to send notifications using Amazon SNS in your account. DevOps Guru only supports standard SNS topics. For more information, see Permissions for cross account Amazon SNS topics. If you use an Amazon SNS topic in another account, you must attach a policy to it that grants DevOps Guru permission to it notifications. DevOps Guru adds the required policy on your behalf to send notifications using Amazon SNS in your account. For more information, see Permissions for cross account Amazon SNS topics. If you use an Amazon SNS topic that is encrypted by an Amazon Web Services Key Management Service customer-managed key (CMK), then you must add permissions to the CMK. For more information, see Permissions for Amazon Web Services KMS–encrypted Amazon SNS topics.","ref":"aws_devops_guru.html#add_notification_channel/2","title":"aws_devops_guru.add_notification_channel/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#add_notification_channel/3","title":"aws_devops_guru.add_notification_channel/3","type":"function"},{"doc":"Deletes the insight along with the associated anomalies, events and recommendations.","ref":"aws_devops_guru.html#delete_insight/3","title":"aws_devops_guru.delete_insight/3","type":"function"},{"doc":"","ref":"aws_devops_guru.html#delete_insight/4","title":"aws_devops_guru.delete_insight/4","type":"function"},{"doc":"Returns the number of open reactive insights, the number of open proactive insights, and the number of metrics analyzed in your Amazon Web Services account. Use these numbers to gauge the health of operations in your Amazon Web Services account.","ref":"aws_devops_guru.html#describe_account_health/1","title":"aws_devops_guru.describe_account_health/1","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_account_health/3","title":"aws_devops_guru.describe_account_health/3","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_account_health/4","title":"aws_devops_guru.describe_account_health/4","type":"function"},{"doc":"For the time range passed in, returns the number of open reactive insight that were created, the number of open proactive insights that were created, and the Mean Time to Recover (MTTR) for all closed reactive insights.","ref":"aws_devops_guru.html#describe_account_overview/2","title":"aws_devops_guru.describe_account_overview/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_account_overview/3","title":"aws_devops_guru.describe_account_overview/3","type":"function"},{"doc":"Returns details about an anomaly that you specify using its ID.","ref":"aws_devops_guru.html#describe_anomaly/2","title":"aws_devops_guru.describe_anomaly/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_anomaly/4","title":"aws_devops_guru.describe_anomaly/4","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_anomaly/5","title":"aws_devops_guru.describe_anomaly/5","type":"function"},{"doc":"Returns the integration status of services that are integrated with DevOps Guru as Consumer via EventBridge. The one service that can be integrated with DevOps Guru is Amazon CodeGuru Profiler, which can produce proactive recommendations which can be stored and viewed in DevOps Guru.","ref":"aws_devops_guru.html#describe_event_sources_config/2","title":"aws_devops_guru.describe_event_sources_config/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_event_sources_config/3","title":"aws_devops_guru.describe_event_sources_config/3","type":"function"},{"doc":"Returns the most recent feedback submitted in the current Amazon Web Services account and Region.","ref":"aws_devops_guru.html#describe_feedback/2","title":"aws_devops_guru.describe_feedback/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_feedback/3","title":"aws_devops_guru.describe_feedback/3","type":"function"},{"doc":"Returns details about an insight that you specify using its ID.","ref":"aws_devops_guru.html#describe_insight/2","title":"aws_devops_guru.describe_insight/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_insight/4","title":"aws_devops_guru.describe_insight/4","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_insight/5","title":"aws_devops_guru.describe_insight/5","type":"function"},{"doc":"Returns active insights, predictive insights, and resource hours analyzed in last hour.","ref":"aws_devops_guru.html#describe_organization_health/2","title":"aws_devops_guru.describe_organization_health/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_organization_health/3","title":"aws_devops_guru.describe_organization_health/3","type":"function"},{"doc":"Returns an overview of your organization's history based on the specified time range. The overview includes the total reactive and proactive insights.","ref":"aws_devops_guru.html#describe_organization_overview/2","title":"aws_devops_guru.describe_organization_overview/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_organization_overview/3","title":"aws_devops_guru.describe_organization_overview/3","type":"function"},{"doc":"Provides an overview of your system's health. If additional member accounts are part of your organization, you can filter those accounts using the AccountIds field.","ref":"aws_devops_guru.html#describe_organization_resource_collection_health/2","title":"aws_devops_guru.describe_organization_resource_collection_health/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_organization_resource_collection_health/3","title":"aws_devops_guru.describe_organization_resource_collection_health/3","type":"function"},{"doc":"Returns the number of open proactive insights, open reactive insights, and the Mean Time to Recover (MTTR) for all closed insights in resource collections in your account. You specify the type of Amazon Web Services resources collection. The two types of Amazon Web Services resource collections supported are Amazon Web Services CloudFormation stacks and Amazon Web Services resources that contain the same Amazon Web Services tag. DevOps Guru can be configured to analyze the Amazon Web Services resources that are defined in the stacks or that are tagged using the same tag key. You can specify up to 500 Amazon Web Services CloudFormation stacks.","ref":"aws_devops_guru.html#describe_resource_collection_health/2","title":"aws_devops_guru.describe_resource_collection_health/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_resource_collection_health/4","title":"aws_devops_guru.describe_resource_collection_health/4","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_resource_collection_health/5","title":"aws_devops_guru.describe_resource_collection_health/5","type":"function"},{"doc":"Returns the integration status of services that are integrated with DevOps Guru. The one service that can be integrated with DevOps Guru is Amazon Web Services Systems Manager, which can be used to create an OpsItem for each generated insight.","ref":"aws_devops_guru.html#describe_service_integration/1","title":"aws_devops_guru.describe_service_integration/1","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_service_integration/3","title":"aws_devops_guru.describe_service_integration/3","type":"function"},{"doc":"","ref":"aws_devops_guru.html#describe_service_integration/4","title":"aws_devops_guru.describe_service_integration/4","type":"function"},{"doc":"Returns an estimate of the monthly cost for DevOps Guru to analyze your Amazon Web Services resources. For more information, see Estimate your Amazon DevOps Guru costs and Amazon DevOps Guru pricing.","ref":"aws_devops_guru.html#get_cost_estimation/1","title":"aws_devops_guru.get_cost_estimation/1","type":"function"},{"doc":"","ref":"aws_devops_guru.html#get_cost_estimation/3","title":"aws_devops_guru.get_cost_estimation/3","type":"function"},{"doc":"","ref":"aws_devops_guru.html#get_cost_estimation/4","title":"aws_devops_guru.get_cost_estimation/4","type":"function"},{"doc":"Returns lists Amazon Web Services resources that are of the specified resource collection type. The two types of Amazon Web Services resource collections supported are Amazon Web Services CloudFormation stacks and Amazon Web Services resources that contain the same Amazon Web Services tag. DevOps Guru can be configured to analyze the Amazon Web Services resources that are defined in the stacks or that are tagged using the same tag key. You can specify up to 500 Amazon Web Services CloudFormation stacks.","ref":"aws_devops_guru.html#get_resource_collection/2","title":"aws_devops_guru.get_resource_collection/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#get_resource_collection/4","title":"aws_devops_guru.get_resource_collection/4","type":"function"},{"doc":"","ref":"aws_devops_guru.html#get_resource_collection/5","title":"aws_devops_guru.get_resource_collection/5","type":"function"},{"doc":"Returns a list of the anomalies that belong to an insight that you specify using its ID.","ref":"aws_devops_guru.html#list_anomalies_for_insight/3","title":"aws_devops_guru.list_anomalies_for_insight/3","type":"function"},{"doc":"","ref":"aws_devops_guru.html#list_anomalies_for_insight/4","title":"aws_devops_guru.list_anomalies_for_insight/4","type":"function"},{"doc":"Returns the list of log groups that contain log anomalies.","ref":"aws_devops_guru.html#list_anomalous_log_groups/2","title":"aws_devops_guru.list_anomalous_log_groups/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#list_anomalous_log_groups/3","title":"aws_devops_guru.list_anomalous_log_groups/3","type":"function"},{"doc":"Returns a list of the events emitted by the resources that are evaluated by DevOps Guru. You can use filters to specify which events are returned.","ref":"aws_devops_guru.html#list_events/2","title":"aws_devops_guru.list_events/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#list_events/3","title":"aws_devops_guru.list_events/3","type":"function"},{"doc":"Returns a list of insights in your Amazon Web Services account. You can specify which insights are returned by their start time and status ( ONGOING , CLOSED , or ANY ).","ref":"aws_devops_guru.html#list_insights/2","title":"aws_devops_guru.list_insights/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#list_insights/3","title":"aws_devops_guru.list_insights/3","type":"function"},{"doc":"Returns the list of all log groups that are being monitored and tagged by DevOps Guru.","ref":"aws_devops_guru.html#list_monitored_resources/2","title":"aws_devops_guru.list_monitored_resources/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#list_monitored_resources/3","title":"aws_devops_guru.list_monitored_resources/3","type":"function"},{"doc":"Returns a list of notification channels configured for DevOps Guru. Each notification channel is used to notify you when DevOps Guru generates an insight that contains information about how to improve your operations. The one supported notification channel is Amazon Simple Notification Service (Amazon SNS).","ref":"aws_devops_guru.html#list_notification_channels/2","title":"aws_devops_guru.list_notification_channels/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#list_notification_channels/3","title":"aws_devops_guru.list_notification_channels/3","type":"function"},{"doc":"Returns a list of insights associated with the account or OU Id.","ref":"aws_devops_guru.html#list_organization_insights/2","title":"aws_devops_guru.list_organization_insights/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#list_organization_insights/3","title":"aws_devops_guru.list_organization_insights/3","type":"function"},{"doc":"Returns a list of a specified insight's recommendations. Each recommendation includes a list of related metrics and a list of related events.","ref":"aws_devops_guru.html#list_recommendations/2","title":"aws_devops_guru.list_recommendations/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#list_recommendations/3","title":"aws_devops_guru.list_recommendations/3","type":"function"},{"doc":"Collects customer feedback about the specified insight.","ref":"aws_devops_guru.html#put_feedback/2","title":"aws_devops_guru.put_feedback/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#put_feedback/3","title":"aws_devops_guru.put_feedback/3","type":"function"},{"doc":"Removes a notification channel from DevOps Guru. A notification channel is used to notify you when DevOps Guru generates an insight that contains information about how to improve your operations.","ref":"aws_devops_guru.html#remove_notification_channel/3","title":"aws_devops_guru.remove_notification_channel/3","type":"function"},{"doc":"","ref":"aws_devops_guru.html#remove_notification_channel/4","title":"aws_devops_guru.remove_notification_channel/4","type":"function"},{"doc":"Returns a list of insights in your Amazon Web Services account. You can specify which insights are returned by their start time, one or more statuses ( ONGOING or CLOSED ), one or more severities ( LOW , MEDIUM , and HIGH ), and type ( REACTIVE or PROACTIVE ). Use the Filters parameter to specify status and severity search parameters. Use the Type parameter to specify REACTIVE or PROACTIVE in your search.","ref":"aws_devops_guru.html#search_insights/2","title":"aws_devops_guru.search_insights/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#search_insights/3","title":"aws_devops_guru.search_insights/3","type":"function"},{"doc":"Returns a list of insights in your organization. You can specify which insights are returned by their start time, one or more statuses ( ONGOING , CLOSED , and CLOSED ), one or more severities ( LOW , MEDIUM , and HIGH ), and type ( REACTIVE or PROACTIVE ). Use the Filters parameter to specify status and severity search parameters. Use the Type parameter to specify REACTIVE or PROACTIVE in your search.","ref":"aws_devops_guru.html#search_organization_insights/2","title":"aws_devops_guru.search_organization_insights/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#search_organization_insights/3","title":"aws_devops_guru.search_organization_insights/3","type":"function"},{"doc":"Starts the creation of an estimate of the monthly cost to analyze your Amazon Web Services resources.","ref":"aws_devops_guru.html#start_cost_estimation/2","title":"aws_devops_guru.start_cost_estimation/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#start_cost_estimation/3","title":"aws_devops_guru.start_cost_estimation/3","type":"function"},{"doc":"Enables or disables integration with a service that can be integrated with DevOps Guru. The one service that can be integrated with DevOps Guru is Amazon CodeGuru Profiler, which can produce proactive recommendations which can be stored and viewed in DevOps Guru.","ref":"aws_devops_guru.html#update_event_sources_config/2","title":"aws_devops_guru.update_event_sources_config/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#update_event_sources_config/3","title":"aws_devops_guru.update_event_sources_config/3","type":"function"},{"doc":"Updates the collection of resources that DevOps Guru analyzes. The two types of Amazon Web Services resource collections supported are Amazon Web Services CloudFormation stacks and Amazon Web Services resources that contain the same Amazon Web Services tag. DevOps Guru can be configured to analyze the Amazon Web Services resources that are defined in the stacks or that are tagged using the same tag key. You can specify up to 500 Amazon Web Services CloudFormation stacks. This method also creates the IAM role required for you to use DevOps Guru.","ref":"aws_devops_guru.html#update_resource_collection/2","title":"aws_devops_guru.update_resource_collection/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#update_resource_collection/3","title":"aws_devops_guru.update_resource_collection/3","type":"function"},{"doc":"Enables or disables integration with a service that can be integrated with DevOps Guru. The one service that can be integrated with DevOps Guru is Amazon Web Services Systems Manager, which can be used to create an OpsItem for each generated insight.","ref":"aws_devops_guru.html#update_service_integration/2","title":"aws_devops_guru.update_service_integration/2","type":"function"},{"doc":"","ref":"aws_devops_guru.html#update_service_integration/3","title":"aws_devops_guru.update_service_integration/3","type":"function"},{"doc":"Direct Connect links your internal network to an Direct Connect location over a standard Ethernet fiber-optic cable. One end of the cable is connected to your router, the other to an Direct Connect router. With this connection in place, you can create virtual interfaces directly to the Amazon Web Services Cloud (for example, to Amazon EC2 and Amazon S3) and to Amazon VPC, bypassing Internet service providers in your network path. A connection provides access to all Amazon Web Services Regions except the China (Beijing) and (China) Ningxia Regions. Amazon Web Services resources in the China Regions can only be accessed through locations associated with those Regions.","ref":"aws_direct_connect.html","title":"aws_direct_connect","type":"module"},{"doc":"Accepts a proposal request to attach a virtual private gateway or transit gateway to a Direct Connect gateway.","ref":"aws_direct_connect.html#accept_direct_connect_gateway_association_proposal/2","title":"aws_direct_connect.accept_direct_connect_gateway_association_proposal/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#accept_direct_connect_gateway_association_proposal/3","title":"aws_direct_connect.accept_direct_connect_gateway_association_proposal/3","type":"function"},{"doc":"Deprecated. Use AllocateHostedConnection instead. Creates a hosted connection on an interconnect. Allocates a VLAN number and a specified amount of bandwidth for use by a hosted connection on the specified interconnect. Intended for use by Direct Connect Partners only.","ref":"aws_direct_connect.html#allocate_connection_on_interconnect/2","title":"aws_direct_connect.allocate_connection_on_interconnect/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#allocate_connection_on_interconnect/3","title":"aws_direct_connect.allocate_connection_on_interconnect/3","type":"function"},{"doc":"Creates a hosted connection on the specified interconnect or a link aggregation group (LAG) of interconnects. Allocates a VLAN number and a specified amount of capacity (bandwidth) for use by a hosted connection on the specified interconnect or LAG of interconnects. Amazon Web Services polices the hosted connection for the specified capacity and the Direct Connect Partner must also police the hosted connection for the specified capacity. Intended for use by Direct Connect Partners only.","ref":"aws_direct_connect.html#allocate_hosted_connection/2","title":"aws_direct_connect.allocate_hosted_connection/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#allocate_hosted_connection/3","title":"aws_direct_connect.allocate_hosted_connection/3","type":"function"},{"doc":"Provisions a private virtual interface to be owned by the specified Amazon Web Services account. Virtual interfaces created using this action must be confirmed by the owner using ConfirmPrivateVirtualInterface . Until then, the virtual interface is in the Confirming state and is not available to handle traffic.","ref":"aws_direct_connect.html#allocate_private_virtual_interface/2","title":"aws_direct_connect.allocate_private_virtual_interface/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#allocate_private_virtual_interface/3","title":"aws_direct_connect.allocate_private_virtual_interface/3","type":"function"},{"doc":"Provisions a public virtual interface to be owned by the specified Amazon Web Services account. The owner of a connection calls this function to provision a public virtual interface to be owned by the specified Amazon Web Services account. Virtual interfaces created using this function must be confirmed by the owner using ConfirmPublicVirtualInterface . Until this step has been completed, the virtual interface is in the confirming state and is not available to handle traffic. When creating an IPv6 public virtual interface, omit the Amazon address and customer address. IPv6 addresses are automatically assigned from the Amazon pool of IPv6 addresses; you cannot specify custom IPv6 addresses.","ref":"aws_direct_connect.html#allocate_public_virtual_interface/2","title":"aws_direct_connect.allocate_public_virtual_interface/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#allocate_public_virtual_interface/3","title":"aws_direct_connect.allocate_public_virtual_interface/3","type":"function"},{"doc":"Provisions a transit virtual interface to be owned by the specified Amazon Web Services account. Use this type of interface to connect a transit gateway to your Direct Connect gateway. The owner of a connection provisions a transit virtual interface to be owned by the specified Amazon Web Services account. After you create a transit virtual interface, it must be confirmed by the owner using ConfirmTransitVirtualInterface . Until this step has been completed, the transit virtual interface is in the requested state and is not available to handle traffic.","ref":"aws_direct_connect.html#allocate_transit_virtual_interface/2","title":"aws_direct_connect.allocate_transit_virtual_interface/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#allocate_transit_virtual_interface/3","title":"aws_direct_connect.allocate_transit_virtual_interface/3","type":"function"},{"doc":"Associates an existing connection with a link aggregation group (LAG). The connection is interrupted and re-established as a member of the LAG (connectivity to Amazon Web Services is interrupted). The connection must be hosted on the same Direct Connect endpoint as the LAG, and its bandwidth must match the bandwidth for the LAG. You can re-associate a connection that's currently associated with a different LAG; however, if removing the connection would cause the original LAG to fall below its setting for minimum number of operational connections, the request fails. Any virtual interfaces that are directly associated with the connection are automatically re-associated with the LAG. If the connection was originally associated with a different LAG, the virtual interfaces remain associated with the original LAG. For interconnects, any hosted connections are automatically re-associated with the LAG. If the interconnect was originally associated with a different LAG, the hosted connections remain associated with the original LAG.","ref":"aws_direct_connect.html#associate_connection_with_lag/2","title":"aws_direct_connect.associate_connection_with_lag/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#associate_connection_with_lag/3","title":"aws_direct_connect.associate_connection_with_lag/3","type":"function"},{"doc":"Associates a hosted connection and its virtual interfaces with a link aggregation group (LAG) or interconnect. If the target interconnect or LAG has an existing hosted connection with a conflicting VLAN number or IP address, the operation fails. This action temporarily interrupts the hosted connection's connectivity to Amazon Web Services as it is being migrated. Intended for use by Direct Connect Partners only.","ref":"aws_direct_connect.html#associate_hosted_connection/2","title":"aws_direct_connect.associate_hosted_connection/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#associate_hosted_connection/3","title":"aws_direct_connect.associate_hosted_connection/3","type":"function"},{"doc":"Associates a MAC Security (MACsec) Connection Key Name (CKN)/ Connectivity Association Key (CAK) pair with an Direct Connect dedicated connection. You must supply either the secretARN, or the CKN/CAK ( ckn and cak ) pair in the request. For information about MAC Security (MACsec) key considerations, see MACsec pre-shared CKN/CAK key considerations in the Direct Connect User Guide.","ref":"aws_direct_connect.html#associate_mac_sec_key/2","title":"aws_direct_connect.associate_mac_sec_key/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#associate_mac_sec_key/3","title":"aws_direct_connect.associate_mac_sec_key/3","type":"function"},{"doc":"Associates a virtual interface with a specified link aggregation group (LAG) or connection. Connectivity to Amazon Web Services is temporarily interrupted as the virtual interface is being migrated. If the target connection or LAG has an associated virtual interface with a conflicting VLAN number or a conflicting IP address, the operation fails. Virtual interfaces associated with a hosted connection cannot be associated with a LAG; hosted connections must be migrated along with their virtual interfaces using AssociateHostedConnection . To reassociate a virtual interface to a new connection or LAG, the requester must own either the virtual interface itself or the connection to which the virtual interface is currently associated. Additionally, the requester must own the connection or LAG for the association.","ref":"aws_direct_connect.html#associate_virtual_interface/2","title":"aws_direct_connect.associate_virtual_interface/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#associate_virtual_interface/3","title":"aws_direct_connect.associate_virtual_interface/3","type":"function"},{"doc":"Confirms the creation of the specified hosted connection on an interconnect. Upon creation, the hosted connection is initially in the Ordering state, and remains in this state until the owner confirms creation of the hosted connection.","ref":"aws_direct_connect.html#confirm_connection/2","title":"aws_direct_connect.confirm_connection/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#confirm_connection/3","title":"aws_direct_connect.confirm_connection/3","type":"function"},{"doc":"The confirmation of the terms of agreement when creating the connection/link aggregation group (LAG).","ref":"aws_direct_connect.html#confirm_customer_agreement/2","title":"aws_direct_connect.confirm_customer_agreement/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#confirm_customer_agreement/3","title":"aws_direct_connect.confirm_customer_agreement/3","type":"function"},{"doc":"Accepts ownership of a private virtual interface created by another Amazon Web Services account. After the virtual interface owner makes this call, the virtual interface is created and attached to the specified virtual private gateway or Direct Connect gateway, and is made available to handle traffic.","ref":"aws_direct_connect.html#confirm_private_virtual_interface/2","title":"aws_direct_connect.confirm_private_virtual_interface/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#confirm_private_virtual_interface/3","title":"aws_direct_connect.confirm_private_virtual_interface/3","type":"function"},{"doc":"Accepts ownership of a public virtual interface created by another Amazon Web Services account. After the virtual interface owner makes this call, the specified virtual interface is created and made available to handle traffic.","ref":"aws_direct_connect.html#confirm_public_virtual_interface/2","title":"aws_direct_connect.confirm_public_virtual_interface/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#confirm_public_virtual_interface/3","title":"aws_direct_connect.confirm_public_virtual_interface/3","type":"function"},{"doc":"Accepts ownership of a transit virtual interface created by another Amazon Web Services account. After the owner of the transit virtual interface makes this call, the specified transit virtual interface is created and made available to handle traffic.","ref":"aws_direct_connect.html#confirm_transit_virtual_interface/2","title":"aws_direct_connect.confirm_transit_virtual_interface/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#confirm_transit_virtual_interface/3","title":"aws_direct_connect.confirm_transit_virtual_interface/3","type":"function"},{"doc":"Creates a BGP peer on the specified virtual interface. You must create a BGP peer for the corresponding address family (IPv4/IPv6) in order to access Amazon Web Services resources that also use that address family. If logical redundancy is not supported by the connection, interconnect, or LAG, the BGP peer cannot be in the same address family as an existing BGP peer on the virtual interface. When creating a IPv6 BGP peer, omit the Amazon address and customer address. IPv6 addresses are automatically assigned from the Amazon pool of IPv6 addresses; you cannot specify custom IPv6 addresses. For a public virtual interface, the Autonomous System Number (ASN) must be private or already on the allow list for the virtual interface.","ref":"aws_direct_connect.html#create_bgp_peer/2","title":"aws_direct_connect.create_bgp_peer/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#create_bgp_peer/3","title":"aws_direct_connect.create_bgp_peer/3","type":"function"},{"doc":"Creates a connection between a customer network and a specific Direct Connect location. A connection links your internal network to an Direct Connect location over a standard Ethernet fiber-optic cable. One end of the cable is connected to your router, the other to an Direct Connect router. To find the locations for your Region, use DescribeLocations . You can automatically add the new connection to a link aggregation group (LAG) by specifying a LAG ID in the request. This ensures that the new connection is allocated on the same Direct Connect endpoint that hosts the specified LAG. If there are no available ports on the endpoint, the request fails and no connection is created.","ref":"aws_direct_connect.html#create_connection/2","title":"aws_direct_connect.create_connection/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#create_connection/3","title":"aws_direct_connect.create_connection/3","type":"function"},{"doc":"Creates a Direct Connect gateway, which is an intermediate object that enables you to connect a set of virtual interfaces and virtual private gateways. A Direct Connect gateway is global and visible in any Amazon Web Services Region after it is created. The virtual interfaces and virtual private gateways that are connected through a Direct Connect gateway can be in different Amazon Web Services Regions. This enables you to connect to a VPC in any Region, regardless of the Region in which the virtual interfaces are located, and pass traffic between them.","ref":"aws_direct_connect.html#create_direct_connect_gateway/2","title":"aws_direct_connect.create_direct_connect_gateway/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#create_direct_connect_gateway/3","title":"aws_direct_connect.create_direct_connect_gateway/3","type":"function"},{"doc":"Creates an association between a Direct Connect gateway and a virtual private gateway. The virtual private gateway must be attached to a VPC and must not be associated with another Direct Connect gateway.","ref":"aws_direct_connect.html#create_direct_connect_gateway_association/2","title":"aws_direct_connect.create_direct_connect_gateway_association/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#create_direct_connect_gateway_association/3","title":"aws_direct_connect.create_direct_connect_gateway_association/3","type":"function"},{"doc":"Creates a proposal to associate the specified virtual private gateway or transit gateway with the specified Direct Connect gateway. You can associate a Direct Connect gateway and virtual private gateway or transit gateway that is owned by any Amazon Web Services account.","ref":"aws_direct_connect.html#create_direct_connect_gateway_association_proposal/2","title":"aws_direct_connect.create_direct_connect_gateway_association_proposal/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#create_direct_connect_gateway_association_proposal/3","title":"aws_direct_connect.create_direct_connect_gateway_association_proposal/3","type":"function"},{"doc":"Creates an interconnect between an Direct Connect Partner's network and a specific Direct Connect location. An interconnect is a connection that is capable of hosting other connections. The Direct Connect Partner can use an interconnect to provide Direct Connect hosted connections to customers through their own network services. Like a standard connection, an interconnect links the partner's network to an Direct Connect location over a standard Ethernet fiber-optic cable. One end is connected to the partner's router, the other to an Direct Connect router. You can automatically add the new interconnect to a link aggregation group (LAG) by specifying a LAG ID in the request. This ensures that the new interconnect is allocated on the same Direct Connect endpoint that hosts the specified LAG. If there are no available ports on the endpoint, the request fails and no interconnect is created. For each end customer, the Direct Connect Partner provisions a connection on their interconnect by calling AllocateHostedConnection . The end customer can then connect to Amazon Web Services resources by creating a virtual interface on their connection, using the VLAN assigned to them by the Direct Connect Partner. Intended for use by Direct Connect Partners only.","ref":"aws_direct_connect.html#create_interconnect/2","title":"aws_direct_connect.create_interconnect/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#create_interconnect/3","title":"aws_direct_connect.create_interconnect/3","type":"function"},{"doc":"Creates a link aggregation group (LAG) with the specified number of bundled physical dedicated connections between the customer network and a specific Direct Connect location. A LAG is a logical interface that uses the Link Aggregation Control Protocol (LACP) to aggregate multiple interfaces, enabling you to treat them as a single interface. All connections in a LAG must use the same bandwidth (either 1Gbps or 10Gbps) and must terminate at the same Direct Connect endpoint. You can have up to 10 dedicated connections per LAG. Regardless of this limit, if you request more connections for the LAG than Direct Connect can allocate on a single endpoint, no LAG is created. You can specify an existing physical dedicated connection or interconnect to include in the LAG (which counts towards the total number of connections). Doing so interrupts the current physical dedicated connection, and re-establishes them as a member of the LAG. The LAG will be created on the same Direct Connect endpoint to which the dedicated connection terminates. Any virtual interfaces associated with the dedicated connection are automatically disassociated and re-associated with the LAG. The connection ID does not change. If the Amazon Web Services account used to create a LAG is a registered Direct Connect Partner, the LAG is automatically enabled to host sub-connections. For a LAG owned by a partner, any associated virtual interfaces cannot be directly configured.","ref":"aws_direct_connect.html#create_lag/2","title":"aws_direct_connect.create_lag/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#create_lag/3","title":"aws_direct_connect.create_lag/3","type":"function"},{"doc":"Creates a private virtual interface. A virtual interface is the VLAN that transports Direct Connect traffic. A private virtual interface can be connected to either a Direct Connect gateway or a Virtual Private Gateway (VGW). Connecting the private virtual interface to a Direct Connect gateway enables the possibility for connecting to multiple VPCs, including VPCs in different Amazon Web Services Regions. Connecting the private virtual interface to a VGW only provides access to a single VPC within the same Region. Setting the MTU of a virtual interface to 9001 (jumbo frames) can cause an update to the underlying physical connection if it wasn't updated to support jumbo frames. Updating the connection disrupts network connectivity for all virtual interfaces associated with the connection for up to 30 seconds. To check whether your connection supports jumbo frames, call DescribeConnections . To check whether your virtual interface supports jumbo frames, call DescribeVirtualInterfaces .","ref":"aws_direct_connect.html#create_private_virtual_interface/2","title":"aws_direct_connect.create_private_virtual_interface/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#create_private_virtual_interface/3","title":"aws_direct_connect.create_private_virtual_interface/3","type":"function"},{"doc":"Creates a public virtual interface. A virtual interface is the VLAN that transports Direct Connect traffic. A public virtual interface supports sending traffic to public services of Amazon Web Services such as Amazon S3. When creating an IPv6 public virtual interface ( addressFamily is ipv6 ), leave the customer and amazon address fields blank to use auto-assigned IPv6 space. Custom IPv6 addresses are not supported.","ref":"aws_direct_connect.html#create_public_virtual_interface/2","title":"aws_direct_connect.create_public_virtual_interface/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#create_public_virtual_interface/3","title":"aws_direct_connect.create_public_virtual_interface/3","type":"function"},{"doc":"Creates a transit virtual interface. A transit virtual interface should be used to access one or more transit gateways associated with Direct Connect gateways. A transit virtual interface enables the connection of multiple VPCs attached to a transit gateway to a Direct Connect gateway. If you associate your transit gateway with one or more Direct Connect gateways, the Autonomous System Number (ASN) used by the transit gateway and the Direct Connect gateway must be different. For example, if you use the default ASN 64512 for both your the transit gateway and Direct Connect gateway, the association request fails. Setting the MTU of a virtual interface to 8500 (jumbo frames) can cause an update to the underlying physical connection if it wasn't updated to support jumbo frames. Updating the connection disrupts network connectivity for all virtual interfaces associated with the connection for up to 30 seconds. To check whether your connection supports jumbo frames, call DescribeConnections . To check whether your virtual interface supports jumbo frames, call DescribeVirtualInterfaces .","ref":"aws_direct_connect.html#create_transit_virtual_interface/2","title":"aws_direct_connect.create_transit_virtual_interface/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#create_transit_virtual_interface/3","title":"aws_direct_connect.create_transit_virtual_interface/3","type":"function"},{"doc":"Deletes the specified BGP peer on the specified virtual interface with the specified customer address and ASN. You cannot delete the last BGP peer from a virtual interface.","ref":"aws_direct_connect.html#delete_bgp_peer/2","title":"aws_direct_connect.delete_bgp_peer/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#delete_bgp_peer/3","title":"aws_direct_connect.delete_bgp_peer/3","type":"function"},{"doc":"Deletes the specified connection. Deleting a connection only stops the Direct Connect port hour and data transfer charges. If you are partnering with any third parties to connect with the Direct Connect location, you must cancel your service with them separately.","ref":"aws_direct_connect.html#delete_connection/2","title":"aws_direct_connect.delete_connection/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#delete_connection/3","title":"aws_direct_connect.delete_connection/3","type":"function"},{"doc":"Deletes the specified Direct Connect gateway. You must first delete all virtual interfaces that are attached to the Direct Connect gateway and disassociate all virtual private gateways associated with the Direct Connect gateway.","ref":"aws_direct_connect.html#delete_direct_connect_gateway/2","title":"aws_direct_connect.delete_direct_connect_gateway/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#delete_direct_connect_gateway/3","title":"aws_direct_connect.delete_direct_connect_gateway/3","type":"function"},{"doc":"Deletes the association between the specified Direct Connect gateway and virtual private gateway. We recommend that you specify the associationID to delete the association. Alternatively, if you own virtual gateway and a Direct Connect gateway association, you can specify the virtualGatewayId and directConnectGatewayId to delete an association.","ref":"aws_direct_connect.html#delete_direct_connect_gateway_association/2","title":"aws_direct_connect.delete_direct_connect_gateway_association/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#delete_direct_connect_gateway_association/3","title":"aws_direct_connect.delete_direct_connect_gateway_association/3","type":"function"},{"doc":"Deletes the association proposal request between the specified Direct Connect gateway and virtual private gateway or transit gateway.","ref":"aws_direct_connect.html#delete_direct_connect_gateway_association_proposal/2","title":"aws_direct_connect.delete_direct_connect_gateway_association_proposal/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#delete_direct_connect_gateway_association_proposal/3","title":"aws_direct_connect.delete_direct_connect_gateway_association_proposal/3","type":"function"},{"doc":"Deletes the specified interconnect. Intended for use by Direct Connect Partners only.","ref":"aws_direct_connect.html#delete_interconnect/2","title":"aws_direct_connect.delete_interconnect/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#delete_interconnect/3","title":"aws_direct_connect.delete_interconnect/3","type":"function"},{"doc":"Deletes the specified link aggregation group (LAG). You cannot delete a LAG if it has active virtual interfaces or hosted connections.","ref":"aws_direct_connect.html#delete_lag/2","title":"aws_direct_connect.delete_lag/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#delete_lag/3","title":"aws_direct_connect.delete_lag/3","type":"function"},{"doc":"Deletes a virtual interface.","ref":"aws_direct_connect.html#delete_virtual_interface/2","title":"aws_direct_connect.delete_virtual_interface/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#delete_virtual_interface/3","title":"aws_direct_connect.delete_virtual_interface/3","type":"function"},{"doc":"Deprecated. Use DescribeLoa instead. Gets the LOA-CFA for a connection. The Letter of Authorization - Connecting Facility Assignment (LOA-CFA) is a document that your APN partner or service provider uses when establishing your cross connect to Amazon Web Services at the colocation facility. For more information, see Requesting Cross Connects at Direct Connect Locations in the Direct Connect User Guide.","ref":"aws_direct_connect.html#describe_connection_loa/2","title":"aws_direct_connect.describe_connection_loa/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_connection_loa/3","title":"aws_direct_connect.describe_connection_loa/3","type":"function"},{"doc":"Displays the specified connection or all connections in this Region.","ref":"aws_direct_connect.html#describe_connections/2","title":"aws_direct_connect.describe_connections/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_connections/3","title":"aws_direct_connect.describe_connections/3","type":"function"},{"doc":"Deprecated. Use DescribeHostedConnections instead. Lists the connections that have been provisioned on the specified interconnect. Intended for use by Direct Connect Partners only.","ref":"aws_direct_connect.html#describe_connections_on_interconnect/2","title":"aws_direct_connect.describe_connections_on_interconnect/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_connections_on_interconnect/3","title":"aws_direct_connect.describe_connections_on_interconnect/3","type":"function"},{"doc":"Get and view a list of customer agreements, along with their signed status and whether the customer is an NNIPartner, NNIPartnerV2, or a nonPartner.","ref":"aws_direct_connect.html#describe_customer_metadata/2","title":"aws_direct_connect.describe_customer_metadata/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_customer_metadata/3","title":"aws_direct_connect.describe_customer_metadata/3","type":"function"},{"doc":"Describes one or more association proposals for connection between a virtual private gateway or transit gateway and a Direct Connect gateway.","ref":"aws_direct_connect.html#describe_direct_connect_gateway_association_proposals/2","title":"aws_direct_connect.describe_direct_connect_gateway_association_proposals/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_direct_connect_gateway_association_proposals/3","title":"aws_direct_connect.describe_direct_connect_gateway_association_proposals/3","type":"function"},{"doc":"Lists the associations between your Direct Connect gateways and virtual private gateways and transit gateways. You must specify one of the following: A Direct Connect gateway The response contains all virtual private gateways and transit gateways associated with the Direct Connect gateway. A virtual private gateway The response contains the Direct Connect gateway. A transit gateway The response contains the Direct Connect gateway. A Direct Connect gateway and a virtual private gateway The response contains the association between the Direct Connect gateway and virtual private gateway. A Direct Connect gateway and a transit gateway The response contains the association between the Direct Connect gateway and transit gateway.","ref":"aws_direct_connect.html#describe_direct_connect_gateway_associations/2","title":"aws_direct_connect.describe_direct_connect_gateway_associations/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_direct_connect_gateway_associations/3","title":"aws_direct_connect.describe_direct_connect_gateway_associations/3","type":"function"},{"doc":"Lists the attachments between your Direct Connect gateways and virtual interfaces. You must specify a Direct Connect gateway, a virtual interface, or both. If you specify a Direct Connect gateway, the response contains all virtual interfaces attached to the Direct Connect gateway. If you specify a virtual interface, the response contains all Direct Connect gateways attached to the virtual interface. If you specify both, the response contains the attachment between the Direct Connect gateway and the virtual interface.","ref":"aws_direct_connect.html#describe_direct_connect_gateway_attachments/2","title":"aws_direct_connect.describe_direct_connect_gateway_attachments/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_direct_connect_gateway_attachments/3","title":"aws_direct_connect.describe_direct_connect_gateway_attachments/3","type":"function"},{"doc":"Lists all your Direct Connect gateways or only the specified Direct Connect gateway. Deleted Direct Connect gateways are not returned.","ref":"aws_direct_connect.html#describe_direct_connect_gateways/2","title":"aws_direct_connect.describe_direct_connect_gateways/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_direct_connect_gateways/3","title":"aws_direct_connect.describe_direct_connect_gateways/3","type":"function"},{"doc":"Lists the hosted connections that have been provisioned on the specified interconnect or link aggregation group (LAG). Intended for use by Direct Connect Partners only.","ref":"aws_direct_connect.html#describe_hosted_connections/2","title":"aws_direct_connect.describe_hosted_connections/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_hosted_connections/3","title":"aws_direct_connect.describe_hosted_connections/3","type":"function"},{"doc":"Deprecated. Use DescribeLoa instead. Gets the LOA-CFA for the specified interconnect. The Letter of Authorization - Connecting Facility Assignment (LOA-CFA) is a document that is used when establishing your cross connect to Amazon Web Services at the colocation facility. For more information, see Requesting Cross Connects at Direct Connect Locations in the Direct Connect User Guide.","ref":"aws_direct_connect.html#describe_interconnect_loa/2","title":"aws_direct_connect.describe_interconnect_loa/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_interconnect_loa/3","title":"aws_direct_connect.describe_interconnect_loa/3","type":"function"},{"doc":"Lists the interconnects owned by the Amazon Web Services account or only the specified interconnect.","ref":"aws_direct_connect.html#describe_interconnects/2","title":"aws_direct_connect.describe_interconnects/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_interconnects/3","title":"aws_direct_connect.describe_interconnects/3","type":"function"},{"doc":"Describes all your link aggregation groups (LAG) or the specified LAG.","ref":"aws_direct_connect.html#describe_lags/2","title":"aws_direct_connect.describe_lags/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_lags/3","title":"aws_direct_connect.describe_lags/3","type":"function"},{"doc":"Gets the LOA-CFA for a connection, interconnect, or link aggregation group (LAG). The Letter of Authorization - Connecting Facility Assignment (LOA-CFA) is a document that is used when establishing your cross connect to Amazon Web Services at the colocation facility. For more information, see Requesting Cross Connects at Direct Connect Locations in the Direct Connect User Guide.","ref":"aws_direct_connect.html#describe_loa/2","title":"aws_direct_connect.describe_loa/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_loa/3","title":"aws_direct_connect.describe_loa/3","type":"function"},{"doc":"Lists the Direct Connect locations in the current Amazon Web Services Region. These are the locations that can be selected when calling CreateConnection or CreateInterconnect .","ref":"aws_direct_connect.html#describe_locations/2","title":"aws_direct_connect.describe_locations/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_locations/3","title":"aws_direct_connect.describe_locations/3","type":"function"},{"doc":"Details about the router.","ref":"aws_direct_connect.html#describe_router_configuration/2","title":"aws_direct_connect.describe_router_configuration/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_router_configuration/3","title":"aws_direct_connect.describe_router_configuration/3","type":"function"},{"doc":"Describes the tags associated with the specified Direct Connect resources.","ref":"aws_direct_connect.html#describe_tags/2","title":"aws_direct_connect.describe_tags/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_tags/3","title":"aws_direct_connect.describe_tags/3","type":"function"},{"doc":"Lists the virtual private gateways owned by the Amazon Web Services account. You can create one or more Direct Connect private virtual interfaces linked to a virtual private gateway.","ref":"aws_direct_connect.html#describe_virtual_gateways/2","title":"aws_direct_connect.describe_virtual_gateways/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_virtual_gateways/3","title":"aws_direct_connect.describe_virtual_gateways/3","type":"function"},{"doc":"Displays all virtual interfaces for an Amazon Web Services account. Virtual interfaces deleted fewer than 15 minutes before you make the request are also returned. If you specify a connection ID, only the virtual interfaces associated with the connection are returned. If you specify a virtual interface ID, then only a single virtual interface is returned. A virtual interface (VLAN) transmits the traffic between the Direct Connect location and the customer network.","ref":"aws_direct_connect.html#describe_virtual_interfaces/2","title":"aws_direct_connect.describe_virtual_interfaces/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#describe_virtual_interfaces/3","title":"aws_direct_connect.describe_virtual_interfaces/3","type":"function"},{"doc":"Disassociates a connection from a link aggregation group (LAG). The connection is interrupted and re-established as a standalone connection (the connection is not deleted; to delete the connection, use the DeleteConnection request). If the LAG has associated virtual interfaces or hosted connections, they remain associated with the LAG. A disassociated connection owned by an Direct Connect Partner is automatically converted to an interconnect. If disassociating the connection would cause the LAG to fall below its setting for minimum number of operational connections, the request fails, except when it's the last member of the LAG. If all connections are disassociated, the LAG continues to exist as an empty LAG with no physical connections.","ref":"aws_direct_connect.html#disassociate_connection_from_lag/2","title":"aws_direct_connect.disassociate_connection_from_lag/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#disassociate_connection_from_lag/3","title":"aws_direct_connect.disassociate_connection_from_lag/3","type":"function"},{"doc":"Removes the association between a MAC Security (MACsec) security key and an Direct Connect dedicated connection.","ref":"aws_direct_connect.html#disassociate_mac_sec_key/2","title":"aws_direct_connect.disassociate_mac_sec_key/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#disassociate_mac_sec_key/3","title":"aws_direct_connect.disassociate_mac_sec_key/3","type":"function"},{"doc":"Lists the virtual interface failover test history.","ref":"aws_direct_connect.html#list_virtual_interface_test_history/2","title":"aws_direct_connect.list_virtual_interface_test_history/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#list_virtual_interface_test_history/3","title":"aws_direct_connect.list_virtual_interface_test_history/3","type":"function"},{"doc":"Starts the virtual interface failover test that verifies your configuration meets your resiliency requirements by placing the BGP peering session in the DOWN state. You can then send traffic to verify that there are no outages. You can run the test on public, private, transit, and hosted virtual interfaces. You can use ListVirtualInterfaceTestHistory to view the virtual interface test history. If you need to stop the test before the test interval completes, use StopBgpFailoverTest.","ref":"aws_direct_connect.html#start_bgp_failover_test/2","title":"aws_direct_connect.start_bgp_failover_test/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#start_bgp_failover_test/3","title":"aws_direct_connect.start_bgp_failover_test/3","type":"function"},{"doc":"Stops the virtual interface failover test.","ref":"aws_direct_connect.html#stop_bgp_failover_test/2","title":"aws_direct_connect.stop_bgp_failover_test/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#stop_bgp_failover_test/3","title":"aws_direct_connect.stop_bgp_failover_test/3","type":"function"},{"doc":"Adds the specified tags to the specified Direct Connect resource. Each resource can have a maximum of 50 tags. Each tag consists of a key and an optional value. If a tag with the same key is already associated with the resource, this action updates its value.","ref":"aws_direct_connect.html#tag_resource/2","title":"aws_direct_connect.tag_resource/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#tag_resource/3","title":"aws_direct_connect.tag_resource/3","type":"function"},{"doc":"Removes one or more tags from the specified Direct Connect resource.","ref":"aws_direct_connect.html#untag_resource/2","title":"aws_direct_connect.untag_resource/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#untag_resource/3","title":"aws_direct_connect.untag_resource/3","type":"function"},{"doc":"Updates the Direct Connect dedicated connection configuration. You can update the following parameters for a connection: The connection name The connection's MAC Security (MACsec) encryption mode.","ref":"aws_direct_connect.html#update_connection/2","title":"aws_direct_connect.update_connection/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#update_connection/3","title":"aws_direct_connect.update_connection/3","type":"function"},{"doc":"Updates the name of a current Direct Connect gateway.","ref":"aws_direct_connect.html#update_direct_connect_gateway/2","title":"aws_direct_connect.update_direct_connect_gateway/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#update_direct_connect_gateway/3","title":"aws_direct_connect.update_direct_connect_gateway/3","type":"function"},{"doc":"Updates the specified attributes of the Direct Connect gateway association. Add or remove prefixes from the association.","ref":"aws_direct_connect.html#update_direct_connect_gateway_association/2","title":"aws_direct_connect.update_direct_connect_gateway_association/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#update_direct_connect_gateway_association/3","title":"aws_direct_connect.update_direct_connect_gateway_association/3","type":"function"},{"doc":"Updates the attributes of the specified link aggregation group (LAG). You can update the following LAG attributes: The name of the LAG. The value for the minimum number of connections that must be operational for the LAG itself to be operational. The LAG's MACsec encryption mode. Amazon Web Services assigns this value to each connection which is part of the LAG. The tags If you adjust the threshold value for the minimum number of operational connections, ensure that the new value does not cause the LAG to fall below the threshold and become non-operational.","ref":"aws_direct_connect.html#update_lag/2","title":"aws_direct_connect.update_lag/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#update_lag/3","title":"aws_direct_connect.update_lag/3","type":"function"},{"doc":"Updates the specified attributes of the specified virtual private interface. Setting the MTU of a virtual interface to 9001 (jumbo frames) can cause an update to the underlying physical connection if it wasn't updated to support jumbo frames. Updating the connection disrupts network connectivity for all virtual interfaces associated with the connection for up to 30 seconds. To check whether your connection supports jumbo frames, call DescribeConnections . To check whether your virtual q interface supports jumbo frames, call DescribeVirtualInterfaces .","ref":"aws_direct_connect.html#update_virtual_interface_attributes/2","title":"aws_direct_connect.update_virtual_interface_attributes/2","type":"function"},{"doc":"","ref":"aws_direct_connect.html#update_virtual_interface_attributes/3","title":"aws_direct_connect.update_virtual_interface_attributes/3","type":"function"},{"doc":"Directory Service Directory Service is a web service that makes it easy for you to setup and run directories in the Amazon Web Services cloud, or connect your Amazon Web Services resources with an existing self-managed Microsoft Active Directory. This guide provides detailed information about Directory Service operations, data types, parameters, and errors. For information about Directory Services features, see Directory Service and the Directory Service Administration Guide. Amazon Web Services provides SDKs that consist of libraries and sample code for various programming languages and platforms (Java, Ruby, .Net, iOS, Android, etc.). The SDKs provide a convenient way to create programmatic access to Directory Service and other Amazon Web Services services. For more information about the Amazon Web Services SDKs, including how to download and install them, see Tools for Amazon Web Services.","ref":"aws_directory.html","title":"aws_directory","type":"module"},{"doc":"Accepts a directory sharing request that was sent from the directory owner account.","ref":"aws_directory.html#accept_shared_directory/2","title":"aws_directory.accept_shared_directory/2","type":"function"},{"doc":"","ref":"aws_directory.html#accept_shared_directory/3","title":"aws_directory.accept_shared_directory/3","type":"function"},{"doc":"If the DNS server for your self-managed domain uses a publicly addressable IP address, you must add a CIDR address block to correctly route traffic to and from your Microsoft AD on Amazon Web Services. AddIpRoutes adds this address block. You can also use AddIpRoutes to facilitate routing traffic that uses public IP ranges from your Microsoft AD on Amazon Web Services to a peer VPC. Before you call AddIpRoutes, ensure that all of the required permissions have been explicitly granted through a policy. For details about what permissions are required to run the AddIpRoutes operation, see Directory Service API Permissions: Actions, Resources, and Conditions Reference.","ref":"aws_directory.html#add_ip_routes/2","title":"aws_directory.add_ip_routes/2","type":"function"},{"doc":"","ref":"aws_directory.html#add_ip_routes/3","title":"aws_directory.add_ip_routes/3","type":"function"},{"doc":"Adds two domain controllers in the specified Region for the specified directory.","ref":"aws_directory.html#add_region/2","title":"aws_directory.add_region/2","type":"function"},{"doc":"","ref":"aws_directory.html#add_region/3","title":"aws_directory.add_region/3","type":"function"},{"doc":"Adds or overwrites one or more tags for the specified directory. Each directory can have a maximum of 50 tags. Each tag consists of a key and optional value. Tag keys must be unique to each resource.","ref":"aws_directory.html#add_tags_to_resource/2","title":"aws_directory.add_tags_to_resource/2","type":"function"},{"doc":"","ref":"aws_directory.html#add_tags_to_resource/3","title":"aws_directory.add_tags_to_resource/3","type":"function"},{"doc":"Cancels an in-progress schema extension to a Microsoft AD directory. Once a schema extension has started replicating to all domain controllers, the task can no longer be canceled. A schema extension can be canceled during any of the following states; Initializing , CreatingSnapshot , and UpdatingSchema .","ref":"aws_directory.html#cancel_schema_extension/2","title":"aws_directory.cancel_schema_extension/2","type":"function"},{"doc":"","ref":"aws_directory.html#cancel_schema_extension/3","title":"aws_directory.cancel_schema_extension/3","type":"function"},{"doc":"Creates an AD Connector to connect to a self-managed directory. Before you call ConnectDirectory , ensure that all of the required permissions have been explicitly granted through a policy. For details about what permissions are required to run the ConnectDirectory operation, see Directory Service API Permissions: Actions, Resources, and Conditions Reference.","ref":"aws_directory.html#connect_directory/2","title":"aws_directory.connect_directory/2","type":"function"},{"doc":"","ref":"aws_directory.html#connect_directory/3","title":"aws_directory.connect_directory/3","type":"function"},{"doc":"Creates an alias for a directory and assigns the alias to the directory. The alias is used to construct the access URL for the directory, such as http://&amp;lt;alias&amp;gt;.awsapps.com . After an alias has been created, it cannot be deleted or reused, so this operation should only be used when absolutely necessary.","ref":"aws_directory.html#create_alias/2","title":"aws_directory.create_alias/2","type":"function"},{"doc":"","ref":"aws_directory.html#create_alias/3","title":"aws_directory.create_alias/3","type":"function"},{"doc":"Creates an Active Directory computer object in the specified directory.","ref":"aws_directory.html#create_computer/2","title":"aws_directory.create_computer/2","type":"function"},{"doc":"","ref":"aws_directory.html#create_computer/3","title":"aws_directory.create_computer/3","type":"function"},{"doc":"Creates a conditional forwarder associated with your Amazon Web Services directory. Conditional forwarders are required in order to set up a trust relationship with another domain. The conditional forwarder points to the trusted domain.","ref":"aws_directory.html#create_conditional_forwarder/2","title":"aws_directory.create_conditional_forwarder/2","type":"function"},{"doc":"","ref":"aws_directory.html#create_conditional_forwarder/3","title":"aws_directory.create_conditional_forwarder/3","type":"function"},{"doc":"Creates a Simple AD directory. For more information, see Simple Active Directory in the Directory Service Admin Guide. Before you call CreateDirectory , ensure that all of the required permissions have been explicitly granted through a policy. For details about what permissions are required to run the CreateDirectory operation, see Directory Service API Permissions: Actions, Resources, and Conditions Reference.","ref":"aws_directory.html#create_directory/2","title":"aws_directory.create_directory/2","type":"function"},{"doc":"","ref":"aws_directory.html#create_directory/3","title":"aws_directory.create_directory/3","type":"function"},{"doc":"Creates a subscription to forward real-time Directory Service domain controller security logs to the specified Amazon CloudWatch log group in your Amazon Web Services account.","ref":"aws_directory.html#create_log_subscription/2","title":"aws_directory.create_log_subscription/2","type":"function"},{"doc":"","ref":"aws_directory.html#create_log_subscription/3","title":"aws_directory.create_log_subscription/3","type":"function"},{"doc":"Creates a Microsoft AD directory in the Amazon Web Services Cloud. For more information, see Managed Microsoft AD in the Directory Service Admin Guide. Before you call CreateMicrosoftAD, ensure that all of the required permissions have been explicitly granted through a policy. For details about what permissions are required to run the CreateMicrosoftAD operation, see Directory Service API Permissions: Actions, Resources, and Conditions Reference.","ref":"aws_directory.html#create_microsoft_ad/2","title":"aws_directory.create_microsoft_ad/2","type":"function"},{"doc":"","ref":"aws_directory.html#create_microsoft_ad/3","title":"aws_directory.create_microsoft_ad/3","type":"function"},{"doc":"Creates a snapshot of a Simple AD or Microsoft AD directory in the Amazon Web Services cloud. You cannot take snapshots of AD Connector directories.","ref":"aws_directory.html#create_snapshot/2","title":"aws_directory.create_snapshot/2","type":"function"},{"doc":"","ref":"aws_directory.html#create_snapshot/3","title":"aws_directory.create_snapshot/3","type":"function"},{"doc":"Directory Service for Microsoft Active Directory allows you to configure trust relationships. For example, you can establish a trust between your Managed Microsoft AD directory, and your existing self-managed Microsoft Active Directory. This would allow you to provide users and groups access to resources in either domain, with a single set of credentials. This action initiates the creation of the Amazon Web Services side of a trust relationship between an Managed Microsoft AD directory and an external domain. You can create either a forest trust or an external trust.","ref":"aws_directory.html#create_trust/2","title":"aws_directory.create_trust/2","type":"function"},{"doc":"","ref":"aws_directory.html#create_trust/3","title":"aws_directory.create_trust/3","type":"function"},{"doc":"Deletes a conditional forwarder that has been set up for your Amazon Web Services directory.","ref":"aws_directory.html#delete_conditional_forwarder/2","title":"aws_directory.delete_conditional_forwarder/2","type":"function"},{"doc":"","ref":"aws_directory.html#delete_conditional_forwarder/3","title":"aws_directory.delete_conditional_forwarder/3","type":"function"},{"doc":"Deletes an Directory Service directory. Before you call DeleteDirectory , ensure that all of the required permissions have been explicitly granted through a policy. For details about what permissions are required to run the DeleteDirectory operation, see Directory Service API Permissions: Actions, Resources, and Conditions Reference.","ref":"aws_directory.html#delete_directory/2","title":"aws_directory.delete_directory/2","type":"function"},{"doc":"","ref":"aws_directory.html#delete_directory/3","title":"aws_directory.delete_directory/3","type":"function"},{"doc":"Deletes the specified log subscription.","ref":"aws_directory.html#delete_log_subscription/2","title":"aws_directory.delete_log_subscription/2","type":"function"},{"doc":"","ref":"aws_directory.html#delete_log_subscription/3","title":"aws_directory.delete_log_subscription/3","type":"function"},{"doc":"Deletes a directory snapshot.","ref":"aws_directory.html#delete_snapshot/2","title":"aws_directory.delete_snapshot/2","type":"function"},{"doc":"","ref":"aws_directory.html#delete_snapshot/3","title":"aws_directory.delete_snapshot/3","type":"function"},{"doc":"Deletes an existing trust relationship between your Managed Microsoft AD directory and an external domain.","ref":"aws_directory.html#delete_trust/2","title":"aws_directory.delete_trust/2","type":"function"},{"doc":"","ref":"aws_directory.html#delete_trust/3","title":"aws_directory.delete_trust/3","type":"function"},{"doc":"Deletes from the system the certificate that was registered for secure LDAP or client certificate authentication.","ref":"aws_directory.html#deregister_certificate/2","title":"aws_directory.deregister_certificate/2","type":"function"},{"doc":"","ref":"aws_directory.html#deregister_certificate/3","title":"aws_directory.deregister_certificate/3","type":"function"},{"doc":"Removes the specified directory as a publisher to the specified Amazon SNS topic.","ref":"aws_directory.html#deregister_event_topic/2","title":"aws_directory.deregister_event_topic/2","type":"function"},{"doc":"","ref":"aws_directory.html#deregister_event_topic/3","title":"aws_directory.deregister_event_topic/3","type":"function"},{"doc":"Displays information about the certificate registered for secure LDAP or client certificate authentication.","ref":"aws_directory.html#describe_certificate/2","title":"aws_directory.describe_certificate/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_certificate/3","title":"aws_directory.describe_certificate/3","type":"function"},{"doc":"Retrieves information about the type of client authentication for the specified directory, if the type is specified. If no type is specified, information about all client authentication types that are supported for the specified directory is retrieved. Currently, only SmartCard is supported.","ref":"aws_directory.html#describe_client_authentication_settings/2","title":"aws_directory.describe_client_authentication_settings/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_client_authentication_settings/3","title":"aws_directory.describe_client_authentication_settings/3","type":"function"},{"doc":"Obtains information about the conditional forwarders for this account. If no input parameters are provided for RemoteDomainNames, this request describes all conditional forwarders for the specified directory ID.","ref":"aws_directory.html#describe_conditional_forwarders/2","title":"aws_directory.describe_conditional_forwarders/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_conditional_forwarders/3","title":"aws_directory.describe_conditional_forwarders/3","type":"function"},{"doc":"Obtains information about the directories that belong to this account. You can retrieve information about specific directories by passing the directory identifiers in the DirectoryIds parameter. Otherwise, all directories that belong to the current account are returned. This operation supports pagination with the use of the NextToken request and response parameters. If more results are available, the DescribeDirectoriesResult.NextToken member contains a token that you pass in the next call to DescribeDirectories to retrieve the next set of items. You can also specify a maximum number of return results with the Limit parameter.","ref":"aws_directory.html#describe_directories/2","title":"aws_directory.describe_directories/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_directories/3","title":"aws_directory.describe_directories/3","type":"function"},{"doc":"Provides information about any domain controllers in your directory.","ref":"aws_directory.html#describe_domain_controllers/2","title":"aws_directory.describe_domain_controllers/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_domain_controllers/3","title":"aws_directory.describe_domain_controllers/3","type":"function"},{"doc":"Obtains information about which Amazon SNS topics receive status messages from the specified directory. If no input parameters are provided, such as DirectoryId or TopicName, this request describes all of the associations in the account.","ref":"aws_directory.html#describe_event_topics/2","title":"aws_directory.describe_event_topics/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_event_topics/3","title":"aws_directory.describe_event_topics/3","type":"function"},{"doc":"Describes the status of LDAP security for the specified directory.","ref":"aws_directory.html#describe_ldaps_settings/2","title":"aws_directory.describe_ldaps_settings/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_ldaps_settings/3","title":"aws_directory.describe_ldaps_settings/3","type":"function"},{"doc":"Provides information about the Regions that are configured for multi-Region replication.","ref":"aws_directory.html#describe_regions/2","title":"aws_directory.describe_regions/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_regions/3","title":"aws_directory.describe_regions/3","type":"function"},{"doc":"Retrieves information about the configurable settings for the specified directory.","ref":"aws_directory.html#describe_settings/2","title":"aws_directory.describe_settings/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_settings/3","title":"aws_directory.describe_settings/3","type":"function"},{"doc":"Returns the shared directories in your account.","ref":"aws_directory.html#describe_shared_directories/2","title":"aws_directory.describe_shared_directories/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_shared_directories/3","title":"aws_directory.describe_shared_directories/3","type":"function"},{"doc":"Obtains information about the directory snapshots that belong to this account. This operation supports pagination with the use of the NextToken request and response parameters. If more results are available, the DescribeSnapshots.NextToken member contains a token that you pass in the next call to DescribeSnapshots to retrieve the next set of items. You can also specify a maximum number of return results with the Limit parameter.","ref":"aws_directory.html#describe_snapshots/2","title":"aws_directory.describe_snapshots/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_snapshots/3","title":"aws_directory.describe_snapshots/3","type":"function"},{"doc":"Obtains information about the trust relationships for this account. If no input parameters are provided, such as DirectoryId or TrustIds, this request describes all the trust relationships belonging to the account.","ref":"aws_directory.html#describe_trusts/2","title":"aws_directory.describe_trusts/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_trusts/3","title":"aws_directory.describe_trusts/3","type":"function"},{"doc":"Describes the updates of a directory for a particular update type.","ref":"aws_directory.html#describe_update_directory/2","title":"aws_directory.describe_update_directory/2","type":"function"},{"doc":"","ref":"aws_directory.html#describe_update_directory/3","title":"aws_directory.describe_update_directory/3","type":"function"},{"doc":"Disables alternative client authentication methods for the specified directory.","ref":"aws_directory.html#disable_client_authentication/2","title":"aws_directory.disable_client_authentication/2","type":"function"},{"doc":"","ref":"aws_directory.html#disable_client_authentication/3","title":"aws_directory.disable_client_authentication/3","type":"function"},{"doc":"Deactivates LDAP secure calls for the specified directory.","ref":"aws_directory.html#disable_ldaps/2","title":"aws_directory.disable_ldaps/2","type":"function"},{"doc":"","ref":"aws_directory.html#disable_ldaps/3","title":"aws_directory.disable_ldaps/3","type":"function"},{"doc":"Disables multi-factor authentication (MFA) with the Remote Authentication Dial In User Service (RADIUS) server for an AD Connector or Microsoft AD directory.","ref":"aws_directory.html#disable_radius/2","title":"aws_directory.disable_radius/2","type":"function"},{"doc":"","ref":"aws_directory.html#disable_radius/3","title":"aws_directory.disable_radius/3","type":"function"},{"doc":"Disables single-sign on for a directory.","ref":"aws_directory.html#disable_sso/2","title":"aws_directory.disable_sso/2","type":"function"},{"doc":"","ref":"aws_directory.html#disable_sso/3","title":"aws_directory.disable_sso/3","type":"function"},{"doc":"Enables alternative client authentication methods for the specified directory.","ref":"aws_directory.html#enable_client_authentication/2","title":"aws_directory.enable_client_authentication/2","type":"function"},{"doc":"","ref":"aws_directory.html#enable_client_authentication/3","title":"aws_directory.enable_client_authentication/3","type":"function"},{"doc":"Activates the switch for the specific directory to always use LDAP secure calls.","ref":"aws_directory.html#enable_ldaps/2","title":"aws_directory.enable_ldaps/2","type":"function"},{"doc":"","ref":"aws_directory.html#enable_ldaps/3","title":"aws_directory.enable_ldaps/3","type":"function"},{"doc":"Enables multi-factor authentication (MFA) with the Remote Authentication Dial In User Service (RADIUS) server for an AD Connector or Microsoft AD directory.","ref":"aws_directory.html#enable_radius/2","title":"aws_directory.enable_radius/2","type":"function"},{"doc":"","ref":"aws_directory.html#enable_radius/3","title":"aws_directory.enable_radius/3","type":"function"},{"doc":"Enables single sign-on for a directory. Single sign-on allows users in your directory to access certain Amazon Web Services services from a computer joined to the directory without having to enter their credentials separately.","ref":"aws_directory.html#enable_sso/2","title":"aws_directory.enable_sso/2","type":"function"},{"doc":"","ref":"aws_directory.html#enable_sso/3","title":"aws_directory.enable_sso/3","type":"function"},{"doc":"Obtains directory limit information for the current Region.","ref":"aws_directory.html#get_directory_limits/2","title":"aws_directory.get_directory_limits/2","type":"function"},{"doc":"","ref":"aws_directory.html#get_directory_limits/3","title":"aws_directory.get_directory_limits/3","type":"function"},{"doc":"Obtains the manual snapshot limits for a directory.","ref":"aws_directory.html#get_snapshot_limits/2","title":"aws_directory.get_snapshot_limits/2","type":"function"},{"doc":"","ref":"aws_directory.html#get_snapshot_limits/3","title":"aws_directory.get_snapshot_limits/3","type":"function"},{"doc":"For the specified directory, lists all the certificates registered for a secure LDAP or client certificate authentication.","ref":"aws_directory.html#list_certificates/2","title":"aws_directory.list_certificates/2","type":"function"},{"doc":"","ref":"aws_directory.html#list_certificates/3","title":"aws_directory.list_certificates/3","type":"function"},{"doc":"Lists the address blocks that you have added to a directory.","ref":"aws_directory.html#list_ip_routes/2","title":"aws_directory.list_ip_routes/2","type":"function"},{"doc":"","ref":"aws_directory.html#list_ip_routes/3","title":"aws_directory.list_ip_routes/3","type":"function"},{"doc":"Lists the active log subscriptions for the Amazon Web Services account.","ref":"aws_directory.html#list_log_subscriptions/2","title":"aws_directory.list_log_subscriptions/2","type":"function"},{"doc":"","ref":"aws_directory.html#list_log_subscriptions/3","title":"aws_directory.list_log_subscriptions/3","type":"function"},{"doc":"Lists all schema extensions applied to a Microsoft AD Directory.","ref":"aws_directory.html#list_schema_extensions/2","title":"aws_directory.list_schema_extensions/2","type":"function"},{"doc":"","ref":"aws_directory.html#list_schema_extensions/3","title":"aws_directory.list_schema_extensions/3","type":"function"},{"doc":"Lists all tags on a directory.","ref":"aws_directory.html#list_tags_for_resource/2","title":"aws_directory.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_directory.html#list_tags_for_resource/3","title":"aws_directory.list_tags_for_resource/3","type":"function"},{"doc":"Registers a certificate for a secure LDAP or client certificate authentication.","ref":"aws_directory.html#register_certificate/2","title":"aws_directory.register_certificate/2","type":"function"},{"doc":"","ref":"aws_directory.html#register_certificate/3","title":"aws_directory.register_certificate/3","type":"function"},{"doc":"Associates a directory with an Amazon SNS topic. This establishes the directory as a publisher to the specified Amazon SNS topic. You can then receive email or text (SMS) messages when the status of your directory changes. You get notified if your directory goes from an Active status to an Impaired or Inoperable status. You also receive a notification when the directory returns to an Active status.","ref":"aws_directory.html#register_event_topic/2","title":"aws_directory.register_event_topic/2","type":"function"},{"doc":"","ref":"aws_directory.html#register_event_topic/3","title":"aws_directory.register_event_topic/3","type":"function"},{"doc":"Rejects a directory sharing request that was sent from the directory owner account.","ref":"aws_directory.html#reject_shared_directory/2","title":"aws_directory.reject_shared_directory/2","type":"function"},{"doc":"","ref":"aws_directory.html#reject_shared_directory/3","title":"aws_directory.reject_shared_directory/3","type":"function"},{"doc":"Removes IP address blocks from a directory.","ref":"aws_directory.html#remove_ip_routes/2","title":"aws_directory.remove_ip_routes/2","type":"function"},{"doc":"","ref":"aws_directory.html#remove_ip_routes/3","title":"aws_directory.remove_ip_routes/3","type":"function"},{"doc":"Stops all replication and removes the domain controllers from the specified Region. You cannot remove the primary Region with this operation. Instead, use the DeleteDirectory API.","ref":"aws_directory.html#remove_region/2","title":"aws_directory.remove_region/2","type":"function"},{"doc":"","ref":"aws_directory.html#remove_region/3","title":"aws_directory.remove_region/3","type":"function"},{"doc":"Removes tags from a directory.","ref":"aws_directory.html#remove_tags_from_resource/2","title":"aws_directory.remove_tags_from_resource/2","type":"function"},{"doc":"","ref":"aws_directory.html#remove_tags_from_resource/3","title":"aws_directory.remove_tags_from_resource/3","type":"function"},{"doc":"Resets the password for any user in your Managed Microsoft AD or Simple AD directory. You can reset the password for any user in your directory with the following exceptions: For Simple AD, you cannot reset the password for any user that is a member of either the Domain Admins or Enterprise Admins group except for the administrator user. For Managed Microsoft AD, you can only reset the password for a user that is in an OU based off of the NetBIOS name that you typed when you created your directory. For example, you cannot reset the password for a user in the Amazon Web Services Reserved OU. For more information about the OU structure for an Managed Microsoft AD directory, see What Gets Created in the Directory Service Administration Guide.","ref":"aws_directory.html#reset_user_password/2","title":"aws_directory.reset_user_password/2","type":"function"},{"doc":"","ref":"aws_directory.html#reset_user_password/3","title":"aws_directory.reset_user_password/3","type":"function"},{"doc":"Restores a directory using an existing directory snapshot. When you restore a directory from a snapshot, any changes made to the directory after the snapshot date are overwritten. This action returns as soon as the restore operation is initiated. You can monitor the progress of the restore operation by calling the DescribeDirectories operation with the directory identifier. When the DirectoryDescription.Stage value changes to Active , the restore operation is complete.","ref":"aws_directory.html#restore_from_snapshot/2","title":"aws_directory.restore_from_snapshot/2","type":"function"},{"doc":"","ref":"aws_directory.html#restore_from_snapshot/3","title":"aws_directory.restore_from_snapshot/3","type":"function"},{"doc":"Shares a specified directory ( DirectoryId ) in your Amazon Web Services account (directory owner) with another Amazon Web Services account (directory consumer). With this operation you can use your directory from any Amazon Web Services account and from any Amazon VPC within an Amazon Web Services Region. When you share your Managed Microsoft AD directory, Directory Service creates a shared directory in the directory consumer account. This shared directory contains the metadata to provide access to the directory within the directory owner account. The shared directory is visible in all VPCs in the directory consumer account. The ShareMethod parameter determines whether the specified directory can be shared between Amazon Web Services accounts inside the same Amazon Web Services organization ( ORGANIZATIONS ). It also determines whether you can share the directory with any other Amazon Web Services account either inside or outside of the organization ( HANDSHAKE ). The ShareNotes parameter is only used when HANDSHAKE is called, which sends a directory sharing request to the directory consumer.","ref":"aws_directory.html#share_directory/2","title":"aws_directory.share_directory/2","type":"function"},{"doc":"","ref":"aws_directory.html#share_directory/3","title":"aws_directory.share_directory/3","type":"function"},{"doc":"Applies a schema extension to a Microsoft AD directory.","ref":"aws_directory.html#start_schema_extension/2","title":"aws_directory.start_schema_extension/2","type":"function"},{"doc":"","ref":"aws_directory.html#start_schema_extension/3","title":"aws_directory.start_schema_extension/3","type":"function"},{"doc":"Stops the directory sharing between the directory owner and consumer accounts.","ref":"aws_directory.html#unshare_directory/2","title":"aws_directory.unshare_directory/2","type":"function"},{"doc":"","ref":"aws_directory.html#unshare_directory/3","title":"aws_directory.unshare_directory/3","type":"function"},{"doc":"Updates a conditional forwarder that has been set up for your Amazon Web Services directory.","ref":"aws_directory.html#update_conditional_forwarder/2","title":"aws_directory.update_conditional_forwarder/2","type":"function"},{"doc":"","ref":"aws_directory.html#update_conditional_forwarder/3","title":"aws_directory.update_conditional_forwarder/3","type":"function"},{"doc":"Updates the directory for a particular update type.","ref":"aws_directory.html#update_directory_setup/2","title":"aws_directory.update_directory_setup/2","type":"function"},{"doc":"","ref":"aws_directory.html#update_directory_setup/3","title":"aws_directory.update_directory_setup/3","type":"function"},{"doc":"Adds or removes domain controllers to or from the directory. Based on the difference between current value and new value (provided through this API call), domain controllers will be added or removed. It may take up to 45 minutes for any new domain controllers to become fully active once the requested number of domain controllers is updated. During this time, you cannot make another update request.","ref":"aws_directory.html#update_number_of_domain_controllers/2","title":"aws_directory.update_number_of_domain_controllers/2","type":"function"},{"doc":"","ref":"aws_directory.html#update_number_of_domain_controllers/3","title":"aws_directory.update_number_of_domain_controllers/3","type":"function"},{"doc":"Updates the Remote Authentication Dial In User Service (RADIUS) server information for an AD Connector or Microsoft AD directory.","ref":"aws_directory.html#update_radius/2","title":"aws_directory.update_radius/2","type":"function"},{"doc":"","ref":"aws_directory.html#update_radius/3","title":"aws_directory.update_radius/3","type":"function"},{"doc":"Updates the configurable settings for the specified directory.","ref":"aws_directory.html#update_settings/2","title":"aws_directory.update_settings/2","type":"function"},{"doc":"","ref":"aws_directory.html#update_settings/3","title":"aws_directory.update_settings/3","type":"function"},{"doc":"Updates the trust that has been set up between your Managed Microsoft AD directory and an self-managed Active Directory.","ref":"aws_directory.html#update_trust/2","title":"aws_directory.update_trust/2","type":"function"},{"doc":"","ref":"aws_directory.html#update_trust/3","title":"aws_directory.update_trust/3","type":"function"},{"doc":"Directory Service for Microsoft Active Directory allows you to configure and verify trust relationships. This action verifies a trust relationship between your Managed Microsoft AD directory and an external domain.","ref":"aws_directory.html#verify_trust/2","title":"aws_directory.verify_trust/2","type":"function"},{"doc":"","ref":"aws_directory.html#verify_trust/3","title":"aws_directory.verify_trust/3","type":"function"},{"doc":"Amazon Data Lifecycle Manager With Amazon Data Lifecycle Manager, you can manage the lifecycle of your Amazon Web Services resources. You create lifecycle policies, which are used to automate operations on the specified resources. Amazon Data Lifecycle Manager supports Amazon EBS volumes and snapshots. For information about using Amazon Data Lifecycle Manager with Amazon EBS, see Amazon Data Lifecycle Manager in the Amazon EC2 User Guide.","ref":"aws_dlm.html","title":"aws_dlm","type":"module"},{"doc":"Creates a policy to manage the lifecycle of the specified Amazon Web Services resources. You can create up to 100 lifecycle policies.","ref":"aws_dlm.html#create_lifecycle_policy/2","title":"aws_dlm.create_lifecycle_policy/2","type":"function"},{"doc":"","ref":"aws_dlm.html#create_lifecycle_policy/3","title":"aws_dlm.create_lifecycle_policy/3","type":"function"},{"doc":"Deletes the specified lifecycle policy and halts the automated operations that the policy specified. For more information about deleting a policy, see Delete lifecycle policies.","ref":"aws_dlm.html#delete_lifecycle_policy/3","title":"aws_dlm.delete_lifecycle_policy/3","type":"function"},{"doc":"","ref":"aws_dlm.html#delete_lifecycle_policy/4","title":"aws_dlm.delete_lifecycle_policy/4","type":"function"},{"doc":"Gets summary information about all or the specified data lifecycle policies. To get complete information about a policy, use GetLifecyclePolicy .","ref":"aws_dlm.html#get_lifecycle_policies/1","title":"aws_dlm.get_lifecycle_policies/1","type":"function"},{"doc":"","ref":"aws_dlm.html#get_lifecycle_policies/3","title":"aws_dlm.get_lifecycle_policies/3","type":"function"},{"doc":"","ref":"aws_dlm.html#get_lifecycle_policies/4","title":"aws_dlm.get_lifecycle_policies/4","type":"function"},{"doc":"Gets detailed information about the specified lifecycle policy.","ref":"aws_dlm.html#get_lifecycle_policy/2","title":"aws_dlm.get_lifecycle_policy/2","type":"function"},{"doc":"","ref":"aws_dlm.html#get_lifecycle_policy/4","title":"aws_dlm.get_lifecycle_policy/4","type":"function"},{"doc":"","ref":"aws_dlm.html#get_lifecycle_policy/5","title":"aws_dlm.get_lifecycle_policy/5","type":"function"},{"doc":"Lists the tags for the specified resource.","ref":"aws_dlm.html#list_tags_for_resource/2","title":"aws_dlm.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_dlm.html#list_tags_for_resource/4","title":"aws_dlm.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_dlm.html#list_tags_for_resource/5","title":"aws_dlm.list_tags_for_resource/5","type":"function"},{"doc":"Adds the specified tags to the specified resource.","ref":"aws_dlm.html#tag_resource/3","title":"aws_dlm.tag_resource/3","type":"function"},{"doc":"","ref":"aws_dlm.html#tag_resource/4","title":"aws_dlm.tag_resource/4","type":"function"},{"doc":"Removes the specified tags from the specified resource.","ref":"aws_dlm.html#untag_resource/3","title":"aws_dlm.untag_resource/3","type":"function"},{"doc":"","ref":"aws_dlm.html#untag_resource/4","title":"aws_dlm.untag_resource/4","type":"function"},{"doc":"Updates the specified lifecycle policy. For more information about updating a policy, see Modify lifecycle policies.","ref":"aws_dlm.html#update_lifecycle_policy/3","title":"aws_dlm.update_lifecycle_policy/3","type":"function"},{"doc":"","ref":"aws_dlm.html#update_lifecycle_policy/4","title":"aws_dlm.update_lifecycle_policy/4","type":"function"},{"doc":"Amazon DocumentDB API documentation","ref":"aws_docdb.html","title":"aws_docdb","type":"module"},{"doc":"Adds a source identifier to an existing event notification subscription.","ref":"aws_docdb.html#add_source_identifier_to_subscription/2","title":"aws_docdb.add_source_identifier_to_subscription/2","type":"function"},{"doc":"","ref":"aws_docdb.html#add_source_identifier_to_subscription/3","title":"aws_docdb.add_source_identifier_to_subscription/3","type":"function"},{"doc":"Adds metadata tags to an Amazon DocumentDB resource. You can use these tags with cost allocation reporting to track costs that are associated with Amazon DocumentDB resources or in a Condition statement in an Identity and Access Management (IAM) policy for Amazon DocumentDB.","ref":"aws_docdb.html#add_tags_to_resource/2","title":"aws_docdb.add_tags_to_resource/2","type":"function"},{"doc":"","ref":"aws_docdb.html#add_tags_to_resource/3","title":"aws_docdb.add_tags_to_resource/3","type":"function"},{"doc":"Applies a pending maintenance action to a resource (for example, to an Amazon DocumentDB instance).","ref":"aws_docdb.html#apply_pending_maintenance_action/2","title":"aws_docdb.apply_pending_maintenance_action/2","type":"function"},{"doc":"","ref":"aws_docdb.html#apply_pending_maintenance_action/3","title":"aws_docdb.apply_pending_maintenance_action/3","type":"function"},{"doc":"Copies the specified cluster parameter group.","ref":"aws_docdb.html#copy_db_cluster_parameter_group/2","title":"aws_docdb.copy_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_docdb.html#copy_db_cluster_parameter_group/3","title":"aws_docdb.copy_db_cluster_parameter_group/3","type":"function"},{"doc":"Copies a snapshot of a cluster. To copy a cluster snapshot from a shared manual cluster snapshot, SourceDBClusterSnapshotIdentifier must be the Amazon Resource Name (ARN) of the shared cluster snapshot. You can only copy a shared DB cluster snapshot, whether encrypted or not, in the same Amazon Web Services Region. To cancel the copy operation after it is in progress, delete the target cluster snapshot identified by TargetDBClusterSnapshotIdentifier while that cluster snapshot is in the copying status.","ref":"aws_docdb.html#copy_db_cluster_snapshot/2","title":"aws_docdb.copy_db_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_docdb.html#copy_db_cluster_snapshot/3","title":"aws_docdb.copy_db_cluster_snapshot/3","type":"function"},{"doc":"Creates a new Amazon DocumentDB cluster.","ref":"aws_docdb.html#create_db_cluster/2","title":"aws_docdb.create_db_cluster/2","type":"function"},{"doc":"","ref":"aws_docdb.html#create_db_cluster/3","title":"aws_docdb.create_db_cluster/3","type":"function"},{"doc":"Creates a new cluster parameter group. Parameters in a cluster parameter group apply to all of the instances in a cluster. A cluster parameter group is initially created with the default parameters for the database engine used by instances in the cluster. In Amazon DocumentDB, you cannot make modifications directly to the default.docdb3.6 cluster parameter group. If your Amazon DocumentDB cluster is using the default cluster parameter group and you want to modify a value in it, you must first create a new parameter group or copy an existing parameter group, modify it, and then apply the modified parameter group to your cluster. For the new cluster parameter group and associated settings to take effect, you must then reboot the instances in the cluster without failover. For more information, see Modifying Amazon DocumentDB Cluster Parameter Groups.","ref":"aws_docdb.html#create_db_cluster_parameter_group/2","title":"aws_docdb.create_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_docdb.html#create_db_cluster_parameter_group/3","title":"aws_docdb.create_db_cluster_parameter_group/3","type":"function"},{"doc":"Creates a snapshot of a cluster.","ref":"aws_docdb.html#create_db_cluster_snapshot/2","title":"aws_docdb.create_db_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_docdb.html#create_db_cluster_snapshot/3","title":"aws_docdb.create_db_cluster_snapshot/3","type":"function"},{"doc":"Creates a new instance.","ref":"aws_docdb.html#create_db_instance/2","title":"aws_docdb.create_db_instance/2","type":"function"},{"doc":"","ref":"aws_docdb.html#create_db_instance/3","title":"aws_docdb.create_db_instance/3","type":"function"},{"doc":"Creates a new subnet group. subnet groups must contain at least one subnet in at least two Availability Zones in the Amazon Web Services Region.","ref":"aws_docdb.html#create_db_subnet_group/2","title":"aws_docdb.create_db_subnet_group/2","type":"function"},{"doc":"","ref":"aws_docdb.html#create_db_subnet_group/3","title":"aws_docdb.create_db_subnet_group/3","type":"function"},{"doc":"Creates an Amazon DocumentDB event notification subscription. This action requires a topic Amazon Resource Name (ARN) created by using the Amazon DocumentDB console, the Amazon SNS console, or the Amazon SNS API. To obtain an ARN with Amazon SNS, you must create a topic in Amazon SNS and subscribe to the topic. The ARN is displayed in the Amazon SNS console. You can specify the type of source ( SourceType ) that you want to be notified of. You can also provide a list of Amazon DocumentDB sources ( SourceIds ) that trigger the events, and you can provide a list of event categories ( EventCategories ) for events that you want to be notified of. For example, you can specify SourceType = db-instance , SourceIds = mydbinstance1, mydbinstance2 and EventCategories = Availability, Backup . If you specify both the SourceType and SourceIds (such as SourceType = db-instance and SourceIdentifier = myDBInstance1 ), you are notified of all the db-instance events for the specified source. If you specify a SourceType but do not specify a SourceIdentifier , you receive notice of the events for that source type for all your Amazon DocumentDB sources. If you do not specify either the SourceType or the SourceIdentifier , you are notified of events generated from all Amazon DocumentDB sources belonging to your customer account.","ref":"aws_docdb.html#create_event_subscription/2","title":"aws_docdb.create_event_subscription/2","type":"function"},{"doc":"","ref":"aws_docdb.html#create_event_subscription/3","title":"aws_docdb.create_event_subscription/3","type":"function"},{"doc":"Creates an Amazon DocumentDB global cluster that can span multiple multiple Amazon Web Services Regions. The global cluster contains one primary cluster with read-write capability, and up-to give read-only secondary clusters. Global clusters uses storage-based fast replication across regions with latencies less than one second, using dedicated infrastructure with no impact to your workload’s performance. You can create a global cluster that is initially empty, and then add a primary and a secondary to it. Or you can specify an existing cluster during the create operation, and this cluster becomes the primary of the global cluster. This action only applies to Amazon DocumentDB clusters.","ref":"aws_docdb.html#create_global_cluster/2","title":"aws_docdb.create_global_cluster/2","type":"function"},{"doc":"","ref":"aws_docdb.html#create_global_cluster/3","title":"aws_docdb.create_global_cluster/3","type":"function"},{"doc":"Deletes a previously provisioned cluster. When you delete a cluster, all automated backups for that cluster are deleted and can't be recovered. Manual DB cluster snapshots of the specified cluster are not deleted.","ref":"aws_docdb.html#delete_db_cluster/2","title":"aws_docdb.delete_db_cluster/2","type":"function"},{"doc":"","ref":"aws_docdb.html#delete_db_cluster/3","title":"aws_docdb.delete_db_cluster/3","type":"function"},{"doc":"Deletes a specified cluster parameter group. The cluster parameter group to be deleted can't be associated with any clusters.","ref":"aws_docdb.html#delete_db_cluster_parameter_group/2","title":"aws_docdb.delete_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_docdb.html#delete_db_cluster_parameter_group/3","title":"aws_docdb.delete_db_cluster_parameter_group/3","type":"function"},{"doc":"Deletes a cluster snapshot. If the snapshot is being copied, the copy operation is terminated. The cluster snapshot must be in the available state to be deleted.","ref":"aws_docdb.html#delete_db_cluster_snapshot/2","title":"aws_docdb.delete_db_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_docdb.html#delete_db_cluster_snapshot/3","title":"aws_docdb.delete_db_cluster_snapshot/3","type":"function"},{"doc":"Deletes a previously provisioned instance.","ref":"aws_docdb.html#delete_db_instance/2","title":"aws_docdb.delete_db_instance/2","type":"function"},{"doc":"","ref":"aws_docdb.html#delete_db_instance/3","title":"aws_docdb.delete_db_instance/3","type":"function"},{"doc":"Deletes a subnet group. The specified database subnet group must not be associated with any DB instances.","ref":"aws_docdb.html#delete_db_subnet_group/2","title":"aws_docdb.delete_db_subnet_group/2","type":"function"},{"doc":"","ref":"aws_docdb.html#delete_db_subnet_group/3","title":"aws_docdb.delete_db_subnet_group/3","type":"function"},{"doc":"Deletes an Amazon DocumentDB event notification subscription.","ref":"aws_docdb.html#delete_event_subscription/2","title":"aws_docdb.delete_event_subscription/2","type":"function"},{"doc":"","ref":"aws_docdb.html#delete_event_subscription/3","title":"aws_docdb.delete_event_subscription/3","type":"function"},{"doc":"Deletes a global cluster. The primary and secondary clusters must already be detached or deleted before attempting to delete a global cluster. This action only applies to Amazon DocumentDB clusters.","ref":"aws_docdb.html#delete_global_cluster/2","title":"aws_docdb.delete_global_cluster/2","type":"function"},{"doc":"","ref":"aws_docdb.html#delete_global_cluster/3","title":"aws_docdb.delete_global_cluster/3","type":"function"},{"doc":"Returns a list of certificate authority (CA) certificates provided by Amazon DocumentDB for this Amazon Web Services account.","ref":"aws_docdb.html#describe_certificates/2","title":"aws_docdb.describe_certificates/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_certificates/3","title":"aws_docdb.describe_certificates/3","type":"function"},{"doc":"Returns a list of DBClusterParameterGroup descriptions. If a DBClusterParameterGroupName parameter is specified, the list contains only the description of the specified cluster parameter group.","ref":"aws_docdb.html#describe_db_cluster_parameter_groups/2","title":"aws_docdb.describe_db_cluster_parameter_groups/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_db_cluster_parameter_groups/3","title":"aws_docdb.describe_db_cluster_parameter_groups/3","type":"function"},{"doc":"Returns the detailed parameter list for a particular cluster parameter group.","ref":"aws_docdb.html#describe_db_cluster_parameters/2","title":"aws_docdb.describe_db_cluster_parameters/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_db_cluster_parameters/3","title":"aws_docdb.describe_db_cluster_parameters/3","type":"function"},{"doc":"Returns a list of cluster snapshot attribute names and values for a manual DB cluster snapshot. When you share snapshots with other Amazon Web Services accounts, DescribeDBClusterSnapshotAttributes returns the restore attribute and a list of IDs for the Amazon Web Services accounts that are authorized to copy or restore the manual cluster snapshot. If all is included in the list of values for the restore attribute, then the manual cluster snapshot is public and can be copied or restored by all Amazon Web Services accounts.","ref":"aws_docdb.html#describe_db_cluster_snapshot_attributes/2","title":"aws_docdb.describe_db_cluster_snapshot_attributes/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_db_cluster_snapshot_attributes/3","title":"aws_docdb.describe_db_cluster_snapshot_attributes/3","type":"function"},{"doc":"Returns information about cluster snapshots. This API operation supports pagination.","ref":"aws_docdb.html#describe_db_cluster_snapshots/2","title":"aws_docdb.describe_db_cluster_snapshots/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_db_cluster_snapshots/3","title":"aws_docdb.describe_db_cluster_snapshots/3","type":"function"},{"doc":"Returns information about provisioned Amazon DocumentDB clusters. This API operation supports pagination. For certain management features such as cluster and instance lifecycle management, Amazon DocumentDB leverages operational technology that is shared with Amazon RDS and Amazon Neptune. Use the filterName=engine,Values=docdb filter parameter to return only Amazon DocumentDB clusters.","ref":"aws_docdb.html#describe_db_clusters/2","title":"aws_docdb.describe_db_clusters/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_db_clusters/3","title":"aws_docdb.describe_db_clusters/3","type":"function"},{"doc":"Returns a list of the available engines.","ref":"aws_docdb.html#describe_db_engine_versions/2","title":"aws_docdb.describe_db_engine_versions/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_db_engine_versions/3","title":"aws_docdb.describe_db_engine_versions/3","type":"function"},{"doc":"Returns information about provisioned Amazon DocumentDB instances. This API supports pagination.","ref":"aws_docdb.html#describe_db_instances/2","title":"aws_docdb.describe_db_instances/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_db_instances/3","title":"aws_docdb.describe_db_instances/3","type":"function"},{"doc":"Returns a list of DBSubnetGroup descriptions. If a DBSubnetGroupName is specified, the list will contain only the descriptions of the specified DBSubnetGroup .","ref":"aws_docdb.html#describe_db_subnet_groups/2","title":"aws_docdb.describe_db_subnet_groups/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_db_subnet_groups/3","title":"aws_docdb.describe_db_subnet_groups/3","type":"function"},{"doc":"Returns the default engine and system parameter information for the cluster database engine.","ref":"aws_docdb.html#describe_engine_default_cluster_parameters/2","title":"aws_docdb.describe_engine_default_cluster_parameters/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_engine_default_cluster_parameters/3","title":"aws_docdb.describe_engine_default_cluster_parameters/3","type":"function"},{"doc":"Displays a list of categories for all event source types, or, if specified, for a specified source type.","ref":"aws_docdb.html#describe_event_categories/2","title":"aws_docdb.describe_event_categories/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_event_categories/3","title":"aws_docdb.describe_event_categories/3","type":"function"},{"doc":"Lists all the subscription descriptions for a customer account. The description for a subscription includes SubscriptionName , SNSTopicARN , CustomerID , SourceType , SourceID , CreationTime , and Status . If you specify a SubscriptionName , lists the description for that subscription.","ref":"aws_docdb.html#describe_event_subscriptions/2","title":"aws_docdb.describe_event_subscriptions/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_event_subscriptions/3","title":"aws_docdb.describe_event_subscriptions/3","type":"function"},{"doc":"Returns events related to instances, security groups, snapshots, and DB parameter groups for the past 14 days. You can obtain events specific to a particular DB instance, security group, snapshot, or parameter group by providing the name as a parameter. By default, the events of the past hour are returned.","ref":"aws_docdb.html#describe_events/2","title":"aws_docdb.describe_events/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_events/3","title":"aws_docdb.describe_events/3","type":"function"},{"doc":"Returns information about Amazon DocumentDB global clusters. This API supports pagination. This action only applies to Amazon DocumentDB clusters.","ref":"aws_docdb.html#describe_global_clusters/2","title":"aws_docdb.describe_global_clusters/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_global_clusters/3","title":"aws_docdb.describe_global_clusters/3","type":"function"},{"doc":"Returns a list of orderable instance options for the specified engine.","ref":"aws_docdb.html#describe_orderable_db_instance_options/2","title":"aws_docdb.describe_orderable_db_instance_options/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_orderable_db_instance_options/3","title":"aws_docdb.describe_orderable_db_instance_options/3","type":"function"},{"doc":"Returns a list of resources (for example, instances) that have at least one pending maintenance action.","ref":"aws_docdb.html#describe_pending_maintenance_actions/2","title":"aws_docdb.describe_pending_maintenance_actions/2","type":"function"},{"doc":"","ref":"aws_docdb.html#describe_pending_maintenance_actions/3","title":"aws_docdb.describe_pending_maintenance_actions/3","type":"function"},{"doc":"Forces a failover for a cluster. A failover for a cluster promotes one of the Amazon DocumentDB replicas (read-only instances) in the cluster to be the primary instance (the cluster writer). If the primary instance fails, Amazon DocumentDB automatically fails over to an Amazon DocumentDB replica, if one exists. You can force a failover when you want to simulate a failure of a primary instance for testing.","ref":"aws_docdb.html#failover_db_cluster/2","title":"aws_docdb.failover_db_cluster/2","type":"function"},{"doc":"","ref":"aws_docdb.html#failover_db_cluster/3","title":"aws_docdb.failover_db_cluster/3","type":"function"},{"doc":"Lists all tags on an Amazon DocumentDB resource.","ref":"aws_docdb.html#list_tags_for_resource/2","title":"aws_docdb.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_docdb.html#list_tags_for_resource/3","title":"aws_docdb.list_tags_for_resource/3","type":"function"},{"doc":"Modifies a setting for an Amazon DocumentDB cluster. You can change one or more database configuration parameters by specifying these parameters and the new values in the request.","ref":"aws_docdb.html#modify_db_cluster/2","title":"aws_docdb.modify_db_cluster/2","type":"function"},{"doc":"","ref":"aws_docdb.html#modify_db_cluster/3","title":"aws_docdb.modify_db_cluster/3","type":"function"},{"doc":"Modifies the parameters of a cluster parameter group. To modify more than one parameter, submit a list of the following: ParameterName , ParameterValue , and ApplyMethod . A maximum of 20 parameters can be modified in a single request. Changes to dynamic parameters are applied immediately. Changes to static parameters require a reboot or maintenance window before the change can take effect. After you create a cluster parameter group, you should wait at least 5 minutes before creating your first cluster that uses that cluster parameter group as the default parameter group. This allows Amazon DocumentDB to fully complete the create action before the parameter group is used as the default for a new cluster. This step is especially important for parameters that are critical when creating the default database for a cluster, such as the character set for the default database defined by the character_set_database parameter.","ref":"aws_docdb.html#modify_db_cluster_parameter_group/2","title":"aws_docdb.modify_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_docdb.html#modify_db_cluster_parameter_group/3","title":"aws_docdb.modify_db_cluster_parameter_group/3","type":"function"},{"doc":"Adds an attribute and values to, or removes an attribute and values from, a manual cluster snapshot. To share a manual cluster snapshot with other Amazon Web Services accounts, specify restore as the AttributeName , and use the ValuesToAdd parameter to add a list of IDs of the Amazon Web Services accounts that are authorized to restore the manual cluster snapshot. Use the value all to make the manual cluster snapshot public, which means that it can be copied or restored by all Amazon Web Services accounts. Do not add the all value for any manual cluster snapshots that contain private information that you don't want available to all Amazon Web Services accounts. If a manual cluster snapshot is encrypted, it can be shared, but only by specifying a list of authorized Amazon Web Services account IDs for the ValuesToAdd parameter. You can't use all as a value for that parameter in this case.","ref":"aws_docdb.html#modify_db_cluster_snapshot_attribute/2","title":"aws_docdb.modify_db_cluster_snapshot_attribute/2","type":"function"},{"doc":"","ref":"aws_docdb.html#modify_db_cluster_snapshot_attribute/3","title":"aws_docdb.modify_db_cluster_snapshot_attribute/3","type":"function"},{"doc":"Modifies settings for an instance. You can change one or more database configuration parameters by specifying these parameters and the new values in the request.","ref":"aws_docdb.html#modify_db_instance/2","title":"aws_docdb.modify_db_instance/2","type":"function"},{"doc":"","ref":"aws_docdb.html#modify_db_instance/3","title":"aws_docdb.modify_db_instance/3","type":"function"},{"doc":"Modifies an existing subnet group. subnet groups must contain at least one subnet in at least two Availability Zones in the Amazon Web Services Region.","ref":"aws_docdb.html#modify_db_subnet_group/2","title":"aws_docdb.modify_db_subnet_group/2","type":"function"},{"doc":"","ref":"aws_docdb.html#modify_db_subnet_group/3","title":"aws_docdb.modify_db_subnet_group/3","type":"function"},{"doc":"Modifies an existing Amazon DocumentDB event notification subscription.","ref":"aws_docdb.html#modify_event_subscription/2","title":"aws_docdb.modify_event_subscription/2","type":"function"},{"doc":"","ref":"aws_docdb.html#modify_event_subscription/3","title":"aws_docdb.modify_event_subscription/3","type":"function"},{"doc":"Modify a setting for an Amazon DocumentDB global cluster. You can change one or more configuration parameters (for example: deletion protection), or the global cluster identifier by specifying these parameters and the new values in the request. This action only applies to Amazon DocumentDB clusters.","ref":"aws_docdb.html#modify_global_cluster/2","title":"aws_docdb.modify_global_cluster/2","type":"function"},{"doc":"","ref":"aws_docdb.html#modify_global_cluster/3","title":"aws_docdb.modify_global_cluster/3","type":"function"},{"doc":"You might need to reboot your instance, usually for maintenance reasons. For example, if you make certain changes, or if you change the cluster parameter group that is associated with the instance, you must reboot the instance for the changes to take effect. Rebooting an instance restarts the database engine service. Rebooting an instance results in a momentary outage, during which the instance status is set to rebooting.","ref":"aws_docdb.html#reboot_db_instance/2","title":"aws_docdb.reboot_db_instance/2","type":"function"},{"doc":"","ref":"aws_docdb.html#reboot_db_instance/3","title":"aws_docdb.reboot_db_instance/3","type":"function"},{"doc":"Detaches an Amazon DocumentDB secondary cluster from a global cluster. The cluster becomes a standalone cluster with read-write capability instead of being read-only and receiving data from a primary in a different region. This action only applies to Amazon DocumentDB clusters.","ref":"aws_docdb.html#remove_from_global_cluster/2","title":"aws_docdb.remove_from_global_cluster/2","type":"function"},{"doc":"","ref":"aws_docdb.html#remove_from_global_cluster/3","title":"aws_docdb.remove_from_global_cluster/3","type":"function"},{"doc":"Removes a source identifier from an existing Amazon DocumentDB event notification subscription.","ref":"aws_docdb.html#remove_source_identifier_from_subscription/2","title":"aws_docdb.remove_source_identifier_from_subscription/2","type":"function"},{"doc":"","ref":"aws_docdb.html#remove_source_identifier_from_subscription/3","title":"aws_docdb.remove_source_identifier_from_subscription/3","type":"function"},{"doc":"Removes metadata tags from an Amazon DocumentDB resource.","ref":"aws_docdb.html#remove_tags_from_resource/2","title":"aws_docdb.remove_tags_from_resource/2","type":"function"},{"doc":"","ref":"aws_docdb.html#remove_tags_from_resource/3","title":"aws_docdb.remove_tags_from_resource/3","type":"function"},{"doc":"Modifies the parameters of a cluster parameter group to the default value. To reset specific parameters, submit a list of the following: ParameterName and ApplyMethod . To reset the entire cluster parameter group, specify the DBClusterParameterGroupName and ResetAllParameters parameters. When you reset the entire group, dynamic parameters are updated immediately and static parameters are set to pending-reboot to take effect on the next DB instance reboot.","ref":"aws_docdb.html#reset_db_cluster_parameter_group/2","title":"aws_docdb.reset_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_docdb.html#reset_db_cluster_parameter_group/3","title":"aws_docdb.reset_db_cluster_parameter_group/3","type":"function"},{"doc":"Creates a new cluster from a snapshot or cluster snapshot. If a snapshot is specified, the target cluster is created from the source DB snapshot with a default configuration and default security group. If a cluster snapshot is specified, the target cluster is created from the source cluster restore point with the same configuration as the original source DB cluster, except that the new cluster is created with the default security group.","ref":"aws_docdb.html#restore_db_cluster_from_snapshot/2","title":"aws_docdb.restore_db_cluster_from_snapshot/2","type":"function"},{"doc":"","ref":"aws_docdb.html#restore_db_cluster_from_snapshot/3","title":"aws_docdb.restore_db_cluster_from_snapshot/3","type":"function"},{"doc":"Restores a cluster to an arbitrary point in time. Users can restore to any point in time before LatestRestorableTime for up to BackupRetentionPeriod days. The target cluster is created from the source cluster with the same configuration as the original cluster, except that the new cluster is created with the default security group.","ref":"aws_docdb.html#restore_db_cluster_to_point_in_time/2","title":"aws_docdb.restore_db_cluster_to_point_in_time/2","type":"function"},{"doc":"","ref":"aws_docdb.html#restore_db_cluster_to_point_in_time/3","title":"aws_docdb.restore_db_cluster_to_point_in_time/3","type":"function"},{"doc":"Restarts the stopped cluster that is specified by DBClusterIdentifier . For more information, see Stopping and Starting an Amazon DocumentDB Cluster.","ref":"aws_docdb.html#start_db_cluster/2","title":"aws_docdb.start_db_cluster/2","type":"function"},{"doc":"","ref":"aws_docdb.html#start_db_cluster/3","title":"aws_docdb.start_db_cluster/3","type":"function"},{"doc":"Stops the running cluster that is specified by DBClusterIdentifier . The cluster must be in the available state. For more information, see Stopping and Starting an Amazon DocumentDB Cluster.","ref":"aws_docdb.html#stop_db_cluster/2","title":"aws_docdb.stop_db_cluster/2","type":"function"},{"doc":"","ref":"aws_docdb.html#stop_db_cluster/3","title":"aws_docdb.stop_db_cluster/3","type":"function"},{"doc":"The new Amazon Elastic DocumentDB service endpoint.","ref":"aws_docdb_elastic.html","title":"aws_docdb_elastic","type":"module"},{"doc":"Creates a new Elastic DocumentDB cluster and returns its Cluster structure.","ref":"aws_docdb_elastic.html#create_cluster/2","title":"aws_docdb_elastic.create_cluster/2","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#create_cluster/3","title":"aws_docdb_elastic.create_cluster/3","type":"function"},{"doc":"Creates a snapshot of a cluster.","ref":"aws_docdb_elastic.html#create_cluster_snapshot/2","title":"aws_docdb_elastic.create_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#create_cluster_snapshot/3","title":"aws_docdb_elastic.create_cluster_snapshot/3","type":"function"},{"doc":"Delete a Elastic DocumentDB cluster.","ref":"aws_docdb_elastic.html#delete_cluster/3","title":"aws_docdb_elastic.delete_cluster/3","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#delete_cluster/4","title":"aws_docdb_elastic.delete_cluster/4","type":"function"},{"doc":"Delete a Elastic DocumentDB snapshot.","ref":"aws_docdb_elastic.html#delete_cluster_snapshot/3","title":"aws_docdb_elastic.delete_cluster_snapshot/3","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#delete_cluster_snapshot/4","title":"aws_docdb_elastic.delete_cluster_snapshot/4","type":"function"},{"doc":"Returns information about a specific Elastic DocumentDB cluster.","ref":"aws_docdb_elastic.html#get_cluster/2","title":"aws_docdb_elastic.get_cluster/2","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#get_cluster/4","title":"aws_docdb_elastic.get_cluster/4","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#get_cluster/5","title":"aws_docdb_elastic.get_cluster/5","type":"function"},{"doc":"Returns information about a specific Elastic DocumentDB snapshot","ref":"aws_docdb_elastic.html#get_cluster_snapshot/2","title":"aws_docdb_elastic.get_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#get_cluster_snapshot/4","title":"aws_docdb_elastic.get_cluster_snapshot/4","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#get_cluster_snapshot/5","title":"aws_docdb_elastic.get_cluster_snapshot/5","type":"function"},{"doc":"Returns information about Elastic DocumentDB snapshots for a specified cluster.","ref":"aws_docdb_elastic.html#list_cluster_snapshots/1","title":"aws_docdb_elastic.list_cluster_snapshots/1","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#list_cluster_snapshots/3","title":"aws_docdb_elastic.list_cluster_snapshots/3","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#list_cluster_snapshots/4","title":"aws_docdb_elastic.list_cluster_snapshots/4","type":"function"},{"doc":"Returns information about provisioned Elastic DocumentDB clusters.","ref":"aws_docdb_elastic.html#list_clusters/1","title":"aws_docdb_elastic.list_clusters/1","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#list_clusters/3","title":"aws_docdb_elastic.list_clusters/3","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#list_clusters/4","title":"aws_docdb_elastic.list_clusters/4","type":"function"},{"doc":"Lists all tags on a Elastic DocumentDB resource","ref":"aws_docdb_elastic.html#list_tags_for_resource/2","title":"aws_docdb_elastic.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#list_tags_for_resource/4","title":"aws_docdb_elastic.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#list_tags_for_resource/5","title":"aws_docdb_elastic.list_tags_for_resource/5","type":"function"},{"doc":"Restores a Elastic DocumentDB cluster from a snapshot.","ref":"aws_docdb_elastic.html#restore_cluster_from_snapshot/3","title":"aws_docdb_elastic.restore_cluster_from_snapshot/3","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#restore_cluster_from_snapshot/4","title":"aws_docdb_elastic.restore_cluster_from_snapshot/4","type":"function"},{"doc":"Adds metadata tags to a Elastic DocumentDB resource","ref":"aws_docdb_elastic.html#tag_resource/3","title":"aws_docdb_elastic.tag_resource/3","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#tag_resource/4","title":"aws_docdb_elastic.tag_resource/4","type":"function"},{"doc":"Removes metadata tags to a Elastic DocumentDB resource","ref":"aws_docdb_elastic.html#untag_resource/3","title":"aws_docdb_elastic.untag_resource/3","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#untag_resource/4","title":"aws_docdb_elastic.untag_resource/4","type":"function"},{"doc":"Modifies a Elastic DocumentDB cluster. This includes updating admin-username/password, upgrading API version setting up a backup window and maintenance window","ref":"aws_docdb_elastic.html#update_cluster/3","title":"aws_docdb_elastic.update_cluster/3","type":"function"},{"doc":"","ref":"aws_docdb_elastic.html#update_cluster/4","title":"aws_docdb_elastic.update_cluster/4","type":"function"},{"doc":"AWS Elastic Disaster Recovery Service.","ref":"aws_drs.html","title":"aws_drs","type":"module"},{"doc":"Create an extended source server in the target Account based on the source server in staging account.","ref":"aws_drs.html#create_extended_source_server/2","title":"aws_drs.create_extended_source_server/2","type":"function"},{"doc":"","ref":"aws_drs.html#create_extended_source_server/3","title":"aws_drs.create_extended_source_server/3","type":"function"},{"doc":"Creates a new ReplicationConfigurationTemplate.","ref":"aws_drs.html#create_replication_configuration_template/2","title":"aws_drs.create_replication_configuration_template/2","type":"function"},{"doc":"","ref":"aws_drs.html#create_replication_configuration_template/3","title":"aws_drs.create_replication_configuration_template/3","type":"function"},{"doc":"Deletes a single Job by ID.","ref":"aws_drs.html#delete_job/2","title":"aws_drs.delete_job/2","type":"function"},{"doc":"","ref":"aws_drs.html#delete_job/3","title":"aws_drs.delete_job/3","type":"function"},{"doc":"Deletes a single Recovery Instance by ID. This deletes the Recovery Instance resource from Elastic Disaster Recovery. The Recovery Instance must be disconnected first in order to delete it.","ref":"aws_drs.html#delete_recovery_instance/2","title":"aws_drs.delete_recovery_instance/2","type":"function"},{"doc":"","ref":"aws_drs.html#delete_recovery_instance/3","title":"aws_drs.delete_recovery_instance/3","type":"function"},{"doc":"Deletes a single Replication Configuration Template by ID","ref":"aws_drs.html#delete_replication_configuration_template/2","title":"aws_drs.delete_replication_configuration_template/2","type":"function"},{"doc":"","ref":"aws_drs.html#delete_replication_configuration_template/3","title":"aws_drs.delete_replication_configuration_template/3","type":"function"},{"doc":"Deletes a single Source Server by ID. The Source Server must be disconnected first.","ref":"aws_drs.html#delete_source_server/2","title":"aws_drs.delete_source_server/2","type":"function"},{"doc":"","ref":"aws_drs.html#delete_source_server/3","title":"aws_drs.delete_source_server/3","type":"function"},{"doc":"Retrieves a detailed Job log with pagination.","ref":"aws_drs.html#describe_job_log_items/2","title":"aws_drs.describe_job_log_items/2","type":"function"},{"doc":"","ref":"aws_drs.html#describe_job_log_items/3","title":"aws_drs.describe_job_log_items/3","type":"function"},{"doc":"Returns a list of Jobs. Use the JobsID and fromDate and toDate filters to limit which jobs are returned. The response is sorted by creationDataTime - latest date first. Jobs are created by the StartRecovery, TerminateRecoveryInstances and StartFailbackLaunch APIs. Jobs are also created by DiagnosticLaunch and TerminateDiagnosticInstances, which are APIs available only to *Support* and only used in response to relevant support tickets.","ref":"aws_drs.html#describe_jobs/2","title":"aws_drs.describe_jobs/2","type":"function"},{"doc":"","ref":"aws_drs.html#describe_jobs/3","title":"aws_drs.describe_jobs/3","type":"function"},{"doc":"Lists all Recovery Instances or multiple Recovery Instances by ID.","ref":"aws_drs.html#describe_recovery_instances/2","title":"aws_drs.describe_recovery_instances/2","type":"function"},{"doc":"","ref":"aws_drs.html#describe_recovery_instances/3","title":"aws_drs.describe_recovery_instances/3","type":"function"},{"doc":"Lists all Recovery Snapshots for a single Source Server.","ref":"aws_drs.html#describe_recovery_snapshots/2","title":"aws_drs.describe_recovery_snapshots/2","type":"function"},{"doc":"","ref":"aws_drs.html#describe_recovery_snapshots/3","title":"aws_drs.describe_recovery_snapshots/3","type":"function"},{"doc":"Lists all ReplicationConfigurationTemplates, filtered by Source Server IDs.","ref":"aws_drs.html#describe_replication_configuration_templates/2","title":"aws_drs.describe_replication_configuration_templates/2","type":"function"},{"doc":"","ref":"aws_drs.html#describe_replication_configuration_templates/3","title":"aws_drs.describe_replication_configuration_templates/3","type":"function"},{"doc":"Lists all Source Servers or multiple Source Servers filtered by ID.","ref":"aws_drs.html#describe_source_servers/2","title":"aws_drs.describe_source_servers/2","type":"function"},{"doc":"","ref":"aws_drs.html#describe_source_servers/3","title":"aws_drs.describe_source_servers/3","type":"function"},{"doc":"Disconnect a Recovery Instance from Elastic Disaster Recovery. Data replication is stopped immediately. All AWS resources created by Elastic Disaster Recovery for enabling the replication of the Recovery Instance will be terminated / deleted within 90 minutes. If the agent on the Recovery Instance has not been prevented from communicating with the Elastic Disaster Recovery service, then it will receive a command to uninstall itself (within approximately 10 minutes). The following properties of the Recovery Instance will be changed immediately: dataReplicationInfo.dataReplicationState will be set to DISCONNECTED; The totalStorageBytes property for each of dataReplicationInfo.replicatedDisks will be set to zero; dataReplicationInfo.lagDuration and dataReplicationInfo.lagDuration will be nullified.","ref":"aws_drs.html#disconnect_recovery_instance/2","title":"aws_drs.disconnect_recovery_instance/2","type":"function"},{"doc":"","ref":"aws_drs.html#disconnect_recovery_instance/3","title":"aws_drs.disconnect_recovery_instance/3","type":"function"},{"doc":"Disconnects a specific Source Server from Elastic Disaster Recovery. Data replication is stopped immediately. All AWS resources created by Elastic Disaster Recovery for enabling the replication of the Source Server will be terminated / deleted within 90 minutes. You cannot disconnect a Source Server if it has a Recovery Instance. If the agent on the Source Server has not been prevented from communicating with the Elastic Disaster Recovery service, then it will receive a command to uninstall itself (within approximately 10 minutes). The following properties of the SourceServer will be changed immediately: dataReplicationInfo.dataReplicationState will be set to DISCONNECTED; The totalStorageBytes property for each of dataReplicationInfo.replicatedDisks will be set to zero; dataReplicationInfo.lagDuration and dataReplicationInfo.lagDuration will be nullified.","ref":"aws_drs.html#disconnect_source_server/2","title":"aws_drs.disconnect_source_server/2","type":"function"},{"doc":"","ref":"aws_drs.html#disconnect_source_server/3","title":"aws_drs.disconnect_source_server/3","type":"function"},{"doc":"Lists all Failback ReplicationConfigurations, filtered by Recovery Instance ID.","ref":"aws_drs.html#get_failback_replication_configuration/2","title":"aws_drs.get_failback_replication_configuration/2","type":"function"},{"doc":"","ref":"aws_drs.html#get_failback_replication_configuration/3","title":"aws_drs.get_failback_replication_configuration/3","type":"function"},{"doc":"Gets a LaunchConfiguration, filtered by Source Server IDs.","ref":"aws_drs.html#get_launch_configuration/2","title":"aws_drs.get_launch_configuration/2","type":"function"},{"doc":"","ref":"aws_drs.html#get_launch_configuration/3","title":"aws_drs.get_launch_configuration/3","type":"function"},{"doc":"Gets a ReplicationConfiguration, filtered by Source Server ID.","ref":"aws_drs.html#get_replication_configuration/2","title":"aws_drs.get_replication_configuration/2","type":"function"},{"doc":"","ref":"aws_drs.html#get_replication_configuration/3","title":"aws_drs.get_replication_configuration/3","type":"function"},{"doc":"Initialize Elastic Disaster Recovery.","ref":"aws_drs.html#initialize_service/2","title":"aws_drs.initialize_service/2","type":"function"},{"doc":"","ref":"aws_drs.html#initialize_service/3","title":"aws_drs.initialize_service/3","type":"function"},{"doc":"Returns a list of source servers on a staging account that are extensible, which means that: a. The source server is not already extended into this Account. b. The source server on the Account we’re reading from is not an extension of another source server.","ref":"aws_drs.html#list_extensible_source_servers/2","title":"aws_drs.list_extensible_source_servers/2","type":"function"},{"doc":"","ref":"aws_drs.html#list_extensible_source_servers/3","title":"aws_drs.list_extensible_source_servers/3","type":"function"},{"doc":"Returns an array of staging accounts for existing extended source servers.","ref":"aws_drs.html#list_staging_accounts/1","title":"aws_drs.list_staging_accounts/1","type":"function"},{"doc":"","ref":"aws_drs.html#list_staging_accounts/3","title":"aws_drs.list_staging_accounts/3","type":"function"},{"doc":"","ref":"aws_drs.html#list_staging_accounts/4","title":"aws_drs.list_staging_accounts/4","type":"function"},{"doc":"List all tags for your Elastic Disaster Recovery resources.","ref":"aws_drs.html#list_tags_for_resource/2","title":"aws_drs.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_drs.html#list_tags_for_resource/4","title":"aws_drs.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_drs.html#list_tags_for_resource/5","title":"aws_drs.list_tags_for_resource/5","type":"function"},{"doc":"Causes the data replication initiation sequence to begin immediately upon next Handshake for the specified Source Server ID, regardless of when the previous initiation started. This command will work only if the Source Server is stalled or is in a DISCONNECTED or STOPPED state.","ref":"aws_drs.html#retry_data_replication/2","title":"aws_drs.retry_data_replication/2","type":"function"},{"doc":"","ref":"aws_drs.html#retry_data_replication/3","title":"aws_drs.retry_data_replication/3","type":"function"},{"doc":"Start replication to origin / target region - applies only to protected instances that originated in EC2. For recovery instances on target region - starts replication back to origin region. For failback instances on origin region - starts replication to target region to re-protect them.","ref":"aws_drs.html#reverse_replication/2","title":"aws_drs.reverse_replication/2","type":"function"},{"doc":"","ref":"aws_drs.html#reverse_replication/3","title":"aws_drs.reverse_replication/3","type":"function"},{"doc":"Initiates a Job for launching the machine that is being failed back to from the specified Recovery Instance. This will run conversion on the failback client and will reboot your machine, thus completing the failback process.","ref":"aws_drs.html#start_failback_launch/2","title":"aws_drs.start_failback_launch/2","type":"function"},{"doc":"","ref":"aws_drs.html#start_failback_launch/3","title":"aws_drs.start_failback_launch/3","type":"function"},{"doc":"Launches Recovery Instances for the specified Source Servers. For each Source Server you may choose a point in time snapshot to launch from, or use an on demand snapshot.","ref":"aws_drs.html#start_recovery/2","title":"aws_drs.start_recovery/2","type":"function"},{"doc":"","ref":"aws_drs.html#start_recovery/3","title":"aws_drs.start_recovery/3","type":"function"},{"doc":"Starts replication for a stopped Source Server. This action would make the Source Server protected again and restart billing for it.","ref":"aws_drs.html#start_replication/2","title":"aws_drs.start_replication/2","type":"function"},{"doc":"","ref":"aws_drs.html#start_replication/3","title":"aws_drs.start_replication/3","type":"function"},{"doc":"Stops the failback process for a specified Recovery Instance. This changes the Failback State of the Recovery Instance back to FAILBACK_NOT_STARTED.","ref":"aws_drs.html#stop_failback/2","title":"aws_drs.stop_failback/2","type":"function"},{"doc":"","ref":"aws_drs.html#stop_failback/3","title":"aws_drs.stop_failback/3","type":"function"},{"doc":"Stops replication for a Source Server. This action would make the Source Server unprotected, delete its existing snapshots and stop billing for it.","ref":"aws_drs.html#stop_replication/2","title":"aws_drs.stop_replication/2","type":"function"},{"doc":"","ref":"aws_drs.html#stop_replication/3","title":"aws_drs.stop_replication/3","type":"function"},{"doc":"Adds or overwrites only the specified tags for the specified Elastic Disaster Recovery resource or resources. When you specify an existing tag key, the value is overwritten with the new value. Each resource can have a maximum of 50 tags. Each tag consists of a key and optional value.","ref":"aws_drs.html#tag_resource/3","title":"aws_drs.tag_resource/3","type":"function"},{"doc":"","ref":"aws_drs.html#tag_resource/4","title":"aws_drs.tag_resource/4","type":"function"},{"doc":"Initiates a Job for terminating the EC2 resources associated with the specified Recovery Instances, and then will delete the Recovery Instances from the Elastic Disaster Recovery service.","ref":"aws_drs.html#terminate_recovery_instances/2","title":"aws_drs.terminate_recovery_instances/2","type":"function"},{"doc":"","ref":"aws_drs.html#terminate_recovery_instances/3","title":"aws_drs.terminate_recovery_instances/3","type":"function"},{"doc":"Deletes the specified set of tags from the specified set of Elastic Disaster Recovery resources.","ref":"aws_drs.html#untag_resource/3","title":"aws_drs.untag_resource/3","type":"function"},{"doc":"","ref":"aws_drs.html#untag_resource/4","title":"aws_drs.untag_resource/4","type":"function"},{"doc":"Allows you to update the failback replication configuration of a Recovery Instance by ID.","ref":"aws_drs.html#update_failback_replication_configuration/2","title":"aws_drs.update_failback_replication_configuration/2","type":"function"},{"doc":"","ref":"aws_drs.html#update_failback_replication_configuration/3","title":"aws_drs.update_failback_replication_configuration/3","type":"function"},{"doc":"Updates a LaunchConfiguration by Source Server ID.","ref":"aws_drs.html#update_launch_configuration/2","title":"aws_drs.update_launch_configuration/2","type":"function"},{"doc":"","ref":"aws_drs.html#update_launch_configuration/3","title":"aws_drs.update_launch_configuration/3","type":"function"},{"doc":"Allows you to update a ReplicationConfiguration by Source Server ID.","ref":"aws_drs.html#update_replication_configuration/2","title":"aws_drs.update_replication_configuration/2","type":"function"},{"doc":"","ref":"aws_drs.html#update_replication_configuration/3","title":"aws_drs.update_replication_configuration/3","type":"function"},{"doc":"Updates a ReplicationConfigurationTemplate by ID.","ref":"aws_drs.html#update_replication_configuration_template/2","title":"aws_drs.update_replication_configuration_template/2","type":"function"},{"doc":"","ref":"aws_drs.html#update_replication_configuration_template/3","title":"aws_drs.update_replication_configuration_template/3","type":"function"},{"doc":"Amazon DynamoDB Amazon DynamoDB is a fully managed NoSQL database service that provides fast and predictable performance with seamless scalability. DynamoDB lets you offload the administrative burdens of operating and scaling a distributed database, so that you don't have to worry about hardware provisioning, setup and configuration, replication, software patching, or cluster scaling. With DynamoDB, you can create database tables that can store and retrieve any amount of data, and serve any level of request traffic. You can scale up or scale down your tables' throughput capacity without downtime or performance degradation, and use the Amazon Web Services Management Console to monitor resource utilization and performance metrics. DynamoDB automatically spreads the data and traffic for your tables over a sufficient number of servers to handle your throughput and storage requirements, while maintaining consistent and fast performance. All of your data is stored on solid state disks (SSDs) and automatically replicated across multiple Availability Zones in an Amazon Web Services Region, providing built-in high availability and data durability.","ref":"aws_dynamodb.html","title":"aws_dynamodb","type":"module"},{"doc":"This operation allows you to perform batch reads or writes on data stored in DynamoDB, using PartiQL. Each read statement in a BatchExecuteStatement must specify an equality condition on all key attributes. This enforces that each SELECT statement in a batch returns at most a single item. The entire batch must consist of either read statements or write statements, you cannot mix both in one batch. A HTTP 200 response does not mean that all statements in the BatchExecuteStatement succeeded. Error details for individual statements can be found under the Error field of the BatchStatementResponse for each statement.","ref":"aws_dynamodb.html#batch_execute_statement/2","title":"aws_dynamodb.batch_execute_statement/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#batch_execute_statement/3","title":"aws_dynamodb.batch_execute_statement/3","type":"function"},{"doc":"The BatchGetItem operation returns the attributes of one or more items from one or more tables. You identify requested items by primary key. A single operation can retrieve up to 16 MB of data, which can contain as many as 100 items. BatchGetItem returns a partial result if the response size limit is exceeded, the table's provisioned throughput is exceeded, or an internal processing failure occurs. If a partial result is returned, the operation returns a value for UnprocessedKeys . You can use this value to retry the operation starting with the next item to get. If you request more than 100 items, BatchGetItem returns a ValidationException with the message &quot;Too many items requested for the BatchGetItem call.&quot; For example, if you ask to retrieve 100 items, but each individual item is 300 KB in size, the system returns 52 items (so as not to exceed the 16 MB limit). It also returns an appropriate UnprocessedKeys value so you can get the next page of results. If desired, your application can include its own logic to assemble the pages of results into one dataset. If none of the items can be processed due to insufficient provisioned throughput on all of the tables in the request, then BatchGetItem returns a ProvisionedThroughputExceededException . If at least one of the items is successfully processed, then BatchGetItem completes successfully, while returning the keys of the unread items in UnprocessedKeys . If DynamoDB returns any unprocessed items, you should retry the batch operation on those items. However, we strongly recommend that you use an exponential backoff algorithm. If you retry the batch operation immediately, the underlying read or write requests can still fail due to throttling on the individual tables. If you delay the batch operation using exponential backoff, the individual requests in the batch are much more likely to succeed. For more information, see Batch Operations and Error Handling in the Amazon DynamoDB Developer Guide. By default, BatchGetItem performs eventually consistent reads on every table in the request. If you want strongly consistent reads instead, you can set ConsistentRead to true for any or all tables. In order to minimize response latency, BatchGetItem retrieves items in parallel. When designing your application, keep in mind that DynamoDB does not return items in any particular order. To help parse the response by item, include the primary key values for the items in your request in the ProjectionExpression parameter. If a requested item does not exist, it is not returned in the result. Requests for nonexistent items consume the minimum read capacity units according to the type of read. For more information, see Working with Tables in the Amazon DynamoDB Developer Guide.","ref":"aws_dynamodb.html#batch_get_item/2","title":"aws_dynamodb.batch_get_item/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#batch_get_item/3","title":"aws_dynamodb.batch_get_item/3","type":"function"},{"doc":"The BatchWriteItem operation puts or deletes multiple items in one or more tables. A single call to BatchWriteItem can transmit up to 16MB of data over the network, consisting of up to 25 item put or delete operations. While individual items can be up to 400 KB once stored, it's important to note that an item's representation might be greater than 400KB while being sent in DynamoDB's JSON format for the API call. For more details on this distinction, see Naming Rules and Data Types. BatchWriteItem cannot update items. If you perform a BatchWriteItem operation on an existing item, that item's values will be overwritten by the operation and it will appear like it was updated. To update items, we recommend you use the UpdateItem action. The individual PutItem and DeleteItem operations specified in BatchWriteItem are atomic; however BatchWriteItem as a whole is not. If any requested operations fail because the table's provisioned throughput is exceeded or an internal processing failure occurs, the failed operations are returned in the UnprocessedItems response parameter. You can investigate and optionally resend the requests. Typically, you would call BatchWriteItem in a loop. Each iteration would check for unprocessed items and submit a new BatchWriteItem request with those unprocessed items until all items have been processed. If none of the items can be processed due to insufficient provisioned throughput on all of the tables in the request, then BatchWriteItem returns a ProvisionedThroughputExceededException . If DynamoDB returns any unprocessed items, you should retry the batch operation on those items. However, we strongly recommend that you use an exponential backoff algorithm. If you retry the batch operation immediately, the underlying read or write requests can still fail due to throttling on the individual tables. If you delay the batch operation using exponential backoff, the individual requests in the batch are much more likely to succeed. For more information, see Batch Operations and Error Handling in the Amazon DynamoDB Developer Guide. With BatchWriteItem , you can efficiently write or delete large amounts of data, such as from Amazon EMR, or copy data from another database into DynamoDB. In order to improve performance with these large-scale operations, BatchWriteItem does not behave in the same way as individual PutItem and DeleteItem calls would. For example, you cannot specify conditions on individual put and delete requests, and BatchWriteItem does not return deleted items in the response. If you use a programming language that supports concurrency, you can use threads to write items in parallel. Your application must include the necessary logic to manage the threads. With languages that don't support threading, you must update or delete the specified items one at a time. In both situations, BatchWriteItem performs the specified put and delete operations in parallel, giving you the power of the thread pool approach without having to introduce complexity into your application. Parallel processing reduces latency, but each specified put and delete request consumes the same number of write capacity units whether it is processed in parallel or not. Delete operations on nonexistent items consume one write capacity unit. If one or more of the following is true, DynamoDB rejects the entire batch write operation: One or more tables specified in the BatchWriteItem request does not exist. Primary key attributes specified on an item in the request do not match those in the corresponding table's primary key schema. You try to perform multiple operations on the same item in the same BatchWriteItem request. For example, you cannot put and delete the same item in the same BatchWriteItem request. Your request contains at least two items with identical hash and range keys (which essentially is two put operations). There are more than 25 requests in the batch. Any individual item in a batch exceeds 400 KB. The total request size exceeds 16 MB.","ref":"aws_dynamodb.html#batch_write_item/2","title":"aws_dynamodb.batch_write_item/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#batch_write_item/3","title":"aws_dynamodb.batch_write_item/3","type":"function"},{"doc":"Creates a backup for an existing table. Each time you create an on-demand backup, the entire table data is backed up. There is no limit to the number of on-demand backups that can be taken. When you create an on-demand backup, a time marker of the request is cataloged, and the backup is created asynchronously, by applying all changes until the time of the request to the last full table snapshot. Backup requests are processed instantaneously and become available for restore within minutes. You can call CreateBackup at a maximum rate of 50 times per second. All backups in DynamoDB work without consuming any provisioned throughput on the table. If you submit a backup request on 2018-12-14 at 14:25:00, the backup is guaranteed to contain all data committed to the table up to 14:24:00, and data committed after 14:26:00 will not be. The backup might contain data modifications made between 14:24:00 and 14:26:00. On-demand backup does not support causal consistency. Along with data, the following are also included on the backups: Global secondary indexes (GSIs) Local secondary indexes (LSIs) Streams Provisioned read and write capacity","ref":"aws_dynamodb.html#create_backup/2","title":"aws_dynamodb.create_backup/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#create_backup/3","title":"aws_dynamodb.create_backup/3","type":"function"},{"doc":"Creates a global table from an existing table. A global table creates a replication relationship between two or more DynamoDB tables with the same table name in the provided Regions. This operation only applies to Version 2017.11.29 of global tables. If you want to add a new replica table to a global table, each of the following conditions must be true: The table must have the same primary key as all of the other replicas. The table must have the same name as all of the other replicas. The table must have DynamoDB Streams enabled, with the stream containing both the new and the old images of the item. None of the replica tables in the global table can contain any data. If global secondary indexes are specified, then the following conditions must also be met: The global secondary indexes must have the same name. The global secondary indexes must have the same hash key and sort key (if present). If local secondary indexes are specified, then the following conditions must also be met: The local secondary indexes must have the same name. The local secondary indexes must have the same hash key and sort key (if present). Write capacity settings should be set consistently across your replica tables and secondary indexes. DynamoDB strongly recommends enabling auto scaling to manage the write capacity settings for all of your global tables replicas and indexes. If you prefer to manage write capacity settings manually, you should provision equal replicated write capacity units to your replica tables. You should also provision equal replicated write capacity units to matching secondary indexes across your global table.","ref":"aws_dynamodb.html#create_global_table/2","title":"aws_dynamodb.create_global_table/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#create_global_table/3","title":"aws_dynamodb.create_global_table/3","type":"function"},{"doc":"The CreateTable operation adds a new table to your account. In an Amazon Web Services account, table names must be unique within each Region. That is, you can have two tables with same name if you create the tables in different Regions. CreateTable is an asynchronous operation. Upon receiving a CreateTable request, DynamoDB immediately returns a response with a TableStatus of CREATING . After the table is created, DynamoDB sets the TableStatus to ACTIVE . You can perform read and write operations only on an ACTIVE table. You can optionally define secondary indexes on the new table, as part of the CreateTable operation. If you want to create multiple tables with secondary indexes on them, you must create the tables sequentially. Only one table with secondary indexes can be in the CREATING state at any given time. You can use the DescribeTable action to check the table status.","ref":"aws_dynamodb.html#create_table/2","title":"aws_dynamodb.create_table/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#create_table/3","title":"aws_dynamodb.create_table/3","type":"function"},{"doc":"Deletes an existing backup of a table. You can call DeleteBackup at a maximum rate of 10 times per second.","ref":"aws_dynamodb.html#delete_backup/2","title":"aws_dynamodb.delete_backup/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#delete_backup/3","title":"aws_dynamodb.delete_backup/3","type":"function"},{"doc":"Deletes a single item in a table by primary key. You can perform a conditional delete operation that deletes the item if it exists, or if it has an expected attribute value. In addition to deleting an item, you can also return the item's attribute values in the same operation, using the ReturnValues parameter. Unless you specify conditions, the DeleteItem is an idempotent operation; running it multiple times on the same item or attribute does not result in an error response. Conditional deletes are useful for deleting items only if specific conditions are met. If those conditions are met, DynamoDB performs the delete. Otherwise, the item is not deleted.","ref":"aws_dynamodb.html#delete_item/2","title":"aws_dynamodb.delete_item/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#delete_item/3","title":"aws_dynamodb.delete_item/3","type":"function"},{"doc":"The DeleteTable operation deletes a table and all of its items. After a DeleteTable request, the specified table is in the DELETING state until DynamoDB completes the deletion. If the table is in the ACTIVE state, you can delete it. If a table is in CREATING or UPDATING states, then DynamoDB returns a ResourceInUseException . If the specified table does not exist, DynamoDB returns a ResourceNotFoundException . If table is already in the DELETING state, no error is returned. DynamoDB might continue to accept data read and write operations, such as GetItem and PutItem , on a table in the DELETING state until the table deletion is complete. When you delete a table, any indexes on that table are also deleted. If you have DynamoDB Streams enabled on the table, then the corresponding stream on that table goes into the DISABLED state, and the stream is automatically deleted after 24 hours. Use the DescribeTable action to check the status of the table.","ref":"aws_dynamodb.html#delete_table/2","title":"aws_dynamodb.delete_table/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#delete_table/3","title":"aws_dynamodb.delete_table/3","type":"function"},{"doc":"Describes an existing backup of a table. You can call DescribeBackup at a maximum rate of 10 times per second.","ref":"aws_dynamodb.html#describe_backup/2","title":"aws_dynamodb.describe_backup/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_backup/3","title":"aws_dynamodb.describe_backup/3","type":"function"},{"doc":"Checks the status of continuous backups and point in time recovery on the specified table. Continuous backups are ENABLED on all tables at table creation. If point in time recovery is enabled, PointInTimeRecoveryStatus will be set to ENABLED. After continuous backups and point in time recovery are enabled, you can restore to any point in time within EarliestRestorableDateTime and LatestRestorableDateTime . LatestRestorableDateTime is typically 5 minutes before the current time. You can restore your table to any point in time during the last 35 days. You can call DescribeContinuousBackups at a maximum rate of 10 times per second.","ref":"aws_dynamodb.html#describe_continuous_backups/2","title":"aws_dynamodb.describe_continuous_backups/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_continuous_backups/3","title":"aws_dynamodb.describe_continuous_backups/3","type":"function"},{"doc":"Returns information about contributor insights, for a given table or global secondary index.","ref":"aws_dynamodb.html#describe_contributor_insights/2","title":"aws_dynamodb.describe_contributor_insights/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_contributor_insights/3","title":"aws_dynamodb.describe_contributor_insights/3","type":"function"},{"doc":"Returns the regional endpoint information.","ref":"aws_dynamodb.html#describe_endpoints/2","title":"aws_dynamodb.describe_endpoints/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_endpoints/3","title":"aws_dynamodb.describe_endpoints/3","type":"function"},{"doc":"Describes an existing table export.","ref":"aws_dynamodb.html#describe_export/2","title":"aws_dynamodb.describe_export/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_export/3","title":"aws_dynamodb.describe_export/3","type":"function"},{"doc":"Returns information about the specified global table. This operation only applies to Version 2017.11.29 of global tables. If you are using global tables Version 2019.11.21 you can use DescribeTable instead.","ref":"aws_dynamodb.html#describe_global_table/2","title":"aws_dynamodb.describe_global_table/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_global_table/3","title":"aws_dynamodb.describe_global_table/3","type":"function"},{"doc":"Describes Region-specific settings for a global table. This operation only applies to Version 2017.11.29 of global tables.","ref":"aws_dynamodb.html#describe_global_table_settings/2","title":"aws_dynamodb.describe_global_table_settings/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_global_table_settings/3","title":"aws_dynamodb.describe_global_table_settings/3","type":"function"},{"doc":"Represents the properties of the import.","ref":"aws_dynamodb.html#describe_import/2","title":"aws_dynamodb.describe_import/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_import/3","title":"aws_dynamodb.describe_import/3","type":"function"},{"doc":"Returns information about the status of Kinesis streaming.","ref":"aws_dynamodb.html#describe_kinesis_streaming_destination/2","title":"aws_dynamodb.describe_kinesis_streaming_destination/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_kinesis_streaming_destination/3","title":"aws_dynamodb.describe_kinesis_streaming_destination/3","type":"function"},{"doc":"Returns the current provisioned-capacity quotas for your Amazon Web Services account in a Region, both for the Region as a whole and for any one DynamoDB table that you create there. When you establish an Amazon Web Services account, the account has initial quotas on the maximum read capacity units and write capacity units that you can provision across all of your DynamoDB tables in a given Region. Also, there are per-table quotas that apply when you create a table there. For more information, see Service, Account, and Table Quotas page in the Amazon DynamoDB Developer Guide. Although you can increase these quotas by filing a case at Amazon Web Services Support Center, obtaining the increase is not instantaneous. The DescribeLimits action lets you write code to compare the capacity you are currently using to those quotas imposed by your account so that you have enough time to apply for an increase before you hit a quota. For example, you could use one of the Amazon Web Services SDKs to do the following: Call DescribeLimits for a particular Region to obtain your current account quotas on provisioned capacity there. Create a variable to hold the aggregate read capacity units provisioned for all your tables in that Region, and one to hold the aggregate write capacity units. Zero them both. Call ListTables to obtain a list of all your DynamoDB tables. For each table name listed by ListTables , do the following: Call DescribeTable with the table name. Use the data returned by DescribeTable to add the read capacity units and write capacity units provisioned for the table itself to your variables. If the table has one or more global secondary indexes (GSIs), loop over these GSIs and add their provisioned capacity values to your variables as well. Report the account quotas for that Region returned by DescribeLimits , along with the total current provisioned capacity levels you have calculated. This will let you see whether you are getting close to your account-level quotas. The per-table quotas apply only when you are creating a new table. They restrict the sum of the provisioned capacity of the new table itself and all its global secondary indexes. For existing tables and their GSIs, DynamoDB doesn't let you increase provisioned capacity extremely rapidly, but the only quota that applies is that the aggregate provisioned capacity over all your tables and GSIs cannot exceed either of the per-account quotas. DescribeLimits should only be called periodically. You can expect throttling errors if you call it more than once in a minute. The DescribeLimits Request element has no content.","ref":"aws_dynamodb.html#describe_limits/2","title":"aws_dynamodb.describe_limits/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_limits/3","title":"aws_dynamodb.describe_limits/3","type":"function"},{"doc":"Returns information about the table, including the current status of the table, when it was created, the primary key schema, and any indexes on the table. If you issue a DescribeTable request immediately after a CreateTable request, DynamoDB might return a ResourceNotFoundException . This is because DescribeTable uses an eventually consistent query, and the metadata for your table might not be available at that moment. Wait for a few seconds, and then try the DescribeTable request again.","ref":"aws_dynamodb.html#describe_table/2","title":"aws_dynamodb.describe_table/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_table/3","title":"aws_dynamodb.describe_table/3","type":"function"},{"doc":"Describes auto scaling settings across replicas of the global table at once. This operation only applies to Version 2019.11.21 of global tables.","ref":"aws_dynamodb.html#describe_table_replica_auto_scaling/2","title":"aws_dynamodb.describe_table_replica_auto_scaling/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_table_replica_auto_scaling/3","title":"aws_dynamodb.describe_table_replica_auto_scaling/3","type":"function"},{"doc":"Gives a description of the Time to Live (TTL) status on the specified table.","ref":"aws_dynamodb.html#describe_time_to_live/2","title":"aws_dynamodb.describe_time_to_live/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#describe_time_to_live/3","title":"aws_dynamodb.describe_time_to_live/3","type":"function"},{"doc":"Stops replication from the DynamoDB table to the Kinesis data stream. This is done without deleting either of the resources.","ref":"aws_dynamodb.html#disable_kinesis_streaming_destination/2","title":"aws_dynamodb.disable_kinesis_streaming_destination/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#disable_kinesis_streaming_destination/3","title":"aws_dynamodb.disable_kinesis_streaming_destination/3","type":"function"},{"doc":"Starts table data replication to the specified Kinesis data stream at a timestamp chosen during the enable workflow. If this operation doesn't return results immediately, use DescribeKinesisStreamingDestination to check if streaming to the Kinesis data stream is ACTIVE.","ref":"aws_dynamodb.html#enable_kinesis_streaming_destination/2","title":"aws_dynamodb.enable_kinesis_streaming_destination/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#enable_kinesis_streaming_destination/3","title":"aws_dynamodb.enable_kinesis_streaming_destination/3","type":"function"},{"doc":"This operation allows you to perform reads and singleton writes on data stored in DynamoDB, using PartiQL. For PartiQL reads ( SELECT statement), if the total number of processed items exceeds the maximum dataset size limit of 1 MB, the read stops and results are returned to the user as a LastEvaluatedKey value to continue the read in a subsequent operation. If the filter criteria in WHERE clause does not match any data, the read will return an empty result set. A single SELECT statement response can return up to the maximum number of items (if using the Limit parameter) or a maximum of 1 MB of data (and then apply any filtering to the results using WHERE clause). If LastEvaluatedKey is present in the response, you need to paginate the result set.","ref":"aws_dynamodb.html#execute_statement/2","title":"aws_dynamodb.execute_statement/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#execute_statement/3","title":"aws_dynamodb.execute_statement/3","type":"function"},{"doc":"This operation allows you to perform transactional reads or writes on data stored in DynamoDB, using PartiQL. The entire transaction must consist of either read statements or write statements, you cannot mix both in one transaction. The EXISTS function is an exception and can be used to check the condition of specific attributes of the item in a similar manner to ConditionCheck in the TransactWriteItems API.","ref":"aws_dynamodb.html#execute_transaction/2","title":"aws_dynamodb.execute_transaction/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#execute_transaction/3","title":"aws_dynamodb.execute_transaction/3","type":"function"},{"doc":"Exports table data to an S3 bucket. The table must have point in time recovery enabled, and you can export data from any time within the point in time recovery window.","ref":"aws_dynamodb.html#export_table_to_point_in_time/2","title":"aws_dynamodb.export_table_to_point_in_time/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#export_table_to_point_in_time/3","title":"aws_dynamodb.export_table_to_point_in_time/3","type":"function"},{"doc":"The GetItem operation returns a set of attributes for the item with the given primary key. If there is no matching item, GetItem does not return any data and there will be no Item element in the response. GetItem provides an eventually consistent read by default. If your application requires a strongly consistent read, set ConsistentRead to true . Although a strongly consistent read might take more time than an eventually consistent read, it always returns the last updated value.","ref":"aws_dynamodb.html#get_item/2","title":"aws_dynamodb.get_item/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#get_item/3","title":"aws_dynamodb.get_item/3","type":"function"},{"doc":"Imports table data from an S3 bucket.","ref":"aws_dynamodb.html#import_table/2","title":"aws_dynamodb.import_table/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#import_table/3","title":"aws_dynamodb.import_table/3","type":"function"},{"doc":"List backups associated with an Amazon Web Services account. To list backups for a given table, specify TableName . ListBackups returns a paginated list of results with at most 1 MB worth of items in a page. You can also specify a maximum number of entries to be returned in a page. In the request, start time is inclusive, but end time is exclusive. Note that these boundaries are for the time at which the original backup was requested. You can call ListBackups a maximum of five times per second.","ref":"aws_dynamodb.html#list_backups/2","title":"aws_dynamodb.list_backups/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#list_backups/3","title":"aws_dynamodb.list_backups/3","type":"function"},{"doc":"Returns a list of ContributorInsightsSummary for a table and all its global secondary indexes.","ref":"aws_dynamodb.html#list_contributor_insights/2","title":"aws_dynamodb.list_contributor_insights/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#list_contributor_insights/3","title":"aws_dynamodb.list_contributor_insights/3","type":"function"},{"doc":"Lists completed exports within the past 90 days.","ref":"aws_dynamodb.html#list_exports/2","title":"aws_dynamodb.list_exports/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#list_exports/3","title":"aws_dynamodb.list_exports/3","type":"function"},{"doc":"Lists all global tables that have a replica in the specified Region. This operation only applies to Version 2017.11.29 of global tables.","ref":"aws_dynamodb.html#list_global_tables/2","title":"aws_dynamodb.list_global_tables/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#list_global_tables/3","title":"aws_dynamodb.list_global_tables/3","type":"function"},{"doc":"Lists completed imports within the past 90 days.","ref":"aws_dynamodb.html#list_imports/2","title":"aws_dynamodb.list_imports/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#list_imports/3","title":"aws_dynamodb.list_imports/3","type":"function"},{"doc":"Returns an array of table names associated with the current account and endpoint. The output from ListTables is paginated, with each page returning a maximum of 100 table names.","ref":"aws_dynamodb.html#list_tables/2","title":"aws_dynamodb.list_tables/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#list_tables/3","title":"aws_dynamodb.list_tables/3","type":"function"},{"doc":"List all tags on an Amazon DynamoDB resource. You can call ListTagsOfResource up to 10 times per second, per account. For an overview on tagging DynamoDB resources, see Tagging for DynamoDB in the Amazon DynamoDB Developer Guide.","ref":"aws_dynamodb.html#list_tags_of_resource/2","title":"aws_dynamodb.list_tags_of_resource/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#list_tags_of_resource/3","title":"aws_dynamodb.list_tags_of_resource/3","type":"function"},{"doc":"Creates a new item, or replaces an old item with a new item. If an item that has the same primary key as the new item already exists in the specified table, the new item completely replaces the existing item. You can perform a conditional put operation (add a new item if one with the specified primary key doesn't exist), or replace an existing item if it has certain attribute values. You can return the item's attribute values in the same operation, using the ReturnValues parameter. When you add an item, the primary key attributes are the only required attributes. Empty String and Binary attribute values are allowed. Attribute values of type String and Binary must have a length greater than zero if the attribute is used as a key attribute for a table or index. Set type attributes cannot be empty. Invalid Requests with empty values will be rejected with a ValidationException exception. To prevent a new item from replacing an existing item, use a conditional expression that contains the attribute_not_exists function with the name of the attribute being used as the partition key for the table. Since every record must contain that attribute, the attribute_not_exists function will only succeed if no matching item exists. For more information about PutItem , see Working with Items in the Amazon DynamoDB Developer Guide.","ref":"aws_dynamodb.html#put_item/2","title":"aws_dynamodb.put_item/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#put_item/3","title":"aws_dynamodb.put_item/3","type":"function"},{"doc":"You must provide the name of the partition key attribute and a single value for that attribute. Query returns all items with that partition key value. Optionally, you can provide a sort key attribute and use a comparison operator to refine the search results. Use the KeyConditionExpression parameter to provide a specific value for the partition key. The Query operation will return all of the items from the table or index with that partition key value. You can optionally narrow the scope of the Query operation by specifying a sort key value and a comparison operator in KeyConditionExpression . To further refine the Query results, you can optionally provide a FilterExpression . A FilterExpression determines which items within the results should be returned to you. All of the other results are discarded. A Query operation always returns a result set. If no matching items are found, the result set will be empty. Queries that do not return results consume the minimum number of read capacity units for that type of read operation. DynamoDB calculates the number of read capacity units consumed based on item size, not on the amount of data that is returned to an application. The number of capacity units consumed will be the same whether you request all of the attributes (the default behavior) or just some of them (using a projection expression). The number will also be the same whether or not you use a FilterExpression . Query results are always sorted by the sort key value. If the data type of the sort key is Number, the results are returned in numeric order; otherwise, the results are returned in order of UTF-8 bytes. By default, the sort order is ascending. To reverse the order, set the ScanIndexForward parameter to false. A single Query operation will read up to the maximum number of items set (if using the Limit parameter) or a maximum of 1 MB of data and then apply any filtering to the results using FilterExpression . If LastEvaluatedKey is present in the response, you will need to paginate the result set. For more information, see Paginating the Results in the Amazon DynamoDB Developer Guide. FilterExpression is applied after a Query finishes, but before the results are returned. A FilterExpression cannot contain partition key or sort key attributes. You need to specify those attributes in the KeyConditionExpression . A Query operation can return an empty result set and a LastEvaluatedKey if all the items read for the page of results are filtered out. You can query a table, a local secondary index, or a global secondary index. For a query on a table or on a local secondary index, you can set the ConsistentRead parameter to true and obtain a strongly consistent result. Global secondary indexes support eventually consistent reads only, so do not specify ConsistentRead when querying a global secondary index.","ref":"aws_dynamodb.html#query/2","title":"aws_dynamodb.query/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#query/3","title":"aws_dynamodb.query/3","type":"function"},{"doc":"Creates a new table from an existing backup. Any number of users can execute up to 4 concurrent restores (any type of restore) in a given account. You can call RestoreTableFromBackup at a maximum rate of 10 times per second. You must manually set up the following on the restored table: Auto scaling policies IAM policies Amazon CloudWatch metrics and alarms Tags Stream settings Time to Live (TTL) settings","ref":"aws_dynamodb.html#restore_table_from_backup/2","title":"aws_dynamodb.restore_table_from_backup/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#restore_table_from_backup/3","title":"aws_dynamodb.restore_table_from_backup/3","type":"function"},{"doc":"Restores the specified table to the specified point in time within EarliestRestorableDateTime and LatestRestorableDateTime . You can restore your table to any point in time during the last 35 days. Any number of users can execute up to 4 concurrent restores (any type of restore) in a given account. When you restore using point in time recovery, DynamoDB restores your table data to the state based on the selected date and time (day:hour:minute:second) to a new table. Along with data, the following are also included on the new restored table using point in time recovery: Global secondary indexes (GSIs) Local secondary indexes (LSIs) Provisioned read and write capacity Encryption settings All these settings come from the current settings of the source table at the time of restore. You must manually set up the following on the restored table: Auto scaling policies IAM policies Amazon CloudWatch metrics and alarms Tags Stream settings Time to Live (TTL) settings Point in time recovery settings","ref":"aws_dynamodb.html#restore_table_to_point_in_time/2","title":"aws_dynamodb.restore_table_to_point_in_time/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#restore_table_to_point_in_time/3","title":"aws_dynamodb.restore_table_to_point_in_time/3","type":"function"},{"doc":"The Scan operation returns one or more items and item attributes by accessing every item in a table or a secondary index. To have DynamoDB return fewer items, you can provide a FilterExpression operation. If the total number of scanned items exceeds the maximum dataset size limit of 1 MB, the scan stops and results are returned to the user as a LastEvaluatedKey value to continue the scan in a subsequent operation. The results also include the number of items exceeding the limit. A scan can result in no table data meeting the filter criteria. A single Scan operation reads up to the maximum number of items set (if using the Limit parameter) or a maximum of 1 MB of data and then apply any filtering to the results using FilterExpression . If LastEvaluatedKey is present in the response, you need to paginate the result set. For more information, see Paginating the Results in the Amazon DynamoDB Developer Guide. Scan operations proceed sequentially; however, for faster performance on a large table or secondary index, applications can request a parallel Scan operation by providing the Segment and TotalSegments parameters. For more information, see Parallel Scan in the Amazon DynamoDB Developer Guide. Scan uses eventually consistent reads when accessing the data in a table; therefore, the result set might not include the changes to data in the table immediately before the operation began. If you need a consistent copy of the data, as of the time that the Scan begins, you can set the ConsistentRead parameter to true .","ref":"aws_dynamodb.html#scan/2","title":"aws_dynamodb.scan/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#scan/3","title":"aws_dynamodb.scan/3","type":"function"},{"doc":"Associate a set of tags with an Amazon DynamoDB resource. You can then activate these user-defined tags so that they appear on the Billing and Cost Management console for cost allocation tracking. You can call TagResource up to five times per second, per account. For an overview on tagging DynamoDB resources, see Tagging for DynamoDB in the Amazon DynamoDB Developer Guide.","ref":"aws_dynamodb.html#tag_resource/2","title":"aws_dynamodb.tag_resource/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#tag_resource/3","title":"aws_dynamodb.tag_resource/3","type":"function"},{"doc":"TransactGetItems is a synchronous operation that atomically retrieves multiple items from one or more tables (but not from indexes) in a single account and Region. A TransactGetItems call can contain up to 100 TransactGetItem objects, each of which contains a Get structure that specifies an item to retrieve from a table in the account and Region. A call to TransactGetItems cannot retrieve items from tables in more than one Amazon Web Services account or Region. The aggregate size of the items in the transaction cannot exceed 4 MB. DynamoDB rejects the entire TransactGetItems request if any of the following is true: A conflicting operation is in the process of updating an item to be read. There is insufficient provisioned capacity for the transaction to be completed. There is a user error, such as an invalid data format. The aggregate size of the items in the transaction cannot exceed 4 MB.","ref":"aws_dynamodb.html#transact_get_items/2","title":"aws_dynamodb.transact_get_items/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#transact_get_items/3","title":"aws_dynamodb.transact_get_items/3","type":"function"},{"doc":"TransactWriteItems is a synchronous write operation that groups up to 100 action requests. These actions can target items in different tables, but not in different Amazon Web Services accounts or Regions, and no two actions can target the same item. For example, you cannot both ConditionCheck and Update the same item. The aggregate size of the items in the transaction cannot exceed 4 MB. The actions are completed atomically so that either all of them succeed, or all of them fail. They are defined by the following objects: Put  —   Initiates a PutItem operation to write a new item. This structure specifies the primary key of the item to be written, the name of the table to write it in, an optional condition expression that must be satisfied for the write to succeed, a list of the item's attributes, and a field indicating whether to retrieve the item's attributes if the condition is not met. Update  —   Initiates an UpdateItem operation to update an existing item. This structure specifies the primary key of the item to be updated, the name of the table where it resides, an optional condition expression that must be satisfied for the update to succeed, an expression that defines one or more attributes to be updated, and a field indicating whether to retrieve the item's attributes if the condition is not met. Delete  —   Initiates a DeleteItem operation to delete an existing item. This structure specifies the primary key of the item to be deleted, the name of the table where it resides, an optional condition expression that must be satisfied for the deletion to succeed, and a field indicating whether to retrieve the item's attributes if the condition is not met. ConditionCheck  —   Applies a condition to an item that is not being modified by the transaction. This structure specifies the primary key of the item to be checked, the name of the table where it resides, a condition expression that must be satisfied for the transaction to succeed, and a field indicating whether to retrieve the item's attributes if the condition is not met. DynamoDB rejects the entire TransactWriteItems request if any of the following is true: A condition in one of the condition expressions is not met. An ongoing operation is in the process of updating the same item. There is insufficient provisioned capacity for the transaction to be completed. An item size becomes too large (bigger than 400 KB), a local secondary index (LSI) becomes too large, or a similar validation error occurs because of changes made by the transaction. The aggregate size of the items in the transaction exceeds 4 MB. There is a user error, such as an invalid data format.","ref":"aws_dynamodb.html#transact_write_items/2","title":"aws_dynamodb.transact_write_items/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#transact_write_items/3","title":"aws_dynamodb.transact_write_items/3","type":"function"},{"doc":"Removes the association of tags from an Amazon DynamoDB resource. You can call UntagResource up to five times per second, per account. For an overview on tagging DynamoDB resources, see Tagging for DynamoDB in the Amazon DynamoDB Developer Guide.","ref":"aws_dynamodb.html#untag_resource/2","title":"aws_dynamodb.untag_resource/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#untag_resource/3","title":"aws_dynamodb.untag_resource/3","type":"function"},{"doc":"UpdateContinuousBackups enables or disables point in time recovery for the specified table. A successful UpdateContinuousBackups call returns the current ContinuousBackupsDescription . Continuous backups are ENABLED on all tables at table creation. If point in time recovery is enabled, PointInTimeRecoveryStatus will be set to ENABLED. Once continuous backups and point in time recovery are enabled, you can restore to any point in time within EarliestRestorableDateTime and LatestRestorableDateTime . LatestRestorableDateTime is typically 5 minutes before the current time. You can restore your table to any point in time during the last 35 days.","ref":"aws_dynamodb.html#update_continuous_backups/2","title":"aws_dynamodb.update_continuous_backups/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#update_continuous_backups/3","title":"aws_dynamodb.update_continuous_backups/3","type":"function"},{"doc":"Updates the status for contributor insights for a specific table or index. CloudWatch Contributor Insights for DynamoDB graphs display the partition key and (if applicable) sort key of frequently accessed items and frequently throttled items in plaintext. If you require the use of Amazon Web Services Key Management Service (KMS) to encrypt this table’s partition key and sort key data with an Amazon Web Services managed key or customer managed key, you should not enable CloudWatch Contributor Insights for DynamoDB for this table.","ref":"aws_dynamodb.html#update_contributor_insights/2","title":"aws_dynamodb.update_contributor_insights/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#update_contributor_insights/3","title":"aws_dynamodb.update_contributor_insights/3","type":"function"},{"doc":"Adds or removes replicas in the specified global table. The global table must already exist to be able to use this operation. Any replica to be added must be empty, have the same name as the global table, have the same key schema, have DynamoDB Streams enabled, and have the same provisioned and maximum write capacity units. Although you can use UpdateGlobalTable to add replicas and remove replicas in a single request, for simplicity we recommend that you issue separate requests for adding or removing replicas. If global secondary indexes are specified, then the following conditions must also be met: The global secondary indexes must have the same name. The global secondary indexes must have the same hash key and sort key (if present). The global secondary indexes must have the same provisioned and maximum write capacity units.","ref":"aws_dynamodb.html#update_global_table/2","title":"aws_dynamodb.update_global_table/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#update_global_table/3","title":"aws_dynamodb.update_global_table/3","type":"function"},{"doc":"Updates settings for a global table.","ref":"aws_dynamodb.html#update_global_table_settings/2","title":"aws_dynamodb.update_global_table_settings/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#update_global_table_settings/3","title":"aws_dynamodb.update_global_table_settings/3","type":"function"},{"doc":"Edits an existing item's attributes, or adds a new item to the table if it does not already exist. You can put, delete, or add attribute values. You can also perform a conditional update on an existing item (insert a new attribute name-value pair if it doesn't exist, or replace an existing name-value pair if it has certain expected attribute values). You can also return the item's attribute values in the same UpdateItem operation using the ReturnValues parameter.","ref":"aws_dynamodb.html#update_item/2","title":"aws_dynamodb.update_item/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#update_item/3","title":"aws_dynamodb.update_item/3","type":"function"},{"doc":"Modifies the provisioned throughput settings, global secondary indexes, or DynamoDB Streams settings for a given table. You can only perform one of the following operations at once: Modify the provisioned throughput settings of the table. Remove a global secondary index from the table. Create a new global secondary index on the table. After the index begins backfilling, you can use UpdateTable to perform other operations. UpdateTable is an asynchronous operation; while it is executing, the table status changes from ACTIVE to UPDATING . While it is UPDATING , you cannot issue another UpdateTable request. When the table returns to the ACTIVE state, the UpdateTable operation is complete.","ref":"aws_dynamodb.html#update_table/2","title":"aws_dynamodb.update_table/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#update_table/3","title":"aws_dynamodb.update_table/3","type":"function"},{"doc":"Updates auto scaling settings on your global tables at once. This operation only applies to Version 2019.11.21 of global tables.","ref":"aws_dynamodb.html#update_table_replica_auto_scaling/2","title":"aws_dynamodb.update_table_replica_auto_scaling/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#update_table_replica_auto_scaling/3","title":"aws_dynamodb.update_table_replica_auto_scaling/3","type":"function"},{"doc":"The UpdateTimeToLive method enables or disables Time to Live (TTL) for the specified table. A successful UpdateTimeToLive call returns the current TimeToLiveSpecification . It can take up to one hour for the change to fully process. Any additional UpdateTimeToLive calls for the same table during this one hour duration result in a ValidationException . TTL compares the current time in epoch time format to the time stored in the TTL attribute of an item. If the epoch time value stored in the attribute is less than the current time, the item is marked as expired and subsequently deleted. The epoch time format is the number of seconds elapsed since 12:00:00 AM January 1, 1970 UTC. DynamoDB deletes expired items on a best-effort basis to ensure availability of throughput for other data operations. DynamoDB typically deletes expired items within two days of expiration. The exact duration within which an item gets deleted after expiration is specific to the nature of the workload. Items that have expired and not been deleted will still show up in reads, queries, and scans. As items are deleted, they are removed from any local secondary index and global secondary index immediately in the same eventually consistent way as a standard delete operation. For more information, see Time To Live in the Amazon DynamoDB Developer Guide.","ref":"aws_dynamodb.html#update_time_to_live/2","title":"aws_dynamodb.update_time_to_live/2","type":"function"},{"doc":"","ref":"aws_dynamodb.html#update_time_to_live/3","title":"aws_dynamodb.update_time_to_live/3","type":"function"},{"doc":"Amazon DynamoDB Amazon DynamoDB Streams provides API actions for accessing streams and processing stream records. To learn more about application development with Streams, see Capturing Table Activity with DynamoDB Streams in the Amazon DynamoDB Developer Guide.","ref":"aws_dynamodb_streams.html","title":"aws_dynamodb_streams","type":"module"},{"doc":"Returns information about a stream, including the current status of the stream, its Amazon Resource Name (ARN), the composition of its shards, and its corresponding DynamoDB table. You can call DescribeStream at a maximum rate of 10 times per second. Each shard in the stream has a SequenceNumberRange associated with it. If the SequenceNumberRange has a StartingSequenceNumber but no EndingSequenceNumber , then the shard is still open (able to receive more stream records). If both StartingSequenceNumber and EndingSequenceNumber are present, then that shard is closed and can no longer receive more data.","ref":"aws_dynamodb_streams.html#describe_stream/2","title":"aws_dynamodb_streams.describe_stream/2","type":"function"},{"doc":"","ref":"aws_dynamodb_streams.html#describe_stream/3","title":"aws_dynamodb_streams.describe_stream/3","type":"function"},{"doc":"Retrieves the stream records from a given shard. Specify a shard iterator using the ShardIterator parameter. The shard iterator specifies the position in the shard from which you want to start reading stream records sequentially. If there are no stream records available in the portion of the shard that the iterator points to, GetRecords returns an empty list. Note that it might take multiple calls to get to a portion of the shard that contains stream records. GetRecords can retrieve a maximum of 1 MB of data or 1000 stream records, whichever comes first.","ref":"aws_dynamodb_streams.html#get_records/2","title":"aws_dynamodb_streams.get_records/2","type":"function"},{"doc":"","ref":"aws_dynamodb_streams.html#get_records/3","title":"aws_dynamodb_streams.get_records/3","type":"function"},{"doc":"Returns a shard iterator. A shard iterator provides information about how to retrieve the stream records from within a shard. Use the shard iterator in a subsequent GetRecords request to read the stream records from the shard. A shard iterator expires 15 minutes after it is returned to the requester.","ref":"aws_dynamodb_streams.html#get_shard_iterator/2","title":"aws_dynamodb_streams.get_shard_iterator/2","type":"function"},{"doc":"","ref":"aws_dynamodb_streams.html#get_shard_iterator/3","title":"aws_dynamodb_streams.get_shard_iterator/3","type":"function"},{"doc":"Returns an array of stream ARNs associated with the current account and endpoint. If the TableName parameter is present, then ListStreams will return only the streams ARNs for that table. You can call ListStreams at a maximum rate of 5 times per second.","ref":"aws_dynamodb_streams.html#list_streams/2","title":"aws_dynamodb_streams.list_streams/2","type":"function"},{"doc":"","ref":"aws_dynamodb_streams.html#list_streams/3","title":"aws_dynamodb_streams.list_streams/3","type":"function"},{"doc":"You can use the Amazon Elastic Block Store (Amazon EBS) direct APIs to create Amazon EBS snapshots, write data directly to your snapshots, read data on your snapshots, and identify the differences or changes between two snapshots. If you’re an independent software vendor (ISV) who offers backup services for Amazon EBS, the EBS direct APIs make it more efficient and cost-effective to track incremental changes on your Amazon EBS volumes through snapshots. This can be done without having to create new volumes from snapshots, and then use Amazon Elastic Compute Cloud (Amazon EC2) instances to compare the differences. You can create incremental snapshots directly from data on-premises into volumes and the cloud to use for quick disaster recovery. With the ability to write and read snapshots, you can write your on-premises data to an snapshot during a disaster. Then after recovery, you can restore it back to Amazon Web Services or on-premises from the snapshot. You no longer need to build and maintain complex mechanisms to copy data to and from Amazon EBS. This API reference provides detailed information about the actions, data types, parameters, and errors of the EBS direct APIs. For more information about the elements that make up the EBS direct APIs, and examples of how to use them effectively, see Accessing the Contents of an Amazon EBS Snapshot in the Amazon Elastic Compute Cloud User Guide. For more information about the supported Amazon Web Services Regions, endpoints, and service quotas for the EBS direct APIs, see Amazon Elastic Block Store Endpoints and Quotas in the Amazon Web Services General Reference.","ref":"aws_ebs.html","title":"aws_ebs","type":"module"},{"doc":"Seals and completes the snapshot after all of the required blocks of data have been written to it. Completing the snapshot changes the status to completed . You cannot write new blocks to a snapshot after it has been completed.","ref":"aws_ebs.html#complete_snapshot/3","title":"aws_ebs.complete_snapshot/3","type":"function"},{"doc":"","ref":"aws_ebs.html#complete_snapshot/4","title":"aws_ebs.complete_snapshot/4","type":"function"},{"doc":"Returns the data in a block in an Amazon Elastic Block Store snapshot.","ref":"aws_ebs.html#get_snapshot_block/4","title":"aws_ebs.get_snapshot_block/4","type":"function"},{"doc":"","ref":"aws_ebs.html#get_snapshot_block/6","title":"aws_ebs.get_snapshot_block/6","type":"function"},{"doc":"","ref":"aws_ebs.html#get_snapshot_block/7","title":"aws_ebs.get_snapshot_block/7","type":"function"},{"doc":"Returns information about the blocks that are different between two Amazon Elastic Block Store snapshots of the same volume/snapshot lineage.","ref":"aws_ebs.html#list_changed_blocks/2","title":"aws_ebs.list_changed_blocks/2","type":"function"},{"doc":"","ref":"aws_ebs.html#list_changed_blocks/4","title":"aws_ebs.list_changed_blocks/4","type":"function"},{"doc":"","ref":"aws_ebs.html#list_changed_blocks/5","title":"aws_ebs.list_changed_blocks/5","type":"function"},{"doc":"Returns information about the blocks in an Amazon Elastic Block Store snapshot.","ref":"aws_ebs.html#list_snapshot_blocks/2","title":"aws_ebs.list_snapshot_blocks/2","type":"function"},{"doc":"","ref":"aws_ebs.html#list_snapshot_blocks/4","title":"aws_ebs.list_snapshot_blocks/4","type":"function"},{"doc":"","ref":"aws_ebs.html#list_snapshot_blocks/5","title":"aws_ebs.list_snapshot_blocks/5","type":"function"},{"doc":"Writes a block of data to a snapshot. If the specified block contains data, the existing data is overwritten. The target snapshot must be in the pending state. Data written to a snapshot must be aligned with 512-KiB sectors.","ref":"aws_ebs.html#put_snapshot_block/4","title":"aws_ebs.put_snapshot_block/4","type":"function"},{"doc":"","ref":"aws_ebs.html#put_snapshot_block/5","title":"aws_ebs.put_snapshot_block/5","type":"function"},{"doc":"Creates a new Amazon EBS snapshot. The new snapshot enters the pending state after the request completes. After creating the snapshot, use PutSnapshotBlock to write blocks of data to the snapshot.","ref":"aws_ebs.html#start_snapshot/2","title":"aws_ebs.start_snapshot/2","type":"function"},{"doc":"","ref":"aws_ebs.html#start_snapshot/3","title":"aws_ebs.start_snapshot/3","type":"function"},{"doc":"Amazon EC2 Instance Connect enables system administrators to publish one-time use SSH public keys to EC2, providing users a simple and secure way to connect to their instances.","ref":"aws_ec2_instance_connect.html","title":"aws_ec2_instance_connect","type":"module"},{"doc":"Pushes an SSH public key to the specified EC2 instance. The key remains for 60 seconds, which gives you 60 seconds to establish a serial console connection to the instance using SSH. For more information, see EC2 Serial Console in the Amazon EC2 User Guide.","ref":"aws_ec2_instance_connect.html#send_serial_console_ssh_public_key/2","title":"aws_ec2_instance_connect.send_serial_console_ssh_public_key/2","type":"function"},{"doc":"","ref":"aws_ec2_instance_connect.html#send_serial_console_ssh_public_key/3","title":"aws_ec2_instance_connect.send_serial_console_ssh_public_key/3","type":"function"},{"doc":"Pushes an SSH public key to the specified EC2 instance for use by the specified user. The key remains for 60 seconds. For more information, see Connect to your Linux instance using EC2 Instance Connect in the Amazon EC2 User Guide.","ref":"aws_ec2_instance_connect.html#send_ssh_public_key/2","title":"aws_ec2_instance_connect.send_ssh_public_key/2","type":"function"},{"doc":"","ref":"aws_ec2_instance_connect.html#send_ssh_public_key/3","title":"aws_ec2_instance_connect.send_ssh_public_key/3","type":"function"},{"doc":"Amazon Elastic Container Registry Amazon Elastic Container Registry (Amazon ECR) is a managed container image registry service. Customers can use the familiar Docker CLI, or their preferred client, to push, pull, and manage images. Amazon ECR provides a secure, scalable, and reliable registry for your Docker or Open Container Initiative (OCI) images. Amazon ECR supports private repositories with resource-based permissions using IAM so that specific users or Amazon EC2 instances can access repositories and images. Amazon ECR has service endpoints in each supported Region. For more information, see Amazon ECR endpoints in the Amazon Web Services General Reference.","ref":"aws_ecr.html","title":"aws_ecr","type":"module"},{"doc":"Checks the availability of one or more image layers in a repository. When an image is pushed to a repository, each image layer is checked to verify if it has been uploaded before. If it has been uploaded, then the image layer is skipped. This operation is used by the Amazon ECR proxy and is not generally used by customers for pulling and pushing images. In most cases, you should use the docker CLI to pull, tag, and push images.","ref":"aws_ecr.html#batch_check_layer_availability/2","title":"aws_ecr.batch_check_layer_availability/2","type":"function"},{"doc":"","ref":"aws_ecr.html#batch_check_layer_availability/3","title":"aws_ecr.batch_check_layer_availability/3","type":"function"},{"doc":"Deletes a list of specified images within a repository. Images are specified with either an imageTag or imageDigest . You can remove a tag from an image by specifying the image's tag in your request. When you remove the last tag from an image, the image is deleted from your repository. You can completely delete an image (and all of its tags) by specifying the image's digest in your request.","ref":"aws_ecr.html#batch_delete_image/2","title":"aws_ecr.batch_delete_image/2","type":"function"},{"doc":"","ref":"aws_ecr.html#batch_delete_image/3","title":"aws_ecr.batch_delete_image/3","type":"function"},{"doc":"Gets detailed information for an image. Images are specified with either an imageTag or imageDigest . When an image is pulled, the BatchGetImage API is called once to retrieve the image manifest.","ref":"aws_ecr.html#batch_get_image/2","title":"aws_ecr.batch_get_image/2","type":"function"},{"doc":"","ref":"aws_ecr.html#batch_get_image/3","title":"aws_ecr.batch_get_image/3","type":"function"},{"doc":"Gets the scanning configuration for one or more repositories.","ref":"aws_ecr.html#batch_get_repository_scanning_configuration/2","title":"aws_ecr.batch_get_repository_scanning_configuration/2","type":"function"},{"doc":"","ref":"aws_ecr.html#batch_get_repository_scanning_configuration/3","title":"aws_ecr.batch_get_repository_scanning_configuration/3","type":"function"},{"doc":"Informs Amazon ECR that the image layer upload has completed for a specified registry, repository name, and upload ID. You can optionally provide a sha256 digest of the image layer for data validation purposes. When an image is pushed, the CompleteLayerUpload API is called once per each new image layer to verify that the upload has completed. This operation is used by the Amazon ECR proxy and is not generally used by customers for pulling and pushing images. In most cases, you should use the docker CLI to pull, tag, and push images.","ref":"aws_ecr.html#complete_layer_upload/2","title":"aws_ecr.complete_layer_upload/2","type":"function"},{"doc":"","ref":"aws_ecr.html#complete_layer_upload/3","title":"aws_ecr.complete_layer_upload/3","type":"function"},{"doc":"Creates a pull through cache rule. A pull through cache rule provides a way to cache images from an external public registry in your Amazon ECR private registry.","ref":"aws_ecr.html#create_pull_through_cache_rule/2","title":"aws_ecr.create_pull_through_cache_rule/2","type":"function"},{"doc":"","ref":"aws_ecr.html#create_pull_through_cache_rule/3","title":"aws_ecr.create_pull_through_cache_rule/3","type":"function"},{"doc":"Creates a repository. For more information, see Amazon ECR repositories in the Amazon Elastic Container Registry User Guide.","ref":"aws_ecr.html#create_repository/2","title":"aws_ecr.create_repository/2","type":"function"},{"doc":"","ref":"aws_ecr.html#create_repository/3","title":"aws_ecr.create_repository/3","type":"function"},{"doc":"Deletes the lifecycle policy associated with the specified repository.","ref":"aws_ecr.html#delete_lifecycle_policy/2","title":"aws_ecr.delete_lifecycle_policy/2","type":"function"},{"doc":"","ref":"aws_ecr.html#delete_lifecycle_policy/3","title":"aws_ecr.delete_lifecycle_policy/3","type":"function"},{"doc":"Deletes a pull through cache rule.","ref":"aws_ecr.html#delete_pull_through_cache_rule/2","title":"aws_ecr.delete_pull_through_cache_rule/2","type":"function"},{"doc":"","ref":"aws_ecr.html#delete_pull_through_cache_rule/3","title":"aws_ecr.delete_pull_through_cache_rule/3","type":"function"},{"doc":"Deletes the registry permissions policy.","ref":"aws_ecr.html#delete_registry_policy/2","title":"aws_ecr.delete_registry_policy/2","type":"function"},{"doc":"","ref":"aws_ecr.html#delete_registry_policy/3","title":"aws_ecr.delete_registry_policy/3","type":"function"},{"doc":"Deletes a repository. If the repository contains images, you must either delete all images in the repository or use the force option to delete the repository.","ref":"aws_ecr.html#delete_repository/2","title":"aws_ecr.delete_repository/2","type":"function"},{"doc":"","ref":"aws_ecr.html#delete_repository/3","title":"aws_ecr.delete_repository/3","type":"function"},{"doc":"Deletes the repository policy associated with the specified repository.","ref":"aws_ecr.html#delete_repository_policy/2","title":"aws_ecr.delete_repository_policy/2","type":"function"},{"doc":"","ref":"aws_ecr.html#delete_repository_policy/3","title":"aws_ecr.delete_repository_policy/3","type":"function"},{"doc":"Returns the replication status for a specified image.","ref":"aws_ecr.html#describe_image_replication_status/2","title":"aws_ecr.describe_image_replication_status/2","type":"function"},{"doc":"","ref":"aws_ecr.html#describe_image_replication_status/3","title":"aws_ecr.describe_image_replication_status/3","type":"function"},{"doc":"Returns the scan findings for the specified image.","ref":"aws_ecr.html#describe_image_scan_findings/2","title":"aws_ecr.describe_image_scan_findings/2","type":"function"},{"doc":"","ref":"aws_ecr.html#describe_image_scan_findings/3","title":"aws_ecr.describe_image_scan_findings/3","type":"function"},{"doc":"Returns metadata about the images in a repository. Beginning with Docker version 1.9, the Docker client compresses image layers before pushing them to a V2 Docker registry. The output of the docker images command shows the uncompressed image size, so it may return a larger image size than the image sizes returned by DescribeImages .","ref":"aws_ecr.html#describe_images/2","title":"aws_ecr.describe_images/2","type":"function"},{"doc":"","ref":"aws_ecr.html#describe_images/3","title":"aws_ecr.describe_images/3","type":"function"},{"doc":"Returns the pull through cache rules for a registry.","ref":"aws_ecr.html#describe_pull_through_cache_rules/2","title":"aws_ecr.describe_pull_through_cache_rules/2","type":"function"},{"doc":"","ref":"aws_ecr.html#describe_pull_through_cache_rules/3","title":"aws_ecr.describe_pull_through_cache_rules/3","type":"function"},{"doc":"Describes the settings for a registry. The replication configuration for a repository can be created or updated with the PutReplicationConfiguration API action.","ref":"aws_ecr.html#describe_registry/2","title":"aws_ecr.describe_registry/2","type":"function"},{"doc":"","ref":"aws_ecr.html#describe_registry/3","title":"aws_ecr.describe_registry/3","type":"function"},{"doc":"Describes image repositories in a registry.","ref":"aws_ecr.html#describe_repositories/2","title":"aws_ecr.describe_repositories/2","type":"function"},{"doc":"","ref":"aws_ecr.html#describe_repositories/3","title":"aws_ecr.describe_repositories/3","type":"function"},{"doc":"Retrieves an authorization token. An authorization token represents your IAM authentication credentials and can be used to access any Amazon ECR registry that your IAM principal has access to. The authorization token is valid for 12 hours. The authorizationToken returned is a base64 encoded string that can be decoded and used in a docker login command to authenticate to a registry. The CLI offers an get-login-password command that simplifies the login process. For more information, see Registry authentication in the Amazon Elastic Container Registry User Guide.","ref":"aws_ecr.html#get_authorization_token/2","title":"aws_ecr.get_authorization_token/2","type":"function"},{"doc":"","ref":"aws_ecr.html#get_authorization_token/3","title":"aws_ecr.get_authorization_token/3","type":"function"},{"doc":"Retrieves the pre-signed Amazon S3 download URL corresponding to an image layer. You can only get URLs for image layers that are referenced in an image. When an image is pulled, the GetDownloadUrlForLayer API is called once per image layer that is not already cached. This operation is used by the Amazon ECR proxy and is not generally used by customers for pulling and pushing images. In most cases, you should use the docker CLI to pull, tag, and push images.","ref":"aws_ecr.html#get_download_url_for_layer/2","title":"aws_ecr.get_download_url_for_layer/2","type":"function"},{"doc":"","ref":"aws_ecr.html#get_download_url_for_layer/3","title":"aws_ecr.get_download_url_for_layer/3","type":"function"},{"doc":"Retrieves the lifecycle policy for the specified repository.","ref":"aws_ecr.html#get_lifecycle_policy/2","title":"aws_ecr.get_lifecycle_policy/2","type":"function"},{"doc":"","ref":"aws_ecr.html#get_lifecycle_policy/3","title":"aws_ecr.get_lifecycle_policy/3","type":"function"},{"doc":"Retrieves the results of the lifecycle policy preview request for the specified repository.","ref":"aws_ecr.html#get_lifecycle_policy_preview/2","title":"aws_ecr.get_lifecycle_policy_preview/2","type":"function"},{"doc":"","ref":"aws_ecr.html#get_lifecycle_policy_preview/3","title":"aws_ecr.get_lifecycle_policy_preview/3","type":"function"},{"doc":"Retrieves the permissions policy for a registry.","ref":"aws_ecr.html#get_registry_policy/2","title":"aws_ecr.get_registry_policy/2","type":"function"},{"doc":"","ref":"aws_ecr.html#get_registry_policy/3","title":"aws_ecr.get_registry_policy/3","type":"function"},{"doc":"Retrieves the scanning configuration for a registry.","ref":"aws_ecr.html#get_registry_scanning_configuration/2","title":"aws_ecr.get_registry_scanning_configuration/2","type":"function"},{"doc":"","ref":"aws_ecr.html#get_registry_scanning_configuration/3","title":"aws_ecr.get_registry_scanning_configuration/3","type":"function"},{"doc":"Retrieves the repository policy for the specified repository.","ref":"aws_ecr.html#get_repository_policy/2","title":"aws_ecr.get_repository_policy/2","type":"function"},{"doc":"","ref":"aws_ecr.html#get_repository_policy/3","title":"aws_ecr.get_repository_policy/3","type":"function"},{"doc":"Notifies Amazon ECR that you intend to upload an image layer. When an image is pushed, the InitiateLayerUpload API is called once per image layer that has not already been uploaded. Whether or not an image layer has been uploaded is determined by the BatchCheckLayerAvailability API action. This operation is used by the Amazon ECR proxy and is not generally used by customers for pulling and pushing images. In most cases, you should use the docker CLI to pull, tag, and push images.","ref":"aws_ecr.html#initiate_layer_upload/2","title":"aws_ecr.initiate_layer_upload/2","type":"function"},{"doc":"","ref":"aws_ecr.html#initiate_layer_upload/3","title":"aws_ecr.initiate_layer_upload/3","type":"function"},{"doc":"Lists all the image IDs for the specified repository. You can filter images based on whether or not they are tagged by using the tagStatus filter and specifying either TAGGED , UNTAGGED or ANY . For example, you can filter your results to return only UNTAGGED images and then pipe that result to a BatchDeleteImage operation to delete them. Or, you can filter your results to return only TAGGED images to list all of the tags in your repository.","ref":"aws_ecr.html#list_images/2","title":"aws_ecr.list_images/2","type":"function"},{"doc":"","ref":"aws_ecr.html#list_images/3","title":"aws_ecr.list_images/3","type":"function"},{"doc":"List the tags for an Amazon ECR resource.","ref":"aws_ecr.html#list_tags_for_resource/2","title":"aws_ecr.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_ecr.html#list_tags_for_resource/3","title":"aws_ecr.list_tags_for_resource/3","type":"function"},{"doc":"Creates or updates the image manifest and tags associated with an image. When an image is pushed and all new image layers have been uploaded, the PutImage API is called once to create or update the image manifest and the tags associated with the image. This operation is used by the Amazon ECR proxy and is not generally used by customers for pulling and pushing images. In most cases, you should use the docker CLI to pull, tag, and push images.","ref":"aws_ecr.html#put_image/2","title":"aws_ecr.put_image/2","type":"function"},{"doc":"","ref":"aws_ecr.html#put_image/3","title":"aws_ecr.put_image/3","type":"function"},{"doc":"The PutImageScanningConfiguration API is being deprecated, in favor of specifying the image scanning configuration at the registry level. For more information, see PutRegistryScanningConfiguration . Updates the image scanning configuration for the specified repository.","ref":"aws_ecr.html#put_image_scanning_configuration/2","title":"aws_ecr.put_image_scanning_configuration/2","type":"function"},{"doc":"","ref":"aws_ecr.html#put_image_scanning_configuration/3","title":"aws_ecr.put_image_scanning_configuration/3","type":"function"},{"doc":"Updates the image tag mutability settings for the specified repository. For more information, see Image tag mutability in the Amazon Elastic Container Registry User Guide.","ref":"aws_ecr.html#put_image_tag_mutability/2","title":"aws_ecr.put_image_tag_mutability/2","type":"function"},{"doc":"","ref":"aws_ecr.html#put_image_tag_mutability/3","title":"aws_ecr.put_image_tag_mutability/3","type":"function"},{"doc":"Creates or updates the lifecycle policy for the specified repository. For more information, see Lifecycle policy template.","ref":"aws_ecr.html#put_lifecycle_policy/2","title":"aws_ecr.put_lifecycle_policy/2","type":"function"},{"doc":"","ref":"aws_ecr.html#put_lifecycle_policy/3","title":"aws_ecr.put_lifecycle_policy/3","type":"function"},{"doc":"Creates or updates the permissions policy for your registry. A registry policy is used to specify permissions for another Amazon Web Services account and is used when configuring cross-account replication. For more information, see Registry permissions in the Amazon Elastic Container Registry User Guide.","ref":"aws_ecr.html#put_registry_policy/2","title":"aws_ecr.put_registry_policy/2","type":"function"},{"doc":"","ref":"aws_ecr.html#put_registry_policy/3","title":"aws_ecr.put_registry_policy/3","type":"function"},{"doc":"Creates or updates the scanning configuration for your private registry.","ref":"aws_ecr.html#put_registry_scanning_configuration/2","title":"aws_ecr.put_registry_scanning_configuration/2","type":"function"},{"doc":"","ref":"aws_ecr.html#put_registry_scanning_configuration/3","title":"aws_ecr.put_registry_scanning_configuration/3","type":"function"},{"doc":"Creates or updates the replication configuration for a registry. The existing replication configuration for a repository can be retrieved with the DescribeRegistry API action. The first time the PutReplicationConfiguration API is called, a service-linked IAM role is created in your account for the replication process. For more information, see Using service-linked roles for Amazon ECR in the Amazon Elastic Container Registry User Guide. When configuring cross-account replication, the destination account must grant the source account permission to replicate. This permission is controlled using a registry permissions policy. For more information, see PutRegistryPolicy .","ref":"aws_ecr.html#put_replication_configuration/2","title":"aws_ecr.put_replication_configuration/2","type":"function"},{"doc":"","ref":"aws_ecr.html#put_replication_configuration/3","title":"aws_ecr.put_replication_configuration/3","type":"function"},{"doc":"Applies a repository policy to the specified repository to control access permissions. For more information, see Amazon ECR Repository policies in the Amazon Elastic Container Registry User Guide.","ref":"aws_ecr.html#set_repository_policy/2","title":"aws_ecr.set_repository_policy/2","type":"function"},{"doc":"","ref":"aws_ecr.html#set_repository_policy/3","title":"aws_ecr.set_repository_policy/3","type":"function"},{"doc":"Starts an image vulnerability scan. An image scan can only be started once per 24 hours on an individual image. This limit includes if an image was scanned on initial push. For more information, see Image scanning in the Amazon Elastic Container Registry User Guide.","ref":"aws_ecr.html#start_image_scan/2","title":"aws_ecr.start_image_scan/2","type":"function"},{"doc":"","ref":"aws_ecr.html#start_image_scan/3","title":"aws_ecr.start_image_scan/3","type":"function"},{"doc":"Starts a preview of a lifecycle policy for the specified repository. This allows you to see the results before associating the lifecycle policy with the repository.","ref":"aws_ecr.html#start_lifecycle_policy_preview/2","title":"aws_ecr.start_lifecycle_policy_preview/2","type":"function"},{"doc":"","ref":"aws_ecr.html#start_lifecycle_policy_preview/3","title":"aws_ecr.start_lifecycle_policy_preview/3","type":"function"},{"doc":"Adds specified tags to a resource with the specified ARN. Existing tags on a resource are not changed if they are not specified in the request parameters.","ref":"aws_ecr.html#tag_resource/2","title":"aws_ecr.tag_resource/2","type":"function"},{"doc":"","ref":"aws_ecr.html#tag_resource/3","title":"aws_ecr.tag_resource/3","type":"function"},{"doc":"Deletes specified tags from a resource.","ref":"aws_ecr.html#untag_resource/2","title":"aws_ecr.untag_resource/2","type":"function"},{"doc":"","ref":"aws_ecr.html#untag_resource/3","title":"aws_ecr.untag_resource/3","type":"function"},{"doc":"Uploads an image layer part to Amazon ECR. When an image is pushed, each new image layer is uploaded in parts. The maximum size of each image layer part can be 20971520 bytes (or about 20MB). The UploadLayerPart API is called once per each new image layer part. This operation is used by the Amazon ECR proxy and is not generally used by customers for pulling and pushing images. In most cases, you should use the docker CLI to pull, tag, and push images.","ref":"aws_ecr.html#upload_layer_part/2","title":"aws_ecr.upload_layer_part/2","type":"function"},{"doc":"","ref":"aws_ecr.html#upload_layer_part/3","title":"aws_ecr.upload_layer_part/3","type":"function"},{"doc":"Amazon Elastic Container Registry Public Amazon Elastic Container Registry Public (Amazon ECR Public) is a managed container image registry service. Amazon ECR provides both public and private registries to host your container images. You can use the Docker CLI or your preferred client to push, pull, and manage images. Amazon ECR provides a secure, scalable, and reliable registry for your Docker or Open Container Initiative (OCI) images. Amazon ECR supports public repositories with this API. For information about the Amazon ECR API for private repositories, see Amazon Elastic Container Registry API Reference.","ref":"aws_ecr_public.html","title":"aws_ecr_public","type":"module"},{"doc":"Checks the availability of one or more image layers that are within a repository in a public registry. When an image is pushed to a repository, each image layer is checked to verify if it has been uploaded before. If it has been uploaded, then the image layer is skipped. This operation is used by the Amazon ECR proxy and is not generally used by customers for pulling and pushing images. In most cases, you should use the docker CLI to pull, tag, and push images.","ref":"aws_ecr_public.html#batch_check_layer_availability/2","title":"aws_ecr_public.batch_check_layer_availability/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#batch_check_layer_availability/3","title":"aws_ecr_public.batch_check_layer_availability/3","type":"function"},{"doc":"Deletes a list of specified images that are within a repository in a public registry. Images are specified with either an imageTag or imageDigest . You can remove a tag from an image by specifying the image's tag in your request. When you remove the last tag from an image, the image is deleted from your repository. You can completely delete an image (and all of its tags) by specifying the digest of the image in your request.","ref":"aws_ecr_public.html#batch_delete_image/2","title":"aws_ecr_public.batch_delete_image/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#batch_delete_image/3","title":"aws_ecr_public.batch_delete_image/3","type":"function"},{"doc":"Informs Amazon ECR that the image layer upload is complete for a specified public registry, repository name, and upload ID. You can optionally provide a sha256 digest of the image layer for data validation purposes. When an image is pushed, the CompleteLayerUpload API is called once for each new image layer to verify that the upload is complete. This operation is used by the Amazon ECR proxy and is not generally used by customers for pulling and pushing images. In most cases, you should use the docker CLI to pull, tag, and push images.","ref":"aws_ecr_public.html#complete_layer_upload/2","title":"aws_ecr_public.complete_layer_upload/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#complete_layer_upload/3","title":"aws_ecr_public.complete_layer_upload/3","type":"function"},{"doc":"Creates a repository in a public registry. For more information, see Amazon ECR repositories in the Amazon Elastic Container Registry User Guide.","ref":"aws_ecr_public.html#create_repository/2","title":"aws_ecr_public.create_repository/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#create_repository/3","title":"aws_ecr_public.create_repository/3","type":"function"},{"doc":"Deletes a repository in a public registry. If the repository contains images, you must either manually delete all images in the repository or use the force option. This option deletes all images on your behalf before deleting the repository.","ref":"aws_ecr_public.html#delete_repository/2","title":"aws_ecr_public.delete_repository/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#delete_repository/3","title":"aws_ecr_public.delete_repository/3","type":"function"},{"doc":"Deletes the repository policy that's associated with the specified repository.","ref":"aws_ecr_public.html#delete_repository_policy/2","title":"aws_ecr_public.delete_repository_policy/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#delete_repository_policy/3","title":"aws_ecr_public.delete_repository_policy/3","type":"function"},{"doc":"Returns the image tag details for a repository in a public registry.","ref":"aws_ecr_public.html#describe_image_tags/2","title":"aws_ecr_public.describe_image_tags/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#describe_image_tags/3","title":"aws_ecr_public.describe_image_tags/3","type":"function"},{"doc":"Returns metadata that's related to the images in a repository in a public registry. Beginning with Docker version 1.9, the Docker client compresses image layers before pushing them to a V2 Docker registry. The output of the docker images command shows the uncompressed image size. Therefore, it might return a larger image size than the image sizes that are returned by DescribeImages .","ref":"aws_ecr_public.html#describe_images/2","title":"aws_ecr_public.describe_images/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#describe_images/3","title":"aws_ecr_public.describe_images/3","type":"function"},{"doc":"Returns details for a public registry.","ref":"aws_ecr_public.html#describe_registries/2","title":"aws_ecr_public.describe_registries/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#describe_registries/3","title":"aws_ecr_public.describe_registries/3","type":"function"},{"doc":"Describes repositories that are in a public registry.","ref":"aws_ecr_public.html#describe_repositories/2","title":"aws_ecr_public.describe_repositories/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#describe_repositories/3","title":"aws_ecr_public.describe_repositories/3","type":"function"},{"doc":"Retrieves an authorization token. An authorization token represents your IAM authentication credentials. You can use it to access any Amazon ECR registry that your IAM principal has access to. The authorization token is valid for 12 hours. This API requires the ecr-public:GetAuthorizationToken and sts:GetServiceBearerToken permissions.","ref":"aws_ecr_public.html#get_authorization_token/2","title":"aws_ecr_public.get_authorization_token/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#get_authorization_token/3","title":"aws_ecr_public.get_authorization_token/3","type":"function"},{"doc":"Retrieves catalog metadata for a public registry.","ref":"aws_ecr_public.html#get_registry_catalog_data/2","title":"aws_ecr_public.get_registry_catalog_data/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#get_registry_catalog_data/3","title":"aws_ecr_public.get_registry_catalog_data/3","type":"function"},{"doc":"Retrieve catalog metadata for a repository in a public registry. This metadata is displayed publicly in the Amazon ECR Public Gallery.","ref":"aws_ecr_public.html#get_repository_catalog_data/2","title":"aws_ecr_public.get_repository_catalog_data/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#get_repository_catalog_data/3","title":"aws_ecr_public.get_repository_catalog_data/3","type":"function"},{"doc":"Retrieves the repository policy for the specified repository.","ref":"aws_ecr_public.html#get_repository_policy/2","title":"aws_ecr_public.get_repository_policy/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#get_repository_policy/3","title":"aws_ecr_public.get_repository_policy/3","type":"function"},{"doc":"Notifies Amazon ECR that you intend to upload an image layer. When an image is pushed, the InitiateLayerUpload API is called once for each image layer that hasn't already been uploaded. Whether an image layer uploads is determined by the BatchCheckLayerAvailability API action. This operation is used by the Amazon ECR proxy and is not generally used by customers for pulling and pushing images. In most cases, you should use the docker CLI to pull, tag, and push images.","ref":"aws_ecr_public.html#initiate_layer_upload/2","title":"aws_ecr_public.initiate_layer_upload/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#initiate_layer_upload/3","title":"aws_ecr_public.initiate_layer_upload/3","type":"function"},{"doc":"List the tags for an Amazon ECR Public resource.","ref":"aws_ecr_public.html#list_tags_for_resource/2","title":"aws_ecr_public.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#list_tags_for_resource/3","title":"aws_ecr_public.list_tags_for_resource/3","type":"function"},{"doc":"Creates or updates the image manifest and tags that are associated with an image. When an image is pushed and all new image layers have been uploaded, the PutImage API is called once to create or update the image manifest and the tags that are associated with the image. This operation is used by the Amazon ECR proxy and is not generally used by customers for pulling and pushing images. In most cases, you should use the docker CLI to pull, tag, and push images.","ref":"aws_ecr_public.html#put_image/2","title":"aws_ecr_public.put_image/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#put_image/3","title":"aws_ecr_public.put_image/3","type":"function"},{"doc":"Create or update the catalog data for a public registry.","ref":"aws_ecr_public.html#put_registry_catalog_data/2","title":"aws_ecr_public.put_registry_catalog_data/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#put_registry_catalog_data/3","title":"aws_ecr_public.put_registry_catalog_data/3","type":"function"},{"doc":"Creates or updates the catalog data for a repository in a public registry.","ref":"aws_ecr_public.html#put_repository_catalog_data/2","title":"aws_ecr_public.put_repository_catalog_data/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#put_repository_catalog_data/3","title":"aws_ecr_public.put_repository_catalog_data/3","type":"function"},{"doc":"Applies a repository policy to the specified public repository to control access permissions. For more information, see Amazon ECR Repository Policies in the Amazon Elastic Container Registry User Guide.","ref":"aws_ecr_public.html#set_repository_policy/2","title":"aws_ecr_public.set_repository_policy/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#set_repository_policy/3","title":"aws_ecr_public.set_repository_policy/3","type":"function"},{"doc":"Associates the specified tags to a resource with the specified resourceArn . If existing tags on a resource aren't specified in the request parameters, they aren't changed. When a resource is deleted, the tags associated with that resource are also deleted.","ref":"aws_ecr_public.html#tag_resource/2","title":"aws_ecr_public.tag_resource/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#tag_resource/3","title":"aws_ecr_public.tag_resource/3","type":"function"},{"doc":"Deletes specified tags from a resource.","ref":"aws_ecr_public.html#untag_resource/2","title":"aws_ecr_public.untag_resource/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#untag_resource/3","title":"aws_ecr_public.untag_resource/3","type":"function"},{"doc":"Uploads an image layer part to Amazon ECR. When an image is pushed, each new image layer is uploaded in parts. The maximum size of each image layer part can be 20971520 bytes (about 20MB). The UploadLayerPart API is called once for each new image layer part. This operation is used by the Amazon ECR proxy and is not generally used by customers for pulling and pushing images. In most cases, you should use the docker CLI to pull, tag, and push images.","ref":"aws_ecr_public.html#upload_layer_part/2","title":"aws_ecr_public.upload_layer_part/2","type":"function"},{"doc":"","ref":"aws_ecr_public.html#upload_layer_part/3","title":"aws_ecr_public.upload_layer_part/3","type":"function"},{"doc":"Amazon Elastic Container Service Amazon Elastic Container Service (Amazon ECS) is a highly scalable, fast, container management service. It makes it easy to run, stop, and manage Docker containers. You can host your cluster on a serverless infrastructure that's managed by Amazon ECS by launching your services or tasks on Fargate. For more control, you can host your tasks on a cluster of Amazon Elastic Compute Cloud (Amazon EC2) or External (on-premises) instances that you manage. Amazon ECS makes it easy to launch and stop container-based applications with simple API calls. This makes it easy to get the state of your cluster from a centralized service, and gives you access to many familiar Amazon EC2 features. You can use Amazon ECS to schedule the placement of containers across your cluster based on your resource needs, isolation policies, and availability requirements. With Amazon ECS, you don't need to operate your own cluster management and configuration management systems. You also don't need to worry about scaling your management infrastructure.","ref":"aws_ecs.html","title":"aws_ecs","type":"module"},{"doc":"Creates a new capacity provider. Capacity providers are associated with an Amazon ECS cluster and are used in capacity provider strategies to facilitate cluster auto scaling. Only capacity providers that use an Auto Scaling group can be created. Amazon ECS tasks on Fargate use the FARGATE and FARGATE_SPOT capacity providers. These providers are available to all accounts in the Amazon Web Services Regions that Fargate supports.","ref":"aws_ecs.html#create_capacity_provider/2","title":"aws_ecs.create_capacity_provider/2","type":"function"},{"doc":"","ref":"aws_ecs.html#create_capacity_provider/3","title":"aws_ecs.create_capacity_provider/3","type":"function"},{"doc":"Creates a new Amazon ECS cluster. By default, your account receives a default cluster when you launch your first container instance. However, you can create your own cluster with a unique name with the CreateCluster action. When you call the CreateCluster API operation, Amazon ECS attempts to create the Amazon ECS service-linked role for your account. This is so that it can manage required resources in other Amazon Web Services services on your behalf. However, if the IAM user that makes the call doesn't have permissions to create the service-linked role, it isn't created. For more information, see Using service-linked roles for Amazon ECS in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#create_cluster/2","title":"aws_ecs.create_cluster/2","type":"function"},{"doc":"","ref":"aws_ecs.html#create_cluster/3","title":"aws_ecs.create_cluster/3","type":"function"},{"doc":"Runs and maintains your desired number of tasks from a specified task definition. If the number of tasks running in a service drops below the desiredCount , Amazon ECS runs another copy of the task in the specified cluster. To update an existing service, see the UpdateService action. In addition to maintaining the desired count of tasks in your service, you can optionally run your service behind one or more load balancers. The load balancers distribute traffic across the tasks that are associated with the service. For more information, see Service load balancing in the Amazon Elastic Container Service Developer Guide. Tasks for services that don't use a load balancer are considered healthy if they're in the RUNNING state. Tasks for services that use a load balancer are considered healthy if they're in the RUNNING state and are reported as healthy by the load balancer. There are two service scheduler strategies available: REPLICA - The replica scheduling strategy places and maintains your desired number of tasks across your cluster. By default, the service scheduler spreads tasks across Availability Zones. You can use task placement strategies and constraints to customize task placement decisions. For more information, see Service scheduler concepts in the Amazon Elastic Container Service Developer Guide. DAEMON - The daemon scheduling strategy deploys exactly one task on each active container instance that meets all of the task placement constraints that you specify in your cluster. The service scheduler also evaluates the task placement constraints for running tasks. It also stops tasks that don't meet the placement constraints. When using this strategy, you don't need to specify a desired number of tasks, a task placement strategy, or use Service Auto Scaling policies. For more information, see Service scheduler concepts in the Amazon Elastic Container Service Developer Guide. You can optionally specify a deployment configuration for your service. The deployment is initiated by changing properties. For example, the deployment might be initiated by the task definition or by your desired count of a service. This is done with an UpdateService operation. The default value for a replica service for minimumHealthyPercent is 100%. The default value for a daemon service for minimumHealthyPercent is 0%. If a service uses the ECS deployment controller, the minimum healthy percent represents a lower limit on the number of tasks in a service that must remain in the RUNNING state during a deployment. Specifically, it represents it as a percentage of your desired number of tasks (rounded up to the nearest integer). This happens when any of your container instances are in the DRAINING state if the service contains tasks using the EC2 launch type. Using this parameter, you can deploy without using additional cluster capacity. For example, if you set your service to have desired number of four tasks and a minimum healthy percent of 50%, the scheduler might stop two existing tasks to free up cluster capacity before starting two new tasks. If they're in the RUNNING state, tasks for services that don't use a load balancer are considered healthy . If they're in the RUNNING state and reported as healthy by the load balancer, tasks for services that do use a load balancer are considered healthy . The default value for minimum healthy percent is 100%. If a service uses the ECS deployment controller, the maximum percent parameter represents an upper limit on the number of tasks in a service that are allowed in the RUNNING or PENDING state during a deployment. Specifically, it represents it as a percentage of the desired number of tasks (rounded down to the nearest integer). This happens when any of your container instances are in the DRAINING state if the service contains tasks using the EC2 launch type. Using this parameter, you can define the deployment batch size. For example, if your service has a desired number of four tasks and a maximum percent value of 200%, the scheduler may start four new tasks before stopping the four older tasks (provided that the cluster resources required to do this are available). The default value for maximum percent is 200%. If a service uses either the CODE_DEPLOY or EXTERNAL deployment controller types and tasks that use the EC2 launch type, the minimum healthy percent and maximum percent values are used only to define the lower and upper limit on the number of the tasks in the service that remain in the RUNNING state. This is while the container instances are in the DRAINING state. If the tasks in the service use the Fargate launch type, the minimum healthy percent and maximum percent values aren't used. This is the case even if they're currently visible when describing your service. When creating a service that uses the EXTERNAL deployment controller, you can specify only parameters that aren't controlled at the task set level. The only required parameter is the service name. You control your services using the CreateTaskSet operation. For more information, see Amazon ECS deployment types in the Amazon Elastic Container Service Developer Guide. When the service scheduler launches new tasks, it determines task placement. For information about task placement and task placement strategies, see Amazon ECS task placement in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#create_service/2","title":"aws_ecs.create_service/2","type":"function"},{"doc":"","ref":"aws_ecs.html#create_service/3","title":"aws_ecs.create_service/3","type":"function"},{"doc":"Create a task set in the specified cluster and service. This is used when a service uses the EXTERNAL deployment controller type. For more information, see Amazon ECS deployment types in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#create_task_set/2","title":"aws_ecs.create_task_set/2","type":"function"},{"doc":"","ref":"aws_ecs.html#create_task_set/3","title":"aws_ecs.create_task_set/3","type":"function"},{"doc":"Disables an account setting for a specified IAM user, IAM role, or the root user for an account.","ref":"aws_ecs.html#delete_account_setting/2","title":"aws_ecs.delete_account_setting/2","type":"function"},{"doc":"","ref":"aws_ecs.html#delete_account_setting/3","title":"aws_ecs.delete_account_setting/3","type":"function"},{"doc":"Deletes one or more custom attributes from an Amazon ECS resource.","ref":"aws_ecs.html#delete_attributes/2","title":"aws_ecs.delete_attributes/2","type":"function"},{"doc":"","ref":"aws_ecs.html#delete_attributes/3","title":"aws_ecs.delete_attributes/3","type":"function"},{"doc":"Deletes the specified capacity provider. The FARGATE and FARGATE_SPOT capacity providers are reserved and can't be deleted. You can disassociate them from a cluster using either the PutClusterCapacityProviders API or by deleting the cluster. Prior to a capacity provider being deleted, the capacity provider must be removed from the capacity provider strategy from all services. The UpdateService API can be used to remove a capacity provider from a service's capacity provider strategy. When updating a service, the forceNewDeployment option can be used to ensure that any tasks using the Amazon EC2 instance capacity provided by the capacity provider are transitioned to use the capacity from the remaining capacity providers. Only capacity providers that aren't associated with a cluster can be deleted. To remove a capacity provider from a cluster, you can either use PutClusterCapacityProviders or delete the cluster.","ref":"aws_ecs.html#delete_capacity_provider/2","title":"aws_ecs.delete_capacity_provider/2","type":"function"},{"doc":"","ref":"aws_ecs.html#delete_capacity_provider/3","title":"aws_ecs.delete_capacity_provider/3","type":"function"},{"doc":"Deletes the specified cluster. The cluster transitions to the INACTIVE state. Clusters with an INACTIVE status might remain discoverable in your account for a period of time. However, this behavior is subject to change in the future. We don't recommend that you rely on INACTIVE clusters persisting. You must deregister all container instances from this cluster before you may delete it. You can list the container instances in a cluster with ListContainerInstances and deregister them with DeregisterContainerInstance .","ref":"aws_ecs.html#delete_cluster/2","title":"aws_ecs.delete_cluster/2","type":"function"},{"doc":"","ref":"aws_ecs.html#delete_cluster/3","title":"aws_ecs.delete_cluster/3","type":"function"},{"doc":"Deletes a specified service within a cluster. You can delete a service if you have no running tasks in it and the desired task count is zero. If the service is actively maintaining tasks, you can't delete it, and you must update the service to a desired task count of zero. For more information, see UpdateService . When you delete a service, if there are still running tasks that require cleanup, the service status moves from ACTIVE to DRAINING , and the service is no longer visible in the console or in the ListServices API operation. After all tasks have transitioned to either STOPPING or STOPPED status, the service status moves from DRAINING to INACTIVE . Services in the DRAINING or INACTIVE status can still be viewed with the DescribeServices API operation. However, in the future, INACTIVE services may be cleaned up and purged from Amazon ECS record keeping, and DescribeServices calls on those services return a ServiceNotFoundException error. If you attempt to create a new service with the same name as an existing service in either ACTIVE or DRAINING status, you receive an error.","ref":"aws_ecs.html#delete_service/2","title":"aws_ecs.delete_service/2","type":"function"},{"doc":"","ref":"aws_ecs.html#delete_service/3","title":"aws_ecs.delete_service/3","type":"function"},{"doc":"Deletes a specified task set within a service. This is used when a service uses the EXTERNAL deployment controller type. For more information, see Amazon ECS deployment types in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#delete_task_set/2","title":"aws_ecs.delete_task_set/2","type":"function"},{"doc":"","ref":"aws_ecs.html#delete_task_set/3","title":"aws_ecs.delete_task_set/3","type":"function"},{"doc":"Deregisters an Amazon ECS container instance from the specified cluster. This instance is no longer available to run tasks. If you intend to use the container instance for some other purpose after deregistration, we recommend that you stop all of the tasks running on the container instance before deregistration. That prevents any orphaned tasks from consuming resources. Deregistering a container instance removes the instance from a cluster, but it doesn't terminate the EC2 instance. If you are finished using the instance, be sure to terminate it in the Amazon EC2 console to stop billing. If you terminate a running container instance, Amazon ECS automatically deregisters the instance from your cluster (stopped container instances or instances with disconnected agents aren't automatically deregistered when terminated).","ref":"aws_ecs.html#deregister_container_instance/2","title":"aws_ecs.deregister_container_instance/2","type":"function"},{"doc":"","ref":"aws_ecs.html#deregister_container_instance/3","title":"aws_ecs.deregister_container_instance/3","type":"function"},{"doc":"Deregisters the specified task definition by family and revision. Upon deregistration, the task definition is marked as INACTIVE . Existing tasks and services that reference an INACTIVE task definition continue to run without disruption. Existing services that reference an INACTIVE task definition can still scale up or down by modifying the service's desired count. You can't use an INACTIVE task definition to run new tasks or create new services, and you can't update an existing service to reference an INACTIVE task definition. However, there may be up to a 10-minute window following deregistration where these restrictions have not yet taken effect. At this time, INACTIVE task definitions remain discoverable in your account indefinitely. However, this behavior is subject to change in the future. We don't recommend that you rely on INACTIVE task definitions persisting beyond the lifecycle of any associated tasks and services.","ref":"aws_ecs.html#deregister_task_definition/2","title":"aws_ecs.deregister_task_definition/2","type":"function"},{"doc":"","ref":"aws_ecs.html#deregister_task_definition/3","title":"aws_ecs.deregister_task_definition/3","type":"function"},{"doc":"Describes one or more of your capacity providers.","ref":"aws_ecs.html#describe_capacity_providers/2","title":"aws_ecs.describe_capacity_providers/2","type":"function"},{"doc":"","ref":"aws_ecs.html#describe_capacity_providers/3","title":"aws_ecs.describe_capacity_providers/3","type":"function"},{"doc":"Describes one or more of your clusters.","ref":"aws_ecs.html#describe_clusters/2","title":"aws_ecs.describe_clusters/2","type":"function"},{"doc":"","ref":"aws_ecs.html#describe_clusters/3","title":"aws_ecs.describe_clusters/3","type":"function"},{"doc":"Describes one or more container instances. Returns metadata about each container instance requested.","ref":"aws_ecs.html#describe_container_instances/2","title":"aws_ecs.describe_container_instances/2","type":"function"},{"doc":"","ref":"aws_ecs.html#describe_container_instances/3","title":"aws_ecs.describe_container_instances/3","type":"function"},{"doc":"Describes the specified services running in your cluster.","ref":"aws_ecs.html#describe_services/2","title":"aws_ecs.describe_services/2","type":"function"},{"doc":"","ref":"aws_ecs.html#describe_services/3","title":"aws_ecs.describe_services/3","type":"function"},{"doc":"Describes a task definition. You can specify a family and revision to find information about a specific task definition, or you can simply specify the family to find the latest ACTIVE revision in that family. You can only describe INACTIVE task definitions while an active task or service references them.","ref":"aws_ecs.html#describe_task_definition/2","title":"aws_ecs.describe_task_definition/2","type":"function"},{"doc":"","ref":"aws_ecs.html#describe_task_definition/3","title":"aws_ecs.describe_task_definition/3","type":"function"},{"doc":"Describes the task sets in the specified cluster and service. This is used when a service uses the EXTERNAL deployment controller type. For more information, see Amazon ECS Deployment Types in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#describe_task_sets/2","title":"aws_ecs.describe_task_sets/2","type":"function"},{"doc":"","ref":"aws_ecs.html#describe_task_sets/3","title":"aws_ecs.describe_task_sets/3","type":"function"},{"doc":"Describes a specified task or tasks. Currently, stopped tasks appear in the returned results for at least one hour.","ref":"aws_ecs.html#describe_tasks/2","title":"aws_ecs.describe_tasks/2","type":"function"},{"doc":"","ref":"aws_ecs.html#describe_tasks/3","title":"aws_ecs.describe_tasks/3","type":"function"},{"doc":"This action is only used by the Amazon ECS agent, and it is not intended for use outside of the agent. Returns an endpoint for the Amazon ECS agent to poll for updates.","ref":"aws_ecs.html#discover_poll_endpoint/2","title":"aws_ecs.discover_poll_endpoint/2","type":"function"},{"doc":"","ref":"aws_ecs.html#discover_poll_endpoint/3","title":"aws_ecs.discover_poll_endpoint/3","type":"function"},{"doc":"Runs a command remotely on a container within a task. If you use a condition key in your IAM policy to refine the conditions for the policy statement, for example limit the actions to a specific cluster, you receive an AccessDeniedException when there is a mismatch between the condition key value and the corresponding parameter value. For information about required permissions and considerations, see Using Amazon ECS Exec for debugging in the Amazon ECS Developer Guide.","ref":"aws_ecs.html#execute_command/2","title":"aws_ecs.execute_command/2","type":"function"},{"doc":"","ref":"aws_ecs.html#execute_command/3","title":"aws_ecs.execute_command/3","type":"function"},{"doc":"Retrieves the protection status of tasks in an Amazon ECS service.","ref":"aws_ecs.html#get_task_protection/2","title":"aws_ecs.get_task_protection/2","type":"function"},{"doc":"","ref":"aws_ecs.html#get_task_protection/3","title":"aws_ecs.get_task_protection/3","type":"function"},{"doc":"Lists the account settings for a specified principal.","ref":"aws_ecs.html#list_account_settings/2","title":"aws_ecs.list_account_settings/2","type":"function"},{"doc":"","ref":"aws_ecs.html#list_account_settings/3","title":"aws_ecs.list_account_settings/3","type":"function"},{"doc":"Lists the attributes for Amazon ECS resources within a specified target type and cluster. When you specify a target type and cluster, ListAttributes returns a list of attribute objects, one for each attribute on each resource. You can filter the list of results to a single attribute name to only return results that have that name. You can also filter the results by attribute name and value. You can do this, for example, to see which container instances in a cluster are running a Linux AMI ( ecs.os-type=linux ).","ref":"aws_ecs.html#list_attributes/2","title":"aws_ecs.list_attributes/2","type":"function"},{"doc":"","ref":"aws_ecs.html#list_attributes/3","title":"aws_ecs.list_attributes/3","type":"function"},{"doc":"Returns a list of existing clusters.","ref":"aws_ecs.html#list_clusters/2","title":"aws_ecs.list_clusters/2","type":"function"},{"doc":"","ref":"aws_ecs.html#list_clusters/3","title":"aws_ecs.list_clusters/3","type":"function"},{"doc":"Returns a list of container instances in a specified cluster. You can filter the results of a ListContainerInstances operation with cluster query language statements inside the filter parameter. For more information, see Cluster Query Language in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#list_container_instances/2","title":"aws_ecs.list_container_instances/2","type":"function"},{"doc":"","ref":"aws_ecs.html#list_container_instances/3","title":"aws_ecs.list_container_instances/3","type":"function"},{"doc":"Returns a list of services. You can filter the results by cluster, launch type, and scheduling strategy.","ref":"aws_ecs.html#list_services/2","title":"aws_ecs.list_services/2","type":"function"},{"doc":"","ref":"aws_ecs.html#list_services/3","title":"aws_ecs.list_services/3","type":"function"},{"doc":"This operation lists all of the services that are associated with a Cloud Map namespace. This list might include services in different clusters. In contrast, ListServices can only list services in one cluster at a time. If you need to filter the list of services in a single cluster by various parameters, use ListServices . For more information, see Service Connect in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#list_services_by_namespace/2","title":"aws_ecs.list_services_by_namespace/2","type":"function"},{"doc":"","ref":"aws_ecs.html#list_services_by_namespace/3","title":"aws_ecs.list_services_by_namespace/3","type":"function"},{"doc":"List the tags for an Amazon ECS resource.","ref":"aws_ecs.html#list_tags_for_resource/2","title":"aws_ecs.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_ecs.html#list_tags_for_resource/3","title":"aws_ecs.list_tags_for_resource/3","type":"function"},{"doc":"Returns a list of task definition families that are registered to your account. This list includes task definition families that no longer have any ACTIVE task definition revisions. You can filter out task definition families that don't contain any ACTIVE task definition revisions by setting the status parameter to ACTIVE . You can also filter the results with the familyPrefix parameter.","ref":"aws_ecs.html#list_task_definition_families/2","title":"aws_ecs.list_task_definition_families/2","type":"function"},{"doc":"","ref":"aws_ecs.html#list_task_definition_families/3","title":"aws_ecs.list_task_definition_families/3","type":"function"},{"doc":"Returns a list of task definitions that are registered to your account. You can filter the results by family name with the familyPrefix parameter or by status with the status parameter.","ref":"aws_ecs.html#list_task_definitions/2","title":"aws_ecs.list_task_definitions/2","type":"function"},{"doc":"","ref":"aws_ecs.html#list_task_definitions/3","title":"aws_ecs.list_task_definitions/3","type":"function"},{"doc":"Returns a list of tasks. You can filter the results by cluster, task definition family, container instance, launch type, what IAM principal started the task, or by the desired status of the task. Recently stopped tasks might appear in the returned results. Currently, stopped tasks appear in the returned results for at least one hour.","ref":"aws_ecs.html#list_tasks/2","title":"aws_ecs.list_tasks/2","type":"function"},{"doc":"","ref":"aws_ecs.html#list_tasks/3","title":"aws_ecs.list_tasks/3","type":"function"},{"doc":"Modifies an account setting. Account settings are set on a per-Region basis. If you change the account setting for the root user, the default settings for all of the IAM users and roles that no individual account setting was specified are reset for. For more information, see Account Settings in the Amazon Elastic Container Service Developer Guide. When serviceLongArnFormat , taskLongArnFormat , or containerInstanceLongArnFormat are specified, the Amazon Resource Name (ARN) and resource ID format of the resource type for a specified IAM user, IAM role, or the root user for an account is affected. The opt-in and opt-out account setting must be set for each Amazon ECS resource separately. The ARN and resource ID format of a resource is defined by the opt-in status of the IAM user or role that created the resource. You must turn on this setting to use Amazon ECS features such as resource tagging. When awsvpcTrunking is specified, the elastic network interface (ENI) limit for any new container instances that support the feature is changed. If awsvpcTrunking is enabled, any new container instances that support the feature are launched have the increased ENI limits available to them. For more information, see Elastic Network Interface Trunking in the Amazon Elastic Container Service Developer Guide. When containerInsights is specified, the default setting indicating whether CloudWatch Container Insights is enabled for your clusters is changed. If containerInsights is enabled, any new clusters that are created will have Container Insights enabled unless you disable it during cluster creation. For more information, see CloudWatch Container Insights in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#put_account_setting/2","title":"aws_ecs.put_account_setting/2","type":"function"},{"doc":"","ref":"aws_ecs.html#put_account_setting/3","title":"aws_ecs.put_account_setting/3","type":"function"},{"doc":"Modifies an account setting for all IAM users on an account for whom no individual account setting has been specified. Account settings are set on a per-Region basis.","ref":"aws_ecs.html#put_account_setting_default/2","title":"aws_ecs.put_account_setting_default/2","type":"function"},{"doc":"","ref":"aws_ecs.html#put_account_setting_default/3","title":"aws_ecs.put_account_setting_default/3","type":"function"},{"doc":"Create or update an attribute on an Amazon ECS resource. If the attribute doesn't exist, it's created. If the attribute exists, its value is replaced with the specified value. To delete an attribute, use DeleteAttributes . For more information, see Attributes in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#put_attributes/2","title":"aws_ecs.put_attributes/2","type":"function"},{"doc":"","ref":"aws_ecs.html#put_attributes/3","title":"aws_ecs.put_attributes/3","type":"function"},{"doc":"Modifies the available capacity providers and the default capacity provider strategy for a cluster. You must specify both the available capacity providers and a default capacity provider strategy for the cluster. If the specified cluster has existing capacity providers associated with it, you must specify all existing capacity providers in addition to any new ones you want to add. Any existing capacity providers that are associated with a cluster that are omitted from a PutClusterCapacityProviders API call will be disassociated with the cluster. You can only disassociate an existing capacity provider from a cluster if it's not being used by any existing tasks. When creating a service or running a task on a cluster, if no capacity provider or launch type is specified, then the cluster's default capacity provider strategy is used. We recommend that you define a default capacity provider strategy for your cluster. However, you must specify an empty array ( [] ) to bypass defining a default strategy.","ref":"aws_ecs.html#put_cluster_capacity_providers/2","title":"aws_ecs.put_cluster_capacity_providers/2","type":"function"},{"doc":"","ref":"aws_ecs.html#put_cluster_capacity_providers/3","title":"aws_ecs.put_cluster_capacity_providers/3","type":"function"},{"doc":"This action is only used by the Amazon ECS agent, and it is not intended for use outside of the agent. Registers an EC2 instance into the specified cluster. This instance becomes available to place containers on.","ref":"aws_ecs.html#register_container_instance/2","title":"aws_ecs.register_container_instance/2","type":"function"},{"doc":"","ref":"aws_ecs.html#register_container_instance/3","title":"aws_ecs.register_container_instance/3","type":"function"},{"doc":"Registers a new task definition from the supplied family and containerDefinitions . Optionally, you can add data volumes to your containers with the volumes parameter. For more information about task definition parameters and defaults, see Amazon ECS Task Definitions in the Amazon Elastic Container Service Developer Guide. You can specify an IAM role for your task with the taskRoleArn parameter. When you specify an IAM role for a task, its containers can then use the latest versions of the CLI or SDKs to make API requests to the Amazon Web Services services that are specified in the IAM policy that's associated with the role. For more information, see IAM Roles for Tasks in the Amazon Elastic Container Service Developer Guide. You can specify a Docker networking mode for the containers in your task definition with the networkMode parameter. The available network modes correspond to those described in Network settings in the Docker run reference. If you specify the awsvpc network mode, the task is allocated an elastic network interface, and you must specify a NetworkConfiguration when you create a service or run a task with the task definition. For more information, see Task Networking in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#register_task_definition/2","title":"aws_ecs.register_task_definition/2","type":"function"},{"doc":"","ref":"aws_ecs.html#register_task_definition/3","title":"aws_ecs.register_task_definition/3","type":"function"},{"doc":"Starts a new task using the specified task definition. You can allow Amazon ECS to place tasks for you, or you can customize how Amazon ECS places tasks using placement constraints and placement strategies. For more information, see Scheduling Tasks in the Amazon Elastic Container Service Developer Guide. Alternatively, you can use StartTask to use your own scheduler or place tasks manually on specific container instances. The Amazon ECS API follows an eventual consistency model. This is because of the distributed nature of the system supporting the API. This means that the result of an API command you run that affects your Amazon ECS resources might not be immediately visible to all subsequent commands you run. Keep this in mind when you carry out an API command that immediately follows a previous API command. To manage eventual consistency, you can do the following: Confirm the state of the resource before you run a command to modify it. Run the DescribeTasks command using an exponential backoff algorithm to ensure that you allow enough time for the previous command to propagate through the system. To do this, run the DescribeTasks command repeatedly, starting with a couple of seconds of wait time and increasing gradually up to five minutes of wait time. Add wait time between subsequent commands, even if the DescribeTasks command returns an accurate response. Apply an exponential backoff algorithm starting with a couple of seconds of wait time, and increase gradually up to about five minutes of wait time.","ref":"aws_ecs.html#run_task/2","title":"aws_ecs.run_task/2","type":"function"},{"doc":"","ref":"aws_ecs.html#run_task/3","title":"aws_ecs.run_task/3","type":"function"},{"doc":"Starts a new task from the specified task definition on the specified container instance or instances. Alternatively, you can use RunTask to place tasks for you. For more information, see Scheduling Tasks in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#start_task/2","title":"aws_ecs.start_task/2","type":"function"},{"doc":"","ref":"aws_ecs.html#start_task/3","title":"aws_ecs.start_task/3","type":"function"},{"doc":"Stops a running task. Any tags associated with the task will be deleted. When StopTask is called on a task, the equivalent of docker stop is issued to the containers running in the task. This results in a SIGTERM value and a default 30-second timeout, after which the SIGKILL value is sent and the containers are forcibly stopped. If the container handles the SIGTERM value gracefully and exits within 30 seconds from receiving it, no SIGKILL value is sent. The default 30-second timeout can be configured on the Amazon ECS container agent with the ECS_CONTAINER_STOP_TIMEOUT variable. For more information, see Amazon ECS Container Agent Configuration in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#stop_task/2","title":"aws_ecs.stop_task/2","type":"function"},{"doc":"","ref":"aws_ecs.html#stop_task/3","title":"aws_ecs.stop_task/3","type":"function"},{"doc":"This action is only used by the Amazon ECS agent, and it is not intended for use outside of the agent. Sent to acknowledge that an attachment changed states.","ref":"aws_ecs.html#submit_attachment_state_changes/2","title":"aws_ecs.submit_attachment_state_changes/2","type":"function"},{"doc":"","ref":"aws_ecs.html#submit_attachment_state_changes/3","title":"aws_ecs.submit_attachment_state_changes/3","type":"function"},{"doc":"This action is only used by the Amazon ECS agent, and it is not intended for use outside of the agent. Sent to acknowledge that a container changed states.","ref":"aws_ecs.html#submit_container_state_change/2","title":"aws_ecs.submit_container_state_change/2","type":"function"},{"doc":"","ref":"aws_ecs.html#submit_container_state_change/3","title":"aws_ecs.submit_container_state_change/3","type":"function"},{"doc":"This action is only used by the Amazon ECS agent, and it is not intended for use outside of the agent. Sent to acknowledge that a task changed states.","ref":"aws_ecs.html#submit_task_state_change/2","title":"aws_ecs.submit_task_state_change/2","type":"function"},{"doc":"","ref":"aws_ecs.html#submit_task_state_change/3","title":"aws_ecs.submit_task_state_change/3","type":"function"},{"doc":"Associates the specified tags to a resource with the specified resourceArn . If existing tags on a resource aren't specified in the request parameters, they aren't changed. When a resource is deleted, the tags that are associated with that resource are deleted as well.","ref":"aws_ecs.html#tag_resource/2","title":"aws_ecs.tag_resource/2","type":"function"},{"doc":"","ref":"aws_ecs.html#tag_resource/3","title":"aws_ecs.tag_resource/3","type":"function"},{"doc":"Deletes specified tags from a resource.","ref":"aws_ecs.html#untag_resource/2","title":"aws_ecs.untag_resource/2","type":"function"},{"doc":"","ref":"aws_ecs.html#untag_resource/3","title":"aws_ecs.untag_resource/3","type":"function"},{"doc":"Modifies the parameters for a capacity provider.","ref":"aws_ecs.html#update_capacity_provider/2","title":"aws_ecs.update_capacity_provider/2","type":"function"},{"doc":"","ref":"aws_ecs.html#update_capacity_provider/3","title":"aws_ecs.update_capacity_provider/3","type":"function"},{"doc":"Updates the cluster.","ref":"aws_ecs.html#update_cluster/2","title":"aws_ecs.update_cluster/2","type":"function"},{"doc":"","ref":"aws_ecs.html#update_cluster/3","title":"aws_ecs.update_cluster/3","type":"function"},{"doc":"Modifies the settings to use for a cluster.","ref":"aws_ecs.html#update_cluster_settings/2","title":"aws_ecs.update_cluster_settings/2","type":"function"},{"doc":"","ref":"aws_ecs.html#update_cluster_settings/3","title":"aws_ecs.update_cluster_settings/3","type":"function"},{"doc":"Updates the Amazon ECS container agent on a specified container instance. Updating the Amazon ECS container agent doesn't interrupt running tasks or services on the container instance. The process for updating the agent differs depending on whether your container instance was launched with the Amazon ECS-optimized AMI or another operating system. The UpdateContainerAgent API isn't supported for container instances using the Amazon ECS-optimized Amazon Linux 2 (arm64) AMI. To update the container agent, you can update the ecs-init package. This updates the agent. For more information, see Updating the Amazon ECS container agent in the Amazon Elastic Container Service Developer Guide. Agent updates with the UpdateContainerAgent API operation do not apply to Windows container instances. We recommend that you launch new container instances to update the agent version in your Windows clusters. The UpdateContainerAgent API requires an Amazon ECS-optimized AMI or Amazon Linux AMI with the ecs-init service installed and running. For help updating the Amazon ECS container agent on other operating systems, see Manually updating the Amazon ECS container agent in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#update_container_agent/2","title":"aws_ecs.update_container_agent/2","type":"function"},{"doc":"","ref":"aws_ecs.html#update_container_agent/3","title":"aws_ecs.update_container_agent/3","type":"function"},{"doc":"Modifies the status of an Amazon ECS container instance. Once a container instance has reached an ACTIVE state, you can change the status of a container instance to DRAINING to manually remove an instance from a cluster, for example to perform system updates, update the Docker daemon, or scale down the cluster size. A container instance can't be changed to DRAINING until it has reached an ACTIVE status. If the instance is in any other status, an error will be received. When you set a container instance to DRAINING , Amazon ECS prevents new tasks from being scheduled for placement on the container instance and replacement service tasks are started on other container instances in the cluster if the resources are available. Service tasks on the container instance that are in the PENDING state are stopped immediately. Service tasks on the container instance that are in the RUNNING state are stopped and replaced according to the service's deployment configuration parameters, minimumHealthyPercent and maximumPercent . You can change the deployment configuration of your service using UpdateService . If minimumHealthyPercent is below 100%, the scheduler can ignore desiredCount temporarily during task replacement. For example, desiredCount is four tasks, a minimum of 50% allows the scheduler to stop two existing tasks before starting two new tasks. If the minimum is 100%, the service scheduler can't remove existing tasks until the replacement tasks are considered healthy. Tasks for services that do not use a load balancer are considered healthy if they're in the RUNNING state. Tasks for services that use a load balancer are considered healthy if they're in the RUNNING state and are reported as healthy by the load balancer. The maximumPercent parameter represents an upper limit on the number of running tasks during task replacement. You can use this to define the replacement batch size. For example, if desiredCount is four tasks, a maximum of 200% starts four new tasks before stopping the four tasks to be drained, provided that the cluster resources required to do this are available. If the maximum is 100%, then replacement tasks can't start until the draining tasks have stopped. Any PENDING or RUNNING tasks that do not belong to a service aren't affected. You must wait for them to finish or stop them manually. A container instance has completed draining when it has no more RUNNING tasks. You can verify this using ListTasks . When a container instance has been drained, you can set a container instance to ACTIVE status and once it has reached that status the Amazon ECS scheduler can begin scheduling tasks on the instance again.","ref":"aws_ecs.html#update_container_instances_state/2","title":"aws_ecs.update_container_instances_state/2","type":"function"},{"doc":"","ref":"aws_ecs.html#update_container_instances_state/3","title":"aws_ecs.update_container_instances_state/3","type":"function"},{"doc":"Modifies the parameters of a service. For services using the rolling update ( ECS ) you can update the desired count, deployment configuration, network configuration, load balancers, service registries, enable ECS managed tags option, propagate tags option, task placement constraints and strategies, and task definition. When you update any of these parameters, Amazon ECS starts new tasks with the new configuration. For services using the blue/green ( CODE_DEPLOY ) deployment controller, only the desired count, deployment configuration, health check grace period, task placement constraints and strategies, enable ECS managed tags option, and propagate tags can be updated using this API. If the network configuration, platform version, task definition, or load balancer need to be updated, create a new CodeDeploy deployment. For more information, see CreateDeployment in the CodeDeploy API Reference. For services using an external deployment controller, you can update only the desired count, task placement constraints and strategies, health check grace period, enable ECS managed tags option, and propagate tags option, using this API. If the launch type, load balancer, network configuration, platform version, or task definition need to be updated, create a new task set For more information, see CreateTaskSet . You can add to or subtract from the number of instantiations of a task definition in a service by specifying the cluster that the service is running in and a new desiredCount parameter. If you have updated the Docker image of your application, you can create a new task definition with that image and deploy it to your service. The service scheduler uses the minimum healthy percent and maximum percent parameters (in the service's deployment configuration) to determine the deployment strategy. If your updated Docker image uses the same tag as what is in the existing task definition for your service (for example, my_image:latest ), you don't need to create a new revision of your task definition. You can update the service using the forceNewDeployment option. The new tasks launched by the deployment pull the current image/tag combination from your repository when they start. You can also update the deployment configuration of a service. When a deployment is triggered by updating the task definition of a service, the service scheduler uses the deployment configuration parameters, minimumHealthyPercent and maximumPercent , to determine the deployment strategy. If minimumHealthyPercent is below 100%, the scheduler can ignore desiredCount temporarily during a deployment. For example, if desiredCount is four tasks, a minimum of 50% allows the scheduler to stop two existing tasks before starting two new tasks. Tasks for services that don't use a load balancer are considered healthy if they're in the RUNNING state. Tasks for services that use a load balancer are considered healthy if they're in the RUNNING state and are reported as healthy by the load balancer. The maximumPercent parameter represents an upper limit on the number of running tasks during a deployment. You can use it to define the deployment batch size. For example, if desiredCount is four tasks, a maximum of 200% starts four new tasks before stopping the four older tasks (provided that the cluster resources required to do this are available). When UpdateService stops a task during a deployment, the equivalent of docker stop is issued to the containers running in the task. This results in a SIGTERM and a 30-second timeout. After this, SIGKILL is sent and the containers are forcibly stopped. If the container handles the SIGTERM gracefully and exits within 30 seconds from receiving it, no SIGKILL is sent. When the service scheduler launches new tasks, it determines task placement in your cluster with the following logic. Determine which of the container instances in your cluster can support your service's task definition. For example, they have the required CPU, memory, ports, and container instance attributes. By default, the service scheduler attempts to balance tasks across Availability Zones in this manner even though you can choose a different placement strategy. Sort the valid container instances by the fewest number of running tasks for this service in the same Availability Zone as the instance. For example, if zone A has one running service task and zones B and C each have zero, valid container instances in either zone B or C are considered optimal for placement. Place the new service task on a valid container instance in an optimal Availability Zone (based on the previous steps), favoring container instances with the fewest number of running tasks for this service. When the service scheduler stops running tasks, it attempts to maintain balance across the Availability Zones in your cluster using the following logic: Sort the container instances by the largest number of running tasks for this service in the same Availability Zone as the instance. For example, if zone A has one running service task and zones B and C each have two, container instances in either zone B or C are considered optimal for termination. Stop the task on a container instance in an optimal Availability Zone (based on the previous steps), favoring container instances with the largest number of running tasks for this service. You must have a service-linked role when you update any of the following service properties. If you specified a custom IAM role when you created the service, Amazon ECS automatically replaces the roleARN associated with the service with the ARN of your service-linked role. For more information, see Service-linked roles in the Amazon Elastic Container Service Developer Guide. loadBalancers, serviceRegistries","ref":"aws_ecs.html#update_service/2","title":"aws_ecs.update_service/2","type":"function"},{"doc":"","ref":"aws_ecs.html#update_service/3","title":"aws_ecs.update_service/3","type":"function"},{"doc":"Modifies which task set in a service is the primary task set. Any parameters that are updated on the primary task set in a service will transition to the service. This is used when a service uses the EXTERNAL deployment controller type. For more information, see Amazon ECS Deployment Types in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#update_service_primary_task_set/2","title":"aws_ecs.update_service_primary_task_set/2","type":"function"},{"doc":"","ref":"aws_ecs.html#update_service_primary_task_set/3","title":"aws_ecs.update_service_primary_task_set/3","type":"function"},{"doc":"Updates the protection status of a task. You can set protectionEnabled to true to protect your task from termination during scale-in events from Service Autoscaling or deployments. Task-protection, by default, expires after 2 hours at which point Amazon ECS unsets the protectionEnabled property making the task eligible for termination by a subsequent scale-in event. You can specify a custom expiration period for task protection from 1 minute to up to 2,880 minutes (48 hours). To specify the custom expiration period, set the expiresInMinutes property. The expiresInMinutes property is always reset when you invoke this operation for a task that already has protectionEnabled set to true . You can keep extending the protection expiration period of a task by invoking this operation repeatedly. To learn more about Amazon ECS task protection, see Task scale-in protection in the Amazon Elastic Container Service Developer Guide . This operation is only supported for tasks belonging to an Amazon ECS service. Invoking this operation for a standalone task will result in an TASK_NOT_VALID failure. For more information, see API failure reasons. If you prefer to set task protection from within the container, we recommend using the Task scale-in protection endpoint.","ref":"aws_ecs.html#update_task_protection/2","title":"aws_ecs.update_task_protection/2","type":"function"},{"doc":"","ref":"aws_ecs.html#update_task_protection/3","title":"aws_ecs.update_task_protection/3","type":"function"},{"doc":"Modifies a task set. This is used when a service uses the EXTERNAL deployment controller type. For more information, see Amazon ECS Deployment Types in the Amazon Elastic Container Service Developer Guide.","ref":"aws_ecs.html#update_task_set/2","title":"aws_ecs.update_task_set/2","type":"function"},{"doc":"","ref":"aws_ecs.html#update_task_set/3","title":"aws_ecs.update_task_set/3","type":"function"},{"doc":"Amazon Elastic File System Amazon Elastic File System (Amazon EFS) provides simple, scalable file storage for use with Amazon EC2 Linux and Mac instances in the Amazon Web Services Cloud. With Amazon EFS, storage capacity is elastic, growing and shrinking automatically as you add and remove files, so that your applications have the storage they need, when they need it. For more information, see the Amazon Elastic File System API Reference and the Amazon Elastic File System User Guide.","ref":"aws_efs.html","title":"aws_efs","type":"module"},{"doc":"Creates an EFS access point. An access point is an application-specific view into an EFS file system that applies an operating system user and group, and a file system path, to any file system request made through the access point. The operating system user and group override any identity information provided by the NFS client. The file system path is exposed as the access point's root directory. Applications using the access point can only access data in the application's own directory and any subdirectories. To learn more, see Mounting a file system using EFS access points. If multiple requests to create access points on the same file system are sent in quick succession, and the file system is near the limit of 1000 access points, you may experience a throttling response for these requests. This is to ensure that the file system does not exceed the stated access point limit. This operation requires permissions for the elasticfilesystem:CreateAccessPoint action.","ref":"aws_efs.html#create_access_point/2","title":"aws_efs.create_access_point/2","type":"function"},{"doc":"","ref":"aws_efs.html#create_access_point/3","title":"aws_efs.create_access_point/3","type":"function"},{"doc":"Creates a new, empty file system. The operation requires a creation token in the request that Amazon EFS uses to ensure idempotent creation (calling the operation with same creation token has no effect). If a file system does not currently exist that is owned by the caller's Amazon Web Services account with the specified creation token, this operation does the following: Creates a new, empty file system. The file system will have an Amazon EFS assigned ID, and an initial lifecycle state creating . Returns with the description of the created file system. Otherwise, this operation returns a FileSystemAlreadyExists error with the ID of the existing file system. For basic use cases, you can use a randomly generated UUID for the creation token. The idempotent operation allows you to retry a CreateFileSystem call without risk of creating an extra file system. This can happen when an initial call fails in a way that leaves it uncertain whether or not a file system was actually created. An example might be that a transport level timeout occurred or your connection was reset. As long as you use the same creation token, if the initial call had succeeded in creating a file system, the client can learn of its existence from the FileSystemAlreadyExists error. For more information, see Creating a file system in the Amazon EFS User Guide. The CreateFileSystem call returns while the file system's lifecycle state is still creating . You can check the file system creation status by calling the DescribeFileSystems operation, which among other things returns the file system state. This operation accepts an optional PerformanceMode parameter that you choose for your file system. We recommend generalPurpose performance mode for most file systems. File systems using the maxIO performance mode can scale to higher levels of aggregate throughput and operations per second with a tradeoff of slightly higher latencies for most file operations. The performance mode can't be changed after the file system has been created. For more information, see Amazon EFS performance modes. You can set the throughput mode for the file system using the ThroughputMode parameter. After the file system is fully created, Amazon EFS sets its lifecycle state to available , at which point you can create one or more mount targets for the file system in your VPC. For more information, see CreateMountTarget . You mount your Amazon EFS file system on an EC2 instances in your VPC by using the mount target. For more information, see Amazon EFS: How it Works. This operation requires permissions for the elasticfilesystem:CreateFileSystem action.","ref":"aws_efs.html#create_file_system/2","title":"aws_efs.create_file_system/2","type":"function"},{"doc":"","ref":"aws_efs.html#create_file_system/3","title":"aws_efs.create_file_system/3","type":"function"},{"doc":"Creates a mount target for a file system. You can then mount the file system on EC2 instances by using the mount target. You can create one mount target in each Availability Zone in your VPC. All EC2 instances in a VPC within a given Availability Zone share a single mount target for a given file system. If you have multiple subnets in an Availability Zone, you create a mount target in one of the subnets. EC2 instances do not need to be in the same subnet as the mount target in order to access their file system. You can create only one mount target for an EFS file system using One Zone storage classes. You must create that mount target in the same Availability Zone in which the file system is located. Use the AvailabilityZoneName and AvailabiltyZoneId properties in the DescribeFileSystems response object to get this information. Use the subnetId associated with the file system's Availability Zone when creating the mount target. For more information, see Amazon EFS: How it Works. To create a mount target for a file system, the file system's lifecycle state must be available . For more information, see DescribeFileSystems . In the request, provide the following: The file system ID for which you are creating the mount target. A subnet ID, which determines the following: The VPC in which Amazon EFS creates the mount target The Availability Zone in which Amazon EFS creates the mount target The IP address range from which Amazon EFS selects the IP address of the mount target (if you don't specify an IP address in the request) After creating the mount target, Amazon EFS returns a response that includes, a MountTargetId and an IpAddress . You use this IP address when mounting the file system in an EC2 instance. You can also use the mount target's DNS name when mounting the file system. The EC2 instance on which you mount the file system by using the mount target can resolve the mount target's DNS name to its IP address. For more information, see How it Works: Implementation Overview. Note that you can create mount targets for a file system in only one VPC, and there can be only one mount target per Availability Zone. That is, if the file system already has one or more mount targets created for it, the subnet specified in the request to add another mount target must meet the following requirements: Must belong to the same VPC as the subnets of the existing mount targets Must not be in the same Availability Zone as any of the subnets of the existing mount targets If the request satisfies the requirements, Amazon EFS does the following: Creates a new mount target in the specified subnet. Also creates a new network interface in the subnet as follows: If the request provides an IpAddress , Amazon EFS assigns that IP address to the network interface. Otherwise, Amazon EFS assigns a free address in the subnet (in the same way that the Amazon EC2 CreateNetworkInterface call does when a request does not specify a primary private IP address). If the request provides SecurityGroups , this network interface is associated with those security groups. Otherwise, it belongs to the default security group for the subnet's VPC. Assigns the description Mount target fsmt-id for file system fs-id where fsmt-id is the mount target ID, and fs-id is the FileSystemId . Sets the requesterManaged property of the network interface to true , and the requesterId value to EFS . Each Amazon EFS mount target has one corresponding requester-managed EC2 network interface. After the network interface is created, Amazon EFS sets the NetworkInterfaceId field in the mount target's description to the network interface ID, and the IpAddress field to its address. If network interface creation fails, the entire CreateMountTarget operation fails. The CreateMountTarget call returns only after creating the network interface, but while the mount target state is still creating , you can check the mount target creation status by calling the DescribeMountTargets operation, which among other things returns the mount target state. We recommend that you create a mount target in each of the Availability Zones. There are cost considerations for using a file system in an Availability Zone through a mount target created in another Availability Zone. For more information, see Amazon EFS. In addition, by always using a mount target local to the instance's Availability Zone, you eliminate a partial failure scenario. If the Availability Zone in which your mount target is created goes down, then you can't access your file system through that mount target. This operation requires permissions for the following action on the file system: elasticfilesystem:CreateMountTarget This operation also requires permissions for the following Amazon EC2 actions: ec2:DescribeSubnets ec2:DescribeNetworkInterfaces ec2:CreateNetworkInterface","ref":"aws_efs.html#create_mount_target/2","title":"aws_efs.create_mount_target/2","type":"function"},{"doc":"","ref":"aws_efs.html#create_mount_target/3","title":"aws_efs.create_mount_target/3","type":"function"},{"doc":"Creates a replication configuration that replicates an existing EFS file system to a new, read-only file system. For more information, see Amazon EFS replication in the Amazon EFS User Guide. The replication configuration specifies the following: Source file system - An existing EFS file system that you want replicated. The source file system cannot be a destination file system in an existing replication configuration. Destination file system configuration - The configuration of the destination file system to which the source file system will be replicated. There can only be one destination file system in a replication configuration. The destination file system configuration consists of the following properties: Amazon Web Services Region - The Amazon Web Services Region in which the destination file system is created. Amazon EFS replication is available in all Amazon Web Services Regions that Amazon EFS is available in, except Africa (Cape Town), Asia Pacific (Hong Kong), Asia Pacific (Jakarta), Europe (Milan), and Middle East (Bahrain). Availability Zone - If you want the destination file system to use EFS One Zone availability and durability, you must specify the Availability Zone to create the file system in. For more information about EFS storage classes, see Amazon EFS storage classes in the Amazon EFS User Guide. Encryption - All destination file systems are created with encryption at rest enabled. You can specify the Key Management Service (KMS) key that is used to encrypt the destination file system. If you don't specify a KMS key, your service-managed KMS key for Amazon EFS is used. After the file system is created, you cannot change the KMS key. The following properties are set by default: Performance mode - The destination file system's performance mode matches that of the source file system, unless the destination file system uses EFS One Zone storage. In that case, the General Purpose performance mode is used. The performance mode cannot be changed. Throughput mode - The destination file system uses the Bursting Throughput mode by default. After the file system is created, you can modify the throughput mode. The following properties are turned off by default: Lifecycle management - EFS lifecycle management and EFS Intelligent-Tiering are not enabled on the destination file system. After the destination file system is created, you can enable EFS lifecycle management and EFS Intelligent-Tiering. Automatic backups - Automatic daily backups not enabled on the destination file system. After the file system is created, you can change this setting. For more information, see Amazon EFS replication in the Amazon EFS User Guide.","ref":"aws_efs.html#create_replication_configuration/3","title":"aws_efs.create_replication_configuration/3","type":"function"},{"doc":"","ref":"aws_efs.html#create_replication_configuration/4","title":"aws_efs.create_replication_configuration/4","type":"function"},{"doc":"DEPRECATED - CreateTags is deprecated and not maintained. To create tags for EFS resources, use the API action. Creates or overwrites tags associated with a file system. Each tag is a key-value pair. If a tag key specified in the request already exists on the file system, this operation overwrites its value with the value provided in the request. If you add the Name tag to your file system, Amazon EFS returns it in the response to the DescribeFileSystems operation. This operation requires permission for the elasticfilesystem:CreateTags action.","ref":"aws_efs.html#create_tags/3","title":"aws_efs.create_tags/3","type":"function"},{"doc":"","ref":"aws_efs.html#create_tags/4","title":"aws_efs.create_tags/4","type":"function"},{"doc":"Deletes the specified access point. After deletion is complete, new clients can no longer connect to the access points. Clients connected to the access point at the time of deletion will continue to function until they terminate their connection. This operation requires permissions for the elasticfilesystem:DeleteAccessPoint action.","ref":"aws_efs.html#delete_access_point/3","title":"aws_efs.delete_access_point/3","type":"function"},{"doc":"","ref":"aws_efs.html#delete_access_point/4","title":"aws_efs.delete_access_point/4","type":"function"},{"doc":"Deletes a file system, permanently severing access to its contents. Upon return, the file system no longer exists and you can't access any contents of the deleted file system. You need to manually delete mount targets attached to a file system before you can delete an EFS file system. This step is performed for you when you use the Amazon Web Services console to delete a file system. You cannot delete a file system that is part of an EFS Replication configuration. You need to delete the replication configuration first. You can't delete a file system that is in use. That is, if the file system has any mount targets, you must first delete them. For more information, see DescribeMountTargets and DeleteMountTarget . The DeleteFileSystem call returns while the file system state is still deleting . You can check the file system deletion status by calling the DescribeFileSystems operation, which returns a list of file systems in your account. If you pass file system ID or creation token for the deleted file system, the DescribeFileSystems returns a 404 FileSystemNotFound error. This operation requires permissions for the elasticfilesystem:DeleteFileSystem action.","ref":"aws_efs.html#delete_file_system/3","title":"aws_efs.delete_file_system/3","type":"function"},{"doc":"","ref":"aws_efs.html#delete_file_system/4","title":"aws_efs.delete_file_system/4","type":"function"},{"doc":"Deletes the FileSystemPolicy for the specified file system. The default FileSystemPolicy goes into effect once the existing policy is deleted. For more information about the default file system policy, see Using Resource-based Policies with EFS. This operation requires permissions for the elasticfilesystem:DeleteFileSystemPolicy action.","ref":"aws_efs.html#delete_file_system_policy/3","title":"aws_efs.delete_file_system_policy/3","type":"function"},{"doc":"","ref":"aws_efs.html#delete_file_system_policy/4","title":"aws_efs.delete_file_system_policy/4","type":"function"},{"doc":"Deletes the specified mount target. This operation forcibly breaks any mounts of the file system by using the mount target that is being deleted, which might disrupt instances or applications using those mounts. To avoid applications getting cut off abruptly, you might consider unmounting any mounts of the mount target, if feasible. The operation also deletes the associated network interface. Uncommitted writes might be lost, but breaking a mount target using this operation does not corrupt the file system itself. The file system you created remains. You can mount an EC2 instance in your VPC by using another mount target. This operation requires permissions for the following action on the file system: elasticfilesystem:DeleteMountTarget The DeleteMountTarget call returns while the mount target state is still deleting . You can check the mount target deletion by calling the DescribeMountTargets operation, which returns a list of mount target descriptions for the given file system. The operation also requires permissions for the following Amazon EC2 action on the mount target's network interface: ec2:DeleteNetworkInterface","ref":"aws_efs.html#delete_mount_target/3","title":"aws_efs.delete_mount_target/3","type":"function"},{"doc":"","ref":"aws_efs.html#delete_mount_target/4","title":"aws_efs.delete_mount_target/4","type":"function"},{"doc":"Deletes an existing replication configuration. To delete a replication configuration, you must make the request from the Amazon Web Services Region in which the destination file system is located. Deleting a replication configuration ends the replication process. After a replication configuration is deleted, the destination file system is no longer read-only. You can write to the destination file system after its status becomes Writeable .","ref":"aws_efs.html#delete_replication_configuration/3","title":"aws_efs.delete_replication_configuration/3","type":"function"},{"doc":"","ref":"aws_efs.html#delete_replication_configuration/4","title":"aws_efs.delete_replication_configuration/4","type":"function"},{"doc":"DEPRECATED - DeleteTags is deprecated and not maintained. To remove tags from EFS resources, use the API action. Deletes the specified tags from a file system. If the DeleteTags request includes a tag key that doesn't exist, Amazon EFS ignores it and doesn't cause an error. For more information about tags and related restrictions, see Tag restrictions in the Billing and Cost Management User Guide. This operation requires permissions for the elasticfilesystem:DeleteTags action.","ref":"aws_efs.html#delete_tags/3","title":"aws_efs.delete_tags/3","type":"function"},{"doc":"","ref":"aws_efs.html#delete_tags/4","title":"aws_efs.delete_tags/4","type":"function"},{"doc":"Returns the description of a specific Amazon EFS access point if the AccessPointId is provided. If you provide an EFS FileSystemId , it returns descriptions of all access points for that file system. You can provide either an AccessPointId or a FileSystemId in the request, but not both. This operation requires permissions for the elasticfilesystem:DescribeAccessPoints action.","ref":"aws_efs.html#describe_access_points/1","title":"aws_efs.describe_access_points/1","type":"function"},{"doc":"","ref":"aws_efs.html#describe_access_points/3","title":"aws_efs.describe_access_points/3","type":"function"},{"doc":"","ref":"aws_efs.html#describe_access_points/4","title":"aws_efs.describe_access_points/4","type":"function"},{"doc":"Returns the account preferences settings for the Amazon Web Services account associated with the user making the request, in the current Amazon Web Services Region. For more information, see Managing Amazon EFS resource IDs.","ref":"aws_efs.html#describe_account_preferences/1","title":"aws_efs.describe_account_preferences/1","type":"function"},{"doc":"","ref":"aws_efs.html#describe_account_preferences/3","title":"aws_efs.describe_account_preferences/3","type":"function"},{"doc":"","ref":"aws_efs.html#describe_account_preferences/4","title":"aws_efs.describe_account_preferences/4","type":"function"},{"doc":"Returns the backup policy for the specified EFS file system.","ref":"aws_efs.html#describe_backup_policy/2","title":"aws_efs.describe_backup_policy/2","type":"function"},{"doc":"","ref":"aws_efs.html#describe_backup_policy/4","title":"aws_efs.describe_backup_policy/4","type":"function"},{"doc":"","ref":"aws_efs.html#describe_backup_policy/5","title":"aws_efs.describe_backup_policy/5","type":"function"},{"doc":"Returns the FileSystemPolicy for the specified EFS file system. This operation requires permissions for the elasticfilesystem:DescribeFileSystemPolicy action.","ref":"aws_efs.html#describe_file_system_policy/2","title":"aws_efs.describe_file_system_policy/2","type":"function"},{"doc":"","ref":"aws_efs.html#describe_file_system_policy/4","title":"aws_efs.describe_file_system_policy/4","type":"function"},{"doc":"","ref":"aws_efs.html#describe_file_system_policy/5","title":"aws_efs.describe_file_system_policy/5","type":"function"},{"doc":"Returns the description of a specific Amazon EFS file system if either the file system CreationToken or the FileSystemId is provided. Otherwise, it returns descriptions of all file systems owned by the caller's Amazon Web Services account in the Amazon Web Services Region of the endpoint that you're calling. When retrieving all file system descriptions, you can optionally specify the MaxItems parameter to limit the number of descriptions in a response. This number is automatically set to 100. If more file system descriptions remain, Amazon EFS returns a NextMarker , an opaque token, in the response. In this case, you should send a subsequent request with the Marker request parameter set to the value of NextMarker . To retrieve a list of your file system descriptions, this operation is used in an iterative process, where DescribeFileSystems is called first without the Marker and then the operation continues to call it with the Marker parameter set to the value of the NextMarker from the previous response until the response has no NextMarker . The order of file systems returned in the response of one DescribeFileSystems call and the order of file systems returned across the responses of a multi-call iteration is unspecified. This operation requires permissions for the elasticfilesystem:DescribeFileSystems action.","ref":"aws_efs.html#describe_file_systems/1","title":"aws_efs.describe_file_systems/1","type":"function"},{"doc":"","ref":"aws_efs.html#describe_file_systems/3","title":"aws_efs.describe_file_systems/3","type":"function"},{"doc":"","ref":"aws_efs.html#describe_file_systems/4","title":"aws_efs.describe_file_systems/4","type":"function"},{"doc":"Returns the current LifecycleConfiguration object for the specified Amazon EFS file system. EFS lifecycle management uses the LifecycleConfiguration object to identify which files to move to the EFS Infrequent Access (IA) storage class. For a file system without a LifecycleConfiguration object, the call returns an empty array in the response. When EFS Intelligent-Tiering is enabled, TransitionToPrimaryStorageClass has a value of AFTER_1_ACCESS . This operation requires permissions for the elasticfilesystem:DescribeLifecycleConfiguration operation.","ref":"aws_efs.html#describe_lifecycle_configuration/2","title":"aws_efs.describe_lifecycle_configuration/2","type":"function"},{"doc":"","ref":"aws_efs.html#describe_lifecycle_configuration/4","title":"aws_efs.describe_lifecycle_configuration/4","type":"function"},{"doc":"","ref":"aws_efs.html#describe_lifecycle_configuration/5","title":"aws_efs.describe_lifecycle_configuration/5","type":"function"},{"doc":"Returns the security groups currently in effect for a mount target. This operation requires that the network interface of the mount target has been created and the lifecycle state of the mount target is not deleted . This operation requires permissions for the following actions: elasticfilesystem:DescribeMountTargetSecurityGroups action on the mount target's file system. ec2:DescribeNetworkInterfaceAttribute action on the mount target's network interface.","ref":"aws_efs.html#describe_mount_target_security_groups/2","title":"aws_efs.describe_mount_target_security_groups/2","type":"function"},{"doc":"","ref":"aws_efs.html#describe_mount_target_security_groups/4","title":"aws_efs.describe_mount_target_security_groups/4","type":"function"},{"doc":"","ref":"aws_efs.html#describe_mount_target_security_groups/5","title":"aws_efs.describe_mount_target_security_groups/5","type":"function"},{"doc":"Returns the descriptions of all the current mount targets, or a specific mount target, for a file system. When requesting all of the current mount targets, the order of mount targets returned in the response is unspecified. This operation requires permissions for the elasticfilesystem:DescribeMountTargets action, on either the file system ID that you specify in FileSystemId , or on the file system of the mount target that you specify in MountTargetId .","ref":"aws_efs.html#describe_mount_targets/1","title":"aws_efs.describe_mount_targets/1","type":"function"},{"doc":"","ref":"aws_efs.html#describe_mount_targets/3","title":"aws_efs.describe_mount_targets/3","type":"function"},{"doc":"","ref":"aws_efs.html#describe_mount_targets/4","title":"aws_efs.describe_mount_targets/4","type":"function"},{"doc":"Retrieves the replication configuration for a specific file system. If a file system is not specified, all of the replication configurations for the Amazon Web Services account in an Amazon Web Services Region are retrieved.","ref":"aws_efs.html#describe_replication_configurations/1","title":"aws_efs.describe_replication_configurations/1","type":"function"},{"doc":"","ref":"aws_efs.html#describe_replication_configurations/3","title":"aws_efs.describe_replication_configurations/3","type":"function"},{"doc":"","ref":"aws_efs.html#describe_replication_configurations/4","title":"aws_efs.describe_replication_configurations/4","type":"function"},{"doc":"DEPRECATED - The DescribeTags action is deprecated and not maintained. To view tags associated with EFS resources, use the ListTagsForResource API action. Returns the tags associated with a file system. The order of tags returned in the response of one DescribeTags call and the order of tags returned across the responses of a multiple-call iteration (when using pagination) is unspecified. This operation requires permissions for the elasticfilesystem:DescribeTags action.","ref":"aws_efs.html#describe_tags/2","title":"aws_efs.describe_tags/2","type":"function"},{"doc":"","ref":"aws_efs.html#describe_tags/4","title":"aws_efs.describe_tags/4","type":"function"},{"doc":"","ref":"aws_efs.html#describe_tags/5","title":"aws_efs.describe_tags/5","type":"function"},{"doc":"Lists all tags for a top-level EFS resource. You must provide the ID of the resource that you want to retrieve the tags for. This operation requires permissions for the elasticfilesystem:DescribeAccessPoints action.","ref":"aws_efs.html#list_tags_for_resource/2","title":"aws_efs.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_efs.html#list_tags_for_resource/4","title":"aws_efs.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_efs.html#list_tags_for_resource/5","title":"aws_efs.list_tags_for_resource/5","type":"function"},{"doc":"Modifies the set of security groups in effect for a mount target. When you create a mount target, Amazon EFS also creates a new network interface. For more information, see CreateMountTarget . This operation replaces the security groups in effect for the network interface associated with a mount target, with the SecurityGroups provided in the request. This operation requires that the network interface of the mount target has been created and the lifecycle state of the mount target is not deleted . The operation requires permissions for the following actions: elasticfilesystem:ModifyMountTargetSecurityGroups action on the mount target's file system. ec2:ModifyNetworkInterfaceAttribute action on the mount target's network interface.","ref":"aws_efs.html#modify_mount_target_security_groups/3","title":"aws_efs.modify_mount_target_security_groups/3","type":"function"},{"doc":"","ref":"aws_efs.html#modify_mount_target_security_groups/4","title":"aws_efs.modify_mount_target_security_groups/4","type":"function"},{"doc":"Use this operation to set the account preference in the current Amazon Web Services Region to use long 17 character (63 bit) or short 8 character (32 bit) resource IDs for new EFS file system and mount target resources. All existing resource IDs are not affected by any changes you make. You can set the ID preference during the opt-in period as EFS transitions to long resource IDs. For more information, see Managing Amazon EFS resource IDs. Starting in October, 2021, you will receive an error if you try to set the account preference to use the short 8 character format resource ID. Contact Amazon Web Services support if you receive an error and must use short IDs for file system and mount target resources.","ref":"aws_efs.html#put_account_preferences/2","title":"aws_efs.put_account_preferences/2","type":"function"},{"doc":"","ref":"aws_efs.html#put_account_preferences/3","title":"aws_efs.put_account_preferences/3","type":"function"},{"doc":"Updates the file system's backup policy. Use this action to start or stop automatic backups of the file system.","ref":"aws_efs.html#put_backup_policy/3","title":"aws_efs.put_backup_policy/3","type":"function"},{"doc":"","ref":"aws_efs.html#put_backup_policy/4","title":"aws_efs.put_backup_policy/4","type":"function"},{"doc":"Applies an Amazon EFS FileSystemPolicy to an Amazon EFS file system. A file system policy is an IAM resource-based policy and can contain multiple policy statements. A file system always has exactly one file system policy, which can be the default policy or an explicit policy set or updated using this API operation. EFS file system policies have a 20,000 character limit. When an explicit policy is set, it overrides the default policy. For more information about the default file system policy, see Default EFS File System Policy. EFS file system policies have a 20,000 character limit. This operation requires permissions for the elasticfilesystem:PutFileSystemPolicy action.","ref":"aws_efs.html#put_file_system_policy/3","title":"aws_efs.put_file_system_policy/3","type":"function"},{"doc":"","ref":"aws_efs.html#put_file_system_policy/4","title":"aws_efs.put_file_system_policy/4","type":"function"},{"doc":"Use this action to manage EFS lifecycle management and EFS Intelligent-Tiering. A LifecycleConfiguration consists of one or more LifecyclePolicy objects that define the following: EFS Lifecycle management - When Amazon EFS automatically transitions files in a file system into the lower-cost EFS Infrequent Access (IA) storage class. To enable EFS Lifecycle management, set the value of TransitionToIA to one of the available options. EFS Intelligent-Tiering - When Amazon EFS automatically transitions files from IA back into the file system's primary storage class (EFS Standard or EFS One Zone Standard). To enable EFS Intelligent-Tiering, set the value of TransitionToPrimaryStorageClass to AFTER_1_ACCESS . For more information, see EFS Lifecycle Management. Each Amazon EFS file system supports one lifecycle configuration, which applies to all files in the file system. If a LifecycleConfiguration object already exists for the specified file system, a PutLifecycleConfiguration call modifies the existing configuration. A PutLifecycleConfiguration call with an empty LifecyclePolicies array in the request body deletes any existing LifecycleConfiguration and turns off lifecycle management and EFS Intelligent-Tiering for the file system. In the request, specify the following: The ID for the file system for which you are enabling, disabling, or modifying lifecycle management and EFS Intelligent-Tiering. A LifecyclePolicies array of LifecyclePolicy objects that define when files are moved into IA storage, and when they are moved back to Standard storage. Amazon EFS requires that each LifecyclePolicy object have only have a single transition, so the LifecyclePolicies array needs to be structured with separate LifecyclePolicy objects. See the example requests in the following section for more information. This operation requires permissions for the elasticfilesystem:PutLifecycleConfiguration operation. To apply a LifecycleConfiguration object to an encrypted file system, you need the same Key Management Service permissions as when you created the encrypted file system.","ref":"aws_efs.html#put_lifecycle_configuration/3","title":"aws_efs.put_lifecycle_configuration/3","type":"function"},{"doc":"","ref":"aws_efs.html#put_lifecycle_configuration/4","title":"aws_efs.put_lifecycle_configuration/4","type":"function"},{"doc":"Creates a tag for an EFS resource. You can create tags for EFS file systems and access points using this API operation. This operation requires permissions for the elasticfilesystem:TagResource action.","ref":"aws_efs.html#tag_resource/3","title":"aws_efs.tag_resource/3","type":"function"},{"doc":"","ref":"aws_efs.html#tag_resource/4","title":"aws_efs.tag_resource/4","type":"function"},{"doc":"Removes tags from an EFS resource. You can remove tags from EFS file systems and access points using this API operation. This operation requires permissions for the elasticfilesystem:UntagResource action.","ref":"aws_efs.html#untag_resource/3","title":"aws_efs.untag_resource/3","type":"function"},{"doc":"","ref":"aws_efs.html#untag_resource/4","title":"aws_efs.untag_resource/4","type":"function"},{"doc":"Updates the throughput mode or the amount of provisioned throughput of an existing file system.","ref":"aws_efs.html#update_file_system/3","title":"aws_efs.update_file_system/3","type":"function"},{"doc":"","ref":"aws_efs.html#update_file_system/4","title":"aws_efs.update_file_system/4","type":"function"},{"doc":"Amazon Elastic Kubernetes Service (Amazon EKS) is a managed service that makes it easy for you to run Kubernetes on Amazon Web Services without needing to stand up or maintain your own Kubernetes control plane. Kubernetes is an open-source system for automating the deployment, scaling, and management of containerized applications. Amazon EKS runs up-to-date versions of the open-source Kubernetes software, so you can use all the existing plugins and tooling from the Kubernetes community. Applications running on Amazon EKS are fully compatible with applications running on any standard Kubernetes environment, whether running in on-premises data centers or public clouds. This means that you can easily migrate any standard Kubernetes application to Amazon EKS without any code modification required.","ref":"aws_eks.html","title":"aws_eks","type":"module"},{"doc":"Associate encryption configuration to an existing cluster. You can use this API to enable encryption on existing clusters which do not have encryption already enabled. This allows you to implement a defense-in-depth security strategy without migrating applications to new Amazon EKS clusters.","ref":"aws_eks.html#associate_encryption_config/3","title":"aws_eks.associate_encryption_config/3","type":"function"},{"doc":"","ref":"aws_eks.html#associate_encryption_config/4","title":"aws_eks.associate_encryption_config/4","type":"function"},{"doc":"Associate an identity provider configuration to a cluster. If you want to authenticate identities using an identity provider, you can create an identity provider configuration and associate it to your cluster. After configuring authentication to your cluster you can create Kubernetes roles and clusterroles to assign permissions to the roles, and then bind the roles to the identities using Kubernetes rolebindings and clusterrolebindings . For more information see Using RBAC Authorization in the Kubernetes documentation.","ref":"aws_eks.html#associate_identity_provider_config/3","title":"aws_eks.associate_identity_provider_config/3","type":"function"},{"doc":"","ref":"aws_eks.html#associate_identity_provider_config/4","title":"aws_eks.associate_identity_provider_config/4","type":"function"},{"doc":"Creates an Amazon EKS add-on. Amazon EKS add-ons help to automate the provisioning and lifecycle management of common operational software for Amazon EKS clusters. For more information, see Amazon EKS add-ons in the Amazon EKS User Guide.","ref":"aws_eks.html#create_addon/3","title":"aws_eks.create_addon/3","type":"function"},{"doc":"","ref":"aws_eks.html#create_addon/4","title":"aws_eks.create_addon/4","type":"function"},{"doc":"Creates an Amazon EKS control plane. The Amazon EKS control plane consists of control plane instances that run the Kubernetes software, such as etcd and the API server. The control plane runs in an account managed by Amazon Web Services, and the Kubernetes API is exposed by the Amazon EKS API server endpoint. Each Amazon EKS cluster control plane is single tenant and unique. It runs on its own set of Amazon EC2 instances. The cluster control plane is provisioned across multiple Availability Zones and fronted by an Elastic Load Balancing Network Load Balancer. Amazon EKS also provisions elastic network interfaces in your VPC subnets to provide connectivity from the control plane instances to the nodes (for example, to support kubectl exec , logs , and proxy data flows). Amazon EKS nodes run in your Amazon Web Services account and connect to your cluster's control plane over the Kubernetes API server endpoint and a certificate file that is created for your cluster. In most cases, it takes several minutes to create a cluster. After you create an Amazon EKS cluster, you must configure your Kubernetes tooling to communicate with the API server and launch nodes into your cluster. For more information, see Managing Cluster Authentication and Launching Amazon EKS nodes in the Amazon EKS User Guide.","ref":"aws_eks.html#create_cluster/2","title":"aws_eks.create_cluster/2","type":"function"},{"doc":"","ref":"aws_eks.html#create_cluster/3","title":"aws_eks.create_cluster/3","type":"function"},{"doc":"Creates an Fargate profile for your Amazon EKS cluster. You must have at least one Fargate profile in a cluster to be able to run pods on Fargate. The Fargate profile allows an administrator to declare which pods run on Fargate and specify which pods run on which Fargate profile. This declaration is done through the profile’s selectors. Each profile can have up to five selectors that contain a namespace and labels. A namespace is required for every selector. The label field consists of multiple optional key-value pairs. Pods that match the selectors are scheduled on Fargate. If a to-be-scheduled pod matches any of the selectors in the Fargate profile, then that pod is run on Fargate. When you create a Fargate profile, you must specify a pod execution role to use with the pods that are scheduled with the profile. This role is added to the cluster's Kubernetes Role Based Access Control (RBAC) for authorization so that the kubelet that is running on the Fargate infrastructure can register with your Amazon EKS cluster so that it can appear in your cluster as a node. The pod execution role also provides IAM permissions to the Fargate infrastructure to allow read access to Amazon ECR image repositories. For more information, see Pod Execution Role in the Amazon EKS User Guide. Fargate profiles are immutable. However, you can create a new updated profile to replace an existing profile and then delete the original after the updated profile has finished creating. If any Fargate profiles in a cluster are in the DELETING status, you must wait for that Fargate profile to finish deleting before you can create any other profiles in that cluster. For more information, see Fargate Profile in the Amazon EKS User Guide.","ref":"aws_eks.html#create_fargate_profile/3","title":"aws_eks.create_fargate_profile/3","type":"function"},{"doc":"","ref":"aws_eks.html#create_fargate_profile/4","title":"aws_eks.create_fargate_profile/4","type":"function"},{"doc":"Creates a managed node group for an Amazon EKS cluster. You can only create a node group for your cluster that is equal to the current Kubernetes version for the cluster. All node groups are created with the latest AMI release version for the respective minor Kubernetes version of the cluster, unless you deploy a custom AMI using a launch template. For more information about using launch templates, see Launch template support. An Amazon EKS managed node group is an Amazon EC2 Auto Scaling group and associated Amazon EC2 instances that are managed by Amazon Web Services for an Amazon EKS cluster. For more information, see Managed node groups in the Amazon EKS User Guide. Windows AMI types are only supported for commercial Regions that support Windows Amazon EKS.","ref":"aws_eks.html#create_nodegroup/3","title":"aws_eks.create_nodegroup/3","type":"function"},{"doc":"","ref":"aws_eks.html#create_nodegroup/4","title":"aws_eks.create_nodegroup/4","type":"function"},{"doc":"Delete an Amazon EKS add-on. When you remove the add-on, it will also be deleted from the cluster. You can always manually start an add-on on the cluster using the Kubernetes API.","ref":"aws_eks.html#delete_addon/4","title":"aws_eks.delete_addon/4","type":"function"},{"doc":"","ref":"aws_eks.html#delete_addon/5","title":"aws_eks.delete_addon/5","type":"function"},{"doc":"Deletes the Amazon EKS cluster control plane. If you have active services in your cluster that are associated with a load balancer, you must delete those services before deleting the cluster so that the load balancers are deleted properly. Otherwise, you can have orphaned resources in your VPC that prevent you from being able to delete the VPC. For more information, see Deleting a Cluster in the Amazon EKS User Guide. If you have managed node groups or Fargate profiles attached to the cluster, you must delete them first. For more information, see DeleteNodegroup and DeleteFargateProfile .","ref":"aws_eks.html#delete_cluster/3","title":"aws_eks.delete_cluster/3","type":"function"},{"doc":"","ref":"aws_eks.html#delete_cluster/4","title":"aws_eks.delete_cluster/4","type":"function"},{"doc":"Deletes an Fargate profile. When you delete a Fargate profile, any pods running on Fargate that were created with the profile are deleted. If those pods match another Fargate profile, then they are scheduled on Fargate with that profile. If they no longer match any Fargate profiles, then they are not scheduled on Fargate and they may remain in a pending state. Only one Fargate profile in a cluster can be in the DELETING status at a time. You must wait for a Fargate profile to finish deleting before you can delete any other profiles in that cluster.","ref":"aws_eks.html#delete_fargate_profile/4","title":"aws_eks.delete_fargate_profile/4","type":"function"},{"doc":"","ref":"aws_eks.html#delete_fargate_profile/5","title":"aws_eks.delete_fargate_profile/5","type":"function"},{"doc":"Deletes an Amazon EKS node group for a cluster.","ref":"aws_eks.html#delete_nodegroup/4","title":"aws_eks.delete_nodegroup/4","type":"function"},{"doc":"","ref":"aws_eks.html#delete_nodegroup/5","title":"aws_eks.delete_nodegroup/5","type":"function"},{"doc":"Deregisters a connected cluster to remove it from the Amazon EKS control plane.","ref":"aws_eks.html#deregister_cluster/3","title":"aws_eks.deregister_cluster/3","type":"function"},{"doc":"","ref":"aws_eks.html#deregister_cluster/4","title":"aws_eks.deregister_cluster/4","type":"function"},{"doc":"Describes an Amazon EKS add-on.","ref":"aws_eks.html#describe_addon/3","title":"aws_eks.describe_addon/3","type":"function"},{"doc":"","ref":"aws_eks.html#describe_addon/5","title":"aws_eks.describe_addon/5","type":"function"},{"doc":"","ref":"aws_eks.html#describe_addon/6","title":"aws_eks.describe_addon/6","type":"function"},{"doc":"Returns configuration options.","ref":"aws_eks.html#describe_addon_configuration/3","title":"aws_eks.describe_addon_configuration/3","type":"function"},{"doc":"","ref":"aws_eks.html#describe_addon_configuration/5","title":"aws_eks.describe_addon_configuration/5","type":"function"},{"doc":"","ref":"aws_eks.html#describe_addon_configuration/6","title":"aws_eks.describe_addon_configuration/6","type":"function"},{"doc":"Describes the versions for an add-on. Information such as the Kubernetes versions that you can use the add-on with, the owner , publisher , and the type of the add-on are returned.","ref":"aws_eks.html#describe_addon_versions/1","title":"aws_eks.describe_addon_versions/1","type":"function"},{"doc":"","ref":"aws_eks.html#describe_addon_versions/3","title":"aws_eks.describe_addon_versions/3","type":"function"},{"doc":"","ref":"aws_eks.html#describe_addon_versions/4","title":"aws_eks.describe_addon_versions/4","type":"function"},{"doc":"Returns descriptive information about an Amazon EKS cluster. The API server endpoint and certificate authority data returned by this operation are required for kubelet and kubectl to communicate with your Kubernetes API server. For more information, see Create a kubeconfig for Amazon EKS. The API server endpoint and certificate authority data aren't available until the cluster reaches the ACTIVE state.","ref":"aws_eks.html#describe_cluster/2","title":"aws_eks.describe_cluster/2","type":"function"},{"doc":"","ref":"aws_eks.html#describe_cluster/4","title":"aws_eks.describe_cluster/4","type":"function"},{"doc":"","ref":"aws_eks.html#describe_cluster/5","title":"aws_eks.describe_cluster/5","type":"function"},{"doc":"Returns descriptive information about an Fargate profile.","ref":"aws_eks.html#describe_fargate_profile/3","title":"aws_eks.describe_fargate_profile/3","type":"function"},{"doc":"","ref":"aws_eks.html#describe_fargate_profile/5","title":"aws_eks.describe_fargate_profile/5","type":"function"},{"doc":"","ref":"aws_eks.html#describe_fargate_profile/6","title":"aws_eks.describe_fargate_profile/6","type":"function"},{"doc":"Returns descriptive information about an identity provider configuration.","ref":"aws_eks.html#describe_identity_provider_config/3","title":"aws_eks.describe_identity_provider_config/3","type":"function"},{"doc":"","ref":"aws_eks.html#describe_identity_provider_config/4","title":"aws_eks.describe_identity_provider_config/4","type":"function"},{"doc":"Returns descriptive information about an Amazon EKS node group.","ref":"aws_eks.html#describe_nodegroup/3","title":"aws_eks.describe_nodegroup/3","type":"function"},{"doc":"","ref":"aws_eks.html#describe_nodegroup/5","title":"aws_eks.describe_nodegroup/5","type":"function"},{"doc":"","ref":"aws_eks.html#describe_nodegroup/6","title":"aws_eks.describe_nodegroup/6","type":"function"},{"doc":"Returns descriptive information about an update against your Amazon EKS cluster or associated managed node group or Amazon EKS add-on. When the status of the update is Succeeded , the update is complete. If an update fails, the status is Failed , and an error detail explains the reason for the failure.","ref":"aws_eks.html#describe_update/3","title":"aws_eks.describe_update/3","type":"function"},{"doc":"","ref":"aws_eks.html#describe_update/5","title":"aws_eks.describe_update/5","type":"function"},{"doc":"","ref":"aws_eks.html#describe_update/6","title":"aws_eks.describe_update/6","type":"function"},{"doc":"Disassociates an identity provider configuration from a cluster. If you disassociate an identity provider from your cluster, users included in the provider can no longer access the cluster. However, you can still access the cluster with Amazon Web Services IAM users.","ref":"aws_eks.html#disassociate_identity_provider_config/3","title":"aws_eks.disassociate_identity_provider_config/3","type":"function"},{"doc":"","ref":"aws_eks.html#disassociate_identity_provider_config/4","title":"aws_eks.disassociate_identity_provider_config/4","type":"function"},{"doc":"Lists the available add-ons.","ref":"aws_eks.html#list_addons/2","title":"aws_eks.list_addons/2","type":"function"},{"doc":"","ref":"aws_eks.html#list_addons/4","title":"aws_eks.list_addons/4","type":"function"},{"doc":"","ref":"aws_eks.html#list_addons/5","title":"aws_eks.list_addons/5","type":"function"},{"doc":"Lists the Amazon EKS clusters in your Amazon Web Services account in the specified Region.","ref":"aws_eks.html#list_clusters/1","title":"aws_eks.list_clusters/1","type":"function"},{"doc":"","ref":"aws_eks.html#list_clusters/3","title":"aws_eks.list_clusters/3","type":"function"},{"doc":"","ref":"aws_eks.html#list_clusters/4","title":"aws_eks.list_clusters/4","type":"function"},{"doc":"Lists the Fargate profiles associated with the specified cluster in your Amazon Web Services account in the specified Region.","ref":"aws_eks.html#list_fargate_profiles/2","title":"aws_eks.list_fargate_profiles/2","type":"function"},{"doc":"","ref":"aws_eks.html#list_fargate_profiles/4","title":"aws_eks.list_fargate_profiles/4","type":"function"},{"doc":"","ref":"aws_eks.html#list_fargate_profiles/5","title":"aws_eks.list_fargate_profiles/5","type":"function"},{"doc":"A list of identity provider configurations.","ref":"aws_eks.html#list_identity_provider_configs/2","title":"aws_eks.list_identity_provider_configs/2","type":"function"},{"doc":"","ref":"aws_eks.html#list_identity_provider_configs/4","title":"aws_eks.list_identity_provider_configs/4","type":"function"},{"doc":"","ref":"aws_eks.html#list_identity_provider_configs/5","title":"aws_eks.list_identity_provider_configs/5","type":"function"},{"doc":"Lists the Amazon EKS managed node groups associated with the specified cluster in your Amazon Web Services account in the specified Region. Self-managed node groups are not listed.","ref":"aws_eks.html#list_nodegroups/2","title":"aws_eks.list_nodegroups/2","type":"function"},{"doc":"","ref":"aws_eks.html#list_nodegroups/4","title":"aws_eks.list_nodegroups/4","type":"function"},{"doc":"","ref":"aws_eks.html#list_nodegroups/5","title":"aws_eks.list_nodegroups/5","type":"function"},{"doc":"List the tags for an Amazon EKS resource.","ref":"aws_eks.html#list_tags_for_resource/2","title":"aws_eks.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_eks.html#list_tags_for_resource/4","title":"aws_eks.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_eks.html#list_tags_for_resource/5","title":"aws_eks.list_tags_for_resource/5","type":"function"},{"doc":"Lists the updates associated with an Amazon EKS cluster or managed node group in your Amazon Web Services account, in the specified Region.","ref":"aws_eks.html#list_updates/2","title":"aws_eks.list_updates/2","type":"function"},{"doc":"","ref":"aws_eks.html#list_updates/4","title":"aws_eks.list_updates/4","type":"function"},{"doc":"","ref":"aws_eks.html#list_updates/5","title":"aws_eks.list_updates/5","type":"function"},{"doc":"Connects a Kubernetes cluster to the Amazon EKS control plane. Any Kubernetes cluster can be connected to the Amazon EKS control plane to view current information about the cluster and its nodes. Cluster connection requires two steps. First, send a `RegisterClusterRequest ' to add it to the Amazon EKS control plane. Second, a Manifest containing the activationID and activationCode must be applied to the Kubernetes cluster through it's native provider to provide visibility. After the Manifest is updated and applied, then the connected cluster is visible to the Amazon EKS control plane. If the Manifest is not applied within three days, then the connected cluster will no longer be visible and must be deregistered. See DeregisterCluster .","ref":"aws_eks.html#register_cluster/2","title":"aws_eks.register_cluster/2","type":"function"},{"doc":"","ref":"aws_eks.html#register_cluster/3","title":"aws_eks.register_cluster/3","type":"function"},{"doc":"Associates the specified tags to a resource with the specified resourceArn . If existing tags on a resource are not specified in the request parameters, they are not changed. When a resource is deleted, the tags associated with that resource are deleted as well. Tags that you create for Amazon EKS resources do not propagate to any other resources associated with the cluster. For example, if you tag a cluster with this operation, that tag does not automatically propagate to the subnets and nodes associated with the cluster.","ref":"aws_eks.html#tag_resource/3","title":"aws_eks.tag_resource/3","type":"function"},{"doc":"","ref":"aws_eks.html#tag_resource/4","title":"aws_eks.tag_resource/4","type":"function"},{"doc":"Deletes specified tags from a resource.","ref":"aws_eks.html#untag_resource/3","title":"aws_eks.untag_resource/3","type":"function"},{"doc":"","ref":"aws_eks.html#untag_resource/4","title":"aws_eks.untag_resource/4","type":"function"},{"doc":"Updates an Amazon EKS add-on.","ref":"aws_eks.html#update_addon/4","title":"aws_eks.update_addon/4","type":"function"},{"doc":"","ref":"aws_eks.html#update_addon/5","title":"aws_eks.update_addon/5","type":"function"},{"doc":"Updates an Amazon EKS cluster configuration. Your cluster continues to function during the update. The response output includes an update ID that you can use to track the status of your cluster update with the DescribeUpdate API operation. You can use this API operation to enable or disable exporting the Kubernetes control plane logs for your cluster to CloudWatch Logs. By default, cluster control plane logs aren't exported to CloudWatch Logs. For more information, see Amazon EKS Cluster Control Plane Logs in the Amazon EKS User Guide . CloudWatch Logs ingestion, archive storage, and data scanning rates apply to exported control plane logs. For more information, see CloudWatch Pricing. You can also use this API operation to enable or disable public and private access to your cluster's Kubernetes API server endpoint. By default, public access is enabled, and private access is disabled. For more information, see Amazon EKS cluster endpoint access control in the Amazon EKS User Guide . You can't update the subnets or security group IDs for an existing cluster. Cluster updates are asynchronous, and they should finish within a few minutes. During an update, the cluster status moves to UPDATING (this status transition is eventually consistent). When the update is complete (either Failed or Successful ), the cluster status moves to Active .","ref":"aws_eks.html#update_cluster_config/3","title":"aws_eks.update_cluster_config/3","type":"function"},{"doc":"","ref":"aws_eks.html#update_cluster_config/4","title":"aws_eks.update_cluster_config/4","type":"function"},{"doc":"Updates an Amazon EKS cluster to the specified Kubernetes version. Your cluster continues to function during the update. The response output includes an update ID that you can use to track the status of your cluster update with the DescribeUpdate API operation. Cluster updates are asynchronous, and they should finish within a few minutes. During an update, the cluster status moves to UPDATING (this status transition is eventually consistent). When the update is complete (either Failed or Successful ), the cluster status moves to Active . If your cluster has managed node groups attached to it, all of your node groups’ Kubernetes versions must match the cluster’s Kubernetes version in order to update the cluster to a new Kubernetes version.","ref":"aws_eks.html#update_cluster_version/3","title":"aws_eks.update_cluster_version/3","type":"function"},{"doc":"","ref":"aws_eks.html#update_cluster_version/4","title":"aws_eks.update_cluster_version/4","type":"function"},{"doc":"Updates an Amazon EKS managed node group configuration. Your node group continues to function during the update. The response output includes an update ID that you can use to track the status of your node group update with the DescribeUpdate API operation. Currently you can update the Kubernetes labels for a node group or the scaling configuration.","ref":"aws_eks.html#update_nodegroup_config/4","title":"aws_eks.update_nodegroup_config/4","type":"function"},{"doc":"","ref":"aws_eks.html#update_nodegroup_config/5","title":"aws_eks.update_nodegroup_config/5","type":"function"},{"doc":"Updates the Kubernetes version or AMI version of an Amazon EKS managed node group. You can update a node group using a launch template only if the node group was originally deployed with a launch template. If you need to update a custom AMI in a node group that was deployed with a launch template, then update your custom AMI, specify the new ID in a new version of the launch template, and then update the node group to the new version of the launch template. If you update without a launch template, then you can update to the latest available AMI version of a node group's current Kubernetes version by not specifying a Kubernetes version in the request. You can update to the latest AMI version of your cluster's current Kubernetes version by specifying your cluster's Kubernetes version in the request. For information about Linux versions, see Amazon EKS optimized Amazon Linux AMI versions in the Amazon EKS User Guide. For information about Windows versions, see Amazon EKS optimized Windows AMI versions in the Amazon EKS User Guide. You cannot roll back a node group to an earlier Kubernetes version or AMI version. When a node in a managed node group is terminated due to a scaling action or update, the pods in that node are drained first. Amazon EKS attempts to drain the nodes gracefully and will fail if it is unable to do so. You can force the update if Amazon EKS is unable to drain the nodes as a result of a pod disruption budget issue.","ref":"aws_eks.html#update_nodegroup_version/4","title":"aws_eks.update_nodegroup_version/4","type":"function"},{"doc":"","ref":"aws_eks.html#update_nodegroup_version/5","title":"aws_eks.update_nodegroup_version/5","type":"function"},{"doc":"AWS Elastic Beanstalk AWS Elastic Beanstalk makes it easy for you to create, deploy, and manage scalable, fault-tolerant applications running on the Amazon Web Services cloud. For more information about this product, go to the AWS Elastic Beanstalk details page. The location of the latest AWS Elastic Beanstalk WSDL is https://elasticbeanstalk.s3.amazonaws.com/doc/2010-12-01/AWSElasticBeanstalk.wsdl . To install the Software Development Kits (SDKs), Integrated Development Environment (IDE) Toolkits, and command line tools that enable you to access the API, go to Tools for Amazon Web Services. Endpoints For a list of region-specific endpoints that AWS Elastic Beanstalk supports, go to Regions and Endpoints in the Amazon Web Services Glossary.","ref":"aws_elastic_beanstalk.html","title":"aws_elastic_beanstalk","type":"module"},{"doc":"Cancels in-progress environment configuration update or application version deployment.","ref":"aws_elastic_beanstalk.html#abort_environment_update/2","title":"aws_elastic_beanstalk.abort_environment_update/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#abort_environment_update/3","title":"aws_elastic_beanstalk.abort_environment_update/3","type":"function"},{"doc":"Applies a scheduled managed action immediately. A managed action can be applied only if its status is Scheduled . Get the status and action ID of a managed action with DescribeEnvironmentManagedActions .","ref":"aws_elastic_beanstalk.html#apply_environment_managed_action/2","title":"aws_elastic_beanstalk.apply_environment_managed_action/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#apply_environment_managed_action/3","title":"aws_elastic_beanstalk.apply_environment_managed_action/3","type":"function"},{"doc":"Add or change the operations role used by an environment. After this call is made, Elastic Beanstalk uses the associated operations role for permissions to downstream services during subsequent calls acting on this environment. For more information, see Operations roles in the AWS Elastic Beanstalk Developer Guide.","ref":"aws_elastic_beanstalk.html#associate_environment_operations_role/2","title":"aws_elastic_beanstalk.associate_environment_operations_role/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#associate_environment_operations_role/3","title":"aws_elastic_beanstalk.associate_environment_operations_role/3","type":"function"},{"doc":"Checks if the specified CNAME is available.","ref":"aws_elastic_beanstalk.html#check_dns_availability/2","title":"aws_elastic_beanstalk.check_dns_availability/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#check_dns_availability/3","title":"aws_elastic_beanstalk.check_dns_availability/3","type":"function"},{"doc":"Create or update a group of environments that each run a separate component of a single application. Takes a list of version labels that specify application source bundles for each of the environments to create or update. The name of each environment and other required information must be included in the source bundles in an environment manifest named env.yaml . See Compose Environments for details.","ref":"aws_elastic_beanstalk.html#compose_environments/2","title":"aws_elastic_beanstalk.compose_environments/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#compose_environments/3","title":"aws_elastic_beanstalk.compose_environments/3","type":"function"},{"doc":"Creates an application that has one configuration template named default and no application versions.","ref":"aws_elastic_beanstalk.html#create_application/2","title":"aws_elastic_beanstalk.create_application/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#create_application/3","title":"aws_elastic_beanstalk.create_application/3","type":"function"},{"doc":"Creates an application version for the specified application. You can create an application version from a source bundle in Amazon S3, a commit in AWS CodeCommit, or the output of an AWS CodeBuild build as follows: Specify a commit in an AWS CodeCommit repository with SourceBuildInformation . Specify a build in an AWS CodeBuild with SourceBuildInformation and BuildConfiguration . Specify a source bundle in S3 with SourceBundle Omit both SourceBuildInformation and SourceBundle to use the default sample application. After you create an application version with a specified Amazon S3 bucket and key location, you can't change that Amazon S3 location. If you change the Amazon S3 location, you receive an exception when you attempt to launch an environment from the application version.","ref":"aws_elastic_beanstalk.html#create_application_version/2","title":"aws_elastic_beanstalk.create_application_version/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#create_application_version/3","title":"aws_elastic_beanstalk.create_application_version/3","type":"function"},{"doc":"Creates an AWS Elastic Beanstalk configuration template, associated with a specific Elastic Beanstalk application. You define application configuration settings in a configuration template. You can then use the configuration template to deploy different versions of the application with the same configuration settings. Templates aren't associated with any environment. The EnvironmentName response element is always null . Related Topics DescribeConfigurationOptions DescribeConfigurationSettings ListAvailableSolutionStacks","ref":"aws_elastic_beanstalk.html#create_configuration_template/2","title":"aws_elastic_beanstalk.create_configuration_template/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#create_configuration_template/3","title":"aws_elastic_beanstalk.create_configuration_template/3","type":"function"},{"doc":"Launches an AWS Elastic Beanstalk environment for the specified application using the specified configuration.","ref":"aws_elastic_beanstalk.html#create_environment/2","title":"aws_elastic_beanstalk.create_environment/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#create_environment/3","title":"aws_elastic_beanstalk.create_environment/3","type":"function"},{"doc":"Create a new version of your custom platform.","ref":"aws_elastic_beanstalk.html#create_platform_version/2","title":"aws_elastic_beanstalk.create_platform_version/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#create_platform_version/3","title":"aws_elastic_beanstalk.create_platform_version/3","type":"function"},{"doc":"Creates a bucket in Amazon S3 to store application versions, logs, and other files used by Elastic Beanstalk environments. The Elastic Beanstalk console and EB CLI call this API the first time you create an environment in a region. If the storage location already exists, CreateStorageLocation still returns the bucket name but does not create a new bucket.","ref":"aws_elastic_beanstalk.html#create_storage_location/2","title":"aws_elastic_beanstalk.create_storage_location/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#create_storage_location/3","title":"aws_elastic_beanstalk.create_storage_location/3","type":"function"},{"doc":"Deletes the specified application along with all associated versions and configurations. The application versions will not be deleted from your Amazon S3 bucket. You cannot delete an application that has a running environment.","ref":"aws_elastic_beanstalk.html#delete_application/2","title":"aws_elastic_beanstalk.delete_application/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#delete_application/3","title":"aws_elastic_beanstalk.delete_application/3","type":"function"},{"doc":"Deletes the specified version from the specified application. You cannot delete an application version that is associated with a running environment.","ref":"aws_elastic_beanstalk.html#delete_application_version/2","title":"aws_elastic_beanstalk.delete_application_version/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#delete_application_version/3","title":"aws_elastic_beanstalk.delete_application_version/3","type":"function"},{"doc":"Deletes the specified configuration template. When you launch an environment using a configuration template, the environment gets a copy of the template. You can delete or modify the environment's copy of the template without affecting the running environment.","ref":"aws_elastic_beanstalk.html#delete_configuration_template/2","title":"aws_elastic_beanstalk.delete_configuration_template/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#delete_configuration_template/3","title":"aws_elastic_beanstalk.delete_configuration_template/3","type":"function"},{"doc":"Deletes the draft configuration associated with the running environment. Updating a running environment with any configuration changes creates a draft configuration set. You can get the draft configuration using DescribeConfigurationSettings while the update is in progress or if the update fails. The DeploymentStatus for the draft configuration indicates whether the deployment is in process or has failed. The draft configuration remains in existence until it is deleted with this action.","ref":"aws_elastic_beanstalk.html#delete_environment_configuration/2","title":"aws_elastic_beanstalk.delete_environment_configuration/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#delete_environment_configuration/3","title":"aws_elastic_beanstalk.delete_environment_configuration/3","type":"function"},{"doc":"Deletes the specified version of a custom platform.","ref":"aws_elastic_beanstalk.html#delete_platform_version/2","title":"aws_elastic_beanstalk.delete_platform_version/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#delete_platform_version/3","title":"aws_elastic_beanstalk.delete_platform_version/3","type":"function"},{"doc":"Returns attributes related to AWS Elastic Beanstalk that are associated with the calling AWS account. The result currently has one set of attributes—resource quotas.","ref":"aws_elastic_beanstalk.html#describe_account_attributes/2","title":"aws_elastic_beanstalk.describe_account_attributes/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_account_attributes/3","title":"aws_elastic_beanstalk.describe_account_attributes/3","type":"function"},{"doc":"Retrieve a list of application versions.","ref":"aws_elastic_beanstalk.html#describe_application_versions/2","title":"aws_elastic_beanstalk.describe_application_versions/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_application_versions/3","title":"aws_elastic_beanstalk.describe_application_versions/3","type":"function"},{"doc":"Returns the descriptions of existing applications.","ref":"aws_elastic_beanstalk.html#describe_applications/2","title":"aws_elastic_beanstalk.describe_applications/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_applications/3","title":"aws_elastic_beanstalk.describe_applications/3","type":"function"},{"doc":"Describes the configuration options that are used in a particular configuration template or environment, or that a specified solution stack defines. The description includes the values the options, their default values, and an indication of the required action on a running environment if an option value is changed.","ref":"aws_elastic_beanstalk.html#describe_configuration_options/2","title":"aws_elastic_beanstalk.describe_configuration_options/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_configuration_options/3","title":"aws_elastic_beanstalk.describe_configuration_options/3","type":"function"},{"doc":"Returns a description of the settings for the specified configuration set, that is, either a configuration template or the configuration set associated with a running environment. When describing the settings for the configuration set associated with a running environment, it is possible to receive two sets of setting descriptions. One is the deployed configuration set, and the other is a draft configuration of an environment that is either in the process of deployment or that failed to deploy. Related Topics DeleteEnvironmentConfiguration","ref":"aws_elastic_beanstalk.html#describe_configuration_settings/2","title":"aws_elastic_beanstalk.describe_configuration_settings/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_configuration_settings/3","title":"aws_elastic_beanstalk.describe_configuration_settings/3","type":"function"},{"doc":"Returns information about the overall health of the specified environment. The DescribeEnvironmentHealth operation is only available with AWS Elastic Beanstalk Enhanced Health.","ref":"aws_elastic_beanstalk.html#describe_environment_health/2","title":"aws_elastic_beanstalk.describe_environment_health/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_environment_health/3","title":"aws_elastic_beanstalk.describe_environment_health/3","type":"function"},{"doc":"Lists an environment's completed and failed managed actions.","ref":"aws_elastic_beanstalk.html#describe_environment_managed_action_history/2","title":"aws_elastic_beanstalk.describe_environment_managed_action_history/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_environment_managed_action_history/3","title":"aws_elastic_beanstalk.describe_environment_managed_action_history/3","type":"function"},{"doc":"Lists an environment's upcoming and in-progress managed actions.","ref":"aws_elastic_beanstalk.html#describe_environment_managed_actions/2","title":"aws_elastic_beanstalk.describe_environment_managed_actions/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_environment_managed_actions/3","title":"aws_elastic_beanstalk.describe_environment_managed_actions/3","type":"function"},{"doc":"Returns AWS resources for this environment.","ref":"aws_elastic_beanstalk.html#describe_environment_resources/2","title":"aws_elastic_beanstalk.describe_environment_resources/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_environment_resources/3","title":"aws_elastic_beanstalk.describe_environment_resources/3","type":"function"},{"doc":"Returns descriptions for existing environments.","ref":"aws_elastic_beanstalk.html#describe_environments/2","title":"aws_elastic_beanstalk.describe_environments/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_environments/3","title":"aws_elastic_beanstalk.describe_environments/3","type":"function"},{"doc":"Returns list of event descriptions matching criteria up to the last 6 weeks. This action returns the most recent 1,000 events from the specified NextToken .","ref":"aws_elastic_beanstalk.html#describe_events/2","title":"aws_elastic_beanstalk.describe_events/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_events/3","title":"aws_elastic_beanstalk.describe_events/3","type":"function"},{"doc":"Retrieves detailed information about the health of instances in your AWS Elastic Beanstalk. This operation requires enhanced health reporting.","ref":"aws_elastic_beanstalk.html#describe_instances_health/2","title":"aws_elastic_beanstalk.describe_instances_health/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_instances_health/3","title":"aws_elastic_beanstalk.describe_instances_health/3","type":"function"},{"doc":"Describes a platform version. Provides full details. Compare to ListPlatformVersions , which provides summary information about a list of platform versions. For definitions of platform version and other platform-related terms, see AWS Elastic Beanstalk Platforms Glossary.","ref":"aws_elastic_beanstalk.html#describe_platform_version/2","title":"aws_elastic_beanstalk.describe_platform_version/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#describe_platform_version/3","title":"aws_elastic_beanstalk.describe_platform_version/3","type":"function"},{"doc":"Disassociate the operations role from an environment. After this call is made, Elastic Beanstalk uses the caller's permissions for permissions to downstream services during subsequent calls acting on this environment. For more information, see Operations roles in the AWS Elastic Beanstalk Developer Guide.","ref":"aws_elastic_beanstalk.html#disassociate_environment_operations_role/2","title":"aws_elastic_beanstalk.disassociate_environment_operations_role/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#disassociate_environment_operations_role/3","title":"aws_elastic_beanstalk.disassociate_environment_operations_role/3","type":"function"},{"doc":"Returns a list of the available solution stack names, with the public version first and then in reverse chronological order.","ref":"aws_elastic_beanstalk.html#list_available_solution_stacks/2","title":"aws_elastic_beanstalk.list_available_solution_stacks/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#list_available_solution_stacks/3","title":"aws_elastic_beanstalk.list_available_solution_stacks/3","type":"function"},{"doc":"Lists the platform branches available for your account in an AWS Region. Provides summary information about each platform branch. For definitions of platform branch and other platform-related terms, see AWS Elastic Beanstalk Platforms Glossary.","ref":"aws_elastic_beanstalk.html#list_platform_branches/2","title":"aws_elastic_beanstalk.list_platform_branches/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#list_platform_branches/3","title":"aws_elastic_beanstalk.list_platform_branches/3","type":"function"},{"doc":"Lists the platform versions available for your account in an AWS Region. Provides summary information about each platform version. Compare to DescribePlatformVersion , which provides full details about a single platform version. For definitions of platform version and other platform-related terms, see AWS Elastic Beanstalk Platforms Glossary.","ref":"aws_elastic_beanstalk.html#list_platform_versions/2","title":"aws_elastic_beanstalk.list_platform_versions/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#list_platform_versions/3","title":"aws_elastic_beanstalk.list_platform_versions/3","type":"function"},{"doc":"Return the tags applied to an AWS Elastic Beanstalk resource. The response contains a list of tag key-value pairs. Elastic Beanstalk supports tagging of all of its resources. For details about resource tagging, see Tagging Application Resources.","ref":"aws_elastic_beanstalk.html#list_tags_for_resource/2","title":"aws_elastic_beanstalk.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#list_tags_for_resource/3","title":"aws_elastic_beanstalk.list_tags_for_resource/3","type":"function"},{"doc":"Deletes and recreates all of the AWS resources (for example: the Auto Scaling group, load balancer, etc.) for a specified environment and forces a restart.","ref":"aws_elastic_beanstalk.html#rebuild_environment/2","title":"aws_elastic_beanstalk.rebuild_environment/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#rebuild_environment/3","title":"aws_elastic_beanstalk.rebuild_environment/3","type":"function"},{"doc":"Initiates a request to compile the specified type of information of the deployed environment. Setting the InfoType to tail compiles the last lines from the application server log files of every Amazon EC2 instance in your environment. Setting the InfoType to bundle compresses the application server log files for every Amazon EC2 instance into a .zip file. Legacy and .NET containers do not support bundle logs. Use RetrieveEnvironmentInfo to obtain the set of logs. Related Topics RetrieveEnvironmentInfo","ref":"aws_elastic_beanstalk.html#request_environment_info/2","title":"aws_elastic_beanstalk.request_environment_info/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#request_environment_info/3","title":"aws_elastic_beanstalk.request_environment_info/3","type":"function"},{"doc":"Causes the environment to restart the application container server running on each Amazon EC2 instance.","ref":"aws_elastic_beanstalk.html#restart_app_server/2","title":"aws_elastic_beanstalk.restart_app_server/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#restart_app_server/3","title":"aws_elastic_beanstalk.restart_app_server/3","type":"function"},{"doc":"Retrieves the compiled information from a RequestEnvironmentInfo request. Related Topics RequestEnvironmentInfo","ref":"aws_elastic_beanstalk.html#retrieve_environment_info/2","title":"aws_elastic_beanstalk.retrieve_environment_info/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#retrieve_environment_info/3","title":"aws_elastic_beanstalk.retrieve_environment_info/3","type":"function"},{"doc":"Swaps the CNAMEs of two environments.","ref":"aws_elastic_beanstalk.html#swap_environment_cnames/2","title":"aws_elastic_beanstalk.swap_environment_cnames/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#swap_environment_cnames/3","title":"aws_elastic_beanstalk.swap_environment_cnames/3","type":"function"},{"doc":"Terminates the specified environment.","ref":"aws_elastic_beanstalk.html#terminate_environment/2","title":"aws_elastic_beanstalk.terminate_environment/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#terminate_environment/3","title":"aws_elastic_beanstalk.terminate_environment/3","type":"function"},{"doc":"Updates the specified application to have the specified properties. If a property (for example, description ) is not provided, the value remains unchanged. To clear these properties, specify an empty string.","ref":"aws_elastic_beanstalk.html#update_application/2","title":"aws_elastic_beanstalk.update_application/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#update_application/3","title":"aws_elastic_beanstalk.update_application/3","type":"function"},{"doc":"Modifies lifecycle settings for an application.","ref":"aws_elastic_beanstalk.html#update_application_resource_lifecycle/2","title":"aws_elastic_beanstalk.update_application_resource_lifecycle/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#update_application_resource_lifecycle/3","title":"aws_elastic_beanstalk.update_application_resource_lifecycle/3","type":"function"},{"doc":"Updates the specified application version to have the specified properties. If a property (for example, description ) is not provided, the value remains unchanged. To clear properties, specify an empty string.","ref":"aws_elastic_beanstalk.html#update_application_version/2","title":"aws_elastic_beanstalk.update_application_version/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#update_application_version/3","title":"aws_elastic_beanstalk.update_application_version/3","type":"function"},{"doc":"Updates the specified configuration template to have the specified properties or configuration option values. If a property (for example, ApplicationName ) is not provided, its value remains unchanged. To clear such properties, specify an empty string. Related Topics DescribeConfigurationOptions","ref":"aws_elastic_beanstalk.html#update_configuration_template/2","title":"aws_elastic_beanstalk.update_configuration_template/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#update_configuration_template/3","title":"aws_elastic_beanstalk.update_configuration_template/3","type":"function"},{"doc":"Updates the environment description, deploys a new application version, updates the configuration settings to an entirely new configuration template, or updates select configuration option values in the running environment. Attempting to update both the release and configuration is not allowed and AWS Elastic Beanstalk returns an InvalidParameterCombination error. When updating the configuration settings to a new template or individual settings, a draft configuration is created and DescribeConfigurationSettings for this environment returns two setting descriptions with different DeploymentStatus values.","ref":"aws_elastic_beanstalk.html#update_environment/2","title":"aws_elastic_beanstalk.update_environment/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#update_environment/3","title":"aws_elastic_beanstalk.update_environment/3","type":"function"},{"doc":"Update the list of tags applied to an AWS Elastic Beanstalk resource. Two lists can be passed: TagsToAdd for tags to add or update, and TagsToRemove . Elastic Beanstalk supports tagging of all of its resources. For details about resource tagging, see Tagging Application Resources. If you create a custom IAM user policy to control permission to this operation, specify one of the following two virtual actions (or both) instead of the API operation name: elasticbeanstalk:AddTags Controls permission to call UpdateTagsForResource and pass a list of tags to add in the TagsToAdd parameter. elasticbeanstalk:RemoveTags Controls permission to call UpdateTagsForResource and pass a list of tag keys to remove in the TagsToRemove parameter. For details about creating a custom user policy, see Creating a Custom User Policy.","ref":"aws_elastic_beanstalk.html#update_tags_for_resource/2","title":"aws_elastic_beanstalk.update_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#update_tags_for_resource/3","title":"aws_elastic_beanstalk.update_tags_for_resource/3","type":"function"},{"doc":"Takes a set of configuration settings and either a configuration template or environment, and determines whether those values are valid. This action returns a list of messages indicating any errors or warnings associated with the selection of option values.","ref":"aws_elastic_beanstalk.html#validate_configuration_settings/2","title":"aws_elastic_beanstalk.validate_configuration_settings/2","type":"function"},{"doc":"","ref":"aws_elastic_beanstalk.html#validate_configuration_settings/3","title":"aws_elastic_beanstalk.validate_configuration_settings/3","type":"function"},{"doc":"Elastic Inference public APIs.","ref":"aws_elastic_inference.html","title":"aws_elastic_inference","type":"module"},{"doc":"Describes the locations in which a given accelerator type or set of types is present in a given region.","ref":"aws_elastic_inference.html#describe_accelerator_offerings/2","title":"aws_elastic_inference.describe_accelerator_offerings/2","type":"function"},{"doc":"","ref":"aws_elastic_inference.html#describe_accelerator_offerings/3","title":"aws_elastic_inference.describe_accelerator_offerings/3","type":"function"},{"doc":"Describes the accelerator types available in a given region, as well as their characteristics, such as memory and throughput.","ref":"aws_elastic_inference.html#describe_accelerator_types/1","title":"aws_elastic_inference.describe_accelerator_types/1","type":"function"},{"doc":"","ref":"aws_elastic_inference.html#describe_accelerator_types/3","title":"aws_elastic_inference.describe_accelerator_types/3","type":"function"},{"doc":"","ref":"aws_elastic_inference.html#describe_accelerator_types/4","title":"aws_elastic_inference.describe_accelerator_types/4","type":"function"},{"doc":"Describes information over a provided set of accelerators belonging to an account.","ref":"aws_elastic_inference.html#describe_accelerators/2","title":"aws_elastic_inference.describe_accelerators/2","type":"function"},{"doc":"","ref":"aws_elastic_inference.html#describe_accelerators/3","title":"aws_elastic_inference.describe_accelerators/3","type":"function"},{"doc":"Returns all tags of an Elastic Inference Accelerator.","ref":"aws_elastic_inference.html#list_tags_for_resource/2","title":"aws_elastic_inference.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_elastic_inference.html#list_tags_for_resource/4","title":"aws_elastic_inference.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_elastic_inference.html#list_tags_for_resource/5","title":"aws_elastic_inference.list_tags_for_resource/5","type":"function"},{"doc":"Adds the specified tags to an Elastic Inference Accelerator.","ref":"aws_elastic_inference.html#tag_resource/3","title":"aws_elastic_inference.tag_resource/3","type":"function"},{"doc":"","ref":"aws_elastic_inference.html#tag_resource/4","title":"aws_elastic_inference.tag_resource/4","type":"function"},{"doc":"Removes the specified tags from an Elastic Inference Accelerator.","ref":"aws_elastic_inference.html#untag_resource/3","title":"aws_elastic_inference.untag_resource/3","type":"function"},{"doc":"","ref":"aws_elastic_inference.html#untag_resource/4","title":"aws_elastic_inference.untag_resource/4","type":"function"},{"doc":"Elastic Load Balancing A load balancer can distribute incoming traffic across your EC2 instances. This enables you to increase the availability of your application. The load balancer also monitors the health of its registered instances and ensures that it routes traffic only to healthy instances. You configure your load balancer to accept incoming traffic by specifying one or more listeners, which are configured with a protocol and port number for connections from clients to the load balancer and a protocol and port number for connections from the load balancer to the instances. Elastic Load Balancing supports three types of load balancers: Application Load Balancers, Network Load Balancers, and Classic Load Balancers. You can select a load balancer based on your application needs. For more information, see the Elastic Load Balancing User Guide. This reference covers the 2012-06-01 API, which supports Classic Load Balancers. The 2015-12-01 API supports Application Load Balancers and Network Load Balancers. To get started, create a load balancer with one or more listeners using CreateLoadBalancer . Register your instances with the load balancer using RegisterInstancesWithLoadBalancer . All Elastic Load Balancing operations are idempotent, which means that they complete at most one time. If you repeat an operation, it succeeds with a 200 OK response code.","ref":"aws_elastic_load_balancing.html","title":"aws_elastic_load_balancing","type":"module"},{"doc":"Adds the specified tags to the specified load balancer. Each load balancer can have a maximum of 10 tags. Each tag consists of a key and an optional value. If a tag with the same key is already associated with the load balancer, AddTags updates its value. For more information, see Tag Your Classic Load Balancer in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#add_tags/2","title":"aws_elastic_load_balancing.add_tags/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#add_tags/3","title":"aws_elastic_load_balancing.add_tags/3","type":"function"},{"doc":"Associates one or more security groups with your load balancer in a virtual private cloud (VPC). The specified security groups override the previously associated security groups. For more information, see Security Groups for Load Balancers in a VPC in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#apply_security_groups_to_load_balancer/2","title":"aws_elastic_load_balancing.apply_security_groups_to_load_balancer/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#apply_security_groups_to_load_balancer/3","title":"aws_elastic_load_balancing.apply_security_groups_to_load_balancer/3","type":"function"},{"doc":"Adds one or more subnets to the set of configured subnets for the specified load balancer. The load balancer evenly distributes requests across all registered subnets. For more information, see Add or Remove Subnets for Your Load Balancer in a VPC in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#attach_load_balancer_to_subnets/2","title":"aws_elastic_load_balancing.attach_load_balancer_to_subnets/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#attach_load_balancer_to_subnets/3","title":"aws_elastic_load_balancing.attach_load_balancer_to_subnets/3","type":"function"},{"doc":"Specifies the health check settings to use when evaluating the health state of your EC2 instances. For more information, see Configure Health Checks for Your Load Balancer in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#configure_health_check/2","title":"aws_elastic_load_balancing.configure_health_check/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#configure_health_check/3","title":"aws_elastic_load_balancing.configure_health_check/3","type":"function"},{"doc":"Generates a stickiness policy with sticky session lifetimes that follow that of an application-generated cookie. This policy can be associated only with HTTP/HTTPS listeners. This policy is similar to the policy created by CreateLBCookieStickinessPolicy , except that the lifetime of the special Elastic Load Balancing cookie, AWSELB , follows the lifetime of the application-generated cookie specified in the policy configuration. The load balancer only inserts a new stickiness cookie when the application response includes a new application cookie. If the application cookie is explicitly removed or expires, the session stops being sticky until a new application cookie is issued. For more information, see Application-Controlled Session Stickiness in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#create_app_cookie_stickiness_policy/2","title":"aws_elastic_load_balancing.create_app_cookie_stickiness_policy/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#create_app_cookie_stickiness_policy/3","title":"aws_elastic_load_balancing.create_app_cookie_stickiness_policy/3","type":"function"},{"doc":"Generates a stickiness policy with sticky session lifetimes controlled by the lifetime of the browser (user-agent) or a specified expiration period. This policy can be associated only with HTTP/HTTPS listeners. When a load balancer implements this policy, the load balancer uses a special cookie to track the instance for each request. When the load balancer receives a request, it first checks to see if this cookie is present in the request. If so, the load balancer sends the request to the application server specified in the cookie. If not, the load balancer sends the request to a server that is chosen based on the existing load-balancing algorithm. A cookie is inserted into the response for binding subsequent requests from the same user to that server. The validity of the cookie is based on the cookie expiration time, which is specified in the policy configuration. For more information, see Duration-Based Session Stickiness in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#create_lb_cookie_stickiness_policy/2","title":"aws_elastic_load_balancing.create_lb_cookie_stickiness_policy/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#create_lb_cookie_stickiness_policy/3","title":"aws_elastic_load_balancing.create_lb_cookie_stickiness_policy/3","type":"function"},{"doc":"Creates a Classic Load Balancer. You can add listeners, security groups, subnets, and tags when you create your load balancer, or you can add them later using CreateLoadBalancerListeners , ApplySecurityGroupsToLoadBalancer , AttachLoadBalancerToSubnets , and AddTags . To describe your current load balancers, see DescribeLoadBalancers . When you are finished with a load balancer, you can delete it using DeleteLoadBalancer . You can create up to 20 load balancers per region per account. You can request an increase for the number of load balancers for your account. For more information, see Limits for Your Classic Load Balancer in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#create_load_balancer/2","title":"aws_elastic_load_balancing.create_load_balancer/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#create_load_balancer/3","title":"aws_elastic_load_balancing.create_load_balancer/3","type":"function"},{"doc":"Creates one or more listeners for the specified load balancer. If a listener with the specified port does not already exist, it is created; otherwise, the properties of the new listener must match the properties of the existing listener. For more information, see Listeners for Your Classic Load Balancer in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#create_load_balancer_listeners/2","title":"aws_elastic_load_balancing.create_load_balancer_listeners/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#create_load_balancer_listeners/3","title":"aws_elastic_load_balancing.create_load_balancer_listeners/3","type":"function"},{"doc":"Creates a policy with the specified attributes for the specified load balancer. Policies are settings that are saved for your load balancer and that can be applied to the listener or the application server, depending on the policy type.","ref":"aws_elastic_load_balancing.html#create_load_balancer_policy/2","title":"aws_elastic_load_balancing.create_load_balancer_policy/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#create_load_balancer_policy/3","title":"aws_elastic_load_balancing.create_load_balancer_policy/3","type":"function"},{"doc":"Deletes the specified load balancer. If you are attempting to recreate a load balancer, you must reconfigure all settings. The DNS name associated with a deleted load balancer are no longer usable. The name and associated DNS record of the deleted load balancer no longer exist and traffic sent to any of its IP addresses is no longer delivered to your instances. If the load balancer does not exist or has already been deleted, the call to DeleteLoadBalancer still succeeds.","ref":"aws_elastic_load_balancing.html#delete_load_balancer/2","title":"aws_elastic_load_balancing.delete_load_balancer/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#delete_load_balancer/3","title":"aws_elastic_load_balancing.delete_load_balancer/3","type":"function"},{"doc":"Deletes the specified listeners from the specified load balancer.","ref":"aws_elastic_load_balancing.html#delete_load_balancer_listeners/2","title":"aws_elastic_load_balancing.delete_load_balancer_listeners/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#delete_load_balancer_listeners/3","title":"aws_elastic_load_balancing.delete_load_balancer_listeners/3","type":"function"},{"doc":"Deletes the specified policy from the specified load balancer. This policy must not be enabled for any listeners.","ref":"aws_elastic_load_balancing.html#delete_load_balancer_policy/2","title":"aws_elastic_load_balancing.delete_load_balancer_policy/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#delete_load_balancer_policy/3","title":"aws_elastic_load_balancing.delete_load_balancer_policy/3","type":"function"},{"doc":"Deregisters the specified instances from the specified load balancer. After the instance is deregistered, it no longer receives traffic from the load balancer. You can use DescribeLoadBalancers to verify that the instance is deregistered from the load balancer. For more information, see Register or De-Register EC2 Instances in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#deregister_instances_from_load_balancer/2","title":"aws_elastic_load_balancing.deregister_instances_from_load_balancer/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#deregister_instances_from_load_balancer/3","title":"aws_elastic_load_balancing.deregister_instances_from_load_balancer/3","type":"function"},{"doc":"Describes the current Elastic Load Balancing resource limits for your AWS account. For more information, see Limits for Your Classic Load Balancer in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#describe_account_limits/2","title":"aws_elastic_load_balancing.describe_account_limits/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#describe_account_limits/3","title":"aws_elastic_load_balancing.describe_account_limits/3","type":"function"},{"doc":"Describes the state of the specified instances with respect to the specified load balancer. If no instances are specified, the call describes the state of all instances that are currently registered with the load balancer. If instances are specified, their state is returned even if they are no longer registered with the load balancer. The state of terminated instances is not returned.","ref":"aws_elastic_load_balancing.html#describe_instance_health/2","title":"aws_elastic_load_balancing.describe_instance_health/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#describe_instance_health/3","title":"aws_elastic_load_balancing.describe_instance_health/3","type":"function"},{"doc":"Describes the attributes for the specified load balancer.","ref":"aws_elastic_load_balancing.html#describe_load_balancer_attributes/2","title":"aws_elastic_load_balancing.describe_load_balancer_attributes/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#describe_load_balancer_attributes/3","title":"aws_elastic_load_balancing.describe_load_balancer_attributes/3","type":"function"},{"doc":"Describes the specified policies. If you specify a load balancer name, the action returns the descriptions of all policies created for the load balancer. If you specify a policy name associated with your load balancer, the action returns the description of that policy. If you don't specify a load balancer name, the action returns descriptions of the specified sample policies, or descriptions of all sample policies. The names of the sample policies have the ELBSample- prefix.","ref":"aws_elastic_load_balancing.html#describe_load_balancer_policies/2","title":"aws_elastic_load_balancing.describe_load_balancer_policies/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#describe_load_balancer_policies/3","title":"aws_elastic_load_balancing.describe_load_balancer_policies/3","type":"function"},{"doc":"Describes the specified load balancer policy types or all load balancer policy types. The description of each type indicates how it can be used. For example, some policies can be used only with layer 7 listeners, some policies can be used only with layer 4 listeners, and some policies can be used only with your EC2 instances. You can use CreateLoadBalancerPolicy to create a policy configuration for any of these policy types. Then, depending on the policy type, use either SetLoadBalancerPoliciesOfListener or SetLoadBalancerPoliciesForBackendServer to set the policy.","ref":"aws_elastic_load_balancing.html#describe_load_balancer_policy_types/2","title":"aws_elastic_load_balancing.describe_load_balancer_policy_types/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#describe_load_balancer_policy_types/3","title":"aws_elastic_load_balancing.describe_load_balancer_policy_types/3","type":"function"},{"doc":"Describes the specified the load balancers. If no load balancers are specified, the call describes all of your load balancers.","ref":"aws_elastic_load_balancing.html#describe_load_balancers/2","title":"aws_elastic_load_balancing.describe_load_balancers/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#describe_load_balancers/3","title":"aws_elastic_load_balancing.describe_load_balancers/3","type":"function"},{"doc":"Describes the tags associated with the specified load balancers.","ref":"aws_elastic_load_balancing.html#describe_tags/2","title":"aws_elastic_load_balancing.describe_tags/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#describe_tags/3","title":"aws_elastic_load_balancing.describe_tags/3","type":"function"},{"doc":"Removes the specified subnets from the set of configured subnets for the load balancer. After a subnet is removed, all EC2 instances registered with the load balancer in the removed subnet go into the OutOfService state. Then, the load balancer balances the traffic among the remaining routable subnets.","ref":"aws_elastic_load_balancing.html#detach_load_balancer_from_subnets/2","title":"aws_elastic_load_balancing.detach_load_balancer_from_subnets/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#detach_load_balancer_from_subnets/3","title":"aws_elastic_load_balancing.detach_load_balancer_from_subnets/3","type":"function"},{"doc":"Removes the specified Availability Zones from the set of Availability Zones for the specified load balancer in EC2-Classic or a default VPC. For load balancers in a non-default VPC, use DetachLoadBalancerFromSubnets . There must be at least one Availability Zone registered with a load balancer at all times. After an Availability Zone is removed, all instances registered with the load balancer that are in the removed Availability Zone go into the OutOfService state. Then, the load balancer attempts to equally balance the traffic among its remaining Availability Zones. For more information, see Add or Remove Availability Zones in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#disable_availability_zones_for_load_balancer/2","title":"aws_elastic_load_balancing.disable_availability_zones_for_load_balancer/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#disable_availability_zones_for_load_balancer/3","title":"aws_elastic_load_balancing.disable_availability_zones_for_load_balancer/3","type":"function"},{"doc":"Adds the specified Availability Zones to the set of Availability Zones for the specified load balancer in EC2-Classic or a default VPC. For load balancers in a non-default VPC, use AttachLoadBalancerToSubnets . The load balancer evenly distributes requests across all its registered Availability Zones that contain instances. For more information, see Add or Remove Availability Zones in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#enable_availability_zones_for_load_balancer/2","title":"aws_elastic_load_balancing.enable_availability_zones_for_load_balancer/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#enable_availability_zones_for_load_balancer/3","title":"aws_elastic_load_balancing.enable_availability_zones_for_load_balancer/3","type":"function"},{"doc":"Modifies the attributes of the specified load balancer. You can modify the load balancer attributes, such as AccessLogs , ConnectionDraining , and CrossZoneLoadBalancing by either enabling or disabling them. Or, you can modify the load balancer attribute ConnectionSettings by specifying an idle connection timeout value for your load balancer. For more information, see the following in the Classic Load Balancers Guide: Cross-Zone Load Balancing Connection Draining Access Logs Idle Connection Timeout","ref":"aws_elastic_load_balancing.html#modify_load_balancer_attributes/2","title":"aws_elastic_load_balancing.modify_load_balancer_attributes/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#modify_load_balancer_attributes/3","title":"aws_elastic_load_balancing.modify_load_balancer_attributes/3","type":"function"},{"doc":"Adds the specified instances to the specified load balancer. The instance must be a running instance in the same network as the load balancer (EC2-Classic or the same VPC). If you have EC2-Classic instances and a load balancer in a VPC with ClassicLink enabled, you can link the EC2-Classic instances to that VPC and then register the linked EC2-Classic instances with the load balancer in the VPC. Note that RegisterInstanceWithLoadBalancer completes when the request has been registered. Instance registration takes a little time to complete. To check the state of the registered instances, use DescribeLoadBalancers or DescribeInstanceHealth . After the instance is registered, it starts receiving traffic and requests from the load balancer. Any instance that is not in one of the Availability Zones registered for the load balancer is moved to the OutOfService state. If an Availability Zone is added to the load balancer later, any instances registered with the load balancer move to the InService state. To deregister instances from a load balancer, use DeregisterInstancesFromLoadBalancer . For more information, see Register or De-Register EC2 Instances in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#register_instances_with_load_balancer/2","title":"aws_elastic_load_balancing.register_instances_with_load_balancer/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#register_instances_with_load_balancer/3","title":"aws_elastic_load_balancing.register_instances_with_load_balancer/3","type":"function"},{"doc":"Removes one or more tags from the specified load balancer.","ref":"aws_elastic_load_balancing.html#remove_tags/2","title":"aws_elastic_load_balancing.remove_tags/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#remove_tags/3","title":"aws_elastic_load_balancing.remove_tags/3","type":"function"},{"doc":"Sets the certificate that terminates the specified listener's SSL connections. The specified certificate replaces any prior certificate that was used on the same load balancer and port. For more information about updating your SSL certificate, see Replace the SSL Certificate for Your Load Balancer in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#set_load_balancer_listener_ssl_certificate/2","title":"aws_elastic_load_balancing.set_load_balancer_listener_ssl_certificate/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#set_load_balancer_listener_ssl_certificate/3","title":"aws_elastic_load_balancing.set_load_balancer_listener_ssl_certificate/3","type":"function"},{"doc":"Replaces the set of policies associated with the specified port on which the EC2 instance is listening with a new set of policies. At this time, only the back-end server authentication policy type can be applied to the instance ports; this policy type is composed of multiple public key policies. Each time you use SetLoadBalancerPoliciesForBackendServer to enable the policies, use the PolicyNames parameter to list the policies that you want to enable. You can use DescribeLoadBalancers or DescribeLoadBalancerPolicies to verify that the policy is associated with the EC2 instance. For more information about enabling back-end instance authentication, see Configure Back-end Instance Authentication in the Classic Load Balancers Guide. For more information about Proxy Protocol, see Configure Proxy Protocol Support in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#set_load_balancer_policies_for_backend_server/2","title":"aws_elastic_load_balancing.set_load_balancer_policies_for_backend_server/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#set_load_balancer_policies_for_backend_server/3","title":"aws_elastic_load_balancing.set_load_balancer_policies_for_backend_server/3","type":"function"},{"doc":"Replaces the current set of policies for the specified load balancer port with the specified set of policies. To enable back-end server authentication, use SetLoadBalancerPoliciesForBackendServer . For more information about setting policies, see Update the SSL Negotiation Configuration, Duration-Based Session Stickiness, and Application-Controlled Session Stickiness in the Classic Load Balancers Guide.","ref":"aws_elastic_load_balancing.html#set_load_balancer_policies_of_listener/2","title":"aws_elastic_load_balancing.set_load_balancer_policies_of_listener/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing.html#set_load_balancer_policies_of_listener/3","title":"aws_elastic_load_balancing.set_load_balancer_policies_of_listener/3","type":"function"},{"doc":"Elastic Load Balancing A load balancer distributes incoming traffic across targets, such as your EC2 instances. This enables you to increase the availability of your application. The load balancer also monitors the health of its registered targets and ensures that it routes traffic only to healthy targets. You configure your load balancer to accept incoming traffic by specifying one or more listeners, which are configured with a protocol and port number for connections from clients to the load balancer. You configure a target group with a protocol and port number for connections from the load balancer to the targets, and with health check settings to be used when checking the health status of the targets. Elastic Load Balancing supports the following types of load balancers: Application Load Balancers, Network Load Balancers, Gateway Load Balancers, and Classic Load Balancers. This reference covers the following load balancer types: Application Load Balancer - Operates at the application layer (layer 7) and supports HTTP and HTTPS. Network Load Balancer - Operates at the transport layer (layer 4) and supports TCP, TLS, and UDP. Gateway Load Balancer - Operates at the network layer (layer 3). For more information, see the Elastic Load Balancing User Guide. All Elastic Load Balancing operations are idempotent, which means that they complete at most one time. If you repeat an operation, it succeeds.","ref":"aws_elastic_load_balancing_v2.html","title":"aws_elastic_load_balancing_v2","type":"module"},{"doc":"Adds the specified SSL server certificate to the certificate list for the specified HTTPS or TLS listener. If the certificate in already in the certificate list, the call is successful but the certificate is not added again. For more information, see HTTPS listeners in the Application Load Balancers Guide or TLS listeners in the Network Load Balancers Guide.","ref":"aws_elastic_load_balancing_v2.html#add_listener_certificates/2","title":"aws_elastic_load_balancing_v2.add_listener_certificates/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#add_listener_certificates/3","title":"aws_elastic_load_balancing_v2.add_listener_certificates/3","type":"function"},{"doc":"Adds the specified tags to the specified Elastic Load Balancing resource. You can tag your Application Load Balancers, Network Load Balancers, Gateway Load Balancers, target groups, listeners, and rules. Each tag consists of a key and an optional value. If a resource already has a tag with the same key, AddTags updates its value.","ref":"aws_elastic_load_balancing_v2.html#add_tags/2","title":"aws_elastic_load_balancing_v2.add_tags/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#add_tags/3","title":"aws_elastic_load_balancing_v2.add_tags/3","type":"function"},{"doc":"Creates a listener for the specified Application Load Balancer, Network Load Balancer, or Gateway Load Balancer. For more information, see the following: Listeners for your Application Load Balancers Listeners for your Network Load Balancers Listeners for your Gateway Load Balancers This operation is idempotent, which means that it completes at most one time. If you attempt to create multiple listeners with the same settings, each call succeeds.","ref":"aws_elastic_load_balancing_v2.html#create_listener/2","title":"aws_elastic_load_balancing_v2.create_listener/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#create_listener/3","title":"aws_elastic_load_balancing_v2.create_listener/3","type":"function"},{"doc":"Creates an Application Load Balancer, Network Load Balancer, or Gateway Load Balancer. For more information, see the following: Application Load Balancers Network Load Balancers Gateway Load Balancers This operation is idempotent, which means that it completes at most one time. If you attempt to create multiple load balancers with the same settings, each call succeeds.","ref":"aws_elastic_load_balancing_v2.html#create_load_balancer/2","title":"aws_elastic_load_balancing_v2.create_load_balancer/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#create_load_balancer/3","title":"aws_elastic_load_balancing_v2.create_load_balancer/3","type":"function"},{"doc":"Creates a rule for the specified listener. The listener must be associated with an Application Load Balancer. Each rule consists of a priority, one or more actions, and one or more conditions. Rules are evaluated in priority order, from the lowest value to the highest value. When the conditions for a rule are met, its actions are performed. If the conditions for no rules are met, the actions for the default rule are performed. For more information, see Listener rules in the Application Load Balancers Guide.","ref":"aws_elastic_load_balancing_v2.html#create_rule/2","title":"aws_elastic_load_balancing_v2.create_rule/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#create_rule/3","title":"aws_elastic_load_balancing_v2.create_rule/3","type":"function"},{"doc":"Creates a target group. For more information, see the following: Target groups for your Application Load Balancers Target groups for your Network Load Balancers Target groups for your Gateway Load Balancers This operation is idempotent, which means that it completes at most one time. If you attempt to create multiple target groups with the same settings, each call succeeds.","ref":"aws_elastic_load_balancing_v2.html#create_target_group/2","title":"aws_elastic_load_balancing_v2.create_target_group/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#create_target_group/3","title":"aws_elastic_load_balancing_v2.create_target_group/3","type":"function"},{"doc":"Deletes the specified listener. Alternatively, your listener is deleted when you delete the load balancer to which it is attached.","ref":"aws_elastic_load_balancing_v2.html#delete_listener/2","title":"aws_elastic_load_balancing_v2.delete_listener/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#delete_listener/3","title":"aws_elastic_load_balancing_v2.delete_listener/3","type":"function"},{"doc":"Deletes the specified Application Load Balancer, Network Load Balancer, or Gateway Load Balancer. Deleting a load balancer also deletes its listeners. You can't delete a load balancer if deletion protection is enabled. If the load balancer does not exist or has already been deleted, the call succeeds. Deleting a load balancer does not affect its registered targets. For example, your EC2 instances continue to run and are still registered to their target groups. If you no longer need these EC2 instances, you can stop or terminate them.","ref":"aws_elastic_load_balancing_v2.html#delete_load_balancer/2","title":"aws_elastic_load_balancing_v2.delete_load_balancer/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#delete_load_balancer/3","title":"aws_elastic_load_balancing_v2.delete_load_balancer/3","type":"function"},{"doc":"Deletes the specified rule. You can't delete the default rule.","ref":"aws_elastic_load_balancing_v2.html#delete_rule/2","title":"aws_elastic_load_balancing_v2.delete_rule/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#delete_rule/3","title":"aws_elastic_load_balancing_v2.delete_rule/3","type":"function"},{"doc":"Deletes the specified target group. You can delete a target group if it is not referenced by any actions. Deleting a target group also deletes any associated health checks. Deleting a target group does not affect its registered targets. For example, any EC2 instances continue to run until you stop or terminate them.","ref":"aws_elastic_load_balancing_v2.html#delete_target_group/2","title":"aws_elastic_load_balancing_v2.delete_target_group/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#delete_target_group/3","title":"aws_elastic_load_balancing_v2.delete_target_group/3","type":"function"},{"doc":"Deregisters the specified targets from the specified target group. After the targets are deregistered, they no longer receive traffic from the load balancer.","ref":"aws_elastic_load_balancing_v2.html#deregister_targets/2","title":"aws_elastic_load_balancing_v2.deregister_targets/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#deregister_targets/3","title":"aws_elastic_load_balancing_v2.deregister_targets/3","type":"function"},{"doc":"Describes the current Elastic Load Balancing resource limits for your Amazon Web Services account. For more information, see the following: Quotas for your Application Load Balancers Quotas for your Network Load Balancers Quotas for your Gateway Load Balancers","ref":"aws_elastic_load_balancing_v2.html#describe_account_limits/2","title":"aws_elastic_load_balancing_v2.describe_account_limits/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#describe_account_limits/3","title":"aws_elastic_load_balancing_v2.describe_account_limits/3","type":"function"},{"doc":"Describes the default certificate and the certificate list for the specified HTTPS or TLS listener. If the default certificate is also in the certificate list, it appears twice in the results (once with IsDefault set to true and once with IsDefault set to false). For more information, see SSL certificates in the Application Load Balancers Guide or Server certificates in the Network Load Balancers Guide.","ref":"aws_elastic_load_balancing_v2.html#describe_listener_certificates/2","title":"aws_elastic_load_balancing_v2.describe_listener_certificates/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#describe_listener_certificates/3","title":"aws_elastic_load_balancing_v2.describe_listener_certificates/3","type":"function"},{"doc":"Describes the specified listeners or the listeners for the specified Application Load Balancer, Network Load Balancer, or Gateway Load Balancer. You must specify either a load balancer or one or more listeners.","ref":"aws_elastic_load_balancing_v2.html#describe_listeners/2","title":"aws_elastic_load_balancing_v2.describe_listeners/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#describe_listeners/3","title":"aws_elastic_load_balancing_v2.describe_listeners/3","type":"function"},{"doc":"Describes the attributes for the specified Application Load Balancer, Network Load Balancer, or Gateway Load Balancer. For more information, see the following: Load balancer attributes in the Application Load Balancers Guide Load balancer attributes in the Network Load Balancers Guide Load balancer attributes in the Gateway Load Balancers Guide","ref":"aws_elastic_load_balancing_v2.html#describe_load_balancer_attributes/2","title":"aws_elastic_load_balancing_v2.describe_load_balancer_attributes/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#describe_load_balancer_attributes/3","title":"aws_elastic_load_balancing_v2.describe_load_balancer_attributes/3","type":"function"},{"doc":"Describes the specified load balancers or all of your load balancers.","ref":"aws_elastic_load_balancing_v2.html#describe_load_balancers/2","title":"aws_elastic_load_balancing_v2.describe_load_balancers/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#describe_load_balancers/3","title":"aws_elastic_load_balancing_v2.describe_load_balancers/3","type":"function"},{"doc":"Describes the specified rules or the rules for the specified listener. You must specify either a listener or one or more rules.","ref":"aws_elastic_load_balancing_v2.html#describe_rules/2","title":"aws_elastic_load_balancing_v2.describe_rules/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#describe_rules/3","title":"aws_elastic_load_balancing_v2.describe_rules/3","type":"function"},{"doc":"Describes the specified policies or all policies used for SSL negotiation. For more information, see Security policies in the Application Load Balancers Guide or Security policies in the Network Load Balancers Guide.","ref":"aws_elastic_load_balancing_v2.html#describe_ssl_policies/2","title":"aws_elastic_load_balancing_v2.describe_ssl_policies/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#describe_ssl_policies/3","title":"aws_elastic_load_balancing_v2.describe_ssl_policies/3","type":"function"},{"doc":"Describes the tags for the specified Elastic Load Balancing resources. You can describe the tags for one or more Application Load Balancers, Network Load Balancers, Gateway Load Balancers, target groups, listeners, or rules.","ref":"aws_elastic_load_balancing_v2.html#describe_tags/2","title":"aws_elastic_load_balancing_v2.describe_tags/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#describe_tags/3","title":"aws_elastic_load_balancing_v2.describe_tags/3","type":"function"},{"doc":"Describes the attributes for the specified target group. For more information, see the following: Target group attributes in the Application Load Balancers Guide Target group attributes in the Network Load Balancers Guide Target group attributes in the Gateway Load Balancers Guide","ref":"aws_elastic_load_balancing_v2.html#describe_target_group_attributes/2","title":"aws_elastic_load_balancing_v2.describe_target_group_attributes/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#describe_target_group_attributes/3","title":"aws_elastic_load_balancing_v2.describe_target_group_attributes/3","type":"function"},{"doc":"Describes the specified target groups or all of your target groups. By default, all target groups are described. Alternatively, you can specify one of the following to filter the results: the ARN of the load balancer, the names of one or more target groups, or the ARNs of one or more target groups.","ref":"aws_elastic_load_balancing_v2.html#describe_target_groups/2","title":"aws_elastic_load_balancing_v2.describe_target_groups/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#describe_target_groups/3","title":"aws_elastic_load_balancing_v2.describe_target_groups/3","type":"function"},{"doc":"Describes the health of the specified targets or all of your targets.","ref":"aws_elastic_load_balancing_v2.html#describe_target_health/2","title":"aws_elastic_load_balancing_v2.describe_target_health/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#describe_target_health/3","title":"aws_elastic_load_balancing_v2.describe_target_health/3","type":"function"},{"doc":"Replaces the specified properties of the specified listener. Any properties that you do not specify remain unchanged. Changing the protocol from HTTPS to HTTP, or from TLS to TCP, removes the security policy and default certificate properties. If you change the protocol from HTTP to HTTPS, or from TCP to TLS, you must add the security policy and default certificate properties. To add an item to a list, remove an item from a list, or update an item in a list, you must provide the entire list. For example, to add an action, specify a list with the current actions plus the new action.","ref":"aws_elastic_load_balancing_v2.html#modify_listener/2","title":"aws_elastic_load_balancing_v2.modify_listener/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#modify_listener/3","title":"aws_elastic_load_balancing_v2.modify_listener/3","type":"function"},{"doc":"Modifies the specified attributes of the specified Application Load Balancer, Network Load Balancer, or Gateway Load Balancer. If any of the specified attributes can't be modified as requested, the call fails. Any existing attributes that you do not modify retain their current values.","ref":"aws_elastic_load_balancing_v2.html#modify_load_balancer_attributes/2","title":"aws_elastic_load_balancing_v2.modify_load_balancer_attributes/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#modify_load_balancer_attributes/3","title":"aws_elastic_load_balancing_v2.modify_load_balancer_attributes/3","type":"function"},{"doc":"Replaces the specified properties of the specified rule. Any properties that you do not specify are unchanged. To add an item to a list, remove an item from a list, or update an item in a list, you must provide the entire list. For example, to add an action, specify a list with the current actions plus the new action.","ref":"aws_elastic_load_balancing_v2.html#modify_rule/2","title":"aws_elastic_load_balancing_v2.modify_rule/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#modify_rule/3","title":"aws_elastic_load_balancing_v2.modify_rule/3","type":"function"},{"doc":"Modifies the health checks used when evaluating the health state of the targets in the specified target group.","ref":"aws_elastic_load_balancing_v2.html#modify_target_group/2","title":"aws_elastic_load_balancing_v2.modify_target_group/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#modify_target_group/3","title":"aws_elastic_load_balancing_v2.modify_target_group/3","type":"function"},{"doc":"Modifies the specified attributes of the specified target group.","ref":"aws_elastic_load_balancing_v2.html#modify_target_group_attributes/2","title":"aws_elastic_load_balancing_v2.modify_target_group_attributes/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#modify_target_group_attributes/3","title":"aws_elastic_load_balancing_v2.modify_target_group_attributes/3","type":"function"},{"doc":"Registers the specified targets with the specified target group. If the target is an EC2 instance, it must be in the running state when you register it. By default, the load balancer routes requests to registered targets using the protocol and port for the target group. Alternatively, you can override the port for a target when you register it. You can register each EC2 instance or IP address with the same target group multiple times using different ports. With a Network Load Balancer, you cannot register instances by instance ID if they have the following instance types: C1, CC1, CC2, CG1, CG2, CR1, CS1, G1, G2, HI1, HS1, M1, M2, M3, and T1. You can register instances of these types by IP address.","ref":"aws_elastic_load_balancing_v2.html#register_targets/2","title":"aws_elastic_load_balancing_v2.register_targets/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#register_targets/3","title":"aws_elastic_load_balancing_v2.register_targets/3","type":"function"},{"doc":"Removes the specified certificate from the certificate list for the specified HTTPS or TLS listener.","ref":"aws_elastic_load_balancing_v2.html#remove_listener_certificates/2","title":"aws_elastic_load_balancing_v2.remove_listener_certificates/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#remove_listener_certificates/3","title":"aws_elastic_load_balancing_v2.remove_listener_certificates/3","type":"function"},{"doc":"Removes the specified tags from the specified Elastic Load Balancing resources. You can remove the tags for one or more Application Load Balancers, Network Load Balancers, Gateway Load Balancers, target groups, listeners, or rules.","ref":"aws_elastic_load_balancing_v2.html#remove_tags/2","title":"aws_elastic_load_balancing_v2.remove_tags/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#remove_tags/3","title":"aws_elastic_load_balancing_v2.remove_tags/3","type":"function"},{"doc":"Sets the type of IP addresses used by the subnets of the specified load balancer.","ref":"aws_elastic_load_balancing_v2.html#set_ip_address_type/2","title":"aws_elastic_load_balancing_v2.set_ip_address_type/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#set_ip_address_type/3","title":"aws_elastic_load_balancing_v2.set_ip_address_type/3","type":"function"},{"doc":"Sets the priorities of the specified rules. You can reorder the rules as long as there are no priority conflicts in the new order. Any existing rules that you do not specify retain their current priority.","ref":"aws_elastic_load_balancing_v2.html#set_rule_priorities/2","title":"aws_elastic_load_balancing_v2.set_rule_priorities/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#set_rule_priorities/3","title":"aws_elastic_load_balancing_v2.set_rule_priorities/3","type":"function"},{"doc":"Associates the specified security groups with the specified Application Load Balancer. The specified security groups override the previously associated security groups. You can't specify a security group for a Network Load Balancer or Gateway Load Balancer.","ref":"aws_elastic_load_balancing_v2.html#set_security_groups/2","title":"aws_elastic_load_balancing_v2.set_security_groups/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#set_security_groups/3","title":"aws_elastic_load_balancing_v2.set_security_groups/3","type":"function"},{"doc":"Enables the Availability Zones for the specified public subnets for the specified Application Load Balancer or Network Load Balancer. The specified subnets replace the previously enabled subnets. When you specify subnets for a Network Load Balancer, you must include all subnets that were enabled previously, with their existing configurations, plus any additional subnets.","ref":"aws_elastic_load_balancing_v2.html#set_subnets/2","title":"aws_elastic_load_balancing_v2.set_subnets/2","type":"function"},{"doc":"","ref":"aws_elastic_load_balancing_v2.html#set_subnets/3","title":"aws_elastic_load_balancing_v2.set_subnets/3","type":"function"},{"doc":"AWS Elastic Transcoder Service The AWS Elastic Transcoder Service.","ref":"aws_elastic_transcoder.html","title":"aws_elastic_transcoder","type":"module"},{"doc":"The CancelJob operation cancels an unfinished job. You can only cancel a job that has a status of Submitted . To prevent a pipeline from starting to process a job while you're getting the job identifier, use UpdatePipelineStatus to temporarily pause the pipeline.","ref":"aws_elastic_transcoder.html#cancel_job/3","title":"aws_elastic_transcoder.cancel_job/3","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#cancel_job/4","title":"aws_elastic_transcoder.cancel_job/4","type":"function"},{"doc":"When you create a job, Elastic Transcoder returns JSON data that includes the values that you specified plus information about the job that is created. If you have specified more than one output for your jobs (for example, one output for the Kindle Fire and another output for the Apple iPhone 4s), you currently must use the Elastic Transcoder API to list the jobs (as opposed to the AWS Console).","ref":"aws_elastic_transcoder.html#create_job/2","title":"aws_elastic_transcoder.create_job/2","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#create_job/3","title":"aws_elastic_transcoder.create_job/3","type":"function"},{"doc":"The CreatePipeline operation creates a pipeline with settings that you specify.","ref":"aws_elastic_transcoder.html#create_pipeline/2","title":"aws_elastic_transcoder.create_pipeline/2","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#create_pipeline/3","title":"aws_elastic_transcoder.create_pipeline/3","type":"function"},{"doc":"The CreatePreset operation creates a preset with settings that you specify. Elastic Transcoder checks the CreatePreset settings to ensure that they meet Elastic Transcoder requirements and to determine whether they comply with H.264 standards. If your settings are not valid for Elastic Transcoder, Elastic Transcoder returns an HTTP 400 response ( ValidationException ) and does not create the preset. If the settings are valid for Elastic Transcoder but aren't strictly compliant with the H.264 standard, Elastic Transcoder creates the preset and returns a warning message in the response. This helps you determine whether your settings comply with the H.264 standard while giving you greater flexibility with respect to the video that Elastic Transcoder produces. Elastic Transcoder uses the H.264 video-compression format. For more information, see the International Telecommunication Union publication Recommendation ITU-T H.264: Advanced video coding for generic audiovisual services.","ref":"aws_elastic_transcoder.html#create_preset/2","title":"aws_elastic_transcoder.create_preset/2","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#create_preset/3","title":"aws_elastic_transcoder.create_preset/3","type":"function"},{"doc":"The DeletePipeline operation removes a pipeline. You can only delete a pipeline that has never been used or that is not currently in use (doesn't contain any active jobs). If the pipeline is currently in use, DeletePipeline returns an error.","ref":"aws_elastic_transcoder.html#delete_pipeline/3","title":"aws_elastic_transcoder.delete_pipeline/3","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#delete_pipeline/4","title":"aws_elastic_transcoder.delete_pipeline/4","type":"function"},{"doc":"The DeletePreset operation removes a preset that you've added in an AWS region. You can't delete the default presets that are included with Elastic Transcoder.","ref":"aws_elastic_transcoder.html#delete_preset/3","title":"aws_elastic_transcoder.delete_preset/3","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#delete_preset/4","title":"aws_elastic_transcoder.delete_preset/4","type":"function"},{"doc":"The ListJobsByPipeline operation gets a list of the jobs currently in a pipeline. Elastic Transcoder returns all of the jobs currently in the specified pipeline. The response body contains one element for each job that satisfies the search criteria.","ref":"aws_elastic_transcoder.html#list_jobs_by_pipeline/2","title":"aws_elastic_transcoder.list_jobs_by_pipeline/2","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#list_jobs_by_pipeline/4","title":"aws_elastic_transcoder.list_jobs_by_pipeline/4","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#list_jobs_by_pipeline/5","title":"aws_elastic_transcoder.list_jobs_by_pipeline/5","type":"function"},{"doc":"The ListJobsByStatus operation gets a list of jobs that have a specified status. The response body contains one element for each job that satisfies the search criteria.","ref":"aws_elastic_transcoder.html#list_jobs_by_status/2","title":"aws_elastic_transcoder.list_jobs_by_status/2","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#list_jobs_by_status/4","title":"aws_elastic_transcoder.list_jobs_by_status/4","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#list_jobs_by_status/5","title":"aws_elastic_transcoder.list_jobs_by_status/5","type":"function"},{"doc":"The ListPipelines operation gets a list of the pipelines associated with the current AWS account.","ref":"aws_elastic_transcoder.html#list_pipelines/1","title":"aws_elastic_transcoder.list_pipelines/1","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#list_pipelines/3","title":"aws_elastic_transcoder.list_pipelines/3","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#list_pipelines/4","title":"aws_elastic_transcoder.list_pipelines/4","type":"function"},{"doc":"The ListPresets operation gets a list of the default presets included with Elastic Transcoder and the presets that you've added in an AWS region.","ref":"aws_elastic_transcoder.html#list_presets/1","title":"aws_elastic_transcoder.list_presets/1","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#list_presets/3","title":"aws_elastic_transcoder.list_presets/3","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#list_presets/4","title":"aws_elastic_transcoder.list_presets/4","type":"function"},{"doc":"The ReadJob operation returns detailed information about a job.","ref":"aws_elastic_transcoder.html#read_job/2","title":"aws_elastic_transcoder.read_job/2","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#read_job/4","title":"aws_elastic_transcoder.read_job/4","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#read_job/5","title":"aws_elastic_transcoder.read_job/5","type":"function"},{"doc":"The ReadPipeline operation gets detailed information about a pipeline.","ref":"aws_elastic_transcoder.html#read_pipeline/2","title":"aws_elastic_transcoder.read_pipeline/2","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#read_pipeline/4","title":"aws_elastic_transcoder.read_pipeline/4","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#read_pipeline/5","title":"aws_elastic_transcoder.read_pipeline/5","type":"function"},{"doc":"The ReadPreset operation gets detailed information about a preset.","ref":"aws_elastic_transcoder.html#read_preset/2","title":"aws_elastic_transcoder.read_preset/2","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#read_preset/4","title":"aws_elastic_transcoder.read_preset/4","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#read_preset/5","title":"aws_elastic_transcoder.read_preset/5","type":"function"},{"doc":"The TestRole operation tests the IAM role used to create the pipeline. The TestRole action lets you determine whether the IAM role you are using has sufficient permissions to let Elastic Transcoder perform tasks associated with the transcoding process. The action attempts to assume the specified IAM role, checks read access to the input and output buckets, and tries to send a test notification to Amazon SNS topics that you specify.","ref":"aws_elastic_transcoder.html#test_role/2","title":"aws_elastic_transcoder.test_role/2","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#test_role/3","title":"aws_elastic_transcoder.test_role/3","type":"function"},{"doc":"Use the UpdatePipeline operation to update settings for a pipeline. When you change pipeline settings, your changes take effect immediately. Jobs that you have already submitted and that Elastic Transcoder has not started to process are affected in addition to jobs that you submit after you change settings.","ref":"aws_elastic_transcoder.html#update_pipeline/3","title":"aws_elastic_transcoder.update_pipeline/3","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#update_pipeline/4","title":"aws_elastic_transcoder.update_pipeline/4","type":"function"},{"doc":"With the UpdatePipelineNotifications operation, you can update Amazon Simple Notification Service (Amazon SNS) notifications for a pipeline. When you update notifications for a pipeline, Elastic Transcoder returns the values that you specified in the request.","ref":"aws_elastic_transcoder.html#update_pipeline_notifications/3","title":"aws_elastic_transcoder.update_pipeline_notifications/3","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#update_pipeline_notifications/4","title":"aws_elastic_transcoder.update_pipeline_notifications/4","type":"function"},{"doc":"The UpdatePipelineStatus operation pauses or reactivates a pipeline, so that the pipeline stops or restarts the processing of jobs. Changing the pipeline status is useful if you want to cancel one or more jobs. You can't cancel jobs after Elastic Transcoder has started processing them; if you pause the pipeline to which you submitted the jobs, you have more time to get the job IDs for the jobs that you want to cancel, and to send a CancelJob request.","ref":"aws_elastic_transcoder.html#update_pipeline_status/3","title":"aws_elastic_transcoder.update_pipeline_status/3","type":"function"},{"doc":"","ref":"aws_elastic_transcoder.html#update_pipeline_status/4","title":"aws_elastic_transcoder.update_pipeline_status/4","type":"function"},{"doc":"Amazon ElastiCache Amazon ElastiCache is a web service that makes it easier to set up, operate, and scale a distributed cache in the cloud. With ElastiCache, customers get all of the benefits of a high-performance, in-memory cache with less of the administrative burden involved in launching and managing a distributed cache. The service makes setup, scaling, and cluster failure handling much simpler than in a self-managed cache deployment. In addition, through integration with Amazon CloudWatch, customers get enhanced visibility into the key performance statistics associated with their cache and can receive alarms if a part of their cache runs hot.","ref":"aws_elasticache.html","title":"aws_elasticache","type":"module"},{"doc":"A tag is a key-value pair where the key and value are case-sensitive. You can use tags to categorize and track all your ElastiCache resources, with the exception of global replication group. When you add or remove tags on replication groups, those actions will be replicated to all nodes in the replication group. For more information, see Resource-level permissions. For example, you can use cost-allocation tags to your ElastiCache resources, Amazon generates a cost allocation report as a comma-separated value (CSV) file with your usage and costs aggregated by your tags. You can apply tags that represent business categories (such as cost centers, application names, or owners) to organize your costs across multiple services. For more information, see Using Cost Allocation Tags in Amazon ElastiCache in the ElastiCache User Guide.","ref":"aws_elasticache.html#add_tags_to_resource/2","title":"aws_elasticache.add_tags_to_resource/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#add_tags_to_resource/3","title":"aws_elasticache.add_tags_to_resource/3","type":"function"},{"doc":"Allows network ingress to a cache security group. Applications using ElastiCache must be running on Amazon EC2, and Amazon EC2 security groups are used as the authorization mechanism. You cannot authorize ingress from an Amazon EC2 security group in one region to an ElastiCache cluster in another region.","ref":"aws_elasticache.html#authorize_cache_security_group_ingress/2","title":"aws_elasticache.authorize_cache_security_group_ingress/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#authorize_cache_security_group_ingress/3","title":"aws_elasticache.authorize_cache_security_group_ingress/3","type":"function"},{"doc":"Apply the service update. For more information on service updates and applying them, see Applying Service Updates.","ref":"aws_elasticache.html#batch_apply_update_action/2","title":"aws_elasticache.batch_apply_update_action/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#batch_apply_update_action/3","title":"aws_elasticache.batch_apply_update_action/3","type":"function"},{"doc":"Stop the service update. For more information on service updates and stopping them, see Stopping Service Updates.","ref":"aws_elasticache.html#batch_stop_update_action/2","title":"aws_elasticache.batch_stop_update_action/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#batch_stop_update_action/3","title":"aws_elasticache.batch_stop_update_action/3","type":"function"},{"doc":"Complete the migration of data.","ref":"aws_elasticache.html#complete_migration/2","title":"aws_elasticache.complete_migration/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#complete_migration/3","title":"aws_elasticache.complete_migration/3","type":"function"},{"doc":"Makes a copy of an existing snapshot. This operation is valid for Redis only. Users or groups that have permissions to use the CopySnapshot operation can create their own Amazon S3 buckets and copy snapshots to it. To control access to your snapshots, use an IAM policy to control who has the ability to use the CopySnapshot operation. For more information about using IAM to control the use of ElastiCache operations, see Exporting Snapshots and Authentication &amp; Access Control. You could receive the following error messages. Error Messages Error Message: The S3 bucket %s is outside of the region. Solution: Create an Amazon S3 bucket in the same region as your snapshot. For more information, see Step 1: Create an Amazon S3 Bucket in the ElastiCache User Guide. Error Message: The S3 bucket %s does not exist. Solution: Create an Amazon S3 bucket in the same region as your snapshot. For more information, see Step 1: Create an Amazon S3 Bucket in the ElastiCache User Guide. Error Message: The S3 bucket %s is not owned by the authenticated user. Solution: Create an Amazon S3 bucket in the same region as your snapshot. For more information, see Step 1: Create an Amazon S3 Bucket in the ElastiCache User Guide. Error Message: The authenticated user does not have sufficient permissions to perform the desired activity. Solution: Contact your system administrator to get the needed permissions. Error Message: The S3 bucket %s already contains an object with key %s. Solution: Give the TargetSnapshotName a new and unique value. If exporting a snapshot, you could alternatively create a new Amazon S3 bucket and use this same value for TargetSnapshotName . Error Message: ElastiCache has not been granted READ permissions %s on the S3 Bucket. Solution: Add List and Read permissions on the bucket. For more information, see Step 2: Grant ElastiCache Access to Your Amazon S3 Bucket in the ElastiCache User Guide. Error Message: ElastiCache has not been granted WRITE permissions %s on the S3 Bucket. Solution: Add Upload/Delete permissions on the bucket. For more information, see Step 2: Grant ElastiCache Access to Your Amazon S3 Bucket in the ElastiCache User Guide. Error Message: ElastiCache has not been granted READ_ACP permissions %s on the S3 Bucket. Solution: Add View Permissions on the bucket. For more information, see Step 2: Grant ElastiCache Access to Your Amazon S3 Bucket in the ElastiCache User Guide.","ref":"aws_elasticache.html#copy_snapshot/2","title":"aws_elasticache.copy_snapshot/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#copy_snapshot/3","title":"aws_elasticache.copy_snapshot/3","type":"function"},{"doc":"Creates a cluster. All nodes in the cluster run the same protocol-compliant cache engine software, either Memcached or Redis. This operation is not supported for Redis (cluster mode enabled) clusters.","ref":"aws_elasticache.html#create_cache_cluster/2","title":"aws_elasticache.create_cache_cluster/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#create_cache_cluster/3","title":"aws_elasticache.create_cache_cluster/3","type":"function"},{"doc":"Creates a new Amazon ElastiCache cache parameter group. An ElastiCache cache parameter group is a collection of parameters and their values that are applied to all of the nodes in any cluster or replication group using the CacheParameterGroup. A newly created CacheParameterGroup is an exact duplicate of the default parameter group for the CacheParameterGroupFamily. To customize the newly created CacheParameterGroup you can change the values of specific parameters. For more information, see: ModifyCacheParameterGroup in the ElastiCache API Reference. Parameters and Parameter Groups in the ElastiCache User Guide.","ref":"aws_elasticache.html#create_cache_parameter_group/2","title":"aws_elasticache.create_cache_parameter_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#create_cache_parameter_group/3","title":"aws_elasticache.create_cache_parameter_group/3","type":"function"},{"doc":"Creates a new cache security group. Use a cache security group to control access to one or more clusters. Cache security groups are only used when you are creating a cluster outside of an Amazon Virtual Private Cloud (Amazon VPC). If you are creating a cluster inside of a VPC, use a cache subnet group instead. For more information, see CreateCacheSubnetGroup.","ref":"aws_elasticache.html#create_cache_security_group/2","title":"aws_elasticache.create_cache_security_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#create_cache_security_group/3","title":"aws_elasticache.create_cache_security_group/3","type":"function"},{"doc":"Creates a new cache subnet group. Use this parameter only when you are creating a cluster in an Amazon Virtual Private Cloud (Amazon VPC).","ref":"aws_elasticache.html#create_cache_subnet_group/2","title":"aws_elasticache.create_cache_subnet_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#create_cache_subnet_group/3","title":"aws_elasticache.create_cache_subnet_group/3","type":"function"},{"doc":"Global Datastore for Redis offers fully managed, fast, reliable and secure cross-region replication. Using Global Datastore for Redis, you can create cross-region read replica clusters for ElastiCache for Redis to enable low-latency reads and disaster recovery across regions. For more information, see Replication Across Regions Using Global Datastore. The GlobalReplicationGroupIdSuffix is the name of the Global datastore. The PrimaryReplicationGroupId represents the name of the primary cluster that accepts writes and will replicate updates to the secondary cluster.","ref":"aws_elasticache.html#create_global_replication_group/2","title":"aws_elasticache.create_global_replication_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#create_global_replication_group/3","title":"aws_elasticache.create_global_replication_group/3","type":"function"},{"doc":"Creates a Redis (cluster mode disabled) or a Redis (cluster mode enabled) replication group. This API can be used to create a standalone regional replication group or a secondary replication group associated with a Global datastore. A Redis (cluster mode disabled) replication group is a collection of clusters, where one of the clusters is a read/write primary and the others are read-only replicas. Writes to the primary are asynchronously propagated to the replicas. A Redis cluster-mode enabled cluster is comprised of from 1 to 90 shards (API/CLI: node groups). Each shard has a primary node and up to 5 read-only replica nodes. The configuration can range from 90 shards and 0 replicas to 15 shards and 5 replicas, which is the maximum number or replicas allowed. The node or shard limit can be increased to a maximum of 500 per cluster if the Redis engine version is 5.0.6 or higher. For example, you can choose to configure a 500 node cluster that ranges between 83 shards (one primary and 5 replicas per shard) and 500 shards (single primary and no replicas). Make sure there are enough available IP addresses to accommodate the increase. Common pitfalls include the subnets in the subnet group have too small a CIDR range or the subnets are shared and heavily used by other clusters. For more information, see Creating a Subnet Group. For versions below 5.0.6, the limit is 250 per cluster. To request a limit increase, see Amazon Service Limits and choose the limit type Nodes per cluster per instance type. When a Redis (cluster mode disabled) replication group has been successfully created, you can add one or more read replicas to it, up to a total of 5 read replicas. If you need to increase or decrease the number of node groups (console: shards), you can avail yourself of ElastiCache for Redis' scaling. For more information, see Scaling ElastiCache for Redis Clusters in the ElastiCache User Guide. This operation is valid for Redis only.","ref":"aws_elasticache.html#create_replication_group/2","title":"aws_elasticache.create_replication_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#create_replication_group/3","title":"aws_elasticache.create_replication_group/3","type":"function"},{"doc":"Creates a copy of an entire cluster or replication group at a specific moment in time. This operation is valid for Redis only.","ref":"aws_elasticache.html#create_snapshot/2","title":"aws_elasticache.create_snapshot/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#create_snapshot/3","title":"aws_elasticache.create_snapshot/3","type":"function"},{"doc":"For Redis engine version 6.0 onwards: Creates a Redis user. For more information, see Using Role Based Access Control (RBAC).","ref":"aws_elasticache.html#create_user/2","title":"aws_elasticache.create_user/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#create_user/3","title":"aws_elasticache.create_user/3","type":"function"},{"doc":"For Redis engine version 6.0 onwards: Creates a Redis user group. For more information, see Using Role Based Access Control (RBAC)","ref":"aws_elasticache.html#create_user_group/2","title":"aws_elasticache.create_user_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#create_user_group/3","title":"aws_elasticache.create_user_group/3","type":"function"},{"doc":"Decreases the number of node groups in a Global datastore","ref":"aws_elasticache.html#decrease_node_groups_in_global_replication_group/2","title":"aws_elasticache.decrease_node_groups_in_global_replication_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#decrease_node_groups_in_global_replication_group/3","title":"aws_elasticache.decrease_node_groups_in_global_replication_group/3","type":"function"},{"doc":"Dynamically decreases the number of replicas in a Redis (cluster mode disabled) replication group or the number of replica nodes in one or more node groups (shards) of a Redis (cluster mode enabled) replication group. This operation is performed with no cluster down time.","ref":"aws_elasticache.html#decrease_replica_count/2","title":"aws_elasticache.decrease_replica_count/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#decrease_replica_count/3","title":"aws_elasticache.decrease_replica_count/3","type":"function"},{"doc":"Deletes a previously provisioned cluster. DeleteCacheCluster deletes all associated cache nodes, node endpoints and the cluster itself. When you receive a successful response from this operation, Amazon ElastiCache immediately begins deleting the cluster; you cannot cancel or revert this operation. This operation is not valid for: Redis (cluster mode enabled) clusters Redis (cluster mode disabled) clusters A cluster that is the last read replica of a replication group A cluster that is the primary node of a replication group A node group (shard) that has Multi-AZ mode enabled A cluster from a Redis (cluster mode enabled) replication group A cluster that is not in the available state","ref":"aws_elasticache.html#delete_cache_cluster/2","title":"aws_elasticache.delete_cache_cluster/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#delete_cache_cluster/3","title":"aws_elasticache.delete_cache_cluster/3","type":"function"},{"doc":"Deletes the specified cache parameter group. You cannot delete a cache parameter group if it is associated with any cache clusters. You cannot delete the default cache parameter groups in your account.","ref":"aws_elasticache.html#delete_cache_parameter_group/2","title":"aws_elasticache.delete_cache_parameter_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#delete_cache_parameter_group/3","title":"aws_elasticache.delete_cache_parameter_group/3","type":"function"},{"doc":"Deletes a cache security group. You cannot delete a cache security group if it is associated with any clusters.","ref":"aws_elasticache.html#delete_cache_security_group/2","title":"aws_elasticache.delete_cache_security_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#delete_cache_security_group/3","title":"aws_elasticache.delete_cache_security_group/3","type":"function"},{"doc":"Deletes a cache subnet group. You cannot delete a default cache subnet group or one that is associated with any clusters.","ref":"aws_elasticache.html#delete_cache_subnet_group/2","title":"aws_elasticache.delete_cache_subnet_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#delete_cache_subnet_group/3","title":"aws_elasticache.delete_cache_subnet_group/3","type":"function"},{"doc":"Deleting a Global datastore is a two-step process: First, you must DisassociateGlobalReplicationGroup to remove the secondary clusters in the Global datastore. Once the Global datastore contains only the primary cluster, you can use the DeleteGlobalReplicationGroup API to delete the Global datastore while retainining the primary cluster using RetainPrimaryReplicationGroup=true . Since the Global Datastore has only a primary cluster, you can delete the Global Datastore while retaining the primary by setting RetainPrimaryReplicationGroup=true . The primary cluster is never deleted when deleting a Global Datastore. It can only be deleted when it no longer is associated with any Global Datastore. When you receive a successful response from this operation, Amazon ElastiCache immediately begins deleting the selected resources; you cannot cancel or revert this operation.","ref":"aws_elasticache.html#delete_global_replication_group/2","title":"aws_elasticache.delete_global_replication_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#delete_global_replication_group/3","title":"aws_elasticache.delete_global_replication_group/3","type":"function"},{"doc":"Deletes an existing replication group. By default, this operation deletes the entire replication group, including the primary/primaries and all of the read replicas. If the replication group has only one primary, you can optionally delete only the read replicas, while retaining the primary by setting RetainPrimaryCluster=true . When you receive a successful response from this operation, Amazon ElastiCache immediately begins deleting the selected resources; you cannot cancel or revert this operation. This operation is valid for Redis only.","ref":"aws_elasticache.html#delete_replication_group/2","title":"aws_elasticache.delete_replication_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#delete_replication_group/3","title":"aws_elasticache.delete_replication_group/3","type":"function"},{"doc":"Deletes an existing snapshot. When you receive a successful response from this operation, ElastiCache immediately begins deleting the snapshot; you cannot cancel or revert this operation. This operation is valid for Redis only.","ref":"aws_elasticache.html#delete_snapshot/2","title":"aws_elasticache.delete_snapshot/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#delete_snapshot/3","title":"aws_elasticache.delete_snapshot/3","type":"function"},{"doc":"For Redis engine version 6.0 onwards: Deletes a user. The user will be removed from all user groups and in turn removed from all replication groups. For more information, see Using Role Based Access Control (RBAC).","ref":"aws_elasticache.html#delete_user/2","title":"aws_elasticache.delete_user/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#delete_user/3","title":"aws_elasticache.delete_user/3","type":"function"},{"doc":"For Redis engine version 6.0 onwards: Deletes a user group. The user group must first be disassociated from the replication group before it can be deleted. For more information, see Using Role Based Access Control (RBAC).","ref":"aws_elasticache.html#delete_user_group/2","title":"aws_elasticache.delete_user_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#delete_user_group/3","title":"aws_elasticache.delete_user_group/3","type":"function"},{"doc":"Returns information about all provisioned clusters if no cluster identifier is specified, or about a specific cache cluster if a cluster identifier is supplied. By default, abbreviated information about the clusters is returned. You can use the optional ShowCacheNodeInfo flag to retrieve detailed information about the cache nodes associated with the clusters. These details include the DNS address and port for the cache node endpoint. If the cluster is in the creating state, only cluster-level information is displayed until all of the nodes are successfully provisioned. If the cluster is in the deleting state, only cluster-level information is displayed. If cache nodes are currently being added to the cluster, node endpoint information and creation time for the additional nodes are not displayed until they are completely provisioned. When the cluster state is available, the cluster is ready for use. If cache nodes are currently being removed from the cluster, no endpoint information for the removed nodes is displayed.","ref":"aws_elasticache.html#describe_cache_clusters/2","title":"aws_elasticache.describe_cache_clusters/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_cache_clusters/3","title":"aws_elasticache.describe_cache_clusters/3","type":"function"},{"doc":"Returns a list of the available cache engines and their versions.","ref":"aws_elasticache.html#describe_cache_engine_versions/2","title":"aws_elasticache.describe_cache_engine_versions/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_cache_engine_versions/3","title":"aws_elasticache.describe_cache_engine_versions/3","type":"function"},{"doc":"Returns a list of cache parameter group descriptions. If a cache parameter group name is specified, the list contains only the descriptions for that group.","ref":"aws_elasticache.html#describe_cache_parameter_groups/2","title":"aws_elasticache.describe_cache_parameter_groups/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_cache_parameter_groups/3","title":"aws_elasticache.describe_cache_parameter_groups/3","type":"function"},{"doc":"Returns the detailed parameter list for a particular cache parameter group.","ref":"aws_elasticache.html#describe_cache_parameters/2","title":"aws_elasticache.describe_cache_parameters/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_cache_parameters/3","title":"aws_elasticache.describe_cache_parameters/3","type":"function"},{"doc":"Returns a list of cache security group descriptions. If a cache security group name is specified, the list contains only the description of that group. This applicable only when you have ElastiCache in Classic setup","ref":"aws_elasticache.html#describe_cache_security_groups/2","title":"aws_elasticache.describe_cache_security_groups/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_cache_security_groups/3","title":"aws_elasticache.describe_cache_security_groups/3","type":"function"},{"doc":"Returns a list of cache subnet group descriptions. If a subnet group name is specified, the list contains only the description of that group. This is applicable only when you have ElastiCache in VPC setup. All ElastiCache clusters now launch in VPC by default.","ref":"aws_elasticache.html#describe_cache_subnet_groups/2","title":"aws_elasticache.describe_cache_subnet_groups/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_cache_subnet_groups/3","title":"aws_elasticache.describe_cache_subnet_groups/3","type":"function"},{"doc":"Returns the default engine and system parameter information for the specified cache engine.","ref":"aws_elasticache.html#describe_engine_default_parameters/2","title":"aws_elasticache.describe_engine_default_parameters/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_engine_default_parameters/3","title":"aws_elasticache.describe_engine_default_parameters/3","type":"function"},{"doc":"Returns events related to clusters, cache security groups, and cache parameter groups. You can obtain events specific to a particular cluster, cache security group, or cache parameter group by providing the name as a parameter. By default, only the events occurring within the last hour are returned; however, you can retrieve up to 14 days' worth of events if necessary.","ref":"aws_elasticache.html#describe_events/2","title":"aws_elasticache.describe_events/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_events/3","title":"aws_elasticache.describe_events/3","type":"function"},{"doc":"Returns information about a particular global replication group. If no identifier is specified, returns information about all Global datastores.","ref":"aws_elasticache.html#describe_global_replication_groups/2","title":"aws_elasticache.describe_global_replication_groups/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_global_replication_groups/3","title":"aws_elasticache.describe_global_replication_groups/3","type":"function"},{"doc":"Returns information about a particular replication group. If no identifier is specified, DescribeReplicationGroups returns information about all replication groups. This operation is valid for Redis only.","ref":"aws_elasticache.html#describe_replication_groups/2","title":"aws_elasticache.describe_replication_groups/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_replication_groups/3","title":"aws_elasticache.describe_replication_groups/3","type":"function"},{"doc":"Returns information about reserved cache nodes for this account, or about a specified reserved cache node.","ref":"aws_elasticache.html#describe_reserved_cache_nodes/2","title":"aws_elasticache.describe_reserved_cache_nodes/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_reserved_cache_nodes/3","title":"aws_elasticache.describe_reserved_cache_nodes/3","type":"function"},{"doc":"Lists available reserved cache node offerings.","ref":"aws_elasticache.html#describe_reserved_cache_nodes_offerings/2","title":"aws_elasticache.describe_reserved_cache_nodes_offerings/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_reserved_cache_nodes_offerings/3","title":"aws_elasticache.describe_reserved_cache_nodes_offerings/3","type":"function"},{"doc":"Returns details of the service updates","ref":"aws_elasticache.html#describe_service_updates/2","title":"aws_elasticache.describe_service_updates/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_service_updates/3","title":"aws_elasticache.describe_service_updates/3","type":"function"},{"doc":"Returns information about cluster or replication group snapshots. By default, DescribeSnapshots lists all of your snapshots; it can optionally describe a single snapshot, or just the snapshots associated with a particular cache cluster. This operation is valid for Redis only.","ref":"aws_elasticache.html#describe_snapshots/2","title":"aws_elasticache.describe_snapshots/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_snapshots/3","title":"aws_elasticache.describe_snapshots/3","type":"function"},{"doc":"Returns details of the update actions","ref":"aws_elasticache.html#describe_update_actions/2","title":"aws_elasticache.describe_update_actions/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_update_actions/3","title":"aws_elasticache.describe_update_actions/3","type":"function"},{"doc":"Returns a list of user groups.","ref":"aws_elasticache.html#describe_user_groups/2","title":"aws_elasticache.describe_user_groups/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_user_groups/3","title":"aws_elasticache.describe_user_groups/3","type":"function"},{"doc":"Returns a list of users.","ref":"aws_elasticache.html#describe_users/2","title":"aws_elasticache.describe_users/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#describe_users/3","title":"aws_elasticache.describe_users/3","type":"function"},{"doc":"Remove a secondary cluster from the Global datastore using the Global datastore name. The secondary cluster will no longer receive updates from the primary cluster, but will remain as a standalone cluster in that Amazon region.","ref":"aws_elasticache.html#disassociate_global_replication_group/2","title":"aws_elasticache.disassociate_global_replication_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#disassociate_global_replication_group/3","title":"aws_elasticache.disassociate_global_replication_group/3","type":"function"},{"doc":"Used to failover the primary region to a secondary region. The secondary region will become primary, and all other clusters will become secondary.","ref":"aws_elasticache.html#failover_global_replication_group/2","title":"aws_elasticache.failover_global_replication_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#failover_global_replication_group/3","title":"aws_elasticache.failover_global_replication_group/3","type":"function"},{"doc":"Increase the number of node groups in the Global datastore","ref":"aws_elasticache.html#increase_node_groups_in_global_replication_group/2","title":"aws_elasticache.increase_node_groups_in_global_replication_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#increase_node_groups_in_global_replication_group/3","title":"aws_elasticache.increase_node_groups_in_global_replication_group/3","type":"function"},{"doc":"Dynamically increases the number of replicas in a Redis (cluster mode disabled) replication group or the number of replica nodes in one or more node groups (shards) of a Redis (cluster mode enabled) replication group. This operation is performed with no cluster down time.","ref":"aws_elasticache.html#increase_replica_count/2","title":"aws_elasticache.increase_replica_count/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#increase_replica_count/3","title":"aws_elasticache.increase_replica_count/3","type":"function"},{"doc":"Lists all available node types that you can scale your Redis cluster's or replication group's current node type. When you use the ModifyCacheCluster or ModifyReplicationGroup operations to scale your cluster or replication group, the value of the CacheNodeType parameter must be one of the node types returned by this operation.","ref":"aws_elasticache.html#list_allowed_node_type_modifications/2","title":"aws_elasticache.list_allowed_node_type_modifications/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#list_allowed_node_type_modifications/3","title":"aws_elasticache.list_allowed_node_type_modifications/3","type":"function"},{"doc":"Lists all tags currently on a named resource. A tag is a key-value pair where the key and value are case-sensitive. You can use tags to categorize and track all your ElastiCache resources, with the exception of global replication group. When you add or remove tags on replication groups, those actions will be replicated to all nodes in the replication group. For more information, see Resource-level permissions. If the cluster is not in the available state, ListTagsForResource returns an error.","ref":"aws_elasticache.html#list_tags_for_resource/2","title":"aws_elasticache.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#list_tags_for_resource/3","title":"aws_elasticache.list_tags_for_resource/3","type":"function"},{"doc":"Modifies the settings for a cluster. You can use this operation to change one or more cluster configuration parameters by specifying the parameters and the new values.","ref":"aws_elasticache.html#modify_cache_cluster/2","title":"aws_elasticache.modify_cache_cluster/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#modify_cache_cluster/3","title":"aws_elasticache.modify_cache_cluster/3","type":"function"},{"doc":"Modifies the parameters of a cache parameter group. You can modify up to 20 parameters in a single request by submitting a list parameter name and value pairs.","ref":"aws_elasticache.html#modify_cache_parameter_group/2","title":"aws_elasticache.modify_cache_parameter_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#modify_cache_parameter_group/3","title":"aws_elasticache.modify_cache_parameter_group/3","type":"function"},{"doc":"Modifies an existing cache subnet group.","ref":"aws_elasticache.html#modify_cache_subnet_group/2","title":"aws_elasticache.modify_cache_subnet_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#modify_cache_subnet_group/3","title":"aws_elasticache.modify_cache_subnet_group/3","type":"function"},{"doc":"Modifies the settings for a Global datastore.","ref":"aws_elasticache.html#modify_global_replication_group/2","title":"aws_elasticache.modify_global_replication_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#modify_global_replication_group/3","title":"aws_elasticache.modify_global_replication_group/3","type":"function"},{"doc":"Modifies the settings for a replication group. Scaling for Amazon ElastiCache for Redis (cluster mode enabled) in the ElastiCache User Guide ModifyReplicationGroupShardConfiguration in the ElastiCache API Reference This operation is valid for Redis only.","ref":"aws_elasticache.html#modify_replication_group/2","title":"aws_elasticache.modify_replication_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#modify_replication_group/3","title":"aws_elasticache.modify_replication_group/3","type":"function"},{"doc":"Modifies a replication group's shards (node groups) by allowing you to add shards, remove shards, or rebalance the keyspaces among existing shards.","ref":"aws_elasticache.html#modify_replication_group_shard_configuration/2","title":"aws_elasticache.modify_replication_group_shard_configuration/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#modify_replication_group_shard_configuration/3","title":"aws_elasticache.modify_replication_group_shard_configuration/3","type":"function"},{"doc":"Changes user password(s) and/or access string.","ref":"aws_elasticache.html#modify_user/2","title":"aws_elasticache.modify_user/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#modify_user/3","title":"aws_elasticache.modify_user/3","type":"function"},{"doc":"Changes the list of users that belong to the user group.","ref":"aws_elasticache.html#modify_user_group/2","title":"aws_elasticache.modify_user_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#modify_user_group/3","title":"aws_elasticache.modify_user_group/3","type":"function"},{"doc":"Allows you to purchase a reserved cache node offering. Reserved nodes are not eligible for cancellation and are non-refundable. For more information, see Managing Costs with Reserved Nodes for Redis or Managing Costs with Reserved Nodes for Memcached.","ref":"aws_elasticache.html#purchase_reserved_cache_nodes_offering/2","title":"aws_elasticache.purchase_reserved_cache_nodes_offering/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#purchase_reserved_cache_nodes_offering/3","title":"aws_elasticache.purchase_reserved_cache_nodes_offering/3","type":"function"},{"doc":"Redistribute slots to ensure uniform distribution across existing shards in the cluster.","ref":"aws_elasticache.html#rebalance_slots_in_global_replication_group/2","title":"aws_elasticache.rebalance_slots_in_global_replication_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#rebalance_slots_in_global_replication_group/3","title":"aws_elasticache.rebalance_slots_in_global_replication_group/3","type":"function"},{"doc":"Reboots some, or all, of the cache nodes within a provisioned cluster. This operation applies any modified cache parameter groups to the cluster. The reboot operation takes place as soon as possible, and results in a momentary outage to the cluster. During the reboot, the cluster status is set to REBOOTING. The reboot causes the contents of the cache (for each cache node being rebooted) to be lost. When the reboot is complete, a cluster event is created. Rebooting a cluster is currently supported on Memcached and Redis (cluster mode disabled) clusters. Rebooting is not supported on Redis (cluster mode enabled) clusters. If you make changes to parameters that require a Redis (cluster mode enabled) cluster reboot for the changes to be applied, see Rebooting a Cluster for an alternate process.","ref":"aws_elasticache.html#reboot_cache_cluster/2","title":"aws_elasticache.reboot_cache_cluster/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#reboot_cache_cluster/3","title":"aws_elasticache.reboot_cache_cluster/3","type":"function"},{"doc":"Removes the tags identified by the TagKeys list from the named resource. A tag is a key-value pair where the key and value are case-sensitive. You can use tags to categorize and track all your ElastiCache resources, with the exception of global replication group. When you add or remove tags on replication groups, those actions will be replicated to all nodes in the replication group. For more information, see Resource-level permissions.","ref":"aws_elasticache.html#remove_tags_from_resource/2","title":"aws_elasticache.remove_tags_from_resource/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#remove_tags_from_resource/3","title":"aws_elasticache.remove_tags_from_resource/3","type":"function"},{"doc":"Modifies the parameters of a cache parameter group to the engine or system default value. You can reset specific parameters by submitting a list of parameter names. To reset the entire cache parameter group, specify the ResetAllParameters and CacheParameterGroupName parameters.","ref":"aws_elasticache.html#reset_cache_parameter_group/2","title":"aws_elasticache.reset_cache_parameter_group/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#reset_cache_parameter_group/3","title":"aws_elasticache.reset_cache_parameter_group/3","type":"function"},{"doc":"Revokes ingress from a cache security group. Use this operation to disallow access from an Amazon EC2 security group that had been previously authorized.","ref":"aws_elasticache.html#revoke_cache_security_group_ingress/2","title":"aws_elasticache.revoke_cache_security_group_ingress/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#revoke_cache_security_group_ingress/3","title":"aws_elasticache.revoke_cache_security_group_ingress/3","type":"function"},{"doc":"Start the migration of data.","ref":"aws_elasticache.html#start_migration/2","title":"aws_elasticache.start_migration/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#start_migration/3","title":"aws_elasticache.start_migration/3","type":"function"},{"doc":"Represents the input of a TestFailover operation which test automatic failover on a specified node group (called shard in the console) in a replication group (called cluster in the console). This API is designed for testing the behavior of your application in case of ElastiCache failover. It is not designed to be an operational tool for initiating a failover to overcome a problem you may have with the cluster. Moreover, in certain conditions such as large-scale operational events, Amazon may block this API. Note the following A customer can use this operation to test automatic failover on up to 5 shards (called node groups in the ElastiCache API and Amazon CLI) in any rolling 24-hour period. If calling this operation on shards in different clusters (called replication groups in the API and CLI), the calls can be made concurrently. If calling this operation multiple times on different shards in the same Redis (cluster mode enabled) replication group, the first node replacement must complete before a subsequent call can be made. To determine whether the node replacement is complete you can check Events using the Amazon ElastiCache console, the Amazon CLI, or the ElastiCache API. Look for the following automatic failover related events, listed here in order of occurrance: Replication group message: Test Failover API called for node group &amp;lt;node-group-id&amp;gt; Cache cluster message: Failover from primary node &amp;lt;primary-node-id&amp;gt; to replica node &amp;lt;node-id&amp;gt; completed Replication group message: Failover from primary node &amp;lt;primary-node-id&amp;gt; to replica node &amp;lt;node-id&amp;gt; completed Cache cluster message: Recovering cache nodes &amp;lt;node-id&amp;gt; Cache cluster message: Finished recovery for cache nodes &amp;lt;node-id&amp;gt; For more information see: Viewing ElastiCache Events in the ElastiCache User Guide DescribeEvents in the ElastiCache API Reference Also see, Testing Multi-AZ in the ElastiCache User Guide.","ref":"aws_elasticache.html#test_failover/2","title":"aws_elasticache.test_failover/2","type":"function"},{"doc":"","ref":"aws_elasticache.html#test_failover/3","title":"aws_elasticache.test_failover/3","type":"function"},{"doc":"Amazon Elasticsearch Configuration Service Use the Amazon Elasticsearch Configuration API to create, configure, and manage Elasticsearch domains. For sample code that uses the Configuration API, see the Amazon Elasticsearch Service Developer Guide. The guide also contains sample code for sending signed HTTP requests to the Elasticsearch APIs. The endpoint for configuration service requests is region-specific: es.region.amazonaws.com. For example, es.us-east-1.amazonaws.com. For a current list of supported regions and endpoints, see Regions and Endpoints.","ref":"aws_elasticsearch.html","title":"aws_elasticsearch","type":"module"},{"doc":"Allows the destination domain owner to accept an inbound cross-cluster search connection request.","ref":"aws_elasticsearch.html#accept_inbound_cross_cluster_search_connection/3","title":"aws_elasticsearch.accept_inbound_cross_cluster_search_connection/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#accept_inbound_cross_cluster_search_connection/4","title":"aws_elasticsearch.accept_inbound_cross_cluster_search_connection/4","type":"function"},{"doc":"Attaches tags to an existing Elasticsearch domain. Tags are a set of case-sensitive key value pairs. An Elasticsearch domain may have up to 10 tags. See Tagging Amazon Elasticsearch Service Domains for more information.","ref":"aws_elasticsearch.html#add_tags/2","title":"aws_elasticsearch.add_tags/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#add_tags/3","title":"aws_elasticsearch.add_tags/3","type":"function"},{"doc":"Associates a package with an Amazon ES domain.","ref":"aws_elasticsearch.html#associate_package/4","title":"aws_elasticsearch.associate_package/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#associate_package/5","title":"aws_elasticsearch.associate_package/5","type":"function"},{"doc":"Provides access to an Amazon OpenSearch Service domain through the use of an interface VPC endpoint.","ref":"aws_elasticsearch.html#authorize_vpc_endpoint_access/3","title":"aws_elasticsearch.authorize_vpc_endpoint_access/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#authorize_vpc_endpoint_access/4","title":"aws_elasticsearch.authorize_vpc_endpoint_access/4","type":"function"},{"doc":"Cancels a scheduled service software update for an Amazon ES domain. You can only perform this operation before the AutomatedUpdateDate and when the UpdateStatus is in the PENDING_UPDATE state.","ref":"aws_elasticsearch.html#cancel_elasticsearch_service_software_update/2","title":"aws_elasticsearch.cancel_elasticsearch_service_software_update/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#cancel_elasticsearch_service_software_update/3","title":"aws_elasticsearch.cancel_elasticsearch_service_software_update/3","type":"function"},{"doc":"Creates a new Elasticsearch domain. For more information, see Creating Elasticsearch Domains in the Amazon Elasticsearch Service Developer Guide.","ref":"aws_elasticsearch.html#create_elasticsearch_domain/2","title":"aws_elasticsearch.create_elasticsearch_domain/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#create_elasticsearch_domain/3","title":"aws_elasticsearch.create_elasticsearch_domain/3","type":"function"},{"doc":"Creates a new cross-cluster search connection from a source domain to a destination domain.","ref":"aws_elasticsearch.html#create_outbound_cross_cluster_search_connection/2","title":"aws_elasticsearch.create_outbound_cross_cluster_search_connection/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#create_outbound_cross_cluster_search_connection/3","title":"aws_elasticsearch.create_outbound_cross_cluster_search_connection/3","type":"function"},{"doc":"Create a package for use with Amazon ES domains.","ref":"aws_elasticsearch.html#create_package/2","title":"aws_elasticsearch.create_package/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#create_package/3","title":"aws_elasticsearch.create_package/3","type":"function"},{"doc":"Creates an Amazon OpenSearch Service-managed VPC endpoint.","ref":"aws_elasticsearch.html#create_vpc_endpoint/2","title":"aws_elasticsearch.create_vpc_endpoint/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#create_vpc_endpoint/3","title":"aws_elasticsearch.create_vpc_endpoint/3","type":"function"},{"doc":"Permanently deletes the specified Elasticsearch domain and all of its data. Once a domain is deleted, it cannot be recovered.","ref":"aws_elasticsearch.html#delete_elasticsearch_domain/3","title":"aws_elasticsearch.delete_elasticsearch_domain/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#delete_elasticsearch_domain/4","title":"aws_elasticsearch.delete_elasticsearch_domain/4","type":"function"},{"doc":"Deletes the service-linked role that Elasticsearch Service uses to manage and maintain VPC domains. Role deletion will fail if any existing VPC domains use the role. You must delete any such Elasticsearch domains before deleting the role. See Deleting Elasticsearch Service Role in VPC Endpoints for Amazon Elasticsearch Service Domains.","ref":"aws_elasticsearch.html#delete_elasticsearch_service_role/2","title":"aws_elasticsearch.delete_elasticsearch_service_role/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#delete_elasticsearch_service_role/3","title":"aws_elasticsearch.delete_elasticsearch_service_role/3","type":"function"},{"doc":"Allows the destination domain owner to delete an existing inbound cross-cluster search connection.","ref":"aws_elasticsearch.html#delete_inbound_cross_cluster_search_connection/3","title":"aws_elasticsearch.delete_inbound_cross_cluster_search_connection/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#delete_inbound_cross_cluster_search_connection/4","title":"aws_elasticsearch.delete_inbound_cross_cluster_search_connection/4","type":"function"},{"doc":"Allows the source domain owner to delete an existing outbound cross-cluster search connection.","ref":"aws_elasticsearch.html#delete_outbound_cross_cluster_search_connection/3","title":"aws_elasticsearch.delete_outbound_cross_cluster_search_connection/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#delete_outbound_cross_cluster_search_connection/4","title":"aws_elasticsearch.delete_outbound_cross_cluster_search_connection/4","type":"function"},{"doc":"Delete the package.","ref":"aws_elasticsearch.html#delete_package/3","title":"aws_elasticsearch.delete_package/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#delete_package/4","title":"aws_elasticsearch.delete_package/4","type":"function"},{"doc":"Deletes an Amazon OpenSearch Service-managed interface VPC endpoint.","ref":"aws_elasticsearch.html#delete_vpc_endpoint/3","title":"aws_elasticsearch.delete_vpc_endpoint/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#delete_vpc_endpoint/4","title":"aws_elasticsearch.delete_vpc_endpoint/4","type":"function"},{"doc":"Provides scheduled Auto-Tune action details for the Elasticsearch domain, such as Auto-Tune action type, description, severity, and scheduled date.","ref":"aws_elasticsearch.html#describe_domain_auto_tunes/2","title":"aws_elasticsearch.describe_domain_auto_tunes/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_domain_auto_tunes/4","title":"aws_elasticsearch.describe_domain_auto_tunes/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_domain_auto_tunes/5","title":"aws_elasticsearch.describe_domain_auto_tunes/5","type":"function"},{"doc":"Returns information about the current blue/green deployment happening on a domain, including a change ID, status, and progress stages.","ref":"aws_elasticsearch.html#describe_domain_change_progress/2","title":"aws_elasticsearch.describe_domain_change_progress/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_domain_change_progress/4","title":"aws_elasticsearch.describe_domain_change_progress/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_domain_change_progress/5","title":"aws_elasticsearch.describe_domain_change_progress/5","type":"function"},{"doc":"Returns domain configuration information about the specified Elasticsearch domain, including the domain ID, domain endpoint, and domain ARN.","ref":"aws_elasticsearch.html#describe_elasticsearch_domain/2","title":"aws_elasticsearch.describe_elasticsearch_domain/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_elasticsearch_domain/4","title":"aws_elasticsearch.describe_elasticsearch_domain/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_elasticsearch_domain/5","title":"aws_elasticsearch.describe_elasticsearch_domain/5","type":"function"},{"doc":"Provides cluster configuration information about the specified Elasticsearch domain, such as the state, creation date, update version, and update date for cluster options.","ref":"aws_elasticsearch.html#describe_elasticsearch_domain_config/2","title":"aws_elasticsearch.describe_elasticsearch_domain_config/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_elasticsearch_domain_config/4","title":"aws_elasticsearch.describe_elasticsearch_domain_config/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_elasticsearch_domain_config/5","title":"aws_elasticsearch.describe_elasticsearch_domain_config/5","type":"function"},{"doc":"Returns domain configuration information about the specified Elasticsearch domains, including the domain ID, domain endpoint, and domain ARN.","ref":"aws_elasticsearch.html#describe_elasticsearch_domains/2","title":"aws_elasticsearch.describe_elasticsearch_domains/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_elasticsearch_domains/3","title":"aws_elasticsearch.describe_elasticsearch_domains/3","type":"function"},{"doc":"Describe Elasticsearch Limits for a given InstanceType and ElasticsearchVersion. When modifying existing Domain, specify the `DomainName ' to know what Limits are supported for modifying.","ref":"aws_elasticsearch.html#describe_elasticsearch_instance_type_limits/3","title":"aws_elasticsearch.describe_elasticsearch_instance_type_limits/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_elasticsearch_instance_type_limits/5","title":"aws_elasticsearch.describe_elasticsearch_instance_type_limits/5","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_elasticsearch_instance_type_limits/6","title":"aws_elasticsearch.describe_elasticsearch_instance_type_limits/6","type":"function"},{"doc":"Lists all the inbound cross-cluster search connections for a destination domain.","ref":"aws_elasticsearch.html#describe_inbound_cross_cluster_search_connections/2","title":"aws_elasticsearch.describe_inbound_cross_cluster_search_connections/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_inbound_cross_cluster_search_connections/3","title":"aws_elasticsearch.describe_inbound_cross_cluster_search_connections/3","type":"function"},{"doc":"Lists all the outbound cross-cluster search connections for a source domain.","ref":"aws_elasticsearch.html#describe_outbound_cross_cluster_search_connections/2","title":"aws_elasticsearch.describe_outbound_cross_cluster_search_connections/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_outbound_cross_cluster_search_connections/3","title":"aws_elasticsearch.describe_outbound_cross_cluster_search_connections/3","type":"function"},{"doc":"Describes all packages available to Amazon ES. Includes options for filtering, limiting the number of results, and pagination.","ref":"aws_elasticsearch.html#describe_packages/2","title":"aws_elasticsearch.describe_packages/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_packages/3","title":"aws_elasticsearch.describe_packages/3","type":"function"},{"doc":"Lists available reserved Elasticsearch instance offerings.","ref":"aws_elasticsearch.html#describe_reserved_elasticsearch_instance_offerings/1","title":"aws_elasticsearch.describe_reserved_elasticsearch_instance_offerings/1","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_reserved_elasticsearch_instance_offerings/3","title":"aws_elasticsearch.describe_reserved_elasticsearch_instance_offerings/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_reserved_elasticsearch_instance_offerings/4","title":"aws_elasticsearch.describe_reserved_elasticsearch_instance_offerings/4","type":"function"},{"doc":"Returns information about reserved Elasticsearch instances for this account.","ref":"aws_elasticsearch.html#describe_reserved_elasticsearch_instances/1","title":"aws_elasticsearch.describe_reserved_elasticsearch_instances/1","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_reserved_elasticsearch_instances/3","title":"aws_elasticsearch.describe_reserved_elasticsearch_instances/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_reserved_elasticsearch_instances/4","title":"aws_elasticsearch.describe_reserved_elasticsearch_instances/4","type":"function"},{"doc":"Describes one or more Amazon OpenSearch Service-managed VPC endpoints.","ref":"aws_elasticsearch.html#describe_vpc_endpoints/2","title":"aws_elasticsearch.describe_vpc_endpoints/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#describe_vpc_endpoints/3","title":"aws_elasticsearch.describe_vpc_endpoints/3","type":"function"},{"doc":"Dissociates a package from the Amazon ES domain.","ref":"aws_elasticsearch.html#dissociate_package/4","title":"aws_elasticsearch.dissociate_package/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#dissociate_package/5","title":"aws_elasticsearch.dissociate_package/5","type":"function"},{"doc":"Returns a list of upgrade compatible Elastisearch versions. You can optionally pass a `DomainName ' to get all upgrade compatible Elasticsearch versions for that specific domain.","ref":"aws_elasticsearch.html#get_compatible_elasticsearch_versions/1","title":"aws_elasticsearch.get_compatible_elasticsearch_versions/1","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#get_compatible_elasticsearch_versions/3","title":"aws_elasticsearch.get_compatible_elasticsearch_versions/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#get_compatible_elasticsearch_versions/4","title":"aws_elasticsearch.get_compatible_elasticsearch_versions/4","type":"function"},{"doc":"Returns a list of versions of the package, along with their creation time and commit message.","ref":"aws_elasticsearch.html#get_package_version_history/2","title":"aws_elasticsearch.get_package_version_history/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#get_package_version_history/4","title":"aws_elasticsearch.get_package_version_history/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#get_package_version_history/5","title":"aws_elasticsearch.get_package_version_history/5","type":"function"},{"doc":"Retrieves the complete history of the last 10 upgrades that were performed on the domain.","ref":"aws_elasticsearch.html#get_upgrade_history/2","title":"aws_elasticsearch.get_upgrade_history/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#get_upgrade_history/4","title":"aws_elasticsearch.get_upgrade_history/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#get_upgrade_history/5","title":"aws_elasticsearch.get_upgrade_history/5","type":"function"},{"doc":"Retrieves the latest status of the last upgrade or upgrade eligibility check that was performed on the domain.","ref":"aws_elasticsearch.html#get_upgrade_status/2","title":"aws_elasticsearch.get_upgrade_status/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#get_upgrade_status/4","title":"aws_elasticsearch.get_upgrade_status/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#get_upgrade_status/5","title":"aws_elasticsearch.get_upgrade_status/5","type":"function"},{"doc":"Returns the name of all Elasticsearch domains owned by the current user's account.","ref":"aws_elasticsearch.html#list_domain_names/1","title":"aws_elasticsearch.list_domain_names/1","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_domain_names/3","title":"aws_elasticsearch.list_domain_names/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_domain_names/4","title":"aws_elasticsearch.list_domain_names/4","type":"function"},{"doc":"Lists all Amazon ES domains associated with the package.","ref":"aws_elasticsearch.html#list_domains_for_package/2","title":"aws_elasticsearch.list_domains_for_package/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_domains_for_package/4","title":"aws_elasticsearch.list_domains_for_package/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_domains_for_package/5","title":"aws_elasticsearch.list_domains_for_package/5","type":"function"},{"doc":"List all Elasticsearch instance types that are supported for given ElasticsearchVersion","ref":"aws_elasticsearch.html#list_elasticsearch_instance_types/2","title":"aws_elasticsearch.list_elasticsearch_instance_types/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_elasticsearch_instance_types/4","title":"aws_elasticsearch.list_elasticsearch_instance_types/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_elasticsearch_instance_types/5","title":"aws_elasticsearch.list_elasticsearch_instance_types/5","type":"function"},{"doc":"List all supported Elasticsearch versions","ref":"aws_elasticsearch.html#list_elasticsearch_versions/1","title":"aws_elasticsearch.list_elasticsearch_versions/1","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_elasticsearch_versions/3","title":"aws_elasticsearch.list_elasticsearch_versions/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_elasticsearch_versions/4","title":"aws_elasticsearch.list_elasticsearch_versions/4","type":"function"},{"doc":"Lists all packages associated with the Amazon ES domain.","ref":"aws_elasticsearch.html#list_packages_for_domain/2","title":"aws_elasticsearch.list_packages_for_domain/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_packages_for_domain/4","title":"aws_elasticsearch.list_packages_for_domain/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_packages_for_domain/5","title":"aws_elasticsearch.list_packages_for_domain/5","type":"function"},{"doc":"Returns all tags for the given Elasticsearch domain.","ref":"aws_elasticsearch.html#list_tags/2","title":"aws_elasticsearch.list_tags/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_tags/4","title":"aws_elasticsearch.list_tags/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_tags/5","title":"aws_elasticsearch.list_tags/5","type":"function"},{"doc":"Retrieves information about each principal that is allowed to access a given Amazon OpenSearch Service domain through the use of an interface VPC endpoint.","ref":"aws_elasticsearch.html#list_vpc_endpoint_access/2","title":"aws_elasticsearch.list_vpc_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_vpc_endpoint_access/4","title":"aws_elasticsearch.list_vpc_endpoint_access/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_vpc_endpoint_access/5","title":"aws_elasticsearch.list_vpc_endpoint_access/5","type":"function"},{"doc":"Retrieves all Amazon OpenSearch Service-managed VPC endpoints in the current account and Region.","ref":"aws_elasticsearch.html#list_vpc_endpoints/1","title":"aws_elasticsearch.list_vpc_endpoints/1","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_vpc_endpoints/3","title":"aws_elasticsearch.list_vpc_endpoints/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_vpc_endpoints/4","title":"aws_elasticsearch.list_vpc_endpoints/4","type":"function"},{"doc":"Retrieves all Amazon OpenSearch Service-managed VPC endpoints associated with a particular domain.","ref":"aws_elasticsearch.html#list_vpc_endpoints_for_domain/2","title":"aws_elasticsearch.list_vpc_endpoints_for_domain/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_vpc_endpoints_for_domain/4","title":"aws_elasticsearch.list_vpc_endpoints_for_domain/4","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#list_vpc_endpoints_for_domain/5","title":"aws_elasticsearch.list_vpc_endpoints_for_domain/5","type":"function"},{"doc":"Allows you to purchase reserved Elasticsearch instances.","ref":"aws_elasticsearch.html#purchase_reserved_elasticsearch_instance_offering/2","title":"aws_elasticsearch.purchase_reserved_elasticsearch_instance_offering/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#purchase_reserved_elasticsearch_instance_offering/3","title":"aws_elasticsearch.purchase_reserved_elasticsearch_instance_offering/3","type":"function"},{"doc":"Allows the destination domain owner to reject an inbound cross-cluster search connection request.","ref":"aws_elasticsearch.html#reject_inbound_cross_cluster_search_connection/3","title":"aws_elasticsearch.reject_inbound_cross_cluster_search_connection/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#reject_inbound_cross_cluster_search_connection/4","title":"aws_elasticsearch.reject_inbound_cross_cluster_search_connection/4","type":"function"},{"doc":"Removes the specified set of tags from the specified Elasticsearch domain.","ref":"aws_elasticsearch.html#remove_tags/2","title":"aws_elasticsearch.remove_tags/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#remove_tags/3","title":"aws_elasticsearch.remove_tags/3","type":"function"},{"doc":"Revokes access to an Amazon OpenSearch Service domain that was provided through an interface VPC endpoint.","ref":"aws_elasticsearch.html#revoke_vpc_endpoint_access/3","title":"aws_elasticsearch.revoke_vpc_endpoint_access/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#revoke_vpc_endpoint_access/4","title":"aws_elasticsearch.revoke_vpc_endpoint_access/4","type":"function"},{"doc":"Schedules a service software update for an Amazon ES domain.","ref":"aws_elasticsearch.html#start_elasticsearch_service_software_update/2","title":"aws_elasticsearch.start_elasticsearch_service_software_update/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#start_elasticsearch_service_software_update/3","title":"aws_elasticsearch.start_elasticsearch_service_software_update/3","type":"function"},{"doc":"Modifies the cluster configuration of the specified Elasticsearch domain, setting as setting the instance type and the number of instances.","ref":"aws_elasticsearch.html#update_elasticsearch_domain_config/3","title":"aws_elasticsearch.update_elasticsearch_domain_config/3","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#update_elasticsearch_domain_config/4","title":"aws_elasticsearch.update_elasticsearch_domain_config/4","type":"function"},{"doc":"Updates a package for use with Amazon ES domains.","ref":"aws_elasticsearch.html#update_package/2","title":"aws_elasticsearch.update_package/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#update_package/3","title":"aws_elasticsearch.update_package/3","type":"function"},{"doc":"Modifies an Amazon OpenSearch Service-managed interface VPC endpoint.","ref":"aws_elasticsearch.html#update_vpc_endpoint/2","title":"aws_elasticsearch.update_vpc_endpoint/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#update_vpc_endpoint/3","title":"aws_elasticsearch.update_vpc_endpoint/3","type":"function"},{"doc":"Allows you to either upgrade your domain or perform an Upgrade eligibility check to a compatible Elasticsearch version.","ref":"aws_elasticsearch.html#upgrade_elasticsearch_domain/2","title":"aws_elasticsearch.upgrade_elasticsearch_domain/2","type":"function"},{"doc":"","ref":"aws_elasticsearch.html#upgrade_elasticsearch_domain/3","title":"aws_elasticsearch.upgrade_elasticsearch_domain/3","type":"function"},{"doc":"Amazon EMR is a web service that makes it easier to process large amounts of data efficiently. Amazon EMR uses Hadoop processing combined with several Amazon Web Services services to do tasks such as web indexing, data mining, log file analysis, machine learning, scientific simulation, and data warehouse management.","ref":"aws_emr.html","title":"aws_emr","type":"module"},{"doc":"Adds an instance fleet to a running cluster. The instance fleet configuration is available only in Amazon EMR versions 4.8.0 and later, excluding 5.0.x.","ref":"aws_emr.html#add_instance_fleet/2","title":"aws_emr.add_instance_fleet/2","type":"function"},{"doc":"","ref":"aws_emr.html#add_instance_fleet/3","title":"aws_emr.add_instance_fleet/3","type":"function"},{"doc":"Adds one or more instance groups to a running cluster.","ref":"aws_emr.html#add_instance_groups/2","title":"aws_emr.add_instance_groups/2","type":"function"},{"doc":"","ref":"aws_emr.html#add_instance_groups/3","title":"aws_emr.add_instance_groups/3","type":"function"},{"doc":"AddJobFlowSteps adds new steps to a running cluster. A maximum of 256 steps are allowed in each job flow. If your cluster is long-running (such as a Hive data warehouse) or complex, you may require more than 256 steps to process your data. You can bypass the 256-step limitation in various ways, including using SSH to connect to the master node and submitting queries directly to the software running on the master node, such as Hive and Hadoop. A step specifies the location of a JAR file stored either on the master node of the cluster or in Amazon S3. Each step is performed by the main function of the main class of the JAR file. The main class can be specified either in the manifest of the JAR or by using the MainFunction parameter of the step. Amazon EMR executes each step in the order listed. For a step to be considered complete, the main function must exit with a zero exit code and all Hadoop jobs started while the step was running must have completed and run successfully. You can only add steps to a cluster that is in one of the following states: STARTING, BOOTSTRAPPING, RUNNING, or WAITING. The string values passed into HadoopJarStep object cannot exceed a total of 10240 characters.","ref":"aws_emr.html#add_job_flow_steps/2","title":"aws_emr.add_job_flow_steps/2","type":"function"},{"doc":"","ref":"aws_emr.html#add_job_flow_steps/3","title":"aws_emr.add_job_flow_steps/3","type":"function"},{"doc":"Adds tags to an Amazon EMR resource, such as a cluster or an Amazon EMR Studio. Tags make it easier to associate resources in various ways, such as grouping clusters to track your Amazon EMR resource allocation costs. For more information, see Tag Clusters.","ref":"aws_emr.html#add_tags/2","title":"aws_emr.add_tags/2","type":"function"},{"doc":"","ref":"aws_emr.html#add_tags/3","title":"aws_emr.add_tags/3","type":"function"},{"doc":"Cancels a pending step or steps in a running cluster. Available only in Amazon EMR versions 4.8.0 and later, excluding version 5.0.0. A maximum of 256 steps are allowed in each CancelSteps request. CancelSteps is idempotent but asynchronous; it does not guarantee that a step will be canceled, even if the request is successfully submitted. When you use Amazon EMR versions 5.28.0 and later, you can cancel steps that are in a PENDING or RUNNING state. In earlier versions of Amazon EMR, you can only cancel steps that are in a PENDING state.","ref":"aws_emr.html#cancel_steps/2","title":"aws_emr.cancel_steps/2","type":"function"},{"doc":"","ref":"aws_emr.html#cancel_steps/3","title":"aws_emr.cancel_steps/3","type":"function"},{"doc":"Creates a security configuration, which is stored in the service and can be specified when a cluster is created.","ref":"aws_emr.html#create_security_configuration/2","title":"aws_emr.create_security_configuration/2","type":"function"},{"doc":"","ref":"aws_emr.html#create_security_configuration/3","title":"aws_emr.create_security_configuration/3","type":"function"},{"doc":"Creates a new Amazon EMR Studio.","ref":"aws_emr.html#create_studio/2","title":"aws_emr.create_studio/2","type":"function"},{"doc":"","ref":"aws_emr.html#create_studio/3","title":"aws_emr.create_studio/3","type":"function"},{"doc":"Maps a user or group to the Amazon EMR Studio specified by StudioId , and applies a session policy to refine Studio permissions for that user or group. Use CreateStudioSessionMapping to assign users to a Studio when you use IAM Identity Center authentication. For instructions on how to assign users to a Studio when you use IAM authentication, see Assign a user or group to your EMR Studio.","ref":"aws_emr.html#create_studio_session_mapping/2","title":"aws_emr.create_studio_session_mapping/2","type":"function"},{"doc":"","ref":"aws_emr.html#create_studio_session_mapping/3","title":"aws_emr.create_studio_session_mapping/3","type":"function"},{"doc":"Deletes a security configuration.","ref":"aws_emr.html#delete_security_configuration/2","title":"aws_emr.delete_security_configuration/2","type":"function"},{"doc":"","ref":"aws_emr.html#delete_security_configuration/3","title":"aws_emr.delete_security_configuration/3","type":"function"},{"doc":"Removes an Amazon EMR Studio from the Studio metadata store.","ref":"aws_emr.html#delete_studio/2","title":"aws_emr.delete_studio/2","type":"function"},{"doc":"","ref":"aws_emr.html#delete_studio/3","title":"aws_emr.delete_studio/3","type":"function"},{"doc":"Removes a user or group from an Amazon EMR Studio.","ref":"aws_emr.html#delete_studio_session_mapping/2","title":"aws_emr.delete_studio_session_mapping/2","type":"function"},{"doc":"","ref":"aws_emr.html#delete_studio_session_mapping/3","title":"aws_emr.delete_studio_session_mapping/3","type":"function"},{"doc":"Provides cluster-level details including status, hardware and software configuration, VPC settings, and so on.","ref":"aws_emr.html#describe_cluster/2","title":"aws_emr.describe_cluster/2","type":"function"},{"doc":"","ref":"aws_emr.html#describe_cluster/3","title":"aws_emr.describe_cluster/3","type":"function"},{"doc":"This API is no longer supported and will eventually be removed. We recommend you use ListClusters , DescribeCluster , ListSteps , ListInstanceGroups and ListBootstrapActions instead. DescribeJobFlows returns a list of job flows that match all of the supplied parameters. The parameters can include a list of job flow IDs, job flow states, and restrictions on job flow creation date and time. Regardless of supplied parameters, only job flows created within the last two months are returned. If no parameters are supplied, then job flows matching either of the following criteria are returned: Job flows created and completed in the last two weeks Job flows created within the last two months that are in one of the following states: RUNNING , WAITING , SHUTTING_DOWN , STARTING Amazon EMR can return a maximum of 512 job flow descriptions.","ref":"aws_emr.html#describe_job_flows/2","title":"aws_emr.describe_job_flows/2","type":"function"},{"doc":"","ref":"aws_emr.html#describe_job_flows/3","title":"aws_emr.describe_job_flows/3","type":"function"},{"doc":"Provides details of a notebook execution.","ref":"aws_emr.html#describe_notebook_execution/2","title":"aws_emr.describe_notebook_execution/2","type":"function"},{"doc":"","ref":"aws_emr.html#describe_notebook_execution/3","title":"aws_emr.describe_notebook_execution/3","type":"function"},{"doc":"Provides EMR release label details, such as releases available the region where the API request is run, and the available applications for a specific EMR release label. Can also list EMR release versions that support a specified version of Spark.","ref":"aws_emr.html#describe_release_label/2","title":"aws_emr.describe_release_label/2","type":"function"},{"doc":"","ref":"aws_emr.html#describe_release_label/3","title":"aws_emr.describe_release_label/3","type":"function"},{"doc":"Provides the details of a security configuration by returning the configuration JSON.","ref":"aws_emr.html#describe_security_configuration/2","title":"aws_emr.describe_security_configuration/2","type":"function"},{"doc":"","ref":"aws_emr.html#describe_security_configuration/3","title":"aws_emr.describe_security_configuration/3","type":"function"},{"doc":"Provides more detail about the cluster step.","ref":"aws_emr.html#describe_step/2","title":"aws_emr.describe_step/2","type":"function"},{"doc":"","ref":"aws_emr.html#describe_step/3","title":"aws_emr.describe_step/3","type":"function"},{"doc":"Returns details for the specified Amazon EMR Studio including ID, Name, VPC, Studio access URL, and so on.","ref":"aws_emr.html#describe_studio/2","title":"aws_emr.describe_studio/2","type":"function"},{"doc":"","ref":"aws_emr.html#describe_studio/3","title":"aws_emr.describe_studio/3","type":"function"},{"doc":"Returns the auto-termination policy for an Amazon EMR cluster.","ref":"aws_emr.html#get_auto_termination_policy/2","title":"aws_emr.get_auto_termination_policy/2","type":"function"},{"doc":"","ref":"aws_emr.html#get_auto_termination_policy/3","title":"aws_emr.get_auto_termination_policy/3","type":"function"},{"doc":"Returns the Amazon EMR block public access configuration for your Amazon Web Services account in the current Region. For more information see Configure Block Public Access for Amazon EMR in the Amazon EMR Management Guide.","ref":"aws_emr.html#get_block_public_access_configuration/2","title":"aws_emr.get_block_public_access_configuration/2","type":"function"},{"doc":"","ref":"aws_emr.html#get_block_public_access_configuration/3","title":"aws_emr.get_block_public_access_configuration/3","type":"function"},{"doc":"Provides Temporary, basic HTTP credentials that are associated with a given runtime IAM role and used by a cluster with fine-grained access control activated. You can use these credentials to connect to cluster endpoints that support username-based and password-based authentication.","ref":"aws_emr.html#get_cluster_session_credentials/2","title":"aws_emr.get_cluster_session_credentials/2","type":"function"},{"doc":"","ref":"aws_emr.html#get_cluster_session_credentials/3","title":"aws_emr.get_cluster_session_credentials/3","type":"function"},{"doc":"Fetches the attached managed scaling policy for an Amazon EMR cluster.","ref":"aws_emr.html#get_managed_scaling_policy/2","title":"aws_emr.get_managed_scaling_policy/2","type":"function"},{"doc":"","ref":"aws_emr.html#get_managed_scaling_policy/3","title":"aws_emr.get_managed_scaling_policy/3","type":"function"},{"doc":"Fetches mapping details for the specified Amazon EMR Studio and identity (user or group).","ref":"aws_emr.html#get_studio_session_mapping/2","title":"aws_emr.get_studio_session_mapping/2","type":"function"},{"doc":"","ref":"aws_emr.html#get_studio_session_mapping/3","title":"aws_emr.get_studio_session_mapping/3","type":"function"},{"doc":"Provides information about the bootstrap actions associated with a cluster.","ref":"aws_emr.html#list_bootstrap_actions/2","title":"aws_emr.list_bootstrap_actions/2","type":"function"},{"doc":"","ref":"aws_emr.html#list_bootstrap_actions/3","title":"aws_emr.list_bootstrap_actions/3","type":"function"},{"doc":"Provides the status of all clusters visible to this Amazon Web Services account. Allows you to filter the list of clusters based on certain criteria; for example, filtering by cluster creation date and time or by status. This call returns a maximum of 50 clusters in unsorted order per call, but returns a marker to track the paging of the cluster list across multiple ListClusters calls.","ref":"aws_emr.html#list_clusters/2","title":"aws_emr.list_clusters/2","type":"function"},{"doc":"","ref":"aws_emr.html#list_clusters/3","title":"aws_emr.list_clusters/3","type":"function"},{"doc":"Lists all available details about the instance fleets in a cluster. The instance fleet configuration is available only in Amazon EMR versions 4.8.0 and later, excluding 5.0.x versions.","ref":"aws_emr.html#list_instance_fleets/2","title":"aws_emr.list_instance_fleets/2","type":"function"},{"doc":"","ref":"aws_emr.html#list_instance_fleets/3","title":"aws_emr.list_instance_fleets/3","type":"function"},{"doc":"Provides all available details about the instance groups in a cluster.","ref":"aws_emr.html#list_instance_groups/2","title":"aws_emr.list_instance_groups/2","type":"function"},{"doc":"","ref":"aws_emr.html#list_instance_groups/3","title":"aws_emr.list_instance_groups/3","type":"function"},{"doc":"Provides information for all active EC2 instances and EC2 instances terminated in the last 30 days, up to a maximum of 2,000. EC2 instances in any of the following states are considered active: AWAITING_FULFILLMENT, PROVISIONING, BOOTSTRAPPING, RUNNING.","ref":"aws_emr.html#list_instances/2","title":"aws_emr.list_instances/2","type":"function"},{"doc":"","ref":"aws_emr.html#list_instances/3","title":"aws_emr.list_instances/3","type":"function"},{"doc":"Provides summaries of all notebook executions. You can filter the list based on multiple criteria such as status, time range, and editor id. Returns a maximum of 50 notebook executions and a marker to track the paging of a longer notebook execution list across multiple ListNotebookExecution calls.","ref":"aws_emr.html#list_notebook_executions/2","title":"aws_emr.list_notebook_executions/2","type":"function"},{"doc":"","ref":"aws_emr.html#list_notebook_executions/3","title":"aws_emr.list_notebook_executions/3","type":"function"},{"doc":"Retrieves release labels of EMR services in the region where the API is called.","ref":"aws_emr.html#list_release_labels/2","title":"aws_emr.list_release_labels/2","type":"function"},{"doc":"","ref":"aws_emr.html#list_release_labels/3","title":"aws_emr.list_release_labels/3","type":"function"},{"doc":"Lists all the security configurations visible to this account, providing their creation dates and times, and their names. This call returns a maximum of 50 clusters per call, but returns a marker to track the paging of the cluster list across multiple ListSecurityConfigurations calls.","ref":"aws_emr.html#list_security_configurations/2","title":"aws_emr.list_security_configurations/2","type":"function"},{"doc":"","ref":"aws_emr.html#list_security_configurations/3","title":"aws_emr.list_security_configurations/3","type":"function"},{"doc":"Provides a list of steps for the cluster in reverse order unless you specify stepIds with the request or filter by StepStates . You can specify a maximum of 10 stepIDs . The CLI automatically paginates results to return a list greater than 50 steps. To return more than 50 steps using the CLI, specify a Marker , which is a pagination token that indicates the next set of steps to retrieve.","ref":"aws_emr.html#list_steps/2","title":"aws_emr.list_steps/2","type":"function"},{"doc":"","ref":"aws_emr.html#list_steps/3","title":"aws_emr.list_steps/3","type":"function"},{"doc":"Returns a list of all user or group session mappings for the Amazon EMR Studio specified by StudioId .","ref":"aws_emr.html#list_studio_session_mappings/2","title":"aws_emr.list_studio_session_mappings/2","type":"function"},{"doc":"","ref":"aws_emr.html#list_studio_session_mappings/3","title":"aws_emr.list_studio_session_mappings/3","type":"function"},{"doc":"Returns a list of all Amazon EMR Studios associated with the Amazon Web Services account. The list includes details such as ID, Studio Access URL, and creation time for each Studio.","ref":"aws_emr.html#list_studios/2","title":"aws_emr.list_studios/2","type":"function"},{"doc":"","ref":"aws_emr.html#list_studios/3","title":"aws_emr.list_studios/3","type":"function"},{"doc":"Modifies the number of steps that can be executed concurrently for the cluster specified using ClusterID.","ref":"aws_emr.html#modify_cluster/2","title":"aws_emr.modify_cluster/2","type":"function"},{"doc":"","ref":"aws_emr.html#modify_cluster/3","title":"aws_emr.modify_cluster/3","type":"function"},{"doc":"Modifies the target On-Demand and target Spot capacities for the instance fleet with the specified InstanceFleetID within the cluster specified using ClusterID. The call either succeeds or fails atomically. The instance fleet configuration is available only in Amazon EMR versions 4.8.0 and later, excluding 5.0.x versions.","ref":"aws_emr.html#modify_instance_fleet/2","title":"aws_emr.modify_instance_fleet/2","type":"function"},{"doc":"","ref":"aws_emr.html#modify_instance_fleet/3","title":"aws_emr.modify_instance_fleet/3","type":"function"},{"doc":"ModifyInstanceGroups modifies the number of nodes and configuration settings of an instance group. The input parameters include the new target instance count for the group and the instance group ID. The call will either succeed or fail atomically.","ref":"aws_emr.html#modify_instance_groups/2","title":"aws_emr.modify_instance_groups/2","type":"function"},{"doc":"","ref":"aws_emr.html#modify_instance_groups/3","title":"aws_emr.modify_instance_groups/3","type":"function"},{"doc":"Creates or updates an automatic scaling policy for a core instance group or task instance group in an Amazon EMR cluster. The automatic scaling policy defines how an instance group dynamically adds and terminates EC2 instances in response to the value of a CloudWatch metric.","ref":"aws_emr.html#put_auto_scaling_policy/2","title":"aws_emr.put_auto_scaling_policy/2","type":"function"},{"doc":"","ref":"aws_emr.html#put_auto_scaling_policy/3","title":"aws_emr.put_auto_scaling_policy/3","type":"function"},{"doc":"Auto-termination is supported in Amazon EMR versions 5.30.0 and 6.1.0 and later. For more information, see Using an auto-termination policy. Creates or updates an auto-termination policy for an Amazon EMR cluster. An auto-termination policy defines the amount of idle time in seconds after which a cluster automatically terminates. For alternative cluster termination options, see Control cluster termination.","ref":"aws_emr.html#put_auto_termination_policy/2","title":"aws_emr.put_auto_termination_policy/2","type":"function"},{"doc":"","ref":"aws_emr.html#put_auto_termination_policy/3","title":"aws_emr.put_auto_termination_policy/3","type":"function"},{"doc":"Creates or updates an Amazon EMR block public access configuration for your Amazon Web Services account in the current Region. For more information see Configure Block Public Access for Amazon EMR in the Amazon EMR Management Guide.","ref":"aws_emr.html#put_block_public_access_configuration/2","title":"aws_emr.put_block_public_access_configuration/2","type":"function"},{"doc":"","ref":"aws_emr.html#put_block_public_access_configuration/3","title":"aws_emr.put_block_public_access_configuration/3","type":"function"},{"doc":"Creates or updates a managed scaling policy for an Amazon EMR cluster. The managed scaling policy defines the limits for resources, such as EC2 instances that can be added or terminated from a cluster. The policy only applies to the core and task nodes. The master node cannot be scaled after initial configuration.","ref":"aws_emr.html#put_managed_scaling_policy/2","title":"aws_emr.put_managed_scaling_policy/2","type":"function"},{"doc":"","ref":"aws_emr.html#put_managed_scaling_policy/3","title":"aws_emr.put_managed_scaling_policy/3","type":"function"},{"doc":"Removes an automatic scaling policy from a specified instance group within an EMR cluster.","ref":"aws_emr.html#remove_auto_scaling_policy/2","title":"aws_emr.remove_auto_scaling_policy/2","type":"function"},{"doc":"","ref":"aws_emr.html#remove_auto_scaling_policy/3","title":"aws_emr.remove_auto_scaling_policy/3","type":"function"},{"doc":"Removes an auto-termination policy from an Amazon EMR cluster.","ref":"aws_emr.html#remove_auto_termination_policy/2","title":"aws_emr.remove_auto_termination_policy/2","type":"function"},{"doc":"","ref":"aws_emr.html#remove_auto_termination_policy/3","title":"aws_emr.remove_auto_termination_policy/3","type":"function"},{"doc":"Removes a managed scaling policy from a specified EMR cluster.","ref":"aws_emr.html#remove_managed_scaling_policy/2","title":"aws_emr.remove_managed_scaling_policy/2","type":"function"},{"doc":"","ref":"aws_emr.html#remove_managed_scaling_policy/3","title":"aws_emr.remove_managed_scaling_policy/3","type":"function"},{"doc":"Removes tags from an Amazon EMR resource, such as a cluster or Amazon EMR Studio. Tags make it easier to associate resources in various ways, such as grouping clusters to track your Amazon EMR resource allocation costs. For more information, see Tag Clusters. The following example removes the stack tag with value Prod from a cluster:","ref":"aws_emr.html#remove_tags/2","title":"aws_emr.remove_tags/2","type":"function"},{"doc":"","ref":"aws_emr.html#remove_tags/3","title":"aws_emr.remove_tags/3","type":"function"},{"doc":"RunJobFlow creates and starts running a new cluster (job flow). The cluster runs the steps specified. After the steps complete, the cluster stops and the HDFS partition is lost. To prevent loss of data, configure the last step of the job flow to store results in Amazon S3. If the JobFlowInstancesConfig KeepJobFlowAliveWhenNoSteps parameter is set to TRUE , the cluster transitions to the WAITING state rather than shutting down after the steps have completed. For additional protection, you can set the JobFlowInstancesConfig TerminationProtected parameter to TRUE to lock the cluster and prevent it from being terminated by API call, user intervention, or in the event of a job flow error. A maximum of 256 steps are allowed in each job flow. If your cluster is long-running (such as a Hive data warehouse) or complex, you may require more than 256 steps to process your data. You can bypass the 256-step limitation in various ways, including using the SSH shell to connect to the master node and submitting queries directly to the software running on the master node, such as Hive and Hadoop. For long-running clusters, we recommend that you periodically store your results. The instance fleets configuration is available only in Amazon EMR versions 4.8.0 and later, excluding 5.0.x versions. The RunJobFlow request can contain InstanceFleets parameters or InstanceGroups parameters, but not both.","ref":"aws_emr.html#run_job_flow/2","title":"aws_emr.run_job_flow/2","type":"function"},{"doc":"","ref":"aws_emr.html#run_job_flow/3","title":"aws_emr.run_job_flow/3","type":"function"},{"doc":"SetTerminationProtection locks a cluster (job flow) so the EC2 instances in the cluster cannot be terminated by user intervention, an API call, or in the event of a job-flow error. The cluster still terminates upon successful completion of the job flow. Calling SetTerminationProtection on a cluster is similar to calling the Amazon EC2 DisableAPITermination API on all EC2 instances in a cluster. SetTerminationProtection is used to prevent accidental termination of a cluster and to ensure that in the event of an error, the instances persist so that you can recover any data stored in their ephemeral instance storage. To terminate a cluster that has been locked by setting SetTerminationProtection to true , you must first unlock the job flow by a subsequent call to SetTerminationProtection in which you set the value to false . For more information, seeManaging Cluster Termination in the Amazon EMR Management Guide.","ref":"aws_emr.html#set_termination_protection/2","title":"aws_emr.set_termination_protection/2","type":"function"},{"doc":"","ref":"aws_emr.html#set_termination_protection/3","title":"aws_emr.set_termination_protection/3","type":"function"},{"doc":"The SetVisibleToAllUsers parameter is no longer supported. Your cluster may be visible to all users in your account. To restrict cluster access using an IAM policy, see Identity and Access Management for EMR. Sets the Cluster$VisibleToAllUsers value for an EMR cluster. When true , IAM principals in the Amazon Web Services account can perform EMR cluster actions that their IAM policies allow. When false , only the IAM principal that created the cluster and the Amazon Web Services account root user can perform EMR actions on the cluster, regardless of IAM permissions policies attached to other IAM principals. This action works on running clusters. When you create a cluster, use the RunJobFlowInput$VisibleToAllUsers parameter. For more information, see Understanding the EMR Cluster VisibleToAllUsers Setting in the Amazon EMRManagement Guide.","ref":"aws_emr.html#set_visible_to_all_users/2","title":"aws_emr.set_visible_to_all_users/2","type":"function"},{"doc":"","ref":"aws_emr.html#set_visible_to_all_users/3","title":"aws_emr.set_visible_to_all_users/3","type":"function"},{"doc":"Starts a notebook execution.","ref":"aws_emr.html#start_notebook_execution/2","title":"aws_emr.start_notebook_execution/2","type":"function"},{"doc":"","ref":"aws_emr.html#start_notebook_execution/3","title":"aws_emr.start_notebook_execution/3","type":"function"},{"doc":"Stops a notebook execution.","ref":"aws_emr.html#stop_notebook_execution/2","title":"aws_emr.stop_notebook_execution/2","type":"function"},{"doc":"","ref":"aws_emr.html#stop_notebook_execution/3","title":"aws_emr.stop_notebook_execution/3","type":"function"},{"doc":"TerminateJobFlows shuts a list of clusters (job flows) down. When a job flow is shut down, any step not yet completed is canceled and the EC2 instances on which the cluster is running are stopped. Any log files not already saved are uploaded to Amazon S3 if a LogUri was specified when the cluster was created. The maximum number of clusters allowed is 10. The call to TerminateJobFlows is asynchronous. Depending on the configuration of the cluster, it may take up to 1-5 minutes for the cluster to completely terminate and release allocated resources, such as Amazon EC2 instances.","ref":"aws_emr.html#terminate_job_flows/2","title":"aws_emr.terminate_job_flows/2","type":"function"},{"doc":"","ref":"aws_emr.html#terminate_job_flows/3","title":"aws_emr.terminate_job_flows/3","type":"function"},{"doc":"Updates an Amazon EMR Studio configuration, including attributes such as name, description, and subnets.","ref":"aws_emr.html#update_studio/2","title":"aws_emr.update_studio/2","type":"function"},{"doc":"","ref":"aws_emr.html#update_studio/3","title":"aws_emr.update_studio/3","type":"function"},{"doc":"Updates the session policy attached to the user or group for the specified Amazon EMR Studio.","ref":"aws_emr.html#update_studio_session_mapping/2","title":"aws_emr.update_studio_session_mapping/2","type":"function"},{"doc":"","ref":"aws_emr.html#update_studio_session_mapping/3","title":"aws_emr.update_studio_session_mapping/3","type":"function"},{"doc":"Amazon EMR on EKS provides a deployment option for Amazon EMR that allows you to run open-source big data frameworks on Amazon Elastic Kubernetes Service (Amazon EKS). With this deployment option, you can focus on running analytics workloads while Amazon EMR on EKS builds, configures, and manages containers for open-source applications. For more information about Amazon EMR on EKS concepts and tasks, see What is shared id=&quot;EMR-EKS&quot;/&gt;. Amazon EMR containers is the API name for Amazon EMR on EKS. The emr-containers prefix is used in the following scenarios: It is the prefix in the CLI commands for Amazon EMR on EKS. For example, aws emr-containers start-job-run . It is the prefix before IAM policy actions for Amazon EMR on EKS. For example, &amp;quot;Action&amp;quot;: [ &amp;quot;emr-containers:StartJobRun&amp;quot;] . For more information, see Policy actions for Amazon EMR on EKS. It is the prefix used in Amazon EMR on EKS service endpoints. For example, emr-containers.us-east-2.amazonaws.com . For more information, see Amazon EMR on EKSService Endpoints.","ref":"aws_emr_containers.html","title":"aws_emr_containers","type":"module"},{"doc":"Cancels a job run. A job run is a unit of work, such as a Spark jar, PySpark script, or SparkSQL query, that you submit to Amazon EMR on EKS.","ref":"aws_emr_containers.html#cancel_job_run/4","title":"aws_emr_containers.cancel_job_run/4","type":"function"},{"doc":"","ref":"aws_emr_containers.html#cancel_job_run/5","title":"aws_emr_containers.cancel_job_run/5","type":"function"},{"doc":"Creates a job template. Job template stores values of StartJobRun API request in a template and can be used to start a job run. Job template allows two use cases: avoid repeating recurring StartJobRun API request values, enforcing certain values in StartJobRun API request.","ref":"aws_emr_containers.html#create_job_template/2","title":"aws_emr_containers.create_job_template/2","type":"function"},{"doc":"","ref":"aws_emr_containers.html#create_job_template/3","title":"aws_emr_containers.create_job_template/3","type":"function"},{"doc":"Creates a managed endpoint. A managed endpoint is a gateway that connects Amazon EMR Studio to Amazon EMR on EKS so that Amazon EMR Studio can communicate with your virtual cluster.","ref":"aws_emr_containers.html#create_managed_endpoint/3","title":"aws_emr_containers.create_managed_endpoint/3","type":"function"},{"doc":"","ref":"aws_emr_containers.html#create_managed_endpoint/4","title":"aws_emr_containers.create_managed_endpoint/4","type":"function"},{"doc":"Creates a virtual cluster. Virtual cluster is a managed entity on Amazon EMR on EKS. You can create, describe, list and delete virtual clusters. They do not consume any additional resource in your system. A single virtual cluster maps to a single Kubernetes namespace. Given this relationship, you can model virtual clusters the same way you model Kubernetes namespaces to meet your requirements.","ref":"aws_emr_containers.html#create_virtual_cluster/2","title":"aws_emr_containers.create_virtual_cluster/2","type":"function"},{"doc":"","ref":"aws_emr_containers.html#create_virtual_cluster/3","title":"aws_emr_containers.create_virtual_cluster/3","type":"function"},{"doc":"Deletes a job template. Job template stores values of StartJobRun API request in a template and can be used to start a job run. Job template allows two use cases: avoid repeating recurring StartJobRun API request values, enforcing certain values in StartJobRun API request.","ref":"aws_emr_containers.html#delete_job_template/3","title":"aws_emr_containers.delete_job_template/3","type":"function"},{"doc":"","ref":"aws_emr_containers.html#delete_job_template/4","title":"aws_emr_containers.delete_job_template/4","type":"function"},{"doc":"Deletes a managed endpoint. A managed endpoint is a gateway that connects Amazon EMR Studio to Amazon EMR on EKS so that Amazon EMR Studio can communicate with your virtual cluster.","ref":"aws_emr_containers.html#delete_managed_endpoint/4","title":"aws_emr_containers.delete_managed_endpoint/4","type":"function"},{"doc":"","ref":"aws_emr_containers.html#delete_managed_endpoint/5","title":"aws_emr_containers.delete_managed_endpoint/5","type":"function"},{"doc":"Deletes a virtual cluster. Virtual cluster is a managed entity on Amazon EMR on EKS. You can create, describe, list and delete virtual clusters. They do not consume any additional resource in your system. A single virtual cluster maps to a single Kubernetes namespace. Given this relationship, you can model virtual clusters the same way you model Kubernetes namespaces to meet your requirements.","ref":"aws_emr_containers.html#delete_virtual_cluster/3","title":"aws_emr_containers.delete_virtual_cluster/3","type":"function"},{"doc":"","ref":"aws_emr_containers.html#delete_virtual_cluster/4","title":"aws_emr_containers.delete_virtual_cluster/4","type":"function"},{"doc":"Displays detailed information about a job run. A job run is a unit of work, such as a Spark jar, PySpark script, or SparkSQL query, that you submit to Amazon EMR on EKS.","ref":"aws_emr_containers.html#describe_job_run/3","title":"aws_emr_containers.describe_job_run/3","type":"function"},{"doc":"","ref":"aws_emr_containers.html#describe_job_run/5","title":"aws_emr_containers.describe_job_run/5","type":"function"},{"doc":"","ref":"aws_emr_containers.html#describe_job_run/6","title":"aws_emr_containers.describe_job_run/6","type":"function"},{"doc":"Displays detailed information about a specified job template. Job template stores values of StartJobRun API request in a template and can be used to start a job run. Job template allows two use cases: avoid repeating recurring StartJobRun API request values, enforcing certain values in StartJobRun API request.","ref":"aws_emr_containers.html#describe_job_template/2","title":"aws_emr_containers.describe_job_template/2","type":"function"},{"doc":"","ref":"aws_emr_containers.html#describe_job_template/4","title":"aws_emr_containers.describe_job_template/4","type":"function"},{"doc":"","ref":"aws_emr_containers.html#describe_job_template/5","title":"aws_emr_containers.describe_job_template/5","type":"function"},{"doc":"Displays detailed information about a managed endpoint. A managed endpoint is a gateway that connects Amazon EMR Studio to Amazon EMR on EKS so that Amazon EMR Studio can communicate with your virtual cluster.","ref":"aws_emr_containers.html#describe_managed_endpoint/3","title":"aws_emr_containers.describe_managed_endpoint/3","type":"function"},{"doc":"","ref":"aws_emr_containers.html#describe_managed_endpoint/5","title":"aws_emr_containers.describe_managed_endpoint/5","type":"function"},{"doc":"","ref":"aws_emr_containers.html#describe_managed_endpoint/6","title":"aws_emr_containers.describe_managed_endpoint/6","type":"function"},{"doc":"Displays detailed information about a specified virtual cluster. Virtual cluster is a managed entity on Amazon EMR on EKS. You can create, describe, list and delete virtual clusters. They do not consume any additional resource in your system. A single virtual cluster maps to a single Kubernetes namespace. Given this relationship, you can model virtual clusters the same way you model Kubernetes namespaces to meet your requirements.","ref":"aws_emr_containers.html#describe_virtual_cluster/2","title":"aws_emr_containers.describe_virtual_cluster/2","type":"function"},{"doc":"","ref":"aws_emr_containers.html#describe_virtual_cluster/4","title":"aws_emr_containers.describe_virtual_cluster/4","type":"function"},{"doc":"","ref":"aws_emr_containers.html#describe_virtual_cluster/5","title":"aws_emr_containers.describe_virtual_cluster/5","type":"function"},{"doc":"Lists job runs based on a set of parameters. A job run is a unit of work, such as a Spark jar, PySpark script, or SparkSQL query, that you submit to Amazon EMR on EKS.","ref":"aws_emr_containers.html#list_job_runs/2","title":"aws_emr_containers.list_job_runs/2","type":"function"},{"doc":"","ref":"aws_emr_containers.html#list_job_runs/4","title":"aws_emr_containers.list_job_runs/4","type":"function"},{"doc":"","ref":"aws_emr_containers.html#list_job_runs/5","title":"aws_emr_containers.list_job_runs/5","type":"function"},{"doc":"Lists job templates based on a set of parameters. Job template stores values of StartJobRun API request in a template and can be used to start a job run. Job template allows two use cases: avoid repeating recurring StartJobRun API request values, enforcing certain values in StartJobRun API request.","ref":"aws_emr_containers.html#list_job_templates/1","title":"aws_emr_containers.list_job_templates/1","type":"function"},{"doc":"","ref":"aws_emr_containers.html#list_job_templates/3","title":"aws_emr_containers.list_job_templates/3","type":"function"},{"doc":"","ref":"aws_emr_containers.html#list_job_templates/4","title":"aws_emr_containers.list_job_templates/4","type":"function"},{"doc":"Lists managed endpoints based on a set of parameters. A managed endpoint is a gateway that connects Amazon EMR Studio to Amazon EMR on EKS so that Amazon EMR Studio can communicate with your virtual cluster.","ref":"aws_emr_containers.html#list_managed_endpoints/2","title":"aws_emr_containers.list_managed_endpoints/2","type":"function"},{"doc":"","ref":"aws_emr_containers.html#list_managed_endpoints/4","title":"aws_emr_containers.list_managed_endpoints/4","type":"function"},{"doc":"","ref":"aws_emr_containers.html#list_managed_endpoints/5","title":"aws_emr_containers.list_managed_endpoints/5","type":"function"},{"doc":"Lists the tags assigned to the resources.","ref":"aws_emr_containers.html#list_tags_for_resource/2","title":"aws_emr_containers.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_emr_containers.html#list_tags_for_resource/4","title":"aws_emr_containers.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_emr_containers.html#list_tags_for_resource/5","title":"aws_emr_containers.list_tags_for_resource/5","type":"function"},{"doc":"Lists information about the specified virtual cluster. Virtual cluster is a managed entity on Amazon EMR on EKS. You can create, describe, list and delete virtual clusters. They do not consume any additional resource in your system. A single virtual cluster maps to a single Kubernetes namespace. Given this relationship, you can model virtual clusters the same way you model Kubernetes namespaces to meet your requirements.","ref":"aws_emr_containers.html#list_virtual_clusters/1","title":"aws_emr_containers.list_virtual_clusters/1","type":"function"},{"doc":"","ref":"aws_emr_containers.html#list_virtual_clusters/3","title":"aws_emr_containers.list_virtual_clusters/3","type":"function"},{"doc":"","ref":"aws_emr_containers.html#list_virtual_clusters/4","title":"aws_emr_containers.list_virtual_clusters/4","type":"function"},{"doc":"Starts a job run. A job run is a unit of work, such as a Spark jar, PySpark script, or SparkSQL query, that you submit to Amazon EMR on EKS.","ref":"aws_emr_containers.html#start_job_run/3","title":"aws_emr_containers.start_job_run/3","type":"function"},{"doc":"","ref":"aws_emr_containers.html#start_job_run/4","title":"aws_emr_containers.start_job_run/4","type":"function"},{"doc":"Assigns tags to resources. A tag is a label that you assign to an Amazon Web Services resource. Each tag consists of a key and an optional value, both of which you define. Tags enable you to categorize your Amazon Web Services resources by attributes such as purpose, owner, or environment. When you have many resources of the same type, you can quickly identify a specific resource based on the tags you've assigned to it. For example, you can define a set of tags for your Amazon EMR on EKS clusters to help you track each cluster's owner and stack level. We recommend that you devise a consistent set of tag keys for each resource type. You can then search and filter the resources based on the tags that you add.","ref":"aws_emr_containers.html#tag_resource/3","title":"aws_emr_containers.tag_resource/3","type":"function"},{"doc":"","ref":"aws_emr_containers.html#tag_resource/4","title":"aws_emr_containers.tag_resource/4","type":"function"},{"doc":"Removes tags from resources.","ref":"aws_emr_containers.html#untag_resource/3","title":"aws_emr_containers.untag_resource/3","type":"function"},{"doc":"","ref":"aws_emr_containers.html#untag_resource/4","title":"aws_emr_containers.untag_resource/4","type":"function"},{"doc":"Amazon EMR Serverless is a new deployment option for Amazon EMR. EMR Serverless provides a serverless runtime environment that simplifies running analytics applications using the latest open source frameworks such as Apache Spark and Apache Hive. With EMR Serverless, you don’t have to configure, optimize, secure, or operate clusters to run applications with these frameworks. The API reference to Amazon EMR Serverless is emr-serverless . The emr-serverless prefix is used in the following scenarios: It is the prefix in the CLI commands for Amazon EMR Serverless. For example, aws emr-serverless start-job-run . It is the prefix before IAM policy actions for Amazon EMR Serverless. For example, &amp;quot;Action&amp;quot;: [&amp;quot;emr-serverless:StartJobRun&amp;quot;] . For more information, see Policy actions for Amazon EMR Serverless. It is the prefix used in Amazon EMR Serverless service endpoints. For example, emr-serverless.us-east-2.amazonaws.com .","ref":"aws_emr_serverless.html","title":"aws_emr_serverless","type":"module"},{"doc":"Cancels a job run.","ref":"aws_emr_serverless.html#cancel_job_run/4","title":"aws_emr_serverless.cancel_job_run/4","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#cancel_job_run/5","title":"aws_emr_serverless.cancel_job_run/5","type":"function"},{"doc":"Creates an application.","ref":"aws_emr_serverless.html#create_application/2","title":"aws_emr_serverless.create_application/2","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#create_application/3","title":"aws_emr_serverless.create_application/3","type":"function"},{"doc":"Deletes an application. An application has to be in a stopped or created state in order to be deleted.","ref":"aws_emr_serverless.html#delete_application/3","title":"aws_emr_serverless.delete_application/3","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#delete_application/4","title":"aws_emr_serverless.delete_application/4","type":"function"},{"doc":"Displays detailed information about a specified application.","ref":"aws_emr_serverless.html#get_application/2","title":"aws_emr_serverless.get_application/2","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#get_application/4","title":"aws_emr_serverless.get_application/4","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#get_application/5","title":"aws_emr_serverless.get_application/5","type":"function"},{"doc":"Returns a URL to access the job run dashboard.","ref":"aws_emr_serverless.html#get_dashboard_for_job_run/3","title":"aws_emr_serverless.get_dashboard_for_job_run/3","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#get_dashboard_for_job_run/5","title":"aws_emr_serverless.get_dashboard_for_job_run/5","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#get_dashboard_for_job_run/6","title":"aws_emr_serverless.get_dashboard_for_job_run/6","type":"function"},{"doc":"Displays detailed information about a job run.","ref":"aws_emr_serverless.html#get_job_run/3","title":"aws_emr_serverless.get_job_run/3","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#get_job_run/5","title":"aws_emr_serverless.get_job_run/5","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#get_job_run/6","title":"aws_emr_serverless.get_job_run/6","type":"function"},{"doc":"Lists applications based on a set of parameters.","ref":"aws_emr_serverless.html#list_applications/1","title":"aws_emr_serverless.list_applications/1","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#list_applications/3","title":"aws_emr_serverless.list_applications/3","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#list_applications/4","title":"aws_emr_serverless.list_applications/4","type":"function"},{"doc":"Lists job runs based on a set of parameters.","ref":"aws_emr_serverless.html#list_job_runs/2","title":"aws_emr_serverless.list_job_runs/2","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#list_job_runs/4","title":"aws_emr_serverless.list_job_runs/4","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#list_job_runs/5","title":"aws_emr_serverless.list_job_runs/5","type":"function"},{"doc":"Lists the tags assigned to the resources.","ref":"aws_emr_serverless.html#list_tags_for_resource/2","title":"aws_emr_serverless.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#list_tags_for_resource/4","title":"aws_emr_serverless.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#list_tags_for_resource/5","title":"aws_emr_serverless.list_tags_for_resource/5","type":"function"},{"doc":"Starts a specified application and initializes initial capacity if configured.","ref":"aws_emr_serverless.html#start_application/3","title":"aws_emr_serverless.start_application/3","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#start_application/4","title":"aws_emr_serverless.start_application/4","type":"function"},{"doc":"Starts a job run.","ref":"aws_emr_serverless.html#start_job_run/3","title":"aws_emr_serverless.start_job_run/3","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#start_job_run/4","title":"aws_emr_serverless.start_job_run/4","type":"function"},{"doc":"Stops a specified application and releases initial capacity if configured. All scheduled and running jobs must be completed or cancelled before stopping an application.","ref":"aws_emr_serverless.html#stop_application/3","title":"aws_emr_serverless.stop_application/3","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#stop_application/4","title":"aws_emr_serverless.stop_application/4","type":"function"},{"doc":"Assigns tags to resources. A tag is a label that you assign to an AWS resource. Each tag consists of a key and an optional value, both of which you define. Tags enable you to categorize your AWS resources by attributes such as purpose, owner, or environment. When you have many resources of the same type, you can quickly identify a specific resource based on the tags you've assigned to it.","ref":"aws_emr_serverless.html#tag_resource/3","title":"aws_emr_serverless.tag_resource/3","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#tag_resource/4","title":"aws_emr_serverless.tag_resource/4","type":"function"},{"doc":"Removes tags from resources.","ref":"aws_emr_serverless.html#untag_resource/3","title":"aws_emr_serverless.untag_resource/3","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#untag_resource/4","title":"aws_emr_serverless.untag_resource/4","type":"function"},{"doc":"Updates a specified application. An application has to be in a stopped or created state in order to be updated.","ref":"aws_emr_serverless.html#update_application/3","title":"aws_emr_serverless.update_application/3","type":"function"},{"doc":"","ref":"aws_emr_serverless.html#update_application/4","title":"aws_emr_serverless.update_application/4","type":"function"},{"doc":"AWS Marketplace Entitlement Service This reference provides descriptions of the AWS Marketplace Entitlement Service API. AWS Marketplace Entitlement Service is used to determine the entitlement of a customer to a given product. An entitlement represents capacity in a product owned by the customer. For example, a customer might own some number of users or seats in an SaaS application or some amount of data capacity in a multi-tenant database. Getting Entitlement Records GetEntitlements- Gets the entitlements for a Marketplace product.","ref":"aws_entitlement_marketplace.html","title":"aws_entitlement_marketplace","type":"module"},{"doc":"GetEntitlements retrieves entitlement values for a given product. The results can be filtered based on customer identifier or product dimensions.","ref":"aws_entitlement_marketplace.html#get_entitlements/2","title":"aws_entitlement_marketplace.get_entitlements/2","type":"function"},{"doc":"","ref":"aws_entitlement_marketplace.html#get_entitlements/3","title":"aws_entitlement_marketplace.get_entitlements/3","type":"function"},{"doc":"Amazon EventBridge helps you to respond to state changes in your Amazon Web Services resources. When your resources change state, they automatically send events to an event stream. You can create rules that match selected events in the stream and route them to targets to take action. You can also use rules to take action on a predetermined schedule. For example, you can configure rules to: Automatically invoke an Lambda function to update DNS entries when an event notifies you that Amazon EC2 instance enters the running state. Direct specific API records from CloudTrail to an Amazon Kinesis data stream for detailed analysis of potential security or availability risks. Periodically invoke a built-in target to create a snapshot of an Amazon EBS volume. For more information about the features of Amazon EventBridge, see the Amazon EventBridge User Guide.","ref":"aws_eventbridge.html","title":"aws_eventbridge","type":"module"},{"doc":"Activates a partner event source that has been deactivated. Once activated, your matching event bus will start receiving events from the event source.","ref":"aws_eventbridge.html#activate_event_source/2","title":"aws_eventbridge.activate_event_source/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#activate_event_source/3","title":"aws_eventbridge.activate_event_source/3","type":"function"},{"doc":"Cancels the specified replay.","ref":"aws_eventbridge.html#cancel_replay/2","title":"aws_eventbridge.cancel_replay/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#cancel_replay/3","title":"aws_eventbridge.cancel_replay/3","type":"function"},{"doc":"Creates an API destination, which is an HTTP invocation endpoint configured as a target for events.","ref":"aws_eventbridge.html#create_api_destination/2","title":"aws_eventbridge.create_api_destination/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#create_api_destination/3","title":"aws_eventbridge.create_api_destination/3","type":"function"},{"doc":"Creates an archive of events with the specified settings. When you create an archive, incoming events might not immediately start being sent to the archive. Allow a short period of time for changes to take effect. If you do not specify a pattern to filter events sent to the archive, all events are sent to the archive except replayed events. Replayed events are not sent to an archive.","ref":"aws_eventbridge.html#create_archive/2","title":"aws_eventbridge.create_archive/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#create_archive/3","title":"aws_eventbridge.create_archive/3","type":"function"},{"doc":"Creates a connection. A connection defines the authorization type and credentials to use for authorization with an API destination HTTP endpoint.","ref":"aws_eventbridge.html#create_connection/2","title":"aws_eventbridge.create_connection/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#create_connection/3","title":"aws_eventbridge.create_connection/3","type":"function"},{"doc":"Creates a global endpoint. Global endpoints improve your application's availability by making it regional-fault tolerant. To do this, you define a primary and secondary Region with event buses in each Region. You also create a Amazon Route 53 health check that will tell EventBridge to route events to the secondary Region when an &quot;unhealthy&quot; state is encountered and events will be routed back to the primary Region when the health check reports a &quot;healthy&quot; state.","ref":"aws_eventbridge.html#create_endpoint/2","title":"aws_eventbridge.create_endpoint/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#create_endpoint/3","title":"aws_eventbridge.create_endpoint/3","type":"function"},{"doc":"Creates a new event bus within your account. This can be a custom event bus which you can use to receive events from your custom applications and services, or it can be a partner event bus which can be matched to a partner event source.","ref":"aws_eventbridge.html#create_event_bus/2","title":"aws_eventbridge.create_event_bus/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#create_event_bus/3","title":"aws_eventbridge.create_event_bus/3","type":"function"},{"doc":"Called by an SaaS partner to create a partner event source. This operation is not used by Amazon Web Services customers. Each partner event source can be used by one Amazon Web Services account to create a matching partner event bus in that Amazon Web Services account. A SaaS partner must create one partner event source for each Amazon Web Services account that wants to receive those event types. A partner event source creates events based on resources within the SaaS partner's service or application. An Amazon Web Services account that creates a partner event bus that matches the partner event source can use that event bus to receive events from the partner, and then process them using Amazon Web Services Events rules and targets. Partner event source names follow this format: partner_name/event_namespace/event_name partner_name is determined during partner registration and identifies the partner to Amazon Web Services customers. event_namespace is determined by the partner and is a way for the partner to categorize their events. event_name is determined by the partner, and should uniquely identify an event-generating resource within the partner system. The combination of event_namespace and event_name should help Amazon Web Services customers decide whether to create an event bus to receive these events.","ref":"aws_eventbridge.html#create_partner_event_source/2","title":"aws_eventbridge.create_partner_event_source/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#create_partner_event_source/3","title":"aws_eventbridge.create_partner_event_source/3","type":"function"},{"doc":"You can use this operation to temporarily stop receiving events from the specified partner event source. The matching event bus is not deleted. When you deactivate a partner event source, the source goes into PENDING state. If it remains in PENDING state for more than two weeks, it is deleted. To activate a deactivated partner event source, use ActivateEventSource.","ref":"aws_eventbridge.html#deactivate_event_source/2","title":"aws_eventbridge.deactivate_event_source/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#deactivate_event_source/3","title":"aws_eventbridge.deactivate_event_source/3","type":"function"},{"doc":"Removes all authorization parameters from the connection. This lets you remove the secret from the connection so you can reuse it without having to create a new connection.","ref":"aws_eventbridge.html#deauthorize_connection/2","title":"aws_eventbridge.deauthorize_connection/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#deauthorize_connection/3","title":"aws_eventbridge.deauthorize_connection/3","type":"function"},{"doc":"Deletes the specified API destination.","ref":"aws_eventbridge.html#delete_api_destination/2","title":"aws_eventbridge.delete_api_destination/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#delete_api_destination/3","title":"aws_eventbridge.delete_api_destination/3","type":"function"},{"doc":"Deletes the specified archive.","ref":"aws_eventbridge.html#delete_archive/2","title":"aws_eventbridge.delete_archive/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#delete_archive/3","title":"aws_eventbridge.delete_archive/3","type":"function"},{"doc":"Deletes a connection.","ref":"aws_eventbridge.html#delete_connection/2","title":"aws_eventbridge.delete_connection/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#delete_connection/3","title":"aws_eventbridge.delete_connection/3","type":"function"},{"doc":"Delete an existing global endpoint. For more information about global endpoints, see Making applications Regional-fault tolerant with global endpoints and event replication in the Amazon EventBridge User Guide.","ref":"aws_eventbridge.html#delete_endpoint/2","title":"aws_eventbridge.delete_endpoint/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#delete_endpoint/3","title":"aws_eventbridge.delete_endpoint/3","type":"function"},{"doc":"Deletes the specified custom event bus or partner event bus. All rules associated with this event bus need to be deleted. You can't delete your account's default event bus.","ref":"aws_eventbridge.html#delete_event_bus/2","title":"aws_eventbridge.delete_event_bus/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#delete_event_bus/3","title":"aws_eventbridge.delete_event_bus/3","type":"function"},{"doc":"This operation is used by SaaS partners to delete a partner event source. This operation is not used by Amazon Web Services customers. When you delete an event source, the status of the corresponding partner event bus in the Amazon Web Services customer account becomes DELETED.","ref":"aws_eventbridge.html#delete_partner_event_source/2","title":"aws_eventbridge.delete_partner_event_source/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#delete_partner_event_source/3","title":"aws_eventbridge.delete_partner_event_source/3","type":"function"},{"doc":"Deletes the specified rule. Before you can delete the rule, you must remove all targets, using RemoveTargets. When you delete a rule, incoming events might continue to match to the deleted rule. Allow a short period of time for changes to take effect. If you call delete rule multiple times for the same rule, all calls will succeed. When you call delete rule for a non-existent custom eventbus, ResourceNotFoundException is returned. Managed rules are rules created and managed by another Amazon Web Services service on your behalf. These rules are created by those other Amazon Web Services services to support functionality in those services. You can delete these rules using the Force option, but you should do so only if you are sure the other service is not still using that rule.","ref":"aws_eventbridge.html#delete_rule/2","title":"aws_eventbridge.delete_rule/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#delete_rule/3","title":"aws_eventbridge.delete_rule/3","type":"function"},{"doc":"Retrieves details about an API destination.","ref":"aws_eventbridge.html#describe_api_destination/2","title":"aws_eventbridge.describe_api_destination/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#describe_api_destination/3","title":"aws_eventbridge.describe_api_destination/3","type":"function"},{"doc":"Retrieves details about an archive.","ref":"aws_eventbridge.html#describe_archive/2","title":"aws_eventbridge.describe_archive/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#describe_archive/3","title":"aws_eventbridge.describe_archive/3","type":"function"},{"doc":"Retrieves details about a connection.","ref":"aws_eventbridge.html#describe_connection/2","title":"aws_eventbridge.describe_connection/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#describe_connection/3","title":"aws_eventbridge.describe_connection/3","type":"function"},{"doc":"Get the information about an existing global endpoint. For more information about global endpoints, see Making applications Regional-fault tolerant with global endpoints and event replication in the Amazon EventBridge User Guide..","ref":"aws_eventbridge.html#describe_endpoint/2","title":"aws_eventbridge.describe_endpoint/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#describe_endpoint/3","title":"aws_eventbridge.describe_endpoint/3","type":"function"},{"doc":"Displays details about an event bus in your account. This can include the external Amazon Web Services accounts that are permitted to write events to your default event bus, and the associated policy. For custom event buses and partner event buses, it displays the name, ARN, policy, state, and creation time. To enable your account to receive events from other accounts on its default event bus, use PutPermission. For more information about partner event buses, see CreateEventBus.","ref":"aws_eventbridge.html#describe_event_bus/2","title":"aws_eventbridge.describe_event_bus/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#describe_event_bus/3","title":"aws_eventbridge.describe_event_bus/3","type":"function"},{"doc":"This operation lists details about a partner event source that is shared with your account.","ref":"aws_eventbridge.html#describe_event_source/2","title":"aws_eventbridge.describe_event_source/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#describe_event_source/3","title":"aws_eventbridge.describe_event_source/3","type":"function"},{"doc":"An SaaS partner can use this operation to list details about a partner event source that they have created. Amazon Web Services customers do not use this operation. Instead, Amazon Web Services customers can use DescribeEventSource to see details about a partner event source that is shared with them.","ref":"aws_eventbridge.html#describe_partner_event_source/2","title":"aws_eventbridge.describe_partner_event_source/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#describe_partner_event_source/3","title":"aws_eventbridge.describe_partner_event_source/3","type":"function"},{"doc":"Retrieves details about a replay. Use DescribeReplay to determine the progress of a running replay. A replay processes events to replay based on the time in the event, and replays them using 1 minute intervals. If you use StartReplay and specify an EventStartTime and an EventEndTime that covers a 20 minute time range, the events are replayed from the first minute of that 20 minute range first. Then the events from the second minute are replayed. You can use DescribeReplay to determine the progress of a replay. The value returned for EventLastReplayedTime indicates the time within the specified time range associated with the last event replayed.","ref":"aws_eventbridge.html#describe_replay/2","title":"aws_eventbridge.describe_replay/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#describe_replay/3","title":"aws_eventbridge.describe_replay/3","type":"function"},{"doc":"Describes the specified rule. DescribeRule does not list the targets of a rule. To see the targets associated with a rule, use ListTargetsByRule.","ref":"aws_eventbridge.html#describe_rule/2","title":"aws_eventbridge.describe_rule/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#describe_rule/3","title":"aws_eventbridge.describe_rule/3","type":"function"},{"doc":"Disables the specified rule. A disabled rule won't match any events, and won't self-trigger if it has a schedule expression. When you disable a rule, incoming events might continue to match to the disabled rule. Allow a short period of time for changes to take effect.","ref":"aws_eventbridge.html#disable_rule/2","title":"aws_eventbridge.disable_rule/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#disable_rule/3","title":"aws_eventbridge.disable_rule/3","type":"function"},{"doc":"Enables the specified rule. If the rule does not exist, the operation fails. When you enable a rule, incoming events might not immediately start matching to a newly enabled rule. Allow a short period of time for changes to take effect.","ref":"aws_eventbridge.html#enable_rule/2","title":"aws_eventbridge.enable_rule/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#enable_rule/3","title":"aws_eventbridge.enable_rule/3","type":"function"},{"doc":"Retrieves a list of API destination in the account in the current Region.","ref":"aws_eventbridge.html#list_api_destinations/2","title":"aws_eventbridge.list_api_destinations/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_api_destinations/3","title":"aws_eventbridge.list_api_destinations/3","type":"function"},{"doc":"Lists your archives. You can either list all the archives or you can provide a prefix to match to the archive names. Filter parameters are exclusive.","ref":"aws_eventbridge.html#list_archives/2","title":"aws_eventbridge.list_archives/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_archives/3","title":"aws_eventbridge.list_archives/3","type":"function"},{"doc":"Retrieves a list of connections from the account.","ref":"aws_eventbridge.html#list_connections/2","title":"aws_eventbridge.list_connections/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_connections/3","title":"aws_eventbridge.list_connections/3","type":"function"},{"doc":"List the global endpoints associated with this account. For more information about global endpoints, see Making applications Regional-fault tolerant with global endpoints and event replication in the Amazon EventBridge User Guide..","ref":"aws_eventbridge.html#list_endpoints/2","title":"aws_eventbridge.list_endpoints/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_endpoints/3","title":"aws_eventbridge.list_endpoints/3","type":"function"},{"doc":"Lists all the event buses in your account, including the default event bus, custom event buses, and partner event buses.","ref":"aws_eventbridge.html#list_event_buses/2","title":"aws_eventbridge.list_event_buses/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_event_buses/3","title":"aws_eventbridge.list_event_buses/3","type":"function"},{"doc":"You can use this to see all the partner event sources that have been shared with your Amazon Web Services account. For more information about partner event sources, see CreateEventBus.","ref":"aws_eventbridge.html#list_event_sources/2","title":"aws_eventbridge.list_event_sources/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_event_sources/3","title":"aws_eventbridge.list_event_sources/3","type":"function"},{"doc":"An SaaS partner can use this operation to display the Amazon Web Services account ID that a particular partner event source name is associated with. This operation is not used by Amazon Web Services customers.","ref":"aws_eventbridge.html#list_partner_event_source_accounts/2","title":"aws_eventbridge.list_partner_event_source_accounts/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_partner_event_source_accounts/3","title":"aws_eventbridge.list_partner_event_source_accounts/3","type":"function"},{"doc":"An SaaS partner can use this operation to list all the partner event source names that they have created. This operation is not used by Amazon Web Services customers.","ref":"aws_eventbridge.html#list_partner_event_sources/2","title":"aws_eventbridge.list_partner_event_sources/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_partner_event_sources/3","title":"aws_eventbridge.list_partner_event_sources/3","type":"function"},{"doc":"Lists your replays. You can either list all the replays or you can provide a prefix to match to the replay names. Filter parameters are exclusive.","ref":"aws_eventbridge.html#list_replays/2","title":"aws_eventbridge.list_replays/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_replays/3","title":"aws_eventbridge.list_replays/3","type":"function"},{"doc":"Lists the rules for the specified target. You can see which of the rules in Amazon EventBridge can invoke a specific target in your account.","ref":"aws_eventbridge.html#list_rule_names_by_target/2","title":"aws_eventbridge.list_rule_names_by_target/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_rule_names_by_target/3","title":"aws_eventbridge.list_rule_names_by_target/3","type":"function"},{"doc":"Lists your Amazon EventBridge rules. You can either list all the rules or you can provide a prefix to match to the rule names. ListRules does not list the targets of a rule. To see the targets associated with a rule, use ListTargetsByRule.","ref":"aws_eventbridge.html#list_rules/2","title":"aws_eventbridge.list_rules/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_rules/3","title":"aws_eventbridge.list_rules/3","type":"function"},{"doc":"Displays the tags associated with an EventBridge resource. In EventBridge, rules and event buses can be tagged.","ref":"aws_eventbridge.html#list_tags_for_resource/2","title":"aws_eventbridge.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_tags_for_resource/3","title":"aws_eventbridge.list_tags_for_resource/3","type":"function"},{"doc":"Lists the targets assigned to the specified rule.","ref":"aws_eventbridge.html#list_targets_by_rule/2","title":"aws_eventbridge.list_targets_by_rule/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#list_targets_by_rule/3","title":"aws_eventbridge.list_targets_by_rule/3","type":"function"},{"doc":"Sends custom events to Amazon EventBridge so that they can be matched to rules. PutEvents will only process nested JSON up to 1100 levels deep.","ref":"aws_eventbridge.html#put_events/2","title":"aws_eventbridge.put_events/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#put_events/3","title":"aws_eventbridge.put_events/3","type":"function"},{"doc":"This is used by SaaS partners to write events to a customer's partner event bus. Amazon Web Services customers do not use this operation.","ref":"aws_eventbridge.html#put_partner_events/2","title":"aws_eventbridge.put_partner_events/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#put_partner_events/3","title":"aws_eventbridge.put_partner_events/3","type":"function"},{"doc":"Running PutPermission permits the specified Amazon Web Services account or Amazon Web Services organization to put events to the specified event bus. Amazon EventBridge (CloudWatch Events) rules in your account are triggered by these events arriving to an event bus in your account. For another account to send events to your account, that external account must have an EventBridge rule with your account's event bus as a target. To enable multiple Amazon Web Services accounts to put events to your event bus, run PutPermission once for each of these accounts. Or, if all the accounts are members of the same Amazon Web Services organization, you can run PutPermission once specifying Principal as &quot;*&quot; and specifying the Amazon Web Services organization ID in Condition , to grant permissions to all accounts in that organization. If you grant permissions using an organization, then accounts in that organization must specify a RoleArn with proper permissions when they use PutTarget to add your account's event bus as a target. For more information, see Sending and Receiving Events Between Amazon Web Services Accounts in the Amazon EventBridge User Guide. The permission policy on the event bus cannot exceed 10 KB in size.","ref":"aws_eventbridge.html#put_permission/2","title":"aws_eventbridge.put_permission/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#put_permission/3","title":"aws_eventbridge.put_permission/3","type":"function"},{"doc":"Creates or updates the specified rule. Rules are enabled by default, or based on value of the state. You can disable a rule using DisableRule. A single rule watches for events from a single event bus. Events generated by Amazon Web Services services go to your account's default event bus. Events generated by SaaS partner services or applications go to the matching partner event bus. If you have custom applications or services, you can specify whether their events go to your default event bus or a custom event bus that you have created. For more information, see CreateEventBus. If you are updating an existing rule, the rule is replaced with what you specify in this PutRule command. If you omit arguments in PutRule , the old values for those arguments are not kept. Instead, they are replaced with null values. When you create or update a rule, incoming events might not immediately start matching to new or updated rules. Allow a short period of time for changes to take effect. A rule must contain at least an EventPattern or ScheduleExpression. Rules with EventPatterns are triggered when a matching event is observed. Rules with ScheduleExpressions self-trigger based on the given schedule. A rule can have both an EventPattern and a ScheduleExpression, in which case the rule triggers on matching events as well as on a schedule. When you initially create a rule, you can optionally assign one or more tags to the rule. Tags can help you organize and categorize your resources. You can also use them to scope user permissions, by granting a user permission to access or change only rules with certain tag values. To use the PutRule operation and assign tags, you must have both the events:PutRule and events:TagResource permissions. If you are updating an existing rule, any tags you specify in the PutRule operation are ignored. To update the tags of an existing rule, use TagResource and UntagResource. Most services in Amazon Web Services treat : or / as the same character in Amazon Resource Names (ARNs). However, EventBridge uses an exact match in event patterns and rules. Be sure to use the correct ARN characters when creating event patterns so that they match the ARN syntax in the event you want to match. In EventBridge, it is possible to create rules that lead to infinite loops, where a rule is fired repeatedly. For example, a rule might detect that ACLs have changed on an S3 bucket, and trigger software to change them to the desired state. If the rule is not written carefully, the subsequent change to the ACLs fires the rule again, creating an infinite loop. To prevent this, write the rules so that the triggered actions do not re-fire the same rule. For example, your rule could fire only if ACLs are found to be in a bad state, instead of after any change. An infinite loop can quickly cause higher than expected charges. We recommend that you use budgeting, which alerts you when charges exceed your specified limit. For more information, see Managing Your Costs with Budgets.","ref":"aws_eventbridge.html#put_rule/2","title":"aws_eventbridge.put_rule/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#put_rule/3","title":"aws_eventbridge.put_rule/3","type":"function"},{"doc":"Adds the specified targets to the specified rule, or updates the targets if they are already associated with the rule. Targets are the resources that are invoked when a rule is triggered. Each rule can have up to five (5) targets associated with it at one time. You can configure the following as targets for Events: API destination API Gateway Batch job queue CloudWatch group CodeBuild project CodePipeline EC2 CreateSnapshot API call EC2 Image Builder EC2 RebootInstances API call EC2 StopInstances API call EC2 TerminateInstances API call ECS task Event bus in a different account or Region Event bus in the same account and Region Firehose delivery stream Glue workflow Incident Manager response plan Inspector assessment template Kinesis stream Lambda function Redshift cluster Redshift Serverless workgroup SageMaker Pipeline SNS topic SQS queue Step Functions state machine Systems Manager Automation Systems Manager OpsItem Systems Manager Run Command Creating rules with built-in targets is supported only in the Amazon Web Services Management Console. The built-in targets are EC2 CreateSnapshot API call , EC2 RebootInstances API call , EC2 StopInstances API call , and EC2 TerminateInstances API call . For some target types, PutTargets provides target-specific parameters. If the target is a Kinesis data stream, you can optionally specify which shard the event goes to by using the KinesisParameters argument. To invoke a command on multiple EC2 instances with one rule, you can use the RunCommandParameters field. To be able to make API calls against the resources that you own, Amazon EventBridge needs the appropriate permissions. For Lambda and Amazon SNS resources, EventBridge relies on resource-based policies. For EC2 instances, Kinesis Data Streams, Step Functions state machines and API Gateway APIs, EventBridge relies on IAM roles that you specify in the RoleARN argument in PutTargets . For more information, see Authentication and Access Control in the Amazon EventBridge User Guide. If another Amazon Web Services account is in the same region and has granted you permission (using PutPermission ), you can send events to that account. Set that account's event bus as a target of the rules in your account. To send the matched events to the other account, specify that account's event bus as the Arn value when you run PutTargets . If your account sends events to another account, your account is charged for each sent event. Each event sent to another account is charged as a custom event. The account receiving the event is not charged. For more information, see Amazon EventBridge Pricing. Input , InputPath , and InputTransformer are not available with PutTarget if the target is an event bus of a different Amazon Web Services account. If you are setting the event bus of another account as the target, and that account granted permission to your account through an organization instead of directly by the account ID, then you must specify a RoleArn with proper permissions in the Target structure. For more information, see Sending and Receiving Events Between Amazon Web Services Accounts in the Amazon EventBridge User Guide. For more information about enabling cross-account events, see PutPermission. Input, InputPath, and InputTransformer are mutually exclusive and optional parameters of a target. When a rule is triggered due to a matched event: If none of the following arguments are specified for a target, then the entire event is passed to the target in JSON format (unless the target is Amazon EC2 Run Command or Amazon ECS task, in which case nothing from the event is passed to the target). If Input is specified in the form of valid JSON, then the matched event is overridden with this constant. If InputPath is specified in the form of JSONPath (for example, $.detail ), then only the part of the event specified in the path is passed to the target (for example, only the detail part of the event is passed). If InputTransformer is specified, then one or more specified JSONPaths are extracted from the event and used as values in a template that you specify as the input to the target. When you specify InputPath or InputTransformer , you must use JSON dot notation, not bracket notation. When you add targets to a rule and the associated rule triggers soon after, new or updated targets might not be immediately invoked. Allow a short period of time for changes to take effect. This action can partially fail if too many requests are made at the same time. If that happens, FailedEntryCount is non-zero in the response and each entry in FailedEntries provides the ID of the failed target and the error code.","ref":"aws_eventbridge.html#put_targets/2","title":"aws_eventbridge.put_targets/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#put_targets/3","title":"aws_eventbridge.put_targets/3","type":"function"},{"doc":"Revokes the permission of another Amazon Web Services account to be able to put events to the specified event bus. Specify the account to revoke by the StatementId value that you associated with the account when you granted it permission with PutPermission . You can find the StatementId by using DescribeEventBus.","ref":"aws_eventbridge.html#remove_permission/2","title":"aws_eventbridge.remove_permission/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#remove_permission/3","title":"aws_eventbridge.remove_permission/3","type":"function"},{"doc":"Removes the specified targets from the specified rule. When the rule is triggered, those targets are no longer be invoked. A successful execution of RemoveTargets doesn't guarantee all targets are removed from the rule, it means that the target(s) listed in the request are removed. When you remove a target, when the associated rule triggers, removed targets might continue to be invoked. Allow a short period of time for changes to take effect. This action can partially fail if too many requests are made at the same time. If that happens, FailedEntryCount is non-zero in the response and each entry in FailedEntries provides the ID of the failed target and the error code.","ref":"aws_eventbridge.html#remove_targets/2","title":"aws_eventbridge.remove_targets/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#remove_targets/3","title":"aws_eventbridge.remove_targets/3","type":"function"},{"doc":"Starts the specified replay. Events are not necessarily replayed in the exact same order that they were added to the archive. A replay processes events to replay based on the time in the event, and replays them using 1 minute intervals. If you specify an EventStartTime and an EventEndTime that covers a 20 minute time range, the events are replayed from the first minute of that 20 minute range first. Then the events from the second minute are replayed. You can use DescribeReplay to determine the progress of a replay. The value returned for EventLastReplayedTime indicates the time within the specified time range associated with the last event replayed.","ref":"aws_eventbridge.html#start_replay/2","title":"aws_eventbridge.start_replay/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#start_replay/3","title":"aws_eventbridge.start_replay/3","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified EventBridge resource. Tags can help you organize and categorize your resources. You can also use them to scope user permissions by granting a user permission to access or change only resources with certain tag values. In EventBridge, rules and event buses can be tagged. Tags don't have any semantic meaning to Amazon Web Services and are interpreted strictly as strings of characters. You can use the TagResource action with a resource that already has tags. If you specify a new tag key, this tag is appended to the list of tags associated with the resource. If you specify a tag key that is already associated with the resource, the new tag value that you specify replaces the previous value for that tag. You can associate as many as 50 tags with a resource.","ref":"aws_eventbridge.html#tag_resource/2","title":"aws_eventbridge.tag_resource/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#tag_resource/3","title":"aws_eventbridge.tag_resource/3","type":"function"},{"doc":"Tests whether the specified event pattern matches the provided event. Most services in Amazon Web Services treat : or / as the same character in Amazon Resource Names (ARNs). However, EventBridge uses an exact match in event patterns and rules. Be sure to use the correct ARN characters when creating event patterns so that they match the ARN syntax in the event you want to match.","ref":"aws_eventbridge.html#test_event_pattern/2","title":"aws_eventbridge.test_event_pattern/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#test_event_pattern/3","title":"aws_eventbridge.test_event_pattern/3","type":"function"},{"doc":"Removes one or more tags from the specified EventBridge resource. In Amazon EventBridge (CloudWatch Events), rules and event buses can be tagged.","ref":"aws_eventbridge.html#untag_resource/2","title":"aws_eventbridge.untag_resource/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#untag_resource/3","title":"aws_eventbridge.untag_resource/3","type":"function"},{"doc":"Updates an API destination.","ref":"aws_eventbridge.html#update_api_destination/2","title":"aws_eventbridge.update_api_destination/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#update_api_destination/3","title":"aws_eventbridge.update_api_destination/3","type":"function"},{"doc":"Updates the specified archive.","ref":"aws_eventbridge.html#update_archive/2","title":"aws_eventbridge.update_archive/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#update_archive/3","title":"aws_eventbridge.update_archive/3","type":"function"},{"doc":"Updates settings for a connection.","ref":"aws_eventbridge.html#update_connection/2","title":"aws_eventbridge.update_connection/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#update_connection/3","title":"aws_eventbridge.update_connection/3","type":"function"},{"doc":"Update an existing endpoint. For more information about global endpoints, see Making applications Regional-fault tolerant with global endpoints and event replication in the Amazon EventBridge User Guide..","ref":"aws_eventbridge.html#update_endpoint/2","title":"aws_eventbridge.update_endpoint/2","type":"function"},{"doc":"","ref":"aws_eventbridge.html#update_endpoint/3","title":"aws_eventbridge.update_endpoint/3","type":"function"},{"doc":"You can use Amazon CloudWatch Evidently to safely validate new features by serving them to a specified percentage of your users while you roll out the feature. You can monitor the performance of the new feature to help you decide when to ramp up traffic to your users. This helps you reduce risk and identify unintended consequences before you fully launch the feature. You can also conduct A/B experiments to make feature design decisions based on evidence and data. An experiment can test as many as five variations at once. Evidently collects experiment data and analyzes it using statistical methods. It also provides clear recommendations about which variations perform better. You can test both user-facing features and backend features.","ref":"aws_evidently.html","title":"aws_evidently","type":"module"},{"doc":"This operation assigns feature variation to user sessions. For each user session, you pass in an entityID that represents the user. Evidently then checks the evaluation rules and assigns the variation. The first rules that are evaluated are the override rules. If the user's entityID matches an override rule, the user is served the variation specified by that rule. Next, if there is a launch of the feature, the user might be assigned to a variation in the launch. The chance of this depends on the percentage of users that are allocated to that launch. If the user is enrolled in the launch, the variation they are served depends on the allocation of the various feature variations used for the launch. If the user is not assigned to a launch, and there is an ongoing experiment for this feature, the user might be assigned to a variation in the experiment. The chance of this depends on the percentage of users that are allocated to that experiment. If the user is enrolled in the experiment, the variation they are served depends on the allocation of the various feature variations used for the experiment. If the user is not assigned to a launch or experiment, they are served the default variation.","ref":"aws_evidently.html#batch_evaluate_feature/3","title":"aws_evidently.batch_evaluate_feature/3","type":"function"},{"doc":"","ref":"aws_evidently.html#batch_evaluate_feature/4","title":"aws_evidently.batch_evaluate_feature/4","type":"function"},{"doc":"Creates an Evidently experiment. Before you create an experiment, you must create the feature to use for the experiment. An experiment helps you make feature design decisions based on evidence and data. An experiment can test as many as five variations at once. Evidently collects experiment data and analyzes it by statistical methods, and provides clear recommendations about which variations perform better. You can optionally specify a segment to have the experiment consider only certain audience types in the experiment, such as using only user sessions from a certain location or who use a certain internet browser. Don't use this operation to update an existing experiment. Instead, use UpdateExperiment.","ref":"aws_evidently.html#create_experiment/3","title":"aws_evidently.create_experiment/3","type":"function"},{"doc":"","ref":"aws_evidently.html#create_experiment/4","title":"aws_evidently.create_experiment/4","type":"function"},{"doc":"Creates an Evidently feature that you want to launch or test. You can define up to five variations of a feature, and use these variations in your launches and experiments. A feature must be created in a project. For information about creating a project, see CreateProject. Don't use this operation to update an existing feature. Instead, use UpdateFeature.","ref":"aws_evidently.html#create_feature/3","title":"aws_evidently.create_feature/3","type":"function"},{"doc":"","ref":"aws_evidently.html#create_feature/4","title":"aws_evidently.create_feature/4","type":"function"},{"doc":"Creates a launch of a given feature. Before you create a launch, you must create the feature to use for the launch. You can use a launch to safely validate new features by serving them to a specified percentage of your users while you roll out the feature. You can monitor the performance of the new feature to help you decide when to ramp up traffic to more users. This helps you reduce risk and identify unintended consequences before you fully launch the feature. Don't use this operation to update an existing launch. Instead, use UpdateLaunch.","ref":"aws_evidently.html#create_launch/3","title":"aws_evidently.create_launch/3","type":"function"},{"doc":"","ref":"aws_evidently.html#create_launch/4","title":"aws_evidently.create_launch/4","type":"function"},{"doc":"Creates a project, which is the logical object in Evidently that can contain features, launches, and experiments. Use projects to group similar features together. To update an existing project, use UpdateProject.","ref":"aws_evidently.html#create_project/2","title":"aws_evidently.create_project/2","type":"function"},{"doc":"","ref":"aws_evidently.html#create_project/3","title":"aws_evidently.create_project/3","type":"function"},{"doc":"Use this operation to define a segment of your audience. A segment is a portion of your audience that share one or more characteristics. Examples could be Chrome browser users, users in Europe, or Firefox browser users in Europe who also fit other criteria that your application collects, such as age. Using a segment in an experiment limits that experiment to evaluate only the users who match the segment criteria. Using one or more segments in a launch allows you to define different traffic splits for the different audience segments. For more information about segment pattern syntax, see Segment rule pattern syntax. The pattern that you define for a segment is matched against the value of evaluationContext , which is passed into Evidently in the EvaluateFeature operation, when Evidently assigns a feature variation to a user.","ref":"aws_evidently.html#create_segment/2","title":"aws_evidently.create_segment/2","type":"function"},{"doc":"","ref":"aws_evidently.html#create_segment/3","title":"aws_evidently.create_segment/3","type":"function"},{"doc":"Deletes an Evidently experiment. The feature used for the experiment is not deleted. To stop an experiment without deleting it, use StopExperiment.","ref":"aws_evidently.html#delete_experiment/4","title":"aws_evidently.delete_experiment/4","type":"function"},{"doc":"","ref":"aws_evidently.html#delete_experiment/5","title":"aws_evidently.delete_experiment/5","type":"function"},{"doc":"Deletes an Evidently feature.","ref":"aws_evidently.html#delete_feature/4","title":"aws_evidently.delete_feature/4","type":"function"},{"doc":"","ref":"aws_evidently.html#delete_feature/5","title":"aws_evidently.delete_feature/5","type":"function"},{"doc":"Deletes an Evidently launch. The feature used for the launch is not deleted. To stop a launch without deleting it, use StopLaunch.","ref":"aws_evidently.html#delete_launch/4","title":"aws_evidently.delete_launch/4","type":"function"},{"doc":"","ref":"aws_evidently.html#delete_launch/5","title":"aws_evidently.delete_launch/5","type":"function"},{"doc":"Deletes an Evidently project. Before you can delete a project, you must delete all the features that the project contains. To delete a feature, use DeleteFeature.","ref":"aws_evidently.html#delete_project/3","title":"aws_evidently.delete_project/3","type":"function"},{"doc":"","ref":"aws_evidently.html#delete_project/4","title":"aws_evidently.delete_project/4","type":"function"},{"doc":"Deletes a segment. You can't delete a segment that is being used in a launch or experiment, even if that launch or experiment is not currently running.","ref":"aws_evidently.html#delete_segment/3","title":"aws_evidently.delete_segment/3","type":"function"},{"doc":"","ref":"aws_evidently.html#delete_segment/4","title":"aws_evidently.delete_segment/4","type":"function"},{"doc":"This operation assigns a feature variation to one given user session. You pass in an entityID that represents the user. Evidently then checks the evaluation rules and assigns the variation. The first rules that are evaluated are the override rules. If the user's entityID matches an override rule, the user is served the variation specified by that rule. If there is a current launch with this feature that uses segment overrides, and if the user session's evaluationContext matches a segment rule defined in a segment override, the configuration in the segment overrides is used. For more information about segments, see CreateSegment and Use segments to focus your audience. If there is a launch with no segment overrides, the user might be assigned to a variation in the launch. The chance of this depends on the percentage of users that are allocated to that launch. If the user is enrolled in the launch, the variation they are served depends on the allocation of the various feature variations used for the launch. If the user is not assigned to a launch, and there is an ongoing experiment for this feature, the user might be assigned to a variation in the experiment. The chance of this depends on the percentage of users that are allocated to that experiment. If the experiment uses a segment, then only user sessions with evaluationContext values that match the segment rule are used in the experiment. If the user is enrolled in the experiment, the variation they are served depends on the allocation of the various feature variations used for the experiment. If the user is not assigned to a launch or experiment, they are served the default variation.","ref":"aws_evidently.html#evaluate_feature/4","title":"aws_evidently.evaluate_feature/4","type":"function"},{"doc":"","ref":"aws_evidently.html#evaluate_feature/5","title":"aws_evidently.evaluate_feature/5","type":"function"},{"doc":"Returns the details about one experiment. You must already know the experiment name. To retrieve a list of experiments in your account, use ListExperiments.","ref":"aws_evidently.html#get_experiment/3","title":"aws_evidently.get_experiment/3","type":"function"},{"doc":"","ref":"aws_evidently.html#get_experiment/5","title":"aws_evidently.get_experiment/5","type":"function"},{"doc":"","ref":"aws_evidently.html#get_experiment/6","title":"aws_evidently.get_experiment/6","type":"function"},{"doc":"Retrieves the results of a running or completed experiment. No results are available until there have been 100 events for each variation and at least 10 minutes have passed since the start of the experiment. To increase the statistical power, Evidently performs an additional offline p-value analysis at the end of the experiment. Offline p-value analysis can detect statistical significance in some cases where the anytime p-values used during the experiment do not find statistical significance. Experiment results are available up to 63 days after the start of the experiment. They are not available after that because of CloudWatch data retention policies.","ref":"aws_evidently.html#get_experiment_results/4","title":"aws_evidently.get_experiment_results/4","type":"function"},{"doc":"","ref":"aws_evidently.html#get_experiment_results/5","title":"aws_evidently.get_experiment_results/5","type":"function"},{"doc":"Returns the details about one feature. You must already know the feature name. To retrieve a list of features in your account, use ListFeatures.","ref":"aws_evidently.html#get_feature/3","title":"aws_evidently.get_feature/3","type":"function"},{"doc":"","ref":"aws_evidently.html#get_feature/5","title":"aws_evidently.get_feature/5","type":"function"},{"doc":"","ref":"aws_evidently.html#get_feature/6","title":"aws_evidently.get_feature/6","type":"function"},{"doc":"Returns the details about one launch. You must already know the launch name. To retrieve a list of launches in your account, use ListLaunches.","ref":"aws_evidently.html#get_launch/3","title":"aws_evidently.get_launch/3","type":"function"},{"doc":"","ref":"aws_evidently.html#get_launch/5","title":"aws_evidently.get_launch/5","type":"function"},{"doc":"","ref":"aws_evidently.html#get_launch/6","title":"aws_evidently.get_launch/6","type":"function"},{"doc":"Returns the details about one launch. You must already know the project name. To retrieve a list of projects in your account, use ListProjects.","ref":"aws_evidently.html#get_project/2","title":"aws_evidently.get_project/2","type":"function"},{"doc":"","ref":"aws_evidently.html#get_project/4","title":"aws_evidently.get_project/4","type":"function"},{"doc":"","ref":"aws_evidently.html#get_project/5","title":"aws_evidently.get_project/5","type":"function"},{"doc":"Returns information about the specified segment. Specify the segment you want to view by specifying its ARN.","ref":"aws_evidently.html#get_segment/2","title":"aws_evidently.get_segment/2","type":"function"},{"doc":"","ref":"aws_evidently.html#get_segment/4","title":"aws_evidently.get_segment/4","type":"function"},{"doc":"","ref":"aws_evidently.html#get_segment/5","title":"aws_evidently.get_segment/5","type":"function"},{"doc":"Returns configuration details about all the experiments in the specified project.","ref":"aws_evidently.html#list_experiments/2","title":"aws_evidently.list_experiments/2","type":"function"},{"doc":"","ref":"aws_evidently.html#list_experiments/4","title":"aws_evidently.list_experiments/4","type":"function"},{"doc":"","ref":"aws_evidently.html#list_experiments/5","title":"aws_evidently.list_experiments/5","type":"function"},{"doc":"Returns configuration details about all the features in the specified project.","ref":"aws_evidently.html#list_features/2","title":"aws_evidently.list_features/2","type":"function"},{"doc":"","ref":"aws_evidently.html#list_features/4","title":"aws_evidently.list_features/4","type":"function"},{"doc":"","ref":"aws_evidently.html#list_features/5","title":"aws_evidently.list_features/5","type":"function"},{"doc":"Returns configuration details about all the launches in the specified project.","ref":"aws_evidently.html#list_launches/2","title":"aws_evidently.list_launches/2","type":"function"},{"doc":"","ref":"aws_evidently.html#list_launches/4","title":"aws_evidently.list_launches/4","type":"function"},{"doc":"","ref":"aws_evidently.html#list_launches/5","title":"aws_evidently.list_launches/5","type":"function"},{"doc":"Returns configuration details about all the projects in the current Region in your account.","ref":"aws_evidently.html#list_projects/1","title":"aws_evidently.list_projects/1","type":"function"},{"doc":"","ref":"aws_evidently.html#list_projects/3","title":"aws_evidently.list_projects/3","type":"function"},{"doc":"","ref":"aws_evidently.html#list_projects/4","title":"aws_evidently.list_projects/4","type":"function"},{"doc":"Use this operation to find which experiments or launches are using a specified segment.","ref":"aws_evidently.html#list_segment_references/3","title":"aws_evidently.list_segment_references/3","type":"function"},{"doc":"","ref":"aws_evidently.html#list_segment_references/5","title":"aws_evidently.list_segment_references/5","type":"function"},{"doc":"","ref":"aws_evidently.html#list_segment_references/6","title":"aws_evidently.list_segment_references/6","type":"function"},{"doc":"Returns a list of audience segments that you have created in your account in this Region.","ref":"aws_evidently.html#list_segments/1","title":"aws_evidently.list_segments/1","type":"function"},{"doc":"","ref":"aws_evidently.html#list_segments/3","title":"aws_evidently.list_segments/3","type":"function"},{"doc":"","ref":"aws_evidently.html#list_segments/4","title":"aws_evidently.list_segments/4","type":"function"},{"doc":"Displays the tags associated with an Evidently resource.","ref":"aws_evidently.html#list_tags_for_resource/2","title":"aws_evidently.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_evidently.html#list_tags_for_resource/4","title":"aws_evidently.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_evidently.html#list_tags_for_resource/5","title":"aws_evidently.list_tags_for_resource/5","type":"function"},{"doc":"Sends performance events to Evidently. These events can be used to evaluate a launch or an experiment.","ref":"aws_evidently.html#put_project_events/3","title":"aws_evidently.put_project_events/3","type":"function"},{"doc":"","ref":"aws_evidently.html#put_project_events/4","title":"aws_evidently.put_project_events/4","type":"function"},{"doc":"Starts an existing experiment. To create an experiment, use CreateExperiment.","ref":"aws_evidently.html#start_experiment/4","title":"aws_evidently.start_experiment/4","type":"function"},{"doc":"","ref":"aws_evidently.html#start_experiment/5","title":"aws_evidently.start_experiment/5","type":"function"},{"doc":"Starts an existing launch. To create a launch, use CreateLaunch.","ref":"aws_evidently.html#start_launch/4","title":"aws_evidently.start_launch/4","type":"function"},{"doc":"","ref":"aws_evidently.html#start_launch/5","title":"aws_evidently.start_launch/5","type":"function"},{"doc":"Stops an experiment that is currently running. If you stop an experiment, you can't resume it or restart it.","ref":"aws_evidently.html#stop_experiment/4","title":"aws_evidently.stop_experiment/4","type":"function"},{"doc":"","ref":"aws_evidently.html#stop_experiment/5","title":"aws_evidently.stop_experiment/5","type":"function"},{"doc":"Stops a launch that is currently running. After you stop a launch, you will not be able to resume it or restart it. Also, it will not be evaluated as a rule for traffic allocation, and the traffic that was allocated to the launch will instead be available to the feature's experiment, if there is one. Otherwise, all traffic will be served the default variation after the launch is stopped.","ref":"aws_evidently.html#stop_launch/4","title":"aws_evidently.stop_launch/4","type":"function"},{"doc":"","ref":"aws_evidently.html#stop_launch/5","title":"aws_evidently.stop_launch/5","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified CloudWatch Evidently resource. Projects, features, launches, and experiments can be tagged. Tags can help you organize and categorize your resources. You can also use them to scope user permissions by granting a user permission to access or change only resources with certain tag values. Tags don't have any semantic meaning to Amazon Web Services and are interpreted strictly as strings of characters. You can use the TagResource action with a resource that already has tags. If you specify a new tag key for the resource, this tag is appended to the list of tags associated with the alarm. If you specify a tag key that is already associated with the resource, the new tag value that you specify replaces the previous value for that tag. You can associate as many as 50 tags with a resource. For more information, see Tagging Amazon Web Services resources.","ref":"aws_evidently.html#tag_resource/3","title":"aws_evidently.tag_resource/3","type":"function"},{"doc":"","ref":"aws_evidently.html#tag_resource/4","title":"aws_evidently.tag_resource/4","type":"function"},{"doc":"Use this operation to test a rules pattern that you plan to use to create an audience segment. For more information about segments, see CreateSegment.","ref":"aws_evidently.html#test_segment_pattern/2","title":"aws_evidently.test_segment_pattern/2","type":"function"},{"doc":"","ref":"aws_evidently.html#test_segment_pattern/3","title":"aws_evidently.test_segment_pattern/3","type":"function"},{"doc":"Removes one or more tags from the specified resource.","ref":"aws_evidently.html#untag_resource/3","title":"aws_evidently.untag_resource/3","type":"function"},{"doc":"","ref":"aws_evidently.html#untag_resource/4","title":"aws_evidently.untag_resource/4","type":"function"},{"doc":"Updates an Evidently experiment. Don't use this operation to update an experiment's tag. Instead, use TagResource.","ref":"aws_evidently.html#update_experiment/4","title":"aws_evidently.update_experiment/4","type":"function"},{"doc":"","ref":"aws_evidently.html#update_experiment/5","title":"aws_evidently.update_experiment/5","type":"function"},{"doc":"Updates an existing feature. You can't use this operation to update the tags of an existing feature. Instead, use TagResource.","ref":"aws_evidently.html#update_feature/4","title":"aws_evidently.update_feature/4","type":"function"},{"doc":"","ref":"aws_evidently.html#update_feature/5","title":"aws_evidently.update_feature/5","type":"function"},{"doc":"Updates a launch of a given feature. Don't use this operation to update the tags of an existing launch. Instead, use TagResource.","ref":"aws_evidently.html#update_launch/4","title":"aws_evidently.update_launch/4","type":"function"},{"doc":"","ref":"aws_evidently.html#update_launch/5","title":"aws_evidently.update_launch/5","type":"function"},{"doc":"Updates the description of an existing project. To create a new project, use CreateProject. Don't use this operation to update the data storage options of a project. Instead, use UpdateProjectDataDelivery. Don't use this operation to update the tags of a project. Instead, use TagResource.","ref":"aws_evidently.html#update_project/3","title":"aws_evidently.update_project/3","type":"function"},{"doc":"","ref":"aws_evidently.html#update_project/4","title":"aws_evidently.update_project/4","type":"function"},{"doc":"Updates the data storage options for this project. If you store evaluation events, you an keep them and analyze them on your own. If you choose not to store evaluation events, Evidently deletes them after using them to produce metrics and other experiment results that you can view. You can't specify both cloudWatchLogs and s3Destination in the same operation.","ref":"aws_evidently.html#update_project_data_delivery/3","title":"aws_evidently.update_project_data_delivery/3","type":"function"},{"doc":"","ref":"aws_evidently.html#update_project_data_delivery/4","title":"aws_evidently.update_project_data_delivery/4","type":"function"},{"doc":"The FinSpace management service provides the APIs for managing FinSpace environments.","ref":"aws_finspace.html","title":"aws_finspace","type":"module"},{"doc":"Create a new FinSpace environment.","ref":"aws_finspace.html#create_environment/2","title":"aws_finspace.create_environment/2","type":"function"},{"doc":"","ref":"aws_finspace.html#create_environment/3","title":"aws_finspace.create_environment/3","type":"function"},{"doc":"Delete an FinSpace environment.","ref":"aws_finspace.html#delete_environment/3","title":"aws_finspace.delete_environment/3","type":"function"},{"doc":"","ref":"aws_finspace.html#delete_environment/4","title":"aws_finspace.delete_environment/4","type":"function"},{"doc":"Returns the FinSpace environment object.","ref":"aws_finspace.html#get_environment/2","title":"aws_finspace.get_environment/2","type":"function"},{"doc":"","ref":"aws_finspace.html#get_environment/4","title":"aws_finspace.get_environment/4","type":"function"},{"doc":"","ref":"aws_finspace.html#get_environment/5","title":"aws_finspace.get_environment/5","type":"function"},{"doc":"A list of all of your FinSpace environments.","ref":"aws_finspace.html#list_environments/1","title":"aws_finspace.list_environments/1","type":"function"},{"doc":"","ref":"aws_finspace.html#list_environments/3","title":"aws_finspace.list_environments/3","type":"function"},{"doc":"","ref":"aws_finspace.html#list_environments/4","title":"aws_finspace.list_environments/4","type":"function"},{"doc":"A list of all tags for a resource.","ref":"aws_finspace.html#list_tags_for_resource/2","title":"aws_finspace.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_finspace.html#list_tags_for_resource/4","title":"aws_finspace.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_finspace.html#list_tags_for_resource/5","title":"aws_finspace.list_tags_for_resource/5","type":"function"},{"doc":"Adds metadata tags to a FinSpace resource.","ref":"aws_finspace.html#tag_resource/3","title":"aws_finspace.tag_resource/3","type":"function"},{"doc":"","ref":"aws_finspace.html#tag_resource/4","title":"aws_finspace.tag_resource/4","type":"function"},{"doc":"Removes metadata tags from a FinSpace resource.","ref":"aws_finspace.html#untag_resource/3","title":"aws_finspace.untag_resource/3","type":"function"},{"doc":"","ref":"aws_finspace.html#untag_resource/4","title":"aws_finspace.untag_resource/4","type":"function"},{"doc":"Update your FinSpace environment.","ref":"aws_finspace.html#update_environment/3","title":"aws_finspace.update_environment/3","type":"function"},{"doc":"","ref":"aws_finspace.html#update_environment/4","title":"aws_finspace.update_environment/4","type":"function"},{"doc":"The FinSpace APIs let you take actions inside the FinSpace.","ref":"aws_finspace_data.html","title":"aws_finspace_data","type":"module"},{"doc":"Adds a user account to a permission group to grant permissions for actions a user can perform in FinSpace.","ref":"aws_finspace_data.html#associate_user_to_permission_group/4","title":"aws_finspace_data.associate_user_to_permission_group/4","type":"function"},{"doc":"","ref":"aws_finspace_data.html#associate_user_to_permission_group/5","title":"aws_finspace_data.associate_user_to_permission_group/5","type":"function"},{"doc":"Creates a new Changeset in a FinSpace Dataset.","ref":"aws_finspace_data.html#create_changeset/3","title":"aws_finspace_data.create_changeset/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#create_changeset/4","title":"aws_finspace_data.create_changeset/4","type":"function"},{"doc":"Creates a Dataview for a Dataset.","ref":"aws_finspace_data.html#create_data_view/3","title":"aws_finspace_data.create_data_view/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#create_data_view/4","title":"aws_finspace_data.create_data_view/4","type":"function"},{"doc":"Creates a new FinSpace Dataset.","ref":"aws_finspace_data.html#create_dataset/2","title":"aws_finspace_data.create_dataset/2","type":"function"},{"doc":"","ref":"aws_finspace_data.html#create_dataset/3","title":"aws_finspace_data.create_dataset/3","type":"function"},{"doc":"Creates a group of permissions for various actions that a user can perform in FinSpace.","ref":"aws_finspace_data.html#create_permission_group/2","title":"aws_finspace_data.create_permission_group/2","type":"function"},{"doc":"","ref":"aws_finspace_data.html#create_permission_group/3","title":"aws_finspace_data.create_permission_group/3","type":"function"},{"doc":"Creates a new user in FinSpace.","ref":"aws_finspace_data.html#create_user/2","title":"aws_finspace_data.create_user/2","type":"function"},{"doc":"","ref":"aws_finspace_data.html#create_user/3","title":"aws_finspace_data.create_user/3","type":"function"},{"doc":"Deletes a FinSpace Dataset.","ref":"aws_finspace_data.html#delete_dataset/3","title":"aws_finspace_data.delete_dataset/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#delete_dataset/4","title":"aws_finspace_data.delete_dataset/4","type":"function"},{"doc":"Deletes a permission group. This action is irreversible.","ref":"aws_finspace_data.html#delete_permission_group/3","title":"aws_finspace_data.delete_permission_group/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#delete_permission_group/4","title":"aws_finspace_data.delete_permission_group/4","type":"function"},{"doc":"Denies access to the FinSpace web application and API for the specified user.","ref":"aws_finspace_data.html#disable_user/3","title":"aws_finspace_data.disable_user/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#disable_user/4","title":"aws_finspace_data.disable_user/4","type":"function"},{"doc":"Removes a user account from a permission group.","ref":"aws_finspace_data.html#disassociate_user_from_permission_group/4","title":"aws_finspace_data.disassociate_user_from_permission_group/4","type":"function"},{"doc":"","ref":"aws_finspace_data.html#disassociate_user_from_permission_group/5","title":"aws_finspace_data.disassociate_user_from_permission_group/5","type":"function"},{"doc":"Allows the specified user to access the FinSpace web application and API.","ref":"aws_finspace_data.html#enable_user/3","title":"aws_finspace_data.enable_user/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#enable_user/4","title":"aws_finspace_data.enable_user/4","type":"function"},{"doc":"Get information about a Changeset.","ref":"aws_finspace_data.html#get_changeset/3","title":"aws_finspace_data.get_changeset/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_changeset/5","title":"aws_finspace_data.get_changeset/5","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_changeset/6","title":"aws_finspace_data.get_changeset/6","type":"function"},{"doc":"Gets information about a Dataview.","ref":"aws_finspace_data.html#get_data_view/3","title":"aws_finspace_data.get_data_view/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_data_view/5","title":"aws_finspace_data.get_data_view/5","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_data_view/6","title":"aws_finspace_data.get_data_view/6","type":"function"},{"doc":"Returns information about a Dataset.","ref":"aws_finspace_data.html#get_dataset/2","title":"aws_finspace_data.get_dataset/2","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_dataset/4","title":"aws_finspace_data.get_dataset/4","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_dataset/5","title":"aws_finspace_data.get_dataset/5","type":"function"},{"doc":"Returns the credentials to access the external Dataview from an S3 location. To call this API: You must retrieve the programmatic credentials. You must be a member of a FinSpace user group, where the dataset that you want to access has Read Dataset Data permissions.","ref":"aws_finspace_data.html#get_external_data_view_access_details/4","title":"aws_finspace_data.get_external_data_view_access_details/4","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_external_data_view_access_details/5","title":"aws_finspace_data.get_external_data_view_access_details/5","type":"function"},{"doc":"Retrieves the details of a specific permission group.","ref":"aws_finspace_data.html#get_permission_group/2","title":"aws_finspace_data.get_permission_group/2","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_permission_group/4","title":"aws_finspace_data.get_permission_group/4","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_permission_group/5","title":"aws_finspace_data.get_permission_group/5","type":"function"},{"doc":"Request programmatic credentials to use with FinSpace SDK.","ref":"aws_finspace_data.html#get_programmatic_access_credentials/2","title":"aws_finspace_data.get_programmatic_access_credentials/2","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_programmatic_access_credentials/4","title":"aws_finspace_data.get_programmatic_access_credentials/4","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_programmatic_access_credentials/5","title":"aws_finspace_data.get_programmatic_access_credentials/5","type":"function"},{"doc":"Retrieves details for a specific user.","ref":"aws_finspace_data.html#get_user/2","title":"aws_finspace_data.get_user/2","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_user/4","title":"aws_finspace_data.get_user/4","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_user/5","title":"aws_finspace_data.get_user/5","type":"function"},{"doc":"A temporary Amazon S3 location, where you can copy your files from a source location to stage or use as a scratch space in FinSpace notebook.","ref":"aws_finspace_data.html#get_working_location/2","title":"aws_finspace_data.get_working_location/2","type":"function"},{"doc":"","ref":"aws_finspace_data.html#get_working_location/3","title":"aws_finspace_data.get_working_location/3","type":"function"},{"doc":"Lists the FinSpace Changesets for a Dataset.","ref":"aws_finspace_data.html#list_changesets/2","title":"aws_finspace_data.list_changesets/2","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_changesets/4","title":"aws_finspace_data.list_changesets/4","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_changesets/5","title":"aws_finspace_data.list_changesets/5","type":"function"},{"doc":"Lists all available Dataviews for a Dataset.","ref":"aws_finspace_data.html#list_data_views/2","title":"aws_finspace_data.list_data_views/2","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_data_views/4","title":"aws_finspace_data.list_data_views/4","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_data_views/5","title":"aws_finspace_data.list_data_views/5","type":"function"},{"doc":"Lists all of the active Datasets that a user has access to.","ref":"aws_finspace_data.html#list_datasets/1","title":"aws_finspace_data.list_datasets/1","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_datasets/3","title":"aws_finspace_data.list_datasets/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_datasets/4","title":"aws_finspace_data.list_datasets/4","type":"function"},{"doc":"Lists all available permission groups in FinSpace.","ref":"aws_finspace_data.html#list_permission_groups/2","title":"aws_finspace_data.list_permission_groups/2","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_permission_groups/4","title":"aws_finspace_data.list_permission_groups/4","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_permission_groups/5","title":"aws_finspace_data.list_permission_groups/5","type":"function"},{"doc":"Lists all the permission groups that are associated with a specific user account.","ref":"aws_finspace_data.html#list_permission_groups_by_user/3","title":"aws_finspace_data.list_permission_groups_by_user/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_permission_groups_by_user/5","title":"aws_finspace_data.list_permission_groups_by_user/5","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_permission_groups_by_user/6","title":"aws_finspace_data.list_permission_groups_by_user/6","type":"function"},{"doc":"Lists all available user accounts in FinSpace.","ref":"aws_finspace_data.html#list_users/2","title":"aws_finspace_data.list_users/2","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_users/4","title":"aws_finspace_data.list_users/4","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_users/5","title":"aws_finspace_data.list_users/5","type":"function"},{"doc":"Lists details of all the users in a specific permission group.","ref":"aws_finspace_data.html#list_users_by_permission_group/3","title":"aws_finspace_data.list_users_by_permission_group/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_users_by_permission_group/5","title":"aws_finspace_data.list_users_by_permission_group/5","type":"function"},{"doc":"","ref":"aws_finspace_data.html#list_users_by_permission_group/6","title":"aws_finspace_data.list_users_by_permission_group/6","type":"function"},{"doc":"Resets the password for a specified user ID and generates a temporary one. Only a superuser can reset password for other users. Resetting the password immediately invalidates the previous password associated with the user.","ref":"aws_finspace_data.html#reset_user_password/3","title":"aws_finspace_data.reset_user_password/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#reset_user_password/4","title":"aws_finspace_data.reset_user_password/4","type":"function"},{"doc":"Updates a FinSpace Changeset.","ref":"aws_finspace_data.html#update_changeset/4","title":"aws_finspace_data.update_changeset/4","type":"function"},{"doc":"","ref":"aws_finspace_data.html#update_changeset/5","title":"aws_finspace_data.update_changeset/5","type":"function"},{"doc":"Updates a FinSpace Dataset.","ref":"aws_finspace_data.html#update_dataset/3","title":"aws_finspace_data.update_dataset/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#update_dataset/4","title":"aws_finspace_data.update_dataset/4","type":"function"},{"doc":"Modifies the details of a permission group. You cannot modify a permissionGroupID .","ref":"aws_finspace_data.html#update_permission_group/3","title":"aws_finspace_data.update_permission_group/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#update_permission_group/4","title":"aws_finspace_data.update_permission_group/4","type":"function"},{"doc":"Modifies the details of the specified user account. You cannot update the userId for a user.","ref":"aws_finspace_data.html#update_user/3","title":"aws_finspace_data.update_user/3","type":"function"},{"doc":"","ref":"aws_finspace_data.html#update_user/4","title":"aws_finspace_data.update_user/4","type":"function"},{"doc":"Amazon Kinesis Data Firehose API Reference Amazon Kinesis Data Firehose is a fully managed service that delivers real-time streaming data to destinations such as Amazon Simple Storage Service (Amazon S3), Amazon OpenSearch Service, Amazon Redshift, Splunk, and various other supportd destinations.","ref":"aws_firehose.html","title":"aws_firehose","type":"module"},{"doc":"Creates a Kinesis Data Firehose delivery stream. By default, you can create up to 50 delivery streams per Amazon Web Services Region. This is an asynchronous operation that immediately returns. The initial status of the delivery stream is CREATING . After the delivery stream is created, its status is ACTIVE and it now accepts data. If the delivery stream creation fails, the status transitions to CREATING_FAILED . Attempts to send data to a delivery stream that is not in the ACTIVE state cause an exception. To check the state of a delivery stream, use DescribeDeliveryStream . If the status of a delivery stream is CREATING_FAILED , this status doesn't change, and you can't invoke CreateDeliveryStream again on it. However, you can invoke the DeleteDeliveryStream operation to delete it. A Kinesis Data Firehose delivery stream can be configured to receive records directly from providers using PutRecord or PutRecordBatch , or it can be configured to use an existing Kinesis stream as its source. To specify a Kinesis data stream as input, set the DeliveryStreamType parameter to KinesisStreamAsSource , and provide the Kinesis stream Amazon Resource Name (ARN) and role ARN in the KinesisStreamSourceConfiguration parameter. To create a delivery stream with server-side encryption (SSE) enabled, include DeliveryStreamEncryptionConfigurationInput in your request. This is optional. You can also invoke StartDeliveryStreamEncryption to turn on SSE for an existing delivery stream that doesn't have SSE enabled. A delivery stream is configured with a single destination: Amazon S3, Amazon ES, Amazon Redshift, or Splunk. You must specify only one of the following destination configuration parameters: ExtendedS3DestinationConfiguration , S3DestinationConfiguration , ElasticsearchDestinationConfiguration , RedshiftDestinationConfiguration , or SplunkDestinationConfiguration . When you specify S3DestinationConfiguration , you can also provide the following optional values: BufferingHints, EncryptionConfiguration , and CompressionFormat . By default, if no BufferingHints value is provided, Kinesis Data Firehose buffers data up to 5 MB or for 5 minutes, whichever condition is satisfied first. BufferingHints is a hint, so there are some cases where the service cannot adhere to these conditions strictly. For example, record boundaries might be such that the size is a little over or under the configured buffering size. By default, no encryption is performed. We strongly recommend that you enable encryption to ensure secure data storage in Amazon S3. A few notes about Amazon Redshift as a destination: An Amazon Redshift destination requires an S3 bucket as intermediate location. Kinesis Data Firehose first delivers data to Amazon S3 and then uses COPY syntax to load data into an Amazon Redshift table. This is specified in the RedshiftDestinationConfiguration.S3Configuration parameter. The compression formats SNAPPY or ZIP cannot be specified in RedshiftDestinationConfiguration.S3Configuration because the Amazon Redshift COPY operation that reads from the S3 bucket doesn't support these compression formats. We strongly recommend that you use the user name and password you provide exclusively with Kinesis Data Firehose, and that the permissions for the account are restricted for Amazon Redshift INSERT permissions. Kinesis Data Firehose assumes the IAM role that is configured as part of the destination. The role should allow the Kinesis Data Firehose principal to assume the role, and the role should have permissions that allow the service to deliver the data. For more information, see Grant Kinesis Data Firehose Access to an Amazon S3 Destination in the Amazon Kinesis Data Firehose Developer Guide.","ref":"aws_firehose.html#create_delivery_stream/2","title":"aws_firehose.create_delivery_stream/2","type":"function"},{"doc":"","ref":"aws_firehose.html#create_delivery_stream/3","title":"aws_firehose.create_delivery_stream/3","type":"function"},{"doc":"Deletes a delivery stream and its data. To check the state of a delivery stream, use DescribeDeliveryStream . You can delete a delivery stream only if it is in one of the following states: ACTIVE , DELETING , CREATING_FAILED , or DELETING_FAILED . You can't delete a delivery stream that is in the CREATING state. While the deletion request is in process, the delivery stream is in the DELETING state. While the delivery stream is in the DELETING state, the service might continue to accept records, but it doesn't make any guarantees with respect to delivering the data. Therefore, as a best practice, first stop any applications that are sending records before you delete a delivery stream.","ref":"aws_firehose.html#delete_delivery_stream/2","title":"aws_firehose.delete_delivery_stream/2","type":"function"},{"doc":"","ref":"aws_firehose.html#delete_delivery_stream/3","title":"aws_firehose.delete_delivery_stream/3","type":"function"},{"doc":"Describes the specified delivery stream and its status. For example, after your delivery stream is created, call DescribeDeliveryStream to see whether the delivery stream is ACTIVE and therefore ready for data to be sent to it. If the status of a delivery stream is CREATING_FAILED , this status doesn't change, and you can't invoke CreateDeliveryStream again on it. However, you can invoke the DeleteDeliveryStream operation to delete it. If the status is DELETING_FAILED , you can force deletion by invoking DeleteDeliveryStream again but with DeleteDeliveryStreamInput$AllowForceDelete set to true.","ref":"aws_firehose.html#describe_delivery_stream/2","title":"aws_firehose.describe_delivery_stream/2","type":"function"},{"doc":"","ref":"aws_firehose.html#describe_delivery_stream/3","title":"aws_firehose.describe_delivery_stream/3","type":"function"},{"doc":"Lists your delivery streams in alphabetical order of their names. The number of delivery streams might be too large to return using a single call to ListDeliveryStreams . You can limit the number of delivery streams returned, using the Limit parameter. To determine whether there are more delivery streams to list, check the value of HasMoreDeliveryStreams in the output. If there are more delivery streams to list, you can request them by calling this operation again and setting the ExclusiveStartDeliveryStreamName parameter to the name of the last delivery stream returned in the last call.","ref":"aws_firehose.html#list_delivery_streams/2","title":"aws_firehose.list_delivery_streams/2","type":"function"},{"doc":"","ref":"aws_firehose.html#list_delivery_streams/3","title":"aws_firehose.list_delivery_streams/3","type":"function"},{"doc":"Lists the tags for the specified delivery stream. This operation has a limit of five transactions per second per account.","ref":"aws_firehose.html#list_tags_for_delivery_stream/2","title":"aws_firehose.list_tags_for_delivery_stream/2","type":"function"},{"doc":"","ref":"aws_firehose.html#list_tags_for_delivery_stream/3","title":"aws_firehose.list_tags_for_delivery_stream/3","type":"function"},{"doc":"Writes a single data record into an Amazon Kinesis Data Firehose delivery stream. To write multiple data records into a delivery stream, use PutRecordBatch . Applications using these operations are referred to as producers. By default, each delivery stream can take in up to 2,000 transactions per second, 5,000 records per second, or 5 MB per second. If you use PutRecord and PutRecordBatch , the limits are an aggregate across these two operations for each delivery stream. For more information about limits and how to request an increase, see Amazon Kinesis Data Firehose Limits. You must specify the name of the delivery stream and the data record when using PutRecord . The data record consists of a data blob that can be up to 1,000 KiB in size, and any kind of data. For example, it can be a segment from a log file, geographic location data, website clickstream data, and so on. Kinesis Data Firehose buffers records before delivering them to the destination. To disambiguate the data blobs at the destination, a common solution is to use delimiters in the data, such as a newline ( \\n ) or some other character unique within the data. This allows the consumer application to parse individual data items when reading the data from the destination. The PutRecord operation returns a RecordId , which is a unique string assigned to each record. Producer applications can use this ID for purposes such as auditability and investigation. If the PutRecord operation throws a ServiceUnavailableException , back off and retry. If the exception persists, it is possible that the throughput limits have been exceeded for the delivery stream. Data records sent to Kinesis Data Firehose are stored for 24 hours from the time they are added to a delivery stream as it tries to send the records to the destination. If the destination is unreachable for more than 24 hours, the data is no longer available. Don't concatenate two or more base64 strings to form the data fields of your records. Instead, concatenate the raw data, then perform base64 encoding.","ref":"aws_firehose.html#put_record/2","title":"aws_firehose.put_record/2","type":"function"},{"doc":"","ref":"aws_firehose.html#put_record/3","title":"aws_firehose.put_record/3","type":"function"},{"doc":"Writes multiple data records into a delivery stream in a single call, which can achieve higher throughput per producer than when writing single records. To write single data records into a delivery stream, use PutRecord . Applications using these operations are referred to as producers. For information about service quota, see Amazon Kinesis Data Firehose Quota. Each PutRecordBatch request supports up to 500 records. Each record in the request can be as large as 1,000 KB (before base64 encoding), up to a limit of 4 MB for the entire request. These limits cannot be changed. You must specify the name of the delivery stream and the data record when using PutRecord . The data record consists of a data blob that can be up to 1,000 KB in size, and any kind of data. For example, it could be a segment from a log file, geographic location data, website clickstream data, and so on. Kinesis Data Firehose buffers records before delivering them to the destination. To disambiguate the data blobs at the destination, a common solution is to use delimiters in the data, such as a newline ( \\n ) or some other character unique within the data. This allows the consumer application to parse individual data items when reading the data from the destination. The PutRecordBatch response includes a count of failed records, FailedPutCount , and an array of responses, RequestResponses . Even if the PutRecordBatch call succeeds, the value of FailedPutCount may be greater than 0, indicating that there are records for which the operation didn't succeed. Each entry in the RequestResponses array provides additional information about the processed record. It directly correlates with a record in the request array using the same ordering, from the top to the bottom. The response array always includes the same number of records as the request array. RequestResponses includes both successfully and unsuccessfully processed records. Kinesis Data Firehose tries to process all records in each PutRecordBatch request. A single record failure does not stop the processing of subsequent records. A successfully processed record includes a RecordId value, which is unique for the record. An unsuccessfully processed record includes ErrorCode and ErrorMessage values. ErrorCode reflects the type of error, and is one of the following values: ServiceUnavailableException or InternalFailure . ErrorMessage provides more detailed information about the error. If there is an internal server error or a timeout, the write might have completed or it might have failed. If FailedPutCount is greater than 0, retry the request, resending only those records that might have failed processing. This minimizes the possible duplicate records and also reduces the total bytes sent (and corresponding charges). We recommend that you handle any duplicates at the destination. If PutRecordBatch throws ServiceUnavailableException , back off and retry. If the exception persists, it is possible that the throughput limits have been exceeded for the delivery stream. Data records sent to Kinesis Data Firehose are stored for 24 hours from the time they are added to a delivery stream as it attempts to send the records to the destination. If the destination is unreachable for more than 24 hours, the data is no longer available. Don't concatenate two or more base64 strings to form the data fields of your records. Instead, concatenate the raw data, then perform base64 encoding.","ref":"aws_firehose.html#put_record_batch/2","title":"aws_firehose.put_record_batch/2","type":"function"},{"doc":"","ref":"aws_firehose.html#put_record_batch/3","title":"aws_firehose.put_record_batch/3","type":"function"},{"doc":"Enables server-side encryption (SSE) for the delivery stream. This operation is asynchronous. It returns immediately. When you invoke it, Kinesis Data Firehose first sets the encryption status of the stream to ENABLING , and then to ENABLED . The encryption status of a delivery stream is the Status property in DeliveryStreamEncryptionConfiguration . If the operation fails, the encryption status changes to ENABLING_FAILED . You can continue to read and write data to your delivery stream while the encryption status is ENABLING , but the data is not encrypted. It can take up to 5 seconds after the encryption status changes to ENABLED before all records written to the delivery stream are encrypted. To find out whether a record or a batch of records was encrypted, check the response elements PutRecordOutput$Encrypted and PutRecordBatchOutput$Encrypted , respectively. To check the encryption status of a delivery stream, use DescribeDeliveryStream . Even if encryption is currently enabled for a delivery stream, you can still invoke this operation on it to change the ARN of the CMK or both its type and ARN. If you invoke this method to change the CMK, and the old CMK is of type CUSTOMER_MANAGED_CMK , Kinesis Data Firehose schedules the grant it had on the old CMK for retirement. If the new CMK is of type CUSTOMER_MANAGED_CMK , Kinesis Data Firehose creates a grant that enables it to use the new CMK to encrypt and decrypt data and to manage the grant. If a delivery stream already has encryption enabled and then you invoke this operation to change the ARN of the CMK or both its type and ARN and you get ENABLING_FAILED , this only means that the attempt to change the CMK failed. In this case, encryption remains enabled with the old CMK. If the encryption status of your delivery stream is ENABLING_FAILED , you can invoke this operation again with a valid CMK. The CMK must be enabled and the key policy mustn't explicitly deny the permission for Kinesis Data Firehose to invoke KMS encrypt and decrypt operations. You can enable SSE for a delivery stream only if it's a delivery stream that uses DirectPut as its source. The StartDeliveryStreamEncryption and StopDeliveryStreamEncryption operations have a combined limit of 25 calls per delivery stream per 24 hours. For example, you reach the limit if you call StartDeliveryStreamEncryption 13 times and StopDeliveryStreamEncryption 12 times for the same delivery stream in a 24-hour period.","ref":"aws_firehose.html#start_delivery_stream_encryption/2","title":"aws_firehose.start_delivery_stream_encryption/2","type":"function"},{"doc":"","ref":"aws_firehose.html#start_delivery_stream_encryption/3","title":"aws_firehose.start_delivery_stream_encryption/3","type":"function"},{"doc":"Disables server-side encryption (SSE) for the delivery stream. This operation is asynchronous. It returns immediately. When you invoke it, Kinesis Data Firehose first sets the encryption status of the stream to DISABLING , and then to DISABLED . You can continue to read and write data to your stream while its status is DISABLING . It can take up to 5 seconds after the encryption status changes to DISABLED before all records written to the delivery stream are no longer subject to encryption. To find out whether a record or a batch of records was encrypted, check the response elements PutRecordOutput$Encrypted and PutRecordBatchOutput$Encrypted , respectively. To check the encryption state of a delivery stream, use DescribeDeliveryStream . If SSE is enabled using a customer managed CMK and then you invoke StopDeliveryStreamEncryption , Kinesis Data Firehose schedules the related KMS grant for retirement and then retires it after it ensures that it is finished delivering records to the destination. The StartDeliveryStreamEncryption and StopDeliveryStreamEncryption operations have a combined limit of 25 calls per delivery stream per 24 hours. For example, you reach the limit if you call StartDeliveryStreamEncryption 13 times and StopDeliveryStreamEncryption 12 times for the same delivery stream in a 24-hour period.","ref":"aws_firehose.html#stop_delivery_stream_encryption/2","title":"aws_firehose.stop_delivery_stream_encryption/2","type":"function"},{"doc":"","ref":"aws_firehose.html#stop_delivery_stream_encryption/3","title":"aws_firehose.stop_delivery_stream_encryption/3","type":"function"},{"doc":"Adds or updates tags for the specified delivery stream. A tag is a key-value pair that you can define and assign to Amazon Web Services resources. If you specify a tag that already exists, the tag value is replaced with the value that you specify in the request. Tags are metadata. For example, you can add friendly names and descriptions or other types of information that can help you distinguish the delivery stream. For more information about tags, see Using Cost Allocation Tags in the Amazon Web Services Billing and Cost Management User Guide. Each delivery stream can have up to 50 tags. This operation has a limit of five transactions per second per account.","ref":"aws_firehose.html#tag_delivery_stream/2","title":"aws_firehose.tag_delivery_stream/2","type":"function"},{"doc":"","ref":"aws_firehose.html#tag_delivery_stream/3","title":"aws_firehose.tag_delivery_stream/3","type":"function"},{"doc":"Removes tags from the specified delivery stream. Removed tags are deleted, and you can't recover them after this operation successfully completes. If you specify a tag that doesn't exist, the operation ignores it. This operation has a limit of five transactions per second per account.","ref":"aws_firehose.html#untag_delivery_stream/2","title":"aws_firehose.untag_delivery_stream/2","type":"function"},{"doc":"","ref":"aws_firehose.html#untag_delivery_stream/3","title":"aws_firehose.untag_delivery_stream/3","type":"function"},{"doc":"Updates the specified destination of the specified delivery stream. Use this operation to change the destination type (for example, to replace the Amazon S3 destination with Amazon Redshift) or change the parameters associated with a destination (for example, to change the bucket name of the Amazon S3 destination). The update might not occur immediately. The target delivery stream remains active while the configurations are updated, so data writes to the delivery stream can continue during this process. The updated configurations are usually effective within a few minutes. Switching between Amazon ES and other services is not supported. For an Amazon ES destination, you can only update to another Amazon ES destination. If the destination type is the same, Kinesis Data Firehose merges the configuration parameters specified with the destination configuration that already exists on the delivery stream. If any of the parameters are not specified in the call, the existing values are retained. For example, in the Amazon S3 destination, if EncryptionConfiguration is not specified, then the existing EncryptionConfiguration is maintained on the destination. If the destination type is not the same, for example, changing the destination from Amazon S3 to Amazon Redshift, Kinesis Data Firehose does not merge any parameters. In this case, all parameters must be specified. Kinesis Data Firehose uses CurrentDeliveryStreamVersionId to avoid race conditions and conflicting merges. This is a required field, and the service updates the configuration only if the existing configuration has a version ID that matches. After the update is applied successfully, the version ID is updated, and can be retrieved using DescribeDeliveryStream . Use the new version ID to set CurrentDeliveryStreamVersionId in the next call.","ref":"aws_firehose.html#update_destination/2","title":"aws_firehose.update_destination/2","type":"function"},{"doc":"","ref":"aws_firehose.html#update_destination/3","title":"aws_firehose.update_destination/3","type":"function"},{"doc":"Fault Injection Simulator is a managed service that enables you to perform fault injection experiments on your Amazon Web Services workloads. For more information, see the Fault Injection Simulator User Guide.","ref":"aws_fis.html","title":"aws_fis","type":"module"},{"doc":"Creates an experiment template. An experiment template includes the following components: Targets: A target can be a specific resource in your Amazon Web Services environment, or one or more resources that match criteria that you specify, for example, resources that have specific tags. Actions: The actions to carry out on the target. You can specify multiple actions, the duration of each action, and when to start each action during an experiment. Stop conditions: If a stop condition is triggered while an experiment is running, the experiment is automatically stopped. You can define a stop condition as a CloudWatch alarm. For more information, see Experiment templates in the Fault Injection Simulator User Guide.","ref":"aws_fis.html#create_experiment_template/2","title":"aws_fis.create_experiment_template/2","type":"function"},{"doc":"","ref":"aws_fis.html#create_experiment_template/3","title":"aws_fis.create_experiment_template/3","type":"function"},{"doc":"Deletes the specified experiment template.","ref":"aws_fis.html#delete_experiment_template/3","title":"aws_fis.delete_experiment_template/3","type":"function"},{"doc":"","ref":"aws_fis.html#delete_experiment_template/4","title":"aws_fis.delete_experiment_template/4","type":"function"},{"doc":"Gets information about the specified FIS action.","ref":"aws_fis.html#get_action/2","title":"aws_fis.get_action/2","type":"function"},{"doc":"","ref":"aws_fis.html#get_action/4","title":"aws_fis.get_action/4","type":"function"},{"doc":"","ref":"aws_fis.html#get_action/5","title":"aws_fis.get_action/5","type":"function"},{"doc":"Gets information about the specified experiment.","ref":"aws_fis.html#get_experiment/2","title":"aws_fis.get_experiment/2","type":"function"},{"doc":"","ref":"aws_fis.html#get_experiment/4","title":"aws_fis.get_experiment/4","type":"function"},{"doc":"","ref":"aws_fis.html#get_experiment/5","title":"aws_fis.get_experiment/5","type":"function"},{"doc":"Gets information about the specified experiment template.","ref":"aws_fis.html#get_experiment_template/2","title":"aws_fis.get_experiment_template/2","type":"function"},{"doc":"","ref":"aws_fis.html#get_experiment_template/4","title":"aws_fis.get_experiment_template/4","type":"function"},{"doc":"","ref":"aws_fis.html#get_experiment_template/5","title":"aws_fis.get_experiment_template/5","type":"function"},{"doc":"Gets information about the specified resource type.","ref":"aws_fis.html#get_target_resource_type/2","title":"aws_fis.get_target_resource_type/2","type":"function"},{"doc":"","ref":"aws_fis.html#get_target_resource_type/4","title":"aws_fis.get_target_resource_type/4","type":"function"},{"doc":"","ref":"aws_fis.html#get_target_resource_type/5","title":"aws_fis.get_target_resource_type/5","type":"function"},{"doc":"Lists the available FIS actions.","ref":"aws_fis.html#list_actions/1","title":"aws_fis.list_actions/1","type":"function"},{"doc":"","ref":"aws_fis.html#list_actions/3","title":"aws_fis.list_actions/3","type":"function"},{"doc":"","ref":"aws_fis.html#list_actions/4","title":"aws_fis.list_actions/4","type":"function"},{"doc":"Lists your experiment templates.","ref":"aws_fis.html#list_experiment_templates/1","title":"aws_fis.list_experiment_templates/1","type":"function"},{"doc":"","ref":"aws_fis.html#list_experiment_templates/3","title":"aws_fis.list_experiment_templates/3","type":"function"},{"doc":"","ref":"aws_fis.html#list_experiment_templates/4","title":"aws_fis.list_experiment_templates/4","type":"function"},{"doc":"Lists your experiments.","ref":"aws_fis.html#list_experiments/1","title":"aws_fis.list_experiments/1","type":"function"},{"doc":"","ref":"aws_fis.html#list_experiments/3","title":"aws_fis.list_experiments/3","type":"function"},{"doc":"","ref":"aws_fis.html#list_experiments/4","title":"aws_fis.list_experiments/4","type":"function"},{"doc":"Lists the tags for the specified resource.","ref":"aws_fis.html#list_tags_for_resource/2","title":"aws_fis.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_fis.html#list_tags_for_resource/4","title":"aws_fis.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_fis.html#list_tags_for_resource/5","title":"aws_fis.list_tags_for_resource/5","type":"function"},{"doc":"Lists the target resource types.","ref":"aws_fis.html#list_target_resource_types/1","title":"aws_fis.list_target_resource_types/1","type":"function"},{"doc":"","ref":"aws_fis.html#list_target_resource_types/3","title":"aws_fis.list_target_resource_types/3","type":"function"},{"doc":"","ref":"aws_fis.html#list_target_resource_types/4","title":"aws_fis.list_target_resource_types/4","type":"function"},{"doc":"Starts running an experiment from the specified experiment template.","ref":"aws_fis.html#start_experiment/2","title":"aws_fis.start_experiment/2","type":"function"},{"doc":"","ref":"aws_fis.html#start_experiment/3","title":"aws_fis.start_experiment/3","type":"function"},{"doc":"Stops the specified experiment.","ref":"aws_fis.html#stop_experiment/3","title":"aws_fis.stop_experiment/3","type":"function"},{"doc":"","ref":"aws_fis.html#stop_experiment/4","title":"aws_fis.stop_experiment/4","type":"function"},{"doc":"Applies the specified tags to the specified resource.","ref":"aws_fis.html#tag_resource/3","title":"aws_fis.tag_resource/3","type":"function"},{"doc":"","ref":"aws_fis.html#tag_resource/4","title":"aws_fis.tag_resource/4","type":"function"},{"doc":"Removes the specified tags from the specified resource.","ref":"aws_fis.html#untag_resource/3","title":"aws_fis.untag_resource/3","type":"function"},{"doc":"","ref":"aws_fis.html#untag_resource/4","title":"aws_fis.untag_resource/4","type":"function"},{"doc":"Updates the specified experiment template.","ref":"aws_fis.html#update_experiment_template/3","title":"aws_fis.update_experiment_template/3","type":"function"},{"doc":"","ref":"aws_fis.html#update_experiment_template/4","title":"aws_fis.update_experiment_template/4","type":"function"},{"doc":"This is the Firewall Manager API Reference. This guide is for developers who need detailed information about the Firewall Manager API actions, data types, and errors. For detailed information about Firewall Manager features, see the Firewall Manager Developer Guide. Some API actions require explicit resource permissions. For information, see the developer guide topic Firewall Manager required permissions for API actions.","ref":"aws_fms.html","title":"aws_fms","type":"module"},{"doc":"Sets the Firewall Manager administrator account. The account must be a member of the organization in Organizations whose resources you want to protect. Firewall Manager sets the permissions that allow the account to administer your Firewall Manager policies. The account that you associate with Firewall Manager is called the Firewall Manager administrator account.","ref":"aws_fms.html#associate_admin_account/2","title":"aws_fms.associate_admin_account/2","type":"function"},{"doc":"","ref":"aws_fms.html#associate_admin_account/3","title":"aws_fms.associate_admin_account/3","type":"function"},{"doc":"Sets the Firewall Manager policy administrator as a tenant administrator of a third-party firewall service. A tenant is an instance of the third-party firewall service that's associated with your Amazon Web Services customer account.","ref":"aws_fms.html#associate_third_party_firewall/2","title":"aws_fms.associate_third_party_firewall/2","type":"function"},{"doc":"","ref":"aws_fms.html#associate_third_party_firewall/3","title":"aws_fms.associate_third_party_firewall/3","type":"function"},{"doc":"Associate resources to a Firewall Manager resource set.","ref":"aws_fms.html#batch_associate_resource/2","title":"aws_fms.batch_associate_resource/2","type":"function"},{"doc":"","ref":"aws_fms.html#batch_associate_resource/3","title":"aws_fms.batch_associate_resource/3","type":"function"},{"doc":"Disassociates resources from a Firewall Manager resource set.","ref":"aws_fms.html#batch_disassociate_resource/2","title":"aws_fms.batch_disassociate_resource/2","type":"function"},{"doc":"","ref":"aws_fms.html#batch_disassociate_resource/3","title":"aws_fms.batch_disassociate_resource/3","type":"function"},{"doc":"Permanently deletes an Firewall Manager applications list.","ref":"aws_fms.html#delete_apps_list/2","title":"aws_fms.delete_apps_list/2","type":"function"},{"doc":"","ref":"aws_fms.html#delete_apps_list/3","title":"aws_fms.delete_apps_list/3","type":"function"},{"doc":"Deletes an Firewall Manager association with the IAM role and the Amazon Simple Notification Service (SNS) topic that is used to record Firewall Manager SNS logs.","ref":"aws_fms.html#delete_notification_channel/2","title":"aws_fms.delete_notification_channel/2","type":"function"},{"doc":"","ref":"aws_fms.html#delete_notification_channel/3","title":"aws_fms.delete_notification_channel/3","type":"function"},{"doc":"Permanently deletes an Firewall Manager policy.","ref":"aws_fms.html#delete_policy/2","title":"aws_fms.delete_policy/2","type":"function"},{"doc":"","ref":"aws_fms.html#delete_policy/3","title":"aws_fms.delete_policy/3","type":"function"},{"doc":"Permanently deletes an Firewall Manager protocols list.","ref":"aws_fms.html#delete_protocols_list/2","title":"aws_fms.delete_protocols_list/2","type":"function"},{"doc":"","ref":"aws_fms.html#delete_protocols_list/3","title":"aws_fms.delete_protocols_list/3","type":"function"},{"doc":"Deletes the specified ResourceSet .","ref":"aws_fms.html#delete_resource_set/2","title":"aws_fms.delete_resource_set/2","type":"function"},{"doc":"","ref":"aws_fms.html#delete_resource_set/3","title":"aws_fms.delete_resource_set/3","type":"function"},{"doc":"Disassociates the account that has been set as the Firewall Manager administrator account. To set a different account as the administrator account, you must submit an AssociateAdminAccount request.","ref":"aws_fms.html#disassociate_admin_account/2","title":"aws_fms.disassociate_admin_account/2","type":"function"},{"doc":"","ref":"aws_fms.html#disassociate_admin_account/3","title":"aws_fms.disassociate_admin_account/3","type":"function"},{"doc":"Disassociates a Firewall Manager policy administrator from a third-party firewall tenant. When you call DisassociateThirdPartyFirewall , the third-party firewall vendor deletes all of the firewalls that are associated with the account.","ref":"aws_fms.html#disassociate_third_party_firewall/2","title":"aws_fms.disassociate_third_party_firewall/2","type":"function"},{"doc":"","ref":"aws_fms.html#disassociate_third_party_firewall/3","title":"aws_fms.disassociate_third_party_firewall/3","type":"function"},{"doc":"Returns the Organizations account that is associated with Firewall Manager as the Firewall Manager administrator.","ref":"aws_fms.html#get_admin_account/2","title":"aws_fms.get_admin_account/2","type":"function"},{"doc":"","ref":"aws_fms.html#get_admin_account/3","title":"aws_fms.get_admin_account/3","type":"function"},{"doc":"Returns information about the specified Firewall Manager applications list.","ref":"aws_fms.html#get_apps_list/2","title":"aws_fms.get_apps_list/2","type":"function"},{"doc":"","ref":"aws_fms.html#get_apps_list/3","title":"aws_fms.get_apps_list/3","type":"function"},{"doc":"Returns detailed compliance information about the specified member account. Details include resources that are in and out of compliance with the specified policy. Resources are considered noncompliant for WAF and Shield Advanced policies if the specified policy has not been applied to them. Resources are considered noncompliant for security group policies if they are in scope of the policy, they violate one or more of the policy rules, and remediation is disabled or not possible. Resources are considered noncompliant for Network Firewall policies if a firewall is missing in the VPC, if the firewall endpoint isn't set up in an expected Availability Zone and subnet, if a subnet created by the Firewall Manager doesn't have the expected route table, and for modifications to a firewall policy that violate the Firewall Manager policy's rules. Resources are considered noncompliant for DNS Firewall policies if a DNS Firewall rule group is missing from the rule group associations for the VPC.","ref":"aws_fms.html#get_compliance_detail/2","title":"aws_fms.get_compliance_detail/2","type":"function"},{"doc":"","ref":"aws_fms.html#get_compliance_detail/3","title":"aws_fms.get_compliance_detail/3","type":"function"},{"doc":"Information about the Amazon Simple Notification Service (SNS) topic that is used to record Firewall Manager SNS logs.","ref":"aws_fms.html#get_notification_channel/2","title":"aws_fms.get_notification_channel/2","type":"function"},{"doc":"","ref":"aws_fms.html#get_notification_channel/3","title":"aws_fms.get_notification_channel/3","type":"function"},{"doc":"Returns information about the specified Firewall Manager policy.","ref":"aws_fms.html#get_policy/2","title":"aws_fms.get_policy/2","type":"function"},{"doc":"","ref":"aws_fms.html#get_policy/3","title":"aws_fms.get_policy/3","type":"function"},{"doc":"If you created a Shield Advanced policy, returns policy-level attack summary information in the event of a potential DDoS attack. Other policy types are currently unsupported.","ref":"aws_fms.html#get_protection_status/2","title":"aws_fms.get_protection_status/2","type":"function"},{"doc":"","ref":"aws_fms.html#get_protection_status/3","title":"aws_fms.get_protection_status/3","type":"function"},{"doc":"Returns information about the specified Firewall Manager protocols list.","ref":"aws_fms.html#get_protocols_list/2","title":"aws_fms.get_protocols_list/2","type":"function"},{"doc":"","ref":"aws_fms.html#get_protocols_list/3","title":"aws_fms.get_protocols_list/3","type":"function"},{"doc":"Gets information about a specific resource set.","ref":"aws_fms.html#get_resource_set/2","title":"aws_fms.get_resource_set/2","type":"function"},{"doc":"","ref":"aws_fms.html#get_resource_set/3","title":"aws_fms.get_resource_set/3","type":"function"},{"doc":"The onboarding status of a Firewall Manager admin account to third-party firewall vendor tenant.","ref":"aws_fms.html#get_third_party_firewall_association_status/2","title":"aws_fms.get_third_party_firewall_association_status/2","type":"function"},{"doc":"","ref":"aws_fms.html#get_third_party_firewall_association_status/3","title":"aws_fms.get_third_party_firewall_association_status/3","type":"function"},{"doc":"Retrieves violations for a resource based on the specified Firewall Manager policy and Amazon Web Services account.","ref":"aws_fms.html#get_violation_details/2","title":"aws_fms.get_violation_details/2","type":"function"},{"doc":"","ref":"aws_fms.html#get_violation_details/3","title":"aws_fms.get_violation_details/3","type":"function"},{"doc":"Returns an array of AppsListDataSummary objects.","ref":"aws_fms.html#list_apps_lists/2","title":"aws_fms.list_apps_lists/2","type":"function"},{"doc":"","ref":"aws_fms.html#list_apps_lists/3","title":"aws_fms.list_apps_lists/3","type":"function"},{"doc":"Returns an array of PolicyComplianceStatus objects. Use PolicyComplianceStatus to get a summary of which member accounts are protected by the specified policy.","ref":"aws_fms.html#list_compliance_status/2","title":"aws_fms.list_compliance_status/2","type":"function"},{"doc":"","ref":"aws_fms.html#list_compliance_status/3","title":"aws_fms.list_compliance_status/3","type":"function"},{"doc":"Returns an array of resources in the organization's accounts that are available to be associated with a resource set.","ref":"aws_fms.html#list_discovered_resources/2","title":"aws_fms.list_discovered_resources/2","type":"function"},{"doc":"","ref":"aws_fms.html#list_discovered_resources/3","title":"aws_fms.list_discovered_resources/3","type":"function"},{"doc":"Returns a MemberAccounts object that lists the member accounts in the administrator's Amazon Web Services organization. The ListMemberAccounts must be submitted by the account that is set as the Firewall Manager administrator.","ref":"aws_fms.html#list_member_accounts/2","title":"aws_fms.list_member_accounts/2","type":"function"},{"doc":"","ref":"aws_fms.html#list_member_accounts/3","title":"aws_fms.list_member_accounts/3","type":"function"},{"doc":"Returns an array of PolicySummary objects.","ref":"aws_fms.html#list_policies/2","title":"aws_fms.list_policies/2","type":"function"},{"doc":"","ref":"aws_fms.html#list_policies/3","title":"aws_fms.list_policies/3","type":"function"},{"doc":"Returns an array of ProtocolsListDataSummary objects.","ref":"aws_fms.html#list_protocols_lists/2","title":"aws_fms.list_protocols_lists/2","type":"function"},{"doc":"","ref":"aws_fms.html#list_protocols_lists/3","title":"aws_fms.list_protocols_lists/3","type":"function"},{"doc":"Returns an array of resources that are currently associated to a resource set.","ref":"aws_fms.html#list_resource_set_resources/2","title":"aws_fms.list_resource_set_resources/2","type":"function"},{"doc":"","ref":"aws_fms.html#list_resource_set_resources/3","title":"aws_fms.list_resource_set_resources/3","type":"function"},{"doc":"Returns an array of ResourceSetSummary objects.","ref":"aws_fms.html#list_resource_sets/2","title":"aws_fms.list_resource_sets/2","type":"function"},{"doc":"","ref":"aws_fms.html#list_resource_sets/3","title":"aws_fms.list_resource_sets/3","type":"function"},{"doc":"Retrieves the list of tags for the specified Amazon Web Services resource.","ref":"aws_fms.html#list_tags_for_resource/2","title":"aws_fms.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_fms.html#list_tags_for_resource/3","title":"aws_fms.list_tags_for_resource/3","type":"function"},{"doc":"Retrieves a list of all of the third-party firewall policies that are associated with the third-party firewall administrator's account.","ref":"aws_fms.html#list_third_party_firewall_firewall_policies/2","title":"aws_fms.list_third_party_firewall_firewall_policies/2","type":"function"},{"doc":"","ref":"aws_fms.html#list_third_party_firewall_firewall_policies/3","title":"aws_fms.list_third_party_firewall_firewall_policies/3","type":"function"},{"doc":"Creates an Firewall Manager applications list.","ref":"aws_fms.html#put_apps_list/2","title":"aws_fms.put_apps_list/2","type":"function"},{"doc":"","ref":"aws_fms.html#put_apps_list/3","title":"aws_fms.put_apps_list/3","type":"function"},{"doc":"Designates the IAM role and Amazon Simple Notification Service (SNS) topic that Firewall Manager uses to record SNS logs. To perform this action outside of the console, you must configure the SNS topic to allow the Firewall Manager role AWSServiceRoleForFMS to publish SNS logs. For more information, see Firewall Manager required permissions for API actions in the Firewall Manager Developer Guide.","ref":"aws_fms.html#put_notification_channel/2","title":"aws_fms.put_notification_channel/2","type":"function"},{"doc":"","ref":"aws_fms.html#put_notification_channel/3","title":"aws_fms.put_notification_channel/3","type":"function"},{"doc":"Creates an Firewall Manager policy. Firewall Manager provides the following types of policies: An WAF policy (type WAFV2), which defines rule groups to run first in the corresponding WAF web ACL and rule groups to run last in the web ACL. An WAF Classic policy (type WAF), which defines a rule group. A Shield Advanced policy, which applies Shield Advanced protection to specified accounts and resources. A security group policy, which manages VPC security groups across your Amazon Web Services organization. An Network Firewall policy, which provides firewall rules to filter network traffic in specified Amazon VPCs. A DNS Firewall policy, which provides Route 53 Resolver DNS Firewall rules to filter DNS queries for specified VPCs. Each policy is specific to one of the types. If you want to enforce more than one policy type across accounts, create multiple policies. You can create multiple policies for each type. You must be subscribed to Shield Advanced to create a Shield Advanced policy. For more information about subscribing to Shield Advanced, see CreateSubscription.","ref":"aws_fms.html#put_policy/2","title":"aws_fms.put_policy/2","type":"function"},{"doc":"","ref":"aws_fms.html#put_policy/3","title":"aws_fms.put_policy/3","type":"function"},{"doc":"Creates an Firewall Manager protocols list.","ref":"aws_fms.html#put_protocols_list/2","title":"aws_fms.put_protocols_list/2","type":"function"},{"doc":"","ref":"aws_fms.html#put_protocols_list/3","title":"aws_fms.put_protocols_list/3","type":"function"},{"doc":"Creates the resource set. An Firewall Manager resource set defines the resources to import into an Firewall Manager policy from another Amazon Web Services service.","ref":"aws_fms.html#put_resource_set/2","title":"aws_fms.put_resource_set/2","type":"function"},{"doc":"","ref":"aws_fms.html#put_resource_set/3","title":"aws_fms.put_resource_set/3","type":"function"},{"doc":"Adds one or more tags to an Amazon Web Services resource.","ref":"aws_fms.html#tag_resource/2","title":"aws_fms.tag_resource/2","type":"function"},{"doc":"","ref":"aws_fms.html#tag_resource/3","title":"aws_fms.tag_resource/3","type":"function"},{"doc":"Removes one or more tags from an Amazon Web Services resource.","ref":"aws_fms.html#untag_resource/2","title":"aws_fms.untag_resource/2","type":"function"},{"doc":"","ref":"aws_fms.html#untag_resource/3","title":"aws_fms.untag_resource/3","type":"function"},{"doc":"Provides APIs for creating and managing Amazon Forecast resources.","ref":"aws_forecast.html","title":"aws_forecast","type":"module"},{"doc":"Creates an Amazon Forecast predictor. Amazon Forecast creates predictors with AutoPredictor, which involves applying the optimal combination of algorithms to each time series in your datasets. You can use CreateAutoPredictor to create new predictors or upgrade/retrain existing predictors. Creating new predictors The following parameters are required when creating a new predictor: PredictorName - A unique name for the predictor. DatasetGroupArn - The ARN of the dataset group used to train the predictor. ForecastFrequency - The granularity of your forecasts (hourly, daily, weekly, etc). ForecastHorizon - The number of time-steps that the model predicts. The forecast horizon is also called the prediction length. When creating a new predictor, do not specify a value for ReferencePredictorArn . Upgrading and retraining predictors The following parameters are required when retraining or upgrading a predictor: PredictorName - A unique name for the predictor. ReferencePredictorArn - The ARN of the predictor to retrain or upgrade. When upgrading or retraining a predictor, only specify values for the ReferencePredictorArn and PredictorName .","ref":"aws_forecast.html#create_auto_predictor/2","title":"aws_forecast.create_auto_predictor/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_auto_predictor/3","title":"aws_forecast.create_auto_predictor/3","type":"function"},{"doc":"Creates an Amazon Forecast dataset. The information about the dataset that you provide helps Forecast understand how to consume the data for model training. This includes the following: DataFrequency - How frequently your historical time-series data is collected. Domain and DatasetType - Each dataset has an associated dataset domain and a type within the domain. Amazon Forecast provides a list of predefined domains and types within each domain. For each unique dataset domain and type within the domain, Amazon Forecast requires your data to include a minimum set of predefined fields. Schema - A schema specifies the fields in the dataset, including the field name and data type. After creating a dataset, you import your training data into it and add the dataset to a dataset group. You use the dataset group to create a predictor. For more information, see Importing datasets. To get a list of all your datasets, use the ListDatasets operation. For example Forecast datasets, see the Amazon Forecast Sample GitHub repository. The Status of a dataset must be ACTIVE before you can import training data. Use the DescribeDataset operation to get the status.","ref":"aws_forecast.html#create_dataset/2","title":"aws_forecast.create_dataset/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_dataset/3","title":"aws_forecast.create_dataset/3","type":"function"},{"doc":"Creates a dataset group, which holds a collection of related datasets. You can add datasets to the dataset group when you create the dataset group, or later by using the UpdateDatasetGroup operation. After creating a dataset group and adding datasets, you use the dataset group when you create a predictor. For more information, see Dataset groups. To get a list of all your datasets groups, use the ListDatasetGroups operation. The Status of a dataset group must be ACTIVE before you can use the dataset group to create a predictor. To get the status, use the DescribeDatasetGroup operation.","ref":"aws_forecast.html#create_dataset_group/2","title":"aws_forecast.create_dataset_group/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_dataset_group/3","title":"aws_forecast.create_dataset_group/3","type":"function"},{"doc":"Imports your training data to an Amazon Forecast dataset. You provide the location of your training data in an Amazon Simple Storage Service (Amazon S3) bucket and the Amazon Resource Name (ARN) of the dataset that you want to import the data to. You must specify a DataSource object that includes an Identity and Access Management (IAM) role that Amazon Forecast can assume to access the data, as Amazon Forecast makes a copy of your data and processes it in an internal Amazon Web Services system. For more information, see Set up permissions. The training data must be in CSV or Parquet format. The delimiter must be a comma (,). You can specify the path to a specific file, the S3 bucket, or to a folder in the S3 bucket. For the latter two cases, Amazon Forecast imports all files up to the limit of 10,000 files. Because dataset imports are not aggregated, your most recent dataset import is the one that is used when training a predictor or generating a forecast. Make sure that your most recent dataset import contains all of the data you want to model off of, and not just the new data collected since the previous import. To get a list of all your dataset import jobs, filtered by specified criteria, use the ListDatasetImportJobs operation.","ref":"aws_forecast.html#create_dataset_import_job/2","title":"aws_forecast.create_dataset_import_job/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_dataset_import_job/3","title":"aws_forecast.create_dataset_import_job/3","type":"function"},{"doc":"Explainability is only available for Forecasts and Predictors generated from an AutoPredictor ( CreateAutoPredictor ) Creates an Amazon Forecast Explainability. Explainability helps you better understand how the attributes in your datasets impact forecast. Amazon Forecast uses a metric called Impact scores to quantify the relative impact of each attribute and determine whether they increase or decrease forecast values. To enable Forecast Explainability, your predictor must include at least one of the following: related time series, item metadata, or additional datasets like Holidays and the Weather Index. CreateExplainability accepts either a Predictor ARN or Forecast ARN. To receive aggregated Impact scores for all time series and time points in your datasets, provide a Predictor ARN. To receive Impact scores for specific time series and time points, provide a Forecast ARN. CreateExplainability with a Predictor ARN You can only have one Explainability resource per predictor. If you already enabled ExplainPredictor in CreateAutoPredictor , that predictor already has an Explainability resource. The following parameters are required when providing a Predictor ARN: ExplainabilityName - A unique name for the Explainability. ResourceArn - The Arn of the predictor. TimePointGranularity - Must be set to “ALL”. TimeSeriesGranularity - Must be set to “ALL”. Do not specify a value for the following parameters: DataSource - Only valid when TimeSeriesGranularity is “SPECIFIC”. Schema - Only valid when TimeSeriesGranularity is “SPECIFIC”. StartDateTime - Only valid when TimePointGranularity is “SPECIFIC”. EndDateTime - Only valid when TimePointGranularity is “SPECIFIC”. CreateExplainability with a Forecast ARN You can specify a maximum of 50 time series and 500 time points. The following parameters are required when providing a Predictor ARN: ExplainabilityName - A unique name for the Explainability. ResourceArn - The Arn of the forecast. TimePointGranularity - Either “ALL” or “SPECIFIC”. TimeSeriesGranularity - Either “ALL” or “SPECIFIC”. If you set TimeSeriesGranularity to “SPECIFIC”, you must also provide the following: DataSource - The S3 location of the CSV file specifying your time series. Schema - The Schema defines the attributes and attribute types listed in the Data Source. If you set TimePointGranularity to “SPECIFIC”, you must also provide the following: StartDateTime - The first timestamp in the range of time points. EndDateTime - The last timestamp in the range of time points.","ref":"aws_forecast.html#create_explainability/2","title":"aws_forecast.create_explainability/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_explainability/3","title":"aws_forecast.create_explainability/3","type":"function"},{"doc":"Exports an Explainability resource created by the CreateExplainability operation. Exported files are exported to an Amazon Simple Storage Service (Amazon S3) bucket. You must specify a DataDestination object that includes an Amazon S3 bucket and an Identity and Access Management (IAM) role that Amazon Forecast can assume to access the Amazon S3 bucket. For more information, see aws-forecast-iam-roles . The Status of the export job must be ACTIVE before you can access the export in your Amazon S3 bucket. To get the status, use the DescribeExplainabilityExport operation.","ref":"aws_forecast.html#create_explainability_export/2","title":"aws_forecast.create_explainability_export/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_explainability_export/3","title":"aws_forecast.create_explainability_export/3","type":"function"},{"doc":"Creates a forecast for each item in the TARGET_TIME_SERIES dataset that was used to train the predictor. This is known as inference. To retrieve the forecast for a single item at low latency, use the operation. To export the complete forecast into your Amazon Simple Storage Service (Amazon S3) bucket, use the CreateForecastExportJob operation. The range of the forecast is determined by the ForecastHorizon value, which you specify in the CreatePredictor request. When you query a forecast, you can request a specific date range within the forecast. To get a list of all your forecasts, use the ListForecasts operation. The forecasts generated by Amazon Forecast are in the same time zone as the dataset that was used to create the predictor. For more information, see howitworks-forecast . The Status of the forecast must be ACTIVE before you can query or export the forecast. Use the DescribeForecast operation to get the status. By default, a forecast includes predictions for every item ( item_id ) in the dataset group that was used to train the predictor. However, you can use the TimeSeriesSelector object to generate a forecast on a subset of time series. Forecast creation is skipped for any time series that you specify that are not in the input dataset. The forecast export file will not contain these time series or their forecasted values.","ref":"aws_forecast.html#create_forecast/2","title":"aws_forecast.create_forecast/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_forecast/3","title":"aws_forecast.create_forecast/3","type":"function"},{"doc":"Exports a forecast created by the CreateForecast operation to your Amazon Simple Storage Service (Amazon S3) bucket. The forecast file name will match the following conventions: &lt;ForecastExportJobName&gt;_&lt;ExportTimestamp&gt;_&lt;PartNumber&gt; where the &lt;ExportTimestamp&gt; component is in Java SimpleDateFormat (yyyy-MM-ddTHH-mm-ssZ). You must specify a DataDestination object that includes an Identity and Access Management (IAM) role that Amazon Forecast can assume to access the Amazon S3 bucket. For more information, see aws-forecast-iam-roles . For more information, see howitworks-forecast . To get a list of all your forecast export jobs, use the ListForecastExportJobs operation. The Status of the forecast export job must be ACTIVE before you can access the forecast in your Amazon S3 bucket. To get the status, use the DescribeForecastExportJob operation.","ref":"aws_forecast.html#create_forecast_export_job/2","title":"aws_forecast.create_forecast_export_job/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_forecast_export_job/3","title":"aws_forecast.create_forecast_export_job/3","type":"function"},{"doc":"Creates a predictor monitor resource for an existing auto predictor. Predictor monitoring allows you to see how your predictor's performance changes over time. For more information, see Predictor Monitoring.","ref":"aws_forecast.html#create_monitor/2","title":"aws_forecast.create_monitor/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_monitor/3","title":"aws_forecast.create_monitor/3","type":"function"},{"doc":"This operation creates a legacy predictor that does not include all the predictor functionalities provided by Amazon Forecast. To create a predictor that is compatible with all aspects of Forecast, use CreateAutoPredictor . Creates an Amazon Forecast predictor. In the request, provide a dataset group and either specify an algorithm or let Amazon Forecast choose an algorithm for you using AutoML. If you specify an algorithm, you also can override algorithm-specific hyperparameters. Amazon Forecast uses the algorithm to train a predictor using the latest version of the datasets in the specified dataset group. You can then generate a forecast using the CreateForecast operation. To see the evaluation metrics, use the GetAccuracyMetrics operation. You can specify a featurization configuration to fill and aggregate the data fields in the TARGET_TIME_SERIES dataset to improve model training. For more information, see FeaturizationConfig . For RELATED_TIME_SERIES datasets, CreatePredictor verifies that the DataFrequency specified when the dataset was created matches the ForecastFrequency . TARGET_TIME_SERIES datasets don't have this restriction. Amazon Forecast also verifies the delimiter and timestamp format. For more information, see howitworks-datasets-groups . By default, predictors are trained and evaluated at the 0.1 (P10), 0.5 (P50), and 0.9 (P90) quantiles. You can choose custom forecast types to train and evaluate your predictor by setting the ForecastTypes . AutoML If you want Amazon Forecast to evaluate each algorithm and choose the one that minimizes the objective function , set PerformAutoML to true . The objective function is defined as the mean of the weighted losses over the forecast types. By default, these are the p10, p50, and p90 quantile losses. For more information, see EvaluationResult . When AutoML is enabled, the following properties are disallowed: AlgorithmArn HPOConfig PerformHPO TrainingParameters To get a list of all of your predictors, use the ListPredictors operation. Before you can use the predictor to create a forecast, the Status of the predictor must be ACTIVE , signifying that training has completed. To get the status, use the DescribePredictor operation.","ref":"aws_forecast.html#create_predictor/2","title":"aws_forecast.create_predictor/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_predictor/3","title":"aws_forecast.create_predictor/3","type":"function"},{"doc":"Exports backtest forecasts and accuracy metrics generated by the CreateAutoPredictor or CreatePredictor operations. Two folders containing CSV or Parquet files are exported to your specified S3 bucket. The export file names will match the following conventions: &amp;lt;ExportJobName&amp;gt;_&amp;lt;ExportTimestamp&amp;gt;_&amp;lt;PartNumber&amp;gt;.csv The &lt;ExportTimestamp&gt; component is in Java SimpleDate format (yyyy-MM-ddTHH-mm-ssZ). You must specify a DataDestination object that includes an Amazon S3 bucket and an Identity and Access Management (IAM) role that Amazon Forecast can assume to access the Amazon S3 bucket. For more information, see aws-forecast-iam-roles . The Status of the export job must be ACTIVE before you can access the export in your Amazon S3 bucket. To get the status, use the DescribePredictorBacktestExportJob operation.","ref":"aws_forecast.html#create_predictor_backtest_export_job/2","title":"aws_forecast.create_predictor_backtest_export_job/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_predictor_backtest_export_job/3","title":"aws_forecast.create_predictor_backtest_export_job/3","type":"function"},{"doc":"What-if analysis is a scenario modeling technique where you make a hypothetical change to a time series and compare the forecasts generated by these changes against the baseline, unchanged time series. It is important to remember that the purpose of a what-if analysis is to understand how a forecast can change given different modifications to the baseline time series. For example, imagine you are a clothing retailer who is considering an end of season sale to clear space for new styles. After creating a baseline forecast, you can use a what-if analysis to investigate how different sales tactics might affect your goals. You could create a scenario where everything is given a 25% markdown, and another where everything is given a fixed dollar markdown. You could create a scenario where the sale lasts for one week and another where the sale lasts for one month. With a what-if analysis, you can compare many different scenarios against each other. Note that a what-if analysis is meant to display what the forecasting model has learned and how it will behave in the scenarios that you are evaluating. Do not blindly use the results of the what-if analysis to make business decisions. For instance, forecasts might not be accurate for novel scenarios where there is no reference available to determine whether a forecast is good. The TimeSeriesSelector object defines the items that you want in the what-if analysis.","ref":"aws_forecast.html#create_what_if_analysis/2","title":"aws_forecast.create_what_if_analysis/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_what_if_analysis/3","title":"aws_forecast.create_what_if_analysis/3","type":"function"},{"doc":"A what-if forecast is a forecast that is created from a modified version of the baseline forecast. Each what-if forecast incorporates either a replacement dataset or a set of transformations to the original dataset.","ref":"aws_forecast.html#create_what_if_forecast/2","title":"aws_forecast.create_what_if_forecast/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_what_if_forecast/3","title":"aws_forecast.create_what_if_forecast/3","type":"function"},{"doc":"Exports a forecast created by the CreateWhatIfForecast operation to your Amazon Simple Storage Service (Amazon S3) bucket. The forecast file name will match the following conventions: ≈&amp;lt;ForecastExportJobName&amp;gt;_&amp;lt;ExportTimestamp&amp;gt;_&amp;lt;PartNumber&amp;gt; The &lt;ExportTimestamp&gt; component is in Java SimpleDateFormat (yyyy-MM-ddTHH-mm-ssZ). You must specify a DataDestination object that includes an Identity and Access Management (IAM) role that Amazon Forecast can assume to access the Amazon S3 bucket. For more information, see aws-forecast-iam-roles . For more information, see howitworks-forecast . To get a list of all your what-if forecast export jobs, use the ListWhatIfForecastExports operation. The Status of the forecast export job must be ACTIVE before you can access the forecast in your Amazon S3 bucket. To get the status, use the DescribeWhatIfForecastExport operation.","ref":"aws_forecast.html#create_what_if_forecast_export/2","title":"aws_forecast.create_what_if_forecast_export/2","type":"function"},{"doc":"","ref":"aws_forecast.html#create_what_if_forecast_export/3","title":"aws_forecast.create_what_if_forecast_export/3","type":"function"},{"doc":"Deletes an Amazon Forecast dataset that was created using the CreateDataset operation. You can only delete datasets that have a status of ACTIVE or CREATE_FAILED . To get the status use the DescribeDataset operation. Forecast does not automatically update any dataset groups that contain the deleted dataset. In order to update the dataset group, use the UpdateDatasetGroup operation, omitting the deleted dataset's ARN.","ref":"aws_forecast.html#delete_dataset/2","title":"aws_forecast.delete_dataset/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_dataset/3","title":"aws_forecast.delete_dataset/3","type":"function"},{"doc":"Deletes a dataset group created using the CreateDatasetGroup operation. You can only delete dataset groups that have a status of ACTIVE , CREATE_FAILED , or UPDATE_FAILED . To get the status, use the DescribeDatasetGroup operation. This operation deletes only the dataset group, not the datasets in the group.","ref":"aws_forecast.html#delete_dataset_group/2","title":"aws_forecast.delete_dataset_group/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_dataset_group/3","title":"aws_forecast.delete_dataset_group/3","type":"function"},{"doc":"Deletes a dataset import job created using the CreateDatasetImportJob operation. You can delete only dataset import jobs that have a status of ACTIVE or CREATE_FAILED . To get the status, use the DescribeDatasetImportJob operation.","ref":"aws_forecast.html#delete_dataset_import_job/2","title":"aws_forecast.delete_dataset_import_job/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_dataset_import_job/3","title":"aws_forecast.delete_dataset_import_job/3","type":"function"},{"doc":"Deletes an Explainability resource. You can delete only predictor that have a status of ACTIVE or CREATE_FAILED . To get the status, use the DescribeExplainability operation.","ref":"aws_forecast.html#delete_explainability/2","title":"aws_forecast.delete_explainability/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_explainability/3","title":"aws_forecast.delete_explainability/3","type":"function"},{"doc":"Deletes an Explainability export.","ref":"aws_forecast.html#delete_explainability_export/2","title":"aws_forecast.delete_explainability_export/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_explainability_export/3","title":"aws_forecast.delete_explainability_export/3","type":"function"},{"doc":"Deletes a forecast created using the CreateForecast operation. You can delete only forecasts that have a status of ACTIVE or CREATE_FAILED . To get the status, use the DescribeForecast operation. You can't delete a forecast while it is being exported. After a forecast is deleted, you can no longer query the forecast.","ref":"aws_forecast.html#delete_forecast/2","title":"aws_forecast.delete_forecast/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_forecast/3","title":"aws_forecast.delete_forecast/3","type":"function"},{"doc":"Deletes a forecast export job created using the CreateForecastExportJob operation. You can delete only export jobs that have a status of ACTIVE or CREATE_FAILED . To get the status, use the DescribeForecastExportJob operation.","ref":"aws_forecast.html#delete_forecast_export_job/2","title":"aws_forecast.delete_forecast_export_job/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_forecast_export_job/3","title":"aws_forecast.delete_forecast_export_job/3","type":"function"},{"doc":"Deletes a monitor resource. You can only delete a monitor resource with a status of ACTIVE , ACTIVE_STOPPED , CREATE_FAILED , or CREATE_STOPPED .","ref":"aws_forecast.html#delete_monitor/2","title":"aws_forecast.delete_monitor/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_monitor/3","title":"aws_forecast.delete_monitor/3","type":"function"},{"doc":"Deletes a predictor created using the DescribePredictor or CreatePredictor operations. You can delete only predictor that have a status of ACTIVE or CREATE_FAILED . To get the status, use the DescribePredictor operation.","ref":"aws_forecast.html#delete_predictor/2","title":"aws_forecast.delete_predictor/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_predictor/3","title":"aws_forecast.delete_predictor/3","type":"function"},{"doc":"Deletes a predictor backtest export job.","ref":"aws_forecast.html#delete_predictor_backtest_export_job/2","title":"aws_forecast.delete_predictor_backtest_export_job/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_predictor_backtest_export_job/3","title":"aws_forecast.delete_predictor_backtest_export_job/3","type":"function"},{"doc":"Deletes an entire resource tree. This operation will delete the parent resource and its child resources. Child resources are resources that were created from another resource. For example, when a forecast is generated from a predictor, the forecast is the child resource and the predictor is the parent resource. Amazon Forecast resources possess the following parent-child resource hierarchies: Dataset: dataset import jobs Dataset Group: predictors, predictor backtest export jobs, forecasts, forecast export jobs Predictor: predictor backtest export jobs, forecasts, forecast export jobs Forecast: forecast export jobs DeleteResourceTree will only delete Amazon Forecast resources, and will not delete datasets or exported files stored in Amazon S3.","ref":"aws_forecast.html#delete_resource_tree/2","title":"aws_forecast.delete_resource_tree/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_resource_tree/3","title":"aws_forecast.delete_resource_tree/3","type":"function"},{"doc":"Deletes a what-if analysis created using the CreateWhatIfAnalysis operation. You can delete only what-if analyses that have a status of ACTIVE or CREATE_FAILED . To get the status, use the DescribeWhatIfAnalysis operation. You can't delete a what-if analysis while any of its forecasts are being exported.","ref":"aws_forecast.html#delete_what_if_analysis/2","title":"aws_forecast.delete_what_if_analysis/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_what_if_analysis/3","title":"aws_forecast.delete_what_if_analysis/3","type":"function"},{"doc":"Deletes a what-if forecast created using the CreateWhatIfForecast operation. You can delete only what-if forecasts that have a status of ACTIVE or CREATE_FAILED . To get the status, use the DescribeWhatIfForecast operation. You can't delete a what-if forecast while it is being exported. After a what-if forecast is deleted, you can no longer query the what-if analysis.","ref":"aws_forecast.html#delete_what_if_forecast/2","title":"aws_forecast.delete_what_if_forecast/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_what_if_forecast/3","title":"aws_forecast.delete_what_if_forecast/3","type":"function"},{"doc":"Deletes a what-if forecast export created using the CreateWhatIfForecastExport operation. You can delete only what-if forecast exports that have a status of ACTIVE or CREATE_FAILED . To get the status, use the DescribeWhatIfForecastExport operation.","ref":"aws_forecast.html#delete_what_if_forecast_export/2","title":"aws_forecast.delete_what_if_forecast_export/2","type":"function"},{"doc":"","ref":"aws_forecast.html#delete_what_if_forecast_export/3","title":"aws_forecast.delete_what_if_forecast_export/3","type":"function"},{"doc":"Describes a predictor created using the CreateAutoPredictor operation.","ref":"aws_forecast.html#describe_auto_predictor/2","title":"aws_forecast.describe_auto_predictor/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_auto_predictor/3","title":"aws_forecast.describe_auto_predictor/3","type":"function"},{"doc":"Describes an Amazon Forecast dataset created using the CreateDataset operation. In addition to listing the parameters specified in the CreateDataset request, this operation includes the following dataset properties: CreationTime LastModificationTime Status","ref":"aws_forecast.html#describe_dataset/2","title":"aws_forecast.describe_dataset/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_dataset/3","title":"aws_forecast.describe_dataset/3","type":"function"},{"doc":"Describes a dataset group created using the CreateDatasetGroup operation. In addition to listing the parameters provided in the CreateDatasetGroup request, this operation includes the following properties: DatasetArns - The datasets belonging to the group. CreationTime LastModificationTime Status","ref":"aws_forecast.html#describe_dataset_group/2","title":"aws_forecast.describe_dataset_group/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_dataset_group/3","title":"aws_forecast.describe_dataset_group/3","type":"function"},{"doc":"Describes a dataset import job created using the CreateDatasetImportJob operation. In addition to listing the parameters provided in the CreateDatasetImportJob request, this operation includes the following properties: CreationTime LastModificationTime DataSize FieldStatistics Status Message - If an error occurred, information about the error.","ref":"aws_forecast.html#describe_dataset_import_job/2","title":"aws_forecast.describe_dataset_import_job/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_dataset_import_job/3","title":"aws_forecast.describe_dataset_import_job/3","type":"function"},{"doc":"Describes an Explainability resource created using the CreateExplainability operation.","ref":"aws_forecast.html#describe_explainability/2","title":"aws_forecast.describe_explainability/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_explainability/3","title":"aws_forecast.describe_explainability/3","type":"function"},{"doc":"Describes an Explainability export created using the CreateExplainabilityExport operation.","ref":"aws_forecast.html#describe_explainability_export/2","title":"aws_forecast.describe_explainability_export/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_explainability_export/3","title":"aws_forecast.describe_explainability_export/3","type":"function"},{"doc":"Describes a forecast created using the CreateForecast operation. In addition to listing the properties provided in the CreateForecast request, this operation lists the following properties: DatasetGroupArn - The dataset group that provided the training data. CreationTime LastModificationTime Status Message - If an error occurred, information about the error.","ref":"aws_forecast.html#describe_forecast/2","title":"aws_forecast.describe_forecast/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_forecast/3","title":"aws_forecast.describe_forecast/3","type":"function"},{"doc":"Describes a forecast export job created using the CreateForecastExportJob operation. In addition to listing the properties provided by the user in the CreateForecastExportJob request, this operation lists the following properties: CreationTime LastModificationTime Status Message - If an error occurred, information about the error.","ref":"aws_forecast.html#describe_forecast_export_job/2","title":"aws_forecast.describe_forecast_export_job/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_forecast_export_job/3","title":"aws_forecast.describe_forecast_export_job/3","type":"function"},{"doc":"Describes a monitor resource. In addition to listing the properties provided in the CreateMonitor request, this operation lists the following properties: Baseline CreationTime LastEvaluationTime LastEvaluationState LastModificationTime Message Status","ref":"aws_forecast.html#describe_monitor/2","title":"aws_forecast.describe_monitor/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_monitor/3","title":"aws_forecast.describe_monitor/3","type":"function"},{"doc":"This operation is only valid for legacy predictors created with CreatePredictor. If you are not using a legacy predictor, use DescribeAutoPredictor . Describes a predictor created using the CreatePredictor operation. In addition to listing the properties provided in the CreatePredictor request, this operation lists the following properties: DatasetImportJobArns - The dataset import jobs used to import training data. AutoMLAlgorithmArns - If AutoML is performed, the algorithms that were evaluated. CreationTime LastModificationTime Status Message - If an error occurred, information about the error.","ref":"aws_forecast.html#describe_predictor/2","title":"aws_forecast.describe_predictor/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_predictor/3","title":"aws_forecast.describe_predictor/3","type":"function"},{"doc":"Describes a predictor backtest export job created using the CreatePredictorBacktestExportJob operation. In addition to listing the properties provided by the user in the CreatePredictorBacktestExportJob request, this operation lists the following properties: CreationTime LastModificationTime Status Message (if an error occurred)","ref":"aws_forecast.html#describe_predictor_backtest_export_job/2","title":"aws_forecast.describe_predictor_backtest_export_job/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_predictor_backtest_export_job/3","title":"aws_forecast.describe_predictor_backtest_export_job/3","type":"function"},{"doc":"Describes the what-if analysis created using the CreateWhatIfAnalysis operation. In addition to listing the properties provided in the CreateWhatIfAnalysis request, this operation lists the following properties: CreationTime LastModificationTime Message - If an error occurred, information about the error. Status","ref":"aws_forecast.html#describe_what_if_analysis/2","title":"aws_forecast.describe_what_if_analysis/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_what_if_analysis/3","title":"aws_forecast.describe_what_if_analysis/3","type":"function"},{"doc":"Describes the what-if forecast created using the CreateWhatIfForecast operation. In addition to listing the properties provided in the CreateWhatIfForecast request, this operation lists the following properties: CreationTime LastModificationTime Message - If an error occurred, information about the error. Status","ref":"aws_forecast.html#describe_what_if_forecast/2","title":"aws_forecast.describe_what_if_forecast/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_what_if_forecast/3","title":"aws_forecast.describe_what_if_forecast/3","type":"function"},{"doc":"Describes the what-if forecast export created using the CreateWhatIfForecastExport operation. In addition to listing the properties provided in the CreateWhatIfForecastExport request, this operation lists the following properties: CreationTime LastModificationTime Message - If an error occurred, information about the error. Status","ref":"aws_forecast.html#describe_what_if_forecast_export/2","title":"aws_forecast.describe_what_if_forecast_export/2","type":"function"},{"doc":"","ref":"aws_forecast.html#describe_what_if_forecast_export/3","title":"aws_forecast.describe_what_if_forecast_export/3","type":"function"},{"doc":"Provides metrics on the accuracy of the models that were trained by the CreatePredictor operation. Use metrics to see how well the model performed and to decide whether to use the predictor to generate a forecast. For more information, see Predictor Metrics. This operation generates metrics for each backtest window that was evaluated. The number of backtest windows ( NumberOfBacktestWindows ) is specified using the EvaluationParameters object, which is optionally included in the CreatePredictor request. If NumberOfBacktestWindows isn't specified, the number defaults to one. The parameters of the filling method determine which items contribute to the metrics. If you want all items to contribute, specify zero . If you want only those items that have complete data in the range being evaluated to contribute, specify nan . For more information, see FeaturizationMethod . Before you can get accuracy metrics, the Status of the predictor must be ACTIVE , signifying that training has completed. To get the status, use the DescribePredictor operation.","ref":"aws_forecast.html#get_accuracy_metrics/2","title":"aws_forecast.get_accuracy_metrics/2","type":"function"},{"doc":"","ref":"aws_forecast.html#get_accuracy_metrics/3","title":"aws_forecast.get_accuracy_metrics/3","type":"function"},{"doc":"Returns a list of dataset groups created using the CreateDatasetGroup operation. For each dataset group, this operation returns a summary of its properties, including its Amazon Resource Name (ARN). You can retrieve the complete set of properties by using the dataset group ARN with the DescribeDatasetGroup operation.","ref":"aws_forecast.html#list_dataset_groups/2","title":"aws_forecast.list_dataset_groups/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_dataset_groups/3","title":"aws_forecast.list_dataset_groups/3","type":"function"},{"doc":"Returns a list of dataset import jobs created using the CreateDatasetImportJob operation. For each import job, this operation returns a summary of its properties, including its Amazon Resource Name (ARN). You can retrieve the complete set of properties by using the ARN with the DescribeDatasetImportJob operation. You can filter the list by providing an array of Filter objects.","ref":"aws_forecast.html#list_dataset_import_jobs/2","title":"aws_forecast.list_dataset_import_jobs/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_dataset_import_jobs/3","title":"aws_forecast.list_dataset_import_jobs/3","type":"function"},{"doc":"Returns a list of datasets created using the CreateDataset operation. For each dataset, a summary of its properties, including its Amazon Resource Name (ARN), is returned. To retrieve the complete set of properties, use the ARN with the DescribeDataset operation.","ref":"aws_forecast.html#list_datasets/2","title":"aws_forecast.list_datasets/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_datasets/3","title":"aws_forecast.list_datasets/3","type":"function"},{"doc":"Returns a list of Explainability resources created using the CreateExplainability operation. This operation returns a summary for each Explainability. You can filter the list using an array of Filter objects. To retrieve the complete set of properties for a particular Explainability resource, use the ARN with the DescribeExplainability operation.","ref":"aws_forecast.html#list_explainabilities/2","title":"aws_forecast.list_explainabilities/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_explainabilities/3","title":"aws_forecast.list_explainabilities/3","type":"function"},{"doc":"Returns a list of Explainability exports created using the CreateExplainabilityExport operation. This operation returns a summary for each Explainability export. You can filter the list using an array of Filter objects. To retrieve the complete set of properties for a particular Explainability export, use the ARN with the DescribeExplainability operation.","ref":"aws_forecast.html#list_explainability_exports/2","title":"aws_forecast.list_explainability_exports/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_explainability_exports/3","title":"aws_forecast.list_explainability_exports/3","type":"function"},{"doc":"Returns a list of forecast export jobs created using the CreateForecastExportJob operation. For each forecast export job, this operation returns a summary of its properties, including its Amazon Resource Name (ARN). To retrieve the complete set of properties, use the ARN with the DescribeForecastExportJob operation. You can filter the list using an array of Filter objects.","ref":"aws_forecast.html#list_forecast_export_jobs/2","title":"aws_forecast.list_forecast_export_jobs/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_forecast_export_jobs/3","title":"aws_forecast.list_forecast_export_jobs/3","type":"function"},{"doc":"Returns a list of forecasts created using the CreateForecast operation. For each forecast, this operation returns a summary of its properties, including its Amazon Resource Name (ARN). To retrieve the complete set of properties, specify the ARN with the DescribeForecast operation. You can filter the list using an array of Filter objects.","ref":"aws_forecast.html#list_forecasts/2","title":"aws_forecast.list_forecasts/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_forecasts/3","title":"aws_forecast.list_forecasts/3","type":"function"},{"doc":"Returns a list of the monitoring evaluation results and predictor events collected by the monitor resource during different windows of time. For information about monitoring see predictor-monitoring . For more information about retrieving monitoring results see Viewing Monitoring Results.","ref":"aws_forecast.html#list_monitor_evaluations/2","title":"aws_forecast.list_monitor_evaluations/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_monitor_evaluations/3","title":"aws_forecast.list_monitor_evaluations/3","type":"function"},{"doc":"Returns a list of monitors created with the CreateMonitor operation and CreateAutoPredictor operation. For each monitor resource, this operation returns of a summary of its properties, including its Amazon Resource Name (ARN). You can retrieve a complete set of properties of a monitor resource by specify the monitor's ARN in the DescribeMonitor operation.","ref":"aws_forecast.html#list_monitors/2","title":"aws_forecast.list_monitors/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_monitors/3","title":"aws_forecast.list_monitors/3","type":"function"},{"doc":"Returns a list of predictor backtest export jobs created using the CreatePredictorBacktestExportJob operation. This operation returns a summary for each backtest export job. You can filter the list using an array of Filter objects. To retrieve the complete set of properties for a particular backtest export job, use the ARN with the DescribePredictorBacktestExportJob operation.","ref":"aws_forecast.html#list_predictor_backtest_export_jobs/2","title":"aws_forecast.list_predictor_backtest_export_jobs/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_predictor_backtest_export_jobs/3","title":"aws_forecast.list_predictor_backtest_export_jobs/3","type":"function"},{"doc":"Returns a list of predictors created using the CreateAutoPredictor or CreatePredictor operations. For each predictor, this operation returns a summary of its properties, including its Amazon Resource Name (ARN). You can retrieve the complete set of properties by using the ARN with the DescribeAutoPredictor and DescribePredictor operations. You can filter the list using an array of Filter objects.","ref":"aws_forecast.html#list_predictors/2","title":"aws_forecast.list_predictors/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_predictors/3","title":"aws_forecast.list_predictors/3","type":"function"},{"doc":"Lists the tags for an Amazon Forecast resource.","ref":"aws_forecast.html#list_tags_for_resource/2","title":"aws_forecast.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_tags_for_resource/3","title":"aws_forecast.list_tags_for_resource/3","type":"function"},{"doc":"Returns a list of what-if analyses created using the CreateWhatIfAnalysis operation. For each what-if analysis, this operation returns a summary of its properties, including its Amazon Resource Name (ARN). You can retrieve the complete set of properties by using the what-if analysis ARN with the DescribeWhatIfAnalysis operation.","ref":"aws_forecast.html#list_what_if_analyses/2","title":"aws_forecast.list_what_if_analyses/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_what_if_analyses/3","title":"aws_forecast.list_what_if_analyses/3","type":"function"},{"doc":"Returns a list of what-if forecast exports created using the CreateWhatIfForecastExport operation. For each what-if forecast export, this operation returns a summary of its properties, including its Amazon Resource Name (ARN). You can retrieve the complete set of properties by using the what-if forecast export ARN with the DescribeWhatIfForecastExport operation.","ref":"aws_forecast.html#list_what_if_forecast_exports/2","title":"aws_forecast.list_what_if_forecast_exports/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_what_if_forecast_exports/3","title":"aws_forecast.list_what_if_forecast_exports/3","type":"function"},{"doc":"Returns a list of what-if forecasts created using the CreateWhatIfForecast operation. For each what-if forecast, this operation returns a summary of its properties, including its Amazon Resource Name (ARN). You can retrieve the complete set of properties by using the what-if forecast ARN with the DescribeWhatIfForecast operation.","ref":"aws_forecast.html#list_what_if_forecasts/2","title":"aws_forecast.list_what_if_forecasts/2","type":"function"},{"doc":"","ref":"aws_forecast.html#list_what_if_forecasts/3","title":"aws_forecast.list_what_if_forecasts/3","type":"function"},{"doc":"Resumes a stopped monitor resource.","ref":"aws_forecast.html#resume_resource/2","title":"aws_forecast.resume_resource/2","type":"function"},{"doc":"","ref":"aws_forecast.html#resume_resource/3","title":"aws_forecast.resume_resource/3","type":"function"},{"doc":"Stops a resource. The resource undergoes the following states: CREATE_STOPPING and CREATE_STOPPED . You cannot resume a resource once it has been stopped. This operation can be applied to the following resources (and their corresponding child resources): Dataset Import Job Predictor Job Forecast Job Forecast Export Job Predictor Backtest Export Job Explainability Job Explainability Export Job","ref":"aws_forecast.html#stop_resource/2","title":"aws_forecast.stop_resource/2","type":"function"},{"doc":"","ref":"aws_forecast.html#stop_resource/3","title":"aws_forecast.stop_resource/3","type":"function"},{"doc":"Associates the specified tags to a resource with the specified resourceArn . If existing tags on a resource are not specified in the request parameters, they are not changed. When a resource is deleted, the tags associated with that resource are also deleted.","ref":"aws_forecast.html#tag_resource/2","title":"aws_forecast.tag_resource/2","type":"function"},{"doc":"","ref":"aws_forecast.html#tag_resource/3","title":"aws_forecast.tag_resource/3","type":"function"},{"doc":"Deletes the specified tags from a resource.","ref":"aws_forecast.html#untag_resource/2","title":"aws_forecast.untag_resource/2","type":"function"},{"doc":"","ref":"aws_forecast.html#untag_resource/3","title":"aws_forecast.untag_resource/3","type":"function"},{"doc":"Replaces the datasets in a dataset group with the specified datasets. The Status of the dataset group must be ACTIVE before you can use the dataset group to create a predictor. Use the DescribeDatasetGroup operation to get the status.","ref":"aws_forecast.html#update_dataset_group/2","title":"aws_forecast.update_dataset_group/2","type":"function"},{"doc":"","ref":"aws_forecast.html#update_dataset_group/3","title":"aws_forecast.update_dataset_group/3","type":"function"},{"doc":"Provides APIs for creating and managing Amazon Forecast resources.","ref":"aws_forecastquery.html","title":"aws_forecastquery","type":"module"},{"doc":"Retrieves a forecast for a single item, filtered by the supplied criteria. The criteria is a key-value pair. The key is either item_id (or the equivalent non-timestamp, non-target field) from the TARGET_TIME_SERIES dataset, or one of the forecast dimensions specified as part of the FeaturizationConfig object. By default, QueryForecast returns the complete date range for the filtered forecast. You can request a specific date range. To get the full forecast, use the CreateForecastExportJob operation. The forecasts generated by Amazon Forecast are in the same timezone as the dataset that was used to create the predictor.","ref":"aws_forecastquery.html#query_forecast/2","title":"aws_forecastquery.query_forecast/2","type":"function"},{"doc":"","ref":"aws_forecastquery.html#query_forecast/3","title":"aws_forecastquery.query_forecast/3","type":"function"},{"doc":"Retrieves a what-if forecast.","ref":"aws_forecastquery.html#query_what_if_forecast/2","title":"aws_forecastquery.query_what_if_forecast/2","type":"function"},{"doc":"","ref":"aws_forecastquery.html#query_what_if_forecast/3","title":"aws_forecastquery.query_what_if_forecast/3","type":"function"},{"doc":"This is the Amazon Fraud Detector API Reference. This guide is for developers who need detailed information about Amazon Fraud Detector API actions, data types, and errors. For more information about Amazon Fraud Detector features, see the Amazon Fraud Detector User Guide. We provide the Query API as well as AWS software development kits (SDK) for Amazon Fraud Detector in Java and Python programming languages. The Amazon Fraud Detector Query API provides HTTPS requests that use the HTTP verb GET or POST and a Query parameter Action . AWS SDK provides libraries, sample code, tutorials, and other resources for software developers who prefer to build applications using language-specific APIs instead of submitting a request over HTTP or HTTPS. These libraries provide basic functions that automatically take care of tasks such as cryptographically signing your requests, retrying requests, and handling error responses, so that it is easier for you to get started. For more information about the AWS SDKs, see Tools to build on AWS.","ref":"aws_frauddetector.html","title":"aws_frauddetector","type":"module"},{"doc":"Creates a batch of variables.","ref":"aws_frauddetector.html#batch_create_variable/2","title":"aws_frauddetector.batch_create_variable/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#batch_create_variable/3","title":"aws_frauddetector.batch_create_variable/3","type":"function"},{"doc":"Gets a batch of variables.","ref":"aws_frauddetector.html#batch_get_variable/2","title":"aws_frauddetector.batch_get_variable/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#batch_get_variable/3","title":"aws_frauddetector.batch_get_variable/3","type":"function"},{"doc":"Cancels an in-progress batch import job.","ref":"aws_frauddetector.html#cancel_batch_import_job/2","title":"aws_frauddetector.cancel_batch_import_job/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#cancel_batch_import_job/3","title":"aws_frauddetector.cancel_batch_import_job/3","type":"function"},{"doc":"Cancels the specified batch prediction job.","ref":"aws_frauddetector.html#cancel_batch_prediction_job/2","title":"aws_frauddetector.cancel_batch_prediction_job/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#cancel_batch_prediction_job/3","title":"aws_frauddetector.cancel_batch_prediction_job/3","type":"function"},{"doc":"Creates a batch import job.","ref":"aws_frauddetector.html#create_batch_import_job/2","title":"aws_frauddetector.create_batch_import_job/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#create_batch_import_job/3","title":"aws_frauddetector.create_batch_import_job/3","type":"function"},{"doc":"Creates a batch prediction job.","ref":"aws_frauddetector.html#create_batch_prediction_job/2","title":"aws_frauddetector.create_batch_prediction_job/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#create_batch_prediction_job/3","title":"aws_frauddetector.create_batch_prediction_job/3","type":"function"},{"doc":"Creates a detector version. The detector version starts in a DRAFT status.","ref":"aws_frauddetector.html#create_detector_version/2","title":"aws_frauddetector.create_detector_version/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#create_detector_version/3","title":"aws_frauddetector.create_detector_version/3","type":"function"},{"doc":"Creates a model using the specified model type.","ref":"aws_frauddetector.html#create_model/2","title":"aws_frauddetector.create_model/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#create_model/3","title":"aws_frauddetector.create_model/3","type":"function"},{"doc":"Creates a version of the model using the specified model type and model id.","ref":"aws_frauddetector.html#create_model_version/2","title":"aws_frauddetector.create_model_version/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#create_model_version/3","title":"aws_frauddetector.create_model_version/3","type":"function"},{"doc":"Creates a rule for use with the specified detector.","ref":"aws_frauddetector.html#create_rule/2","title":"aws_frauddetector.create_rule/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#create_rule/3","title":"aws_frauddetector.create_rule/3","type":"function"},{"doc":"Creates a variable.","ref":"aws_frauddetector.html#create_variable/2","title":"aws_frauddetector.create_variable/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#create_variable/3","title":"aws_frauddetector.create_variable/3","type":"function"},{"doc":"Deletes the specified batch import job ID record. This action does not delete the data that was batch imported.","ref":"aws_frauddetector.html#delete_batch_import_job/2","title":"aws_frauddetector.delete_batch_import_job/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_batch_import_job/3","title":"aws_frauddetector.delete_batch_import_job/3","type":"function"},{"doc":"Deletes a batch prediction job.","ref":"aws_frauddetector.html#delete_batch_prediction_job/2","title":"aws_frauddetector.delete_batch_prediction_job/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_batch_prediction_job/3","title":"aws_frauddetector.delete_batch_prediction_job/3","type":"function"},{"doc":"Deletes the detector. Before deleting a detector, you must first delete all detector versions and rule versions associated with the detector. When you delete a detector, Amazon Fraud Detector permanently deletes the detector and the data is no longer stored in Amazon Fraud Detector.","ref":"aws_frauddetector.html#delete_detector/2","title":"aws_frauddetector.delete_detector/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_detector/3","title":"aws_frauddetector.delete_detector/3","type":"function"},{"doc":"Deletes the detector version. You cannot delete detector versions that are in ACTIVE status. When you delete a detector version, Amazon Fraud Detector permanently deletes the detector and the data is no longer stored in Amazon Fraud Detector.","ref":"aws_frauddetector.html#delete_detector_version/2","title":"aws_frauddetector.delete_detector_version/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_detector_version/3","title":"aws_frauddetector.delete_detector_version/3","type":"function"},{"doc":"Deletes an entity type. You cannot delete an entity type that is included in an event type. When you delete an entity type, Amazon Fraud Detector permanently deletes that entity type and the data is no longer stored in Amazon Fraud Detector.","ref":"aws_frauddetector.html#delete_entity_type/2","title":"aws_frauddetector.delete_entity_type/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_entity_type/3","title":"aws_frauddetector.delete_entity_type/3","type":"function"},{"doc":"Deletes the specified event. When you delete an event, Amazon Fraud Detector permanently deletes that event and the event data is no longer stored in Amazon Fraud Detector.","ref":"aws_frauddetector.html#delete_event/2","title":"aws_frauddetector.delete_event/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_event/3","title":"aws_frauddetector.delete_event/3","type":"function"},{"doc":"Deletes an event type. You cannot delete an event type that is used in a detector or a model. When you delete an event type, Amazon Fraud Detector permanently deletes that event type and the data is no longer stored in Amazon Fraud Detector.","ref":"aws_frauddetector.html#delete_event_type/2","title":"aws_frauddetector.delete_event_type/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_event_type/3","title":"aws_frauddetector.delete_event_type/3","type":"function"},{"doc":"Deletes all events of a particular event type.","ref":"aws_frauddetector.html#delete_events_by_event_type/2","title":"aws_frauddetector.delete_events_by_event_type/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_events_by_event_type/3","title":"aws_frauddetector.delete_events_by_event_type/3","type":"function"},{"doc":"Removes a SageMaker model from Amazon Fraud Detector. You can remove an Amazon SageMaker model if it is not associated with a detector version. Removing a SageMaker model disconnects it from Amazon Fraud Detector, but the model remains available in SageMaker.","ref":"aws_frauddetector.html#delete_external_model/2","title":"aws_frauddetector.delete_external_model/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_external_model/3","title":"aws_frauddetector.delete_external_model/3","type":"function"},{"doc":"Deletes a label. You cannot delete labels that are included in an event type in Amazon Fraud Detector. You cannot delete a label assigned to an event ID. You must first delete the relevant event ID. When you delete a label, Amazon Fraud Detector permanently deletes that label and the data is no longer stored in Amazon Fraud Detector.","ref":"aws_frauddetector.html#delete_label/2","title":"aws_frauddetector.delete_label/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_label/3","title":"aws_frauddetector.delete_label/3","type":"function"},{"doc":"Deletes a model. You can delete models and model versions in Amazon Fraud Detector, provided that they are not associated with a detector version. When you delete a model, Amazon Fraud Detector permanently deletes that model and the data is no longer stored in Amazon Fraud Detector.","ref":"aws_frauddetector.html#delete_model/2","title":"aws_frauddetector.delete_model/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_model/3","title":"aws_frauddetector.delete_model/3","type":"function"},{"doc":"Deletes a model version. You can delete models and model versions in Amazon Fraud Detector, provided that they are not associated with a detector version. When you delete a model version, Amazon Fraud Detector permanently deletes that model version and the data is no longer stored in Amazon Fraud Detector.","ref":"aws_frauddetector.html#delete_model_version/2","title":"aws_frauddetector.delete_model_version/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_model_version/3","title":"aws_frauddetector.delete_model_version/3","type":"function"},{"doc":"Deletes an outcome. You cannot delete an outcome that is used in a rule version. When you delete an outcome, Amazon Fraud Detector permanently deletes that outcome and the data is no longer stored in Amazon Fraud Detector.","ref":"aws_frauddetector.html#delete_outcome/2","title":"aws_frauddetector.delete_outcome/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_outcome/3","title":"aws_frauddetector.delete_outcome/3","type":"function"},{"doc":"Deletes the rule. You cannot delete a rule if it is used by an ACTIVE or INACTIVE detector version. When you delete a rule, Amazon Fraud Detector permanently deletes that rule and the data is no longer stored in Amazon Fraud Detector.","ref":"aws_frauddetector.html#delete_rule/2","title":"aws_frauddetector.delete_rule/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_rule/3","title":"aws_frauddetector.delete_rule/3","type":"function"},{"doc":"Deletes a variable. You can't delete variables that are included in an event type in Amazon Fraud Detector. Amazon Fraud Detector automatically deletes model output variables and SageMaker model output variables when you delete the model. You can't delete these variables manually. When you delete a variable, Amazon Fraud Detector permanently deletes that variable and the data is no longer stored in Amazon Fraud Detector.","ref":"aws_frauddetector.html#delete_variable/2","title":"aws_frauddetector.delete_variable/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#delete_variable/3","title":"aws_frauddetector.delete_variable/3","type":"function"},{"doc":"Gets all versions for a specified detector.","ref":"aws_frauddetector.html#describe_detector/2","title":"aws_frauddetector.describe_detector/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#describe_detector/3","title":"aws_frauddetector.describe_detector/3","type":"function"},{"doc":"Gets all of the model versions for the specified model type or for the specified model type and model ID. You can also get details for a single, specified model version.","ref":"aws_frauddetector.html#describe_model_versions/2","title":"aws_frauddetector.describe_model_versions/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#describe_model_versions/3","title":"aws_frauddetector.describe_model_versions/3","type":"function"},{"doc":"Gets all batch import jobs or a specific job of the specified ID. This is a paginated API. If you provide a null maxResults , this action retrieves a maximum of 50 records per page. If you provide a maxResults , the value must be between 1 and 50. To get the next page results, provide the pagination token from the GetBatchImportJobsResponse as part of your request. A null pagination token fetches the records from the beginning.","ref":"aws_frauddetector.html#get_batch_import_jobs/2","title":"aws_frauddetector.get_batch_import_jobs/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_batch_import_jobs/3","title":"aws_frauddetector.get_batch_import_jobs/3","type":"function"},{"doc":"Gets all batch prediction jobs or a specific job if you specify a job ID. This is a paginated API. If you provide a null maxResults, this action retrieves a maximum of 50 records per page. If you provide a maxResults, the value must be between 1 and 50. To get the next page results, provide the pagination token from the GetBatchPredictionJobsResponse as part of your request. A null pagination token fetches the records from the beginning.","ref":"aws_frauddetector.html#get_batch_prediction_jobs/2","title":"aws_frauddetector.get_batch_prediction_jobs/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_batch_prediction_jobs/3","title":"aws_frauddetector.get_batch_prediction_jobs/3","type":"function"},{"doc":"Retrieves the status of a DeleteEventsByEventType action.","ref":"aws_frauddetector.html#get_delete_events_by_event_type_status/2","title":"aws_frauddetector.get_delete_events_by_event_type_status/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_delete_events_by_event_type_status/3","title":"aws_frauddetector.get_delete_events_by_event_type_status/3","type":"function"},{"doc":"Gets a particular detector version.","ref":"aws_frauddetector.html#get_detector_version/2","title":"aws_frauddetector.get_detector_version/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_detector_version/3","title":"aws_frauddetector.get_detector_version/3","type":"function"},{"doc":"Gets all detectors or a single detector if a detectorId is specified. This is a paginated API. If you provide a null maxResults , this action retrieves a maximum of 10 records per page. If you provide a maxResults , the value must be between 5 and 10. To get the next page results, provide the pagination token from the GetDetectorsResponse as part of your request. A null pagination token fetches the records from the beginning.","ref":"aws_frauddetector.html#get_detectors/2","title":"aws_frauddetector.get_detectors/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_detectors/3","title":"aws_frauddetector.get_detectors/3","type":"function"},{"doc":"Gets all entity types or a specific entity type if a name is specified. This is a paginated API. If you provide a null maxResults , this action retrieves a maximum of 10 records per page. If you provide a maxResults , the value must be between 5 and 10. To get the next page results, provide the pagination token from the GetEntityTypesResponse as part of your request. A null pagination token fetches the records from the beginning.","ref":"aws_frauddetector.html#get_entity_types/2","title":"aws_frauddetector.get_entity_types/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_entity_types/3","title":"aws_frauddetector.get_entity_types/3","type":"function"},{"doc":"Retrieves details of events stored with Amazon Fraud Detector. This action does not retrieve prediction results.","ref":"aws_frauddetector.html#get_event/2","title":"aws_frauddetector.get_event/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_event/3","title":"aws_frauddetector.get_event/3","type":"function"},{"doc":"Evaluates an event against a detector version. If a version ID is not provided, the detector’s ( ACTIVE ) version is used.","ref":"aws_frauddetector.html#get_event_prediction/2","title":"aws_frauddetector.get_event_prediction/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_event_prediction/3","title":"aws_frauddetector.get_event_prediction/3","type":"function"},{"doc":"Gets details of the past fraud predictions for the specified event ID, event type, detector ID, and detector version ID that was generated in the specified time period.","ref":"aws_frauddetector.html#get_event_prediction_metadata/2","title":"aws_frauddetector.get_event_prediction_metadata/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_event_prediction_metadata/3","title":"aws_frauddetector.get_event_prediction_metadata/3","type":"function"},{"doc":"Gets all event types or a specific event type if name is provided. This is a paginated API. If you provide a null maxResults , this action retrieves a maximum of 10 records per page. If you provide a maxResults , the value must be between 5 and 10. To get the next page results, provide the pagination token from the GetEventTypesResponse as part of your request. A null pagination token fetches the records from the beginning.","ref":"aws_frauddetector.html#get_event_types/2","title":"aws_frauddetector.get_event_types/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_event_types/3","title":"aws_frauddetector.get_event_types/3","type":"function"},{"doc":"Gets the details for one or more Amazon SageMaker models that have been imported into the service. This is a paginated API. If you provide a null maxResults , this actions retrieves a maximum of 10 records per page. If you provide a maxResults , the value must be between 5 and 10. To get the next page results, provide the pagination token from the GetExternalModelsResult as part of your request. A null pagination token fetches the records from the beginning.","ref":"aws_frauddetector.html#get_external_models/2","title":"aws_frauddetector.get_external_models/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_external_models/3","title":"aws_frauddetector.get_external_models/3","type":"function"},{"doc":"Gets the encryption key if a KMS key has been specified to be used to encrypt content in Amazon Fraud Detector.","ref":"aws_frauddetector.html#get_kms_encryption_key/2","title":"aws_frauddetector.get_kms_encryption_key/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_kms_encryption_key/3","title":"aws_frauddetector.get_kms_encryption_key/3","type":"function"},{"doc":"Gets all labels or a specific label if name is provided. This is a paginated API. If you provide a null maxResults , this action retrieves a maximum of 50 records per page. If you provide a maxResults , the value must be between 10 and 50. To get the next page results, provide the pagination token from the GetGetLabelsResponse as part of your request. A null pagination token fetches the records from the beginning.","ref":"aws_frauddetector.html#get_labels/2","title":"aws_frauddetector.get_labels/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_labels/3","title":"aws_frauddetector.get_labels/3","type":"function"},{"doc":"Gets the details of the specified model version.","ref":"aws_frauddetector.html#get_model_version/2","title":"aws_frauddetector.get_model_version/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_model_version/3","title":"aws_frauddetector.get_model_version/3","type":"function"},{"doc":"Gets one or more models. Gets all models for the Amazon Web Services account if no model type and no model id provided. Gets all models for the Amazon Web Services account and model type, if the model type is specified but model id is not provided. Gets a specific model if (model type, model id) tuple is specified. This is a paginated API. If you provide a null maxResults , this action retrieves a maximum of 10 records per page. If you provide a maxResults , the value must be between 1 and 10. To get the next page results, provide the pagination token from the response as part of your request. A null pagination token fetches the records from the beginning.","ref":"aws_frauddetector.html#get_models/2","title":"aws_frauddetector.get_models/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_models/3","title":"aws_frauddetector.get_models/3","type":"function"},{"doc":"Gets one or more outcomes. This is a paginated API. If you provide a null maxResults , this actions retrieves a maximum of 100 records per page. If you provide a maxResults , the value must be between 50 and 100. To get the next page results, provide the pagination token from the GetOutcomesResult as part of your request. A null pagination token fetches the records from the beginning.","ref":"aws_frauddetector.html#get_outcomes/2","title":"aws_frauddetector.get_outcomes/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_outcomes/3","title":"aws_frauddetector.get_outcomes/3","type":"function"},{"doc":"Get all rules for a detector (paginated) if ruleId and ruleVersion are not specified. Gets all rules for the detector and the ruleId if present (paginated). Gets a specific rule if both the ruleId and the ruleVersion are specified. This is a paginated API. Providing null maxResults results in retrieving maximum of 100 records per page. If you provide maxResults the value must be between 50 and 100. To get the next page result, a provide a pagination token from GetRulesResult as part of your request. Null pagination token fetches the records from the beginning.","ref":"aws_frauddetector.html#get_rules/2","title":"aws_frauddetector.get_rules/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_rules/3","title":"aws_frauddetector.get_rules/3","type":"function"},{"doc":"Gets all of the variables or the specific variable. This is a paginated API. Providing null maxSizePerPage results in retrieving maximum of 100 records per page. If you provide maxSizePerPage the value must be between 50 and 100. To get the next page result, a provide a pagination token from GetVariablesResult as part of your request. Null pagination token fetches the records from the beginning.","ref":"aws_frauddetector.html#get_variables/2","title":"aws_frauddetector.get_variables/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#get_variables/3","title":"aws_frauddetector.get_variables/3","type":"function"},{"doc":"Gets a list of past predictions. The list can be filtered by detector ID, detector version ID, event ID, event type, or by specifying a time period. If filter is not specified, the most recent prediction is returned. For example, the following filter lists all past predictions for xyz event type - { &amp;quot;eventType&amp;quot;:{ &amp;quot;value&amp;quot;: &amp;quot;xyz&amp;quot; }” } This is a paginated API. If you provide a null maxResults , this action will retrieve a maximum of 10 records per page. If you provide a maxResults , the value must be between 50 and 100. To get the next page results, provide the nextToken from the response as part of your request. A null nextToken fetches the records from the beginning.","ref":"aws_frauddetector.html#list_event_predictions/2","title":"aws_frauddetector.list_event_predictions/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#list_event_predictions/3","title":"aws_frauddetector.list_event_predictions/3","type":"function"},{"doc":"Lists all tags associated with the resource. This is a paginated API. To get the next page results, provide the pagination token from the response as part of your request. A null pagination token fetches the records from the beginning.","ref":"aws_frauddetector.html#list_tags_for_resource/2","title":"aws_frauddetector.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#list_tags_for_resource/3","title":"aws_frauddetector.list_tags_for_resource/3","type":"function"},{"doc":"Creates or updates a detector.","ref":"aws_frauddetector.html#put_detector/2","title":"aws_frauddetector.put_detector/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#put_detector/3","title":"aws_frauddetector.put_detector/3","type":"function"},{"doc":"Creates or updates an entity type. An entity represents who is performing the event. As part of a fraud prediction, you pass the entity ID to indicate the specific entity who performed the event. An entity type classifies the entity. Example classifications include customer, merchant, or account.","ref":"aws_frauddetector.html#put_entity_type/2","title":"aws_frauddetector.put_entity_type/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#put_entity_type/3","title":"aws_frauddetector.put_entity_type/3","type":"function"},{"doc":"Creates or updates an event type. An event is a business activity that is evaluated for fraud risk. With Amazon Fraud Detector, you generate fraud predictions for events. An event type defines the structure for an event sent to Amazon Fraud Detector. This includes the variables sent as part of the event, the entity performing the event (such as a customer), and the labels that classify the event. Example event types include online payment transactions, account registrations, and authentications.","ref":"aws_frauddetector.html#put_event_type/2","title":"aws_frauddetector.put_event_type/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#put_event_type/3","title":"aws_frauddetector.put_event_type/3","type":"function"},{"doc":"Creates or updates an Amazon SageMaker model endpoint. You can also use this action to update the configuration of the model endpoint, including the IAM role and/or the mapped variables.","ref":"aws_frauddetector.html#put_external_model/2","title":"aws_frauddetector.put_external_model/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#put_external_model/3","title":"aws_frauddetector.put_external_model/3","type":"function"},{"doc":"Specifies the KMS key to be used to encrypt content in Amazon Fraud Detector.","ref":"aws_frauddetector.html#put_kms_encryption_key/2","title":"aws_frauddetector.put_kms_encryption_key/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#put_kms_encryption_key/3","title":"aws_frauddetector.put_kms_encryption_key/3","type":"function"},{"doc":"Creates or updates label. A label classifies an event as fraudulent or legitimate. Labels are associated with event types and used to train supervised machine learning models in Amazon Fraud Detector.","ref":"aws_frauddetector.html#put_label/2","title":"aws_frauddetector.put_label/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#put_label/3","title":"aws_frauddetector.put_label/3","type":"function"},{"doc":"Creates or updates an outcome.","ref":"aws_frauddetector.html#put_outcome/2","title":"aws_frauddetector.put_outcome/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#put_outcome/3","title":"aws_frauddetector.put_outcome/3","type":"function"},{"doc":"Stores events in Amazon Fraud Detector without generating fraud predictions for those events. For example, you can use SendEvent to upload a historical dataset, which you can then later use to train a model.","ref":"aws_frauddetector.html#send_event/2","title":"aws_frauddetector.send_event/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#send_event/3","title":"aws_frauddetector.send_event/3","type":"function"},{"doc":"Assigns tags to a resource.","ref":"aws_frauddetector.html#tag_resource/2","title":"aws_frauddetector.tag_resource/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#tag_resource/3","title":"aws_frauddetector.tag_resource/3","type":"function"},{"doc":"Removes tags from a resource.","ref":"aws_frauddetector.html#untag_resource/2","title":"aws_frauddetector.untag_resource/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#untag_resource/3","title":"aws_frauddetector.untag_resource/3","type":"function"},{"doc":"Updates a detector version. The detector version attributes that you can update include models, external model endpoints, rules, rule execution mode, and description. You can only update a DRAFT detector version.","ref":"aws_frauddetector.html#update_detector_version/2","title":"aws_frauddetector.update_detector_version/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#update_detector_version/3","title":"aws_frauddetector.update_detector_version/3","type":"function"},{"doc":"Updates the detector version's description. You can update the metadata for any detector version ( DRAFT, ACTIVE, or INACTIVE ).","ref":"aws_frauddetector.html#update_detector_version_metadata/2","title":"aws_frauddetector.update_detector_version_metadata/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#update_detector_version_metadata/3","title":"aws_frauddetector.update_detector_version_metadata/3","type":"function"},{"doc":"Updates the detector version’s status. You can perform the following promotions or demotions using UpdateDetectorVersionStatus : DRAFT to ACTIVE , ACTIVE to INACTIVE , and INACTIVE to ACTIVE .","ref":"aws_frauddetector.html#update_detector_version_status/2","title":"aws_frauddetector.update_detector_version_status/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#update_detector_version_status/3","title":"aws_frauddetector.update_detector_version_status/3","type":"function"},{"doc":"Updates the specified event with a new label.","ref":"aws_frauddetector.html#update_event_label/2","title":"aws_frauddetector.update_event_label/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#update_event_label/3","title":"aws_frauddetector.update_event_label/3","type":"function"},{"doc":"Updates model description.","ref":"aws_frauddetector.html#update_model/2","title":"aws_frauddetector.update_model/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#update_model/3","title":"aws_frauddetector.update_model/3","type":"function"},{"doc":"Updates a model version. Updating a model version retrains an existing model version using updated training data and produces a new minor version of the model. You can update the training data set location and data access role attributes using this action. This action creates and trains a new minor version of the model, for example version 1.01, 1.02, 1.03.","ref":"aws_frauddetector.html#update_model_version/2","title":"aws_frauddetector.update_model_version/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#update_model_version/3","title":"aws_frauddetector.update_model_version/3","type":"function"},{"doc":"Updates the status of a model version. You can perform the following status updates: Change the TRAINING_IN_PROGRESS status to TRAINING_CANCELLED . Change the TRAINING_COMPLETE status to ACTIVE . Change ACTIVE to INACTIVE .","ref":"aws_frauddetector.html#update_model_version_status/2","title":"aws_frauddetector.update_model_version_status/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#update_model_version_status/3","title":"aws_frauddetector.update_model_version_status/3","type":"function"},{"doc":"Updates a rule's metadata. The description attribute can be updated.","ref":"aws_frauddetector.html#update_rule_metadata/2","title":"aws_frauddetector.update_rule_metadata/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#update_rule_metadata/3","title":"aws_frauddetector.update_rule_metadata/3","type":"function"},{"doc":"Updates a rule version resulting in a new rule version. Updates a rule version resulting in a new rule version (version 1, 2, 3 ...).","ref":"aws_frauddetector.html#update_rule_version/2","title":"aws_frauddetector.update_rule_version/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#update_rule_version/3","title":"aws_frauddetector.update_rule_version/3","type":"function"},{"doc":"Updates a variable.","ref":"aws_frauddetector.html#update_variable/2","title":"aws_frauddetector.update_variable/2","type":"function"},{"doc":"","ref":"aws_frauddetector.html#update_variable/3","title":"aws_frauddetector.update_variable/3","type":"function"},{"doc":"Amazon FSx is a fully managed service that makes it easy for storage and application administrators to launch and use shared file storage.","ref":"aws_fsx.html","title":"aws_fsx","type":"module"},{"doc":"Use this action to associate one or more Domain Name Server (DNS) aliases with an existing Amazon FSx for Windows File Server file system. A file system can have a maximum of 50 DNS aliases associated with it at any one time. If you try to associate a DNS alias that is already associated with the file system, FSx takes no action on that alias in the request. For more information, see Working with DNS Aliases and Walkthrough 5: Using DNS aliases to access your file system, including additional steps you must take to be able to access your file system using a DNS alias. The system response shows the DNS aliases that Amazon FSx is attempting to associate with the file system. Use the API operation to monitor the status of the aliases Amazon FSx is associating with the file system.","ref":"aws_fsx.html#associate_file_system_aliases/2","title":"aws_fsx.associate_file_system_aliases/2","type":"function"},{"doc":"","ref":"aws_fsx.html#associate_file_system_aliases/3","title":"aws_fsx.associate_file_system_aliases/3","type":"function"},{"doc":"Cancels an existing Amazon FSx for Lustre data repository task if that task is in either the PENDING or EXECUTING state. When you cancel a task, Amazon FSx does the following. Any files that FSx has already exported are not reverted. FSx continues to export any files that are &quot;in-flight&quot; when the cancel operation is received. FSx does not export any files that have not yet been exported.","ref":"aws_fsx.html#cancel_data_repository_task/2","title":"aws_fsx.cancel_data_repository_task/2","type":"function"},{"doc":"","ref":"aws_fsx.html#cancel_data_repository_task/3","title":"aws_fsx.cancel_data_repository_task/3","type":"function"},{"doc":"Copies an existing backup within the same Amazon Web Services account to another Amazon Web Services Region (cross-Region copy) or within the same Amazon Web Services Region (in-Region copy). You can have up to five backup copy requests in progress to a single destination Region per account. You can use cross-Region backup copies for cross-Region disaster recovery. You can periodically take backups and copy them to another Region so that in the event of a disaster in the primary Region, you can restore from backup and recover availability quickly in the other Region. You can make cross-Region copies only within your Amazon Web Services partition. A partition is a grouping of Regions. Amazon Web Services currently has three partitions: aws (Standard Regions), aws-cn (China Regions), and aws-us-gov (Amazon Web Services GovCloud [US] Regions). You can also use backup copies to clone your file dataset to another Region or within the same Region. You can use the SourceRegion parameter to specify the Amazon Web Services Region from which the backup will be copied. For example, if you make the call from the us-west-1 Region and want to copy a backup from the us-east-2 Region, you specify us-east-2 in the SourceRegion parameter to make a cross-Region copy. If you don't specify a Region, the backup copy is created in the same Region where the request is sent from (in-Region copy). For more information about creating backup copies, see Copying backups in the Amazon FSx for Windows User Guide, Copying backups in the Amazon FSx for Lustre User Guide, and Copying backups in the Amazon FSx for OpenZFS User Guide.","ref":"aws_fsx.html#copy_backup/2","title":"aws_fsx.copy_backup/2","type":"function"},{"doc":"","ref":"aws_fsx.html#copy_backup/3","title":"aws_fsx.copy_backup/3","type":"function"},{"doc":"Creates a backup of an existing Amazon FSx for Windows File Server file system, Amazon FSx for Lustre file system, Amazon FSx for NetApp ONTAP volume, or Amazon FSx for OpenZFS file system. We recommend creating regular backups so that you can restore a file system or volume from a backup if an issue arises with the original file system or volume. For Amazon FSx for Lustre file systems, you can create a backup only for file systems that have the following configuration: A Persistent deployment type Are not linked to a data repository For more information about backups, see the following: For Amazon FSx for Lustre, see Working with FSx for Lustre backups. For Amazon FSx for Windows, see Working with FSx for Windows backups. For Amazon FSx for NetApp ONTAP, see Working with FSx for NetApp ONTAP backups. For Amazon FSx for OpenZFS, see Working with FSx for OpenZFS backups. If a backup with the specified client request token exists and the parameters match, this operation returns the description of the existing backup. If a backup with the specified client request token exists and the parameters don't match, this operation returns IncompatibleParameterError . If a backup with the specified client request token doesn't exist, CreateBackup does the following: Creates a new Amazon FSx backup with an assigned ID, and an initial lifecycle state of CREATING . Returns the description of the backup. By using the idempotent operation, you can retry a CreateBackup operation without the risk of creating an extra backup. This approach can be useful when an initial call fails in a way that makes it unclear whether a backup was created. If you use the same client request token and the initial call created a backup, the operation returns a successful result because all the parameters are the same. The CreateBackup operation returns while the backup's lifecycle state is still CREATING . You can check the backup creation status by calling the DescribeBackups operation, which returns the backup state along with other information.","ref":"aws_fsx.html#create_backup/2","title":"aws_fsx.create_backup/2","type":"function"},{"doc":"","ref":"aws_fsx.html#create_backup/3","title":"aws_fsx.create_backup/3","type":"function"},{"doc":"Creates an Amazon FSx for Lustre data repository association (DRA). A data repository association is a link between a directory on the file system and an Amazon S3 bucket or prefix. You can have a maximum of 8 data repository associations on a file system. Data repository associations are supported only for file systems with the Persistent_2 deployment type. Each data repository association must have a unique Amazon FSx file system directory and a unique S3 bucket or prefix associated with it. You can configure a data repository association for automatic import only, for automatic export only, or for both. To learn more about linking a data repository to your file system, see Linking your file system to an S3 bucket. CreateDataRepositoryAssociation isn't supported on Amazon File Cache resources. To create a DRA on Amazon File Cache, use the CreateFileCache operation.","ref":"aws_fsx.html#create_data_repository_association/2","title":"aws_fsx.create_data_repository_association/2","type":"function"},{"doc":"","ref":"aws_fsx.html#create_data_repository_association/3","title":"aws_fsx.create_data_repository_association/3","type":"function"},{"doc":"Creates an Amazon FSx for Lustre data repository task. You use data repository tasks to perform bulk operations between your Amazon FSx file system and its linked data repositories. An example of a data repository task is exporting any data and metadata changes, including POSIX metadata, to files, directories, and symbolic links (symlinks) from your FSx file system to a linked data repository. A CreateDataRepositoryTask operation will fail if a data repository is not linked to the FSx file system. To learn more about data repository tasks, see Data Repository Tasks. To learn more about linking a data repository to your file system, see Linking your file system to an S3 bucket.","ref":"aws_fsx.html#create_data_repository_task/2","title":"aws_fsx.create_data_repository_task/2","type":"function"},{"doc":"","ref":"aws_fsx.html#create_data_repository_task/3","title":"aws_fsx.create_data_repository_task/3","type":"function"},{"doc":"Creates a new Amazon File Cache resource. You can use this operation with a client request token in the request that Amazon File Cache uses to ensure idempotent creation. If a cache with the specified client request token exists and the parameters match, CreateFileCache returns the description of the existing cache. If a cache with the specified client request token exists and the parameters don't match, this call returns IncompatibleParameterError . If a file cache with the specified client request token doesn't exist, CreateFileCache does the following: Creates a new, empty Amazon File Cache resourcewith an assigned ID, and an initial lifecycle state of CREATING . Returns the description of the cache in JSON format. The CreateFileCache call returns while the cache's lifecycle state is still CREATING . You can check the cache creation status by calling the DescribeFileCaches operation, which returns the cache state along with other information.","ref":"aws_fsx.html#create_file_cache/2","title":"aws_fsx.create_file_cache/2","type":"function"},{"doc":"","ref":"aws_fsx.html#create_file_cache/3","title":"aws_fsx.create_file_cache/3","type":"function"},{"doc":"Creates a new, empty Amazon FSx file system. You can create the following supported Amazon FSx file systems using the CreateFileSystem API operation: Amazon FSx for Lustre Amazon FSx for NetApp ONTAP Amazon FSx for OpenZFS Amazon FSx for Windows File Server This operation requires a client request token in the request that Amazon FSx uses to ensure idempotent creation. This means that calling the operation multiple times with the same client request token has no effect. By using the idempotent operation, you can retry a CreateFileSystem operation without the risk of creating an extra file system. This approach can be useful when an initial call fails in a way that makes it unclear whether a file system was created. Examples are if a transport level timeout occurred, or your connection was reset. If you use the same client request token and the initial call created a file system, the client receives success as long as the parameters are the same. If a file system with the specified client request token exists and the parameters match, CreateFileSystem returns the description of the existing file system. If a file system with the specified client request token exists and the parameters don't match, this call returns IncompatibleParameterError . If a file system with the specified client request token doesn't exist, CreateFileSystem does the following: Creates a new, empty Amazon FSx file system with an assigned ID, and an initial lifecycle state of CREATING . Returns the description of the file system in JSON format. The CreateFileSystem call returns while the file system's lifecycle state is still CREATING . You can check the file-system creation status by calling the DescribeFileSystems operation, which returns the file system state along with other information.","ref":"aws_fsx.html#create_file_system/2","title":"aws_fsx.create_file_system/2","type":"function"},{"doc":"","ref":"aws_fsx.html#create_file_system/3","title":"aws_fsx.create_file_system/3","type":"function"},{"doc":"Creates a new Amazon FSx for Lustre, Amazon FSx for Windows File Server, or Amazon FSx for OpenZFS file system from an existing Amazon FSx backup. If a file system with the specified client request token exists and the parameters match, this operation returns the description of the file system. If a file system with the specified client request token exists but the parameters don't match, this call returns IncompatibleParameterError . If a file system with the specified client request token doesn't exist, this operation does the following: Creates a new Amazon FSx file system from backup with an assigned ID, and an initial lifecycle state of CREATING . Returns the description of the file system. Parameters like the Active Directory, default share name, automatic backup, and backup settings default to the parameters of the file system that was backed up, unless overridden. You can explicitly supply other settings. By using the idempotent operation, you can retry a CreateFileSystemFromBackup call without the risk of creating an extra file system. This approach can be useful when an initial call fails in a way that makes it unclear whether a file system was created. Examples are if a transport level timeout occurred, or your connection was reset. If you use the same client request token and the initial call created a file system, the client receives a success message as long as the parameters are the same. The CreateFileSystemFromBackup call returns while the file system's lifecycle state is still CREATING . You can check the file-system creation status by calling the DescribeFileSystems operation, which returns the file system state along with other information.","ref":"aws_fsx.html#create_file_system_from_backup/2","title":"aws_fsx.create_file_system_from_backup/2","type":"function"},{"doc":"","ref":"aws_fsx.html#create_file_system_from_backup/3","title":"aws_fsx.create_file_system_from_backup/3","type":"function"},{"doc":"Creates a snapshot of an existing Amazon FSx for OpenZFS volume. With snapshots, you can easily undo file changes and compare file versions by restoring the volume to a previous version. If a snapshot with the specified client request token exists, and the parameters match, this operation returns the description of the existing snapshot. If a snapshot with the specified client request token exists, and the parameters don't match, this operation returns IncompatibleParameterError . If a snapshot with the specified client request token doesn't exist, CreateSnapshot does the following: Creates a new OpenZFS snapshot with an assigned ID, and an initial lifecycle state of CREATING . Returns the description of the snapshot. By using the idempotent operation, you can retry a CreateSnapshot operation without the risk of creating an extra snapshot. This approach can be useful when an initial call fails in a way that makes it unclear whether a snapshot was created. If you use the same client request token and the initial call created a snapshot, the operation returns a successful result because all the parameters are the same. The CreateSnapshot operation returns while the snapshot's lifecycle state is still CREATING . You can check the snapshot creation status by calling the DescribeSnapshots operation, which returns the snapshot state along with other information.","ref":"aws_fsx.html#create_snapshot/2","title":"aws_fsx.create_snapshot/2","type":"function"},{"doc":"","ref":"aws_fsx.html#create_snapshot/3","title":"aws_fsx.create_snapshot/3","type":"function"},{"doc":"Creates a storage virtual machine (SVM) for an Amazon FSx for ONTAP file system.","ref":"aws_fsx.html#create_storage_virtual_machine/2","title":"aws_fsx.create_storage_virtual_machine/2","type":"function"},{"doc":"","ref":"aws_fsx.html#create_storage_virtual_machine/3","title":"aws_fsx.create_storage_virtual_machine/3","type":"function"},{"doc":"Creates an FSx for ONTAP or Amazon FSx for OpenZFS storage volume.","ref":"aws_fsx.html#create_volume/2","title":"aws_fsx.create_volume/2","type":"function"},{"doc":"","ref":"aws_fsx.html#create_volume/3","title":"aws_fsx.create_volume/3","type":"function"},{"doc":"Creates a new Amazon FSx for NetApp ONTAP volume from an existing Amazon FSx volume backup.","ref":"aws_fsx.html#create_volume_from_backup/2","title":"aws_fsx.create_volume_from_backup/2","type":"function"},{"doc":"","ref":"aws_fsx.html#create_volume_from_backup/3","title":"aws_fsx.create_volume_from_backup/3","type":"function"},{"doc":"Deletes an Amazon FSx backup. After deletion, the backup no longer exists, and its data is gone. The DeleteBackup call returns instantly. The backup won't show up in later DescribeBackups calls. The data in a deleted backup is also deleted and can't be recovered by any means.","ref":"aws_fsx.html#delete_backup/2","title":"aws_fsx.delete_backup/2","type":"function"},{"doc":"","ref":"aws_fsx.html#delete_backup/3","title":"aws_fsx.delete_backup/3","type":"function"},{"doc":"Deletes a data repository association on an Amazon FSx for Lustre file system. Deleting the data repository association unlinks the file system from the Amazon S3 bucket. When deleting a data repository association, you have the option of deleting the data in the file system that corresponds to the data repository association. Data repository associations are supported only for file systems with the Persistent_2 deployment type.","ref":"aws_fsx.html#delete_data_repository_association/2","title":"aws_fsx.delete_data_repository_association/2","type":"function"},{"doc":"","ref":"aws_fsx.html#delete_data_repository_association/3","title":"aws_fsx.delete_data_repository_association/3","type":"function"},{"doc":"Deletes an Amazon File Cache resource. After deletion, the cache no longer exists, and its data is gone. The DeleteFileCache operation returns while the cache has the DELETING status. You can check the cache deletion status by calling the DescribeFileCaches operation, which returns a list of caches in your account. If you pass the cache ID for a deleted cache, the DescribeFileCaches operation returns a FileCacheNotFound error. The data in a deleted cache is also deleted and can't be recovered by any means.","ref":"aws_fsx.html#delete_file_cache/2","title":"aws_fsx.delete_file_cache/2","type":"function"},{"doc":"","ref":"aws_fsx.html#delete_file_cache/3","title":"aws_fsx.delete_file_cache/3","type":"function"},{"doc":"Deletes a file system. After deletion, the file system no longer exists, and its data is gone. Any existing automatic backups and snapshots are also deleted. To delete an Amazon FSx for NetApp ONTAP file system, first delete all the volumes and storage virtual machines (SVMs) on the file system. Then provide a FileSystemId value to the DeleFileSystem operation. By default, when you delete an Amazon FSx for Windows File Server file system, a final backup is created upon deletion. This final backup isn't subject to the file system's retention policy, and must be manually deleted. The DeleteFileSystem operation returns while the file system has the DELETING status. You can check the file system deletion status by calling the DescribeFileSystems operation, which returns a list of file systems in your account. If you pass the file system ID for a deleted file system, the DescribeFileSystems operation returns a FileSystemNotFound error. If a data repository task is in a PENDING or EXECUTING state, deleting an Amazon FSx for Lustre file system will fail with an HTTP status code 400 (Bad Request). The data in a deleted file system is also deleted and can't be recovered by any means.","ref":"aws_fsx.html#delete_file_system/2","title":"aws_fsx.delete_file_system/2","type":"function"},{"doc":"","ref":"aws_fsx.html#delete_file_system/3","title":"aws_fsx.delete_file_system/3","type":"function"},{"doc":"Deletes an Amazon FSx for OpenZFS snapshot. After deletion, the snapshot no longer exists, and its data is gone. Deleting a snapshot doesn't affect snapshots stored in a file system backup. The DeleteSnapshot operation returns instantly. The snapshot appears with the lifecycle status of DELETING until the deletion is complete.","ref":"aws_fsx.html#delete_snapshot/2","title":"aws_fsx.delete_snapshot/2","type":"function"},{"doc":"","ref":"aws_fsx.html#delete_snapshot/3","title":"aws_fsx.delete_snapshot/3","type":"function"},{"doc":"Deletes an existing Amazon FSx for ONTAP storage virtual machine (SVM). Prior to deleting an SVM, you must delete all non-root volumes in the SVM, otherwise the operation will fail.","ref":"aws_fsx.html#delete_storage_virtual_machine/2","title":"aws_fsx.delete_storage_virtual_machine/2","type":"function"},{"doc":"","ref":"aws_fsx.html#delete_storage_virtual_machine/3","title":"aws_fsx.delete_storage_virtual_machine/3","type":"function"},{"doc":"Deletes an Amazon FSx for NetApp ONTAP or Amazon FSx for OpenZFS volume.","ref":"aws_fsx.html#delete_volume/2","title":"aws_fsx.delete_volume/2","type":"function"},{"doc":"","ref":"aws_fsx.html#delete_volume/3","title":"aws_fsx.delete_volume/3","type":"function"},{"doc":"Returns the description of a specific Amazon FSx backup, if a BackupIds value is provided for that backup. Otherwise, it returns all backups owned by your Amazon Web Services account in the Amazon Web Services Region of the endpoint that you're calling. When retrieving all backups, you can optionally specify the MaxResults parameter to limit the number of backups in a response. If more backups remain, Amazon FSx returns a NextToken value in the response. In this case, send a later request with the NextToken request parameter set to the value of the NextToken value from the last response. This operation is used in an iterative process to retrieve a list of your backups. DescribeBackups is called first without a NextToken value. Then the operation continues to be called with the NextToken parameter set to the value of the last NextToken value until a response has no NextToken value. When using this operation, keep the following in mind: The operation might return fewer than the MaxResults value of backup descriptions while still including a NextToken value. The order of the backups returned in the response of one DescribeBackups call and the order of the backups returned across the responses of a multi-call iteration is unspecified.","ref":"aws_fsx.html#describe_backups/2","title":"aws_fsx.describe_backups/2","type":"function"},{"doc":"","ref":"aws_fsx.html#describe_backups/3","title":"aws_fsx.describe_backups/3","type":"function"},{"doc":"Returns the description of specific Amazon FSx for Lustre or Amazon File Cache data repository associations, if one or more AssociationIds values are provided in the request, or if filters are used in the request. Data repository associations are supported only for Amazon FSx for Lustre file systems with the Persistent_2 deployment type and for Amazon File Cache resources. You can use filters to narrow the response to include just data repository associations for specific file systems (use the file-system-id filter with the ID of the file system) or caches (use the file-cache-id filter with the ID of the cache), or data repository associations for a specific repository type (use the data-repository-type filter with a value of S3 or NFS ). If you don't use filters, the response returns all data repository associations owned by your Amazon Web Services account in the Amazon Web Services Region of the endpoint that you're calling. When retrieving all data repository associations, you can paginate the response by using the optional MaxResults parameter to limit the number of data repository associations returned in a response. If more data repository associations remain, a NextToken value is returned in the response. In this case, send a later request with the NextToken request parameter set to the value of NextToken from the last response.","ref":"aws_fsx.html#describe_data_repository_associations/2","title":"aws_fsx.describe_data_repository_associations/2","type":"function"},{"doc":"","ref":"aws_fsx.html#describe_data_repository_associations/3","title":"aws_fsx.describe_data_repository_associations/3","type":"function"},{"doc":"Returns the description of specific Amazon FSx for Lustre or Amazon File Cache data repository tasks, if one or more TaskIds values are provided in the request, or if filters are used in the request. You can use filters to narrow the response to include just tasks for specific file systems or caches, or tasks in a specific lifecycle state. Otherwise, it returns all data repository tasks owned by your Amazon Web Services account in the Amazon Web Services Region of the endpoint that you're calling. When retrieving all tasks, you can paginate the response by using the optional MaxResults parameter to limit the number of tasks returned in a response. If more tasks remain, a NextToken value is returned in the response. In this case, send a later request with the NextToken request parameter set to the value of NextToken from the last response.","ref":"aws_fsx.html#describe_data_repository_tasks/2","title":"aws_fsx.describe_data_repository_tasks/2","type":"function"},{"doc":"","ref":"aws_fsx.html#describe_data_repository_tasks/3","title":"aws_fsx.describe_data_repository_tasks/3","type":"function"},{"doc":"Returns the description of a specific Amazon File Cache resource, if a FileCacheIds value is provided for that cache. Otherwise, it returns descriptions of all caches owned by your Amazon Web Services account in the Amazon Web Services Region of the endpoint that you're calling. When retrieving all cache descriptions, you can optionally specify the MaxResults parameter to limit the number of descriptions in a response. If more cache descriptions remain, the operation returns a NextToken value in the response. In this case, send a later request with the NextToken request parameter set to the value of NextToken from the last response. This operation is used in an iterative process to retrieve a list of your cache descriptions. DescribeFileCaches is called first without a NextToken value. Then the operation continues to be called with the NextToken parameter set to the value of the last NextToken value until a response has no NextToken . When using this operation, keep the following in mind: The implementation might return fewer than MaxResults cache descriptions while still including a NextToken value. The order of caches returned in the response of one DescribeFileCaches call and the order of caches returned across the responses of a multicall iteration is unspecified.","ref":"aws_fsx.html#describe_file_caches/2","title":"aws_fsx.describe_file_caches/2","type":"function"},{"doc":"","ref":"aws_fsx.html#describe_file_caches/3","title":"aws_fsx.describe_file_caches/3","type":"function"},{"doc":"Returns the DNS aliases that are associated with the specified Amazon FSx for Windows File Server file system. A history of all DNS aliases that have been associated with and disassociated from the file system is available in the list of AdministrativeAction provided in the DescribeFileSystems operation response.","ref":"aws_fsx.html#describe_file_system_aliases/2","title":"aws_fsx.describe_file_system_aliases/2","type":"function"},{"doc":"","ref":"aws_fsx.html#describe_file_system_aliases/3","title":"aws_fsx.describe_file_system_aliases/3","type":"function"},{"doc":"Returns the description of specific Amazon FSx file systems, if a FileSystemIds value is provided for that file system. Otherwise, it returns descriptions of all file systems owned by your Amazon Web Services account in the Amazon Web Services Region of the endpoint that you're calling. When retrieving all file system descriptions, you can optionally specify the MaxResults parameter to limit the number of descriptions in a response. If more file system descriptions remain, Amazon FSx returns a NextToken value in the response. In this case, send a later request with the NextToken request parameter set to the value of NextToken from the last response. This operation is used in an iterative process to retrieve a list of your file system descriptions. DescribeFileSystems is called first without a NextToken value. Then the operation continues to be called with the NextToken parameter set to the value of the last NextToken value until a response has no NextToken . When using this operation, keep the following in mind: The implementation might return fewer than MaxResults file system descriptions while still including a NextToken value. The order of file systems returned in the response of one DescribeFileSystems call and the order of file systems returned across the responses of a multicall iteration is unspecified.","ref":"aws_fsx.html#describe_file_systems/2","title":"aws_fsx.describe_file_systems/2","type":"function"},{"doc":"","ref":"aws_fsx.html#describe_file_systems/3","title":"aws_fsx.describe_file_systems/3","type":"function"},{"doc":"Returns the description of specific Amazon FSx for OpenZFS snapshots, if a SnapshotIds value is provided. Otherwise, this operation returns all snapshots owned by your Amazon Web Services account in the Amazon Web Services Region of the endpoint that you're calling. When retrieving all snapshots, you can optionally specify the MaxResults parameter to limit the number of snapshots in a response. If more backups remain, Amazon FSx returns a NextToken value in the response. In this case, send a later request with the NextToken request parameter set to the value of NextToken from the last response. Use this operation in an iterative process to retrieve a list of your snapshots. DescribeSnapshots is called first without a NextToken value. Then the operation continues to be called with the NextToken parameter set to the value of the last NextToken value until a response has no NextToken value. When using this operation, keep the following in mind: The operation might return fewer than the MaxResults value of snapshot descriptions while still including a NextToken value. The order of snapshots returned in the response of one DescribeSnapshots call and the order of backups returned across the responses of a multi-call iteration is unspecified.","ref":"aws_fsx.html#describe_snapshots/2","title":"aws_fsx.describe_snapshots/2","type":"function"},{"doc":"","ref":"aws_fsx.html#describe_snapshots/3","title":"aws_fsx.describe_snapshots/3","type":"function"},{"doc":"Describes one or more Amazon FSx for NetApp ONTAP storage virtual machines (SVMs).","ref":"aws_fsx.html#describe_storage_virtual_machines/2","title":"aws_fsx.describe_storage_virtual_machines/2","type":"function"},{"doc":"","ref":"aws_fsx.html#describe_storage_virtual_machines/3","title":"aws_fsx.describe_storage_virtual_machines/3","type":"function"},{"doc":"Describes one or more Amazon FSx for NetApp ONTAP or Amazon FSx for OpenZFS volumes.","ref":"aws_fsx.html#describe_volumes/2","title":"aws_fsx.describe_volumes/2","type":"function"},{"doc":"","ref":"aws_fsx.html#describe_volumes/3","title":"aws_fsx.describe_volumes/3","type":"function"},{"doc":"Use this action to disassociate, or remove, one or more Domain Name Service (DNS) aliases from an Amazon FSx for Windows File Server file system. If you attempt to disassociate a DNS alias that is not associated with the file system, Amazon FSx responds with a 400 Bad Request. For more information, see Working with DNS Aliases. The system generated response showing the DNS aliases that Amazon FSx is attempting to disassociate from the file system. Use the API operation to monitor the status of the aliases Amazon FSx is disassociating with the file system.","ref":"aws_fsx.html#disassociate_file_system_aliases/2","title":"aws_fsx.disassociate_file_system_aliases/2","type":"function"},{"doc":"","ref":"aws_fsx.html#disassociate_file_system_aliases/3","title":"aws_fsx.disassociate_file_system_aliases/3","type":"function"},{"doc":"Lists tags for Amazon FSx resources. When retrieving all tags, you can optionally specify the MaxResults parameter to limit the number of tags in a response. If more tags remain, Amazon FSx returns a NextToken value in the response. In this case, send a later request with the NextToken request parameter set to the value of NextToken from the last response. This action is used in an iterative process to retrieve a list of your tags. ListTagsForResource is called first without a NextToken value. Then the action continues to be called with the NextToken parameter set to the value of the last NextToken value until a response has no NextToken . When using this action, keep the following in mind: The implementation might return fewer than MaxResults file system descriptions while still including a NextToken value. The order of tags returned in the response of one ListTagsForResource call and the order of tags returned across the responses of a multi-call iteration is unspecified.","ref":"aws_fsx.html#list_tags_for_resource/2","title":"aws_fsx.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_fsx.html#list_tags_for_resource/3","title":"aws_fsx.list_tags_for_resource/3","type":"function"},{"doc":"Releases the file system lock from an Amazon FSx for OpenZFS file system.","ref":"aws_fsx.html#release_file_system_nfs_v3_locks/2","title":"aws_fsx.release_file_system_nfs_v3_locks/2","type":"function"},{"doc":"","ref":"aws_fsx.html#release_file_system_nfs_v3_locks/3","title":"aws_fsx.release_file_system_nfs_v3_locks/3","type":"function"},{"doc":"Returns an Amazon FSx for OpenZFS volume to the state saved by the specified snapshot.","ref":"aws_fsx.html#restore_volume_from_snapshot/2","title":"aws_fsx.restore_volume_from_snapshot/2","type":"function"},{"doc":"","ref":"aws_fsx.html#restore_volume_from_snapshot/3","title":"aws_fsx.restore_volume_from_snapshot/3","type":"function"},{"doc":"Tags an Amazon FSx resource.","ref":"aws_fsx.html#tag_resource/2","title":"aws_fsx.tag_resource/2","type":"function"},{"doc":"","ref":"aws_fsx.html#tag_resource/3","title":"aws_fsx.tag_resource/3","type":"function"},{"doc":"This action removes a tag from an Amazon FSx resource.","ref":"aws_fsx.html#untag_resource/2","title":"aws_fsx.untag_resource/2","type":"function"},{"doc":"","ref":"aws_fsx.html#untag_resource/3","title":"aws_fsx.untag_resource/3","type":"function"},{"doc":"Updates the configuration of an existing data repository association on an Amazon FSx for Lustre file system. Data repository associations are supported only for file systems with the Persistent_2 deployment type.","ref":"aws_fsx.html#update_data_repository_association/2","title":"aws_fsx.update_data_repository_association/2","type":"function"},{"doc":"","ref":"aws_fsx.html#update_data_repository_association/3","title":"aws_fsx.update_data_repository_association/3","type":"function"},{"doc":"Updates the configuration of an existing Amazon File Cache resource. You can update multiple properties in a single request.","ref":"aws_fsx.html#update_file_cache/2","title":"aws_fsx.update_file_cache/2","type":"function"},{"doc":"","ref":"aws_fsx.html#update_file_cache/3","title":"aws_fsx.update_file_cache/3","type":"function"},{"doc":"Use this operation to update the configuration of an existing Amazon FSx file system. You can update multiple properties in a single request. For Amazon FSx for Windows File Server file systems, you can update the following properties: AuditLogConfiguration AutomaticBackupRetentionDays DailyAutomaticBackupStartTime SelfManagedActiveDirectoryConfiguration StorageCapacity ThroughputCapacity WeeklyMaintenanceStartTime For Amazon FSx for Lustre file systems, you can update the following properties: AutoImportPolicy AutomaticBackupRetentionDays DailyAutomaticBackupStartTime DataCompressionType LustreRootSquashConfiguration StorageCapacity WeeklyMaintenanceStartTime For Amazon FSx for NetApp ONTAP file systems, you can update the following properties: AutomaticBackupRetentionDays DailyAutomaticBackupStartTime DiskIopsConfiguration FsxAdminPassword StorageCapacity ThroughputCapacity WeeklyMaintenanceStartTime For the Amazon FSx for OpenZFS file systems, you can update the following properties: AutomaticBackupRetentionDays CopyTagsToBackups CopyTagsToVolumes DailyAutomaticBackupStartTime ThroughputCapacity WeeklyMaintenanceStartTime","ref":"aws_fsx.html#update_file_system/2","title":"aws_fsx.update_file_system/2","type":"function"},{"doc":"","ref":"aws_fsx.html#update_file_system/3","title":"aws_fsx.update_file_system/3","type":"function"},{"doc":"Updates the name of an Amazon FSx for OpenZFS snapshot.","ref":"aws_fsx.html#update_snapshot/2","title":"aws_fsx.update_snapshot/2","type":"function"},{"doc":"","ref":"aws_fsx.html#update_snapshot/3","title":"aws_fsx.update_snapshot/3","type":"function"},{"doc":"Updates an Amazon FSx for ONTAP storage virtual machine (SVM).","ref":"aws_fsx.html#update_storage_virtual_machine/2","title":"aws_fsx.update_storage_virtual_machine/2","type":"function"},{"doc":"","ref":"aws_fsx.html#update_storage_virtual_machine/3","title":"aws_fsx.update_storage_virtual_machine/3","type":"function"},{"doc":"Updates the configuration of an Amazon FSx for NetApp ONTAP or Amazon FSx for OpenZFS volume.","ref":"aws_fsx.html#update_volume/2","title":"aws_fsx.update_volume/2","type":"function"},{"doc":"","ref":"aws_fsx.html#update_volume/3","title":"aws_fsx.update_volume/3","type":"function"},{"doc":"Amazon GameLift provides solutions for hosting session-based multiplayer game servers in the cloud, including tools for deploying, operating, and scaling game servers. Built on Amazon Web Services global computing infrastructure, GameLift helps you deliver high-performance, high-reliability, low-cost game servers while dynamically scaling your resource usage to meet player demand. About GameLift solutions Get more information on these GameLift solutions in the GameLift Developer Guide. GameLift managed hosting -- GameLift offers a fully managed service to set up and maintain computing machines for hosting, manage game session and player session life cycle, and handle security, storage, and performance tracking. You can use automatic scaling tools to balance player demand and hosting costs, configure your game session management to minimize player latency, and add FlexMatch for matchmaking. Managed hosting with Realtime Servers -- With GameLift Realtime Servers, you can quickly configure and set up ready-to-go game servers for your game. Realtime Servers provides a game server framework with core GameLift infrastructure already built in. Then use the full range of GameLift managed hosting features, including FlexMatch, for your game. GameLift FleetIQ -- Use GameLift FleetIQ as a standalone service while hosting your games using EC2 instances and Auto Scaling groups. GameLift FleetIQ provides optimizations for game hosting, including boosting the viability of low-cost Spot Instances gaming. For a complete solution, pair the GameLift FleetIQ and FlexMatch standalone services. GameLift FlexMatch -- Add matchmaking to your game hosting solution. FlexMatch is a customizable matchmaking service for multiplayer games. Use FlexMatch as integrated with GameLift managed hosting or incorporate FlexMatch as a standalone service into your own hosting solution. About this API Reference This reference guide describes the low-level service API for Amazon GameLift. With each topic in this guide, you can find links to language-specific SDK guides and the Amazon Web Services CLI reference. Useful links: GameLift API operations listed by tasks GameLift tools and resources","ref":"aws_gamelift.html","title":"aws_gamelift","type":"module"},{"doc":"Registers a player's acceptance or rejection of a proposed FlexMatch match. A matchmaking configuration may require player acceptance; if so, then matches built with that configuration cannot be completed unless all players accept the proposed match within a specified time limit. When FlexMatch builds a match, all the matchmaking tickets involved in the proposed match are placed into status REQUIRES_ACCEPTANCE . This is a trigger for your game to get acceptance from all players in the ticket. Acceptances are only valid for tickets when they are in this status; all other acceptances result in an error. To register acceptance, specify the ticket ID, a response, and one or more players. Once all players have registered acceptance, the matchmaking tickets advance to status PLACING , where a new game session is created for the match. If any player rejects the match, or if acceptances are not received before a specified timeout, the proposed match is dropped. The matchmaking tickets are then handled in one of two ways: For tickets where one or more players rejected the match or failed to respond, the ticket status is set to CANCELLED , and processing is terminated. For tickets where players have accepted or not yet responded, the ticket status is returned to SEARCHING to find a new match. A new matchmaking request for these players can be submitted as needed. Learn more Add FlexMatch to a game client FlexMatch events (reference)","ref":"aws_gamelift.html#accept_match/2","title":"aws_gamelift.accept_match/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#accept_match/3","title":"aws_gamelift.accept_match/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Locates an available game server and temporarily reserves it to host gameplay and players. This operation is called from a game client or client service (such as a matchmaker) to request hosting resources for a new game session. In response, GameLift FleetIQ locates an available game server, places it in CLAIMED status for 60 seconds, and returns connection information that players can use to connect to the game server. To claim a game server, identify a game server group. You can also specify a game server ID, although this approach bypasses GameLift FleetIQ placement optimization. Optionally, include game data to pass to the game server at the start of a game session, such as a game map or player information. When a game server is successfully claimed, connection information is returned. A claimed game server's utilization status remains AVAILABLE while the claim status is set to CLAIMED for up to 60 seconds. This time period gives the game server time to update its status to UTILIZED after players join. If the game server's status is not updated within 60 seconds, the game server reverts to unclaimed status and is available to be claimed by another request. The claim time period is a fixed value and is not configurable. If you try to claim a specific game server, this request will fail in the following cases: If the game server utilization status is UTILIZED . If the game server claim status is CLAIMED . When claiming a specific game server, this request will succeed even if the game server is running on an instance in DRAINING status. To avoid this, first check the instance status by calling DescribeGameServerInstances . Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#claim_game_server/2","title":"aws_gamelift.claim_game_server/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#claim_game_server/3","title":"aws_gamelift.claim_game_server/3","type":"function"},{"doc":"Creates an alias for a fleet. In most situations, you can use an alias ID in place of a fleet ID. An alias provides a level of abstraction for a fleet that is useful when redirecting player traffic from one fleet to another, such as when updating your game build. Amazon GameLift supports two types of routing strategies for aliases: simple and terminal. A simple alias points to an active fleet. A terminal alias is used to display messaging or link to a URL instead of routing players to an active fleet. For example, you might use a terminal alias when a game version is no longer supported and you want to direct players to an upgrade site. To create a fleet alias, specify an alias name, routing strategy, and optional description. Each simple alias can point to only one fleet, but a fleet can have multiple aliases. If successful, a new alias record is returned, including an alias ID and an ARN. You can reassign an alias to another fleet by calling UpdateAlias . Related actions All APIs by task","ref":"aws_gamelift.html#create_alias/2","title":"aws_gamelift.create_alias/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_alias/3","title":"aws_gamelift.create_alias/3","type":"function"},{"doc":"Creates a new Amazon GameLift build resource for your game server binary files. Combine game server binaries into a zip file for use with Amazon GameLift. When setting up a new game build for GameLift, we recommend using the CLI command upload-build . This helper command combines two tasks: (1) it uploads your build files from a file directory to a GameLift Amazon S3 location, and (2) it creates a new build resource. You can use the operation in the following scenarios: To create a new game build with build files that are in an Amazon S3 location under an Amazon Web Services account that you control. To use this option, you give Amazon GameLift access to the Amazon S3 bucket. With permissions in place, specify a build name, operating system, and the Amazon S3 storage location of your game build. To directly upload your build files to a GameLift Amazon S3 location. To use this option, specify a build name and operating system. This operation creates a new build resource and also returns an Amazon S3 location with temporary access credentials. Use the credentials to manually upload your build files to the specified Amazon S3 location. For more information, see Uploading Objects in the Amazon S3 Developer Guide. After you upload build files to the GameLift Amazon S3 location, you can't update them. If successful, this operation creates a new build resource with a unique build ID and places it in INITIALIZED status. A build must be in READY status before you can create fleets with it. Learn more Uploading Your Game Create a Build with Files in Amazon S3 All APIs by task","ref":"aws_gamelift.html#create_build/2","title":"aws_gamelift.create_build/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_build/3","title":"aws_gamelift.create_build/3","type":"function"},{"doc":"Creates a fleet of Amazon Elastic Compute Cloud (Amazon Elastic Compute Cloud) instances to host your custom game server or Realtime Servers. Use this operation to configure the computing resources for your fleet and provide instructions for running game servers on each instance. Most GameLift fleets can deploy instances to multiple locations, including the home Region (where the fleet is created) and an optional set of remote locations. Fleets that are created in the following Amazon Web Services Regions support multiple locations: us-east-1 (N. Virginia), us-west-2 (Oregon), eu-central-1 (Frankfurt), eu-west-1 (Ireland), ap-southeast-2 (Sydney), ap-northeast-1 (Tokyo), and ap-northeast-2 (Seoul). Fleets that are created in other GameLift Regions can deploy instances in the fleet's home Region only. All fleet instances use the same configuration regardless of location; however, you can adjust capacity settings and turn auto-scaling on/off for each location. To create a fleet, choose the hardware for your instances, specify a game server build or Realtime script to deploy, and provide a runtime configuration to direct GameLift how to start and run game servers on each instance in the fleet. Set permissions for inbound traffic to your game servers, and enable optional features as needed. When creating a multi-location fleet, provide a list of additional remote locations. If you need to debug your fleet, fetch logs, view performance metrics or other actions on the fleet, create the development fleet with port 22/3389 open. As a best practice, we recommend opening ports for remote access only when you need them and closing them when you're finished. If successful, this operation creates a new Fleet resource and places it in NEW status, which prompts GameLift to initiate the fleet creation workflow. Learn more Setting up fleets Debug fleet creation issues Multi-location fleets","ref":"aws_gamelift.html#create_fleet/2","title":"aws_gamelift.create_fleet/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_fleet/3","title":"aws_gamelift.create_fleet/3","type":"function"},{"doc":"Adds remote locations to a fleet and begins populating the new locations with EC2 instances. The new instances conform to the fleet's instance type, auto-scaling, and other configuration settings. This operation cannot be used with fleets that don't support remote locations. Fleets can have multiple locations only if they reside in Amazon Web Services Regions that support this feature and were created after the feature was released in March 2021. To add fleet locations, specify the fleet to be updated and provide a list of one or more locations. If successful, this operation returns the list of added locations with their status set to NEW . GameLift initiates the process of starting an instance in each added location. You can track the status of each new location by monitoring location creation events using DescribeFleetEvents. Learn more Setting up fleets Multi-location fleets","ref":"aws_gamelift.html#create_fleet_locations/2","title":"aws_gamelift.create_fleet_locations/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_fleet_locations/3","title":"aws_gamelift.create_fleet_locations/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Creates a GameLift FleetIQ game server group for managing game hosting on a collection of Amazon Elastic Compute Cloud instances for game hosting. This operation creates the game server group, creates an Auto Scaling group in your Amazon Web Services account, and establishes a link between the two groups. You can view the status of your game server groups in the GameLift console. Game server group metrics and events are emitted to Amazon CloudWatch. Before creating a new game server group, you must have the following: An Amazon Elastic Compute Cloud launch template that specifies how to launch Amazon Elastic Compute Cloud instances with your game server build. For more information, see Launching an Instance from a Launch Template in the Amazon Elastic Compute Cloud User Guide. An IAM role that extends limited access to your Amazon Web Services account to allow GameLift FleetIQ to create and interact with the Auto Scaling group. For more information, see Create IAM roles for cross-service interaction in the GameLift FleetIQ Developer Guide. To create a new game server group, specify a unique group name, IAM role and Amazon Elastic Compute Cloud launch template, and provide a list of instance types that can be used in the group. You must also set initial maximum and minimum limits on the group's instance count. You can optionally set an Auto Scaling policy with target tracking based on a GameLift FleetIQ metric. Once the game server group and corresponding Auto Scaling group are created, you have full access to change the Auto Scaling group's configuration as needed. Several properties that are set when creating a game server group, including maximum/minimum size and auto-scaling policy settings, must be updated directly in the Auto Scaling group. Keep in mind that some Auto Scaling group properties are periodically updated by GameLift FleetIQ as part of its balancing activities to optimize for availability and cost. Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#create_game_server_group/2","title":"aws_gamelift.create_game_server_group/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_game_server_group/3","title":"aws_gamelift.create_game_server_group/3","type":"function"},{"doc":"Creates a multiplayer game session for players in a specific fleet location. This operation prompts an available server process to start a game session and retrieves connection information for the new game session. As an alternative, consider using the GameLift game session placement feature with StartGameSessionPlacement , which uses FleetIQ algorithms and queues to optimize the placement process. When creating a game session, you specify exactly where you want to place it and provide a set of game session configuration settings. The fleet must be in ACTIVE status before a game session can be created in it. This operation can be used in the following ways: To create a game session on an instance in a fleet's home Region, provide a fleet or alias ID along with your game session configuration. To create a game session on an instance in a fleet's remote location, provide a fleet or alias ID and a location name, along with your game session configuration. If successful, a workflow is initiated to start a new game session. A GameSession object is returned containing the game session configuration and status. When the status is ACTIVE , game session connection information is provided and player sessions can be created for the game session. By default, newly created game sessions are open to new players. You can restrict new player access by using UpdateGameSession to change the game session's player session creation policy. Game session logs are retained for all active game sessions for 14 days. To access the logs, call GetGameSessionLogUrl to download the log files. Available in Amazon GameLift Local. Learn more Start a game session All APIs by task","ref":"aws_gamelift.html#create_game_session/2","title":"aws_gamelift.create_game_session/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_game_session/3","title":"aws_gamelift.create_game_session/3","type":"function"},{"doc":"Creates a placement queue that processes requests for new game sessions. A queue uses FleetIQ algorithms to determine the best placement locations and find an available game server there, then prompts the game server process to start a new game session. A game session queue is configured with a set of destinations (GameLift fleets or aliases), which determine the locations where the queue can place new game sessions. These destinations can span multiple fleet types (Spot and On-Demand), instance types, and Amazon Web Services Regions. If the queue includes multi-location fleets, the queue is able to place game sessions in all of a fleet's remote locations. You can opt to filter out individual locations if needed. The queue configuration also determines how FleetIQ selects the best available placement for a new game session. Before searching for an available game server, FleetIQ first prioritizes the queue's destinations and locations, with the best placement locations on top. You can set up the queue to use the FleetIQ default prioritization or provide an alternate set of priorities. To create a new queue, provide a name, timeout value, and a list of destinations. Optionally, specify a sort configuration and/or a filter, and define a set of latency cap policies. You can also include the ARN for an Amazon Simple Notification Service (SNS) topic to receive notifications of game session placement activity. Notifications using SNS or CloudWatch events is the preferred way to track placement activity. If successful, a new GameSessionQueue object is returned with an assigned queue ARN. New game session requests, which are submitted to queue with StartGameSessionPlacement or StartMatchmaking, reference a queue's name or ARN. Learn more Design a game session queue Create a game session queue Related actions CreateGameSessionQueue | DescribeGameSessionQueues | UpdateGameSessionQueue | DeleteGameSessionQueue | All APIs by task","ref":"aws_gamelift.html#create_game_session_queue/2","title":"aws_gamelift.create_game_session_queue/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_game_session_queue/3","title":"aws_gamelift.create_game_session_queue/3","type":"function"},{"doc":"Creates a custom location for use in an Anywhere fleet.","ref":"aws_gamelift.html#create_location/2","title":"aws_gamelift.create_location/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_location/3","title":"aws_gamelift.create_location/3","type":"function"},{"doc":"Defines a new matchmaking configuration for use with FlexMatch. Whether your are using FlexMatch with GameLift hosting or as a standalone matchmaking service, the matchmaking configuration sets out rules for matching players and forming teams. If you're also using GameLift hosting, it defines how to start game sessions for each match. Your matchmaking system can use multiple configurations to handle different game scenarios. All matchmaking requests identify the matchmaking configuration to use and provide player attributes consistent with that configuration. To create a matchmaking configuration, you must provide the following: configuration name and FlexMatch mode (with or without GameLift hosting); a rule set that specifies how to evaluate players and find acceptable matches; whether player acceptance is required; and the maximum time allowed for a matchmaking attempt. When using FlexMatch with GameLift hosting, you also need to identify the game session queue to use when starting a game session for the match. In addition, you must set up an Amazon Simple Notification Service topic to receive matchmaking notifications. Provide the topic ARN in the matchmaking configuration. Learn more Design a FlexMatch matchmaker Set up FlexMatch event notification","ref":"aws_gamelift.html#create_matchmaking_configuration/2","title":"aws_gamelift.create_matchmaking_configuration/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_matchmaking_configuration/3","title":"aws_gamelift.create_matchmaking_configuration/3","type":"function"},{"doc":"Creates a new rule set for FlexMatch matchmaking. A rule set describes the type of match to create, such as the number and size of teams. It also sets the parameters for acceptable player matches, such as minimum skill level or character type. To create a matchmaking rule set, provide unique rule set name and the rule set body in JSON format. Rule sets must be defined in the same Region as the matchmaking configuration they are used with. Since matchmaking rule sets cannot be edited, it is a good idea to check the rule set syntax using ValidateMatchmakingRuleSet before creating a new rule set. Learn more Build a rule set Design a matchmaker Matchmaking with FlexMatch","ref":"aws_gamelift.html#create_matchmaking_rule_set/2","title":"aws_gamelift.create_matchmaking_rule_set/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_matchmaking_rule_set/3","title":"aws_gamelift.create_matchmaking_rule_set/3","type":"function"},{"doc":"Reserves an open player slot in a game session for a player. New player sessions can be created in any game session with an open slot that is in ACTIVE status and has a player creation policy of ACCEPT_ALL . You can add a group of players to a game session with CreatePlayerSessions . To create a player session, specify a game session ID, player ID, and optionally a set of player data. If successful, a slot is reserved in the game session for the player and a new PlayerSessions object is returned with a player session ID. The player references the player session ID when sending a connection request to the game session, and the game server can use it to validate the player reservation with the GameLift service. Player sessions cannot be updated. The maximum number of players per game session is 200. It is not adjustable. Related actions All APIs by task","ref":"aws_gamelift.html#create_player_session/2","title":"aws_gamelift.create_player_session/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_player_session/3","title":"aws_gamelift.create_player_session/3","type":"function"},{"doc":"Reserves open slots in a game session for a group of players. New player sessions can be created in any game session with an open slot that is in ACTIVE status and has a player creation policy of ACCEPT_ALL . To add a single player to a game session, use CreatePlayerSession To create player sessions, specify a game session ID and a list of player IDs. Optionally, provide a set of player data for each player ID. If successful, a slot is reserved in the game session for each player, and new PlayerSession objects are returned with player session IDs. Each player references their player session ID when sending a connection request to the game session, and the game server can use it to validate the player reservation with the GameLift service. Player sessions cannot be updated. The maximum number of players per game session is 200. It is not adjustable. Related actions All APIs by task","ref":"aws_gamelift.html#create_player_sessions/2","title":"aws_gamelift.create_player_sessions/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_player_sessions/3","title":"aws_gamelift.create_player_sessions/3","type":"function"},{"doc":"Creates a new script record for your Realtime Servers script. Realtime scripts are JavaScript that provide configuration settings and optional custom game logic for your game. The script is deployed when you create a Realtime Servers fleet to host your game sessions. Script logic is executed during an active game session. To create a new script record, specify a script name and provide the script file(s). The script files and all dependencies must be zipped into a single file. You can pull the zip file from either of these locations: A locally available directory. Use the ZipFile parameter for this option. An Amazon Simple Storage Service (Amazon S3) bucket under your Amazon Web Services account. Use the StorageLocation parameter for this option. You'll need to have an Identity Access Management (IAM) role that allows the Amazon GameLift service to access your S3 bucket. If the call is successful, a new script record is created with a unique script ID. If the script file is provided as a local file, the file is uploaded to an Amazon GameLift-owned S3 bucket and the script record's storage location reflects this location. If the script file is provided as an S3 bucket, Amazon GameLift accesses the file at this storage location as needed for deployment. Learn more Amazon GameLift Realtime Servers Set Up a Role for Amazon GameLift Access Related actions All APIs by task","ref":"aws_gamelift.html#create_script/2","title":"aws_gamelift.create_script/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_script/3","title":"aws_gamelift.create_script/3","type":"function"},{"doc":"Requests authorization to create or delete a peer connection between the VPC for your Amazon GameLift fleet and a virtual private cloud (VPC) in your Amazon Web Services account. VPC peering enables the game servers on your fleet to communicate directly with other Amazon Web Services resources. After you've received authorization, use CreateVpcPeeringConnection to establish the peering connection. For more information, see VPC Peering with Amazon GameLift Fleets. You can peer with VPCs that are owned by any Amazon Web Services account you have access to, including the account that you use to manage your Amazon GameLift fleets. You cannot peer with VPCs that are in different Regions. To request authorization to create a connection, call this operation from the Amazon Web Services account with the VPC that you want to peer to your Amazon GameLift fleet. For example, to enable your game servers to retrieve data from a DynamoDB table, use the account that manages that DynamoDB resource. Identify the following values: (1) The ID of the VPC that you want to peer with, and (2) the ID of the Amazon Web Services account that you use to manage Amazon GameLift. If successful, VPC peering is authorized for the specified VPC. To request authorization to delete a connection, call this operation from the Amazon Web Services account with the VPC that is peered with your Amazon GameLift fleet. Identify the following values: (1) VPC ID that you want to delete the peering connection for, and (2) ID of the Amazon Web Services account that you use to manage Amazon GameLift. The authorization remains valid for 24 hours unless it is canceled. You must create or delete the peering connection while the authorization is valid. Related actions All APIs by task","ref":"aws_gamelift.html#create_vpc_peering_authorization/2","title":"aws_gamelift.create_vpc_peering_authorization/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_vpc_peering_authorization/3","title":"aws_gamelift.create_vpc_peering_authorization/3","type":"function"},{"doc":"Establishes a VPC peering connection between a virtual private cloud (VPC) in an Amazon Web Services account with the VPC for your Amazon GameLift fleet. VPC peering enables the game servers on your fleet to communicate directly with other Amazon Web Services resources. You can peer with VPCs in any Amazon Web Services account that you have access to, including the account that you use to manage your Amazon GameLift fleets. You cannot peer with VPCs that are in different Regions. For more information, see VPC Peering with Amazon GameLift Fleets. Before calling this operation to establish the peering connection, you first need to use CreateVpcPeeringAuthorization and identify the VPC you want to peer with. Once the authorization for the specified VPC is issued, you have 24 hours to establish the connection. These two operations handle all tasks necessary to peer the two VPCs, including acceptance, updating routing tables, etc. To establish the connection, call this operation from the Amazon Web Services account that is used to manage the Amazon GameLift fleets. Identify the following values: (1) The ID of the fleet you want to be enable a VPC peering connection for; (2) The Amazon Web Services account with the VPC that you want to peer with; and (3) The ID of the VPC you want to peer with. This operation is asynchronous. If successful, a connection request is created. You can use continuous polling to track the request's status using DescribeVpcPeeringConnections , or by monitoring fleet events for success or failure using DescribeFleetEvents . Related actions All APIs by task","ref":"aws_gamelift.html#create_vpc_peering_connection/2","title":"aws_gamelift.create_vpc_peering_connection/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#create_vpc_peering_connection/3","title":"aws_gamelift.create_vpc_peering_connection/3","type":"function"},{"doc":"Deletes an alias. This operation removes all record of the alias. Game clients attempting to access a server process using the deleted alias receive an error. To delete an alias, specify the alias ID to be deleted. Related actions All APIs by task","ref":"aws_gamelift.html#delete_alias/2","title":"aws_gamelift.delete_alias/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_alias/3","title":"aws_gamelift.delete_alias/3","type":"function"},{"doc":"Deletes a build. This operation permanently deletes the build resource and any uploaded build files. Deleting a build does not affect the status of any active fleets using the build, but you can no longer create new fleets with the deleted build. To delete a build, specify the build ID. Learn more Upload a Custom Server Build All APIs by task","ref":"aws_gamelift.html#delete_build/2","title":"aws_gamelift.delete_build/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_build/3","title":"aws_gamelift.delete_build/3","type":"function"},{"doc":"Deletes all resources and information related a fleet. Any current fleet instances, including those in remote locations, are shut down. You don't need to call DeleteFleetLocations separately. If the fleet being deleted has a VPC peering connection, you first need to get a valid authorization (good for 24 hours) by calling CreateVpcPeeringAuthorization. You do not need to explicitly delete the VPC peering connection. To delete a fleet, specify the fleet ID to be terminated. During the deletion process the fleet status is changed to DELETING . When completed, the status switches to TERMINATED and the fleet event FLEET_DELETED is sent. Learn more Setting up GameLift Fleets","ref":"aws_gamelift.html#delete_fleet/2","title":"aws_gamelift.delete_fleet/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_fleet/3","title":"aws_gamelift.delete_fleet/3","type":"function"},{"doc":"Removes locations from a multi-location fleet. When deleting a location, all game server process and all instances that are still active in the location are shut down. To delete fleet locations, identify the fleet ID and provide a list of the locations to be deleted. If successful, GameLift sets the location status to DELETING , and begins to shut down existing server processes and terminate instances in each location being deleted. When completed, the location status changes to TERMINATED . Learn more Setting up GameLift fleets","ref":"aws_gamelift.html#delete_fleet_locations/2","title":"aws_gamelift.delete_fleet_locations/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_fleet_locations/3","title":"aws_gamelift.delete_fleet_locations/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Terminates a game server group and permanently deletes the game server group record. You have several options for how these resources are impacted when deleting the game server group. Depending on the type of delete operation selected, this operation might affect these resources: The game server group The corresponding Auto Scaling group All game servers that are currently running in the group To delete a game server group, identify the game server group to delete and specify the type of delete operation to initiate. Game server groups can only be deleted if they are in ACTIVE or ERROR status. If the delete request is successful, a series of operations are kicked off. The game server group status is changed to DELETE_SCHEDULED , which prevents new game servers from being registered and stops automatic scaling activity. Once all game servers in the game server group are deregistered, GameLift FleetIQ can begin deleting resources. If any of the delete operations fail, the game server group is placed in ERROR status. GameLift FleetIQ emits delete events to Amazon CloudWatch. Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#delete_game_server_group/2","title":"aws_gamelift.delete_game_server_group/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_game_server_group/3","title":"aws_gamelift.delete_game_server_group/3","type":"function"},{"doc":"Deletes a game session queue. Once a queue is successfully deleted, unfulfilled StartGameSessionPlacement requests that reference the queue will fail. To delete a queue, specify the queue name.","ref":"aws_gamelift.html#delete_game_session_queue/2","title":"aws_gamelift.delete_game_session_queue/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_game_session_queue/3","title":"aws_gamelift.delete_game_session_queue/3","type":"function"},{"doc":"Deletes a custom location. Before deleting a custom location, review any fleets currently using the custom location and deregister the location if it is in use. For more information see, DeregisterCompute.","ref":"aws_gamelift.html#delete_location/2","title":"aws_gamelift.delete_location/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_location/3","title":"aws_gamelift.delete_location/3","type":"function"},{"doc":"Permanently removes a FlexMatch matchmaking configuration. To delete, specify the configuration name. A matchmaking configuration cannot be deleted if it is being used in any active matchmaking tickets.","ref":"aws_gamelift.html#delete_matchmaking_configuration/2","title":"aws_gamelift.delete_matchmaking_configuration/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_matchmaking_configuration/3","title":"aws_gamelift.delete_matchmaking_configuration/3","type":"function"},{"doc":"Deletes an existing matchmaking rule set. To delete the rule set, provide the rule set name. Rule sets cannot be deleted if they are currently being used by a matchmaking configuration. Learn more Build a rule set","ref":"aws_gamelift.html#delete_matchmaking_rule_set/2","title":"aws_gamelift.delete_matchmaking_rule_set/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_matchmaking_rule_set/3","title":"aws_gamelift.delete_matchmaking_rule_set/3","type":"function"},{"doc":"Deletes a fleet scaling policy. Once deleted, the policy is no longer in force and GameLift removes all record of it. To delete a scaling policy, specify both the scaling policy name and the fleet ID it is associated with. To temporarily suspend scaling policies, use StopFleetActions. This operation suspends all policies for the fleet.","ref":"aws_gamelift.html#delete_scaling_policy/2","title":"aws_gamelift.delete_scaling_policy/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_scaling_policy/3","title":"aws_gamelift.delete_scaling_policy/3","type":"function"},{"doc":"Deletes a Realtime script. This operation permanently deletes the script record. If script files were uploaded, they are also deleted (files stored in an S3 bucket are not deleted). To delete a script, specify the script ID. Before deleting a script, be sure to terminate all fleets that are deployed with the script being deleted. Fleet instances periodically check for script updates, and if the script record no longer exists, the instance will go into an error state and be unable to host game sessions. Learn more Amazon GameLift Realtime Servers Related actions All APIs by task","ref":"aws_gamelift.html#delete_script/2","title":"aws_gamelift.delete_script/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_script/3","title":"aws_gamelift.delete_script/3","type":"function"},{"doc":"Cancels a pending VPC peering authorization for the specified VPC. If you need to delete an existing VPC peering connection, use DeleteVpcPeeringConnection. Related actions All APIs by task","ref":"aws_gamelift.html#delete_vpc_peering_authorization/2","title":"aws_gamelift.delete_vpc_peering_authorization/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_vpc_peering_authorization/3","title":"aws_gamelift.delete_vpc_peering_authorization/3","type":"function"},{"doc":"Removes a VPC peering connection. To delete the connection, you must have a valid authorization for the VPC peering connection that you want to delete.. Once a valid authorization exists, call this operation from the Amazon Web Services account that is used to manage the Amazon GameLift fleets. Identify the connection to delete by the connection ID and fleet ID. If successful, the connection is removed. Related actions All APIs by task","ref":"aws_gamelift.html#delete_vpc_peering_connection/2","title":"aws_gamelift.delete_vpc_peering_connection/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#delete_vpc_peering_connection/3","title":"aws_gamelift.delete_vpc_peering_connection/3","type":"function"},{"doc":"Removes a compute resource from the specified fleet. Deregister your compute resources before you delete the compute.","ref":"aws_gamelift.html#deregister_compute/2","title":"aws_gamelift.deregister_compute/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#deregister_compute/3","title":"aws_gamelift.deregister_compute/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Removes the game server from a game server group. As a result of this operation, the deregistered game server can no longer be claimed and will not be returned in a list of active game servers. To deregister a game server, specify the game server group and game server ID. If successful, this operation emits a CloudWatch event with termination timestamp and reason. Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#deregister_game_server/2","title":"aws_gamelift.deregister_game_server/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#deregister_game_server/3","title":"aws_gamelift.deregister_game_server/3","type":"function"},{"doc":"Retrieves properties for an alias. This operation returns all alias metadata and settings. To get an alias's target fleet ID only, use ResolveAlias . To get alias properties, specify the alias ID. If successful, the requested alias record is returned. Related actions All APIs by task","ref":"aws_gamelift.html#describe_alias/2","title":"aws_gamelift.describe_alias/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_alias/3","title":"aws_gamelift.describe_alias/3","type":"function"},{"doc":"Retrieves properties for a custom game build. To request a build resource, specify a build ID. If successful, an object containing the build properties is returned. Learn more Upload a Custom Server Build All APIs by task","ref":"aws_gamelift.html#describe_build/2","title":"aws_gamelift.describe_build/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_build/3","title":"aws_gamelift.describe_build/3","type":"function"},{"doc":"Retrieves properties for a compute resource. To request a compute resource specify the fleet ID and compute name. If successful, GameLift returns an object containing the build properties.","ref":"aws_gamelift.html#describe_compute/2","title":"aws_gamelift.describe_compute/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_compute/3","title":"aws_gamelift.describe_compute/3","type":"function"},{"doc":"Retrieves the instance limits and current utilization for an Amazon Web Services Region or location. Instance limits control the number of instances, per instance type, per location, that your Amazon Web Services account can use. Learn more at Amazon EC2 Instance Types. The information returned includes the maximum number of instances allowed and your account's current usage across all fleets. This information can affect your ability to scale your GameLift fleets. You can request a limit increase for your account by using the Service limits page in the GameLift console. Instance limits differ based on whether the instances are deployed in a fleet's home Region or in a remote location. For remote locations, limits also differ based on the combination of home Region and remote location. All requests must specify an Amazon Web Services Region (either explicitly or as your default settings). To get the limit for a remote location, you must also specify the location. For example, the following requests all return different results: Request specifies the Region ap-northeast-1 with no location. The result is limits and usage data on all instance types that are deployed in us-east-2 , by all of the fleets that reside in ap-northeast-1 . Request specifies the Region us-east-1 with location ca-central-1 . The result is limits and usage data on all instance types that are deployed in ca-central-1 , by all of the fleets that reside in us-east-2 . These limits do not affect fleets in any other Regions that deploy instances to ca-central-1 . Request specifies the Region eu-west-1 with location ca-central-1 . The result is limits and usage data on all instance types that are deployed in ca-central-1 , by all of the fleets that reside in eu-west-1 . This operation can be used in the following ways: To get limit and usage data for all instance types that are deployed in an Amazon Web Services Region by fleets that reside in the same Region: Specify the Region only. Optionally, specify a single instance type to retrieve information for. To get limit and usage data for all instance types that are deployed to a remote location by fleets that reside in different Amazon Web Services Region: Provide both the Amazon Web Services Region and the remote location. Optionally, specify a single instance type to retrieve information for. If successful, an EC2InstanceLimits object is returned with limits and usage data for each requested instance type. Learn more Setting up GameLift fleets","ref":"aws_gamelift.html#describe_ec2_instance_limits/2","title":"aws_gamelift.describe_ec2_instance_limits/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_ec2_instance_limits/3","title":"aws_gamelift.describe_ec2_instance_limits/3","type":"function"},{"doc":"Retrieves core fleet-wide properties, including the computing hardware and deployment configuration for all instances in the fleet. This operation can be used in the following ways: To get attributes for one or more specific fleets, provide a list of fleet IDs or fleet ARNs. To get attributes for all fleets, do not provide a fleet identifier. When requesting attributes for multiple fleets, use the pagination parameters to retrieve results as a set of sequential pages. If successful, a FleetAttributes object is returned for each fleet requested, unless the fleet identifier is not found. Some API operations limit the number of fleet IDs that allowed in one request. If a request exceeds this limit, the request fails and the error message contains the maximum allowed number. Learn more Setting up GameLift fleets","ref":"aws_gamelift.html#describe_fleet_attributes/2","title":"aws_gamelift.describe_fleet_attributes/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_fleet_attributes/3","title":"aws_gamelift.describe_fleet_attributes/3","type":"function"},{"doc":"Retrieves the resource capacity settings for one or more fleets. The data returned includes the current fleet capacity (number of EC2 instances), and settings that can control how capacity scaling. For fleets with remote locations, this operation retrieves data for the fleet's home Region only. This operation can be used in the following ways: To get capacity data for one or more specific fleets, provide a list of fleet IDs or fleet ARNs. To get capacity data for all fleets, do not provide a fleet identifier. When requesting multiple fleets, use the pagination parameters to retrieve results as a set of sequential pages. If successful, a FleetCapacity object is returned for each requested fleet ID. Each FleetCapacity object includes a Location property, which is set to the fleet's home Region. When a list of fleet IDs is provided, attribute objects are returned only for fleets that currently exist. Some API operations may limit the number of fleet IDs that are allowed in one request. If a request exceeds this limit, the request fails and the error message includes the maximum allowed. Learn more Setting up GameLift fleets GameLift metrics for fleets","ref":"aws_gamelift.html#describe_fleet_capacity/2","title":"aws_gamelift.describe_fleet_capacity/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_fleet_capacity/3","title":"aws_gamelift.describe_fleet_capacity/3","type":"function"},{"doc":"Retrieves entries from a fleet's event log. Fleet events are initiated by changes in status, such as during fleet creation and termination, changes in capacity, etc. If a fleet has multiple locations, events are also initiated by changes to status and capacity in remote locations. You can specify a time range to limit the result set. Use the pagination parameters to retrieve results as a set of sequential pages. If successful, a collection of event log entries matching the request are returned. Learn more Setting up GameLift fleets","ref":"aws_gamelift.html#describe_fleet_events/2","title":"aws_gamelift.describe_fleet_events/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_fleet_events/3","title":"aws_gamelift.describe_fleet_events/3","type":"function"},{"doc":"Retrieves information on a fleet's remote locations, including life-cycle status and any suspended fleet activity. This operation can be used in the following ways: To get data for specific locations, provide a fleet identifier and a list of locations. Location data is returned in the order that it is requested. To get data for all locations, provide a fleet identifier only. Location data is returned in no particular order. When requesting attributes for multiple locations, use the pagination parameters to retrieve results as a set of sequential pages. If successful, a LocationAttributes object is returned for each requested location. If the fleet does not have a requested location, no information is returned. This operation does not return the home Region. To get information on a fleet's home Region, call DescribeFleetAttributes . Learn more Setting up GameLift fleets","ref":"aws_gamelift.html#describe_fleet_location_attributes/2","title":"aws_gamelift.describe_fleet_location_attributes/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_fleet_location_attributes/3","title":"aws_gamelift.describe_fleet_location_attributes/3","type":"function"},{"doc":"Retrieves the resource capacity settings for a fleet location. The data returned includes the current capacity (number of EC2 instances) and some scaling settings for the requested fleet location. Use this operation to retrieve capacity information for a fleet's remote location or home Region (you can also retrieve home Region capacity by calling DescribeFleetCapacity ). To retrieve capacity data, identify a fleet and location. If successful, a FleetCapacity object is returned for the requested fleet location. Learn more Setting up GameLift fleets GameLift metrics for fleets","ref":"aws_gamelift.html#describe_fleet_location_capacity/2","title":"aws_gamelift.describe_fleet_location_capacity/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_fleet_location_capacity/3","title":"aws_gamelift.describe_fleet_location_capacity/3","type":"function"},{"doc":"Retrieves current usage data for a fleet location. Utilization data provides a snapshot of current game hosting activity at the requested location. Use this operation to retrieve utilization information for a fleet's remote location or home Region (you can also retrieve home Region utilization by calling DescribeFleetUtilization ). To retrieve utilization data, identify a fleet and location. If successful, a FleetUtilization object is returned for the requested fleet location. Learn more Setting up GameLift fleets GameLift metrics for fleets","ref":"aws_gamelift.html#describe_fleet_location_utilization/2","title":"aws_gamelift.describe_fleet_location_utilization/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_fleet_location_utilization/3","title":"aws_gamelift.describe_fleet_location_utilization/3","type":"function"},{"doc":"Retrieves a fleet's inbound connection permissions. Connection permissions specify the range of IP addresses and port settings that incoming traffic can use to access server processes in the fleet. Game sessions that are running on instances in the fleet must use connections that fall in this range. This operation can be used in the following ways: To retrieve the inbound connection permissions for a fleet, identify the fleet's unique identifier. To check the status of recent updates to a fleet remote location, specify the fleet ID and a location. Port setting updates can take time to propagate across all locations. If successful, a set of IpPermission objects is returned for the requested fleet ID. When a location is specified, a pending status is included. If the requested fleet has been deleted, the result set is empty. Learn more Setting up GameLift fleets","ref":"aws_gamelift.html#describe_fleet_port_settings/2","title":"aws_gamelift.describe_fleet_port_settings/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_fleet_port_settings/3","title":"aws_gamelift.describe_fleet_port_settings/3","type":"function"},{"doc":"Retrieves utilization statistics for one or more fleets. Utilization data provides a snapshot of how the fleet's hosting resources are currently being used. For fleets with remote locations, this operation retrieves data for the fleet's home Region only. See DescribeFleetLocationUtilization to get utilization statistics for a fleet's remote locations. This operation can be used in the following ways: To get utilization data for one or more specific fleets, provide a list of fleet IDs or fleet ARNs. To get utilization data for all fleets, do not provide a fleet identifier. When requesting multiple fleets, use the pagination parameters to retrieve results as a set of sequential pages. If successful, a FleetUtilization object is returned for each requested fleet ID, unless the fleet identifier is not found. Each fleet utilization object includes a Location property, which is set to the fleet's home Region. Some API operations may limit the number of fleet IDs allowed in one request. If a request exceeds this limit, the request fails and the error message includes the maximum allowed. Learn more Setting up GameLift Fleets GameLift Metrics for Fleets","ref":"aws_gamelift.html#describe_fleet_utilization/2","title":"aws_gamelift.describe_fleet_utilization/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_fleet_utilization/3","title":"aws_gamelift.describe_fleet_utilization/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Retrieves information for a registered game server. Information includes game server status, health check info, and the instance that the game server is running on. To retrieve game server information, specify the game server ID. If successful, the requested game server object is returned. Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#describe_game_server/2","title":"aws_gamelift.describe_game_server/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_game_server/3","title":"aws_gamelift.describe_game_server/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Retrieves information on a game server group. This operation returns only properties related to GameLift FleetIQ. To view or update properties for the corresponding Auto Scaling group, such as launch template, auto scaling policies, and maximum/minimum group size, access the Auto Scaling group directly. To get attributes for a game server group, provide a group name or ARN value. If successful, a GameServerGroup object is returned. Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#describe_game_server_group/2","title":"aws_gamelift.describe_game_server_group/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_game_server_group/3","title":"aws_gamelift.describe_game_server_group/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Retrieves status information about the Amazon EC2 instances associated with a GameLift FleetIQ game server group. Use this operation to detect when instances are active or not available to host new game servers. To request status for all instances in the game server group, provide a game server group ID only. To request status for specific instances, provide the game server group ID and one or more instance IDs. Use the pagination parameters to retrieve results in sequential segments. If successful, a collection of GameServerInstance objects is returned. This operation is not designed to be called with every game server claim request; this practice can cause you to exceed your API limit, which results in errors. Instead, as a best practice, cache the results and refresh your cache no more than once every 10 seconds. Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#describe_game_server_instances/2","title":"aws_gamelift.describe_game_server_instances/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_game_server_instances/3","title":"aws_gamelift.describe_game_server_instances/3","type":"function"},{"doc":"Retrieves additional game session properties, including the game session protection policy in force, a set of one or more game sessions in a specific fleet location. You can optionally filter the results by current game session status. This operation can be used in the following ways: To retrieve details for all game sessions that are currently running on all locations in a fleet, provide a fleet or alias ID, with an optional status filter. This approach returns details from the fleet's home Region and all remote locations. To retrieve details for all game sessions that are currently running on a specific fleet location, provide a fleet or alias ID and a location name, with optional status filter. The location can be the fleet's home Region or any remote location. To retrieve details for a specific game session, provide the game session ID. This approach looks for the game session ID in all fleets that reside in the Amazon Web Services Region defined in the request. Use the pagination parameters to retrieve results as a set of sequential pages. If successful, a GameSessionDetail object is returned for each game session that matches the request. Learn more Find a game session All APIs by task","ref":"aws_gamelift.html#describe_game_session_details/2","title":"aws_gamelift.describe_game_session_details/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_game_session_details/3","title":"aws_gamelift.describe_game_session_details/3","type":"function"},{"doc":"Retrieves information, including current status, about a game session placement request. To get game session placement details, specify the placement ID. This operation is not designed to be continually called to track game session status. This practice can cause you to exceed your API limit, which results in errors. Instead, you must configure configure an Amazon Simple Notification Service (SNS) topic to receive notifications from FlexMatch or queues. Continuously polling with DescribeGameSessionPlacement should only be used for games in development with low game session usage.","ref":"aws_gamelift.html#describe_game_session_placement/2","title":"aws_gamelift.describe_game_session_placement/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_game_session_placement/3","title":"aws_gamelift.describe_game_session_placement/3","type":"function"},{"doc":"Retrieves the properties for one or more game session queues. When requesting multiple queues, use the pagination parameters to retrieve results as a set of sequential pages. When specifying a list of queues, objects are returned only for queues that currently exist in the Region. Learn more View Your Queues","ref":"aws_gamelift.html#describe_game_session_queues/2","title":"aws_gamelift.describe_game_session_queues/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_game_session_queues/3","title":"aws_gamelift.describe_game_session_queues/3","type":"function"},{"doc":"Retrieves a set of one or more game sessions in a specific fleet location. You can optionally filter the results by current game session status. This operation can be used in the following ways: To retrieve all game sessions that are currently running on all locations in a fleet, provide a fleet or alias ID, with an optional status filter. This approach returns all game sessions in the fleet's home Region and all remote locations. To retrieve all game sessions that are currently running on a specific fleet location, provide a fleet or alias ID and a location name, with optional status filter. The location can be the fleet's home Region or any remote location. To retrieve a specific game session, provide the game session ID. This approach looks for the game session ID in all fleets that reside in the Amazon Web Services Region defined in the request. Use the pagination parameters to retrieve results as a set of sequential pages. If successful, a GameSession object is returned for each game session that matches the request. This operation is not designed to be continually called to track game session status. This practice can cause you to exceed your API limit, which results in errors. Instead, you must configure an Amazon Simple Notification Service (SNS) topic to receive notifications from FlexMatch or queues. Continuously polling with DescribeGameSessions should only be used for games in development with low game session usage. Available in Amazon GameLift Local. Learn more Find a game session All APIs by task","ref":"aws_gamelift.html#describe_game_sessions/2","title":"aws_gamelift.describe_game_sessions/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_game_sessions/3","title":"aws_gamelift.describe_game_sessions/3","type":"function"},{"doc":"Retrieves information about a fleet's instances, including instance IDs, connection data, and status. This operation can be used in the following ways: To get information on all instances that are deployed to a fleet's home Region, provide the fleet ID. To get information on all instances that are deployed to a fleet's remote location, provide the fleet ID and location name. To get information on a specific instance in a fleet, provide the fleet ID and instance ID. Use the pagination parameters to retrieve results as a set of sequential pages. If successful, an Instance object is returned for each requested instance. Instances are not returned in any particular order. Learn more Remotely Access Fleet Instances Debug Fleet Issues Related actions All APIs by task","ref":"aws_gamelift.html#describe_instances/2","title":"aws_gamelift.describe_instances/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_instances/3","title":"aws_gamelift.describe_instances/3","type":"function"},{"doc":"Retrieves one or more matchmaking tickets. Use this operation to retrieve ticket information, including--after a successful match is made--connection information for the resulting new game session. To request matchmaking tickets, provide a list of up to 10 ticket IDs. If the request is successful, a ticket object is returned for each requested ID that currently exists. This operation is not designed to be continually called to track matchmaking ticket status. This practice can cause you to exceed your API limit, which results in errors. Instead, as a best practice, set up an Amazon Simple Notification Service to receive notifications, and provide the topic ARN in the matchmaking configuration. Learn more Add FlexMatch to a game client Set Up FlexMatch event notification","ref":"aws_gamelift.html#describe_matchmaking/2","title":"aws_gamelift.describe_matchmaking/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_matchmaking/3","title":"aws_gamelift.describe_matchmaking/3","type":"function"},{"doc":"Retrieves the details of FlexMatch matchmaking configurations. This operation offers the following options: (1) retrieve all matchmaking configurations, (2) retrieve configurations for a specified list, or (3) retrieve all configurations that use a specified rule set name. When requesting multiple items, use the pagination parameters to retrieve results as a set of sequential pages. If successful, a configuration is returned for each requested name. When specifying a list of names, only configurations that currently exist are returned. Learn more Setting up FlexMatch matchmakers","ref":"aws_gamelift.html#describe_matchmaking_configurations/2","title":"aws_gamelift.describe_matchmaking_configurations/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_matchmaking_configurations/3","title":"aws_gamelift.describe_matchmaking_configurations/3","type":"function"},{"doc":"Retrieves the details for FlexMatch matchmaking rule sets. You can request all existing rule sets for the Region, or provide a list of one or more rule set names. When requesting multiple items, use the pagination parameters to retrieve results as a set of sequential pages. If successful, a rule set is returned for each requested name. Learn more Build a rule set","ref":"aws_gamelift.html#describe_matchmaking_rule_sets/2","title":"aws_gamelift.describe_matchmaking_rule_sets/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_matchmaking_rule_sets/3","title":"aws_gamelift.describe_matchmaking_rule_sets/3","type":"function"},{"doc":"Retrieves properties for one or more player sessions. This action can be used in the following ways: To retrieve a specific player session, provide the player session ID only. To retrieve all player sessions in a game session, provide the game session ID only. To retrieve all player sessions for a specific player, provide a player ID only. To request player sessions, specify either a player session ID, game session ID, or player ID. You can filter this request by player session status. Use the pagination parameters to retrieve results as a set of sequential pages. If successful, a PlayerSession object is returned for each session that matches the request. Related actions All APIs by task","ref":"aws_gamelift.html#describe_player_sessions/2","title":"aws_gamelift.describe_player_sessions/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_player_sessions/3","title":"aws_gamelift.describe_player_sessions/3","type":"function"},{"doc":"Retrieves a fleet's runtime configuration settings. The runtime configuration tells GameLift which server processes to run (and how) on each instance in the fleet. To get the runtime configuration that is currently in forces for a fleet, provide the fleet ID. If successful, a RuntimeConfiguration object is returned for the requested fleet. If the requested fleet has been deleted, the result set is empty. Learn more Setting up GameLift fleets Running multiple processes on a fleet","ref":"aws_gamelift.html#describe_runtime_configuration/2","title":"aws_gamelift.describe_runtime_configuration/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_runtime_configuration/3","title":"aws_gamelift.describe_runtime_configuration/3","type":"function"},{"doc":"Retrieves all scaling policies applied to a fleet. To get a fleet's scaling policies, specify the fleet ID. You can filter this request by policy status, such as to retrieve only active scaling policies. Use the pagination parameters to retrieve results as a set of sequential pages. If successful, set of ScalingPolicy objects is returned for the fleet. A fleet may have all of its scaling policies suspended. This operation does not affect the status of the scaling policies, which remains ACTIVE.","ref":"aws_gamelift.html#describe_scaling_policies/2","title":"aws_gamelift.describe_scaling_policies/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_scaling_policies/3","title":"aws_gamelift.describe_scaling_policies/3","type":"function"},{"doc":"Retrieves properties for a Realtime script. To request a script record, specify the script ID. If successful, an object containing the script properties is returned. Learn more Amazon GameLift Realtime Servers Related actions All APIs by task","ref":"aws_gamelift.html#describe_script/2","title":"aws_gamelift.describe_script/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_script/3","title":"aws_gamelift.describe_script/3","type":"function"},{"doc":"Retrieves valid VPC peering authorizations that are pending for the Amazon Web Services account. This operation returns all VPC peering authorizations and requests for peering. This includes those initiated and received by this account. Related actions All APIs by task","ref":"aws_gamelift.html#describe_vpc_peering_authorizations/2","title":"aws_gamelift.describe_vpc_peering_authorizations/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_vpc_peering_authorizations/3","title":"aws_gamelift.describe_vpc_peering_authorizations/3","type":"function"},{"doc":"Retrieves information on VPC peering connections. Use this operation to get peering information for all fleets or for one specific fleet ID. To retrieve connection information, call this operation from the Amazon Web Services account that is used to manage the Amazon GameLift fleets. Specify a fleet ID or leave the parameter empty to retrieve all connection records. If successful, the retrieved information includes both active and pending connections. Active connections identify the IpV4 CIDR block that the VPC uses to connect. Related actions All APIs by task","ref":"aws_gamelift.html#describe_vpc_peering_connections/2","title":"aws_gamelift.describe_vpc_peering_connections/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#describe_vpc_peering_connections/3","title":"aws_gamelift.describe_vpc_peering_connections/3","type":"function"},{"doc":"Requests remote access to a fleet instance. Remote access is useful for debugging, gathering benchmarking data, or observing activity in real time. To remotely access an instance, you need credentials that match the operating system of the instance. For a Windows instance, GameLift returns a user name and password as strings for use with a Windows Remote Desktop client. For a Linux instance, GameLift returns a user name and RSA private key, also as strings, for use with an SSH client. The private key must be saved in the proper format to a .pem file before using. If you're making this request using the CLI, saving the secret can be handled as part of the GetInstanceAccess request, as shown in one of the examples for this operation. To request access to a specific instance, specify the IDs of both the instance and the fleet it belongs to. Learn more Remotely Access Fleet Instances Debug Fleet Issues","ref":"aws_gamelift.html#get_compute_access/2","title":"aws_gamelift.get_compute_access/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#get_compute_access/3","title":"aws_gamelift.get_compute_access/3","type":"function"},{"doc":"Requests an authorization token from GameLift. The authorization token is used by your game server to authenticate with GameLift. Each authentication token has an expiration token. To continue using the compute resource to host your game server, regularly retrieve a new authorization token.","ref":"aws_gamelift.html#get_compute_auth_token/2","title":"aws_gamelift.get_compute_auth_token/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#get_compute_auth_token/3","title":"aws_gamelift.get_compute_auth_token/3","type":"function"},{"doc":"Retrieves the location of stored game session logs for a specified game session. When a game session is terminated, GameLift automatically stores the logs in Amazon S3 and retains them for 14 days. Use this URL to download the logs. See the Amazon Web Services Service Limits page for maximum log file sizes. Log files that exceed this limit are not saved. All APIs by task","ref":"aws_gamelift.html#get_game_session_log_url/2","title":"aws_gamelift.get_game_session_log_url/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#get_game_session_log_url/3","title":"aws_gamelift.get_game_session_log_url/3","type":"function"},{"doc":"Requests remote access to a fleet instance. Remote access is useful for debugging, gathering benchmarking data, or observing activity in real time. To remotely access an instance, you need credentials that match the operating system of the instance. For a Windows instance, GameLift returns a user name and password as strings for use with a Windows Remote Desktop client. For a Linux instance, GameLift returns a user name and RSA private key, also as strings, for use with an SSH client. The private key must be saved in the proper format to a .pem file before using. If you're making this request using the CLI, saving the secret can be handled as part of the GetInstanceAccess request, as shown in one of the examples for this operation. To request access to a specific instance, specify the IDs of both the instance and the fleet it belongs to. You can retrieve a fleet's instance IDs by calling DescribeInstances. Learn more Remotely Access Fleet Instances Debug Fleet Issues Related actions All APIs by task","ref":"aws_gamelift.html#get_instance_access/2","title":"aws_gamelift.get_instance_access/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#get_instance_access/3","title":"aws_gamelift.get_instance_access/3","type":"function"},{"doc":"Retrieves all aliases for this Amazon Web Services account. You can filter the result set by alias name and/or routing strategy type. Use the pagination parameters to retrieve results in sequential pages. Returned aliases are not listed in any particular order. Related actions All APIs by task","ref":"aws_gamelift.html#list_aliases/2","title":"aws_gamelift.list_aliases/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#list_aliases/3","title":"aws_gamelift.list_aliases/3","type":"function"},{"doc":"Retrieves build resources for all builds associated with the Amazon Web Services account in use. You can limit results to builds that are in a specific status by using the Status parameter. Use the pagination parameters to retrieve results in a set of sequential pages. Build resources are not listed in any particular order. Learn more Upload a Custom Server Build All APIs by task","ref":"aws_gamelift.html#list_builds/2","title":"aws_gamelift.list_builds/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#list_builds/3","title":"aws_gamelift.list_builds/3","type":"function"},{"doc":"Retrieves all compute resources registered to a fleet in your Amazon Web Services account. You can filter the result set by location.","ref":"aws_gamelift.html#list_compute/2","title":"aws_gamelift.list_compute/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#list_compute/3","title":"aws_gamelift.list_compute/3","type":"function"},{"doc":"Retrieves a collection of fleet resources in an Amazon Web Services Region. You can call this operation to get fleets in a previously selected default Region (see https://docs.aws.amazon.com/credref/latest/refdocs/setting-global-region.html or specify a Region in your request. You can filter the result set to find only those fleets that are deployed with a specific build or script. For fleets that have multiple locations, this operation retrieves fleets based on their home Region only. This operation can be used in the following ways: To get a list of all fleets in a Region, don't provide a build or script identifier. To get a list of all fleets where a specific custom game build is deployed, provide the build ID. To get a list of all Realtime Servers fleets with a specific configuration script, provide the script ID. Use the pagination parameters to retrieve results as a set of sequential pages. If successful, a list of fleet IDs that match the request parameters is returned. A NextToken value is also returned if there are more result pages to retrieve. Fleet resources are not listed in a particular order. Learn more Setting up GameLift fleets","ref":"aws_gamelift.html#list_fleets/2","title":"aws_gamelift.list_fleets/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#list_fleets/3","title":"aws_gamelift.list_fleets/3","type":"function"},{"doc":"Lists a game server groups.","ref":"aws_gamelift.html#list_game_server_groups/2","title":"aws_gamelift.list_game_server_groups/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#list_game_server_groups/3","title":"aws_gamelift.list_game_server_groups/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Retrieves information on all game servers that are currently active in a specified game server group. You can opt to sort the list by game server age. Use the pagination parameters to retrieve results in a set of sequential segments. Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#list_game_servers/2","title":"aws_gamelift.list_game_servers/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#list_game_servers/3","title":"aws_gamelift.list_game_servers/3","type":"function"},{"doc":"Lists all custom and Amazon Web Services locations.","ref":"aws_gamelift.html#list_locations/2","title":"aws_gamelift.list_locations/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#list_locations/3","title":"aws_gamelift.list_locations/3","type":"function"},{"doc":"Retrieves script records for all Realtime scripts that are associated with the Amazon Web Services account in use. Learn more Amazon GameLift Realtime Servers Related actions All APIs by task","ref":"aws_gamelift.html#list_scripts/2","title":"aws_gamelift.list_scripts/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#list_scripts/3","title":"aws_gamelift.list_scripts/3","type":"function"},{"doc":"Retrieves all tags that are assigned to a GameLift resource. Resource tags are used to organize Amazon Web Services resources for a range of purposes. This operation handles the permissions necessary to manage tags for the following GameLift resource types: Build Script Fleet Alias GameSessionQueue MatchmakingConfiguration MatchmakingRuleSet To list tags for a resource, specify the unique ARN value for the resource. Learn more Tagging Amazon Web Services Resources in the Amazon Web Services General Reference Amazon Web Services Tagging Strategies Related actions All APIs by task","ref":"aws_gamelift.html#list_tags_for_resource/2","title":"aws_gamelift.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#list_tags_for_resource/3","title":"aws_gamelift.list_tags_for_resource/3","type":"function"},{"doc":"Creates or updates a scaling policy for a fleet. Scaling policies are used to automatically scale a fleet's hosting capacity to meet player demand. An active scaling policy instructs Amazon GameLift to track a fleet metric and automatically change the fleet's capacity when a certain threshold is reached. There are two types of scaling policies: target-based and rule-based. Use a target-based policy to quickly and efficiently manage fleet scaling; this option is the most commonly used. Use rule-based policies when you need to exert fine-grained control over auto-scaling. Fleets can have multiple scaling policies of each type in force at the same time; you can have one target-based policy, one or multiple rule-based scaling policies, or both. We recommend caution, however, because multiple auto-scaling policies can have unintended consequences. Learn more about how to work with auto-scaling in Set Up Fleet Automatic Scaling. Target-based policy A target-based policy tracks a single metric: PercentAvailableGameSessions. This metric tells us how much of a fleet's hosting capacity is ready to host game sessions but is not currently in use. This is the fleet's buffer; it measures the additional player demand that the fleet could handle at current capacity. With a target-based policy, you set your ideal buffer size and leave it to Amazon GameLift to take whatever action is needed to maintain that target. For example, you might choose to maintain a 10% buffer for a fleet that has the capacity to host 100 simultaneous game sessions. This policy tells Amazon GameLift to take action whenever the fleet's available capacity falls below or rises above 10 game sessions. Amazon GameLift will start new instances or stop unused instances in order to return to the 10% buffer. To create or update a target-based policy, specify a fleet ID and name, and set the policy type to &quot;TargetBased&quot;. Specify the metric to track (PercentAvailableGameSessions) and reference a TargetConfiguration object with your desired buffer value. Exclude all other parameters. On a successful request, the policy name is returned. The scaling policy is automatically in force as soon as it's successfully created. If the fleet's auto-scaling actions are temporarily suspended, the new policy will be in force once the fleet actions are restarted. Rule-based policy A rule-based policy tracks specified fleet metric, sets a threshold value, and specifies the type of action to initiate when triggered. With a rule-based policy, you can select from several available fleet metrics. Each policy specifies whether to scale up or scale down (and by how much), so you need one policy for each type of action. For example, a policy may make the following statement: &quot;If the percentage of idle instances is greater than 20% for more than 15 minutes, then reduce the fleet capacity by 10%.&quot; A policy's rule statement has the following structure: If [MetricName] is [ComparisonOperator] [Threshold] for [EvaluationPeriods] minutes, then [ScalingAdjustmentType] to/by [ScalingAdjustment] . To implement the example, the rule statement would look like this: If [PercentIdleInstances] is [GreaterThanThreshold] [20] for [15] minutes, then [PercentChangeInCapacity] to/by [10] . To create or update a scaling policy, specify a unique combination of name and fleet ID, and set the policy type to &quot;RuleBased&quot;. Specify the parameter values for a policy rule statement. On a successful request, the policy name is returned. Scaling policies are automatically in force as soon as they're successfully created. If the fleet's auto-scaling actions are temporarily suspended, the new policy will be in force once the fleet actions are restarted.","ref":"aws_gamelift.html#put_scaling_policy/2","title":"aws_gamelift.put_scaling_policy/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#put_scaling_policy/3","title":"aws_gamelift.put_scaling_policy/3","type":"function"},{"doc":"Registers your compute resources in a fleet you previously created. After you register a compute to your fleet, you can monitor and manage your compute using GameLift. The operation returns the compute resource containing SDK endpoint you can use to connect your game server to GameLift. Learn more Create an Anywhere fleet Test your integration","ref":"aws_gamelift.html#register_compute/2","title":"aws_gamelift.register_compute/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#register_compute/3","title":"aws_gamelift.register_compute/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Creates a new game server resource and notifies GameLift FleetIQ that the game server is ready to host gameplay and players. This operation is called by a game server process that is running on an instance in a game server group. Registering game servers enables GameLift FleetIQ to track available game servers and enables game clients and services to claim a game server for a new game session. To register a game server, identify the game server group and instance where the game server is running, and provide a unique identifier for the game server. You can also include connection and game server data. Once a game server is successfully registered, it is put in status AVAILABLE . A request to register a game server may fail if the instance it is running on is in the process of shutting down as part of instance balancing or scale-down activity. Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#register_game_server/2","title":"aws_gamelift.register_game_server/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#register_game_server/3","title":"aws_gamelift.register_game_server/3","type":"function"},{"doc":"Retrieves a fresh set of credentials for use when uploading a new set of game build files to Amazon GameLift's Amazon S3. This is done as part of the build creation process; see GameSession. To request new credentials, specify the build ID as returned with an initial CreateBuild request. If successful, a new set of credentials are returned, along with the S3 storage location associated with the build ID. Learn more Create a Build with Files in S3 All APIs by task","ref":"aws_gamelift.html#request_upload_credentials/2","title":"aws_gamelift.request_upload_credentials/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#request_upload_credentials/3","title":"aws_gamelift.request_upload_credentials/3","type":"function"},{"doc":"Retrieves the fleet ID that an alias is currently pointing to. Related actions All APIs by task","ref":"aws_gamelift.html#resolve_alias/2","title":"aws_gamelift.resolve_alias/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#resolve_alias/3","title":"aws_gamelift.resolve_alias/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Reinstates activity on a game server group after it has been suspended. A game server group might be suspended by the SuspendGameServerGroup operation, or it might be suspended involuntarily due to a configuration problem. In the second case, you can manually resume activity on the group once the configuration problem has been resolved. Refer to the game server group status and status reason for more information on why group activity is suspended. To resume activity, specify a game server group ARN and the type of activity to be resumed. If successful, a GameServerGroup object is returned showing that the resumed activity is no longer listed in SuspendedActions . Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#resume_game_server_group/2","title":"aws_gamelift.resume_game_server_group/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#resume_game_server_group/3","title":"aws_gamelift.resume_game_server_group/3","type":"function"},{"doc":"Retrieves all active game sessions that match a set of search criteria and sorts them into a specified order. This operation is not designed to be continually called to track game session status. This practice can cause you to exceed your API limit, which results in errors. Instead, you must configure configure an Amazon Simple Notification Service (SNS) topic to receive notifications from FlexMatch or queues. Continuously polling game session status with DescribeGameSessions should only be used for games in development with low game session usage. When searching for game sessions, you specify exactly where you want to search and provide a search filter expression, a sort expression, or both. A search request can search only one fleet, but it can search all of a fleet's locations. This operation can be used in the following ways: To search all game sessions that are currently running on all locations in a fleet, provide a fleet or alias ID. This approach returns game sessions in the fleet's home Region and all remote locations that fit the search criteria. To search all game sessions that are currently running on a specific fleet location, provide a fleet or alias ID and a location name. For location, you can specify a fleet's home Region or any remote location. Use the pagination parameters to retrieve results as a set of sequential pages. If successful, a GameSession object is returned for each game session that matches the request. Search finds game sessions that are in ACTIVE status only. To retrieve information on game sessions in other statuses, use DescribeGameSessions . You can search or sort by the following game session attributes: gameSessionId -- A unique identifier for the game session. You can use either a GameSessionId or GameSessionArn value. gameSessionName -- Name assigned to a game session. Game session names do not need to be unique to a game session. gameSessionProperties -- Custom data defined in a game session's GameProperty parameter. GameProperty values are stored as key:value pairs; the filter expression must indicate the key and a string to search the data values for. For example, to search for game sessions with custom data containing the key:value pair &quot;gameMode:brawl&quot;, specify the following: gameSessionProperties.gameMode = &amp;quot;brawl&amp;quot; . All custom data values are searched as strings. maximumSessions -- Maximum number of player sessions allowed for a game session. creationTimeMillis -- Value indicating when a game session was created. It is expressed in Unix time as milliseconds. playerSessionCount -- Number of players currently connected to a game session. This value changes rapidly as players join the session or drop out. hasAvailablePlayerSessions -- Boolean value indicating whether a game session has reached its maximum number of players. It is highly recommended that all search requests include this filter attribute to optimize search performance and return only sessions that players can join. Returned values for playerSessionCount and hasAvailablePlayerSessions change quickly as players join sessions and others drop out. Results should be considered a snapshot in time. Be sure to refresh search results often, and handle sessions that fill up before a player can join. All APIs by task","ref":"aws_gamelift.html#search_game_sessions/2","title":"aws_gamelift.search_game_sessions/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#search_game_sessions/3","title":"aws_gamelift.search_game_sessions/3","type":"function"},{"doc":"Resumes certain types of activity on fleet instances that were suspended with StopFleetActions. For multi-location fleets, fleet actions are managed separately for each location. Currently, this operation is used to restart a fleet's auto-scaling activity. This operation can be used in the following ways: To restart actions on instances in the fleet's home Region, provide a fleet ID and the type of actions to resume. To restart actions on instances in one of the fleet's remote locations, provide a fleet ID, a location name, and the type of actions to resume. If successful, GameLift once again initiates scaling events as triggered by the fleet's scaling policies. If actions on the fleet location were never stopped, this operation will have no effect. Learn more Setting up GameLift fleets","ref":"aws_gamelift.html#start_fleet_actions/2","title":"aws_gamelift.start_fleet_actions/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#start_fleet_actions/3","title":"aws_gamelift.start_fleet_actions/3","type":"function"},{"doc":"Places a request for a new game session in a queue. When processing a placement request, Amazon GameLift searches for available resources on the queue's destinations, scanning each until it finds resources or the placement request times out. A game session placement request can also request player sessions. When a new game session is successfully created, Amazon GameLift creates a player session for each player included in the request. When placing a game session, by default Amazon GameLift tries each fleet in the order they are listed in the queue configuration. Ideally, a queue's destinations are listed in preference order. Alternatively, when requesting a game session with players, you can also provide latency data for each player in relevant Regions. Latency data indicates the performance lag a player experiences when connected to a fleet in the Region. Amazon GameLift uses latency data to reorder the list of destinations to place the game session in a Region with minimal lag. If latency data is provided for multiple players, Amazon GameLift calculates each Region's average lag for all players and reorders to get the best game play across all players. To place a new game session request, specify the following: The queue name and a set of game session properties and settings A unique ID (such as a UUID) for the placement. You use this ID to track the status of the placement request (Optional) A set of player data and a unique player ID for each player that you are joining to the new game session (player data is optional, but if you include it, you must also provide a unique ID for each player) Latency data for all players (if you want to optimize game play for the players) If successful, a new game session placement is created. To track the status of a placement request, call DescribeGameSessionPlacement and check the request's status. If the status is FULFILLED , a new game session has been created and a game session ARN and Region are referenced. If the placement request times out, you can resubmit the request or retry it with a different queue.","ref":"aws_gamelift.html#start_game_session_placement/2","title":"aws_gamelift.start_game_session_placement/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#start_game_session_placement/3","title":"aws_gamelift.start_game_session_placement/3","type":"function"},{"doc":"Finds new players to fill open slots in currently running game sessions. The backfill match process is essentially identical to the process of forming new matches. Backfill requests use the same matchmaker that was used to make the original match, and they provide matchmaking data for all players currently in the game session. FlexMatch uses this information to select new players so that backfilled match continues to meet the original match requirements. When using FlexMatch with GameLift managed hosting, you can request a backfill match from a client service by calling this operation with a GameSessions ID. You also have the option of making backfill requests directly from your game server. In response to a request, FlexMatch creates player sessions for the new players, updates the GameSession resource, and sends updated matchmaking data to the game server. You can request a backfill match at any point after a game session is started. Each game session can have only one active backfill request at a time; a subsequent request automatically replaces the earlier request. When using FlexMatch as a standalone component, request a backfill match by calling this operation without a game session identifier. As with newly formed matches, matchmaking results are returned in a matchmaking event so that your game can update the game session that is being backfilled. To request a backfill match, specify a unique ticket ID, the original matchmaking configuration, and matchmaking data for all current players in the game session being backfilled. Optionally, specify the GameSession ARN. If successful, a match backfill ticket is created and returned with status set to QUEUED. Track the status of backfill tickets using the same method for tracking tickets for new matches. Only game sessions created by FlexMatch are supported for match backfill. Learn more Backfill existing games with FlexMatch Matchmaking events (reference) How GameLift FlexMatch works","ref":"aws_gamelift.html#start_match_backfill/2","title":"aws_gamelift.start_match_backfill/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#start_match_backfill/3","title":"aws_gamelift.start_match_backfill/3","type":"function"},{"doc":"Uses FlexMatch to create a game match for a group of players based on custom matchmaking rules. With games that use GameLift managed hosting, this operation also triggers GameLift to find hosting resources and start a new game session for the new match. Each matchmaking request includes information on one or more players and specifies the FlexMatch matchmaker to use. When a request is for multiple players, FlexMatch attempts to build a match that includes all players in the request, placing them in the same team and finding additional players as needed to fill the match. To start matchmaking, provide a unique ticket ID, specify a matchmaking configuration, and include the players to be matched. You must also include any player attributes that are required by the matchmaking configuration's rule set. If successful, a matchmaking ticket is returned with status set to QUEUED . Track matchmaking events to respond as needed and acquire game session connection information for successfully completed matches. Ticket status updates are tracked using event notification through Amazon Simple Notification Service, which is defined in the matchmaking configuration. Learn more Add FlexMatch to a game client Set Up FlexMatch event notification How GameLift FlexMatch works","ref":"aws_gamelift.html#start_matchmaking/2","title":"aws_gamelift.start_matchmaking/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#start_matchmaking/3","title":"aws_gamelift.start_matchmaking/3","type":"function"},{"doc":"Suspends certain types of activity in a fleet location. Currently, this operation is used to stop auto-scaling activity. For multi-location fleets, fleet actions are managed separately for each location. Stopping fleet actions has several potential purposes. It allows you to temporarily stop auto-scaling activity but retain your scaling policies for use in the future. For multi-location fleets, you can set up fleet-wide auto-scaling, and then opt out of it for certain locations. This operation can be used in the following ways: To stop actions on instances in the fleet's home Region, provide a fleet ID and the type of actions to suspend. To stop actions on instances in one of the fleet's remote locations, provide a fleet ID, a location name, and the type of actions to suspend. If successful, GameLift no longer initiates scaling events except in response to manual changes using UpdateFleetCapacity. Learn more Setting up GameLift Fleets","ref":"aws_gamelift.html#stop_fleet_actions/2","title":"aws_gamelift.stop_fleet_actions/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#stop_fleet_actions/3","title":"aws_gamelift.stop_fleet_actions/3","type":"function"},{"doc":"Cancels a game session placement that is in PENDING status. To stop a placement, provide the placement ID values. If successful, the placement is moved to CANCELLED status.","ref":"aws_gamelift.html#stop_game_session_placement/2","title":"aws_gamelift.stop_game_session_placement/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#stop_game_session_placement/3","title":"aws_gamelift.stop_game_session_placement/3","type":"function"},{"doc":"Cancels a matchmaking ticket or match backfill ticket that is currently being processed. To stop the matchmaking operation, specify the ticket ID. If successful, work on the ticket is stopped, and the ticket status is changed to CANCELLED . This call is also used to turn off automatic backfill for an individual game session. This is for game sessions that are created with a matchmaking configuration that has automatic backfill enabled. The ticket ID is included in the MatchmakerData of an updated game session object, which is provided to the game server. If the operation is successful, the service sends back an empty JSON struct with the HTTP 200 response (not an empty HTTP body). Learn more Add FlexMatch to a game client","ref":"aws_gamelift.html#stop_matchmaking/2","title":"aws_gamelift.stop_matchmaking/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#stop_matchmaking/3","title":"aws_gamelift.stop_matchmaking/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Temporarily stops activity on a game server group without terminating instances or the game server group. You can restart activity by calling ResumeGameServerGroup. You can suspend the following activity: Instance type replacement - This activity evaluates the current game hosting viability of all Spot instance types that are defined for the game server group. It updates the Auto Scaling group to remove nonviable Spot Instance types, which have a higher chance of game server interruptions. It then balances capacity across the remaining viable Spot Instance types. When this activity is suspended, the Auto Scaling group continues with its current balance, regardless of viability. Instance protection, utilization metrics, and capacity scaling activities continue to be active. To suspend activity, specify a game server group ARN and the type of activity to be suspended. If successful, a GameServerGroup object is returned showing that the activity is listed in SuspendedActions . Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#suspend_game_server_group/2","title":"aws_gamelift.suspend_game_server_group/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#suspend_game_server_group/3","title":"aws_gamelift.suspend_game_server_group/3","type":"function"},{"doc":"Assigns a tag to a GameLift resource. Amazon Web Services resource tags provide an additional management tool set. You can use tags to organize resources, create IAM permissions policies to manage access to groups of resources, customize Amazon Web Services cost breakdowns, etc. This operation handles the permissions necessary to manage tags for the following GameLift resource types: Build Script Fleet Alias GameSessionQueue MatchmakingConfiguration MatchmakingRuleSet To add a tag to a resource, specify the unique ARN value for the resource and provide a tag list containing one or more tags. The operation succeeds even if the list includes tags that are already assigned to the specified resource. Learn more Tagging Amazon Web Services Resources in the Amazon Web Services General Reference Amazon Web Services Tagging Strategies Related actions All APIs by task","ref":"aws_gamelift.html#tag_resource/2","title":"aws_gamelift.tag_resource/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#tag_resource/3","title":"aws_gamelift.tag_resource/3","type":"function"},{"doc":"Removes a tag that is assigned to a GameLift resource. Resource tags are used to organize Amazon Web Services resources for a range of purposes. This operation handles the permissions necessary to manage tags for the following GameLift resource types: Build Script Fleet Alias GameSessionQueue MatchmakingConfiguration MatchmakingRuleSet To remove a tag from a resource, specify the unique ARN value for the resource and provide a string list containing one or more tags to be removed. This operation succeeds even if the list includes tags that are not currently assigned to the specified resource. Learn more Tagging Amazon Web Services Resources in the Amazon Web Services General Reference Amazon Web Services Tagging Strategies Related actions All APIs by task","ref":"aws_gamelift.html#untag_resource/2","title":"aws_gamelift.untag_resource/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#untag_resource/3","title":"aws_gamelift.untag_resource/3","type":"function"},{"doc":"Updates properties for an alias. To update properties, specify the alias ID to be updated and provide the information to be changed. To reassign an alias to another fleet, provide an updated routing strategy. If successful, the updated alias record is returned. Related actions All APIs by task","ref":"aws_gamelift.html#update_alias/2","title":"aws_gamelift.update_alias/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#update_alias/3","title":"aws_gamelift.update_alias/3","type":"function"},{"doc":"Updates metadata in a build resource, including the build name and version. To update the metadata, specify the build ID to update and provide the new values. If successful, a build object containing the updated metadata is returned. Learn more Upload a Custom Server Build All APIs by task","ref":"aws_gamelift.html#update_build/2","title":"aws_gamelift.update_build/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#update_build/3","title":"aws_gamelift.update_build/3","type":"function"},{"doc":"Updates a fleet's mutable attributes, including game session protection and resource creation limits. To update fleet attributes, specify the fleet ID and the property values that you want to change. If successful, an updated FleetAttributes object is returned. Learn more Setting up GameLift fleets","ref":"aws_gamelift.html#update_fleet_attributes/2","title":"aws_gamelift.update_fleet_attributes/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#update_fleet_attributes/3","title":"aws_gamelift.update_fleet_attributes/3","type":"function"},{"doc":"Updates capacity settings for a fleet. For fleets with multiple locations, use this operation to manage capacity settings in each location individually. Fleet capacity determines the number of game sessions and players that can be hosted based on the fleet configuration. Use this operation to set the following fleet capacity properties: Minimum/maximum size: Set hard limits on fleet capacity. GameLift cannot set the fleet's capacity to a value outside of this range, whether the capacity is changed manually or through automatic scaling. Desired capacity: Manually set the number of Amazon EC2 instances to be maintained in a fleet location. Before changing a fleet's desired capacity, you may want to call DescribeEC2InstanceLimits to get the maximum capacity of the fleet's Amazon EC2 instance type. Alternatively, consider using automatic scaling to adjust capacity based on player demand. This operation can be used in the following ways: To update capacity for a fleet's home Region, or if the fleet has no remote locations, omit the Location parameter. The fleet must be in ACTIVE status. To update capacity for a fleet's remote location, include the Location parameter set to the location to be updated. The location must be in ACTIVE status. If successful, capacity settings are updated immediately. In response a change in desired capacity, GameLift initiates steps to start new instances or terminate existing instances in the requested fleet location. This continues until the location's active instance count matches the new desired instance count. You can track a fleet's current capacity by calling DescribeFleetCapacity or DescribeFleetLocationCapacity. If the requested desired instance count is higher than the instance type's limit, the LimitExceeded exception occurs. Learn more Scaling fleet capacity","ref":"aws_gamelift.html#update_fleet_capacity/2","title":"aws_gamelift.update_fleet_capacity/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#update_fleet_capacity/3","title":"aws_gamelift.update_fleet_capacity/3","type":"function"},{"doc":"Updates permissions that allow inbound traffic to connect to game sessions that are being hosted on instances in the fleet. To update settings, specify the fleet ID to be updated and specify the changes to be made. List the permissions you want to add in InboundPermissionAuthorizations , and permissions you want to remove in InboundPermissionRevocations . Permissions to be removed must match existing fleet permissions. If successful, the fleet ID for the updated fleet is returned. For fleets with remote locations, port setting updates can take time to propagate across all locations. You can check the status of updates in each location by calling DescribeFleetPortSettings with a location name. Learn more Setting up GameLift fleets","ref":"aws_gamelift.html#update_fleet_port_settings/2","title":"aws_gamelift.update_fleet_port_settings/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#update_fleet_port_settings/3","title":"aws_gamelift.update_fleet_port_settings/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Updates information about a registered game server to help GameLift FleetIQ to track game server availability. This operation is called by a game server process that is running on an instance in a game server group. Use this operation to update the following types of game server information. You can make all three types of updates in the same request: To update the game server's utilization status, identify the game server and game server group and specify the current utilization status. Use this status to identify when game servers are currently hosting games and when they are available to be claimed. To report health status, identify the game server and game server group and set health check to HEALTHY . If a game server does not report health status for a certain length of time, the game server is no longer considered healthy. As a result, it will be eventually deregistered from the game server group to avoid affecting utilization metrics. The best practice is to report health every 60 seconds. To change game server metadata, provide updated game server data. Once a game server is successfully updated, the relevant statuses and timestamps are updated. Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#update_game_server/2","title":"aws_gamelift.update_game_server/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#update_game_server/3","title":"aws_gamelift.update_game_server/3","type":"function"},{"doc":"This operation is used with the GameLift FleetIQ solution and game server groups. Updates GameLift FleetIQ-specific properties for a game server group. Many Auto Scaling group properties are updated on the Auto Scaling group directly, including the launch template, Auto Scaling policies, and maximum/minimum/desired instance counts. To update the game server group, specify the game server group ID and provide the updated values. Before applying the updates, the new values are validated to ensure that GameLift FleetIQ can continue to perform instance balancing activity. If successful, a GameServerGroup object is returned. Learn more GameLift FleetIQ Guide","ref":"aws_gamelift.html#update_game_server_group/2","title":"aws_gamelift.update_game_server_group/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#update_game_server_group/3","title":"aws_gamelift.update_game_server_group/3","type":"function"},{"doc":"Updates the mutable properties of a game session. To update a game session, specify the game session ID and the values you want to change. If successful, the updated GameSession object is returned. All APIs by task","ref":"aws_gamelift.html#update_game_session/2","title":"aws_gamelift.update_game_session/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#update_game_session/3","title":"aws_gamelift.update_game_session/3","type":"function"},{"doc":"Updates the configuration of a game session queue, which determines how the queue processes new game session requests. To update settings, specify the queue name to be updated and provide the new settings. When updating destinations, provide a complete list of destinations. Learn more Using Multi-Region Queues","ref":"aws_gamelift.html#update_game_session_queue/2","title":"aws_gamelift.update_game_session_queue/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#update_game_session_queue/3","title":"aws_gamelift.update_game_session_queue/3","type":"function"},{"doc":"Updates settings for a FlexMatch matchmaking configuration. These changes affect all matches and game sessions that are created after the update. To update settings, specify the configuration name to be updated and provide the new settings. Learn more Design a FlexMatch matchmaker","ref":"aws_gamelift.html#update_matchmaking_configuration/2","title":"aws_gamelift.update_matchmaking_configuration/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#update_matchmaking_configuration/3","title":"aws_gamelift.update_matchmaking_configuration/3","type":"function"},{"doc":"Updates the current runtime configuration for the specified fleet, which tells GameLift how to launch server processes on all instances in the fleet. You can update a fleet's runtime configuration at any time after the fleet is created; it does not need to be in ACTIVE status. To update runtime configuration, specify the fleet ID and provide a RuntimeConfiguration with an updated set of server process configurations. If successful, the fleet's runtime configuration settings are updated. Each instance in the fleet regularly checks for and retrieves updated runtime configurations. Instances immediately begin complying with the new configuration by launching new server processes or not replacing existing processes when they shut down. Updating a fleet's runtime configuration never affects existing server processes. Learn more Setting up GameLift fleets","ref":"aws_gamelift.html#update_runtime_configuration/2","title":"aws_gamelift.update_runtime_configuration/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#update_runtime_configuration/3","title":"aws_gamelift.update_runtime_configuration/3","type":"function"},{"doc":"Updates Realtime script metadata and content. To update script metadata, specify the script ID and provide updated name and/or version values. To update script content, provide an updated zip file by pointing to either a local file or an Amazon S3 bucket location. You can use either method regardless of how the original script was uploaded. Use the Version parameter to track updates to the script. If the call is successful, the updated metadata is stored in the script record and a revised script is uploaded to the Amazon GameLift service. Once the script is updated and acquired by a fleet instance, the new version is used for all new game sessions. Learn more Amazon GameLift Realtime Servers Related actions All APIs by task","ref":"aws_gamelift.html#update_script/2","title":"aws_gamelift.update_script/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#update_script/3","title":"aws_gamelift.update_script/3","type":"function"},{"doc":"Validates the syntax of a matchmaking rule or rule set. This operation checks that the rule set is using syntactically correct JSON and that it conforms to allowed property expressions. To validate syntax, provide a rule set JSON string. Learn more Build a rule set","ref":"aws_gamelift.html#validate_matchmaking_rule_set/2","title":"aws_gamelift.validate_matchmaking_rule_set/2","type":"function"},{"doc":"","ref":"aws_gamelift.html#validate_matchmaking_rule_set/3","title":"aws_gamelift.validate_matchmaking_rule_set/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html","title":"aws_gamesparks","type":"module"},{"doc":"Creates a new game with an empty configuration. After creating your game, you can update the configuration using UpdateGameConfiguration or ImportGameConfiguration .","ref":"aws_gamesparks.html#create_game/2","title":"aws_gamesparks.create_game/2","type":"function"},{"doc":"","ref":"aws_gamesparks.html#create_game/3","title":"aws_gamesparks.create_game/3","type":"function"},{"doc":"Creates a snapshot of the game configuration.","ref":"aws_gamesparks.html#create_snapshot/3","title":"aws_gamesparks.create_snapshot/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#create_snapshot/4","title":"aws_gamesparks.create_snapshot/4","type":"function"},{"doc":"Creates a new stage for stage-by-stage game development and deployment.","ref":"aws_gamesparks.html#create_stage/3","title":"aws_gamesparks.create_stage/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#create_stage/4","title":"aws_gamesparks.create_stage/4","type":"function"},{"doc":"Deletes a game.","ref":"aws_gamesparks.html#delete_game/3","title":"aws_gamesparks.delete_game/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#delete_game/4","title":"aws_gamesparks.delete_game/4","type":"function"},{"doc":"Deletes a stage from a game, along with the associated game runtime.","ref":"aws_gamesparks.html#delete_stage/4","title":"aws_gamesparks.delete_stage/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#delete_stage/5","title":"aws_gamesparks.delete_stage/5","type":"function"},{"doc":"Disconnects a player from the game runtime. If a player has multiple connections, this operation attempts to close all of them.","ref":"aws_gamesparks.html#disconnect_player/5","title":"aws_gamesparks.disconnect_player/5","type":"function"},{"doc":"","ref":"aws_gamesparks.html#disconnect_player/6","title":"aws_gamesparks.disconnect_player/6","type":"function"},{"doc":"Exports a game configuration snapshot.","ref":"aws_gamesparks.html#export_snapshot/3","title":"aws_gamesparks.export_snapshot/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#export_snapshot/5","title":"aws_gamesparks.export_snapshot/5","type":"function"},{"doc":"","ref":"aws_gamesparks.html#export_snapshot/6","title":"aws_gamesparks.export_snapshot/6","type":"function"},{"doc":"Gets details about a specified extension.","ref":"aws_gamesparks.html#get_extension/3","title":"aws_gamesparks.get_extension/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_extension/5","title":"aws_gamesparks.get_extension/5","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_extension/6","title":"aws_gamesparks.get_extension/6","type":"function"},{"doc":"Gets details about a specified extension version.","ref":"aws_gamesparks.html#get_extension_version/4","title":"aws_gamesparks.get_extension_version/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_extension_version/6","title":"aws_gamesparks.get_extension_version/6","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_extension_version/7","title":"aws_gamesparks.get_extension_version/7","type":"function"},{"doc":"Gets details about a game.","ref":"aws_gamesparks.html#get_game/2","title":"aws_gamesparks.get_game/2","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_game/4","title":"aws_gamesparks.get_game/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_game/5","title":"aws_gamesparks.get_game/5","type":"function"},{"doc":"Gets the configuration of the game.","ref":"aws_gamesparks.html#get_game_configuration/2","title":"aws_gamesparks.get_game_configuration/2","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_game_configuration/4","title":"aws_gamesparks.get_game_configuration/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_game_configuration/5","title":"aws_gamesparks.get_game_configuration/5","type":"function"},{"doc":"Gets details about a job that is generating code for a snapshot.","ref":"aws_gamesparks.html#get_generated_code_job/4","title":"aws_gamesparks.get_generated_code_job/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_generated_code_job/6","title":"aws_gamesparks.get_generated_code_job/6","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_generated_code_job/7","title":"aws_gamesparks.get_generated_code_job/7","type":"function"},{"doc":"Gets the status of a player's connection to the game runtime. It's possible for a single player to have multiple connections to the game runtime. If a player is not connected, this operation returns an empty list.","ref":"aws_gamesparks.html#get_player_connection_status/4","title":"aws_gamesparks.get_player_connection_status/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_player_connection_status/6","title":"aws_gamesparks.get_player_connection_status/6","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_player_connection_status/7","title":"aws_gamesparks.get_player_connection_status/7","type":"function"},{"doc":"Gets a copy of the game configuration in a snapshot.","ref":"aws_gamesparks.html#get_snapshot/3","title":"aws_gamesparks.get_snapshot/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_snapshot/5","title":"aws_gamesparks.get_snapshot/5","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_snapshot/6","title":"aws_gamesparks.get_snapshot/6","type":"function"},{"doc":"Gets information about a stage.","ref":"aws_gamesparks.html#get_stage/3","title":"aws_gamesparks.get_stage/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_stage/5","title":"aws_gamesparks.get_stage/5","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_stage/6","title":"aws_gamesparks.get_stage/6","type":"function"},{"doc":"Gets information about a stage deployment.","ref":"aws_gamesparks.html#get_stage_deployment/3","title":"aws_gamesparks.get_stage_deployment/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_stage_deployment/5","title":"aws_gamesparks.get_stage_deployment/5","type":"function"},{"doc":"","ref":"aws_gamesparks.html#get_stage_deployment/6","title":"aws_gamesparks.get_stage_deployment/6","type":"function"},{"doc":"Imports a game configuration. This operation replaces the current configuration of the game with the provided input. This is not a reversible operation. If you want to preserve the previous configuration, use CreateSnapshot to make a new snapshot before importing.","ref":"aws_gamesparks.html#import_game_configuration/3","title":"aws_gamesparks.import_game_configuration/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#import_game_configuration/4","title":"aws_gamesparks.import_game_configuration/4","type":"function"},{"doc":"Gets a paginated list of available versions for the extension. Each time an API change is made to an extension, the version is incremented. The list retrieved by this operation shows the versions that are currently available.","ref":"aws_gamesparks.html#list_extension_versions/3","title":"aws_gamesparks.list_extension_versions/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_extension_versions/5","title":"aws_gamesparks.list_extension_versions/5","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_extension_versions/6","title":"aws_gamesparks.list_extension_versions/6","type":"function"},{"doc":"Gets a paginated list of available extensions. Extensions provide features that games can use from scripts.","ref":"aws_gamesparks.html#list_extensions/1","title":"aws_gamesparks.list_extensions/1","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_extensions/3","title":"aws_gamesparks.list_extensions/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_extensions/4","title":"aws_gamesparks.list_extensions/4","type":"function"},{"doc":"Gets a paginated list of games.","ref":"aws_gamesparks.html#list_games/1","title":"aws_gamesparks.list_games/1","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_games/3","title":"aws_gamesparks.list_games/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_games/4","title":"aws_gamesparks.list_games/4","type":"function"},{"doc":"Gets a paginated list of code generation jobs for a snapshot.","ref":"aws_gamesparks.html#list_generated_code_jobs/3","title":"aws_gamesparks.list_generated_code_jobs/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_generated_code_jobs/5","title":"aws_gamesparks.list_generated_code_jobs/5","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_generated_code_jobs/6","title":"aws_gamesparks.list_generated_code_jobs/6","type":"function"},{"doc":"Gets a paginated list of snapshot summaries from the game.","ref":"aws_gamesparks.html#list_snapshots/2","title":"aws_gamesparks.list_snapshots/2","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_snapshots/4","title":"aws_gamesparks.list_snapshots/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_snapshots/5","title":"aws_gamesparks.list_snapshots/5","type":"function"},{"doc":"Gets a paginated list of stage deployment summaries from the game.","ref":"aws_gamesparks.html#list_stage_deployments/3","title":"aws_gamesparks.list_stage_deployments/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_stage_deployments/5","title":"aws_gamesparks.list_stage_deployments/5","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_stage_deployments/6","title":"aws_gamesparks.list_stage_deployments/6","type":"function"},{"doc":"Gets a paginated list of stage summaries from the game.","ref":"aws_gamesparks.html#list_stages/2","title":"aws_gamesparks.list_stages/2","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_stages/4","title":"aws_gamesparks.list_stages/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_stages/5","title":"aws_gamesparks.list_stages/5","type":"function"},{"doc":"Lists the tags associated with a GameSparks resource.","ref":"aws_gamesparks.html#list_tags_for_resource/2","title":"aws_gamesparks.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_tags_for_resource/4","title":"aws_gamesparks.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#list_tags_for_resource/5","title":"aws_gamesparks.list_tags_for_resource/5","type":"function"},{"doc":"Starts an asynchronous process that generates client code for system-defined and custom messages. The resulting code is collected as a .zip file and uploaded to a pre-signed Amazon S3 URL.","ref":"aws_gamesparks.html#start_generated_code_job/4","title":"aws_gamesparks.start_generated_code_job/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#start_generated_code_job/5","title":"aws_gamesparks.start_generated_code_job/5","type":"function"},{"doc":"Deploys a snapshot to the stage and creates a new game runtime. After you call this operation, you can check the deployment status by using GetStageDeployment . If there are any players connected to the previous game runtime, then both runtimes persist. Existing connections to the previous runtime are maintained. When players disconnect and reconnect, they connect to the new runtime. After there are no connections to the previous game runtime, it is deleted.","ref":"aws_gamesparks.html#start_stage_deployment/4","title":"aws_gamesparks.start_stage_deployment/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#start_stage_deployment/5","title":"aws_gamesparks.start_stage_deployment/5","type":"function"},{"doc":"Adds tags to a GameSparks resource.","ref":"aws_gamesparks.html#tag_resource/3","title":"aws_gamesparks.tag_resource/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#tag_resource/4","title":"aws_gamesparks.tag_resource/4","type":"function"},{"doc":"Removes tags from a GameSparks resource.","ref":"aws_gamesparks.html#untag_resource/3","title":"aws_gamesparks.untag_resource/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#untag_resource/4","title":"aws_gamesparks.untag_resource/4","type":"function"},{"doc":"Updates details of the game.","ref":"aws_gamesparks.html#update_game/3","title":"aws_gamesparks.update_game/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#update_game/4","title":"aws_gamesparks.update_game/4","type":"function"},{"doc":"Updates one or more sections of the game configuration.","ref":"aws_gamesparks.html#update_game_configuration/3","title":"aws_gamesparks.update_game_configuration/3","type":"function"},{"doc":"","ref":"aws_gamesparks.html#update_game_configuration/4","title":"aws_gamesparks.update_game_configuration/4","type":"function"},{"doc":"Updates the metadata of a GameSparks snapshot.","ref":"aws_gamesparks.html#update_snapshot/4","title":"aws_gamesparks.update_snapshot/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#update_snapshot/5","title":"aws_gamesparks.update_snapshot/5","type":"function"},{"doc":"Updates the metadata of a stage.","ref":"aws_gamesparks.html#update_stage/4","title":"aws_gamesparks.update_stage/4","type":"function"},{"doc":"","ref":"aws_gamesparks.html#update_stage/5","title":"aws_gamesparks.update_stage/5","type":"function"},{"doc":"Amazon S3 Glacier (Glacier) is a storage solution for &quot;cold data.&quot; Glacier is an extremely low-cost storage service that provides secure, durable, and easy-to-use storage for data backup and archival. With Glacier, customers can store their data cost effectively for months, years, or decades. Glacier also enables customers to offload the administrative burdens of operating and scaling storage to AWS, so they don't have to worry about capacity planning, hardware provisioning, data replication, hardware failure and recovery, or time-consuming hardware migrations. Glacier is a great storage choice when low storage cost is paramount and your data is rarely retrieved. If your application requires fast or frequent access to your data, consider using Amazon S3. For more information, see Amazon Simple Storage Service (Amazon S3). You can store any kind of data in any format. There is no maximum limit on the total amount of data you can store in Glacier. If you are a first-time user of Glacier, we recommend that you begin by reading the following sections in the Amazon S3 Glacier Developer Guide: What is Amazon S3 Glacier - This section of the Developer Guide describes the underlying data model, the operations it supports, and the AWS SDKs that you can use to interact with the service. Getting Started with Amazon S3 Glacier - The Getting Started section walks you through the process of creating a vault, uploading archives, creating jobs to download archives, retrieving the job output, and deleting archives.","ref":"aws_glacier.html","title":"aws_glacier","type":"module"},{"doc":"This operation aborts a multipart upload identified by the upload ID. After the Abort Multipart Upload request succeeds, you cannot upload any more parts to the multipart upload or complete the multipart upload. Aborting a completed upload fails. However, aborting an already-aborted upload will succeed, for a short time. For more information about uploading a part and completing a multipart upload, see UploadMultipartPart and CompleteMultipartUpload . This operation is idempotent. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Working with Archives in Amazon S3 Glacier and Abort Multipart Upload in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#abort_multipart_upload/5","title":"aws_glacier.abort_multipart_upload/5","type":"function"},{"doc":"","ref":"aws_glacier.html#abort_multipart_upload/6","title":"aws_glacier.abort_multipart_upload/6","type":"function"},{"doc":"This operation aborts the vault locking process if the vault lock is not in the Locked state. If the vault lock is in the Locked state when this operation is requested, the operation returns an AccessDeniedException error. Aborting the vault locking process removes the vault lock policy from the specified vault. A vault lock is put into the InProgress state by calling InitiateVaultLock . A vault lock is put into the Locked state by calling CompleteVaultLock . You can get the state of a vault lock by calling GetVaultLock . For more information about the vault locking process, see Amazon Glacier Vault Lock. For more information about vault lock policies, see Amazon Glacier Access Control with Vault Lock Policies. This operation is idempotent. You can successfully invoke this operation multiple times, if the vault lock is in the InProgress state or if there is no policy associated with the vault.","ref":"aws_glacier.html#abort_vault_lock/4","title":"aws_glacier.abort_vault_lock/4","type":"function"},{"doc":"","ref":"aws_glacier.html#abort_vault_lock/5","title":"aws_glacier.abort_vault_lock/5","type":"function"},{"doc":"This operation adds the specified tags to a vault. Each tag is composed of a key and a value. Each vault can have up to 10 tags. If your request would cause the tag limit for the vault to be exceeded, the operation throws the LimitExceededException error. If a tag already exists on the vault under a specified key, the existing key value will be overwritten. For more information about tags, see Tagging Amazon S3 Glacier Resources.","ref":"aws_glacier.html#add_tags_to_vault/4","title":"aws_glacier.add_tags_to_vault/4","type":"function"},{"doc":"","ref":"aws_glacier.html#add_tags_to_vault/5","title":"aws_glacier.add_tags_to_vault/5","type":"function"},{"doc":"You call this operation to inform Amazon S3 Glacier (Glacier) that all the archive parts have been uploaded and that Glacier can now assemble the archive from the uploaded parts. After assembling and saving the archive to the vault, Glacier returns the URI path of the newly created archive resource. Using the URI path, you can then access the archive. After you upload an archive, you should save the archive ID returned to retrieve the archive at a later point. You can also get the vault inventory to obtain a list of archive IDs in a vault. For more information, see InitiateJob . In the request, you must include the computed SHA256 tree hash of the entire archive you have uploaded. For information about computing a SHA256 tree hash, see Computing Checksums. On the server side, Glacier also constructs the SHA256 tree hash of the assembled archive. If the values match, Glacier saves the archive to the vault; otherwise, it returns an error, and the operation fails. The ListParts operation returns a list of parts uploaded for a specific multipart upload. It includes checksum information for each uploaded part that can be used to debug a bad checksum issue. Additionally, Glacier also checks for any missing content ranges when assembling the archive, if missing content ranges are found, Glacier returns an error and the operation fails. Complete Multipart Upload is an idempotent operation. After your first successful complete multipart upload, if you call the operation again within a short period, the operation will succeed and return the same archive ID. This is useful in the event you experience a network issue that causes an aborted connection or receive a 500 server error, in which case you can repeat your Complete Multipart Upload request and get the same archive ID without creating duplicate archives. Note, however, that after the multipart upload completes, you cannot call the List Parts operation and the multipart upload will not appear in List Multipart Uploads response, even if idempotent complete is possible. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Uploading Large Archives in Parts (Multipart Upload) and Complete Multipart Upload in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#complete_multipart_upload/5","title":"aws_glacier.complete_multipart_upload/5","type":"function"},{"doc":"","ref":"aws_glacier.html#complete_multipart_upload/6","title":"aws_glacier.complete_multipart_upload/6","type":"function"},{"doc":"This operation completes the vault locking process by transitioning the vault lock from the InProgress state to the Locked state, which causes the vault lock policy to become unchangeable. A vault lock is put into the InProgress state by calling InitiateVaultLock . You can obtain the state of the vault lock by calling GetVaultLock . For more information about the vault locking process, Amazon Glacier Vault Lock. This operation is idempotent. This request is always successful if the vault lock is in the Locked state and the provided lock ID matches the lock ID originally used to lock the vault. If an invalid lock ID is passed in the request when the vault lock is in the Locked state, the operation returns an AccessDeniedException error. If an invalid lock ID is passed in the request when the vault lock is in the InProgress state, the operation throws an InvalidParameter error.","ref":"aws_glacier.html#complete_vault_lock/5","title":"aws_glacier.complete_vault_lock/5","type":"function"},{"doc":"","ref":"aws_glacier.html#complete_vault_lock/6","title":"aws_glacier.complete_vault_lock/6","type":"function"},{"doc":"This operation creates a new vault with the specified name. The name of the vault must be unique within a region for an AWS account. You can create up to 1,000 vaults per account. If you need to create more vaults, contact Amazon S3 Glacier. You must use the following guidelines when naming a vault. Names can be between 1 and 255 characters long. Allowed characters are a-z, A-Z, 0-9, '_' (underscore), '-' (hyphen), and '.' (period). This operation is idempotent. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Creating a Vault in Amazon Glacier and Create Vault in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#create_vault/4","title":"aws_glacier.create_vault/4","type":"function"},{"doc":"","ref":"aws_glacier.html#create_vault/5","title":"aws_glacier.create_vault/5","type":"function"},{"doc":"This operation deletes an archive from a vault. Subsequent requests to initiate a retrieval of this archive will fail. Archive retrievals that are in progress for this archive ID may or may not succeed according to the following scenarios: If the archive retrieval job is actively preparing the data for download when Amazon S3 Glacier receives the delete archive request, the archival retrieval operation might fail. If the archive retrieval job has successfully prepared the archive for download when Amazon S3 Glacier receives the delete archive request, you will be able to download the output. This operation is idempotent. Attempting to delete an already-deleted archive does not result in an error. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Deleting an Archive in Amazon Glacier and Delete Archive in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#delete_archive/5","title":"aws_glacier.delete_archive/5","type":"function"},{"doc":"","ref":"aws_glacier.html#delete_archive/6","title":"aws_glacier.delete_archive/6","type":"function"},{"doc":"This operation deletes a vault. Amazon S3 Glacier will delete a vault only if there are no archives in the vault as of the last inventory and there have been no writes to the vault since the last inventory. If either of these conditions is not satisfied, the vault deletion fails (that is, the vault is not removed) and Amazon S3 Glacier returns an error. You can use DescribeVault to return the number of archives in a vault, and you can use Initiate a Job (POST jobs) to initiate a new inventory retrieval for a vault. The inventory contains the archive IDs you use to delete archives using Delete Archive (DELETE archive). This operation is idempotent. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Deleting a Vault in Amazon Glacier and Delete Vault in the Amazon S3 Glacier Developer Guide.","ref":"aws_glacier.html#delete_vault/4","title":"aws_glacier.delete_vault/4","type":"function"},{"doc":"","ref":"aws_glacier.html#delete_vault/5","title":"aws_glacier.delete_vault/5","type":"function"},{"doc":"This operation deletes the access policy associated with the specified vault. The operation is eventually consistent; that is, it might take some time for Amazon S3 Glacier to completely remove the access policy, and you might still see the effect of the policy for a short time after you send the delete request. This operation is idempotent. You can invoke delete multiple times, even if there is no policy associated with the vault. For more information about vault access policies, see Amazon Glacier Access Control with Vault Access Policies.","ref":"aws_glacier.html#delete_vault_access_policy/4","title":"aws_glacier.delete_vault_access_policy/4","type":"function"},{"doc":"","ref":"aws_glacier.html#delete_vault_access_policy/5","title":"aws_glacier.delete_vault_access_policy/5","type":"function"},{"doc":"This operation deletes the notification configuration set for a vault. The operation is eventually consistent; that is, it might take some time for Amazon S3 Glacier to completely disable the notifications and you might still receive some notifications for a short time after you send the delete request. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Configuring Vault Notifications in Amazon S3 Glacier and Delete Vault Notification Configuration in the Amazon S3 Glacier Developer Guide.","ref":"aws_glacier.html#delete_vault_notifications/4","title":"aws_glacier.delete_vault_notifications/4","type":"function"},{"doc":"","ref":"aws_glacier.html#delete_vault_notifications/5","title":"aws_glacier.delete_vault_notifications/5","type":"function"},{"doc":"This operation returns information about a job you previously initiated, including the job initiation date, the user who initiated the job, the job status code/message and the Amazon SNS topic to notify after Amazon S3 Glacier (Glacier) completes the job. For more information about initiating a job, see InitiateJob . This operation enables you to check the status of your job. However, it is strongly recommended that you set up an Amazon SNS topic and specify it in your initiate job request so that Glacier can notify the topic after it completes the job. A job ID will not expire for at least 24 hours after Glacier completes the job. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For more information about using this operation, see the documentation for the underlying REST API Describe Job in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#describe_job/4","title":"aws_glacier.describe_job/4","type":"function"},{"doc":"","ref":"aws_glacier.html#describe_job/6","title":"aws_glacier.describe_job/6","type":"function"},{"doc":"","ref":"aws_glacier.html#describe_job/7","title":"aws_glacier.describe_job/7","type":"function"},{"doc":"This operation returns information about a vault, including the vault's Amazon Resource Name (ARN), the date the vault was created, the number of archives it contains, and the total size of all the archives in the vault. The number of archives and their total size are as of the last inventory generation. This means that if you add or remove an archive from a vault, and then immediately use Describe Vault, the change in contents will not be immediately reflected. If you want to retrieve the latest inventory of the vault, use InitiateJob . Amazon S3 Glacier generates vault inventories approximately daily. For more information, see Downloading a Vault Inventory in Amazon S3 Glacier. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Retrieving Vault Metadata in Amazon S3 Glacier and Describe Vault in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#describe_vault/3","title":"aws_glacier.describe_vault/3","type":"function"},{"doc":"","ref":"aws_glacier.html#describe_vault/5","title":"aws_glacier.describe_vault/5","type":"function"},{"doc":"","ref":"aws_glacier.html#describe_vault/6","title":"aws_glacier.describe_vault/6","type":"function"},{"doc":"This operation returns the current data retrieval policy for the account and region specified in the GET request. For more information about data retrieval policies, see Amazon Glacier Data Retrieval Policies.","ref":"aws_glacier.html#get_data_retrieval_policy/2","title":"aws_glacier.get_data_retrieval_policy/2","type":"function"},{"doc":"","ref":"aws_glacier.html#get_data_retrieval_policy/4","title":"aws_glacier.get_data_retrieval_policy/4","type":"function"},{"doc":"","ref":"aws_glacier.html#get_data_retrieval_policy/5","title":"aws_glacier.get_data_retrieval_policy/5","type":"function"},{"doc":"This operation downloads the output of the job you initiated using InitiateJob . Depending on the job type you specified when you initiated the job, the output will be either the content of an archive or a vault inventory. You can download all the job output or download a portion of the output by specifying a byte range. In the case of an archive retrieval job, depending on the byte range you specify, Amazon S3 Glacier (Glacier) returns the checksum for the portion of the data. You can compute the checksum on the client and verify that the values match to ensure the portion you downloaded is the correct data. A job ID will not expire for at least 24 hours after Glacier completes the job. That a byte range. For both archive and inventory retrieval jobs, you should verify the downloaded size against the size returned in the headers from the Get Job Output response. For archive retrieval jobs, you should also verify that the size is what you expected. If you download a portion of the output, the expected size is based on the range of bytes you specified. For example, if you specify a range of bytes=0-1048575 , you should verify your download size is 1,048,576 bytes. If you download an entire archive, the expected size is the size of the archive when you uploaded it to Amazon S3 Glacier The expected size is also returned in the headers from the Get Job Output response. In the case of an archive retrieval job, depending on the byte range you specify, Glacier returns the checksum for the portion of the data. To ensure the portion you downloaded is the correct data, compute the checksum on the client, verify that the values match, and verify that the size is what you expected. A job ID does not expire for at least 24 hours after Glacier completes the job. That is, you can download the job output within the 24 hours period after Amazon Glacier completes the job. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and the underlying REST API, see Downloading a Vault Inventory, Downloading an Archive, and Get Job Output","ref":"aws_glacier.html#get_job_output/4","title":"aws_glacier.get_job_output/4","type":"function"},{"doc":"","ref":"aws_glacier.html#get_job_output/6","title":"aws_glacier.get_job_output/6","type":"function"},{"doc":"","ref":"aws_glacier.html#get_job_output/7","title":"aws_glacier.get_job_output/7","type":"function"},{"doc":"This operation retrieves the access-policy subresource set on the vault; for more information on setting this subresource, see Set Vault Access Policy (PUT access-policy). If there is no access policy set on the vault, the operation returns a 404 Not found error. For more information about vault access policies, see Amazon Glacier Access Control with Vault Access Policies.","ref":"aws_glacier.html#get_vault_access_policy/3","title":"aws_glacier.get_vault_access_policy/3","type":"function"},{"doc":"","ref":"aws_glacier.html#get_vault_access_policy/5","title":"aws_glacier.get_vault_access_policy/5","type":"function"},{"doc":"","ref":"aws_glacier.html#get_vault_access_policy/6","title":"aws_glacier.get_vault_access_policy/6","type":"function"},{"doc":"This operation retrieves the following attributes from the lock-policy subresource set on the specified vault: The vault lock policy set on the vault. The state of the vault lock, which is either InProgess or Locked . When the lock ID expires. The lock ID is used to complete the vault locking process. When the vault lock was initiated and put into the InProgress state. A vault lock is put into the InProgress state by calling InitiateVaultLock . A vault lock is put into the Locked state by calling CompleteVaultLock . You can abort the vault locking process by calling AbortVaultLock . For more information about the vault locking process, Amazon Glacier Vault Lock. If there is no vault lock policy set on the vault, the operation returns a 404 Not found error. For more information about vault lock policies, Amazon Glacier Access Control with Vault Lock Policies.","ref":"aws_glacier.html#get_vault_lock/3","title":"aws_glacier.get_vault_lock/3","type":"function"},{"doc":"","ref":"aws_glacier.html#get_vault_lock/5","title":"aws_glacier.get_vault_lock/5","type":"function"},{"doc":"","ref":"aws_glacier.html#get_vault_lock/6","title":"aws_glacier.get_vault_lock/6","type":"function"},{"doc":"This operation retrieves the notification-configuration subresource of the specified vault. For information about setting a notification configuration on a vault, see SetVaultNotifications . If a notification configuration for a vault is not set, the operation returns a 404 Not Found error. For more information about vault notifications, see Configuring Vault Notifications in Amazon S3 Glacier. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Configuring Vault Notifications in Amazon S3 Glacier and Get Vault Notification Configuration in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#get_vault_notifications/3","title":"aws_glacier.get_vault_notifications/3","type":"function"},{"doc":"","ref":"aws_glacier.html#get_vault_notifications/5","title":"aws_glacier.get_vault_notifications/5","type":"function"},{"doc":"","ref":"aws_glacier.html#get_vault_notifications/6","title":"aws_glacier.get_vault_notifications/6","type":"function"},{"doc":"This operation initiates a job of the specified type, which can be a select, an archival retrieval, or a vault retrieval. For more information about using this operation, see the documentation for the underlying REST API Initiate a Job.","ref":"aws_glacier.html#initiate_job/4","title":"aws_glacier.initiate_job/4","type":"function"},{"doc":"","ref":"aws_glacier.html#initiate_job/5","title":"aws_glacier.initiate_job/5","type":"function"},{"doc":"This operation initiates a multipart upload. Amazon S3 Glacier creates a multipart upload resource and returns its ID in the response. The multipart upload ID is used in subsequent requests to upload parts of an archive (see UploadMultipartPart ). When you initiate a multipart upload, you specify the part size in number of bytes. The part size must be a megabyte (1024 KB) multiplied by a power of 2-for example, 1048576 (1 MB), 2097152 (2 MB), 4194304 (4 MB), 8388608 (8 MB), and so on. The minimum allowable part size is 1 MB, and the maximum is 4 GB. Every part you upload to this resource (see UploadMultipartPart ), except the last one, must have the same size. The last one can be the same size or smaller. For example, suppose you want to upload a 16.2 MB file. If you initiate the multipart upload with a part size of 4 MB, you will upload four parts of 4 MB each and one part of 0.2 MB. You don't need to know the size of the archive when you start a multipart upload because Amazon S3 Glacier does not require you to specify the overall archive size. After you complete the multipart upload, Amazon S3 Glacier (Glacier) removes the multipart upload resource referenced by the ID. Glacier also removes the multipart upload resource if you cancel the multipart upload or it may be removed if there is no activity for a period of 24 hours. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Uploading Large Archives in Parts (Multipart Upload) and Initiate Multipart Upload in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#initiate_multipart_upload/4","title":"aws_glacier.initiate_multipart_upload/4","type":"function"},{"doc":"","ref":"aws_glacier.html#initiate_multipart_upload/5","title":"aws_glacier.initiate_multipart_upload/5","type":"function"},{"doc":"This operation initiates the vault locking process by doing the following: Installing a vault lock policy on the specified vault. Setting the lock state of vault lock to InProgress . Returning a lock ID, which is used to complete the vault locking process. You can set one vault lock policy for each vault and this policy can be up to 20 KB in size. For more information about vault lock policies, see Amazon Glacier Access Control with Vault Lock Policies. You must complete the vault locking process within 24 hours after the vault lock enters the InProgress state. After the 24 hour window ends, the lock ID expires, the vault automatically exits the InProgress state, and the vault lock policy is removed from the vault. You call CompleteVaultLock to complete the vault locking process by setting the state of the vault lock to Locked . After a vault lock is in the Locked state, you cannot initiate a new vault lock for the vault. You can abort the vault locking process by calling AbortVaultLock . You can get the state of the vault lock by calling GetVaultLock . For more information about the vault locking process, Amazon Glacier Vault Lock. If this operation is called when the vault lock is in the InProgress state, the operation returns an AccessDeniedException error. When the vault lock is in the InProgress state you must call AbortVaultLock before you can initiate a new vault lock policy.","ref":"aws_glacier.html#initiate_vault_lock/4","title":"aws_glacier.initiate_vault_lock/4","type":"function"},{"doc":"","ref":"aws_glacier.html#initiate_vault_lock/5","title":"aws_glacier.initiate_vault_lock/5","type":"function"},{"doc":"This operation lists jobs for a vault, including jobs that are in-progress and jobs that have recently finished. The List Job operation returns a list of these jobs sorted by job initiation time. Amazon Glacier retains recently completed jobs for a period before deleting them; however, it eventually removes completed jobs. The output of completed jobs can be retrieved. Retaining completed jobs for a period of time after they have completed enables you to get a job output in the event you miss the job completion notification or your first attempt to download it fails. For example, suppose you start an archive retrieval job to download an archive. After the job completes, you start to download the archive but encounter a network error. In this scenario, you can retry and download the archive while the job exists. The List Jobs operation supports pagination. You should always check the response Marker field. If there are no more jobs to list, the Marker field is set to null . If there are more jobs to list, the Marker field is set to a non-null value, which you can use to continue the pagination of the list. To return a list of jobs that begins at a specific job, set the marker request parameter to the Marker value for that job that you obtained from a previous List Jobs request. You can set a maximum limit for the number of jobs returned in the response by specifying the limit parameter in the request. The default limit is 50. The number of jobs returned might be fewer than the limit, but the number of returned jobs never exceeds the limit. Additionally, you can filter the jobs list returned by specifying the optional statuscode parameter or completed parameter, or both. Using the statuscode parameter, you can specify to return only jobs that match either the InProgress , Succeeded , or Failed status. Using the completed parameter, you can specify to return only jobs that were completed ( true ) or jobs that were not completed ( false ). For more information about using this operation, see the documentation for the underlying REST API List Jobs.","ref":"aws_glacier.html#list_jobs/3","title":"aws_glacier.list_jobs/3","type":"function"},{"doc":"","ref":"aws_glacier.html#list_jobs/5","title":"aws_glacier.list_jobs/5","type":"function"},{"doc":"","ref":"aws_glacier.html#list_jobs/6","title":"aws_glacier.list_jobs/6","type":"function"},{"doc":"This operation lists in-progress multipart uploads for the specified vault. An in-progress multipart upload is a multipart upload that has been initiated by an InitiateMultipartUpload request, but has not yet been completed or aborted. The list returned in the List Multipart Upload response has no guaranteed order. The List Multipart Uploads operation supports pagination. By default, this operation returns up to 50 multipart uploads in the response. You should always check the response for a marker at which to continue the list; if there are no more items the marker is null . To return a list of multipart uploads that begins at a specific upload, set the marker request parameter to the value you obtained from a previous List Multipart Upload request. You can also limit the number of uploads returned in the response by specifying the limit parameter in the request. Note the difference between this operation and listing parts ( ListParts ). The List Multipart Uploads operation lists all multipart uploads for a vault and does not require a multipart upload ID. The List Parts operation requires a multipart upload ID since parts are associated with a single upload. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and the underlying REST API, see Working with Archives in Amazon S3 Glacier and List Multipart Uploads in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#list_multipart_uploads/3","title":"aws_glacier.list_multipart_uploads/3","type":"function"},{"doc":"","ref":"aws_glacier.html#list_multipart_uploads/5","title":"aws_glacier.list_multipart_uploads/5","type":"function"},{"doc":"","ref":"aws_glacier.html#list_multipart_uploads/6","title":"aws_glacier.list_multipart_uploads/6","type":"function"},{"doc":"This operation lists the parts of an archive that have been uploaded in a specific multipart upload. You can make this request at any time during an in-progress multipart upload before you complete the upload (see CompleteMultipartUpload . List Parts returns an error for completed uploads. The list returned in the List Parts response is sorted by part range. The List Parts operation supports pagination. By default, this operation returns up to 50 uploaded parts in the response. You should always check the response for a marker at which to continue the list; if there are no more items the marker is null . To return a list of parts that begins at a specific part, set the marker request parameter to the value you obtained from a previous List Parts request. You can also limit the number of parts returned in the response by specifying the limit parameter in the request. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and the underlying REST API, see Working with Archives in Amazon S3 Glacier and List Parts in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#list_parts/4","title":"aws_glacier.list_parts/4","type":"function"},{"doc":"","ref":"aws_glacier.html#list_parts/6","title":"aws_glacier.list_parts/6","type":"function"},{"doc":"","ref":"aws_glacier.html#list_parts/7","title":"aws_glacier.list_parts/7","type":"function"},{"doc":"This operation lists the provisioned capacity units for the specified AWS account.","ref":"aws_glacier.html#list_provisioned_capacity/2","title":"aws_glacier.list_provisioned_capacity/2","type":"function"},{"doc":"","ref":"aws_glacier.html#list_provisioned_capacity/4","title":"aws_glacier.list_provisioned_capacity/4","type":"function"},{"doc":"","ref":"aws_glacier.html#list_provisioned_capacity/5","title":"aws_glacier.list_provisioned_capacity/5","type":"function"},{"doc":"This operation lists all the tags attached to a vault. The operation returns an empty map if there are no tags. For more information about tags, see Tagging Amazon S3 Glacier Resources.","ref":"aws_glacier.html#list_tags_for_vault/3","title":"aws_glacier.list_tags_for_vault/3","type":"function"},{"doc":"","ref":"aws_glacier.html#list_tags_for_vault/5","title":"aws_glacier.list_tags_for_vault/5","type":"function"},{"doc":"","ref":"aws_glacier.html#list_tags_for_vault/6","title":"aws_glacier.list_tags_for_vault/6","type":"function"},{"doc":"This operation lists all vaults owned by the calling user's account. The list returned in the response is ASCII-sorted by vault name. By default, this operation returns up to 10 items. If there are more vaults to list, the response marker field contains the vault Amazon Resource Name (ARN) at which to continue the list with a new List Vaults request; otherwise, the marker field is null . To return a list of vaults that begins at a specific vault, set the marker request parameter to the vault ARN you obtained from a previous List Vaults request. You can also limit the number of vaults returned in the response by specifying the limit parameter in the request. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Retrieving Vault Metadata in Amazon S3 Glacier and List Vaults in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#list_vaults/2","title":"aws_glacier.list_vaults/2","type":"function"},{"doc":"","ref":"aws_glacier.html#list_vaults/4","title":"aws_glacier.list_vaults/4","type":"function"},{"doc":"","ref":"aws_glacier.html#list_vaults/5","title":"aws_glacier.list_vaults/5","type":"function"},{"doc":"This operation purchases a provisioned capacity unit for an AWS account.","ref":"aws_glacier.html#purchase_provisioned_capacity/3","title":"aws_glacier.purchase_provisioned_capacity/3","type":"function"},{"doc":"","ref":"aws_glacier.html#purchase_provisioned_capacity/4","title":"aws_glacier.purchase_provisioned_capacity/4","type":"function"},{"doc":"This operation removes one or more tags from the set of tags attached to a vault. For more information about tags, see Tagging Amazon S3 Glacier Resources. This operation is idempotent. The operation will be successful, even if there are no tags attached to the vault.","ref":"aws_glacier.html#remove_tags_from_vault/4","title":"aws_glacier.remove_tags_from_vault/4","type":"function"},{"doc":"","ref":"aws_glacier.html#remove_tags_from_vault/5","title":"aws_glacier.remove_tags_from_vault/5","type":"function"},{"doc":"This operation sets and then enacts a data retrieval policy in the region specified in the PUT request. You can set one policy per region for an AWS account. The policy is enacted within a few minutes of a successful PUT operation. The set policy operation does not affect retrieval jobs that were in progress before the policy was enacted. For more information about data retrieval policies, see Amazon Glacier Data Retrieval Policies.","ref":"aws_glacier.html#set_data_retrieval_policy/3","title":"aws_glacier.set_data_retrieval_policy/3","type":"function"},{"doc":"","ref":"aws_glacier.html#set_data_retrieval_policy/4","title":"aws_glacier.set_data_retrieval_policy/4","type":"function"},{"doc":"This operation configures an access policy for a vault and will overwrite an existing policy. To configure a vault access policy, send a PUT request to the access-policy subresource of the vault. An access policy is specific to a vault and is also called a vault subresource. You can set one access policy per vault and the policy can be up to 20 KB in size. For more information about vault access policies, see Amazon Glacier Access Control with Vault Access Policies.","ref":"aws_glacier.html#set_vault_access_policy/4","title":"aws_glacier.set_vault_access_policy/4","type":"function"},{"doc":"","ref":"aws_glacier.html#set_vault_access_policy/5","title":"aws_glacier.set_vault_access_policy/5","type":"function"},{"doc":"This operation configures notifications that will be sent when specific events happen to a vault. By default, you don't get any notifications. To configure vault notifications, send a PUT request to the notification-configuration subresource of the vault. The request should include a JSON document that provides an Amazon SNS topic and specific events for which you want Amazon S3 Glacier to send notifications to the topic. Amazon SNS topics must grant permission to the vault to be allowed to publish notifications to the topic. You can configure a vault to publish a notification for the following vault events: ArchiveRetrievalCompleted This event occurs when a job that was initiated for an archive retrieval is completed ( InitiateJob ). The status of the completed job can be &quot;Succeeded&quot; or &quot;Failed&quot;. The notification sent to the SNS topic is the same output as returned from DescribeJob . InventoryRetrievalCompleted This event occurs when a job that was initiated for an inventory retrieval is completed ( InitiateJob ). The status of the completed job can be &quot;Succeeded&quot; or &quot;Failed&quot;. The notification sent to the SNS topic is the same output as returned from DescribeJob . An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Configuring Vault Notifications in Amazon S3 Glacier and Set Vault Notification Configuration in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#set_vault_notifications/4","title":"aws_glacier.set_vault_notifications/4","type":"function"},{"doc":"","ref":"aws_glacier.html#set_vault_notifications/5","title":"aws_glacier.set_vault_notifications/5","type":"function"},{"doc":"This operation adds an archive to a vault. This is a synchronous operation, and for a successful upload, your data is durably persisted. Amazon S3 Glacier returns the archive ID in the x-amz-archive-id header of the response. You must use the archive ID to access your data in Amazon S3 Glacier. After you upload an archive, you should save the archive ID returned so that you can retrieve or delete the archive later. Besides saving the archive ID, you can also index it and give it a friendly name to allow for better searching. You can also use the optional archive description field to specify how the archive is referred to in an external index of archives, such as you might create in Amazon DynamoDB. You can also get the vault inventory to obtain a list of archive IDs in a vault. For more information, see InitiateJob . You must provide a SHA256 tree hash of the data you are uploading. For information about computing a SHA256 tree hash, see Computing Checksums. You can optionally specify an archive description of up to 1,024 printable ASCII characters. You can get the archive description when you either retrieve the archive or get the vault inventory. For more information, see InitiateJob . Amazon Glacier does not interpret the description in any way. An archive description does not need to be unique. You cannot use the description to retrieve or sort the archive list. Archives are immutable. After you upload an archive, you cannot edit the archive or its description. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Uploading an Archive in Amazon Glacier and Upload Archive in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#upload_archive/4","title":"aws_glacier.upload_archive/4","type":"function"},{"doc":"","ref":"aws_glacier.html#upload_archive/5","title":"aws_glacier.upload_archive/5","type":"function"},{"doc":"This operation uploads a part of an archive. You can upload archive parts in any order. You can also upload them in parallel. You can upload up to 10,000 parts for a multipart upload. Amazon Glacier rejects your upload part request if any of the following conditions is true: SHA256 tree hash does not matchTo ensure that part data is not corrupted in transmission, you compute a SHA256 tree hash of the part and include it in your request. Upon receiving the part data, Amazon S3 Glacier also computes a SHA256 tree hash. If these hash values don't match, the operation fails. For information about computing a SHA256 tree hash, see Computing Checksums. Part size does not matchThe size of each part except the last must match the size specified in the corresponding InitiateMultipartUpload request. The size of the last part must be the same size as, or smaller than, the specified size. If you upload a part whose size is smaller than the part size you specified in your initiate multipart upload request and that part is not the last part, then the upload part request will succeed. However, the subsequent Complete Multipart Upload request will fail. Range does not alignThe byte range value in the request does not align with the part size specified in the corresponding initiate request. For example, if you specify a part size of 4194304 bytes (4 MB), then 0 to 4194303 bytes (4 MB - 1) and 4194304 (4 MB) to 8388607 (8 MB - 1) are valid part ranges. However, if you set a range value of 2 MB to 6 MB, the range does not align with the part size and the upload will fail. This operation is idempotent. If you upload the same part multiple times, the data included in the most recent request overwrites the previously uploaded data. An AWS account has full permission to perform all operations (actions). However, AWS Identity and Access Management (IAM) users don't have any permissions by default. You must grant them explicit permission to perform specific actions. For more information, see Access Control Using AWS Identity and Access Management (IAM). For conceptual information and underlying REST API, see Uploading Large Archives in Parts (Multipart Upload) and Upload Part in the Amazon Glacier Developer Guide.","ref":"aws_glacier.html#upload_multipart_part/5","title":"aws_glacier.upload_multipart_part/5","type":"function"},{"doc":"","ref":"aws_glacier.html#upload_multipart_part/6","title":"aws_glacier.upload_multipart_part/6","type":"function"},{"doc":"Global Accelerator This is the Global Accelerator API Reference. This guide is for developers who need detailed information about Global Accelerator API actions, data types, and errors. For more information about Global Accelerator features, see the Global Accelerator Developer Guide. Global Accelerator is a service in which you create accelerators to improve the performance of your applications for local and global users. Depending on the type of accelerator you choose, you can gain additional benefits. By using a standard accelerator, you can improve availability of your internet applications that are used by a global audience. With a standard accelerator, Global Accelerator directs traffic to optimal endpoints over the Amazon Web Services global network. For other scenarios, you might choose a custom routing accelerator. With a custom routing accelerator, you can use application logic to directly map one or more users to a specific endpoint among many endpoints. Global Accelerator is a global service that supports endpoints in multiple Amazon Web Services Regions but you must specify the US West (Oregon) Region to create, update, or otherwise work with accelerators. That is, for example, specify --region us-west-2 on AWS CLI commands. By default, Global Accelerator provides you with static IP addresses that you associate with your accelerator. The static IP addresses are anycast from the Amazon Web Services edge network. For IPv4, Global Accelerator provides two static IPv4 addresses. For dual-stack, Global Accelerator provides a total of four addresses: two static IPv4 addresses and two static IPv6 addresses. With a standard accelerator for IPv4, instead of using the addresses that Global Accelerator provides, you can configure these entry points to be IPv4 addresses from your own IP address ranges that you bring toGlobal Accelerator (BYOIP). For a standard accelerator, they distribute incoming application traffic across multiple endpoint resources in multiple Amazon Web Services Regions , which increases the availability of your applications. Endpoints for standard accelerators can be Network Load Balancers, Application Load Balancers, Amazon EC2 instances, or Elastic IP addresses that are located in one Amazon Web Services Region or multiple Amazon Web Services Regions. For custom routing accelerators, you map traffic that arrives to the static IP addresses to specific Amazon EC2 servers in endpoints that are virtual private cloud (VPC) subnets. The static IP addresses remain assigned to your accelerator for as long as it exists, even if you disable the accelerator and it no longer accepts or routes traffic. However, when you delete an accelerator, you lose the static IP addresses that are assigned to it, so you can no longer route traffic by using them. You can use IAM policies like tag-based permissions with Global Accelerator to limit the users who have permissions to delete an accelerator. For more information, see Tag-based policies. For standard accelerators, Global Accelerator uses the Amazon Web Services global network to route traffic to the optimal regional endpoint based on health, client location, and policies that you configure. The service reacts instantly to changes in health or configuration to ensure that internet traffic from clients is always directed to healthy endpoints. For more information about understanding and using Global Accelerator, see the Global Accelerator Developer Guide.","ref":"aws_global_accelerator.html","title":"aws_global_accelerator","type":"module"},{"doc":"Associate a virtual private cloud (VPC) subnet endpoint with your custom routing accelerator. The listener port range must be large enough to support the number of IP addresses that can be specified in your subnet. The number of ports required is: subnet size times the number of ports per destination EC2 instances. For example, a subnet defined as /24 requires a listener port range of at least 255 ports. Note: You must have enough remaining listener ports available to map to the subnet ports, or the call will fail with a LimitExceededException. By default, all destinations in a subnet in a custom routing accelerator cannot receive traffic. To enable all destinations to receive traffic, or to specify individual port mappings that can receive traffic, see the AllowCustomRoutingTraffic operation.","ref":"aws_global_accelerator.html#add_custom_routing_endpoints/2","title":"aws_global_accelerator.add_custom_routing_endpoints/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#add_custom_routing_endpoints/3","title":"aws_global_accelerator.add_custom_routing_endpoints/3","type":"function"},{"doc":"Add endpoints to an endpoint group. The AddEndpoints API operation is the recommended option for adding endpoints. The alternative options are to add endpoints when you create an endpoint group (with the CreateEndpointGroup API) or when you update an endpoint group (with the UpdateEndpointGroup API). There are two advantages to using AddEndpoints to add endpoints: It's faster, because Global Accelerator only has to resolve the new endpoints that you're adding. It's more convenient, because you don't need to specify all of the current endpoints that are already in the endpoint group in addition to the new endpoints that you want to add.","ref":"aws_global_accelerator.html#add_endpoints/2","title":"aws_global_accelerator.add_endpoints/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#add_endpoints/3","title":"aws_global_accelerator.add_endpoints/3","type":"function"},{"doc":"Advertises an IPv4 address range that is provisioned for use with your Amazon Web Services resources through bring your own IP addresses (BYOIP). It can take a few minutes before traffic to the specified addresses starts routing to Amazon Web Services because of propagation delays. To stop advertising the BYOIP address range, use WithdrawByoipCidr. For more information, see Bring your own IP addresses (BYOIP) in the Global Accelerator Developer Guide.","ref":"aws_global_accelerator.html#advertise_byoip_cidr/2","title":"aws_global_accelerator.advertise_byoip_cidr/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#advertise_byoip_cidr/3","title":"aws_global_accelerator.advertise_byoip_cidr/3","type":"function"},{"doc":"Specify the Amazon EC2 instance (destination) IP addresses and ports for a VPC subnet endpoint that can receive traffic for a custom routing accelerator. You can allow traffic to all destinations in the subnet endpoint, or allow traffic to a specified list of destination IP addresses and ports in the subnet. Note that you cannot specify IP addresses or ports outside of the range that you configured for the endpoint group. After you make changes, you can verify that the updates are complete by checking the status of your accelerator: the status changes from IN_PROGRESS to DEPLOYED.","ref":"aws_global_accelerator.html#allow_custom_routing_traffic/2","title":"aws_global_accelerator.allow_custom_routing_traffic/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#allow_custom_routing_traffic/3","title":"aws_global_accelerator.allow_custom_routing_traffic/3","type":"function"},{"doc":"Create an accelerator. An accelerator includes one or more listeners that process inbound connections and direct traffic to one or more endpoint groups, each of which includes endpoints, such as Network Load Balancers. Global Accelerator is a global service that supports endpoints in multiple Amazon Web Services Regions but you must specify the US West (Oregon) Region to create, update, or otherwise work with accelerators. That is, for example, specify --region us-west-2 on AWS CLI commands.","ref":"aws_global_accelerator.html#create_accelerator/2","title":"aws_global_accelerator.create_accelerator/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#create_accelerator/3","title":"aws_global_accelerator.create_accelerator/3","type":"function"},{"doc":"Create a custom routing accelerator. A custom routing accelerator directs traffic to one of possibly thousands of Amazon EC2 instance destinations running in a single or multiple virtual private clouds (VPC) subnet endpoints. Be aware that, by default, all destination EC2 instances in a VPC subnet endpoint cannot receive traffic. To enable all destinations to receive traffic, or to specify individual port mappings that can receive traffic, see the AllowCustomRoutingTraffic operation. Global Accelerator is a global service that supports endpoints in multiple Amazon Web Services Regions but you must specify the US West (Oregon) Region to create, update, or otherwise work with accelerators. That is, for example, specify --region us-west-2 on AWS CLI commands.","ref":"aws_global_accelerator.html#create_custom_routing_accelerator/2","title":"aws_global_accelerator.create_custom_routing_accelerator/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#create_custom_routing_accelerator/3","title":"aws_global_accelerator.create_custom_routing_accelerator/3","type":"function"},{"doc":"Create an endpoint group for the specified listener for a custom routing accelerator. An endpoint group is a collection of endpoints in one Amazon Web Services Region.","ref":"aws_global_accelerator.html#create_custom_routing_endpoint_group/2","title":"aws_global_accelerator.create_custom_routing_endpoint_group/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#create_custom_routing_endpoint_group/3","title":"aws_global_accelerator.create_custom_routing_endpoint_group/3","type":"function"},{"doc":"Create a listener to process inbound connections from clients to a custom routing accelerator. Connections arrive to assigned static IP addresses on the port range that you specify.","ref":"aws_global_accelerator.html#create_custom_routing_listener/2","title":"aws_global_accelerator.create_custom_routing_listener/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#create_custom_routing_listener/3","title":"aws_global_accelerator.create_custom_routing_listener/3","type":"function"},{"doc":"Create an endpoint group for the specified listener. An endpoint group is a collection of endpoints in one Amazon Web Services Region. A resource must be valid and active when you add it as an endpoint.","ref":"aws_global_accelerator.html#create_endpoint_group/2","title":"aws_global_accelerator.create_endpoint_group/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#create_endpoint_group/3","title":"aws_global_accelerator.create_endpoint_group/3","type":"function"},{"doc":"Create a listener to process inbound connections from clients to an accelerator. Connections arrive to assigned static IP addresses on a port, port range, or list of port ranges that you specify.","ref":"aws_global_accelerator.html#create_listener/2","title":"aws_global_accelerator.create_listener/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#create_listener/3","title":"aws_global_accelerator.create_listener/3","type":"function"},{"doc":"Delete an accelerator. Before you can delete an accelerator, you must disable it and remove all dependent resources (listeners and endpoint groups). To disable the accelerator, update the accelerator to set Enabled to false. When you create an accelerator, by default, Global Accelerator provides you with a set of two static IP addresses. Alternatively, you can bring your own IP address ranges to Global Accelerator and assign IP addresses from those ranges. The IP addresses are assigned to your accelerator for as long as it exists, even if you disable the accelerator and it no longer accepts or routes traffic. However, when you delete an accelerator, you lose the static IP addresses that are assigned to the accelerator, so you can no longer route traffic by using them. As a best practice, ensure that you have permissions in place to avoid inadvertently deleting accelerators. You can use IAM policies with Global Accelerator to limit the users who have permissions to delete an accelerator. For more information, see Identity and access management in the Global Accelerator Developer Guide.","ref":"aws_global_accelerator.html#delete_accelerator/2","title":"aws_global_accelerator.delete_accelerator/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#delete_accelerator/3","title":"aws_global_accelerator.delete_accelerator/3","type":"function"},{"doc":"Delete a custom routing accelerator. Before you can delete an accelerator, you must disable it and remove all dependent resources (listeners and endpoint groups). To disable the accelerator, update the accelerator to set Enabled to false. When you create a custom routing accelerator, by default, Global Accelerator provides you with a set of two static IP addresses. The IP addresses are assigned to your accelerator for as long as it exists, even if you disable the accelerator and it no longer accepts or routes traffic. However, when you delete an accelerator, you lose the static IP addresses that are assigned to the accelerator, so you can no longer route traffic by using them. As a best practice, ensure that you have permissions in place to avoid inadvertently deleting accelerators. You can use IAM policies with Global Accelerator to limit the users who have permissions to delete an accelerator. For more information, see Identity and access management in the Global Accelerator Developer Guide.","ref":"aws_global_accelerator.html#delete_custom_routing_accelerator/2","title":"aws_global_accelerator.delete_custom_routing_accelerator/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#delete_custom_routing_accelerator/3","title":"aws_global_accelerator.delete_custom_routing_accelerator/3","type":"function"},{"doc":"Delete an endpoint group from a listener for a custom routing accelerator.","ref":"aws_global_accelerator.html#delete_custom_routing_endpoint_group/2","title":"aws_global_accelerator.delete_custom_routing_endpoint_group/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#delete_custom_routing_endpoint_group/3","title":"aws_global_accelerator.delete_custom_routing_endpoint_group/3","type":"function"},{"doc":"Delete a listener for a custom routing accelerator.","ref":"aws_global_accelerator.html#delete_custom_routing_listener/2","title":"aws_global_accelerator.delete_custom_routing_listener/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#delete_custom_routing_listener/3","title":"aws_global_accelerator.delete_custom_routing_listener/3","type":"function"},{"doc":"Delete an endpoint group from a listener.","ref":"aws_global_accelerator.html#delete_endpoint_group/2","title":"aws_global_accelerator.delete_endpoint_group/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#delete_endpoint_group/3","title":"aws_global_accelerator.delete_endpoint_group/3","type":"function"},{"doc":"Delete a listener from an accelerator.","ref":"aws_global_accelerator.html#delete_listener/2","title":"aws_global_accelerator.delete_listener/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#delete_listener/3","title":"aws_global_accelerator.delete_listener/3","type":"function"},{"doc":"Specify the Amazon EC2 instance (destination) IP addresses and ports for a VPC subnet endpoint that cannot receive traffic for a custom routing accelerator. You can deny traffic to all destinations in the VPC endpoint, or deny traffic to a specified list of destination IP addresses and ports. Note that you cannot specify IP addresses or ports outside of the range that you configured for the endpoint group. After you make changes, you can verify that the updates are complete by checking the status of your accelerator: the status changes from IN_PROGRESS to DEPLOYED.","ref":"aws_global_accelerator.html#deny_custom_routing_traffic/2","title":"aws_global_accelerator.deny_custom_routing_traffic/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#deny_custom_routing_traffic/3","title":"aws_global_accelerator.deny_custom_routing_traffic/3","type":"function"},{"doc":"Releases the specified address range that you provisioned to use with your Amazon Web Services resources through bring your own IP addresses (BYOIP) and deletes the corresponding address pool. Before you can release an address range, you must stop advertising it by using WithdrawByoipCidr and you must not have any accelerators that are using static IP addresses allocated from its address range. For more information, see Bring your own IP addresses (BYOIP) in the Global Accelerator Developer Guide.","ref":"aws_global_accelerator.html#deprovision_byoip_cidr/2","title":"aws_global_accelerator.deprovision_byoip_cidr/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#deprovision_byoip_cidr/3","title":"aws_global_accelerator.deprovision_byoip_cidr/3","type":"function"},{"doc":"Describe an accelerator.","ref":"aws_global_accelerator.html#describe_accelerator/2","title":"aws_global_accelerator.describe_accelerator/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#describe_accelerator/3","title":"aws_global_accelerator.describe_accelerator/3","type":"function"},{"doc":"Describe the attributes of an accelerator.","ref":"aws_global_accelerator.html#describe_accelerator_attributes/2","title":"aws_global_accelerator.describe_accelerator_attributes/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#describe_accelerator_attributes/3","title":"aws_global_accelerator.describe_accelerator_attributes/3","type":"function"},{"doc":"Describe a custom routing accelerator.","ref":"aws_global_accelerator.html#describe_custom_routing_accelerator/2","title":"aws_global_accelerator.describe_custom_routing_accelerator/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#describe_custom_routing_accelerator/3","title":"aws_global_accelerator.describe_custom_routing_accelerator/3","type":"function"},{"doc":"Describe the attributes of a custom routing accelerator.","ref":"aws_global_accelerator.html#describe_custom_routing_accelerator_attributes/2","title":"aws_global_accelerator.describe_custom_routing_accelerator_attributes/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#describe_custom_routing_accelerator_attributes/3","title":"aws_global_accelerator.describe_custom_routing_accelerator_attributes/3","type":"function"},{"doc":"Describe an endpoint group for a custom routing accelerator.","ref":"aws_global_accelerator.html#describe_custom_routing_endpoint_group/2","title":"aws_global_accelerator.describe_custom_routing_endpoint_group/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#describe_custom_routing_endpoint_group/3","title":"aws_global_accelerator.describe_custom_routing_endpoint_group/3","type":"function"},{"doc":"The description of a listener for a custom routing accelerator.","ref":"aws_global_accelerator.html#describe_custom_routing_listener/2","title":"aws_global_accelerator.describe_custom_routing_listener/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#describe_custom_routing_listener/3","title":"aws_global_accelerator.describe_custom_routing_listener/3","type":"function"},{"doc":"Describe an endpoint group.","ref":"aws_global_accelerator.html#describe_endpoint_group/2","title":"aws_global_accelerator.describe_endpoint_group/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#describe_endpoint_group/3","title":"aws_global_accelerator.describe_endpoint_group/3","type":"function"},{"doc":"Describe a listener.","ref":"aws_global_accelerator.html#describe_listener/2","title":"aws_global_accelerator.describe_listener/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#describe_listener/3","title":"aws_global_accelerator.describe_listener/3","type":"function"},{"doc":"List the accelerators for an Amazon Web Services account.","ref":"aws_global_accelerator.html#list_accelerators/2","title":"aws_global_accelerator.list_accelerators/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#list_accelerators/3","title":"aws_global_accelerator.list_accelerators/3","type":"function"},{"doc":"Lists the IP address ranges that were specified in calls to ProvisionByoipCidr, including the current state and a history of state changes.","ref":"aws_global_accelerator.html#list_byoip_cidrs/2","title":"aws_global_accelerator.list_byoip_cidrs/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#list_byoip_cidrs/3","title":"aws_global_accelerator.list_byoip_cidrs/3","type":"function"},{"doc":"List the custom routing accelerators for an Amazon Web Services account.","ref":"aws_global_accelerator.html#list_custom_routing_accelerators/2","title":"aws_global_accelerator.list_custom_routing_accelerators/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#list_custom_routing_accelerators/3","title":"aws_global_accelerator.list_custom_routing_accelerators/3","type":"function"},{"doc":"List the endpoint groups that are associated with a listener for a custom routing accelerator.","ref":"aws_global_accelerator.html#list_custom_routing_endpoint_groups/2","title":"aws_global_accelerator.list_custom_routing_endpoint_groups/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#list_custom_routing_endpoint_groups/3","title":"aws_global_accelerator.list_custom_routing_endpoint_groups/3","type":"function"},{"doc":"List the listeners for a custom routing accelerator.","ref":"aws_global_accelerator.html#list_custom_routing_listeners/2","title":"aws_global_accelerator.list_custom_routing_listeners/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#list_custom_routing_listeners/3","title":"aws_global_accelerator.list_custom_routing_listeners/3","type":"function"},{"doc":"Provides a complete mapping from the public accelerator IP address and port to destination EC2 instance IP addresses and ports in the virtual public cloud (VPC) subnet endpoint for a custom routing accelerator. For each subnet endpoint that you add, Global Accelerator creates a new static port mapping for the accelerator. The port mappings don't change after Global Accelerator generates them, so you can retrieve and cache the full mapping on your servers. If you remove a subnet from your accelerator, Global Accelerator removes (reclaims) the port mappings. If you add a subnet to your accelerator, Global Accelerator creates new port mappings (the existing ones don't change). If you add or remove EC2 instances in your subnet, the port mappings don't change, because the mappings are created when you add the subnet to Global Accelerator. The mappings also include a flag for each destination denoting which destination IP addresses and ports are allowed or denied traffic.","ref":"aws_global_accelerator.html#list_custom_routing_port_mappings/2","title":"aws_global_accelerator.list_custom_routing_port_mappings/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#list_custom_routing_port_mappings/3","title":"aws_global_accelerator.list_custom_routing_port_mappings/3","type":"function"},{"doc":"List the port mappings for a specific EC2 instance (destination) in a VPC subnet endpoint. The response is the mappings for one destination IP address. This is useful when your subnet endpoint has mappings that span multiple custom routing accelerators in your account, or for scenarios where you only want to list the port mappings for a specific destination instance.","ref":"aws_global_accelerator.html#list_custom_routing_port_mappings_by_destination/2","title":"aws_global_accelerator.list_custom_routing_port_mappings_by_destination/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#list_custom_routing_port_mappings_by_destination/3","title":"aws_global_accelerator.list_custom_routing_port_mappings_by_destination/3","type":"function"},{"doc":"List the endpoint groups that are associated with a listener.","ref":"aws_global_accelerator.html#list_endpoint_groups/2","title":"aws_global_accelerator.list_endpoint_groups/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#list_endpoint_groups/3","title":"aws_global_accelerator.list_endpoint_groups/3","type":"function"},{"doc":"List the listeners for an accelerator.","ref":"aws_global_accelerator.html#list_listeners/2","title":"aws_global_accelerator.list_listeners/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#list_listeners/3","title":"aws_global_accelerator.list_listeners/3","type":"function"},{"doc":"List all tags for an accelerator. For more information, see Tagging in Global Accelerator in the Global Accelerator Developer Guide.","ref":"aws_global_accelerator.html#list_tags_for_resource/2","title":"aws_global_accelerator.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#list_tags_for_resource/3","title":"aws_global_accelerator.list_tags_for_resource/3","type":"function"},{"doc":"Provisions an IP address range to use with your Amazon Web Services resources through bring your own IP addresses (BYOIP) and creates a corresponding address pool. After the address range is provisioned, it is ready to be advertised using AdvertiseByoipCidr. For more information, see Bring your own IP addresses (BYOIP) in the Global Accelerator Developer Guide.","ref":"aws_global_accelerator.html#provision_byoip_cidr/2","title":"aws_global_accelerator.provision_byoip_cidr/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#provision_byoip_cidr/3","title":"aws_global_accelerator.provision_byoip_cidr/3","type":"function"},{"doc":"Remove endpoints from a custom routing accelerator.","ref":"aws_global_accelerator.html#remove_custom_routing_endpoints/2","title":"aws_global_accelerator.remove_custom_routing_endpoints/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#remove_custom_routing_endpoints/3","title":"aws_global_accelerator.remove_custom_routing_endpoints/3","type":"function"},{"doc":"Remove endpoints from an endpoint group. The RemoveEndpoints API operation is the recommended option for removing endpoints. The alternative is to remove endpoints by updating an endpoint group by using the UpdateEndpointGroup API operation. There are two advantages to using AddEndpoints to remove endpoints instead: It's more convenient, because you only need to specify the endpoints that you want to remove. With the UpdateEndpointGroup API operation, you must specify all of the endpoints in the endpoint group except the ones that you want to remove from the group. It's faster, because Global Accelerator doesn't need to resolve any endpoints. With the UpdateEndpointGroup API operation, Global Accelerator must resolve all of the endpoints that remain in the group.","ref":"aws_global_accelerator.html#remove_endpoints/2","title":"aws_global_accelerator.remove_endpoints/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#remove_endpoints/3","title":"aws_global_accelerator.remove_endpoints/3","type":"function"},{"doc":"Add tags to an accelerator resource. For more information, see Tagging in Global Accelerator in the Global Accelerator Developer Guide.","ref":"aws_global_accelerator.html#tag_resource/2","title":"aws_global_accelerator.tag_resource/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#tag_resource/3","title":"aws_global_accelerator.tag_resource/3","type":"function"},{"doc":"Remove tags from a Global Accelerator resource. When you specify a tag key, the action removes both that key and its associated value. The operation succeeds even if you attempt to remove tags from an accelerator that was already removed. For more information, see Tagging in Global Accelerator in the Global Accelerator Developer Guide.","ref":"aws_global_accelerator.html#untag_resource/2","title":"aws_global_accelerator.untag_resource/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#untag_resource/3","title":"aws_global_accelerator.untag_resource/3","type":"function"},{"doc":"Update an accelerator. Global Accelerator is a global service that supports endpoints in multiple Amazon Web Services Regions but you must specify the US West (Oregon) Region to create, update, or otherwise work with accelerators. That is, for example, specify --region us-west-2 on AWS CLI commands.","ref":"aws_global_accelerator.html#update_accelerator/2","title":"aws_global_accelerator.update_accelerator/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#update_accelerator/3","title":"aws_global_accelerator.update_accelerator/3","type":"function"},{"doc":"Update the attributes for an accelerator.","ref":"aws_global_accelerator.html#update_accelerator_attributes/2","title":"aws_global_accelerator.update_accelerator_attributes/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#update_accelerator_attributes/3","title":"aws_global_accelerator.update_accelerator_attributes/3","type":"function"},{"doc":"Update a custom routing accelerator.","ref":"aws_global_accelerator.html#update_custom_routing_accelerator/2","title":"aws_global_accelerator.update_custom_routing_accelerator/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#update_custom_routing_accelerator/3","title":"aws_global_accelerator.update_custom_routing_accelerator/3","type":"function"},{"doc":"Update the attributes for a custom routing accelerator.","ref":"aws_global_accelerator.html#update_custom_routing_accelerator_attributes/2","title":"aws_global_accelerator.update_custom_routing_accelerator_attributes/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#update_custom_routing_accelerator_attributes/3","title":"aws_global_accelerator.update_custom_routing_accelerator_attributes/3","type":"function"},{"doc":"Update a listener for a custom routing accelerator.","ref":"aws_global_accelerator.html#update_custom_routing_listener/2","title":"aws_global_accelerator.update_custom_routing_listener/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#update_custom_routing_listener/3","title":"aws_global_accelerator.update_custom_routing_listener/3","type":"function"},{"doc":"Update an endpoint group. A resource must be valid and active when you add it as an endpoint.","ref":"aws_global_accelerator.html#update_endpoint_group/2","title":"aws_global_accelerator.update_endpoint_group/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#update_endpoint_group/3","title":"aws_global_accelerator.update_endpoint_group/3","type":"function"},{"doc":"Update a listener.","ref":"aws_global_accelerator.html#update_listener/2","title":"aws_global_accelerator.update_listener/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#update_listener/3","title":"aws_global_accelerator.update_listener/3","type":"function"},{"doc":"Stops advertising an address range that is provisioned as an address pool. You can perform this operation at most once every 10 seconds, even if you specify different address ranges each time. It can take a few minutes before traffic to the specified addresses stops routing to Amazon Web Services because of propagation delays. For more information, see Bring your own IP addresses (BYOIP) in the Global Accelerator Developer Guide.","ref":"aws_global_accelerator.html#withdraw_byoip_cidr/2","title":"aws_global_accelerator.withdraw_byoip_cidr/2","type":"function"},{"doc":"","ref":"aws_global_accelerator.html#withdraw_byoip_cidr/3","title":"aws_global_accelerator.withdraw_byoip_cidr/3","type":"function"},{"doc":"Glue Defines the public endpoint for the Glue service.","ref":"aws_glue.html","title":"aws_glue","type":"module"},{"doc":"Creates one or more partitions in a batch operation.","ref":"aws_glue.html#batch_create_partition/2","title":"aws_glue.batch_create_partition/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_create_partition/3","title":"aws_glue.batch_create_partition/3","type":"function"},{"doc":"Deletes a list of connection definitions from the Data Catalog.","ref":"aws_glue.html#batch_delete_connection/2","title":"aws_glue.batch_delete_connection/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_delete_connection/3","title":"aws_glue.batch_delete_connection/3","type":"function"},{"doc":"Deletes one or more partitions in a batch operation.","ref":"aws_glue.html#batch_delete_partition/2","title":"aws_glue.batch_delete_partition/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_delete_partition/3","title":"aws_glue.batch_delete_partition/3","type":"function"},{"doc":"Deletes multiple tables at once. After completing this operation, you no longer have access to the table versions and partitions that belong to the deleted table. Glue deletes these &quot;orphaned&quot; resources asynchronously in a timely manner, at the discretion of the service. To ensure the immediate deletion of all related resources, before calling BatchDeleteTable , use DeleteTableVersion or BatchDeleteTableVersion , and DeletePartition or BatchDeletePartition , to delete any resources that belong to the table.","ref":"aws_glue.html#batch_delete_table/2","title":"aws_glue.batch_delete_table/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_delete_table/3","title":"aws_glue.batch_delete_table/3","type":"function"},{"doc":"Deletes a specified batch of versions of a table.","ref":"aws_glue.html#batch_delete_table_version/2","title":"aws_glue.batch_delete_table_version/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_delete_table_version/3","title":"aws_glue.batch_delete_table_version/3","type":"function"},{"doc":"Retrieves information about a list of blueprints.","ref":"aws_glue.html#batch_get_blueprints/2","title":"aws_glue.batch_get_blueprints/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_get_blueprints/3","title":"aws_glue.batch_get_blueprints/3","type":"function"},{"doc":"Returns a list of resource metadata for a given list of crawler names. After calling the ListCrawlers operation, you can call this operation to access the data to which you have been granted permissions. This operation supports all IAM permissions, including permission conditions that uses tags.","ref":"aws_glue.html#batch_get_crawlers/2","title":"aws_glue.batch_get_crawlers/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_get_crawlers/3","title":"aws_glue.batch_get_crawlers/3","type":"function"},{"doc":"Retrieves the details for the custom patterns specified by a list of names.","ref":"aws_glue.html#batch_get_custom_entity_types/2","title":"aws_glue.batch_get_custom_entity_types/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_get_custom_entity_types/3","title":"aws_glue.batch_get_custom_entity_types/3","type":"function"},{"doc":"Retrieves a list of data quality results for the specified result IDs.","ref":"aws_glue.html#batch_get_data_quality_result/2","title":"aws_glue.batch_get_data_quality_result/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_get_data_quality_result/3","title":"aws_glue.batch_get_data_quality_result/3","type":"function"},{"doc":"Returns a list of resource metadata for a given list of development endpoint names. After calling the ListDevEndpoints operation, you can call this operation to access the data to which you have been granted permissions. This operation supports all IAM permissions, including permission conditions that uses tags.","ref":"aws_glue.html#batch_get_dev_endpoints/2","title":"aws_glue.batch_get_dev_endpoints/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_get_dev_endpoints/3","title":"aws_glue.batch_get_dev_endpoints/3","type":"function"},{"doc":"Returns a list of resource metadata for a given list of job names. After calling the ListJobs operation, you can call this operation to access the data to which you have been granted permissions. This operation supports all IAM permissions, including permission conditions that uses tags.","ref":"aws_glue.html#batch_get_jobs/2","title":"aws_glue.batch_get_jobs/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_get_jobs/3","title":"aws_glue.batch_get_jobs/3","type":"function"},{"doc":"Retrieves partitions in a batch request.","ref":"aws_glue.html#batch_get_partition/2","title":"aws_glue.batch_get_partition/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_get_partition/3","title":"aws_glue.batch_get_partition/3","type":"function"},{"doc":"Returns a list of resource metadata for a given list of trigger names. After calling the ListTriggers operation, you can call this operation to access the data to which you have been granted permissions. This operation supports all IAM permissions, including permission conditions that uses tags.","ref":"aws_glue.html#batch_get_triggers/2","title":"aws_glue.batch_get_triggers/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_get_triggers/3","title":"aws_glue.batch_get_triggers/3","type":"function"},{"doc":"Returns a list of resource metadata for a given list of workflow names. After calling the ListWorkflows operation, you can call this operation to access the data to which you have been granted permissions. This operation supports all IAM permissions, including permission conditions that uses tags.","ref":"aws_glue.html#batch_get_workflows/2","title":"aws_glue.batch_get_workflows/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_get_workflows/3","title":"aws_glue.batch_get_workflows/3","type":"function"},{"doc":"Stops one or more job runs for a specified job definition.","ref":"aws_glue.html#batch_stop_job_run/2","title":"aws_glue.batch_stop_job_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_stop_job_run/3","title":"aws_glue.batch_stop_job_run/3","type":"function"},{"doc":"Updates one or more partitions in a batch operation.","ref":"aws_glue.html#batch_update_partition/2","title":"aws_glue.batch_update_partition/2","type":"function"},{"doc":"","ref":"aws_glue.html#batch_update_partition/3","title":"aws_glue.batch_update_partition/3","type":"function"},{"doc":"Cancels the specified recommendation run that was being used to generate rules.","ref":"aws_glue.html#cancel_data_quality_rule_recommendation_run/2","title":"aws_glue.cancel_data_quality_rule_recommendation_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#cancel_data_quality_rule_recommendation_run/3","title":"aws_glue.cancel_data_quality_rule_recommendation_run/3","type":"function"},{"doc":"Cancels a run where a ruleset is being evaluated against a data source.","ref":"aws_glue.html#cancel_data_quality_ruleset_evaluation_run/2","title":"aws_glue.cancel_data_quality_ruleset_evaluation_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#cancel_data_quality_ruleset_evaluation_run/3","title":"aws_glue.cancel_data_quality_ruleset_evaluation_run/3","type":"function"},{"doc":"Cancels (stops) a task run. Machine learning task runs are asynchronous tasks that Glue runs on your behalf as part of various machine learning workflows. You can cancel a machine learning task run at any time by calling CancelMLTaskRun with a task run's parent transform's TransformID and the task run's TaskRunId .","ref":"aws_glue.html#cancel_ml_task_run/2","title":"aws_glue.cancel_ml_task_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#cancel_ml_task_run/3","title":"aws_glue.cancel_ml_task_run/3","type":"function"},{"doc":"Cancels the statement.","ref":"aws_glue.html#cancel_statement/2","title":"aws_glue.cancel_statement/2","type":"function"},{"doc":"","ref":"aws_glue.html#cancel_statement/3","title":"aws_glue.cancel_statement/3","type":"function"},{"doc":"Validates the supplied schema. This call has no side effects, it simply validates using the supplied schema using DataFormat as the format. Since it does not take a schema set name, no compatibility checks are performed.","ref":"aws_glue.html#check_schema_version_validity/2","title":"aws_glue.check_schema_version_validity/2","type":"function"},{"doc":"","ref":"aws_glue.html#check_schema_version_validity/3","title":"aws_glue.check_schema_version_validity/3","type":"function"},{"doc":"Registers a blueprint with Glue.","ref":"aws_glue.html#create_blueprint/2","title":"aws_glue.create_blueprint/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_blueprint/3","title":"aws_glue.create_blueprint/3","type":"function"},{"doc":"Creates a classifier in the user's account. This can be a GrokClassifier , an XMLClassifier , a JsonClassifier , or a CsvClassifier , depending on which field of the request is present.","ref":"aws_glue.html#create_classifier/2","title":"aws_glue.create_classifier/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_classifier/3","title":"aws_glue.create_classifier/3","type":"function"},{"doc":"Creates a connection definition in the Data Catalog.","ref":"aws_glue.html#create_connection/2","title":"aws_glue.create_connection/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_connection/3","title":"aws_glue.create_connection/3","type":"function"},{"doc":"Creates a new crawler with specified targets, role, configuration, and optional schedule. At least one crawl target must be specified, in the s3Targets field, the jdbcTargets field, or the DynamoDBTargets field.","ref":"aws_glue.html#create_crawler/2","title":"aws_glue.create_crawler/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_crawler/3","title":"aws_glue.create_crawler/3","type":"function"},{"doc":"Creates a custom pattern that is used to detect sensitive data across the columns and rows of your structured data. Each custom pattern you create specifies a regular expression and an optional list of context words. If no context words are passed only a regular expression is checked.","ref":"aws_glue.html#create_custom_entity_type/2","title":"aws_glue.create_custom_entity_type/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_custom_entity_type/3","title":"aws_glue.create_custom_entity_type/3","type":"function"},{"doc":"Creates a data quality ruleset with DQDL rules applied to a specified Glue table. You create the ruleset using the Data Quality Definition Language (DQDL). For more information, see the Glue developer guide.","ref":"aws_glue.html#create_data_quality_ruleset/2","title":"aws_glue.create_data_quality_ruleset/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_data_quality_ruleset/3","title":"aws_glue.create_data_quality_ruleset/3","type":"function"},{"doc":"Creates a new database in a Data Catalog.","ref":"aws_glue.html#create_database/2","title":"aws_glue.create_database/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_database/3","title":"aws_glue.create_database/3","type":"function"},{"doc":"Creates a new development endpoint.","ref":"aws_glue.html#create_dev_endpoint/2","title":"aws_glue.create_dev_endpoint/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_dev_endpoint/3","title":"aws_glue.create_dev_endpoint/3","type":"function"},{"doc":"Creates a new job definition.","ref":"aws_glue.html#create_job/2","title":"aws_glue.create_job/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_job/3","title":"aws_glue.create_job/3","type":"function"},{"doc":"Creates an Glue machine learning transform. This operation creates the transform and all the necessary parameters to train it. Call this operation as the first step in the process of using a machine learning transform (such as the FindMatches transform) for deduplicating data. You can provide an optional Description , in addition to the parameters that you want to use for your algorithm. You must also specify certain parameters for the tasks that Glue runs on your behalf as part of learning from your data and creating a high-quality machine learning transform. These parameters include Role , and optionally, AllocatedCapacity , Timeout , and MaxRetries . For more information, see Jobs.","ref":"aws_glue.html#create_ml_transform/2","title":"aws_glue.create_ml_transform/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_ml_transform/3","title":"aws_glue.create_ml_transform/3","type":"function"},{"doc":"Creates a new partition.","ref":"aws_glue.html#create_partition/2","title":"aws_glue.create_partition/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_partition/3","title":"aws_glue.create_partition/3","type":"function"},{"doc":"Creates a specified partition index in an existing table.","ref":"aws_glue.html#create_partition_index/2","title":"aws_glue.create_partition_index/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_partition_index/3","title":"aws_glue.create_partition_index/3","type":"function"},{"doc":"Creates a new registry which may be used to hold a collection of schemas.","ref":"aws_glue.html#create_registry/2","title":"aws_glue.create_registry/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_registry/3","title":"aws_glue.create_registry/3","type":"function"},{"doc":"Creates a new schema set and registers the schema definition. Returns an error if the schema set already exists without actually registering the version. When the schema set is created, a version checkpoint will be set to the first version. Compatibility mode &quot;DISABLED&quot; restricts any additional schema versions from being added after the first schema version. For all other compatibility modes, validation of compatibility settings will be applied only from the second version onwards when the RegisterSchemaVersion API is used. When this API is called without a RegistryId , this will create an entry for a &quot;default-registry&quot; in the registry database tables, if it is not already present.","ref":"aws_glue.html#create_schema/2","title":"aws_glue.create_schema/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_schema/3","title":"aws_glue.create_schema/3","type":"function"},{"doc":"Transforms a directed acyclic graph (DAG) into code.","ref":"aws_glue.html#create_script/2","title":"aws_glue.create_script/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_script/3","title":"aws_glue.create_script/3","type":"function"},{"doc":"Creates a new security configuration. A security configuration is a set of security properties that can be used by Glue. You can use a security configuration to encrypt data at rest. For information about using security configurations in Glue, see Encrypting Data Written by Crawlers, Jobs, and Development Endpoints.","ref":"aws_glue.html#create_security_configuration/2","title":"aws_glue.create_security_configuration/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_security_configuration/3","title":"aws_glue.create_security_configuration/3","type":"function"},{"doc":"Creates a new session.","ref":"aws_glue.html#create_session/2","title":"aws_glue.create_session/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_session/3","title":"aws_glue.create_session/3","type":"function"},{"doc":"Creates a new table definition in the Data Catalog.","ref":"aws_glue.html#create_table/2","title":"aws_glue.create_table/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_table/3","title":"aws_glue.create_table/3","type":"function"},{"doc":"Creates a new trigger.","ref":"aws_glue.html#create_trigger/2","title":"aws_glue.create_trigger/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_trigger/3","title":"aws_glue.create_trigger/3","type":"function"},{"doc":"Creates a new function definition in the Data Catalog.","ref":"aws_glue.html#create_user_defined_function/2","title":"aws_glue.create_user_defined_function/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_user_defined_function/3","title":"aws_glue.create_user_defined_function/3","type":"function"},{"doc":"Creates a new workflow.","ref":"aws_glue.html#create_workflow/2","title":"aws_glue.create_workflow/2","type":"function"},{"doc":"","ref":"aws_glue.html#create_workflow/3","title":"aws_glue.create_workflow/3","type":"function"},{"doc":"Deletes an existing blueprint.","ref":"aws_glue.html#delete_blueprint/2","title":"aws_glue.delete_blueprint/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_blueprint/3","title":"aws_glue.delete_blueprint/3","type":"function"},{"doc":"Removes a classifier from the Data Catalog.","ref":"aws_glue.html#delete_classifier/2","title":"aws_glue.delete_classifier/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_classifier/3","title":"aws_glue.delete_classifier/3","type":"function"},{"doc":"Delete the partition column statistics of a column. The Identity and Access Management (IAM) permission required for this operation is DeletePartition .","ref":"aws_glue.html#delete_column_statistics_for_partition/2","title":"aws_glue.delete_column_statistics_for_partition/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_column_statistics_for_partition/3","title":"aws_glue.delete_column_statistics_for_partition/3","type":"function"},{"doc":"Retrieves table statistics of columns. The Identity and Access Management (IAM) permission required for this operation is DeleteTable .","ref":"aws_glue.html#delete_column_statistics_for_table/2","title":"aws_glue.delete_column_statistics_for_table/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_column_statistics_for_table/3","title":"aws_glue.delete_column_statistics_for_table/3","type":"function"},{"doc":"Deletes a connection from the Data Catalog.","ref":"aws_glue.html#delete_connection/2","title":"aws_glue.delete_connection/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_connection/3","title":"aws_glue.delete_connection/3","type":"function"},{"doc":"Removes a specified crawler from the Glue Data Catalog, unless the crawler state is RUNNING .","ref":"aws_glue.html#delete_crawler/2","title":"aws_glue.delete_crawler/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_crawler/3","title":"aws_glue.delete_crawler/3","type":"function"},{"doc":"Deletes a custom pattern by specifying its name.","ref":"aws_glue.html#delete_custom_entity_type/2","title":"aws_glue.delete_custom_entity_type/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_custom_entity_type/3","title":"aws_glue.delete_custom_entity_type/3","type":"function"},{"doc":"Deletes a data quality ruleset.","ref":"aws_glue.html#delete_data_quality_ruleset/2","title":"aws_glue.delete_data_quality_ruleset/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_data_quality_ruleset/3","title":"aws_glue.delete_data_quality_ruleset/3","type":"function"},{"doc":"Removes a specified database from a Data Catalog. After completing this operation, you no longer have access to the tables (and all table versions and partitions that might belong to the tables) and the user-defined functions in the deleted database. Glue deletes these &quot;orphaned&quot; resources asynchronously in a timely manner, at the discretion of the service. To ensure the immediate deletion of all related resources, before calling DeleteDatabase , use DeleteTableVersion or BatchDeleteTableVersion , DeletePartition or BatchDeletePartition , DeleteUserDefinedFunction , and DeleteTable or BatchDeleteTable , to delete any resources that belong to the database.","ref":"aws_glue.html#delete_database/2","title":"aws_glue.delete_database/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_database/3","title":"aws_glue.delete_database/3","type":"function"},{"doc":"Deletes a specified development endpoint.","ref":"aws_glue.html#delete_dev_endpoint/2","title":"aws_glue.delete_dev_endpoint/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_dev_endpoint/3","title":"aws_glue.delete_dev_endpoint/3","type":"function"},{"doc":"Deletes a specified job definition. If the job definition is not found, no exception is thrown.","ref":"aws_glue.html#delete_job/2","title":"aws_glue.delete_job/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_job/3","title":"aws_glue.delete_job/3","type":"function"},{"doc":"Deletes an Glue machine learning transform. Machine learning transforms are a special type of transform that use machine learning to learn the details of the transformation to be performed by learning from examples provided by humans. These transformations are then saved by Glue. If you no longer need a transform, you can delete it by calling DeleteMLTransforms . However, any Glue jobs that still reference the deleted transform will no longer succeed.","ref":"aws_glue.html#delete_ml_transform/2","title":"aws_glue.delete_ml_transform/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_ml_transform/3","title":"aws_glue.delete_ml_transform/3","type":"function"},{"doc":"Deletes a specified partition.","ref":"aws_glue.html#delete_partition/2","title":"aws_glue.delete_partition/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_partition/3","title":"aws_glue.delete_partition/3","type":"function"},{"doc":"Deletes a specified partition index from an existing table.","ref":"aws_glue.html#delete_partition_index/2","title":"aws_glue.delete_partition_index/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_partition_index/3","title":"aws_glue.delete_partition_index/3","type":"function"},{"doc":"Delete the entire registry including schema and all of its versions. To get the status of the delete operation, you can call the GetRegistry API after the asynchronous call. Deleting a registry will deactivate all online operations for the registry such as the UpdateRegistry , CreateSchema , UpdateSchema , and RegisterSchemaVersion APIs.","ref":"aws_glue.html#delete_registry/2","title":"aws_glue.delete_registry/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_registry/3","title":"aws_glue.delete_registry/3","type":"function"},{"doc":"Deletes a specified policy.","ref":"aws_glue.html#delete_resource_policy/2","title":"aws_glue.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_resource_policy/3","title":"aws_glue.delete_resource_policy/3","type":"function"},{"doc":"Deletes the entire schema set, including the schema set and all of its versions. To get the status of the delete operation, you can call GetSchema API after the asynchronous call. Deleting a registry will deactivate all online operations for the schema, such as the GetSchemaByDefinition , and RegisterSchemaVersion APIs.","ref":"aws_glue.html#delete_schema/2","title":"aws_glue.delete_schema/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_schema/3","title":"aws_glue.delete_schema/3","type":"function"},{"doc":"Remove versions from the specified schema. A version number or range may be supplied. If the compatibility mode forbids deleting of a version that is necessary, such as BACKWARDS_FULL, an error is returned. Calling the GetSchemaVersions API after this call will list the status of the deleted versions. When the range of version numbers contain check pointed version, the API will return a 409 conflict and will not proceed with the deletion. You have to remove the checkpoint first using the DeleteSchemaCheckpoint API before using this API. You cannot use the DeleteSchemaVersions API to delete the first schema version in the schema set. The first schema version can only be deleted by the DeleteSchema API. This operation will also delete the attached SchemaVersionMetadata under the schema versions. Hard deletes will be enforced on the database. If the compatibility mode forbids deleting of a version that is necessary, such as BACKWARDS_FULL, an error is returned.","ref":"aws_glue.html#delete_schema_versions/2","title":"aws_glue.delete_schema_versions/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_schema_versions/3","title":"aws_glue.delete_schema_versions/3","type":"function"},{"doc":"Deletes a specified security configuration.","ref":"aws_glue.html#delete_security_configuration/2","title":"aws_glue.delete_security_configuration/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_security_configuration/3","title":"aws_glue.delete_security_configuration/3","type":"function"},{"doc":"Deletes the session.","ref":"aws_glue.html#delete_session/2","title":"aws_glue.delete_session/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_session/3","title":"aws_glue.delete_session/3","type":"function"},{"doc":"Removes a table definition from the Data Catalog. After completing this operation, you no longer have access to the table versions and partitions that belong to the deleted table. Glue deletes these &quot;orphaned&quot; resources asynchronously in a timely manner, at the discretion of the service. To ensure the immediate deletion of all related resources, before calling DeleteTable , use DeleteTableVersion or BatchDeleteTableVersion , and DeletePartition or BatchDeletePartition , to delete any resources that belong to the table.","ref":"aws_glue.html#delete_table/2","title":"aws_glue.delete_table/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_table/3","title":"aws_glue.delete_table/3","type":"function"},{"doc":"Deletes a specified version of a table.","ref":"aws_glue.html#delete_table_version/2","title":"aws_glue.delete_table_version/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_table_version/3","title":"aws_glue.delete_table_version/3","type":"function"},{"doc":"Deletes a specified trigger. If the trigger is not found, no exception is thrown.","ref":"aws_glue.html#delete_trigger/2","title":"aws_glue.delete_trigger/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_trigger/3","title":"aws_glue.delete_trigger/3","type":"function"},{"doc":"Deletes an existing function definition from the Data Catalog.","ref":"aws_glue.html#delete_user_defined_function/2","title":"aws_glue.delete_user_defined_function/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_user_defined_function/3","title":"aws_glue.delete_user_defined_function/3","type":"function"},{"doc":"Deletes a workflow.","ref":"aws_glue.html#delete_workflow/2","title":"aws_glue.delete_workflow/2","type":"function"},{"doc":"","ref":"aws_glue.html#delete_workflow/3","title":"aws_glue.delete_workflow/3","type":"function"},{"doc":"Retrieves the details of a blueprint.","ref":"aws_glue.html#get_blueprint/2","title":"aws_glue.get_blueprint/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_blueprint/3","title":"aws_glue.get_blueprint/3","type":"function"},{"doc":"Retrieves the details of a blueprint run.","ref":"aws_glue.html#get_blueprint_run/2","title":"aws_glue.get_blueprint_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_blueprint_run/3","title":"aws_glue.get_blueprint_run/3","type":"function"},{"doc":"Retrieves the details of blueprint runs for a specified blueprint.","ref":"aws_glue.html#get_blueprint_runs/2","title":"aws_glue.get_blueprint_runs/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_blueprint_runs/3","title":"aws_glue.get_blueprint_runs/3","type":"function"},{"doc":"Retrieves the status of a migration operation.","ref":"aws_glue.html#get_catalog_import_status/2","title":"aws_glue.get_catalog_import_status/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_catalog_import_status/3","title":"aws_glue.get_catalog_import_status/3","type":"function"},{"doc":"Retrieve a classifier by name.","ref":"aws_glue.html#get_classifier/2","title":"aws_glue.get_classifier/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_classifier/3","title":"aws_glue.get_classifier/3","type":"function"},{"doc":"Lists all classifier objects in the Data Catalog.","ref":"aws_glue.html#get_classifiers/2","title":"aws_glue.get_classifiers/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_classifiers/3","title":"aws_glue.get_classifiers/3","type":"function"},{"doc":"Retrieves partition statistics of columns. The Identity and Access Management (IAM) permission required for this operation is GetPartition .","ref":"aws_glue.html#get_column_statistics_for_partition/2","title":"aws_glue.get_column_statistics_for_partition/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_column_statistics_for_partition/3","title":"aws_glue.get_column_statistics_for_partition/3","type":"function"},{"doc":"Retrieves table statistics of columns. The Identity and Access Management (IAM) permission required for this operation is GetTable .","ref":"aws_glue.html#get_column_statistics_for_table/2","title":"aws_glue.get_column_statistics_for_table/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_column_statistics_for_table/3","title":"aws_glue.get_column_statistics_for_table/3","type":"function"},{"doc":"Retrieves a connection definition from the Data Catalog.","ref":"aws_glue.html#get_connection/2","title":"aws_glue.get_connection/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_connection/3","title":"aws_glue.get_connection/3","type":"function"},{"doc":"Retrieves a list of connection definitions from the Data Catalog.","ref":"aws_glue.html#get_connections/2","title":"aws_glue.get_connections/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_connections/3","title":"aws_glue.get_connections/3","type":"function"},{"doc":"Retrieves metadata for a specified crawler.","ref":"aws_glue.html#get_crawler/2","title":"aws_glue.get_crawler/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_crawler/3","title":"aws_glue.get_crawler/3","type":"function"},{"doc":"Retrieves metrics about specified crawlers.","ref":"aws_glue.html#get_crawler_metrics/2","title":"aws_glue.get_crawler_metrics/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_crawler_metrics/3","title":"aws_glue.get_crawler_metrics/3","type":"function"},{"doc":"Retrieves metadata for all crawlers defined in the customer account.","ref":"aws_glue.html#get_crawlers/2","title":"aws_glue.get_crawlers/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_crawlers/3","title":"aws_glue.get_crawlers/3","type":"function"},{"doc":"Retrieves the details of a custom pattern by specifying its name.","ref":"aws_glue.html#get_custom_entity_type/2","title":"aws_glue.get_custom_entity_type/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_custom_entity_type/3","title":"aws_glue.get_custom_entity_type/3","type":"function"},{"doc":"Retrieves the security configuration for a specified catalog.","ref":"aws_glue.html#get_data_catalog_encryption_settings/2","title":"aws_glue.get_data_catalog_encryption_settings/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_data_catalog_encryption_settings/3","title":"aws_glue.get_data_catalog_encryption_settings/3","type":"function"},{"doc":"Retrieves the result of a data quality rule evaluation.","ref":"aws_glue.html#get_data_quality_result/2","title":"aws_glue.get_data_quality_result/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_data_quality_result/3","title":"aws_glue.get_data_quality_result/3","type":"function"},{"doc":"Gets the specified recommendation run that was used to generate rules.","ref":"aws_glue.html#get_data_quality_rule_recommendation_run/2","title":"aws_glue.get_data_quality_rule_recommendation_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_data_quality_rule_recommendation_run/3","title":"aws_glue.get_data_quality_rule_recommendation_run/3","type":"function"},{"doc":"Returns an existing ruleset by identifier or name.","ref":"aws_glue.html#get_data_quality_ruleset/2","title":"aws_glue.get_data_quality_ruleset/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_data_quality_ruleset/3","title":"aws_glue.get_data_quality_ruleset/3","type":"function"},{"doc":"Retrieves a specific run where a ruleset is evaluated against a data source.","ref":"aws_glue.html#get_data_quality_ruleset_evaluation_run/2","title":"aws_glue.get_data_quality_ruleset_evaluation_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_data_quality_ruleset_evaluation_run/3","title":"aws_glue.get_data_quality_ruleset_evaluation_run/3","type":"function"},{"doc":"Retrieves the definition of a specified database.","ref":"aws_glue.html#get_database/2","title":"aws_glue.get_database/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_database/3","title":"aws_glue.get_database/3","type":"function"},{"doc":"Retrieves all databases defined in a given Data Catalog.","ref":"aws_glue.html#get_databases/2","title":"aws_glue.get_databases/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_databases/3","title":"aws_glue.get_databases/3","type":"function"},{"doc":"Transforms a Python script into a directed acyclic graph (DAG).","ref":"aws_glue.html#get_dataflow_graph/2","title":"aws_glue.get_dataflow_graph/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_dataflow_graph/3","title":"aws_glue.get_dataflow_graph/3","type":"function"},{"doc":"Retrieves information about a specified development endpoint. When you create a development endpoint in a virtual private cloud (VPC), Glue returns only a private IP address, and the public IP address field is not populated. When you create a non-VPC development endpoint, Glue returns only a public IP address.","ref":"aws_glue.html#get_dev_endpoint/2","title":"aws_glue.get_dev_endpoint/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_dev_endpoint/3","title":"aws_glue.get_dev_endpoint/3","type":"function"},{"doc":"Retrieves all the development endpoints in this Amazon Web Services account. When you create a development endpoint in a virtual private cloud (VPC), Glue returns only a private IP address and the public IP address field is not populated. When you create a non-VPC development endpoint, Glue returns only a public IP address.","ref":"aws_glue.html#get_dev_endpoints/2","title":"aws_glue.get_dev_endpoints/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_dev_endpoints/3","title":"aws_glue.get_dev_endpoints/3","type":"function"},{"doc":"Retrieves an existing job definition.","ref":"aws_glue.html#get_job/2","title":"aws_glue.get_job/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_job/3","title":"aws_glue.get_job/3","type":"function"},{"doc":"Returns information on a job bookmark entry. For more information about enabling and using job bookmarks, see: Tracking processed data using job bookmarks Job parameters used by Glue Job structure","ref":"aws_glue.html#get_job_bookmark/2","title":"aws_glue.get_job_bookmark/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_job_bookmark/3","title":"aws_glue.get_job_bookmark/3","type":"function"},{"doc":"Retrieves the metadata for a given job run.","ref":"aws_glue.html#get_job_run/2","title":"aws_glue.get_job_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_job_run/3","title":"aws_glue.get_job_run/3","type":"function"},{"doc":"Retrieves metadata for all runs of a given job definition.","ref":"aws_glue.html#get_job_runs/2","title":"aws_glue.get_job_runs/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_job_runs/3","title":"aws_glue.get_job_runs/3","type":"function"},{"doc":"Retrieves all current job definitions.","ref":"aws_glue.html#get_jobs/2","title":"aws_glue.get_jobs/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_jobs/3","title":"aws_glue.get_jobs/3","type":"function"},{"doc":"Creates mappings.","ref":"aws_glue.html#get_mapping/2","title":"aws_glue.get_mapping/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_mapping/3","title":"aws_glue.get_mapping/3","type":"function"},{"doc":"Gets details for a specific task run on a machine learning transform. Machine learning task runs are asynchronous tasks that Glue runs on your behalf as part of various machine learning workflows. You can check the stats of any task run by calling GetMLTaskRun with the TaskRunID and its parent transform's TransformID .","ref":"aws_glue.html#get_ml_task_run/2","title":"aws_glue.get_ml_task_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_ml_task_run/3","title":"aws_glue.get_ml_task_run/3","type":"function"},{"doc":"Gets a list of runs for a machine learning transform. Machine learning task runs are asynchronous tasks that Glue runs on your behalf as part of various machine learning workflows. You can get a sortable, filterable list of machine learning task runs by calling GetMLTaskRuns with their parent transform's TransformID and other optional parameters as documented in this section. This operation returns a list of historic runs and must be paginated.","ref":"aws_glue.html#get_ml_task_runs/2","title":"aws_glue.get_ml_task_runs/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_ml_task_runs/3","title":"aws_glue.get_ml_task_runs/3","type":"function"},{"doc":"Gets an Glue machine learning transform artifact and all its corresponding metadata. Machine learning transforms are a special type of transform that use machine learning to learn the details of the transformation to be performed by learning from examples provided by humans. These transformations are then saved by Glue. You can retrieve their metadata by calling GetMLTransform .","ref":"aws_glue.html#get_ml_transform/2","title":"aws_glue.get_ml_transform/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_ml_transform/3","title":"aws_glue.get_ml_transform/3","type":"function"},{"doc":"Gets a sortable, filterable list of existing Glue machine learning transforms. Machine learning transforms are a special type of transform that use machine learning to learn the details of the transformation to be performed by learning from examples provided by humans. These transformations are then saved by Glue, and you can retrieve their metadata by calling GetMLTransforms .","ref":"aws_glue.html#get_ml_transforms/2","title":"aws_glue.get_ml_transforms/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_ml_transforms/3","title":"aws_glue.get_ml_transforms/3","type":"function"},{"doc":"Retrieves information about a specified partition.","ref":"aws_glue.html#get_partition/2","title":"aws_glue.get_partition/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_partition/3","title":"aws_glue.get_partition/3","type":"function"},{"doc":"Retrieves the partition indexes associated with a table.","ref":"aws_glue.html#get_partition_indexes/2","title":"aws_glue.get_partition_indexes/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_partition_indexes/3","title":"aws_glue.get_partition_indexes/3","type":"function"},{"doc":"Retrieves information about the partitions in a table.","ref":"aws_glue.html#get_partitions/2","title":"aws_glue.get_partitions/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_partitions/3","title":"aws_glue.get_partitions/3","type":"function"},{"doc":"Gets code to perform a specified mapping.","ref":"aws_glue.html#get_plan/2","title":"aws_glue.get_plan/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_plan/3","title":"aws_glue.get_plan/3","type":"function"},{"doc":"Describes the specified registry in detail.","ref":"aws_glue.html#get_registry/2","title":"aws_glue.get_registry/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_registry/3","title":"aws_glue.get_registry/3","type":"function"},{"doc":"Retrieves the resource policies set on individual resources by Resource Access Manager during cross-account permission grants. Also retrieves the Data Catalog resource policy. If you enabled metadata encryption in Data Catalog settings, and you do not have permission on the KMS key, the operation can't return the Data Catalog resource policy.","ref":"aws_glue.html#get_resource_policies/2","title":"aws_glue.get_resource_policies/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_resource_policies/3","title":"aws_glue.get_resource_policies/3","type":"function"},{"doc":"Retrieves a specified resource policy.","ref":"aws_glue.html#get_resource_policy/2","title":"aws_glue.get_resource_policy/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_resource_policy/3","title":"aws_glue.get_resource_policy/3","type":"function"},{"doc":"Describes the specified schema in detail.","ref":"aws_glue.html#get_schema/2","title":"aws_glue.get_schema/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_schema/3","title":"aws_glue.get_schema/3","type":"function"},{"doc":"Retrieves a schema by the SchemaDefinition . The schema definition is sent to the Schema Registry, canonicalized, and hashed. If the hash is matched within the scope of the SchemaName or ARN (or the default registry, if none is supplied), that schema’s metadata is returned. Otherwise, a 404 or NotFound error is returned. Schema versions in Deleted statuses will not be included in the results.","ref":"aws_glue.html#get_schema_by_definition/2","title":"aws_glue.get_schema_by_definition/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_schema_by_definition/3","title":"aws_glue.get_schema_by_definition/3","type":"function"},{"doc":"Get the specified schema by its unique ID assigned when a version of the schema is created or registered. Schema versions in Deleted status will not be included in the results.","ref":"aws_glue.html#get_schema_version/2","title":"aws_glue.get_schema_version/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_schema_version/3","title":"aws_glue.get_schema_version/3","type":"function"},{"doc":"Fetches the schema version difference in the specified difference type between two stored schema versions in the Schema Registry. This API allows you to compare two schema versions between two schema definitions under the same schema.","ref":"aws_glue.html#get_schema_versions_diff/2","title":"aws_glue.get_schema_versions_diff/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_schema_versions_diff/3","title":"aws_glue.get_schema_versions_diff/3","type":"function"},{"doc":"Retrieves a specified security configuration.","ref":"aws_glue.html#get_security_configuration/2","title":"aws_glue.get_security_configuration/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_security_configuration/3","title":"aws_glue.get_security_configuration/3","type":"function"},{"doc":"Retrieves a list of all security configurations.","ref":"aws_glue.html#get_security_configurations/2","title":"aws_glue.get_security_configurations/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_security_configurations/3","title":"aws_glue.get_security_configurations/3","type":"function"},{"doc":"Retrieves the session.","ref":"aws_glue.html#get_session/2","title":"aws_glue.get_session/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_session/3","title":"aws_glue.get_session/3","type":"function"},{"doc":"Retrieves the statement.","ref":"aws_glue.html#get_statement/2","title":"aws_glue.get_statement/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_statement/3","title":"aws_glue.get_statement/3","type":"function"},{"doc":"Retrieves the Table definition in a Data Catalog for a specified table.","ref":"aws_glue.html#get_table/2","title":"aws_glue.get_table/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_table/3","title":"aws_glue.get_table/3","type":"function"},{"doc":"Retrieves a specified version of a table.","ref":"aws_glue.html#get_table_version/2","title":"aws_glue.get_table_version/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_table_version/3","title":"aws_glue.get_table_version/3","type":"function"},{"doc":"Retrieves a list of strings that identify available versions of a specified table.","ref":"aws_glue.html#get_table_versions/2","title":"aws_glue.get_table_versions/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_table_versions/3","title":"aws_glue.get_table_versions/3","type":"function"},{"doc":"Retrieves the definitions of some or all of the tables in a given Database .","ref":"aws_glue.html#get_tables/2","title":"aws_glue.get_tables/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_tables/3","title":"aws_glue.get_tables/3","type":"function"},{"doc":"Retrieves a list of tags associated with a resource.","ref":"aws_glue.html#get_tags/2","title":"aws_glue.get_tags/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_tags/3","title":"aws_glue.get_tags/3","type":"function"},{"doc":"Retrieves the definition of a trigger.","ref":"aws_glue.html#get_trigger/2","title":"aws_glue.get_trigger/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_trigger/3","title":"aws_glue.get_trigger/3","type":"function"},{"doc":"Gets all the triggers associated with a job.","ref":"aws_glue.html#get_triggers/2","title":"aws_glue.get_triggers/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_triggers/3","title":"aws_glue.get_triggers/3","type":"function"},{"doc":"","ref":"aws_glue.html#get_unfiltered_partition_metadata/2","title":"aws_glue.get_unfiltered_partition_metadata/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_unfiltered_partition_metadata/3","title":"aws_glue.get_unfiltered_partition_metadata/3","type":"function"},{"doc":"","ref":"aws_glue.html#get_unfiltered_partitions_metadata/2","title":"aws_glue.get_unfiltered_partitions_metadata/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_unfiltered_partitions_metadata/3","title":"aws_glue.get_unfiltered_partitions_metadata/3","type":"function"},{"doc":"","ref":"aws_glue.html#get_unfiltered_table_metadata/2","title":"aws_glue.get_unfiltered_table_metadata/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_unfiltered_table_metadata/3","title":"aws_glue.get_unfiltered_table_metadata/3","type":"function"},{"doc":"Retrieves a specified function definition from the Data Catalog.","ref":"aws_glue.html#get_user_defined_function/2","title":"aws_glue.get_user_defined_function/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_user_defined_function/3","title":"aws_glue.get_user_defined_function/3","type":"function"},{"doc":"Retrieves multiple function definitions from the Data Catalog.","ref":"aws_glue.html#get_user_defined_functions/2","title":"aws_glue.get_user_defined_functions/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_user_defined_functions/3","title":"aws_glue.get_user_defined_functions/3","type":"function"},{"doc":"Retrieves resource metadata for a workflow.","ref":"aws_glue.html#get_workflow/2","title":"aws_glue.get_workflow/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_workflow/3","title":"aws_glue.get_workflow/3","type":"function"},{"doc":"Retrieves the metadata for a given workflow run.","ref":"aws_glue.html#get_workflow_run/2","title":"aws_glue.get_workflow_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_workflow_run/3","title":"aws_glue.get_workflow_run/3","type":"function"},{"doc":"Retrieves the workflow run properties which were set during the run.","ref":"aws_glue.html#get_workflow_run_properties/2","title":"aws_glue.get_workflow_run_properties/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_workflow_run_properties/3","title":"aws_glue.get_workflow_run_properties/3","type":"function"},{"doc":"Retrieves metadata for all runs of a given workflow.","ref":"aws_glue.html#get_workflow_runs/2","title":"aws_glue.get_workflow_runs/2","type":"function"},{"doc":"","ref":"aws_glue.html#get_workflow_runs/3","title":"aws_glue.get_workflow_runs/3","type":"function"},{"doc":"Imports an existing Amazon Athena Data Catalog to Glue.","ref":"aws_glue.html#import_catalog_to_glue/2","title":"aws_glue.import_catalog_to_glue/2","type":"function"},{"doc":"","ref":"aws_glue.html#import_catalog_to_glue/3","title":"aws_glue.import_catalog_to_glue/3","type":"function"},{"doc":"Lists all the blueprint names in an account.","ref":"aws_glue.html#list_blueprints/2","title":"aws_glue.list_blueprints/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_blueprints/3","title":"aws_glue.list_blueprints/3","type":"function"},{"doc":"Retrieves the names of all crawler resources in this Amazon Web Services account, or the resources with the specified tag. This operation allows you to see which resources are available in your account, and their names. This operation takes the optional Tags field, which you can use as a filter on the response so that tagged resources can be retrieved as a group. If you choose to use tags filtering, only resources with the tag are retrieved.","ref":"aws_glue.html#list_crawlers/2","title":"aws_glue.list_crawlers/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_crawlers/3","title":"aws_glue.list_crawlers/3","type":"function"},{"doc":"Returns all the crawls of a specified crawler. Returns only the crawls that have occurred since the launch date of the crawler history feature, and only retains up to 12 months of crawls. Older crawls will not be returned. You may use this API to: Retrive all the crawls of a specified crawler. Retrieve all the crawls of a specified crawler within a limited count. Retrieve all the crawls of a specified crawler in a specific time range. Retrieve all the crawls of a specified crawler with a particular state, crawl ID, or DPU hour value.","ref":"aws_glue.html#list_crawls/2","title":"aws_glue.list_crawls/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_crawls/3","title":"aws_glue.list_crawls/3","type":"function"},{"doc":"Lists all the custom patterns that have been created.","ref":"aws_glue.html#list_custom_entity_types/2","title":"aws_glue.list_custom_entity_types/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_custom_entity_types/3","title":"aws_glue.list_custom_entity_types/3","type":"function"},{"doc":"Returns all data quality execution results for your account.","ref":"aws_glue.html#list_data_quality_results/2","title":"aws_glue.list_data_quality_results/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_data_quality_results/3","title":"aws_glue.list_data_quality_results/3","type":"function"},{"doc":"Lists the recommendation runs meeting the filter criteria.","ref":"aws_glue.html#list_data_quality_rule_recommendation_runs/2","title":"aws_glue.list_data_quality_rule_recommendation_runs/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_data_quality_rule_recommendation_runs/3","title":"aws_glue.list_data_quality_rule_recommendation_runs/3","type":"function"},{"doc":"Lists all the runs meeting the filter criteria, where a ruleset is evaluated against a data source.","ref":"aws_glue.html#list_data_quality_ruleset_evaluation_runs/2","title":"aws_glue.list_data_quality_ruleset_evaluation_runs/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_data_quality_ruleset_evaluation_runs/3","title":"aws_glue.list_data_quality_ruleset_evaluation_runs/3","type":"function"},{"doc":"Returns a paginated list of rulesets for the specified list of Glue tables.","ref":"aws_glue.html#list_data_quality_rulesets/2","title":"aws_glue.list_data_quality_rulesets/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_data_quality_rulesets/3","title":"aws_glue.list_data_quality_rulesets/3","type":"function"},{"doc":"Retrieves the names of all DevEndpoint resources in this Amazon Web Services account, or the resources with the specified tag. This operation allows you to see which resources are available in your account, and their names. This operation takes the optional Tags field, which you can use as a filter on the response so that tagged resources can be retrieved as a group. If you choose to use tags filtering, only resources with the tag are retrieved.","ref":"aws_glue.html#list_dev_endpoints/2","title":"aws_glue.list_dev_endpoints/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_dev_endpoints/3","title":"aws_glue.list_dev_endpoints/3","type":"function"},{"doc":"Retrieves the names of all job resources in this Amazon Web Services account, or the resources with the specified tag. This operation allows you to see which resources are available in your account, and their names. This operation takes the optional Tags field, which you can use as a filter on the response so that tagged resources can be retrieved as a group. If you choose to use tags filtering, only resources with the tag are retrieved.","ref":"aws_glue.html#list_jobs/2","title":"aws_glue.list_jobs/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_jobs/3","title":"aws_glue.list_jobs/3","type":"function"},{"doc":"Retrieves a sortable, filterable list of existing Glue machine learning transforms in this Amazon Web Services account, or the resources with the specified tag. This operation takes the optional Tags field, which you can use as a filter of the responses so that tagged resources can be retrieved as a group. If you choose to use tag filtering, only resources with the tags are retrieved.","ref":"aws_glue.html#list_ml_transforms/2","title":"aws_glue.list_ml_transforms/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_ml_transforms/3","title":"aws_glue.list_ml_transforms/3","type":"function"},{"doc":"Returns a list of registries that you have created, with minimal registry information. Registries in the Deleting status will not be included in the results. Empty results will be returned if there are no registries available.","ref":"aws_glue.html#list_registries/2","title":"aws_glue.list_registries/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_registries/3","title":"aws_glue.list_registries/3","type":"function"},{"doc":"Returns a list of schema versions that you have created, with minimal information. Schema versions in Deleted status will not be included in the results. Empty results will be returned if there are no schema versions available.","ref":"aws_glue.html#list_schema_versions/2","title":"aws_glue.list_schema_versions/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_schema_versions/3","title":"aws_glue.list_schema_versions/3","type":"function"},{"doc":"Returns a list of schemas with minimal details. Schemas in Deleting status will not be included in the results. Empty results will be returned if there are no schemas available. When the RegistryId is not provided, all the schemas across registries will be part of the API response.","ref":"aws_glue.html#list_schemas/2","title":"aws_glue.list_schemas/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_schemas/3","title":"aws_glue.list_schemas/3","type":"function"},{"doc":"Retrieve a list of sessions.","ref":"aws_glue.html#list_sessions/2","title":"aws_glue.list_sessions/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_sessions/3","title":"aws_glue.list_sessions/3","type":"function"},{"doc":"Lists statements for the session.","ref":"aws_glue.html#list_statements/2","title":"aws_glue.list_statements/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_statements/3","title":"aws_glue.list_statements/3","type":"function"},{"doc":"Retrieves the names of all trigger resources in this Amazon Web Services account, or the resources with the specified tag. This operation allows you to see which resources are available in your account, and their names. This operation takes the optional Tags field, which you can use as a filter on the response so that tagged resources can be retrieved as a group. If you choose to use tags filtering, only resources with the tag are retrieved.","ref":"aws_glue.html#list_triggers/2","title":"aws_glue.list_triggers/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_triggers/3","title":"aws_glue.list_triggers/3","type":"function"},{"doc":"Lists names of workflows created in the account.","ref":"aws_glue.html#list_workflows/2","title":"aws_glue.list_workflows/2","type":"function"},{"doc":"","ref":"aws_glue.html#list_workflows/3","title":"aws_glue.list_workflows/3","type":"function"},{"doc":"Sets the security configuration for a specified catalog. After the configuration has been set, the specified encryption is applied to every catalog write thereafter.","ref":"aws_glue.html#put_data_catalog_encryption_settings/2","title":"aws_glue.put_data_catalog_encryption_settings/2","type":"function"},{"doc":"","ref":"aws_glue.html#put_data_catalog_encryption_settings/3","title":"aws_glue.put_data_catalog_encryption_settings/3","type":"function"},{"doc":"Sets the Data Catalog resource policy for access control.","ref":"aws_glue.html#put_resource_policy/2","title":"aws_glue.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_glue.html#put_resource_policy/3","title":"aws_glue.put_resource_policy/3","type":"function"},{"doc":"Puts the metadata key value pair for a specified schema version ID. A maximum of 10 key value pairs will be allowed per schema version. They can be added over one or more calls.","ref":"aws_glue.html#put_schema_version_metadata/2","title":"aws_glue.put_schema_version_metadata/2","type":"function"},{"doc":"","ref":"aws_glue.html#put_schema_version_metadata/3","title":"aws_glue.put_schema_version_metadata/3","type":"function"},{"doc":"Puts the specified workflow run properties for the given workflow run. If a property already exists for the specified run, then it overrides the value otherwise adds the property to existing properties.","ref":"aws_glue.html#put_workflow_run_properties/2","title":"aws_glue.put_workflow_run_properties/2","type":"function"},{"doc":"","ref":"aws_glue.html#put_workflow_run_properties/3","title":"aws_glue.put_workflow_run_properties/3","type":"function"},{"doc":"Queries for the schema version metadata information.","ref":"aws_glue.html#query_schema_version_metadata/2","title":"aws_glue.query_schema_version_metadata/2","type":"function"},{"doc":"","ref":"aws_glue.html#query_schema_version_metadata/3","title":"aws_glue.query_schema_version_metadata/3","type":"function"},{"doc":"Adds a new version to the existing schema. Returns an error if new version of schema does not meet the compatibility requirements of the schema set. This API will not create a new schema set and will return a 404 error if the schema set is not already present in the Schema Registry. If this is the first schema definition to be registered in the Schema Registry, this API will store the schema version and return immediately. Otherwise, this call has the potential to run longer than other operations due to compatibility modes. You can call the GetSchemaVersion API with the SchemaVersionId to check compatibility modes. If the same schema definition is already stored in Schema Registry as a version, the schema ID of the existing schema is returned to the caller.","ref":"aws_glue.html#register_schema_version/2","title":"aws_glue.register_schema_version/2","type":"function"},{"doc":"","ref":"aws_glue.html#register_schema_version/3","title":"aws_glue.register_schema_version/3","type":"function"},{"doc":"Removes a key value pair from the schema version metadata for the specified schema version ID.","ref":"aws_glue.html#remove_schema_version_metadata/2","title":"aws_glue.remove_schema_version_metadata/2","type":"function"},{"doc":"","ref":"aws_glue.html#remove_schema_version_metadata/3","title":"aws_glue.remove_schema_version_metadata/3","type":"function"},{"doc":"Resets a bookmark entry. For more information about enabling and using job bookmarks, see: Tracking processed data using job bookmarks Job parameters used by Glue Job structure","ref":"aws_glue.html#reset_job_bookmark/2","title":"aws_glue.reset_job_bookmark/2","type":"function"},{"doc":"","ref":"aws_glue.html#reset_job_bookmark/3","title":"aws_glue.reset_job_bookmark/3","type":"function"},{"doc":"Restarts selected nodes of a previous partially completed workflow run and resumes the workflow run. The selected nodes and all nodes that are downstream from the selected nodes are run.","ref":"aws_glue.html#resume_workflow_run/2","title":"aws_glue.resume_workflow_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#resume_workflow_run/3","title":"aws_glue.resume_workflow_run/3","type":"function"},{"doc":"Executes the statement.","ref":"aws_glue.html#run_statement/2","title":"aws_glue.run_statement/2","type":"function"},{"doc":"","ref":"aws_glue.html#run_statement/3","title":"aws_glue.run_statement/3","type":"function"},{"doc":"Searches a set of tables based on properties in the table metadata as well as on the parent database. You can search against text or filter conditions. You can only get tables that you have access to based on the security policies defined in Lake Formation. You need at least a read-only access to the table for it to be returned. If you do not have access to all the columns in the table, these columns will not be searched against when returning the list of tables back to you. If you have access to the columns but not the data in the columns, those columns and the associated metadata for those columns will be included in the search.","ref":"aws_glue.html#search_tables/2","title":"aws_glue.search_tables/2","type":"function"},{"doc":"","ref":"aws_glue.html#search_tables/3","title":"aws_glue.search_tables/3","type":"function"},{"doc":"Starts a new run of the specified blueprint.","ref":"aws_glue.html#start_blueprint_run/2","title":"aws_glue.start_blueprint_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#start_blueprint_run/3","title":"aws_glue.start_blueprint_run/3","type":"function"},{"doc":"Starts a crawl using the specified crawler, regardless of what is scheduled. If the crawler is already running, returns a CrawlerRunningException.","ref":"aws_glue.html#start_crawler/2","title":"aws_glue.start_crawler/2","type":"function"},{"doc":"","ref":"aws_glue.html#start_crawler/3","title":"aws_glue.start_crawler/3","type":"function"},{"doc":"Changes the schedule state of the specified crawler to SCHEDULED , unless the crawler is already running or the schedule state is already SCHEDULED .","ref":"aws_glue.html#start_crawler_schedule/2","title":"aws_glue.start_crawler_schedule/2","type":"function"},{"doc":"","ref":"aws_glue.html#start_crawler_schedule/3","title":"aws_glue.start_crawler_schedule/3","type":"function"},{"doc":"Starts a recommendation run that is used to generate rules when you don't know what rules to write. Glue Data Quality analyzes the data and comes up with recommendations for a potential ruleset. You can then triage the ruleset and modify the generated ruleset to your liking.","ref":"aws_glue.html#start_data_quality_rule_recommendation_run/2","title":"aws_glue.start_data_quality_rule_recommendation_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#start_data_quality_rule_recommendation_run/3","title":"aws_glue.start_data_quality_rule_recommendation_run/3","type":"function"},{"doc":"Once you have a ruleset definition (either recommended or your own), you call this operation to evaluate the ruleset against a data source (Glue table). The evaluation computes results which you can retrieve with the GetDataQualityResult API.","ref":"aws_glue.html#start_data_quality_ruleset_evaluation_run/2","title":"aws_glue.start_data_quality_ruleset_evaluation_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#start_data_quality_ruleset_evaluation_run/3","title":"aws_glue.start_data_quality_ruleset_evaluation_run/3","type":"function"},{"doc":"Begins an asynchronous task to export all labeled data for a particular transform. This task is the only label-related API call that is not part of the typical active learning workflow. You typically use StartExportLabelsTaskRun when you want to work with all of your existing labels at the same time, such as when you want to remove or change labels that were previously submitted as truth. This API operation accepts the TransformId whose labels you want to export and an Amazon Simple Storage Service (Amazon S3) path to export the labels to. The operation returns a TaskRunId . You can check on the status of your task run by calling the GetMLTaskRun API.","ref":"aws_glue.html#start_export_labels_task_run/2","title":"aws_glue.start_export_labels_task_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#start_export_labels_task_run/3","title":"aws_glue.start_export_labels_task_run/3","type":"function"},{"doc":"Enables you to provide additional labels (examples of truth) to be used to teach the machine learning transform and improve its quality. This API operation is generally used as part of the active learning workflow that starts with the StartMLLabelingSetGenerationTaskRun call and that ultimately results in improving the quality of your machine learning transform. After the StartMLLabelingSetGenerationTaskRun finishes, Glue machine learning will have generated a series of questions for humans to answer. (Answering these questions is often called 'labeling' in the machine learning workflows). In the case of the FindMatches transform, these questions are of the form, “What is the correct way to group these rows together into groups composed entirely of matching records?” After the labeling process is finished, users upload their answers/labels with a call to StartImportLabelsTaskRun . After StartImportLabelsTaskRun finishes, all future runs of the machine learning transform use the new and improved labels and perform a higher-quality transformation. By default, StartMLLabelingSetGenerationTaskRun continually learns from and combines all labels that you upload unless you set Replace to true. If you set Replace to true, StartImportLabelsTaskRun deletes and forgets all previously uploaded labels and learns only from the exact set that you upload. Replacing labels can be helpful if you realize that you previously uploaded incorrect labels, and you believe that they are having a negative effect on your transform quality. You can check on the status of your task run by calling the GetMLTaskRun operation.","ref":"aws_glue.html#start_import_labels_task_run/2","title":"aws_glue.start_import_labels_task_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#start_import_labels_task_run/3","title":"aws_glue.start_import_labels_task_run/3","type":"function"},{"doc":"Starts a job run using a job definition.","ref":"aws_glue.html#start_job_run/2","title":"aws_glue.start_job_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#start_job_run/3","title":"aws_glue.start_job_run/3","type":"function"},{"doc":"Starts a task to estimate the quality of the transform. When you provide label sets as examples of truth, Glue machine learning uses some of those examples to learn from them. The rest of the labels are used as a test to estimate quality. Returns a unique identifier for the run. You can call GetMLTaskRun to get more information about the stats of the EvaluationTaskRun .","ref":"aws_glue.html#start_ml_evaluation_task_run/2","title":"aws_glue.start_ml_evaluation_task_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#start_ml_evaluation_task_run/3","title":"aws_glue.start_ml_evaluation_task_run/3","type":"function"},{"doc":"Starts the active learning workflow for your machine learning transform to improve the transform's quality by generating label sets and adding labels. When the StartMLLabelingSetGenerationTaskRun finishes, Glue will have generated a &quot;labeling set&quot; or a set of questions for humans to answer. In the case of the FindMatches transform, these questions are of the form, “What is the correct way to group these rows together into groups composed entirely of matching records?” After the labeling process is finished, you can upload your labels with a call to StartImportLabelsTaskRun . After StartImportLabelsTaskRun finishes, all future runs of the machine learning transform will use the new and improved labels and perform a higher-quality transformation.","ref":"aws_glue.html#start_ml_labeling_set_generation_task_run/2","title":"aws_glue.start_ml_labeling_set_generation_task_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#start_ml_labeling_set_generation_task_run/3","title":"aws_glue.start_ml_labeling_set_generation_task_run/3","type":"function"},{"doc":"Starts an existing trigger. See Triggering Jobs for information about how different types of trigger are started.","ref":"aws_glue.html#start_trigger/2","title":"aws_glue.start_trigger/2","type":"function"},{"doc":"","ref":"aws_glue.html#start_trigger/3","title":"aws_glue.start_trigger/3","type":"function"},{"doc":"Starts a new run of the specified workflow.","ref":"aws_glue.html#start_workflow_run/2","title":"aws_glue.start_workflow_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#start_workflow_run/3","title":"aws_glue.start_workflow_run/3","type":"function"},{"doc":"If the specified crawler is running, stops the crawl.","ref":"aws_glue.html#stop_crawler/2","title":"aws_glue.stop_crawler/2","type":"function"},{"doc":"","ref":"aws_glue.html#stop_crawler/3","title":"aws_glue.stop_crawler/3","type":"function"},{"doc":"Sets the schedule state of the specified crawler to NOT_SCHEDULED , but does not stop the crawler if it is already running.","ref":"aws_glue.html#stop_crawler_schedule/2","title":"aws_glue.stop_crawler_schedule/2","type":"function"},{"doc":"","ref":"aws_glue.html#stop_crawler_schedule/3","title":"aws_glue.stop_crawler_schedule/3","type":"function"},{"doc":"Stops the session.","ref":"aws_glue.html#stop_session/2","title":"aws_glue.stop_session/2","type":"function"},{"doc":"","ref":"aws_glue.html#stop_session/3","title":"aws_glue.stop_session/3","type":"function"},{"doc":"Stops a specified trigger.","ref":"aws_glue.html#stop_trigger/2","title":"aws_glue.stop_trigger/2","type":"function"},{"doc":"","ref":"aws_glue.html#stop_trigger/3","title":"aws_glue.stop_trigger/3","type":"function"},{"doc":"Stops the execution of the specified workflow run.","ref":"aws_glue.html#stop_workflow_run/2","title":"aws_glue.stop_workflow_run/2","type":"function"},{"doc":"","ref":"aws_glue.html#stop_workflow_run/3","title":"aws_glue.stop_workflow_run/3","type":"function"},{"doc":"Adds tags to a resource. A tag is a label you can assign to an Amazon Web Services resource. In Glue, you can tag only certain resources. For information about what resources you can tag, see Amazon Web Services Tags in Glue.","ref":"aws_glue.html#tag_resource/2","title":"aws_glue.tag_resource/2","type":"function"},{"doc":"","ref":"aws_glue.html#tag_resource/3","title":"aws_glue.tag_resource/3","type":"function"},{"doc":"Removes tags from a resource.","ref":"aws_glue.html#untag_resource/2","title":"aws_glue.untag_resource/2","type":"function"},{"doc":"","ref":"aws_glue.html#untag_resource/3","title":"aws_glue.untag_resource/3","type":"function"},{"doc":"Updates a registered blueprint.","ref":"aws_glue.html#update_blueprint/2","title":"aws_glue.update_blueprint/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_blueprint/3","title":"aws_glue.update_blueprint/3","type":"function"},{"doc":"Modifies an existing classifier (a GrokClassifier , an XMLClassifier , a JsonClassifier , or a CsvClassifier , depending on which field is present).","ref":"aws_glue.html#update_classifier/2","title":"aws_glue.update_classifier/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_classifier/3","title":"aws_glue.update_classifier/3","type":"function"},{"doc":"Creates or updates partition statistics of columns. The Identity and Access Management (IAM) permission required for this operation is UpdatePartition .","ref":"aws_glue.html#update_column_statistics_for_partition/2","title":"aws_glue.update_column_statistics_for_partition/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_column_statistics_for_partition/3","title":"aws_glue.update_column_statistics_for_partition/3","type":"function"},{"doc":"Creates or updates table statistics of columns. The Identity and Access Management (IAM) permission required for this operation is UpdateTable .","ref":"aws_glue.html#update_column_statistics_for_table/2","title":"aws_glue.update_column_statistics_for_table/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_column_statistics_for_table/3","title":"aws_glue.update_column_statistics_for_table/3","type":"function"},{"doc":"Updates a connection definition in the Data Catalog.","ref":"aws_glue.html#update_connection/2","title":"aws_glue.update_connection/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_connection/3","title":"aws_glue.update_connection/3","type":"function"},{"doc":"Updates a crawler. If a crawler is running, you must stop it using StopCrawler before updating it.","ref":"aws_glue.html#update_crawler/2","title":"aws_glue.update_crawler/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_crawler/3","title":"aws_glue.update_crawler/3","type":"function"},{"doc":"Updates the schedule of a crawler using a cron expression.","ref":"aws_glue.html#update_crawler_schedule/2","title":"aws_glue.update_crawler_schedule/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_crawler_schedule/3","title":"aws_glue.update_crawler_schedule/3","type":"function"},{"doc":"Updates the specified data quality ruleset.","ref":"aws_glue.html#update_data_quality_ruleset/2","title":"aws_glue.update_data_quality_ruleset/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_data_quality_ruleset/3","title":"aws_glue.update_data_quality_ruleset/3","type":"function"},{"doc":"Updates an existing database definition in a Data Catalog.","ref":"aws_glue.html#update_database/2","title":"aws_glue.update_database/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_database/3","title":"aws_glue.update_database/3","type":"function"},{"doc":"Updates a specified development endpoint.","ref":"aws_glue.html#update_dev_endpoint/2","title":"aws_glue.update_dev_endpoint/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_dev_endpoint/3","title":"aws_glue.update_dev_endpoint/3","type":"function"},{"doc":"Updates an existing job definition. The previous job definition is completely overwritten by this information.","ref":"aws_glue.html#update_job/2","title":"aws_glue.update_job/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_job/3","title":"aws_glue.update_job/3","type":"function"},{"doc":"Synchronizes a job from the source control repository. This operation takes the job artifacts that are located in the remote repository and updates the Glue internal stores with these artifacts. This API supports optional parameters which take in the repository information.","ref":"aws_glue.html#update_job_from_source_control/2","title":"aws_glue.update_job_from_source_control/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_job_from_source_control/3","title":"aws_glue.update_job_from_source_control/3","type":"function"},{"doc":"Updates an existing machine learning transform. Call this operation to tune the algorithm parameters to achieve better results. After calling this operation, you can call the StartMLEvaluationTaskRun operation to assess how well your new parameters achieved your goals (such as improving the quality of your machine learning transform, or making it more cost-effective).","ref":"aws_glue.html#update_ml_transform/2","title":"aws_glue.update_ml_transform/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_ml_transform/3","title":"aws_glue.update_ml_transform/3","type":"function"},{"doc":"Updates a partition.","ref":"aws_glue.html#update_partition/2","title":"aws_glue.update_partition/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_partition/3","title":"aws_glue.update_partition/3","type":"function"},{"doc":"Updates an existing registry which is used to hold a collection of schemas. The updated properties relate to the registry, and do not modify any of the schemas within the registry.","ref":"aws_glue.html#update_registry/2","title":"aws_glue.update_registry/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_registry/3","title":"aws_glue.update_registry/3","type":"function"},{"doc":"Updates the description, compatibility setting, or version checkpoint for a schema set. For updating the compatibility setting, the call will not validate compatibility for the entire set of schema versions with the new compatibility setting. If the value for Compatibility is provided, the VersionNumber (a checkpoint) is also required. The API will validate the checkpoint version number for consistency. If the value for the VersionNumber (checkpoint) is provided, Compatibility is optional and this can be used to set/reset a checkpoint for the schema. This update will happen only if the schema is in the AVAILABLE state.","ref":"aws_glue.html#update_schema/2","title":"aws_glue.update_schema/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_schema/3","title":"aws_glue.update_schema/3","type":"function"},{"doc":"Synchronizes a job to the source control repository. This operation takes the job artifacts from the Glue internal stores and makes a commit to the remote repository that is configured on the job. This API supports optional parameters which take in the repository information.","ref":"aws_glue.html#update_source_control_from_job/2","title":"aws_glue.update_source_control_from_job/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_source_control_from_job/3","title":"aws_glue.update_source_control_from_job/3","type":"function"},{"doc":"Updates a metadata table in the Data Catalog.","ref":"aws_glue.html#update_table/2","title":"aws_glue.update_table/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_table/3","title":"aws_glue.update_table/3","type":"function"},{"doc":"Updates a trigger definition.","ref":"aws_glue.html#update_trigger/2","title":"aws_glue.update_trigger/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_trigger/3","title":"aws_glue.update_trigger/3","type":"function"},{"doc":"Updates an existing function definition in the Data Catalog.","ref":"aws_glue.html#update_user_defined_function/2","title":"aws_glue.update_user_defined_function/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_user_defined_function/3","title":"aws_glue.update_user_defined_function/3","type":"function"},{"doc":"Updates an existing workflow.","ref":"aws_glue.html#update_workflow/2","title":"aws_glue.update_workflow/2","type":"function"},{"doc":"","ref":"aws_glue.html#update_workflow/3","title":"aws_glue.update_workflow/3","type":"function"},{"doc":"Amazon Managed Grafana is a fully managed and secure data visualization service that you can use to instantly query, correlate, and visualize operational metrics, logs, and traces from multiple sources. Amazon Managed Grafana makes it easy to deploy, operate, and scale Grafana, a widely deployed data visualization tool that is popular for its extensible data support. With Amazon Managed Grafana, you create logically isolated Grafana servers called workspaces. In a workspace, you can create Grafana dashboards and visualizations to analyze your metrics, logs, and traces without having to build, package, or deploy any hardware to run Grafana servers.","ref":"aws_grafana.html","title":"aws_grafana","type":"module"},{"doc":"Assigns a Grafana Enterprise license to a workspace. Upgrading to Grafana Enterprise incurs additional fees. For more information, see Upgrade a workspace to Grafana Enterprise.","ref":"aws_grafana.html#associate_license/4","title":"aws_grafana.associate_license/4","type":"function"},{"doc":"","ref":"aws_grafana.html#associate_license/5","title":"aws_grafana.associate_license/5","type":"function"},{"doc":"Creates a workspace. In a workspace, you can create Grafana dashboards and visualizations to analyze your metrics, logs, and traces. You don't have to build, package, or deploy any hardware to run the Grafana server. Don't use CreateWorkspace to modify an existing workspace. Instead, use UpdateWorkspace.","ref":"aws_grafana.html#create_workspace/2","title":"aws_grafana.create_workspace/2","type":"function"},{"doc":"","ref":"aws_grafana.html#create_workspace/3","title":"aws_grafana.create_workspace/3","type":"function"},{"doc":"Creates a Grafana API key for the workspace. This key can be used to authenticate requests sent to the workspace's HTTP API. See https://docs.aws.amazon.com/grafana/latest/userguide/Using-Grafana-APIs.html for available APIs and example requests.","ref":"aws_grafana.html#create_workspace_api_key/3","title":"aws_grafana.create_workspace_api_key/3","type":"function"},{"doc":"","ref":"aws_grafana.html#create_workspace_api_key/4","title":"aws_grafana.create_workspace_api_key/4","type":"function"},{"doc":"Deletes an Amazon Managed Grafana workspace.","ref":"aws_grafana.html#delete_workspace/3","title":"aws_grafana.delete_workspace/3","type":"function"},{"doc":"","ref":"aws_grafana.html#delete_workspace/4","title":"aws_grafana.delete_workspace/4","type":"function"},{"doc":"Deletes a Grafana API key for the workspace.","ref":"aws_grafana.html#delete_workspace_api_key/4","title":"aws_grafana.delete_workspace_api_key/4","type":"function"},{"doc":"","ref":"aws_grafana.html#delete_workspace_api_key/5","title":"aws_grafana.delete_workspace_api_key/5","type":"function"},{"doc":"Displays information about one Amazon Managed Grafana workspace.","ref":"aws_grafana.html#describe_workspace/2","title":"aws_grafana.describe_workspace/2","type":"function"},{"doc":"","ref":"aws_grafana.html#describe_workspace/4","title":"aws_grafana.describe_workspace/4","type":"function"},{"doc":"","ref":"aws_grafana.html#describe_workspace/5","title":"aws_grafana.describe_workspace/5","type":"function"},{"doc":"Displays information about the authentication methods used in one Amazon Managed Grafana workspace.","ref":"aws_grafana.html#describe_workspace_authentication/2","title":"aws_grafana.describe_workspace_authentication/2","type":"function"},{"doc":"","ref":"aws_grafana.html#describe_workspace_authentication/4","title":"aws_grafana.describe_workspace_authentication/4","type":"function"},{"doc":"","ref":"aws_grafana.html#describe_workspace_authentication/5","title":"aws_grafana.describe_workspace_authentication/5","type":"function"},{"doc":"Gets the current configuration string for the given workspace.","ref":"aws_grafana.html#describe_workspace_configuration/2","title":"aws_grafana.describe_workspace_configuration/2","type":"function"},{"doc":"","ref":"aws_grafana.html#describe_workspace_configuration/4","title":"aws_grafana.describe_workspace_configuration/4","type":"function"},{"doc":"","ref":"aws_grafana.html#describe_workspace_configuration/5","title":"aws_grafana.describe_workspace_configuration/5","type":"function"},{"doc":"Removes the Grafana Enterprise license from a workspace.","ref":"aws_grafana.html#disassociate_license/4","title":"aws_grafana.disassociate_license/4","type":"function"},{"doc":"","ref":"aws_grafana.html#disassociate_license/5","title":"aws_grafana.disassociate_license/5","type":"function"},{"doc":"Lists the users and groups who have the Grafana Admin and Editor roles in this workspace. If you use this operation without specifying userId or groupId , the operation returns the roles of all users and groups. If you specify a userId or a groupId , only the roles for that user or group are returned. If you do this, you can specify only one userId or one groupId .","ref":"aws_grafana.html#list_permissions/2","title":"aws_grafana.list_permissions/2","type":"function"},{"doc":"","ref":"aws_grafana.html#list_permissions/4","title":"aws_grafana.list_permissions/4","type":"function"},{"doc":"","ref":"aws_grafana.html#list_permissions/5","title":"aws_grafana.list_permissions/5","type":"function"},{"doc":"The ListTagsForResource operation returns the tags that are associated with the Amazon Managed Service for Grafana resource specified by the resourceArn . Currently, the only resource that can be tagged is a workspace.","ref":"aws_grafana.html#list_tags_for_resource/2","title":"aws_grafana.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_grafana.html#list_tags_for_resource/4","title":"aws_grafana.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_grafana.html#list_tags_for_resource/5","title":"aws_grafana.list_tags_for_resource/5","type":"function"},{"doc":"Returns a list of Amazon Managed Grafana workspaces in the account, with some information about each workspace. For more complete information about one workspace, use DescribeWorkspace.","ref":"aws_grafana.html#list_workspaces/1","title":"aws_grafana.list_workspaces/1","type":"function"},{"doc":"","ref":"aws_grafana.html#list_workspaces/3","title":"aws_grafana.list_workspaces/3","type":"function"},{"doc":"","ref":"aws_grafana.html#list_workspaces/4","title":"aws_grafana.list_workspaces/4","type":"function"},{"doc":"The TagResource operation associates tags with an Amazon Managed Grafana resource. Currently, the only resource that can be tagged is workspaces. If you specify a new tag key for the resource, this tag is appended to the list of tags associated with the resource. If you specify a tag key that is already associated with the resource, the new tag value that you specify replaces the previous value for that tag.","ref":"aws_grafana.html#tag_resource/3","title":"aws_grafana.tag_resource/3","type":"function"},{"doc":"","ref":"aws_grafana.html#tag_resource/4","title":"aws_grafana.tag_resource/4","type":"function"},{"doc":"The UntagResource operation removes the association of the tag with the Amazon Managed Grafana resource.","ref":"aws_grafana.html#untag_resource/3","title":"aws_grafana.untag_resource/3","type":"function"},{"doc":"","ref":"aws_grafana.html#untag_resource/4","title":"aws_grafana.untag_resource/4","type":"function"},{"doc":"Updates which users in a workspace have the Grafana Admin or Editor roles.","ref":"aws_grafana.html#update_permissions/3","title":"aws_grafana.update_permissions/3","type":"function"},{"doc":"","ref":"aws_grafana.html#update_permissions/4","title":"aws_grafana.update_permissions/4","type":"function"},{"doc":"Modifies an existing Amazon Managed Grafana workspace. If you use this operation and omit any optional parameters, the existing values of those parameters are not changed. To modify the user authentication methods that the workspace uses, such as SAML or IAM Identity Center, use UpdateWorkspaceAuthentication. To modify which users in the workspace have the Admin and Editor Grafana roles, use UpdatePermissions.","ref":"aws_grafana.html#update_workspace/3","title":"aws_grafana.update_workspace/3","type":"function"},{"doc":"","ref":"aws_grafana.html#update_workspace/4","title":"aws_grafana.update_workspace/4","type":"function"},{"doc":"Use this operation to define the identity provider (IdP) that this workspace authenticates users from, using SAML. You can also map SAML assertion attributes to workspace user information and define which groups in the assertion attribute are to have the Admin and Editor roles in the workspace.","ref":"aws_grafana.html#update_workspace_authentication/3","title":"aws_grafana.update_workspace_authentication/3","type":"function"},{"doc":"","ref":"aws_grafana.html#update_workspace_authentication/4","title":"aws_grafana.update_workspace_authentication/4","type":"function"},{"doc":"Updates the configuration string for the given workspace","ref":"aws_grafana.html#update_workspace_configuration/3","title":"aws_grafana.update_workspace_configuration/3","type":"function"},{"doc":"","ref":"aws_grafana.html#update_workspace_configuration/4","title":"aws_grafana.update_workspace_configuration/4","type":"function"},{"doc":"AWS IoT Greengrass seamlessly extends AWS onto physical devices so they can act locally on the data they generate, while still using the cloud for management, analytics, and durable storage. AWS IoT Greengrass ensures your devices can respond quickly to local events and operate with intermittent connectivity. AWS IoT Greengrass minimizes the cost of transmitting data to the cloud by allowing you to author AWS Lambda functions that execute locally.","ref":"aws_greengrass.html","title":"aws_greengrass","type":"module"},{"doc":"Associates a role with a group. Your Greengrass core will use the role to access AWS cloud services. The role's permissions should allow Greengrass core Lambda functions to perform actions against the cloud.","ref":"aws_greengrass.html#associate_role_to_group/3","title":"aws_greengrass.associate_role_to_group/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#associate_role_to_group/4","title":"aws_greengrass.associate_role_to_group/4","type":"function"},{"doc":"Associates a role with your account. AWS IoT Greengrass will use the role to access your Lambda functions and AWS IoT resources. This is necessary for deployments to succeed. The role must have at least minimum permissions in the policy ''AWSGreengrassResourceAccessRolePolicy''.","ref":"aws_greengrass.html#associate_service_role_to_account/2","title":"aws_greengrass.associate_service_role_to_account/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#associate_service_role_to_account/3","title":"aws_greengrass.associate_service_role_to_account/3","type":"function"},{"doc":"Creates a connector definition. You may provide the initial version of the connector definition now or use ''CreateConnectorDefinitionVersion'' at a later time.","ref":"aws_greengrass.html#create_connector_definition/2","title":"aws_greengrass.create_connector_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_connector_definition/3","title":"aws_greengrass.create_connector_definition/3","type":"function"},{"doc":"Creates a version of a connector definition which has already been defined.","ref":"aws_greengrass.html#create_connector_definition_version/3","title":"aws_greengrass.create_connector_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_connector_definition_version/4","title":"aws_greengrass.create_connector_definition_version/4","type":"function"},{"doc":"Creates a core definition. You may provide the initial version of the core definition now or use ''CreateCoreDefinitionVersion'' at a later time. Greengrass groups must each contain exactly one Greengrass core.","ref":"aws_greengrass.html#create_core_definition/2","title":"aws_greengrass.create_core_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_core_definition/3","title":"aws_greengrass.create_core_definition/3","type":"function"},{"doc":"Creates a version of a core definition that has already been defined. Greengrass groups must each contain exactly one Greengrass core.","ref":"aws_greengrass.html#create_core_definition_version/3","title":"aws_greengrass.create_core_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_core_definition_version/4","title":"aws_greengrass.create_core_definition_version/4","type":"function"},{"doc":"Creates a deployment. ''CreateDeployment'' requests are idempotent with respect to the ''X-Amzn-Client-Token'' token and the request parameters.","ref":"aws_greengrass.html#create_deployment/3","title":"aws_greengrass.create_deployment/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_deployment/4","title":"aws_greengrass.create_deployment/4","type":"function"},{"doc":"Creates a device definition. You may provide the initial version of the device definition now or use ''CreateDeviceDefinitionVersion'' at a later time.","ref":"aws_greengrass.html#create_device_definition/2","title":"aws_greengrass.create_device_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_device_definition/3","title":"aws_greengrass.create_device_definition/3","type":"function"},{"doc":"Creates a version of a device definition that has already been defined.","ref":"aws_greengrass.html#create_device_definition_version/3","title":"aws_greengrass.create_device_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_device_definition_version/4","title":"aws_greengrass.create_device_definition_version/4","type":"function"},{"doc":"Creates a Lambda function definition which contains a list of Lambda functions and their configurations to be used in a group. You can create an initial version of the definition by providing a list of Lambda functions and their configurations now, or use ''CreateFunctionDefinitionVersion'' later.","ref":"aws_greengrass.html#create_function_definition/2","title":"aws_greengrass.create_function_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_function_definition/3","title":"aws_greengrass.create_function_definition/3","type":"function"},{"doc":"Creates a version of a Lambda function definition that has already been defined.","ref":"aws_greengrass.html#create_function_definition_version/3","title":"aws_greengrass.create_function_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_function_definition_version/4","title":"aws_greengrass.create_function_definition_version/4","type":"function"},{"doc":"Creates a group. You may provide the initial version of the group or use ''CreateGroupVersion'' at a later time. Tip: You can use the ''gg_group_setup'' package (https://github.com/awslabs/aws-greengrass-group-setup) as a library or command-line application to create and deploy Greengrass groups.","ref":"aws_greengrass.html#create_group/2","title":"aws_greengrass.create_group/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_group/3","title":"aws_greengrass.create_group/3","type":"function"},{"doc":"Creates a CA for the group. If a CA already exists, it will rotate the existing CA.","ref":"aws_greengrass.html#create_group_certificate_authority/3","title":"aws_greengrass.create_group_certificate_authority/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_group_certificate_authority/4","title":"aws_greengrass.create_group_certificate_authority/4","type":"function"},{"doc":"Creates a version of a group which has already been defined.","ref":"aws_greengrass.html#create_group_version/3","title":"aws_greengrass.create_group_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_group_version/4","title":"aws_greengrass.create_group_version/4","type":"function"},{"doc":"Creates a logger definition. You may provide the initial version of the logger definition now or use ''CreateLoggerDefinitionVersion'' at a later time.","ref":"aws_greengrass.html#create_logger_definition/2","title":"aws_greengrass.create_logger_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_logger_definition/3","title":"aws_greengrass.create_logger_definition/3","type":"function"},{"doc":"Creates a version of a logger definition that has already been defined.","ref":"aws_greengrass.html#create_logger_definition_version/3","title":"aws_greengrass.create_logger_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_logger_definition_version/4","title":"aws_greengrass.create_logger_definition_version/4","type":"function"},{"doc":"Creates a resource definition which contains a list of resources to be used in a group. You can create an initial version of the definition by providing a list of resources now, or use ''CreateResourceDefinitionVersion'' later.","ref":"aws_greengrass.html#create_resource_definition/2","title":"aws_greengrass.create_resource_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_resource_definition/3","title":"aws_greengrass.create_resource_definition/3","type":"function"},{"doc":"Creates a version of a resource definition that has already been defined.","ref":"aws_greengrass.html#create_resource_definition_version/3","title":"aws_greengrass.create_resource_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_resource_definition_version/4","title":"aws_greengrass.create_resource_definition_version/4","type":"function"},{"doc":"Creates a software update for a core or group of cores (specified as an IoT thing group.) Use this to update the OTA Agent as well as the Greengrass core software. It makes use of the IoT Jobs feature which provides additional commands to manage a Greengrass core software update job.","ref":"aws_greengrass.html#create_software_update_job/2","title":"aws_greengrass.create_software_update_job/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_software_update_job/3","title":"aws_greengrass.create_software_update_job/3","type":"function"},{"doc":"Creates a subscription definition. You may provide the initial version of the subscription definition now or use ''CreateSubscriptionDefinitionVersion'' at a later time.","ref":"aws_greengrass.html#create_subscription_definition/2","title":"aws_greengrass.create_subscription_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_subscription_definition/3","title":"aws_greengrass.create_subscription_definition/3","type":"function"},{"doc":"Creates a version of a subscription definition which has already been defined.","ref":"aws_greengrass.html#create_subscription_definition_version/3","title":"aws_greengrass.create_subscription_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#create_subscription_definition_version/4","title":"aws_greengrass.create_subscription_definition_version/4","type":"function"},{"doc":"Deletes a connector definition.","ref":"aws_greengrass.html#delete_connector_definition/3","title":"aws_greengrass.delete_connector_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#delete_connector_definition/4","title":"aws_greengrass.delete_connector_definition/4","type":"function"},{"doc":"Deletes a core definition.","ref":"aws_greengrass.html#delete_core_definition/3","title":"aws_greengrass.delete_core_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#delete_core_definition/4","title":"aws_greengrass.delete_core_definition/4","type":"function"},{"doc":"Deletes a device definition.","ref":"aws_greengrass.html#delete_device_definition/3","title":"aws_greengrass.delete_device_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#delete_device_definition/4","title":"aws_greengrass.delete_device_definition/4","type":"function"},{"doc":"Deletes a Lambda function definition.","ref":"aws_greengrass.html#delete_function_definition/3","title":"aws_greengrass.delete_function_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#delete_function_definition/4","title":"aws_greengrass.delete_function_definition/4","type":"function"},{"doc":"Deletes a group.","ref":"aws_greengrass.html#delete_group/3","title":"aws_greengrass.delete_group/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#delete_group/4","title":"aws_greengrass.delete_group/4","type":"function"},{"doc":"Deletes a logger definition.","ref":"aws_greengrass.html#delete_logger_definition/3","title":"aws_greengrass.delete_logger_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#delete_logger_definition/4","title":"aws_greengrass.delete_logger_definition/4","type":"function"},{"doc":"Deletes a resource definition.","ref":"aws_greengrass.html#delete_resource_definition/3","title":"aws_greengrass.delete_resource_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#delete_resource_definition/4","title":"aws_greengrass.delete_resource_definition/4","type":"function"},{"doc":"Deletes a subscription definition.","ref":"aws_greengrass.html#delete_subscription_definition/3","title":"aws_greengrass.delete_subscription_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#delete_subscription_definition/4","title":"aws_greengrass.delete_subscription_definition/4","type":"function"},{"doc":"Disassociates the role from a group.","ref":"aws_greengrass.html#disassociate_role_from_group/3","title":"aws_greengrass.disassociate_role_from_group/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#disassociate_role_from_group/4","title":"aws_greengrass.disassociate_role_from_group/4","type":"function"},{"doc":"Disassociates the service role from your account. Without a service role, deployments will not work.","ref":"aws_greengrass.html#disassociate_service_role_from_account/2","title":"aws_greengrass.disassociate_service_role_from_account/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#disassociate_service_role_from_account/3","title":"aws_greengrass.disassociate_service_role_from_account/3","type":"function"},{"doc":"Retrieves the role associated with a particular group.","ref":"aws_greengrass.html#get_associated_role/2","title":"aws_greengrass.get_associated_role/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_associated_role/4","title":"aws_greengrass.get_associated_role/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_associated_role/5","title":"aws_greengrass.get_associated_role/5","type":"function"},{"doc":"Returns the status of a bulk deployment.","ref":"aws_greengrass.html#get_bulk_deployment_status/2","title":"aws_greengrass.get_bulk_deployment_status/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_bulk_deployment_status/4","title":"aws_greengrass.get_bulk_deployment_status/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_bulk_deployment_status/5","title":"aws_greengrass.get_bulk_deployment_status/5","type":"function"},{"doc":"Retrieves the connectivity information for a core.","ref":"aws_greengrass.html#get_connectivity_info/2","title":"aws_greengrass.get_connectivity_info/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_connectivity_info/4","title":"aws_greengrass.get_connectivity_info/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_connectivity_info/5","title":"aws_greengrass.get_connectivity_info/5","type":"function"},{"doc":"Retrieves information about a connector definition.","ref":"aws_greengrass.html#get_connector_definition/2","title":"aws_greengrass.get_connector_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_connector_definition/4","title":"aws_greengrass.get_connector_definition/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_connector_definition/5","title":"aws_greengrass.get_connector_definition/5","type":"function"},{"doc":"Retrieves information about a connector definition version, including the connectors that the version contains. Connectors are prebuilt modules that interact with local infrastructure, device protocols, AWS, and other cloud services.","ref":"aws_greengrass.html#get_connector_definition_version/3","title":"aws_greengrass.get_connector_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_connector_definition_version/5","title":"aws_greengrass.get_connector_definition_version/5","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_connector_definition_version/6","title":"aws_greengrass.get_connector_definition_version/6","type":"function"},{"doc":"Retrieves information about a core definition version.","ref":"aws_greengrass.html#get_core_definition/2","title":"aws_greengrass.get_core_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_core_definition/4","title":"aws_greengrass.get_core_definition/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_core_definition/5","title":"aws_greengrass.get_core_definition/5","type":"function"},{"doc":"Retrieves information about a core definition version.","ref":"aws_greengrass.html#get_core_definition_version/3","title":"aws_greengrass.get_core_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_core_definition_version/5","title":"aws_greengrass.get_core_definition_version/5","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_core_definition_version/6","title":"aws_greengrass.get_core_definition_version/6","type":"function"},{"doc":"Returns the status of a deployment.","ref":"aws_greengrass.html#get_deployment_status/3","title":"aws_greengrass.get_deployment_status/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_deployment_status/5","title":"aws_greengrass.get_deployment_status/5","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_deployment_status/6","title":"aws_greengrass.get_deployment_status/6","type":"function"},{"doc":"Retrieves information about a device definition.","ref":"aws_greengrass.html#get_device_definition/2","title":"aws_greengrass.get_device_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_device_definition/4","title":"aws_greengrass.get_device_definition/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_device_definition/5","title":"aws_greengrass.get_device_definition/5","type":"function"},{"doc":"Retrieves information about a device definition version.","ref":"aws_greengrass.html#get_device_definition_version/3","title":"aws_greengrass.get_device_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_device_definition_version/5","title":"aws_greengrass.get_device_definition_version/5","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_device_definition_version/6","title":"aws_greengrass.get_device_definition_version/6","type":"function"},{"doc":"Retrieves information about a Lambda function definition, including its creation time and latest version.","ref":"aws_greengrass.html#get_function_definition/2","title":"aws_greengrass.get_function_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_function_definition/4","title":"aws_greengrass.get_function_definition/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_function_definition/5","title":"aws_greengrass.get_function_definition/5","type":"function"},{"doc":"Retrieves information about a Lambda function definition version, including which Lambda functions are included in the version and their configurations.","ref":"aws_greengrass.html#get_function_definition_version/3","title":"aws_greengrass.get_function_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_function_definition_version/5","title":"aws_greengrass.get_function_definition_version/5","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_function_definition_version/6","title":"aws_greengrass.get_function_definition_version/6","type":"function"},{"doc":"Retrieves information about a group.","ref":"aws_greengrass.html#get_group/2","title":"aws_greengrass.get_group/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_group/4","title":"aws_greengrass.get_group/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_group/5","title":"aws_greengrass.get_group/5","type":"function"},{"doc":"Retreives the CA associated with a group. Returns the public key of the CA.","ref":"aws_greengrass.html#get_group_certificate_authority/3","title":"aws_greengrass.get_group_certificate_authority/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_group_certificate_authority/5","title":"aws_greengrass.get_group_certificate_authority/5","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_group_certificate_authority/6","title":"aws_greengrass.get_group_certificate_authority/6","type":"function"},{"doc":"Retrieves the current configuration for the CA used by the group.","ref":"aws_greengrass.html#get_group_certificate_configuration/2","title":"aws_greengrass.get_group_certificate_configuration/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_group_certificate_configuration/4","title":"aws_greengrass.get_group_certificate_configuration/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_group_certificate_configuration/5","title":"aws_greengrass.get_group_certificate_configuration/5","type":"function"},{"doc":"Retrieves information about a group version.","ref":"aws_greengrass.html#get_group_version/3","title":"aws_greengrass.get_group_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_group_version/5","title":"aws_greengrass.get_group_version/5","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_group_version/6","title":"aws_greengrass.get_group_version/6","type":"function"},{"doc":"Retrieves information about a logger definition.","ref":"aws_greengrass.html#get_logger_definition/2","title":"aws_greengrass.get_logger_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_logger_definition/4","title":"aws_greengrass.get_logger_definition/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_logger_definition/5","title":"aws_greengrass.get_logger_definition/5","type":"function"},{"doc":"Retrieves information about a logger definition version.","ref":"aws_greengrass.html#get_logger_definition_version/3","title":"aws_greengrass.get_logger_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_logger_definition_version/5","title":"aws_greengrass.get_logger_definition_version/5","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_logger_definition_version/6","title":"aws_greengrass.get_logger_definition_version/6","type":"function"},{"doc":"Retrieves information about a resource definition, including its creation time and latest version.","ref":"aws_greengrass.html#get_resource_definition/2","title":"aws_greengrass.get_resource_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_resource_definition/4","title":"aws_greengrass.get_resource_definition/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_resource_definition/5","title":"aws_greengrass.get_resource_definition/5","type":"function"},{"doc":"Retrieves information about a resource definition version, including which resources are included in the version.","ref":"aws_greengrass.html#get_resource_definition_version/3","title":"aws_greengrass.get_resource_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_resource_definition_version/5","title":"aws_greengrass.get_resource_definition_version/5","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_resource_definition_version/6","title":"aws_greengrass.get_resource_definition_version/6","type":"function"},{"doc":"Retrieves the service role that is attached to your account.","ref":"aws_greengrass.html#get_service_role_for_account/1","title":"aws_greengrass.get_service_role_for_account/1","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_service_role_for_account/3","title":"aws_greengrass.get_service_role_for_account/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_service_role_for_account/4","title":"aws_greengrass.get_service_role_for_account/4","type":"function"},{"doc":"Retrieves information about a subscription definition.","ref":"aws_greengrass.html#get_subscription_definition/2","title":"aws_greengrass.get_subscription_definition/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_subscription_definition/4","title":"aws_greengrass.get_subscription_definition/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_subscription_definition/5","title":"aws_greengrass.get_subscription_definition/5","type":"function"},{"doc":"Retrieves information about a subscription definition version.","ref":"aws_greengrass.html#get_subscription_definition_version/3","title":"aws_greengrass.get_subscription_definition_version/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_subscription_definition_version/5","title":"aws_greengrass.get_subscription_definition_version/5","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_subscription_definition_version/6","title":"aws_greengrass.get_subscription_definition_version/6","type":"function"},{"doc":"Get the runtime configuration of a thing.","ref":"aws_greengrass.html#get_thing_runtime_configuration/2","title":"aws_greengrass.get_thing_runtime_configuration/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_thing_runtime_configuration/4","title":"aws_greengrass.get_thing_runtime_configuration/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#get_thing_runtime_configuration/5","title":"aws_greengrass.get_thing_runtime_configuration/5","type":"function"},{"doc":"Gets a paginated list of the deployments that have been started in a bulk deployment operation, and their current deployment status.","ref":"aws_greengrass.html#list_bulk_deployment_detailed_reports/2","title":"aws_greengrass.list_bulk_deployment_detailed_reports/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_bulk_deployment_detailed_reports/4","title":"aws_greengrass.list_bulk_deployment_detailed_reports/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_bulk_deployment_detailed_reports/5","title":"aws_greengrass.list_bulk_deployment_detailed_reports/5","type":"function"},{"doc":"Returns a list of bulk deployments.","ref":"aws_greengrass.html#list_bulk_deployments/1","title":"aws_greengrass.list_bulk_deployments/1","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_bulk_deployments/3","title":"aws_greengrass.list_bulk_deployments/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_bulk_deployments/4","title":"aws_greengrass.list_bulk_deployments/4","type":"function"},{"doc":"Lists the versions of a connector definition, which are containers for connectors. Connectors run on the Greengrass core and contain built-in integration with local infrastructure, device protocols, AWS, and other cloud services.","ref":"aws_greengrass.html#list_connector_definition_versions/2","title":"aws_greengrass.list_connector_definition_versions/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_connector_definition_versions/4","title":"aws_greengrass.list_connector_definition_versions/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_connector_definition_versions/5","title":"aws_greengrass.list_connector_definition_versions/5","type":"function"},{"doc":"Retrieves a list of connector definitions.","ref":"aws_greengrass.html#list_connector_definitions/1","title":"aws_greengrass.list_connector_definitions/1","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_connector_definitions/3","title":"aws_greengrass.list_connector_definitions/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_connector_definitions/4","title":"aws_greengrass.list_connector_definitions/4","type":"function"},{"doc":"Lists the versions of a core definition.","ref":"aws_greengrass.html#list_core_definition_versions/2","title":"aws_greengrass.list_core_definition_versions/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_core_definition_versions/4","title":"aws_greengrass.list_core_definition_versions/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_core_definition_versions/5","title":"aws_greengrass.list_core_definition_versions/5","type":"function"},{"doc":"Retrieves a list of core definitions.","ref":"aws_greengrass.html#list_core_definitions/1","title":"aws_greengrass.list_core_definitions/1","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_core_definitions/3","title":"aws_greengrass.list_core_definitions/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_core_definitions/4","title":"aws_greengrass.list_core_definitions/4","type":"function"},{"doc":"Returns a history of deployments for the group.","ref":"aws_greengrass.html#list_deployments/2","title":"aws_greengrass.list_deployments/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_deployments/4","title":"aws_greengrass.list_deployments/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_deployments/5","title":"aws_greengrass.list_deployments/5","type":"function"},{"doc":"Lists the versions of a device definition.","ref":"aws_greengrass.html#list_device_definition_versions/2","title":"aws_greengrass.list_device_definition_versions/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_device_definition_versions/4","title":"aws_greengrass.list_device_definition_versions/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_device_definition_versions/5","title":"aws_greengrass.list_device_definition_versions/5","type":"function"},{"doc":"Retrieves a list of device definitions.","ref":"aws_greengrass.html#list_device_definitions/1","title":"aws_greengrass.list_device_definitions/1","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_device_definitions/3","title":"aws_greengrass.list_device_definitions/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_device_definitions/4","title":"aws_greengrass.list_device_definitions/4","type":"function"},{"doc":"Lists the versions of a Lambda function definition.","ref":"aws_greengrass.html#list_function_definition_versions/2","title":"aws_greengrass.list_function_definition_versions/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_function_definition_versions/4","title":"aws_greengrass.list_function_definition_versions/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_function_definition_versions/5","title":"aws_greengrass.list_function_definition_versions/5","type":"function"},{"doc":"Retrieves a list of Lambda function definitions.","ref":"aws_greengrass.html#list_function_definitions/1","title":"aws_greengrass.list_function_definitions/1","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_function_definitions/3","title":"aws_greengrass.list_function_definitions/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_function_definitions/4","title":"aws_greengrass.list_function_definitions/4","type":"function"},{"doc":"Retrieves the current CAs for a group.","ref":"aws_greengrass.html#list_group_certificate_authorities/2","title":"aws_greengrass.list_group_certificate_authorities/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_group_certificate_authorities/4","title":"aws_greengrass.list_group_certificate_authorities/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_group_certificate_authorities/5","title":"aws_greengrass.list_group_certificate_authorities/5","type":"function"},{"doc":"Lists the versions of a group.","ref":"aws_greengrass.html#list_group_versions/2","title":"aws_greengrass.list_group_versions/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_group_versions/4","title":"aws_greengrass.list_group_versions/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_group_versions/5","title":"aws_greengrass.list_group_versions/5","type":"function"},{"doc":"Retrieves a list of groups.","ref":"aws_greengrass.html#list_groups/1","title":"aws_greengrass.list_groups/1","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_groups/3","title":"aws_greengrass.list_groups/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_groups/4","title":"aws_greengrass.list_groups/4","type":"function"},{"doc":"Lists the versions of a logger definition.","ref":"aws_greengrass.html#list_logger_definition_versions/2","title":"aws_greengrass.list_logger_definition_versions/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_logger_definition_versions/4","title":"aws_greengrass.list_logger_definition_versions/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_logger_definition_versions/5","title":"aws_greengrass.list_logger_definition_versions/5","type":"function"},{"doc":"Retrieves a list of logger definitions.","ref":"aws_greengrass.html#list_logger_definitions/1","title":"aws_greengrass.list_logger_definitions/1","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_logger_definitions/3","title":"aws_greengrass.list_logger_definitions/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_logger_definitions/4","title":"aws_greengrass.list_logger_definitions/4","type":"function"},{"doc":"Lists the versions of a resource definition.","ref":"aws_greengrass.html#list_resource_definition_versions/2","title":"aws_greengrass.list_resource_definition_versions/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_resource_definition_versions/4","title":"aws_greengrass.list_resource_definition_versions/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_resource_definition_versions/5","title":"aws_greengrass.list_resource_definition_versions/5","type":"function"},{"doc":"Retrieves a list of resource definitions.","ref":"aws_greengrass.html#list_resource_definitions/1","title":"aws_greengrass.list_resource_definitions/1","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_resource_definitions/3","title":"aws_greengrass.list_resource_definitions/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_resource_definitions/4","title":"aws_greengrass.list_resource_definitions/4","type":"function"},{"doc":"Lists the versions of a subscription definition.","ref":"aws_greengrass.html#list_subscription_definition_versions/2","title":"aws_greengrass.list_subscription_definition_versions/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_subscription_definition_versions/4","title":"aws_greengrass.list_subscription_definition_versions/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_subscription_definition_versions/5","title":"aws_greengrass.list_subscription_definition_versions/5","type":"function"},{"doc":"Retrieves a list of subscription definitions.","ref":"aws_greengrass.html#list_subscription_definitions/1","title":"aws_greengrass.list_subscription_definitions/1","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_subscription_definitions/3","title":"aws_greengrass.list_subscription_definitions/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_subscription_definitions/4","title":"aws_greengrass.list_subscription_definitions/4","type":"function"},{"doc":"Retrieves a list of resource tags for a resource arn.","ref":"aws_greengrass.html#list_tags_for_resource/2","title":"aws_greengrass.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_tags_for_resource/4","title":"aws_greengrass.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_greengrass.html#list_tags_for_resource/5","title":"aws_greengrass.list_tags_for_resource/5","type":"function"},{"doc":"Resets a group's deployments.","ref":"aws_greengrass.html#reset_deployments/3","title":"aws_greengrass.reset_deployments/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#reset_deployments/4","title":"aws_greengrass.reset_deployments/4","type":"function"},{"doc":"Deploys multiple groups in one operation. This action starts the bulk deployment of a specified set of group versions. Each group version deployment will be triggered with an adaptive rate that has a fixed upper limit. We recommend that you include an ''X-Amzn-Client-Token'' token in every ''StartBulkDeployment'' request. These requests are idempotent with respect to the token and the request parameters.","ref":"aws_greengrass.html#start_bulk_deployment/2","title":"aws_greengrass.start_bulk_deployment/2","type":"function"},{"doc":"","ref":"aws_greengrass.html#start_bulk_deployment/3","title":"aws_greengrass.start_bulk_deployment/3","type":"function"},{"doc":"Stops the execution of a bulk deployment. This action returns a status of ''Stopping'' until the deployment is stopped. You cannot start a new bulk deployment while a previous deployment is in the ''Stopping'' state. This action doesn't rollback completed deployments or cancel pending deployments.","ref":"aws_greengrass.html#stop_bulk_deployment/3","title":"aws_greengrass.stop_bulk_deployment/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#stop_bulk_deployment/4","title":"aws_greengrass.stop_bulk_deployment/4","type":"function"},{"doc":"Adds tags to a Greengrass resource. Valid resources are 'Group', 'ConnectorDefinition', 'CoreDefinition', 'DeviceDefinition', 'FunctionDefinition', 'LoggerDefinition', 'SubscriptionDefinition', 'ResourceDefinition', and 'BulkDeployment'.","ref":"aws_greengrass.html#tag_resource/3","title":"aws_greengrass.tag_resource/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#tag_resource/4","title":"aws_greengrass.tag_resource/4","type":"function"},{"doc":"Remove resource tags from a Greengrass Resource.","ref":"aws_greengrass.html#untag_resource/3","title":"aws_greengrass.untag_resource/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#untag_resource/4","title":"aws_greengrass.untag_resource/4","type":"function"},{"doc":"Updates the connectivity information for the core. Any devices that belong to the group which has this core will receive this information in order to find the location of the core and connect to it.","ref":"aws_greengrass.html#update_connectivity_info/3","title":"aws_greengrass.update_connectivity_info/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#update_connectivity_info/4","title":"aws_greengrass.update_connectivity_info/4","type":"function"},{"doc":"Updates a connector definition.","ref":"aws_greengrass.html#update_connector_definition/3","title":"aws_greengrass.update_connector_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#update_connector_definition/4","title":"aws_greengrass.update_connector_definition/4","type":"function"},{"doc":"Updates a core definition.","ref":"aws_greengrass.html#update_core_definition/3","title":"aws_greengrass.update_core_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#update_core_definition/4","title":"aws_greengrass.update_core_definition/4","type":"function"},{"doc":"Updates a device definition.","ref":"aws_greengrass.html#update_device_definition/3","title":"aws_greengrass.update_device_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#update_device_definition/4","title":"aws_greengrass.update_device_definition/4","type":"function"},{"doc":"Updates a Lambda function definition.","ref":"aws_greengrass.html#update_function_definition/3","title":"aws_greengrass.update_function_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#update_function_definition/4","title":"aws_greengrass.update_function_definition/4","type":"function"},{"doc":"Updates a group.","ref":"aws_greengrass.html#update_group/3","title":"aws_greengrass.update_group/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#update_group/4","title":"aws_greengrass.update_group/4","type":"function"},{"doc":"Updates the Certificate expiry time for a group.","ref":"aws_greengrass.html#update_group_certificate_configuration/3","title":"aws_greengrass.update_group_certificate_configuration/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#update_group_certificate_configuration/4","title":"aws_greengrass.update_group_certificate_configuration/4","type":"function"},{"doc":"Updates a logger definition.","ref":"aws_greengrass.html#update_logger_definition/3","title":"aws_greengrass.update_logger_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#update_logger_definition/4","title":"aws_greengrass.update_logger_definition/4","type":"function"},{"doc":"Updates a resource definition.","ref":"aws_greengrass.html#update_resource_definition/3","title":"aws_greengrass.update_resource_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#update_resource_definition/4","title":"aws_greengrass.update_resource_definition/4","type":"function"},{"doc":"Updates a subscription definition.","ref":"aws_greengrass.html#update_subscription_definition/3","title":"aws_greengrass.update_subscription_definition/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#update_subscription_definition/4","title":"aws_greengrass.update_subscription_definition/4","type":"function"},{"doc":"Updates the runtime configuration of a thing.","ref":"aws_greengrass.html#update_thing_runtime_configuration/3","title":"aws_greengrass.update_thing_runtime_configuration/3","type":"function"},{"doc":"","ref":"aws_greengrass.html#update_thing_runtime_configuration/4","title":"aws_greengrass.update_thing_runtime_configuration/4","type":"function"},{"doc":"IoT Greengrass brings local compute, messaging, data management, sync, and ML inference capabilities to edge devices. This enables devices to collect and analyze data closer to the source of information, react autonomously to local events, and communicate securely with each other on local networks. Local devices can also communicate securely with Amazon Web Services IoT Core and export IoT data to the Amazon Web Services Cloud. IoT Greengrass developers can use Lambda functions and components to create and deploy applications to fleets of edge devices for local operation. IoT Greengrass Version 2 provides a new major version of the IoT Greengrass Core software, new APIs, and a new console. Use this API reference to learn how to use the IoT Greengrass V2 API operations to manage components, manage deployments, and core devices. For more information, see What is IoT Greengrass? in the IoT Greengrass V2 Developer Guide.","ref":"aws_greengrassv2.html","title":"aws_greengrassv2","type":"module"},{"doc":"Associates a Greengrass service role with IoT Greengrass for your Amazon Web Services account in this Amazon Web Services Region. IoT Greengrass uses this role to verify the identity of client devices and manage core device connectivity information. The role must include the AWSGreengrassResourceAccessRolePolicy managed policy or a custom policy that defines equivalent permissions for the IoT Greengrass features that you use. For more information, see Greengrass service role in the IoT Greengrass Version 2 Developer Guide.","ref":"aws_greengrassv2.html#associate_service_role_to_account/2","title":"aws_greengrassv2.associate_service_role_to_account/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#associate_service_role_to_account/3","title":"aws_greengrassv2.associate_service_role_to_account/3","type":"function"},{"doc":"Associates a list of client devices with a core device. Use this API operation to specify which client devices can discover a core device through cloud discovery. With cloud discovery, client devices connect to IoT Greengrass to retrieve associated core devices' connectivity information and certificates. For more information, see Configure cloud discovery in the IoT Greengrass V2 Developer Guide. Client devices are local IoT devices that connect to and communicate with an IoT Greengrass core device over MQTT. You can connect client devices to a core device to sync MQTT messages and data to Amazon Web Services IoT Core and interact with client devices in Greengrass components. For more information, see Interact with local IoT devices in the IoT Greengrass V2 Developer Guide.","ref":"aws_greengrassv2.html#batch_associate_client_device_with_core_device/3","title":"aws_greengrassv2.batch_associate_client_device_with_core_device/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#batch_associate_client_device_with_core_device/4","title":"aws_greengrassv2.batch_associate_client_device_with_core_device/4","type":"function"},{"doc":"Disassociates a list of client devices from a core device. After you disassociate a client device from a core device, the client device won't be able to use cloud discovery to retrieve the core device's connectivity information and certificates.","ref":"aws_greengrassv2.html#batch_disassociate_client_device_from_core_device/3","title":"aws_greengrassv2.batch_disassociate_client_device_from_core_device/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#batch_disassociate_client_device_from_core_device/4","title":"aws_greengrassv2.batch_disassociate_client_device_from_core_device/4","type":"function"},{"doc":"Cancels a deployment. This operation cancels the deployment for devices that haven't yet received it. If a device already received the deployment, this operation doesn't change anything for that device.","ref":"aws_greengrassv2.html#cancel_deployment/3","title":"aws_greengrassv2.cancel_deployment/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#cancel_deployment/4","title":"aws_greengrassv2.cancel_deployment/4","type":"function"},{"doc":"Creates a component. Components are software that run on Greengrass core devices. After you develop and test a component on your core device, you can use this operation to upload your component to IoT Greengrass. Then, you can deploy the component to other core devices. You can use this operation to do the following: Create components from recipes Create a component from a recipe, which is a file that defines the component's metadata, parameters, dependencies, lifecycle, artifacts, and platform capability. For more information, see IoT Greengrass component recipe reference in the IoT Greengrass V2 Developer Guide. To create a component from a recipe, specify inlineRecipe when you call this operation. Create components from Lambda functions Create a component from an Lambda function that runs on IoT Greengrass. This creates a recipe and artifacts from the Lambda function's deployment package. You can use this operation to migrate Lambda functions from IoT Greengrass V1 to IoT Greengrass V2. This function only accepts Lambda functions that use the following runtimes: Python 2.7 – python2.7 Python 3.7 – python3.7 Python 3.8 – python3.8 Python 3.9 – python3.9 Java 8 – java8 Java 11 – java11 Node.js 10 – nodejs10.x Node.js 12 – nodejs12.x Node.js 14 – nodejs14.x To create a component from a Lambda function, specify lambdaFunction when you call this operation. IoT Greengrass currently supports Lambda functions on only Linux core devices.","ref":"aws_greengrassv2.html#create_component_version/2","title":"aws_greengrassv2.create_component_version/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#create_component_version/3","title":"aws_greengrassv2.create_component_version/3","type":"function"},{"doc":"Creates a continuous deployment for a target, which is a Greengrass core device or group of core devices. When you add a new core device to a group of core devices that has a deployment, IoT Greengrass deploys that group's deployment to the new device. You can define one deployment for each target. When you create a new deployment for a target that has an existing deployment, you replace the previous deployment. IoT Greengrass applies the new deployment to the target devices. Every deployment has a revision number that indicates how many deployment revisions you define for a target. Use this operation to create a new revision of an existing deployment. For more information, see the Create deployments in the IoT Greengrass V2 Developer Guide.","ref":"aws_greengrassv2.html#create_deployment/2","title":"aws_greengrassv2.create_deployment/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#create_deployment/3","title":"aws_greengrassv2.create_deployment/3","type":"function"},{"doc":"Deletes a version of a component from IoT Greengrass. This operation deletes the component's recipe and artifacts. As a result, deployments that refer to this component version will fail. If you have deployments that use this component version, you can remove the component from the deployment or update the deployment to use a valid version.","ref":"aws_greengrassv2.html#delete_component/3","title":"aws_greengrassv2.delete_component/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#delete_component/4","title":"aws_greengrassv2.delete_component/4","type":"function"},{"doc":"Deletes a Greengrass core device, which is an IoT thing. This operation removes the core device from the list of core devices. This operation doesn't delete the IoT thing. For more information about how to delete the IoT thing, see DeleteThing in the IoT API Reference.","ref":"aws_greengrassv2.html#delete_core_device/3","title":"aws_greengrassv2.delete_core_device/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#delete_core_device/4","title":"aws_greengrassv2.delete_core_device/4","type":"function"},{"doc":"Deletes a deployment. To delete an active deployment, you must first cancel it. For more information, see CancelDeployment. Deleting a deployment doesn't affect core devices that run that deployment, because core devices store the deployment's configuration on the device. Additionally, core devices can roll back to a previous deployment that has been deleted.","ref":"aws_greengrassv2.html#delete_deployment/3","title":"aws_greengrassv2.delete_deployment/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#delete_deployment/4","title":"aws_greengrassv2.delete_deployment/4","type":"function"},{"doc":"Retrieves metadata for a version of a component.","ref":"aws_greengrassv2.html#describe_component/2","title":"aws_greengrassv2.describe_component/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#describe_component/4","title":"aws_greengrassv2.describe_component/4","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#describe_component/5","title":"aws_greengrassv2.describe_component/5","type":"function"},{"doc":"Disassociates the Greengrass service role from IoT Greengrass for your Amazon Web Services account in this Amazon Web Services Region. Without a service role, IoT Greengrass can't verify the identity of client devices or manage core device connectivity information. For more information, see Greengrass service role in the IoT Greengrass Version 2 Developer Guide.","ref":"aws_greengrassv2.html#disassociate_service_role_from_account/2","title":"aws_greengrassv2.disassociate_service_role_from_account/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#disassociate_service_role_from_account/3","title":"aws_greengrassv2.disassociate_service_role_from_account/3","type":"function"},{"doc":"Gets the recipe for a version of a component.","ref":"aws_greengrassv2.html#get_component/2","title":"aws_greengrassv2.get_component/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#get_component/4","title":"aws_greengrassv2.get_component/4","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#get_component/5","title":"aws_greengrassv2.get_component/5","type":"function"},{"doc":"Gets the pre-signed URL to download a public or a Lambda component artifact. Core devices call this operation to identify the URL that they can use to download an artifact to install.","ref":"aws_greengrassv2.html#get_component_version_artifact/3","title":"aws_greengrassv2.get_component_version_artifact/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#get_component_version_artifact/5","title":"aws_greengrassv2.get_component_version_artifact/5","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#get_component_version_artifact/6","title":"aws_greengrassv2.get_component_version_artifact/6","type":"function"},{"doc":"Retrieves connectivity information for a Greengrass core device. Connectivity information includes endpoints and ports where client devices can connect to an MQTT broker on the core device. When a client device calls the IoT Greengrass discovery API, IoT Greengrass returns connectivity information for all of the core devices where the client device can connect. For more information, see Connect client devices to core devices in the IoT Greengrass Version 2 Developer Guide.","ref":"aws_greengrassv2.html#get_connectivity_info/2","title":"aws_greengrassv2.get_connectivity_info/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#get_connectivity_info/4","title":"aws_greengrassv2.get_connectivity_info/4","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#get_connectivity_info/5","title":"aws_greengrassv2.get_connectivity_info/5","type":"function"},{"doc":"Retrieves metadata for a Greengrass core device. IoT Greengrass relies on individual devices to send status updates to the Amazon Web Services Cloud. If the IoT Greengrass Core software isn't running on the device, or if device isn't connected to the Amazon Web Services Cloud, then the reported status of that device might not reflect its current status. The status timestamp indicates when the device status was last updated. Core devices send status updates at the following times: When the IoT Greengrass Core software starts When the core device receives a deployment from the Amazon Web Services Cloud When the status of any component on the core device becomes BROKEN At a regular interval that you can configure, which defaults to 24 hours For IoT Greengrass Core v2.7.0, the core device sends status updates upon local deployment and cloud deployment","ref":"aws_greengrassv2.html#get_core_device/2","title":"aws_greengrassv2.get_core_device/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#get_core_device/4","title":"aws_greengrassv2.get_core_device/4","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#get_core_device/5","title":"aws_greengrassv2.get_core_device/5","type":"function"},{"doc":"Gets a deployment. Deployments define the components that run on Greengrass core devices.","ref":"aws_greengrassv2.html#get_deployment/2","title":"aws_greengrassv2.get_deployment/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#get_deployment/4","title":"aws_greengrassv2.get_deployment/4","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#get_deployment/5","title":"aws_greengrassv2.get_deployment/5","type":"function"},{"doc":"Gets the service role associated with IoT Greengrass for your Amazon Web Services account in this Amazon Web Services Region. IoT Greengrass uses this role to verify the identity of client devices and manage core device connectivity information. For more information, see Greengrass service role in the IoT Greengrass Version 2 Developer Guide.","ref":"aws_greengrassv2.html#get_service_role_for_account/1","title":"aws_greengrassv2.get_service_role_for_account/1","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#get_service_role_for_account/3","title":"aws_greengrassv2.get_service_role_for_account/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#get_service_role_for_account/4","title":"aws_greengrassv2.get_service_role_for_account/4","type":"function"},{"doc":"Retrieves a paginated list of client devices that are associated with a core device.","ref":"aws_greengrassv2.html#list_client_devices_associated_with_core_device/2","title":"aws_greengrassv2.list_client_devices_associated_with_core_device/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_client_devices_associated_with_core_device/4","title":"aws_greengrassv2.list_client_devices_associated_with_core_device/4","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_client_devices_associated_with_core_device/5","title":"aws_greengrassv2.list_client_devices_associated_with_core_device/5","type":"function"},{"doc":"Retrieves a paginated list of all versions for a component. Greater versions are listed first.","ref":"aws_greengrassv2.html#list_component_versions/2","title":"aws_greengrassv2.list_component_versions/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_component_versions/4","title":"aws_greengrassv2.list_component_versions/4","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_component_versions/5","title":"aws_greengrassv2.list_component_versions/5","type":"function"},{"doc":"Retrieves a paginated list of component summaries. This list includes components that you have permission to view.","ref":"aws_greengrassv2.html#list_components/1","title":"aws_greengrassv2.list_components/1","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_components/3","title":"aws_greengrassv2.list_components/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_components/4","title":"aws_greengrassv2.list_components/4","type":"function"},{"doc":"Retrieves a paginated list of Greengrass core devices. IoT Greengrass relies on individual devices to send status updates to the Amazon Web Services Cloud. If the IoT Greengrass Core software isn't running on the device, or if device isn't connected to the Amazon Web Services Cloud, then the reported status of that device might not reflect its current status. The status timestamp indicates when the device status was last updated. Core devices send status updates at the following times: When the IoT Greengrass Core software starts When the core device receives a deployment from the Amazon Web Services Cloud When the status of any component on the core device becomes BROKEN At a regular interval that you can configure, which defaults to 24 hours For IoT Greengrass Core v2.7.0, the core device sends status updates upon local deployment and cloud deployment","ref":"aws_greengrassv2.html#list_core_devices/1","title":"aws_greengrassv2.list_core_devices/1","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_core_devices/3","title":"aws_greengrassv2.list_core_devices/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_core_devices/4","title":"aws_greengrassv2.list_core_devices/4","type":"function"},{"doc":"Retrieves a paginated list of deployments.","ref":"aws_greengrassv2.html#list_deployments/1","title":"aws_greengrassv2.list_deployments/1","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_deployments/3","title":"aws_greengrassv2.list_deployments/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_deployments/4","title":"aws_greengrassv2.list_deployments/4","type":"function"},{"doc":"Retrieves a paginated list of deployment jobs that IoT Greengrass sends to Greengrass core devices.","ref":"aws_greengrassv2.html#list_effective_deployments/2","title":"aws_greengrassv2.list_effective_deployments/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_effective_deployments/4","title":"aws_greengrassv2.list_effective_deployments/4","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_effective_deployments/5","title":"aws_greengrassv2.list_effective_deployments/5","type":"function"},{"doc":"Retrieves a paginated list of the components that a Greengrass core device runs. By default, this list doesn't include components that are deployed as dependencies of other components. To include dependencies in the response, set the topologyFilter parameter to ALL . IoT Greengrass relies on individual devices to send status updates to the Amazon Web Services Cloud. If the IoT Greengrass Core software isn't running on the device, or if device isn't connected to the Amazon Web Services Cloud, then the reported status of that device might not reflect its current status. The status timestamp indicates when the device status was last updated. Core devices send status updates at the following times: When the IoT Greengrass Core software starts When the core device receives a deployment from the Amazon Web Services Cloud When the status of any component on the core device becomes BROKEN At a regular interval that you can configure, which defaults to 24 hours For IoT Greengrass Core v2.7.0, the core device sends status updates upon local deployment and cloud deployment","ref":"aws_greengrassv2.html#list_installed_components/2","title":"aws_greengrassv2.list_installed_components/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_installed_components/4","title":"aws_greengrassv2.list_installed_components/4","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_installed_components/5","title":"aws_greengrassv2.list_installed_components/5","type":"function"},{"doc":"Retrieves the list of tags for an IoT Greengrass resource.","ref":"aws_greengrassv2.html#list_tags_for_resource/2","title":"aws_greengrassv2.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_tags_for_resource/4","title":"aws_greengrassv2.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#list_tags_for_resource/5","title":"aws_greengrassv2.list_tags_for_resource/5","type":"function"},{"doc":"Retrieves a list of components that meet the component, version, and platform requirements of a deployment. Greengrass core devices call this operation when they receive a deployment to identify the components to install. This operation identifies components that meet all dependency requirements for a deployment. If the requirements conflict, then this operation returns an error and the deployment fails. For example, this occurs if component A requires version &amp;gt;2.0.0 and component B requires version &amp;lt;2.0.0 of a component dependency. When you specify the component candidates to resolve, IoT Greengrass compares each component's digest from the core device with the component's digest in the Amazon Web Services Cloud. If the digests don't match, then IoT Greengrass specifies to use the version from the Amazon Web Services Cloud. To use this operation, you must use the data plane API endpoint and authenticate with an IoT device certificate. For more information, see IoT Greengrass endpoints and quotas.","ref":"aws_greengrassv2.html#resolve_component_candidates/2","title":"aws_greengrassv2.resolve_component_candidates/2","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#resolve_component_candidates/3","title":"aws_greengrassv2.resolve_component_candidates/3","type":"function"},{"doc":"Adds tags to an IoT Greengrass resource. If a tag already exists for the resource, this operation updates the tag's value.","ref":"aws_greengrassv2.html#tag_resource/3","title":"aws_greengrassv2.tag_resource/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#tag_resource/4","title":"aws_greengrassv2.tag_resource/4","type":"function"},{"doc":"Removes a tag from an IoT Greengrass resource.","ref":"aws_greengrassv2.html#untag_resource/3","title":"aws_greengrassv2.untag_resource/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#untag_resource/4","title":"aws_greengrassv2.untag_resource/4","type":"function"},{"doc":"Updates connectivity information for a Greengrass core device. Connectivity information includes endpoints and ports where client devices can connect to an MQTT broker on the core device. When a client device calls the IoT Greengrass discovery API, IoT Greengrass returns connectivity information for all of the core devices where the client device can connect. For more information, see Connect client devices to core devices in the IoT Greengrass Version 2 Developer Guide.","ref":"aws_greengrassv2.html#update_connectivity_info/3","title":"aws_greengrassv2.update_connectivity_info/3","type":"function"},{"doc":"","ref":"aws_greengrassv2.html#update_connectivity_info/4","title":"aws_greengrassv2.update_connectivity_info/4","type":"function"},{"doc":"Welcome to the AWS Ground Station API Reference. AWS Ground Station is a fully managed service that enables you to control satellite communications, downlink and process satellite data, and scale your satellite operations efficiently and cost-effectively without having to build or manage your own ground station infrastructure.","ref":"aws_groundstation.html","title":"aws_groundstation","type":"module"},{"doc":"Cancels a contact with a specified contact ID.","ref":"aws_groundstation.html#cancel_contact/3","title":"aws_groundstation.cancel_contact/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#cancel_contact/4","title":"aws_groundstation.cancel_contact/4","type":"function"},{"doc":"Creates a Config with the specified configData parameters. Only one type of configData can be specified.","ref":"aws_groundstation.html#create_config/2","title":"aws_groundstation.create_config/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#create_config/3","title":"aws_groundstation.create_config/3","type":"function"},{"doc":"Creates a DataflowEndpoint group containing the specified list of DataflowEndpoint objects. The name field in each endpoint is used in your mission profile DataflowEndpointConfig to specify which endpoints to use during a contact. When a contact uses multiple DataflowEndpointConfig objects, each Config must match a DataflowEndpoint in the same group.","ref":"aws_groundstation.html#create_dataflow_endpoint_group/2","title":"aws_groundstation.create_dataflow_endpoint_group/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#create_dataflow_endpoint_group/3","title":"aws_groundstation.create_dataflow_endpoint_group/3","type":"function"},{"doc":"Creates an Ephemeris with the specified EphemerisData .","ref":"aws_groundstation.html#create_ephemeris/2","title":"aws_groundstation.create_ephemeris/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#create_ephemeris/3","title":"aws_groundstation.create_ephemeris/3","type":"function"},{"doc":"Creates a mission profile. dataflowEdges is a list of lists of strings. Each lower level list of strings has two elements: a from ARN and a to ARN.","ref":"aws_groundstation.html#create_mission_profile/2","title":"aws_groundstation.create_mission_profile/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#create_mission_profile/3","title":"aws_groundstation.create_mission_profile/3","type":"function"},{"doc":"Deletes a Config .","ref":"aws_groundstation.html#delete_config/4","title":"aws_groundstation.delete_config/4","type":"function"},{"doc":"","ref":"aws_groundstation.html#delete_config/5","title":"aws_groundstation.delete_config/5","type":"function"},{"doc":"Deletes a dataflow endpoint group.","ref":"aws_groundstation.html#delete_dataflow_endpoint_group/3","title":"aws_groundstation.delete_dataflow_endpoint_group/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#delete_dataflow_endpoint_group/4","title":"aws_groundstation.delete_dataflow_endpoint_group/4","type":"function"},{"doc":"Deletes an ephemeris","ref":"aws_groundstation.html#delete_ephemeris/3","title":"aws_groundstation.delete_ephemeris/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#delete_ephemeris/4","title":"aws_groundstation.delete_ephemeris/4","type":"function"},{"doc":"Deletes a mission profile.","ref":"aws_groundstation.html#delete_mission_profile/3","title":"aws_groundstation.delete_mission_profile/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#delete_mission_profile/4","title":"aws_groundstation.delete_mission_profile/4","type":"function"},{"doc":"Describes an existing contact.","ref":"aws_groundstation.html#describe_contact/2","title":"aws_groundstation.describe_contact/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#describe_contact/4","title":"aws_groundstation.describe_contact/4","type":"function"},{"doc":"","ref":"aws_groundstation.html#describe_contact/5","title":"aws_groundstation.describe_contact/5","type":"function"},{"doc":"Describes an existing ephemeris.","ref":"aws_groundstation.html#describe_ephemeris/2","title":"aws_groundstation.describe_ephemeris/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#describe_ephemeris/4","title":"aws_groundstation.describe_ephemeris/4","type":"function"},{"doc":"","ref":"aws_groundstation.html#describe_ephemeris/5","title":"aws_groundstation.describe_ephemeris/5","type":"function"},{"doc":"Gets the latest configuration information for a registered agent.","ref":"aws_groundstation.html#get_agent_configuration/2","title":"aws_groundstation.get_agent_configuration/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#get_agent_configuration/4","title":"aws_groundstation.get_agent_configuration/4","type":"function"},{"doc":"","ref":"aws_groundstation.html#get_agent_configuration/5","title":"aws_groundstation.get_agent_configuration/5","type":"function"},{"doc":"Returns Config information. Only one Config response can be returned.","ref":"aws_groundstation.html#get_config/3","title":"aws_groundstation.get_config/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#get_config/5","title":"aws_groundstation.get_config/5","type":"function"},{"doc":"","ref":"aws_groundstation.html#get_config/6","title":"aws_groundstation.get_config/6","type":"function"},{"doc":"Returns the dataflow endpoint group.","ref":"aws_groundstation.html#get_dataflow_endpoint_group/2","title":"aws_groundstation.get_dataflow_endpoint_group/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#get_dataflow_endpoint_group/4","title":"aws_groundstation.get_dataflow_endpoint_group/4","type":"function"},{"doc":"","ref":"aws_groundstation.html#get_dataflow_endpoint_group/5","title":"aws_groundstation.get_dataflow_endpoint_group/5","type":"function"},{"doc":"Returns the number of minutes used by account.","ref":"aws_groundstation.html#get_minute_usage/2","title":"aws_groundstation.get_minute_usage/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#get_minute_usage/3","title":"aws_groundstation.get_minute_usage/3","type":"function"},{"doc":"Returns a mission profile.","ref":"aws_groundstation.html#get_mission_profile/2","title":"aws_groundstation.get_mission_profile/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#get_mission_profile/4","title":"aws_groundstation.get_mission_profile/4","type":"function"},{"doc":"","ref":"aws_groundstation.html#get_mission_profile/5","title":"aws_groundstation.get_mission_profile/5","type":"function"},{"doc":"Returns a satellite.","ref":"aws_groundstation.html#get_satellite/2","title":"aws_groundstation.get_satellite/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#get_satellite/4","title":"aws_groundstation.get_satellite/4","type":"function"},{"doc":"","ref":"aws_groundstation.html#get_satellite/5","title":"aws_groundstation.get_satellite/5","type":"function"},{"doc":"Returns a list of Config objects.","ref":"aws_groundstation.html#list_configs/1","title":"aws_groundstation.list_configs/1","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_configs/3","title":"aws_groundstation.list_configs/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_configs/4","title":"aws_groundstation.list_configs/4","type":"function"},{"doc":"Returns a list of contacts. If statusList contains AVAILABLE, the request must include groundStation , missionprofileArn , and satelliteArn .","ref":"aws_groundstation.html#list_contacts/2","title":"aws_groundstation.list_contacts/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_contacts/3","title":"aws_groundstation.list_contacts/3","type":"function"},{"doc":"Returns a list of DataflowEndpoint groups.","ref":"aws_groundstation.html#list_dataflow_endpoint_groups/1","title":"aws_groundstation.list_dataflow_endpoint_groups/1","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_dataflow_endpoint_groups/3","title":"aws_groundstation.list_dataflow_endpoint_groups/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_dataflow_endpoint_groups/4","title":"aws_groundstation.list_dataflow_endpoint_groups/4","type":"function"},{"doc":"List existing ephemerides.","ref":"aws_groundstation.html#list_ephemerides/2","title":"aws_groundstation.list_ephemerides/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_ephemerides/3","title":"aws_groundstation.list_ephemerides/3","type":"function"},{"doc":"Returns a list of ground stations.","ref":"aws_groundstation.html#list_ground_stations/1","title":"aws_groundstation.list_ground_stations/1","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_ground_stations/3","title":"aws_groundstation.list_ground_stations/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_ground_stations/4","title":"aws_groundstation.list_ground_stations/4","type":"function"},{"doc":"Returns a list of mission profiles.","ref":"aws_groundstation.html#list_mission_profiles/1","title":"aws_groundstation.list_mission_profiles/1","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_mission_profiles/3","title":"aws_groundstation.list_mission_profiles/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_mission_profiles/4","title":"aws_groundstation.list_mission_profiles/4","type":"function"},{"doc":"Returns a list of satellites.","ref":"aws_groundstation.html#list_satellites/1","title":"aws_groundstation.list_satellites/1","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_satellites/3","title":"aws_groundstation.list_satellites/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_satellites/4","title":"aws_groundstation.list_satellites/4","type":"function"},{"doc":"Returns a list of tags for a specified resource.","ref":"aws_groundstation.html#list_tags_for_resource/2","title":"aws_groundstation.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_tags_for_resource/4","title":"aws_groundstation.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_groundstation.html#list_tags_for_resource/5","title":"aws_groundstation.list_tags_for_resource/5","type":"function"},{"doc":"Registers a new agent with AWS Groundstation.","ref":"aws_groundstation.html#register_agent/2","title":"aws_groundstation.register_agent/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#register_agent/3","title":"aws_groundstation.register_agent/3","type":"function"},{"doc":"Reserves a contact using specified parameters.","ref":"aws_groundstation.html#reserve_contact/2","title":"aws_groundstation.reserve_contact/2","type":"function"},{"doc":"","ref":"aws_groundstation.html#reserve_contact/3","title":"aws_groundstation.reserve_contact/3","type":"function"},{"doc":"Assigns a tag to a resource.","ref":"aws_groundstation.html#tag_resource/3","title":"aws_groundstation.tag_resource/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#tag_resource/4","title":"aws_groundstation.tag_resource/4","type":"function"},{"doc":"Deassigns a resource tag.","ref":"aws_groundstation.html#untag_resource/3","title":"aws_groundstation.untag_resource/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#untag_resource/4","title":"aws_groundstation.untag_resource/4","type":"function"},{"doc":"Update the status of the agent.","ref":"aws_groundstation.html#update_agent_status/3","title":"aws_groundstation.update_agent_status/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#update_agent_status/4","title":"aws_groundstation.update_agent_status/4","type":"function"},{"doc":"Updates the Config used when scheduling contacts. Updating a Config will not update the execution parameters for existing future contacts scheduled with this Config .","ref":"aws_groundstation.html#update_config/4","title":"aws_groundstation.update_config/4","type":"function"},{"doc":"","ref":"aws_groundstation.html#update_config/5","title":"aws_groundstation.update_config/5","type":"function"},{"doc":"Updates an existing ephemeris","ref":"aws_groundstation.html#update_ephemeris/3","title":"aws_groundstation.update_ephemeris/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#update_ephemeris/4","title":"aws_groundstation.update_ephemeris/4","type":"function"},{"doc":"Updates a mission profile. Updating a mission profile will not update the execution parameters for existing future contacts.","ref":"aws_groundstation.html#update_mission_profile/3","title":"aws_groundstation.update_mission_profile/3","type":"function"},{"doc":"","ref":"aws_groundstation.html#update_mission_profile/4","title":"aws_groundstation.update_mission_profile/4","type":"function"},{"doc":"Amazon GuardDuty is a continuous security monitoring service that analyzes and processes the following data sources: VPC flow logs, Amazon Web Services CloudTrail management event logs, CloudTrail S3 data event logs, EKS audit logs, DNS logs, and Amazon EBS volume data. It uses threat intelligence feeds, such as lists of malicious IPs and domains, and machine learning to identify unexpected, potentially unauthorized, and malicious activity within your Amazon Web Services environment. This can include issues like escalations of privileges, uses of exposed credentials, or communication with malicious IPs, domains, or presence of malware on your Amazon EC2 instances and container workloads. For example, GuardDuty can detect compromised EC2 instances and container workloads serving malware, or mining bitcoin. GuardDuty also monitors Amazon Web Services account access behavior for signs of compromise, such as unauthorized infrastructure deployments like EC2 instances deployed in a Region that has never been used, or unusual API calls like a password policy change to reduce password strength. GuardDuty informs you about the status of your Amazon Web Services environment by producing security findings that you can view in the GuardDuty console or through Amazon EventBridge. For more information, see the Amazon GuardDuty User Guide .","ref":"aws_guardduty.html","title":"aws_guardduty","type":"module"},{"doc":"Accepts the invitation to be a member account and get monitored by a GuardDuty administrator account that sent the invitation.","ref":"aws_guardduty.html#accept_administrator_invitation/3","title":"aws_guardduty.accept_administrator_invitation/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#accept_administrator_invitation/4","title":"aws_guardduty.accept_administrator_invitation/4","type":"function"},{"doc":"Accepts the invitation to be monitored by a GuardDuty administrator account.","ref":"aws_guardduty.html#accept_invitation/3","title":"aws_guardduty.accept_invitation/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#accept_invitation/4","title":"aws_guardduty.accept_invitation/4","type":"function"},{"doc":"Archives GuardDuty findings that are specified by the list of finding IDs. Only the administrator account can archive findings. Member accounts don't have permission to archive findings from their accounts.","ref":"aws_guardduty.html#archive_findings/3","title":"aws_guardduty.archive_findings/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#archive_findings/4","title":"aws_guardduty.archive_findings/4","type":"function"},{"doc":"Creates a single Amazon GuardDuty detector. A detector is a resource that represents the GuardDuty service. To start using GuardDuty, you must create a detector in each Region where you enable the service. You can have only one detector per account per Region. All data sources are enabled in a new detector by default.","ref":"aws_guardduty.html#create_detector/2","title":"aws_guardduty.create_detector/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#create_detector/3","title":"aws_guardduty.create_detector/3","type":"function"},{"doc":"Creates a filter using the specified finding criteria.","ref":"aws_guardduty.html#create_filter/3","title":"aws_guardduty.create_filter/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#create_filter/4","title":"aws_guardduty.create_filter/4","type":"function"},{"doc":"Creates a new IPSet, which is called a trusted IP list in the console user interface. An IPSet is a list of IP addresses that are trusted for secure communication with Amazon Web Services infrastructure and applications. GuardDuty doesn't generate findings for IP addresses that are included in IPSets. Only users from the administrator account can use this operation.","ref":"aws_guardduty.html#create_ip_set/3","title":"aws_guardduty.create_ip_set/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#create_ip_set/4","title":"aws_guardduty.create_ip_set/4","type":"function"},{"doc":"Creates member accounts of the current Amazon Web Services account by specifying a list of Amazon Web Services account IDs. This step is a prerequisite for managing the associated member accounts either by invitation or through an organization. When using Create Members as an organizations delegated administrator this action will enable GuardDuty in the added member accounts, with the exception of the organization delegated administrator account, which must enable GuardDuty prior to being added as a member. If you are adding accounts by invitation use this action after GuardDuty has been enabled in potential member accounts and before using Invite Members .","ref":"aws_guardduty.html#create_members/3","title":"aws_guardduty.create_members/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#create_members/4","title":"aws_guardduty.create_members/4","type":"function"},{"doc":"Creates a publishing destination to export findings to. The resource to export findings to must exist before you use this operation.","ref":"aws_guardduty.html#create_publishing_destination/3","title":"aws_guardduty.create_publishing_destination/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#create_publishing_destination/4","title":"aws_guardduty.create_publishing_destination/4","type":"function"},{"doc":"Generates example findings of types specified by the list of finding types. If 'NULL' is specified for findingTypes , the API generates example findings of all supported finding types.","ref":"aws_guardduty.html#create_sample_findings/3","title":"aws_guardduty.create_sample_findings/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#create_sample_findings/4","title":"aws_guardduty.create_sample_findings/4","type":"function"},{"doc":"Creates a new ThreatIntelSet. ThreatIntelSets consist of known malicious IP addresses. GuardDuty generates findings based on ThreatIntelSets. Only users of the administrator account can use this operation.","ref":"aws_guardduty.html#create_threat_intel_set/3","title":"aws_guardduty.create_threat_intel_set/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#create_threat_intel_set/4","title":"aws_guardduty.create_threat_intel_set/4","type":"function"},{"doc":"Declines invitations sent to the current member account by Amazon Web Services accounts specified by their account IDs.","ref":"aws_guardduty.html#decline_invitations/2","title":"aws_guardduty.decline_invitations/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#decline_invitations/3","title":"aws_guardduty.decline_invitations/3","type":"function"},{"doc":"Deletes an Amazon GuardDuty detector that is specified by the detector ID.","ref":"aws_guardduty.html#delete_detector/3","title":"aws_guardduty.delete_detector/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#delete_detector/4","title":"aws_guardduty.delete_detector/4","type":"function"},{"doc":"Deletes the filter specified by the filter name.","ref":"aws_guardduty.html#delete_filter/4","title":"aws_guardduty.delete_filter/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#delete_filter/5","title":"aws_guardduty.delete_filter/5","type":"function"},{"doc":"Deletes invitations sent to the current member account by Amazon Web Services accounts specified by their account IDs.","ref":"aws_guardduty.html#delete_invitations/2","title":"aws_guardduty.delete_invitations/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#delete_invitations/3","title":"aws_guardduty.delete_invitations/3","type":"function"},{"doc":"Deletes the IPSet specified by the ipSetId . IPSets are called trusted IP lists in the console user interface.","ref":"aws_guardduty.html#delete_ip_set/4","title":"aws_guardduty.delete_ip_set/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#delete_ip_set/5","title":"aws_guardduty.delete_ip_set/5","type":"function"},{"doc":"Deletes GuardDuty member accounts (to the current GuardDuty administrator account) specified by the account IDs.","ref":"aws_guardduty.html#delete_members/3","title":"aws_guardduty.delete_members/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#delete_members/4","title":"aws_guardduty.delete_members/4","type":"function"},{"doc":"Deletes the publishing definition with the specified destinationId .","ref":"aws_guardduty.html#delete_publishing_destination/4","title":"aws_guardduty.delete_publishing_destination/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#delete_publishing_destination/5","title":"aws_guardduty.delete_publishing_destination/5","type":"function"},{"doc":"Deletes the ThreatIntelSet specified by the ThreatIntelSet ID.","ref":"aws_guardduty.html#delete_threat_intel_set/4","title":"aws_guardduty.delete_threat_intel_set/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#delete_threat_intel_set/5","title":"aws_guardduty.delete_threat_intel_set/5","type":"function"},{"doc":"Returns a list of malware scans. Each member account can view the malware scans for their own accounts. An administrator can view the malware scans for all the member accounts.","ref":"aws_guardduty.html#describe_malware_scans/3","title":"aws_guardduty.describe_malware_scans/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#describe_malware_scans/4","title":"aws_guardduty.describe_malware_scans/4","type":"function"},{"doc":"Returns information about the account selected as the delegated administrator for GuardDuty.","ref":"aws_guardduty.html#describe_organization_configuration/2","title":"aws_guardduty.describe_organization_configuration/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#describe_organization_configuration/4","title":"aws_guardduty.describe_organization_configuration/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#describe_organization_configuration/5","title":"aws_guardduty.describe_organization_configuration/5","type":"function"},{"doc":"Returns information about the publishing destination specified by the provided destinationId .","ref":"aws_guardduty.html#describe_publishing_destination/3","title":"aws_guardduty.describe_publishing_destination/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#describe_publishing_destination/5","title":"aws_guardduty.describe_publishing_destination/5","type":"function"},{"doc":"","ref":"aws_guardduty.html#describe_publishing_destination/6","title":"aws_guardduty.describe_publishing_destination/6","type":"function"},{"doc":"Disables an Amazon Web Services account within the Organization as the GuardDuty delegated administrator.","ref":"aws_guardduty.html#disable_organization_admin_account/2","title":"aws_guardduty.disable_organization_admin_account/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#disable_organization_admin_account/3","title":"aws_guardduty.disable_organization_admin_account/3","type":"function"},{"doc":"Disassociates the current GuardDuty member account from its administrator account.","ref":"aws_guardduty.html#disassociate_from_administrator_account/3","title":"aws_guardduty.disassociate_from_administrator_account/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#disassociate_from_administrator_account/4","title":"aws_guardduty.disassociate_from_administrator_account/4","type":"function"},{"doc":"Disassociates the current GuardDuty member account from its administrator account.","ref":"aws_guardduty.html#disassociate_from_master_account/3","title":"aws_guardduty.disassociate_from_master_account/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#disassociate_from_master_account/4","title":"aws_guardduty.disassociate_from_master_account/4","type":"function"},{"doc":"Disassociates GuardDuty member accounts (to the current administrator account) specified by the account IDs.","ref":"aws_guardduty.html#disassociate_members/3","title":"aws_guardduty.disassociate_members/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#disassociate_members/4","title":"aws_guardduty.disassociate_members/4","type":"function"},{"doc":"Enables an Amazon Web Services account within the organization as the GuardDuty delegated administrator.","ref":"aws_guardduty.html#enable_organization_admin_account/2","title":"aws_guardduty.enable_organization_admin_account/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#enable_organization_admin_account/3","title":"aws_guardduty.enable_organization_admin_account/3","type":"function"},{"doc":"Provides the details for the GuardDuty administrator account associated with the current GuardDuty member account.","ref":"aws_guardduty.html#get_administrator_account/2","title":"aws_guardduty.get_administrator_account/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_administrator_account/4","title":"aws_guardduty.get_administrator_account/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_administrator_account/5","title":"aws_guardduty.get_administrator_account/5","type":"function"},{"doc":"Retrieves an Amazon GuardDuty detector specified by the detectorId.","ref":"aws_guardduty.html#get_detector/2","title":"aws_guardduty.get_detector/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_detector/4","title":"aws_guardduty.get_detector/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_detector/5","title":"aws_guardduty.get_detector/5","type":"function"},{"doc":"Returns the details of the filter specified by the filter name.","ref":"aws_guardduty.html#get_filter/3","title":"aws_guardduty.get_filter/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_filter/5","title":"aws_guardduty.get_filter/5","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_filter/6","title":"aws_guardduty.get_filter/6","type":"function"},{"doc":"Describes Amazon GuardDuty findings specified by finding IDs.","ref":"aws_guardduty.html#get_findings/3","title":"aws_guardduty.get_findings/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_findings/4","title":"aws_guardduty.get_findings/4","type":"function"},{"doc":"Lists Amazon GuardDuty findings statistics for the specified detector ID.","ref":"aws_guardduty.html#get_findings_statistics/3","title":"aws_guardduty.get_findings_statistics/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_findings_statistics/4","title":"aws_guardduty.get_findings_statistics/4","type":"function"},{"doc":"Returns the count of all GuardDuty membership invitations that were sent to the current member account except the currently accepted invitation.","ref":"aws_guardduty.html#get_invitations_count/1","title":"aws_guardduty.get_invitations_count/1","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_invitations_count/3","title":"aws_guardduty.get_invitations_count/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_invitations_count/4","title":"aws_guardduty.get_invitations_count/4","type":"function"},{"doc":"Retrieves the IPSet specified by the ipSetId .","ref":"aws_guardduty.html#get_ip_set/3","title":"aws_guardduty.get_ip_set/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_ip_set/5","title":"aws_guardduty.get_ip_set/5","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_ip_set/6","title":"aws_guardduty.get_ip_set/6","type":"function"},{"doc":"Returns the details of the malware scan settings.","ref":"aws_guardduty.html#get_malware_scan_settings/2","title":"aws_guardduty.get_malware_scan_settings/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_malware_scan_settings/4","title":"aws_guardduty.get_malware_scan_settings/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_malware_scan_settings/5","title":"aws_guardduty.get_malware_scan_settings/5","type":"function"},{"doc":"Provides the details for the GuardDuty administrator account associated with the current GuardDuty member account.","ref":"aws_guardduty.html#get_master_account/2","title":"aws_guardduty.get_master_account/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_master_account/4","title":"aws_guardduty.get_master_account/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_master_account/5","title":"aws_guardduty.get_master_account/5","type":"function"},{"doc":"Describes which data sources are enabled for the member account's detector.","ref":"aws_guardduty.html#get_member_detectors/3","title":"aws_guardduty.get_member_detectors/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_member_detectors/4","title":"aws_guardduty.get_member_detectors/4","type":"function"},{"doc":"Retrieves GuardDuty member accounts (of the current GuardDuty administrator account) specified by the account IDs.","ref":"aws_guardduty.html#get_members/3","title":"aws_guardduty.get_members/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_members/4","title":"aws_guardduty.get_members/4","type":"function"},{"doc":"Provides the number of days left for each data source used in the free trial period.","ref":"aws_guardduty.html#get_remaining_free_trial_days/3","title":"aws_guardduty.get_remaining_free_trial_days/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_remaining_free_trial_days/4","title":"aws_guardduty.get_remaining_free_trial_days/4","type":"function"},{"doc":"Retrieves the ThreatIntelSet that is specified by the ThreatIntelSet ID.","ref":"aws_guardduty.html#get_threat_intel_set/3","title":"aws_guardduty.get_threat_intel_set/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_threat_intel_set/5","title":"aws_guardduty.get_threat_intel_set/5","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_threat_intel_set/6","title":"aws_guardduty.get_threat_intel_set/6","type":"function"},{"doc":"Lists Amazon GuardDuty usage statistics over the last 30 days for the specified detector ID. For newly enabled detectors or data sources, the cost returned will include only the usage so far under 30 days. This may differ from the cost metrics in the console, which project usage over 30 days to provide a monthly cost estimate. For more information, see Understanding How Usage Costs are Calculated.","ref":"aws_guardduty.html#get_usage_statistics/3","title":"aws_guardduty.get_usage_statistics/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#get_usage_statistics/4","title":"aws_guardduty.get_usage_statistics/4","type":"function"},{"doc":"Invites other Amazon Web Services accounts (created as members of the current Amazon Web Services account by CreateMembers) to enable GuardDuty, and allow the current Amazon Web Services account to view and manage these accounts' findings on their behalf as the GuardDuty administrator account.","ref":"aws_guardduty.html#invite_members/3","title":"aws_guardduty.invite_members/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#invite_members/4","title":"aws_guardduty.invite_members/4","type":"function"},{"doc":"Lists detectorIds of all the existing Amazon GuardDuty detector resources.","ref":"aws_guardduty.html#list_detectors/1","title":"aws_guardduty.list_detectors/1","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_detectors/3","title":"aws_guardduty.list_detectors/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_detectors/4","title":"aws_guardduty.list_detectors/4","type":"function"},{"doc":"Returns a paginated list of the current filters.","ref":"aws_guardduty.html#list_filters/2","title":"aws_guardduty.list_filters/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_filters/4","title":"aws_guardduty.list_filters/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_filters/5","title":"aws_guardduty.list_filters/5","type":"function"},{"doc":"Lists Amazon GuardDuty findings for the specified detector ID.","ref":"aws_guardduty.html#list_findings/3","title":"aws_guardduty.list_findings/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_findings/4","title":"aws_guardduty.list_findings/4","type":"function"},{"doc":"Lists all GuardDuty membership invitations that were sent to the current Amazon Web Services account.","ref":"aws_guardduty.html#list_invitations/1","title":"aws_guardduty.list_invitations/1","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_invitations/3","title":"aws_guardduty.list_invitations/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_invitations/4","title":"aws_guardduty.list_invitations/4","type":"function"},{"doc":"Lists the IPSets of the GuardDuty service specified by the detector ID. If you use this operation from a member account, the IPSets returned are the IPSets from the associated administrator account.","ref":"aws_guardduty.html#list_ip_sets/2","title":"aws_guardduty.list_ip_sets/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_ip_sets/4","title":"aws_guardduty.list_ip_sets/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_ip_sets/5","title":"aws_guardduty.list_ip_sets/5","type":"function"},{"doc":"Lists details about all member accounts for the current GuardDuty administrator account.","ref":"aws_guardduty.html#list_members/2","title":"aws_guardduty.list_members/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_members/4","title":"aws_guardduty.list_members/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_members/5","title":"aws_guardduty.list_members/5","type":"function"},{"doc":"Lists the accounts configured as GuardDuty delegated administrators.","ref":"aws_guardduty.html#list_organization_admin_accounts/1","title":"aws_guardduty.list_organization_admin_accounts/1","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_organization_admin_accounts/3","title":"aws_guardduty.list_organization_admin_accounts/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_organization_admin_accounts/4","title":"aws_guardduty.list_organization_admin_accounts/4","type":"function"},{"doc":"Returns a list of publishing destinations associated with the specified detectorId .","ref":"aws_guardduty.html#list_publishing_destinations/2","title":"aws_guardduty.list_publishing_destinations/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_publishing_destinations/4","title":"aws_guardduty.list_publishing_destinations/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_publishing_destinations/5","title":"aws_guardduty.list_publishing_destinations/5","type":"function"},{"doc":"Lists tags for a resource. Tagging is currently supported for detectors, finding filters, IP sets, and threat intel sets, with a limit of 50 tags per resource. When invoked, this operation returns all assigned tags for a given resource.","ref":"aws_guardduty.html#list_tags_for_resource/2","title":"aws_guardduty.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_tags_for_resource/4","title":"aws_guardduty.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_tags_for_resource/5","title":"aws_guardduty.list_tags_for_resource/5","type":"function"},{"doc":"Lists the ThreatIntelSets of the GuardDuty service specified by the detector ID. If you use this operation from a member account, the ThreatIntelSets associated with the administrator account are returned.","ref":"aws_guardduty.html#list_threat_intel_sets/2","title":"aws_guardduty.list_threat_intel_sets/2","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_threat_intel_sets/4","title":"aws_guardduty.list_threat_intel_sets/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#list_threat_intel_sets/5","title":"aws_guardduty.list_threat_intel_sets/5","type":"function"},{"doc":"Turns on GuardDuty monitoring of the specified member accounts. Use this operation to restart monitoring of accounts that you stopped monitoring with the StopMonitoringMembers operation.","ref":"aws_guardduty.html#start_monitoring_members/3","title":"aws_guardduty.start_monitoring_members/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#start_monitoring_members/4","title":"aws_guardduty.start_monitoring_members/4","type":"function"},{"doc":"Stops GuardDuty monitoring for the specified member accounts. Use the StartMonitoringMembers operation to restart monitoring for those accounts.","ref":"aws_guardduty.html#stop_monitoring_members/3","title":"aws_guardduty.stop_monitoring_members/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#stop_monitoring_members/4","title":"aws_guardduty.stop_monitoring_members/4","type":"function"},{"doc":"Adds tags to a resource.","ref":"aws_guardduty.html#tag_resource/3","title":"aws_guardduty.tag_resource/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#tag_resource/4","title":"aws_guardduty.tag_resource/4","type":"function"},{"doc":"Unarchives GuardDuty findings specified by the findingIds .","ref":"aws_guardduty.html#unarchive_findings/3","title":"aws_guardduty.unarchive_findings/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#unarchive_findings/4","title":"aws_guardduty.unarchive_findings/4","type":"function"},{"doc":"Removes tags from a resource.","ref":"aws_guardduty.html#untag_resource/3","title":"aws_guardduty.untag_resource/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#untag_resource/4","title":"aws_guardduty.untag_resource/4","type":"function"},{"doc":"Updates the Amazon GuardDuty detector specified by the detectorId.","ref":"aws_guardduty.html#update_detector/3","title":"aws_guardduty.update_detector/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#update_detector/4","title":"aws_guardduty.update_detector/4","type":"function"},{"doc":"Updates the filter specified by the filter name.","ref":"aws_guardduty.html#update_filter/4","title":"aws_guardduty.update_filter/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#update_filter/5","title":"aws_guardduty.update_filter/5","type":"function"},{"doc":"Marks the specified GuardDuty findings as useful or not useful.","ref":"aws_guardduty.html#update_findings_feedback/3","title":"aws_guardduty.update_findings_feedback/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#update_findings_feedback/4","title":"aws_guardduty.update_findings_feedback/4","type":"function"},{"doc":"Updates the IPSet specified by the IPSet ID.","ref":"aws_guardduty.html#update_ip_set/4","title":"aws_guardduty.update_ip_set/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#update_ip_set/5","title":"aws_guardduty.update_ip_set/5","type":"function"},{"doc":"Updates the malware scan settings.","ref":"aws_guardduty.html#update_malware_scan_settings/3","title":"aws_guardduty.update_malware_scan_settings/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#update_malware_scan_settings/4","title":"aws_guardduty.update_malware_scan_settings/4","type":"function"},{"doc":"Contains information on member accounts to be updated.","ref":"aws_guardduty.html#update_member_detectors/3","title":"aws_guardduty.update_member_detectors/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#update_member_detectors/4","title":"aws_guardduty.update_member_detectors/4","type":"function"},{"doc":"Updates the delegated administrator account with the values provided.","ref":"aws_guardduty.html#update_organization_configuration/3","title":"aws_guardduty.update_organization_configuration/3","type":"function"},{"doc":"","ref":"aws_guardduty.html#update_organization_configuration/4","title":"aws_guardduty.update_organization_configuration/4","type":"function"},{"doc":"Updates information about the publishing destination specified by the destinationId .","ref":"aws_guardduty.html#update_publishing_destination/4","title":"aws_guardduty.update_publishing_destination/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#update_publishing_destination/5","title":"aws_guardduty.update_publishing_destination/5","type":"function"},{"doc":"Updates the ThreatIntelSet specified by the ThreatIntelSet ID.","ref":"aws_guardduty.html#update_threat_intel_set/4","title":"aws_guardduty.update_threat_intel_set/4","type":"function"},{"doc":"","ref":"aws_guardduty.html#update_threat_intel_set/5","title":"aws_guardduty.update_threat_intel_set/5","type":"function"},{"doc":"Health The Health API provides programmatic access to the Health information that appears in the Personal Health Dashboard. You can use the API operations to get information about events that might affect your Amazon Web Services services and resources. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan from Amazon Web Services Support to use the Health API. If you call the Health API from an Amazon Web Services account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, you receive a SubscriptionRequiredException error. You can use the Health endpoint health.us-east-1.amazonaws.com (HTTPS) to call the Health API operations. Health supports a multi-Region application architecture and has two regional endpoints in an active-passive configuration. You can use the high availability endpoint example to determine which Amazon Web Services Region is active, so that you can get the latest information from the API. For more information, see Accessing the Health API in the Health User Guide. For authentication of requests, Health uses the Signature Version 4 Signing Process. If your Amazon Web Services account is part of Organizations, you can use the Health organizational view feature. This feature provides a centralized view of Health events across all accounts in your organization. You can aggregate Health events in real time to identify accounts in your organization that are affected by an operational event or get notified of security vulnerabilities. Use the organizational view API operations to enable this feature and return event information. For more information, see Aggregating Health events in the Health User Guide. When you use the Health API operations to return Health events, see the following recommendations: Use the eventScopeCode parameter to specify whether to return Health events that are public or account-specific. Use pagination to view all events from the response. For example, if you call the DescribeEventsForOrganization operation to get all events in your organization, you might receive several page results. Specify the nextToken in the next request to return more results.","ref":"aws_health.html","title":"aws_health","type":"module"},{"doc":"Returns a list of accounts in the organization from Organizations that are affected by the provided event. For more information about the different types of Health events, see Event. Before you can call this operation, you must first enable Health to work with Organizations. To do this, call the EnableHealthServiceAccessForOrganization operation from your organization's management account. This API operation uses pagination. Specify the nextToken parameter in the next request to return more results.","ref":"aws_health.html#describe_affected_accounts_for_organization/2","title":"aws_health.describe_affected_accounts_for_organization/2","type":"function"},{"doc":"","ref":"aws_health.html#describe_affected_accounts_for_organization/3","title":"aws_health.describe_affected_accounts_for_organization/3","type":"function"},{"doc":"Returns a list of entities that have been affected by the specified events, based on the specified filter criteria. Entities can refer to individual customer resources, groups of customer resources, or any other construct, depending on the Amazon Web Services service. Events that have impact beyond that of the affected entities, or where the extent of impact is unknown, include at least one entity indicating this. At least one event ARN is required. This API operation uses pagination. Specify the nextToken parameter in the next request to return more results. This operation supports resource-level permissions. You can use this operation to allow or deny access to specific Health events. For more information, see Resource- and action-based conditions in the Health User Guide.","ref":"aws_health.html#describe_affected_entities/2","title":"aws_health.describe_affected_entities/2","type":"function"},{"doc":"","ref":"aws_health.html#describe_affected_entities/3","title":"aws_health.describe_affected_entities/3","type":"function"},{"doc":"Returns a list of entities that have been affected by one or more events for one or more accounts in your organization in Organizations, based on the filter criteria. Entities can refer to individual customer resources, groups of customer resources, or any other construct, depending on the Amazon Web Services service. At least one event Amazon Resource Name (ARN) and account ID are required. Before you can call this operation, you must first enable Health to work with Organizations. To do this, call the EnableHealthServiceAccessForOrganization operation from your organization's management account. This API operation uses pagination. Specify the nextToken parameter in the next request to return more results. This operation doesn't support resource-level permissions. You can't use this operation to allow or deny access to specific Health events. For more information, see Resource- and action-based conditions in the Health User Guide.","ref":"aws_health.html#describe_affected_entities_for_organization/2","title":"aws_health.describe_affected_entities_for_organization/2","type":"function"},{"doc":"","ref":"aws_health.html#describe_affected_entities_for_organization/3","title":"aws_health.describe_affected_entities_for_organization/3","type":"function"},{"doc":"Returns the number of entities that are affected by each of the specified events.","ref":"aws_health.html#describe_entity_aggregates/2","title":"aws_health.describe_entity_aggregates/2","type":"function"},{"doc":"","ref":"aws_health.html#describe_entity_aggregates/3","title":"aws_health.describe_entity_aggregates/3","type":"function"},{"doc":"Returns the number of events of each event type (issue, scheduled change, and account notification). If no filter is specified, the counts of all events in each category are returned. This API operation uses pagination. Specify the nextToken parameter in the next request to return more results.","ref":"aws_health.html#describe_event_aggregates/2","title":"aws_health.describe_event_aggregates/2","type":"function"},{"doc":"","ref":"aws_health.html#describe_event_aggregates/3","title":"aws_health.describe_event_aggregates/3","type":"function"},{"doc":"Returns detailed information about one or more specified events. Information includes standard event data (Amazon Web Services Region, service, and so on, as returned by DescribeEvents), a detailed event description, and possible additional metadata that depends upon the nature of the event. Affected entities are not included. To retrieve the entities, use the DescribeAffectedEntities operation. If a specified event can't be retrieved, an error message is returned for that event. This operation supports resource-level permissions. You can use this operation to allow or deny access to specific Health events. For more information, see Resource- and action-based conditions in the Health User Guide.","ref":"aws_health.html#describe_event_details/2","title":"aws_health.describe_event_details/2","type":"function"},{"doc":"","ref":"aws_health.html#describe_event_details/3","title":"aws_health.describe_event_details/3","type":"function"},{"doc":"Returns detailed information about one or more specified events for one or more Amazon Web Services accounts in your organization. This information includes standard event data (such as the Amazon Web Services Region and service), an event description, and (depending on the event) possible metadata. This operation doesn't return affected entities, such as the resources related to the event. To return affected entities, use the DescribeAffectedEntitiesForOrganization operation. Before you can call this operation, you must first enable Health to work with Organizations. To do this, call the EnableHealthServiceAccessForOrganization operation from your organization's management account. When you call the DescribeEventDetailsForOrganization operation, specify the organizationEventDetailFilters object in the request. Depending on the Health event type, note the following differences: To return event details for a public event, you must specify a null value for the awsAccountId parameter. If you specify an account ID for a public event, Health returns an error message because public events aren't specific to an account. To return event details for an event that is specific to an account in your organization, you must specify the awsAccountId parameter in the request. If you don't specify an account ID, Health returns an error message because the event is specific to an account in your organization. For more information, see Event. This operation doesn't support resource-level permissions. You can't use this operation to allow or deny access to specific Health events. For more information, see Resource- and action-based conditions in the Health User Guide.","ref":"aws_health.html#describe_event_details_for_organization/2","title":"aws_health.describe_event_details_for_organization/2","type":"function"},{"doc":"","ref":"aws_health.html#describe_event_details_for_organization/3","title":"aws_health.describe_event_details_for_organization/3","type":"function"},{"doc":"Returns the event types that meet the specified filter criteria. You can use this API operation to find information about the Health event, such as the category, Amazon Web Services service, and event code. The metadata for each event appears in the EventType object. If you don't specify a filter criteria, the API operation returns all event types, in no particular order. This API operation uses pagination. Specify the nextToken parameter in the next request to return more results.","ref":"aws_health.html#describe_event_types/2","title":"aws_health.describe_event_types/2","type":"function"},{"doc":"","ref":"aws_health.html#describe_event_types/3","title":"aws_health.describe_event_types/3","type":"function"},{"doc":"Returns information about events that meet the specified filter criteria. Events are returned in a summary form and do not include the detailed description, any additional metadata that depends on the event type, or any affected resources. To retrieve that information, use the DescribeEventDetails and DescribeAffectedEntities operations. If no filter criteria are specified, all events are returned. Results are sorted by lastModifiedTime , starting with the most recent event. When you call the DescribeEvents operation and specify an entity for the entityValues parameter, Health might return public events that aren't specific to that resource. For example, if you call DescribeEvents and specify an ID for an Amazon Elastic Compute Cloud (Amazon EC2) instance, Health might return events that aren't specific to that resource or service. To get events that are specific to a service, use the services parameter in the filter object. For more information, see Event. This API operation uses pagination. Specify the nextToken parameter in the next request to return more results.","ref":"aws_health.html#describe_events/2","title":"aws_health.describe_events/2","type":"function"},{"doc":"","ref":"aws_health.html#describe_events/3","title":"aws_health.describe_events/3","type":"function"},{"doc":"Returns information about events across your organization in Organizations. You can use the filters parameter to specify the events that you want to return. Events are returned in a summary form and don't include the affected accounts, detailed description, any additional metadata that depends on the event type, or any affected resources. To retrieve that information, use the following operations: DescribeAffectedAccountsForOrganization DescribeEventDetailsForOrganization DescribeAffectedEntitiesForOrganization If you don't specify a filter , the DescribeEventsForOrganizations returns all events across your organization. Results are sorted by lastModifiedTime , starting with the most recent event. For more information about the different types of Health events, see Event. Before you can call this operation, you must first enable Health to work with Organizations. To do this, call the EnableHealthServiceAccessForOrganization operation from your organization's management account. This API operation uses pagination. Specify the nextToken parameter in the next request to return more results.","ref":"aws_health.html#describe_events_for_organization/2","title":"aws_health.describe_events_for_organization/2","type":"function"},{"doc":"","ref":"aws_health.html#describe_events_for_organization/3","title":"aws_health.describe_events_for_organization/3","type":"function"},{"doc":"This operation provides status information on enabling or disabling Health to work with your organization. To call this operation, you must sign in as an IAM user, assume an IAM role, or sign in as the root user (not recommended) in the organization's management account.","ref":"aws_health.html#describe_health_service_status_for_organization/2","title":"aws_health.describe_health_service_status_for_organization/2","type":"function"},{"doc":"","ref":"aws_health.html#describe_health_service_status_for_organization/3","title":"aws_health.describe_health_service_status_for_organization/3","type":"function"},{"doc":"Disables Health from working with Organizations. To call this operation, you must sign in as an Identity and Access Management (IAM) user, assume an IAM role, or sign in as the root user (not recommended) in the organization's management account. For more information, see Aggregating Health events in the Health User Guide. This operation doesn't remove the service-linked role from the management account in your organization. You must use the IAM console, API, or Command Line Interface (CLI) to remove the service-linked role. For more information, see Deleting a Service-Linked Role in the IAM User Guide. You can also disable the organizational feature by using the Organizations DisableAWSServiceAccess API operation. After you call this operation, Health stops aggregating events for all other Amazon Web Services accounts in your organization. If you call the Health API operations for organizational view, Health returns an error. Health continues to aggregate health events for your Amazon Web Services account.","ref":"aws_health.html#disable_health_service_access_for_organization/2","title":"aws_health.disable_health_service_access_for_organization/2","type":"function"},{"doc":"","ref":"aws_health.html#disable_health_service_access_for_organization/3","title":"aws_health.disable_health_service_access_for_organization/3","type":"function"},{"doc":"Enables Health to work with Organizations. You can use the organizational view feature to aggregate events from all Amazon Web Services accounts in your organization in a centralized location. This operation also creates a service-linked role for the management account in the organization. To call this operation, you must meet the following requirements: You must have a Business, Enterprise On-Ramp, or Enterprise Support plan from Amazon Web Services Support to use the Health API. If you call the Health API from an Amazon Web Services account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, you receive a SubscriptionRequiredException error. You must have permission to call this operation from the organization's management account. For example IAM policies, see Health identity-based policy examples. If you don't have the required support plan, you can instead use the Health console to enable the organizational view feature. For more information, see Aggregating Health events in the Health User Guide.","ref":"aws_health.html#enable_health_service_access_for_organization/2","title":"aws_health.enable_health_service_access_for_organization/2","type":"function"},{"doc":"","ref":"aws_health.html#enable_health_service_access_for_organization/3","title":"aws_health.enable_health_service_access_for_organization/3","type":"function"},{"doc":"Amazon HealthLake is a HIPAA eligibile service that allows customers to store, transform, query, and analyze their FHIR-formatted data in a consistent fashion in the cloud.","ref":"aws_healthlake.html","title":"aws_healthlake","type":"module"},{"doc":"Creates a Data Store that can ingest and export FHIR formatted data.","ref":"aws_healthlake.html#create_fhir_datastore/2","title":"aws_healthlake.create_fhir_datastore/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#create_fhir_datastore/3","title":"aws_healthlake.create_fhir_datastore/3","type":"function"},{"doc":"Deletes a Data Store.","ref":"aws_healthlake.html#delete_fhir_datastore/2","title":"aws_healthlake.delete_fhir_datastore/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#delete_fhir_datastore/3","title":"aws_healthlake.delete_fhir_datastore/3","type":"function"},{"doc":"Gets the properties associated with the FHIR Data Store, including the Data Store ID, Data Store ARN, Data Store name, Data Store status, created at, Data Store type version, and Data Store endpoint.","ref":"aws_healthlake.html#describe_fhir_datastore/2","title":"aws_healthlake.describe_fhir_datastore/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#describe_fhir_datastore/3","title":"aws_healthlake.describe_fhir_datastore/3","type":"function"},{"doc":"Displays the properties of a FHIR export job, including the ID, ARN, name, and the status of the job.","ref":"aws_healthlake.html#describe_fhir_export_job/2","title":"aws_healthlake.describe_fhir_export_job/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#describe_fhir_export_job/3","title":"aws_healthlake.describe_fhir_export_job/3","type":"function"},{"doc":"Displays the properties of a FHIR import job, including the ID, ARN, name, and the status of the job.","ref":"aws_healthlake.html#describe_fhir_import_job/2","title":"aws_healthlake.describe_fhir_import_job/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#describe_fhir_import_job/3","title":"aws_healthlake.describe_fhir_import_job/3","type":"function"},{"doc":"Lists all FHIR Data Stores that are in the user’s account, regardless of Data Store status.","ref":"aws_healthlake.html#list_fhir_datastores/2","title":"aws_healthlake.list_fhir_datastores/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#list_fhir_datastores/3","title":"aws_healthlake.list_fhir_datastores/3","type":"function"},{"doc":"Lists all FHIR export jobs associated with an account and their statuses.","ref":"aws_healthlake.html#list_fhir_export_jobs/2","title":"aws_healthlake.list_fhir_export_jobs/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#list_fhir_export_jobs/3","title":"aws_healthlake.list_fhir_export_jobs/3","type":"function"},{"doc":"Lists all FHIR import jobs associated with an account and their statuses.","ref":"aws_healthlake.html#list_fhir_import_jobs/2","title":"aws_healthlake.list_fhir_import_jobs/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#list_fhir_import_jobs/3","title":"aws_healthlake.list_fhir_import_jobs/3","type":"function"},{"doc":"Returns a list of all existing tags associated with a Data Store.","ref":"aws_healthlake.html#list_tags_for_resource/2","title":"aws_healthlake.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#list_tags_for_resource/3","title":"aws_healthlake.list_tags_for_resource/3","type":"function"},{"doc":"Begins a FHIR export job.","ref":"aws_healthlake.html#start_fhir_export_job/2","title":"aws_healthlake.start_fhir_export_job/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#start_fhir_export_job/3","title":"aws_healthlake.start_fhir_export_job/3","type":"function"},{"doc":"Begins a FHIR Import job.","ref":"aws_healthlake.html#start_fhir_import_job/2","title":"aws_healthlake.start_fhir_import_job/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#start_fhir_import_job/3","title":"aws_healthlake.start_fhir_import_job/3","type":"function"},{"doc":"Adds a user specifed key and value tag to a Data Store.","ref":"aws_healthlake.html#tag_resource/2","title":"aws_healthlake.tag_resource/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#tag_resource/3","title":"aws_healthlake.tag_resource/3","type":"function"},{"doc":"Removes tags from a Data Store.","ref":"aws_healthlake.html#untag_resource/2","title":"aws_healthlake.untag_resource/2","type":"function"},{"doc":"","ref":"aws_healthlake.html#untag_resource/3","title":"aws_healthlake.untag_resource/3","type":"function"},{"doc":"Amazon Honeycode is a fully managed service that allows you to quickly build mobile and web apps for teams—without programming. Build Honeycode apps for managing almost anything, like projects, customers, operations, approvals, resources, and even your team.","ref":"aws_honeycode.html","title":"aws_honeycode","type":"module"},{"doc":"The BatchCreateTableRows API allows you to create one or more rows at the end of a table in a workbook. The API allows you to specify the values to set in some or all of the columns in the new rows. If a column is not explicitly set in a specific row, then the column level formula specified in the table will be applied to the new row. If there is no column level formula but the last row of the table has a formula, then that formula will be copied down to the new row. If there is no column level formula and no formula in the last row of the table, then that column will be left blank for the new rows.","ref":"aws_honeycode.html#batch_create_table_rows/4","title":"aws_honeycode.batch_create_table_rows/4","type":"function"},{"doc":"","ref":"aws_honeycode.html#batch_create_table_rows/5","title":"aws_honeycode.batch_create_table_rows/5","type":"function"},{"doc":"The BatchDeleteTableRows API allows you to delete one or more rows from a table in a workbook. You need to specify the ids of the rows that you want to delete from the table.","ref":"aws_honeycode.html#batch_delete_table_rows/4","title":"aws_honeycode.batch_delete_table_rows/4","type":"function"},{"doc":"","ref":"aws_honeycode.html#batch_delete_table_rows/5","title":"aws_honeycode.batch_delete_table_rows/5","type":"function"},{"doc":"The BatchUpdateTableRows API allows you to update one or more rows in a table in a workbook. You can specify the values to set in some or all of the columns in the table for the specified rows. If a column is not explicitly specified in a particular row, then that column will not be updated for that row. To clear out the data in a specific cell, you need to set the value as an empty string (&quot;&quot;).","ref":"aws_honeycode.html#batch_update_table_rows/4","title":"aws_honeycode.batch_update_table_rows/4","type":"function"},{"doc":"","ref":"aws_honeycode.html#batch_update_table_rows/5","title":"aws_honeycode.batch_update_table_rows/5","type":"function"},{"doc":"The BatchUpsertTableRows API allows you to upsert one or more rows in a table. The upsert operation takes a filter expression as input and evaluates it to find matching rows on the destination table. If matching rows are found, it will update the cells in the matching rows to new values specified in the request. If no matching rows are found, a new row is added at the end of the table and the cells in that row are set to the new values specified in the request. You can specify the values to set in some or all of the columns in the table for the matching or newly appended rows. If a column is not explicitly specified for a particular row, then that column will not be updated for that row. To clear out the data in a specific cell, you need to set the value as an empty string (&quot;&quot;).","ref":"aws_honeycode.html#batch_upsert_table_rows/4","title":"aws_honeycode.batch_upsert_table_rows/4","type":"function"},{"doc":"","ref":"aws_honeycode.html#batch_upsert_table_rows/5","title":"aws_honeycode.batch_upsert_table_rows/5","type":"function"},{"doc":"The DescribeTableDataImportJob API allows you to retrieve the status and details of a table data import job.","ref":"aws_honeycode.html#describe_table_data_import_job/4","title":"aws_honeycode.describe_table_data_import_job/4","type":"function"},{"doc":"","ref":"aws_honeycode.html#describe_table_data_import_job/6","title":"aws_honeycode.describe_table_data_import_job/6","type":"function"},{"doc":"","ref":"aws_honeycode.html#describe_table_data_import_job/7","title":"aws_honeycode.describe_table_data_import_job/7","type":"function"},{"doc":"The GetScreenData API allows retrieval of data from a screen in a Honeycode app. The API allows setting local variables in the screen to filter, sort or otherwise affect what will be displayed on the screen.","ref":"aws_honeycode.html#get_screen_data/2","title":"aws_honeycode.get_screen_data/2","type":"function"},{"doc":"","ref":"aws_honeycode.html#get_screen_data/3","title":"aws_honeycode.get_screen_data/3","type":"function"},{"doc":"The InvokeScreenAutomation API allows invoking an action defined in a screen in a Honeycode app. The API allows setting local variables, which can then be used in the automation being invoked. This allows automating the Honeycode app interactions to write, update or delete data in the workbook.","ref":"aws_honeycode.html#invoke_screen_automation/6","title":"aws_honeycode.invoke_screen_automation/6","type":"function"},{"doc":"","ref":"aws_honeycode.html#invoke_screen_automation/7","title":"aws_honeycode.invoke_screen_automation/7","type":"function"},{"doc":"The ListTableColumns API allows you to retrieve a list of all the columns in a table in a workbook.","ref":"aws_honeycode.html#list_table_columns/3","title":"aws_honeycode.list_table_columns/3","type":"function"},{"doc":"","ref":"aws_honeycode.html#list_table_columns/5","title":"aws_honeycode.list_table_columns/5","type":"function"},{"doc":"","ref":"aws_honeycode.html#list_table_columns/6","title":"aws_honeycode.list_table_columns/6","type":"function"},{"doc":"The ListTableRows API allows you to retrieve a list of all the rows in a table in a workbook.","ref":"aws_honeycode.html#list_table_rows/4","title":"aws_honeycode.list_table_rows/4","type":"function"},{"doc":"","ref":"aws_honeycode.html#list_table_rows/5","title":"aws_honeycode.list_table_rows/5","type":"function"},{"doc":"The ListTables API allows you to retrieve a list of all the tables in a workbook.","ref":"aws_honeycode.html#list_tables/2","title":"aws_honeycode.list_tables/2","type":"function"},{"doc":"","ref":"aws_honeycode.html#list_tables/4","title":"aws_honeycode.list_tables/4","type":"function"},{"doc":"","ref":"aws_honeycode.html#list_tables/5","title":"aws_honeycode.list_tables/5","type":"function"},{"doc":"The ListTagsForResource API allows you to return a resource's tags.","ref":"aws_honeycode.html#list_tags_for_resource/2","title":"aws_honeycode.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_honeycode.html#list_tags_for_resource/4","title":"aws_honeycode.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_honeycode.html#list_tags_for_resource/5","title":"aws_honeycode.list_tags_for_resource/5","type":"function"},{"doc":"The QueryTableRows API allows you to use a filter formula to query for specific rows in a table.","ref":"aws_honeycode.html#query_table_rows/4","title":"aws_honeycode.query_table_rows/4","type":"function"},{"doc":"","ref":"aws_honeycode.html#query_table_rows/5","title":"aws_honeycode.query_table_rows/5","type":"function"},{"doc":"The StartTableDataImportJob API allows you to start an import job on a table. This API will only return the id of the job that was started. To find out the status of the import request, you need to call the DescribeTableDataImportJob API.","ref":"aws_honeycode.html#start_table_data_import_job/4","title":"aws_honeycode.start_table_data_import_job/4","type":"function"},{"doc":"","ref":"aws_honeycode.html#start_table_data_import_job/5","title":"aws_honeycode.start_table_data_import_job/5","type":"function"},{"doc":"The TagResource API allows you to add tags to an ARN-able resource. Resource includes workbook, table, screen and screen-automation.","ref":"aws_honeycode.html#tag_resource/3","title":"aws_honeycode.tag_resource/3","type":"function"},{"doc":"","ref":"aws_honeycode.html#tag_resource/4","title":"aws_honeycode.tag_resource/4","type":"function"},{"doc":"The UntagResource API allows you to removes tags from an ARN-able resource. Resource includes workbook, table, screen and screen-automation.","ref":"aws_honeycode.html#untag_resource/3","title":"aws_honeycode.untag_resource/3","type":"function"},{"doc":"","ref":"aws_honeycode.html#untag_resource/4","title":"aws_honeycode.untag_resource/4","type":"function"},{"doc":"Identity and Access Management Identity and Access Management (IAM) is a web service for securely controlling access to Amazon Web Services services. With IAM, you can centrally manage users, security credentials such as access keys, and permissions that control which Amazon Web Services resources users and applications can access. For more information about IAM, see Identity and Access Management (IAM) and the Identity and Access Management User Guide.","ref":"aws_iam.html","title":"aws_iam","type":"module"},{"doc":"Adds a new client ID (also known as audience) to the list of client IDs already registered for the specified IAM OpenID Connect (OIDC) provider resource. This operation is idempotent; it does not fail or return an error if you add an existing client ID to the provider.","ref":"aws_iam.html#add_client_id_to_open_id_connect_provider/2","title":"aws_iam.add_client_id_to_open_id_connect_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#add_client_id_to_open_id_connect_provider/3","title":"aws_iam.add_client_id_to_open_id_connect_provider/3","type":"function"},{"doc":"Adds the specified IAM role to the specified instance profile. An instance profile can contain only one role, and this quota cannot be increased. You can remove the existing role and then add a different role to an instance profile. You must then wait for the change to appear across all of Amazon Web Services because of eventual consistency. To force the change, you must disassociate the instance profile and then associate the instance profile, or you can stop your instance and then restart it. The caller of this operation must be granted the PassRole permission on the IAM role by a permissions policy. For more information about roles, see Working with roles. For more information about instance profiles, see About instance profiles.","ref":"aws_iam.html#add_role_to_instance_profile/2","title":"aws_iam.add_role_to_instance_profile/2","type":"function"},{"doc":"","ref":"aws_iam.html#add_role_to_instance_profile/3","title":"aws_iam.add_role_to_instance_profile/3","type":"function"},{"doc":"Adds the specified user to the specified group.","ref":"aws_iam.html#add_user_to_group/2","title":"aws_iam.add_user_to_group/2","type":"function"},{"doc":"","ref":"aws_iam.html#add_user_to_group/3","title":"aws_iam.add_user_to_group/3","type":"function"},{"doc":"Attaches the specified managed policy to the specified IAM group. You use this operation to attach a managed policy to a group. To embed an inline policy in a group, use PutGroupPolicy . As a best practice, you can validate your IAM policies. To learn more, see Validating IAM policies in the IAM User Guide. For more information about policies, see Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#attach_group_policy/2","title":"aws_iam.attach_group_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#attach_group_policy/3","title":"aws_iam.attach_group_policy/3","type":"function"},{"doc":"Attaches the specified managed policy to the specified IAM role. When you attach a managed policy to a role, the managed policy becomes part of the role's permission (access) policy. You cannot use a managed policy as the role's trust policy. The role's trust policy is created at the same time as the role, using CreateRole . You can update a role's trust policy using UpdateAssumeRolePolicy . Use this operation to attach a managed policy to a role. To embed an inline policy in a role, use PutRolePolicy . For more information about policies, see Managed policies and inline policies in the IAM User Guide. As a best practice, you can validate your IAM policies. To learn more, see Validating IAM policies in the IAM User Guide.","ref":"aws_iam.html#attach_role_policy/2","title":"aws_iam.attach_role_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#attach_role_policy/3","title":"aws_iam.attach_role_policy/3","type":"function"},{"doc":"Attaches the specified managed policy to the specified user. You use this operation to attach a managed policy to a user. To embed an inline policy in a user, use PutUserPolicy . As a best practice, you can validate your IAM policies. To learn more, see Validating IAM policies in the IAM User Guide. For more information about policies, see Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#attach_user_policy/2","title":"aws_iam.attach_user_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#attach_user_policy/3","title":"aws_iam.attach_user_policy/3","type":"function"},{"doc":"Changes the password of the IAM user who is calling this operation. This operation can be performed using the CLI, the Amazon Web Services API, or the My Security Credentials page in the Amazon Web Services Management Console. The Amazon Web Services account root user password is not affected by this operation. Use UpdateLoginProfile to use the CLI, the Amazon Web Services API, or the Users page in the IAM console to change the password for any IAM user. For more information about modifying passwords, see Managing passwords in the IAM User Guide.","ref":"aws_iam.html#change_password/2","title":"aws_iam.change_password/2","type":"function"},{"doc":"","ref":"aws_iam.html#change_password/3","title":"aws_iam.change_password/3","type":"function"},{"doc":"Creates a new Amazon Web Services secret access key and corresponding Amazon Web Services access key ID for the specified user. The default status for new keys is Active . If you do not specify a user name, IAM determines the user name implicitly based on the Amazon Web Services access key ID signing the request. This operation works for access keys under the Amazon Web Services account. Consequently, you can use this operation to manage Amazon Web Services account root user credentials. This is true even if the Amazon Web Services account has no associated users. For information about quotas on the number of keys you can create, see IAM and STS quotas in the IAM User Guide. To ensure the security of your Amazon Web Services account, the secret access key is accessible only during key and user creation. You must save the key (for example, in a text file) if you want to be able to access it again. If a secret key is lost, you can delete the access keys for the associated user and then create new keys.","ref":"aws_iam.html#create_access_key/2","title":"aws_iam.create_access_key/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_access_key/3","title":"aws_iam.create_access_key/3","type":"function"},{"doc":"Creates an alias for your Amazon Web Services account. For information about using an Amazon Web Services account alias, see Using an alias for your Amazon Web Services account ID in the IAM User Guide.","ref":"aws_iam.html#create_account_alias/2","title":"aws_iam.create_account_alias/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_account_alias/3","title":"aws_iam.create_account_alias/3","type":"function"},{"doc":"Creates a new group. For information about the number of groups you can create, see IAM and STS quotas in the IAM User Guide.","ref":"aws_iam.html#create_group/2","title":"aws_iam.create_group/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_group/3","title":"aws_iam.create_group/3","type":"function"},{"doc":"Creates a new instance profile. For information about instance profiles, see Using roles for applications on Amazon EC2 in the IAM User Guide, and Instance profiles in the Amazon EC2 User Guide. For information about the number of instance profiles you can create, see IAM object quotas in the IAM User Guide.","ref":"aws_iam.html#create_instance_profile/2","title":"aws_iam.create_instance_profile/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_instance_profile/3","title":"aws_iam.create_instance_profile/3","type":"function"},{"doc":"Creates a password for the specified IAM user. A password allows an IAM user to access Amazon Web Services services through the Amazon Web Services Management Console. You can use the CLI, the Amazon Web Services API, or the Users page in the IAM console to create a password for any IAM user. Use ChangePassword to update your own existing password in the My Security Credentials page in the Amazon Web Services Management Console. For more information about managing passwords, see Managing passwords in the IAM User Guide.","ref":"aws_iam.html#create_login_profile/2","title":"aws_iam.create_login_profile/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_login_profile/3","title":"aws_iam.create_login_profile/3","type":"function"},{"doc":"Creates an IAM entity to describe an identity provider (IdP) that supports OpenID Connect (OIDC). The OIDC provider that you create with this operation can be used as a principal in a role's trust policy. Such a policy establishes a trust relationship between Amazon Web Services and the OIDC provider. If you are using an OIDC identity provider from Google, Facebook, or Amazon Cognito, you don't need to create a separate IAM identity provider. These OIDC identity providers are already built-in to Amazon Web Services and are available for your use. Instead, you can move directly to creating new roles using your identity provider. To learn more, see Creating a role for web identity or OpenID connect federation in the IAM User Guide. When you create the IAM OIDC provider, you specify the following: The URL of the OIDC identity provider (IdP) to trust A list of client IDs (also known as audiences) that identify the application or applications allowed to authenticate using the OIDC provider A list of thumbprints of one or more server certificates that the IdP uses You get all of this information from the OIDC IdP you want to use to access Amazon Web Services. Amazon Web Services secures communication with some OIDC identity providers (IdPs) through our library of trusted certificate authorities (CAs) instead of using a certificate thumbprint to verify your IdP server certificate. These OIDC IdPs include Google, Auth0, and those that use an Amazon S3 bucket to host a JSON Web Key Set (JWKS) endpoint. In these cases, your legacy thumbprint remains in your configuration, but is no longer used for validation. The trust for the OIDC provider is derived from the IAM provider that this operation creates. Therefore, it is best to limit access to the CreateOpenIDConnectProvider operation to highly privileged users.","ref":"aws_iam.html#create_open_id_connect_provider/2","title":"aws_iam.create_open_id_connect_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_open_id_connect_provider/3","title":"aws_iam.create_open_id_connect_provider/3","type":"function"},{"doc":"Creates a new managed policy for your Amazon Web Services account. This operation creates a policy version with a version identifier of v1 and sets v1 as the policy's default version. For more information about policy versions, see Versioning for managed policies in the IAM User Guide. As a best practice, you can validate your IAM policies. To learn more, see Validating IAM policies in the IAM User Guide. For more information about managed policies in general, see Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#create_policy/2","title":"aws_iam.create_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_policy/3","title":"aws_iam.create_policy/3","type":"function"},{"doc":"Creates a new version of the specified managed policy. To update a managed policy, you create a new policy version. A managed policy can have up to five versions. If the policy has five versions, you must delete an existing version using DeletePolicyVersion before you create a new version. Optionally, you can set the new version as the policy's default version. The default version is the version that is in effect for the IAM users, groups, and roles to which the policy is attached. For more information about managed policy versions, see Versioning for managed policies in the IAM User Guide.","ref":"aws_iam.html#create_policy_version/2","title":"aws_iam.create_policy_version/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_policy_version/3","title":"aws_iam.create_policy_version/3","type":"function"},{"doc":"Creates a new role for your Amazon Web Services account. For more information about roles, see IAM roles. For information about quotas for role names and the number of roles you can create, see IAM and STS quotas in the IAM User Guide.","ref":"aws_iam.html#create_role/2","title":"aws_iam.create_role/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_role/3","title":"aws_iam.create_role/3","type":"function"},{"doc":"Creates an IAM resource that describes an identity provider (IdP) that supports SAML 2.0. The SAML provider resource that you create with this operation can be used as a principal in an IAM role's trust policy. Such a policy can enable federated users who sign in using the SAML IdP to assume the role. You can create an IAM role that supports Web-based single sign-on (SSO) to the Amazon Web Services Management Console or one that supports API access to Amazon Web Services. When you create the SAML provider resource, you upload a SAML metadata document that you get from your IdP. That document includes the issuer's name, expiration information, and keys that can be used to validate the SAML authentication response (assertions) that the IdP sends. You must generate the metadata document using the identity management software that is used as your organization's IdP. This operation requires Signature Version 4. For more information, see Enabling SAML 2.0 federated users to access the Amazon Web Services Management Console and About SAML 2.0-based federation in the IAM User Guide.","ref":"aws_iam.html#create_saml_provider/2","title":"aws_iam.create_saml_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_saml_provider/3","title":"aws_iam.create_saml_provider/3","type":"function"},{"doc":"Creates an IAM role that is linked to a specific Amazon Web Services service. The service controls the attached policies and when the role can be deleted. This helps ensure that the service is not broken by an unexpectedly changed or deleted role, which could put your Amazon Web Services resources into an unknown state. Allowing the service to control the role helps improve service stability and proper cleanup when a service and its role are no longer needed. For more information, see Using service-linked roles in the IAM User Guide. To attach a policy to this service-linked role, you must make the request using the Amazon Web Services service that depends on this role.","ref":"aws_iam.html#create_service_linked_role/2","title":"aws_iam.create_service_linked_role/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_service_linked_role/3","title":"aws_iam.create_service_linked_role/3","type":"function"},{"doc":"Generates a set of credentials consisting of a user name and password that can be used to access the service specified in the request. These credentials are generated by IAM, and can be used only for the specified service. You can have a maximum of two sets of service-specific credentials for each supported service per user. You can create service-specific credentials for CodeCommit and Amazon Keyspaces (for Apache Cassandra). You can reset the password to a new service-generated value by calling ResetServiceSpecificCredential . For more information about service-specific credentials, see Using IAM with CodeCommit: Git credentials, SSH keys, and Amazon Web Services access keys in the IAM User Guide.","ref":"aws_iam.html#create_service_specific_credential/2","title":"aws_iam.create_service_specific_credential/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_service_specific_credential/3","title":"aws_iam.create_service_specific_credential/3","type":"function"},{"doc":"Creates a new IAM user for your Amazon Web Services account. For information about quotas for the number of IAM users you can create, see IAM and STS quotas in the IAM User Guide.","ref":"aws_iam.html#create_user/2","title":"aws_iam.create_user/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_user/3","title":"aws_iam.create_user/3","type":"function"},{"doc":"Creates a new virtual MFA device for the Amazon Web Services account. After creating the virtual MFA, use EnableMFADevice to attach the MFA device to an IAM user. For more information about creating and working with virtual MFA devices, see Using a virtual MFA device in the IAM User Guide. For information about the maximum number of MFA devices you can create, see IAM and STS quotas in the IAM User Guide. The seed information contained in the QR code and the Base32 string should be treated like any other secret access information. In other words, protect the seed information as you would your Amazon Web Services access keys or your passwords. After you provision your virtual device, you should ensure that the information is destroyed following secure procedures.","ref":"aws_iam.html#create_virtual_mfa_device/2","title":"aws_iam.create_virtual_mfa_device/2","type":"function"},{"doc":"","ref":"aws_iam.html#create_virtual_mfa_device/3","title":"aws_iam.create_virtual_mfa_device/3","type":"function"},{"doc":"Deactivates the specified MFA device and removes it from association with the user name for which it was originally enabled. For more information about creating and working with virtual MFA devices, see Enabling a virtual multi-factor authentication (MFA) device in the IAM User Guide.","ref":"aws_iam.html#deactivate_mfa_device/2","title":"aws_iam.deactivate_mfa_device/2","type":"function"},{"doc":"","ref":"aws_iam.html#deactivate_mfa_device/3","title":"aws_iam.deactivate_mfa_device/3","type":"function"},{"doc":"Deletes the access key pair associated with the specified IAM user. If you do not specify a user name, IAM determines the user name implicitly based on the Amazon Web Services access key ID signing the request. This operation works for access keys under the Amazon Web Services account. Consequently, you can use this operation to manage Amazon Web Services account root user credentials even if the Amazon Web Services account has no associated users.","ref":"aws_iam.html#delete_access_key/2","title":"aws_iam.delete_access_key/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_access_key/3","title":"aws_iam.delete_access_key/3","type":"function"},{"doc":"Deletes the specified Amazon Web Services account alias. For information about using an Amazon Web Services account alias, see Using an alias for your Amazon Web Services account ID in the IAM User Guide.","ref":"aws_iam.html#delete_account_alias/2","title":"aws_iam.delete_account_alias/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_account_alias/3","title":"aws_iam.delete_account_alias/3","type":"function"},{"doc":"Deletes the password policy for the Amazon Web Services account. There are no parameters.","ref":"aws_iam.html#delete_account_password_policy/2","title":"aws_iam.delete_account_password_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_account_password_policy/3","title":"aws_iam.delete_account_password_policy/3","type":"function"},{"doc":"Deletes the specified IAM group. The group must not contain any users or have any attached policies.","ref":"aws_iam.html#delete_group/2","title":"aws_iam.delete_group/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_group/3","title":"aws_iam.delete_group/3","type":"function"},{"doc":"Deletes the specified inline policy that is embedded in the specified IAM group. A group can also have managed policies attached to it. To detach a managed policy from a group, use DetachGroupPolicy . For more information about policies, refer to Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#delete_group_policy/2","title":"aws_iam.delete_group_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_group_policy/3","title":"aws_iam.delete_group_policy/3","type":"function"},{"doc":"Deletes the specified instance profile. The instance profile must not have an associated role. Make sure that you do not have any Amazon EC2 instances running with the instance profile you are about to delete. Deleting a role or instance profile that is associated with a running instance will break any applications running on the instance. For more information about instance profiles, see About instance profiles.","ref":"aws_iam.html#delete_instance_profile/2","title":"aws_iam.delete_instance_profile/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_instance_profile/3","title":"aws_iam.delete_instance_profile/3","type":"function"},{"doc":"Deletes the password for the specified IAM user, For more information, see Managing passwords for IAM users. You can use the CLI, the Amazon Web Services API, or the Users page in the IAM console to delete a password for any IAM user. You can use ChangePassword to update, but not delete, your own password in the My Security Credentials page in the Amazon Web Services Management Console. Deleting a user's password does not prevent a user from accessing Amazon Web Services through the command line interface or the API. To prevent all user access, you must also either make any access keys inactive or delete them. For more information about making keys inactive or deleting them, see UpdateAccessKey and DeleteAccessKey .","ref":"aws_iam.html#delete_login_profile/2","title":"aws_iam.delete_login_profile/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_login_profile/3","title":"aws_iam.delete_login_profile/3","type":"function"},{"doc":"Deletes an OpenID Connect identity provider (IdP) resource object in IAM. Deleting an IAM OIDC provider resource does not update any roles that reference the provider as a principal in their trust policies. Any attempt to assume a role that references a deleted provider fails. This operation is idempotent; it does not fail or return an error if you call the operation for a provider that does not exist.","ref":"aws_iam.html#delete_open_id_connect_provider/2","title":"aws_iam.delete_open_id_connect_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_open_id_connect_provider/3","title":"aws_iam.delete_open_id_connect_provider/3","type":"function"},{"doc":"Deletes the specified managed policy. Before you can delete a managed policy, you must first detach the policy from all users, groups, and roles that it is attached to. In addition, you must delete all the policy's versions. The following steps describe the process for deleting a managed policy: Detach the policy from all users, groups, and roles that the policy is attached to, using DetachUserPolicy , DetachGroupPolicy , or DetachRolePolicy . To list all the users, groups, and roles that a policy is attached to, use ListEntitiesForPolicy . Delete all versions of the policy using DeletePolicyVersion . To list the policy's versions, use ListPolicyVersions . You cannot use DeletePolicyVersion to delete the version that is marked as the default version. You delete the policy's default version in the next step of the process. Delete the policy (this automatically deletes the policy's default version) using this operation. For information about managed policies, see Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#delete_policy/2","title":"aws_iam.delete_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_policy/3","title":"aws_iam.delete_policy/3","type":"function"},{"doc":"Deletes the specified version from the specified managed policy. You cannot delete the default version from a policy using this operation. To delete the default version from a policy, use DeletePolicy . To find out which version of a policy is marked as the default version, use ListPolicyVersions . For information about versions for managed policies, see Versioning for managed policies in the IAM User Guide.","ref":"aws_iam.html#delete_policy_version/2","title":"aws_iam.delete_policy_version/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_policy_version/3","title":"aws_iam.delete_policy_version/3","type":"function"},{"doc":"Deletes the specified role. Unlike the Amazon Web Services Management Console, when you delete a role programmatically, you must delete the items attached to the role manually, or the deletion fails. For more information, see Deleting an IAM role. Before attempting to delete a role, remove the following attached items: Inline policies ( DeleteRolePolicy ) Attached managed policies ( DetachRolePolicy ) Instance profile ( RemoveRoleFromInstanceProfile ) Optional – Delete instance profile after detaching from role for resource clean up ( DeleteInstanceProfile ) Make sure that you do not have any Amazon EC2 instances running with the role you are about to delete. Deleting a role or instance profile that is associated with a running instance will break any applications running on the instance.","ref":"aws_iam.html#delete_role/2","title":"aws_iam.delete_role/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_role/3","title":"aws_iam.delete_role/3","type":"function"},{"doc":"Deletes the permissions boundary for the specified IAM role. Deleting the permissions boundary for a role might increase its permissions. For example, it might allow anyone who assumes the role to perform all the actions granted in its permissions policies.","ref":"aws_iam.html#delete_role_permissions_boundary/2","title":"aws_iam.delete_role_permissions_boundary/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_role_permissions_boundary/3","title":"aws_iam.delete_role_permissions_boundary/3","type":"function"},{"doc":"Deletes the specified inline policy that is embedded in the specified IAM role. A role can also have managed policies attached to it. To detach a managed policy from a role, use DetachRolePolicy . For more information about policies, refer to Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#delete_role_policy/2","title":"aws_iam.delete_role_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_role_policy/3","title":"aws_iam.delete_role_policy/3","type":"function"},{"doc":"Deletes a SAML provider resource in IAM. Deleting the provider resource from IAM does not update any roles that reference the SAML provider resource's ARN as a principal in their trust policies. Any attempt to assume a role that references a non-existent provider resource ARN fails. This operation requires Signature Version 4.","ref":"aws_iam.html#delete_saml_provider/2","title":"aws_iam.delete_saml_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_saml_provider/3","title":"aws_iam.delete_saml_provider/3","type":"function"},{"doc":"Deletes the specified server certificate. For more information about working with server certificates, see Working with server certificates in the IAM User Guide. This topic also includes a list of Amazon Web Services services that can use the server certificates that you manage with IAM. If you are using a server certificate with Elastic Load Balancing, deleting the certificate could have implications for your application. If Elastic Load Balancing doesn't detect the deletion of bound certificates, it may continue to use the certificates. This could cause Elastic Load Balancing to stop accepting traffic. We recommend that you remove the reference to the certificate from Elastic Load Balancing before using this command to delete the certificate. For more information, see DeleteLoadBalancerListeners in the Elastic Load Balancing API Reference.","ref":"aws_iam.html#delete_server_certificate/2","title":"aws_iam.delete_server_certificate/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_server_certificate/3","title":"aws_iam.delete_server_certificate/3","type":"function"},{"doc":"Submits a service-linked role deletion request and returns a DeletionTaskId , which you can use to check the status of the deletion. Before you call this operation, confirm that the role has no active sessions and that any resources used by the role in the linked service are deleted. If you call this operation more than once for the same service-linked role and an earlier deletion task is not complete, then the DeletionTaskId of the earlier request is returned. If you submit a deletion request for a service-linked role whose linked service is still accessing a resource, then the deletion task fails. If it fails, the GetServiceLinkedRoleDeletionStatus operation returns the reason for the failure, usually including the resources that must be deleted. To delete the service-linked role, you must first remove those resources from the linked service and then submit the deletion request again. Resources are specific to the service that is linked to the role. For more information about removing resources from a service, see the Amazon Web Services documentation for your service. For more information about service-linked roles, see Roles terms and concepts: Amazon Web Services service-linked role in the IAM User Guide.","ref":"aws_iam.html#delete_service_linked_role/2","title":"aws_iam.delete_service_linked_role/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_service_linked_role/3","title":"aws_iam.delete_service_linked_role/3","type":"function"},{"doc":"Deletes the specified service-specific credential.","ref":"aws_iam.html#delete_service_specific_credential/2","title":"aws_iam.delete_service_specific_credential/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_service_specific_credential/3","title":"aws_iam.delete_service_specific_credential/3","type":"function"},{"doc":"Deletes a signing certificate associated with the specified IAM user. If you do not specify a user name, IAM determines the user name implicitly based on the Amazon Web Services access key ID signing the request. This operation works for access keys under the Amazon Web Services account. Consequently, you can use this operation to manage Amazon Web Services account root user credentials even if the Amazon Web Services account has no associated IAM users.","ref":"aws_iam.html#delete_signing_certificate/2","title":"aws_iam.delete_signing_certificate/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_signing_certificate/3","title":"aws_iam.delete_signing_certificate/3","type":"function"},{"doc":"Deletes the specified SSH public key. The SSH public key deleted by this operation is used only for authenticating the associated IAM user to an CodeCommit repository. For more information about using SSH keys to authenticate to an CodeCommit repository, see Set up CodeCommit for SSH connections in the CodeCommit User Guide.","ref":"aws_iam.html#delete_ssh_public_key/2","title":"aws_iam.delete_ssh_public_key/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_ssh_public_key/3","title":"aws_iam.delete_ssh_public_key/3","type":"function"},{"doc":"Deletes the specified IAM user. Unlike the Amazon Web Services Management Console, when you delete a user programmatically, you must delete the items attached to the user manually, or the deletion fails. For more information, see Deleting an IAM user. Before attempting to delete a user, remove the following items: Password ( DeleteLoginProfile ) Access keys ( DeleteAccessKey ) Signing certificate ( DeleteSigningCertificate ) SSH public key ( DeleteSSHPublicKey ) Git credentials ( DeleteServiceSpecificCredential ) Multi-factor authentication (MFA) device ( DeactivateMFADevice , DeleteVirtualMFADevice ) Inline policies ( DeleteUserPolicy ) Attached managed policies ( DetachUserPolicy ) Group memberships ( RemoveUserFromGroup )","ref":"aws_iam.html#delete_user/2","title":"aws_iam.delete_user/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_user/3","title":"aws_iam.delete_user/3","type":"function"},{"doc":"Deletes the permissions boundary for the specified IAM user. Deleting the permissions boundary for a user might increase its permissions by allowing the user to perform all the actions granted in its permissions policies.","ref":"aws_iam.html#delete_user_permissions_boundary/2","title":"aws_iam.delete_user_permissions_boundary/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_user_permissions_boundary/3","title":"aws_iam.delete_user_permissions_boundary/3","type":"function"},{"doc":"Deletes the specified inline policy that is embedded in the specified IAM user. A user can also have managed policies attached to it. To detach a managed policy from a user, use DetachUserPolicy . For more information about policies, refer to Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#delete_user_policy/2","title":"aws_iam.delete_user_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_user_policy/3","title":"aws_iam.delete_user_policy/3","type":"function"},{"doc":"Deletes a virtual MFA device. You must deactivate a user's virtual MFA device before you can delete it. For information about deactivating MFA devices, see DeactivateMFADevice .","ref":"aws_iam.html#delete_virtual_mfa_device/2","title":"aws_iam.delete_virtual_mfa_device/2","type":"function"},{"doc":"","ref":"aws_iam.html#delete_virtual_mfa_device/3","title":"aws_iam.delete_virtual_mfa_device/3","type":"function"},{"doc":"Removes the specified managed policy from the specified IAM group. A group can also have inline policies embedded with it. To delete an inline policy, use DeleteGroupPolicy . For information about policies, see Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#detach_group_policy/2","title":"aws_iam.detach_group_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#detach_group_policy/3","title":"aws_iam.detach_group_policy/3","type":"function"},{"doc":"Removes the specified managed policy from the specified role. A role can also have inline policies embedded with it. To delete an inline policy, use DeleteRolePolicy . For information about policies, see Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#detach_role_policy/2","title":"aws_iam.detach_role_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#detach_role_policy/3","title":"aws_iam.detach_role_policy/3","type":"function"},{"doc":"Removes the specified managed policy from the specified user. A user can also have inline policies embedded with it. To delete an inline policy, use DeleteUserPolicy . For information about policies, see Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#detach_user_policy/2","title":"aws_iam.detach_user_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#detach_user_policy/3","title":"aws_iam.detach_user_policy/3","type":"function"},{"doc":"Enables the specified MFA device and associates it with the specified IAM user. When enabled, the MFA device is required for every subsequent login by the IAM user associated with the device.","ref":"aws_iam.html#enable_mfa_device/2","title":"aws_iam.enable_mfa_device/2","type":"function"},{"doc":"","ref":"aws_iam.html#enable_mfa_device/3","title":"aws_iam.enable_mfa_device/3","type":"function"},{"doc":"Generates a credential report for the Amazon Web Services account. For more information about the credential report, see Getting credential reports in the IAM User Guide.","ref":"aws_iam.html#generate_credential_report/2","title":"aws_iam.generate_credential_report/2","type":"function"},{"doc":"","ref":"aws_iam.html#generate_credential_report/3","title":"aws_iam.generate_credential_report/3","type":"function"},{"doc":"Generates a report for service last accessed data for Organizations. You can generate a report for any entities (organization root, organizational unit, or account) or policies in your organization. To call this operation, you must be signed in using your Organizations management account credentials. You can use your long-term IAM user or root user credentials, or temporary credentials from assuming an IAM role. SCPs must be enabled for your organization root. You must have the required IAM and Organizations permissions. For more information, see Refining permissions using service last accessed data in the IAM User Guide. You can generate a service last accessed data report for entities by specifying only the entity's path. This data includes a list of services that are allowed by any service control policies (SCPs) that apply to the entity. You can generate a service last accessed data report for a policy by specifying an entity's path and an optional Organizations policy ID. This data includes a list of services that are allowed by the specified SCP. For each service in both report types, the data includes the most recent account activity that the policy allows to account principals in the entity or the entity's children. For important information about the data, reporting period, permissions required, troubleshooting, and supported Regions see Reducing permissions using service last accessed data in the IAM User Guide. The data includes all attempts to access Amazon Web Services, not just the successful ones. This includes all attempts that were made using the Amazon Web Services Management Console, the Amazon Web Services API through any of the SDKs, or any of the command line tools. An unexpected entry in the service last accessed data does not mean that an account has been compromised, because the request might have been denied. Refer to your CloudTrail logs as the authoritative source for information about all API calls and whether they were successful or denied access. For more information, see Logging IAM events with CloudTrail in the IAM User Guide. This operation returns a JobId . Use this parameter in the `GetOrganizationsAccessReport ' operation to check the status of the report generation. To check the status of this request, use the JobId parameter in the `GetOrganizationsAccessReport ' operation and test the JobStatus response parameter. When the job is complete, you can retrieve the report. To generate a service last accessed data report for entities, specify an entity path without specifying the optional Organizations policy ID. The type of entity that you specify determines the data returned in the report. Root – When you specify the organizations root as the entity, the resulting report lists all of the services allowed by SCPs that are attached to your root. For each service, the report includes data for all accounts in your organization except the management account, because the management account is not limited by SCPs. OU – When you specify an organizational unit (OU) as the entity, the resulting report lists all of the services allowed by SCPs that are attached to the OU and its parents. For each service, the report includes data for all accounts in the OU or its children. This data excludes the management account, because the management account is not limited by SCPs. management account – When you specify the management account, the resulting report lists all Amazon Web Services services, because the management account is not limited by SCPs. For each service, the report includes data for only the management account. Account – When you specify another account as the entity, the resulting report lists all of the services allowed by SCPs that are attached to the account and its parents. For each service, the report includes data for only the specified account. To generate a service last accessed data report for policies, specify an entity path and the optional Organizations policy ID. The type of entity that you specify determines the data returned for each service. Root – When you specify the root entity and a policy ID, the resulting report lists all of the services that are allowed by the specified SCP. For each service, the report includes data for all accounts in your organization to which the SCP applies. This data excludes the management account, because the management account is not limited by SCPs. If the SCP is not attached to any entities in the organization, then the report will return a list of services with no data. OU – When you specify an OU entity and a policy ID, the resulting report lists all of the services that are allowed by the specified SCP. For each service, the report includes data for all accounts in the OU or its children to which the SCP applies. This means that other accounts outside the OU that are affected by the SCP might not be included in the data. This data excludes the management account, because the management account is not limited by SCPs. If the SCP is not attached to the OU or one of its children, the report will return a list of services with no data. management account – When you specify the management account, the resulting report lists all Amazon Web Services services, because the management account is not limited by SCPs. If you specify a policy ID in the CLI or API, the policy is ignored. For each service, the report includes data for only the management account. Account – When you specify another account entity and a policy ID, the resulting report lists all of the services that are allowed by the specified SCP. For each service, the report includes data for only the specified account. This means that other accounts in the organization that are affected by the SCP might not be included in the data. If the SCP is not attached to the account, the report will return a list of services with no data. Service last accessed data does not use other policy types when determining whether a principal could access a service. These other policy types include identity-based policies, resource-based policies, access control lists, IAM permissions boundaries, and STS assume role policies. It only applies SCP logic. For more about the evaluation of policy types, see Evaluating policies in the IAM User Guide. For more information about service last accessed data, see Reducing policy scope by viewing user activity in the IAM User Guide.","ref":"aws_iam.html#generate_organizations_access_report/2","title":"aws_iam.generate_organizations_access_report/2","type":"function"},{"doc":"","ref":"aws_iam.html#generate_organizations_access_report/3","title":"aws_iam.generate_organizations_access_report/3","type":"function"},{"doc":"Generates a report that includes details about when an IAM resource (user, group, role, or policy) was last used in an attempt to access Amazon Web Services services. Recent activity usually appears within four hours. IAM reports activity for at least the last 400 days, or less if your Region began supporting this feature within the last year. For more information, see Regions where data is tracked. The service last accessed data includes all attempts to access an Amazon Web Services API, not just the successful ones. This includes all attempts that were made using the Amazon Web Services Management Console, the Amazon Web Services API through any of the SDKs, or any of the command line tools. An unexpected entry in the service last accessed data does not mean that your account has been compromised, because the request might have been denied. Refer to your CloudTrail logs as the authoritative source for information about all API calls and whether they were successful or denied access. For more information, see Logging IAM events with CloudTrail in the IAM User Guide. The GenerateServiceLastAccessedDetails operation returns a JobId . Use this parameter in the following operations to retrieve the following details from your report: GetServiceLastAccessedDetails – Use this operation for users, groups, roles, or policies to list every Amazon Web Services service that the resource could access using permissions policies. For each service, the response includes information about the most recent access attempt. The JobId returned by GenerateServiceLastAccessedDetail must be used by the same role within a session, or by the same user when used to call GetServiceLastAccessedDetail . GetServiceLastAccessedDetailsWithEntities – Use this operation for groups and policies to list information about the associated entities (users or roles) that attempted to access a specific Amazon Web Services service. To check the status of the GenerateServiceLastAccessedDetails request, use the JobId parameter in the same operations and test the JobStatus response parameter. For additional information about the permissions policies that allow an identity (user, group, or role) to access specific services, use the ListPoliciesGrantingServiceAccess operation. Service last accessed data does not use other policy types when determining whether a resource could access a service. These other policy types include resource-based policies, access control lists, Organizations policies, IAM permissions boundaries, and STS assume role policies. It only applies permissions policy logic. For more about the evaluation of policy types, see Evaluating policies in the IAM User Guide. For more information about service and action last accessed data, see Reducing permissions using service last accessed data in the IAM User Guide.","ref":"aws_iam.html#generate_service_last_accessed_details/2","title":"aws_iam.generate_service_last_accessed_details/2","type":"function"},{"doc":"","ref":"aws_iam.html#generate_service_last_accessed_details/3","title":"aws_iam.generate_service_last_accessed_details/3","type":"function"},{"doc":"Retrieves information about when the specified access key was last used. The information includes the date and time of last use, along with the Amazon Web Services service and Region that were specified in the last request made with that key.","ref":"aws_iam.html#get_access_key_last_used/2","title":"aws_iam.get_access_key_last_used/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_access_key_last_used/3","title":"aws_iam.get_access_key_last_used/3","type":"function"},{"doc":"Retrieves information about all IAM users, groups, roles, and policies in your Amazon Web Services account, including their relationships to one another. Use this operation to obtain a snapshot of the configuration of IAM permissions (users, groups, roles, and policies) in your account. Policies returned by this operation are URL-encoded compliant with RFC 3986. You can use a URL decoding method to convert the policy back to plain JSON text. For example, if you use Java, you can use the decode method of the java.net.URLDecoder utility class in the Java SDK. Other languages and SDKs provide similar functionality. You can optionally filter the results using the Filter parameter. You can paginate the results using the MaxItems and Marker parameters.","ref":"aws_iam.html#get_account_authorization_details/2","title":"aws_iam.get_account_authorization_details/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_account_authorization_details/3","title":"aws_iam.get_account_authorization_details/3","type":"function"},{"doc":"Retrieves the password policy for the Amazon Web Services account. This tells you the complexity requirements and mandatory rotation periods for the IAM user passwords in your account. For more information about using a password policy, see Managing an IAM password policy.","ref":"aws_iam.html#get_account_password_policy/2","title":"aws_iam.get_account_password_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_account_password_policy/3","title":"aws_iam.get_account_password_policy/3","type":"function"},{"doc":"Retrieves information about IAM entity usage and IAM quotas in the Amazon Web Services account. For information about IAM quotas, see IAM and STS quotas in the IAM User Guide.","ref":"aws_iam.html#get_account_summary/2","title":"aws_iam.get_account_summary/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_account_summary/3","title":"aws_iam.get_account_summary/3","type":"function"},{"doc":"Gets a list of all of the context keys referenced in the input policies. The policies are supplied as a list of one or more strings. To get the context keys from policies associated with an IAM user, group, or role, use GetContextKeysForPrincipalPolicy . Context keys are variables maintained by Amazon Web Services and its services that provide details about the context of an API query request. Context keys can be evaluated by testing against a value specified in an IAM policy. Use GetContextKeysForCustomPolicy to understand what key names and values you must supply when you call SimulateCustomPolicy . Note that all parameters are shown in unencoded form here for clarity but must be URL encoded to be included as a part of a real HTML request.","ref":"aws_iam.html#get_context_keys_for_custom_policy/2","title":"aws_iam.get_context_keys_for_custom_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_context_keys_for_custom_policy/3","title":"aws_iam.get_context_keys_for_custom_policy/3","type":"function"},{"doc":"Gets a list of all of the context keys referenced in all the IAM policies that are attached to the specified IAM entity. The entity can be an IAM user, group, or role. If you specify a user, then the request also includes all of the policies attached to groups that the user is a member of. You can optionally include a list of one or more additional policies, specified as strings. If you want to include only a list of policies by string, use GetContextKeysForCustomPolicy instead. Note: This operation discloses information about the permissions granted to other users. If you do not want users to see other user's permissions, then consider allowing them to use GetContextKeysForCustomPolicy instead. Context keys are variables maintained by Amazon Web Services and its services that provide details about the context of an API query request. Context keys can be evaluated by testing against a value in an IAM policy. Use GetContextKeysForPrincipalPolicy to understand what key names and values you must supply when you call SimulatePrincipalPolicy .","ref":"aws_iam.html#get_context_keys_for_principal_policy/2","title":"aws_iam.get_context_keys_for_principal_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_context_keys_for_principal_policy/3","title":"aws_iam.get_context_keys_for_principal_policy/3","type":"function"},{"doc":"Retrieves a credential report for the Amazon Web Services account. For more information about the credential report, see Getting credential reports in the IAM User Guide.","ref":"aws_iam.html#get_credential_report/2","title":"aws_iam.get_credential_report/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_credential_report/3","title":"aws_iam.get_credential_report/3","type":"function"},{"doc":"Returns a list of IAM users that are in the specified IAM group. You can paginate the results using the MaxItems and Marker parameters.","ref":"aws_iam.html#get_group/2","title":"aws_iam.get_group/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_group/3","title":"aws_iam.get_group/3","type":"function"},{"doc":"Retrieves the specified inline policy document that is embedded in the specified IAM group. Policies returned by this operation are URL-encoded compliant with RFC 3986. You can use a URL decoding method to convert the policy back to plain JSON text. For example, if you use Java, you can use the decode method of the java.net.URLDecoder utility class in the Java SDK. Other languages and SDKs provide similar functionality. An IAM group can also have managed policies attached to it. To retrieve a managed policy document that is attached to a group, use GetPolicy to determine the policy's default version, then use GetPolicyVersion to retrieve the policy document. For more information about policies, see Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#get_group_policy/2","title":"aws_iam.get_group_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_group_policy/3","title":"aws_iam.get_group_policy/3","type":"function"},{"doc":"Retrieves information about the specified instance profile, including the instance profile's path, GUID, ARN, and role. For more information about instance profiles, see About instance profiles in the IAM User Guide.","ref":"aws_iam.html#get_instance_profile/2","title":"aws_iam.get_instance_profile/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_instance_profile/3","title":"aws_iam.get_instance_profile/3","type":"function"},{"doc":"Retrieves the user name for the specified IAM user. A login profile is created when you create a password for the user to access the Amazon Web Services Management Console. If the user does not exist or does not have a password, the operation returns a 404 ( NoSuchEntity ) error. If you create an IAM user with access to the console, the CreateDate reflects the date you created the initial password for the user. If you create an IAM user with programmatic access, and then later add a password for the user to access the Amazon Web Services Management Console, the CreateDate reflects the initial password creation date. A user with programmatic access does not have a login profile unless you create a password for the user to access the Amazon Web Services Management Console.","ref":"aws_iam.html#get_login_profile/2","title":"aws_iam.get_login_profile/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_login_profile/3","title":"aws_iam.get_login_profile/3","type":"function"},{"doc":"Returns information about the specified OpenID Connect (OIDC) provider resource object in IAM.","ref":"aws_iam.html#get_open_id_connect_provider/2","title":"aws_iam.get_open_id_connect_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_open_id_connect_provider/3","title":"aws_iam.get_open_id_connect_provider/3","type":"function"},{"doc":"Retrieves the service last accessed data report for Organizations that was previously generated using the `GenerateOrganizationsAccessReport ' operation. This operation retrieves the status of your report job and the report contents. Depending on the parameters that you passed when you generated the report, the data returned could include different information. For details, see GenerateOrganizationsAccessReport . To call this operation, you must be signed in to the management account in your organization. SCPs must be enabled for your organization root. You must have permissions to perform this operation. For more information, see Refining permissions using service last accessed data in the IAM User Guide. For each service that principals in an account (root users, IAM users, or IAM roles) could access using SCPs, the operation returns details about the most recent access attempt. If there was no attempt, the service is listed without details about the most recent attempt to access the service. If the operation fails, it returns the reason that it failed. By default, the list is sorted by service namespace.","ref":"aws_iam.html#get_organizations_access_report/2","title":"aws_iam.get_organizations_access_report/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_organizations_access_report/3","title":"aws_iam.get_organizations_access_report/3","type":"function"},{"doc":"Retrieves information about the specified managed policy, including the policy's default version and the total number of IAM users, groups, and roles to which the policy is attached. To retrieve the list of the specific users, groups, and roles that the policy is attached to, use ListEntitiesForPolicy . This operation returns metadata about the policy. To retrieve the actual policy document for a specific version of the policy, use GetPolicyVersion . This operation retrieves information about managed policies. To retrieve information about an inline policy that is embedded with an IAM user, group, or role, use GetUserPolicy , GetGroupPolicy , or GetRolePolicy . For more information about policies, see Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#get_policy/2","title":"aws_iam.get_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_policy/3","title":"aws_iam.get_policy/3","type":"function"},{"doc":"Retrieves information about the specified version of the specified managed policy, including the policy document. Policies returned by this operation are URL-encoded compliant with RFC 3986. You can use a URL decoding method to convert the policy back to plain JSON text. For example, if you use Java, you can use the decode method of the java.net.URLDecoder utility class in the Java SDK. Other languages and SDKs provide similar functionality. To list the available versions for a policy, use ListPolicyVersions . This operation retrieves information about managed policies. To retrieve information about an inline policy that is embedded in a user, group, or role, use GetUserPolicy , GetGroupPolicy , or GetRolePolicy . For more information about the types of policies, see Managed policies and inline policies in the IAM User Guide. For more information about managed policy versions, see Versioning for managed policies in the IAM User Guide.","ref":"aws_iam.html#get_policy_version/2","title":"aws_iam.get_policy_version/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_policy_version/3","title":"aws_iam.get_policy_version/3","type":"function"},{"doc":"Retrieves information about the specified role, including the role's path, GUID, ARN, and the role's trust policy that grants permission to assume the role. For more information about roles, see Working with roles. Policies returned by this operation are URL-encoded compliant with RFC 3986. You can use a URL decoding method to convert the policy back to plain JSON text. For example, if you use Java, you can use the decode method of the java.net.URLDecoder utility class in the Java SDK. Other languages and SDKs provide similar functionality.","ref":"aws_iam.html#get_role/2","title":"aws_iam.get_role/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_role/3","title":"aws_iam.get_role/3","type":"function"},{"doc":"Retrieves the specified inline policy document that is embedded with the specified IAM role. Policies returned by this operation are URL-encoded compliant with RFC 3986. You can use a URL decoding method to convert the policy back to plain JSON text. For example, if you use Java, you can use the decode method of the java.net.URLDecoder utility class in the Java SDK. Other languages and SDKs provide similar functionality. An IAM role can also have managed policies attached to it. To retrieve a managed policy document that is attached to a role, use GetPolicy to determine the policy's default version, then use GetPolicyVersion to retrieve the policy document. For more information about policies, see Managed policies and inline policies in the IAM User Guide. For more information about roles, see Using roles to delegate permissions and federate identities.","ref":"aws_iam.html#get_role_policy/2","title":"aws_iam.get_role_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_role_policy/3","title":"aws_iam.get_role_policy/3","type":"function"},{"doc":"Returns the SAML provider metadocument that was uploaded when the IAM SAML provider resource object was created or updated. This operation requires Signature Version 4.","ref":"aws_iam.html#get_saml_provider/2","title":"aws_iam.get_saml_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_saml_provider/3","title":"aws_iam.get_saml_provider/3","type":"function"},{"doc":"Retrieves information about the specified server certificate stored in IAM. For more information about working with server certificates, see Working with server certificates in the IAM User Guide. This topic includes a list of Amazon Web Services services that can use the server certificates that you manage with IAM.","ref":"aws_iam.html#get_server_certificate/2","title":"aws_iam.get_server_certificate/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_server_certificate/3","title":"aws_iam.get_server_certificate/3","type":"function"},{"doc":"Retrieves a service last accessed report that was created using the GenerateServiceLastAccessedDetails operation. You can use the JobId parameter in GetServiceLastAccessedDetails to retrieve the status of your report job. When the report is complete, you can retrieve the generated report. The report includes a list of Amazon Web Services services that the resource (user, group, role, or managed policy) can access. Service last accessed data does not use other policy types when determining whether a resource could access a service. These other policy types include resource-based policies, access control lists, Organizations policies, IAM permissions boundaries, and STS assume role policies. It only applies permissions policy logic. For more about the evaluation of policy types, see Evaluating policies in the IAM User Guide. For each service that the resource could access using permissions policies, the operation returns details about the most recent access attempt. If there was no attempt, the service is listed without details about the most recent attempt to access the service. If the operation fails, the GetServiceLastAccessedDetails operation returns the reason that it failed. The GetServiceLastAccessedDetails operation returns a list of services. This list includes the number of entities that have attempted to access the service and the date and time of the last attempt. It also returns the ARN of the following entity, depending on the resource ARN that you used to generate the report: User – Returns the user ARN that you used to generate the report Group – Returns the ARN of the group member (user) that last attempted to access the service Role – Returns the role ARN that you used to generate the report Policy – Returns the ARN of the user or role that last used the policy to attempt to access the service By default, the list is sorted by service namespace. If you specified ACTION_LEVEL granularity when you generated the report, this operation returns service and action last accessed data. This includes the most recent access attempt for each tracked action within a service. Otherwise, this operation returns only service data. For more information about service and action last accessed data, see Reducing permissions using service last accessed data in the IAM User Guide.","ref":"aws_iam.html#get_service_last_accessed_details/2","title":"aws_iam.get_service_last_accessed_details/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_service_last_accessed_details/3","title":"aws_iam.get_service_last_accessed_details/3","type":"function"},{"doc":"After you generate a group or policy report using the GenerateServiceLastAccessedDetails operation, you can use the JobId parameter in GetServiceLastAccessedDetailsWithEntities . This operation retrieves the status of your report job and a list of entities that could have used group or policy permissions to access the specified service. Group – For a group report, this operation returns a list of users in the group that could have used the group’s policies in an attempt to access the service. Policy – For a policy report, this operation returns a list of entities (users or roles) that could have used the policy in an attempt to access the service. You can also use this operation for user or role reports to retrieve details about those entities. If the operation fails, the GetServiceLastAccessedDetailsWithEntities operation returns the reason that it failed. By default, the list of associated entities is sorted by date, with the most recent access listed first.","ref":"aws_iam.html#get_service_last_accessed_details_with_entities/2","title":"aws_iam.get_service_last_accessed_details_with_entities/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_service_last_accessed_details_with_entities/3","title":"aws_iam.get_service_last_accessed_details_with_entities/3","type":"function"},{"doc":"Retrieves the status of your service-linked role deletion. After you use DeleteServiceLinkedRole to submit a service-linked role for deletion, you can use the DeletionTaskId parameter in GetServiceLinkedRoleDeletionStatus to check the status of the deletion. If the deletion fails, this operation returns the reason that it failed, if that information is returned by the service.","ref":"aws_iam.html#get_service_linked_role_deletion_status/2","title":"aws_iam.get_service_linked_role_deletion_status/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_service_linked_role_deletion_status/3","title":"aws_iam.get_service_linked_role_deletion_status/3","type":"function"},{"doc":"Retrieves the specified SSH public key, including metadata about the key. The SSH public key retrieved by this operation is used only for authenticating the associated IAM user to an CodeCommit repository. For more information about using SSH keys to authenticate to an CodeCommit repository, see Set up CodeCommit for SSH connections in the CodeCommit User Guide.","ref":"aws_iam.html#get_ssh_public_key/2","title":"aws_iam.get_ssh_public_key/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_ssh_public_key/3","title":"aws_iam.get_ssh_public_key/3","type":"function"},{"doc":"Retrieves information about the specified IAM user, including the user's creation date, path, unique ID, and ARN. If you do not specify a user name, IAM determines the user name implicitly based on the Amazon Web Services access key ID used to sign the request to this operation.","ref":"aws_iam.html#get_user/2","title":"aws_iam.get_user/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_user/3","title":"aws_iam.get_user/3","type":"function"},{"doc":"Retrieves the specified inline policy document that is embedded in the specified IAM user. Policies returned by this operation are URL-encoded compliant with RFC 3986. You can use a URL decoding method to convert the policy back to plain JSON text. For example, if you use Java, you can use the decode method of the java.net.URLDecoder utility class in the Java SDK. Other languages and SDKs provide similar functionality. An IAM user can also have managed policies attached to it. To retrieve a managed policy document that is attached to a user, use GetPolicy to determine the policy's default version. Then use GetPolicyVersion to retrieve the policy document. For more information about policies, see Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#get_user_policy/2","title":"aws_iam.get_user_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#get_user_policy/3","title":"aws_iam.get_user_policy/3","type":"function"},{"doc":"Returns information about the access key IDs associated with the specified IAM user. If there is none, the operation returns an empty list. Although each user is limited to a small number of keys, you can still paginate the results using the MaxItems and Marker parameters. If the UserName is not specified, the user name is determined implicitly based on the Amazon Web Services access key ID used to sign the request. If a temporary access key is used, then UserName is required. If a long-term key is assigned to the user, then UserName is not required. This operation works for access keys under the Amazon Web Services account. Consequently, you can use this operation to manage Amazon Web Services account root user credentials even if the Amazon Web Services account has no associated users. To ensure the security of your Amazon Web Services account, the secret access key is accessible only during key and user creation.","ref":"aws_iam.html#list_access_keys/2","title":"aws_iam.list_access_keys/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_access_keys/3","title":"aws_iam.list_access_keys/3","type":"function"},{"doc":"Lists the account alias associated with the Amazon Web Services account (Note: you can have only one). For information about using an Amazon Web Services account alias, see Using an alias for your Amazon Web Services account ID in the IAM User Guide.","ref":"aws_iam.html#list_account_aliases/2","title":"aws_iam.list_account_aliases/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_account_aliases/3","title":"aws_iam.list_account_aliases/3","type":"function"},{"doc":"Lists all managed policies that are attached to the specified IAM group. An IAM group can also have inline policies embedded with it. To list the inline policies for a group, use ListGroupPolicies . For information about policies, see Managed policies and inline policies in the IAM User Guide. You can paginate the results using the MaxItems and Marker parameters. You can use the PathPrefix parameter to limit the list of policies to only those matching the specified path prefix. If there are no policies attached to the specified group (or none that match the specified path prefix), the operation returns an empty list.","ref":"aws_iam.html#list_attached_group_policies/2","title":"aws_iam.list_attached_group_policies/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_attached_group_policies/3","title":"aws_iam.list_attached_group_policies/3","type":"function"},{"doc":"Lists all managed policies that are attached to the specified IAM role. An IAM role can also have inline policies embedded with it. To list the inline policies for a role, use ListRolePolicies . For information about policies, see Managed policies and inline policies in the IAM User Guide. You can paginate the results using the MaxItems and Marker parameters. You can use the PathPrefix parameter to limit the list of policies to only those matching the specified path prefix. If there are no policies attached to the specified role (or none that match the specified path prefix), the operation returns an empty list.","ref":"aws_iam.html#list_attached_role_policies/2","title":"aws_iam.list_attached_role_policies/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_attached_role_policies/3","title":"aws_iam.list_attached_role_policies/3","type":"function"},{"doc":"Lists all managed policies that are attached to the specified IAM user. An IAM user can also have inline policies embedded with it. To list the inline policies for a user, use ListUserPolicies . For information about policies, see Managed policies and inline policies in the IAM User Guide. You can paginate the results using the MaxItems and Marker parameters. You can use the PathPrefix parameter to limit the list of policies to only those matching the specified path prefix. If there are no policies attached to the specified group (or none that match the specified path prefix), the operation returns an empty list.","ref":"aws_iam.html#list_attached_user_policies/2","title":"aws_iam.list_attached_user_policies/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_attached_user_policies/3","title":"aws_iam.list_attached_user_policies/3","type":"function"},{"doc":"Lists all IAM users, groups, and roles that the specified managed policy is attached to. You can use the optional EntityFilter parameter to limit the results to a particular type of entity (users, groups, or roles). For example, to list only the roles that are attached to the specified policy, set EntityFilter to Role . You can paginate the results using the MaxItems and Marker parameters.","ref":"aws_iam.html#list_entities_for_policy/2","title":"aws_iam.list_entities_for_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_entities_for_policy/3","title":"aws_iam.list_entities_for_policy/3","type":"function"},{"doc":"Lists the names of the inline policies that are embedded in the specified IAM group. An IAM group can also have managed policies attached to it. To list the managed policies that are attached to a group, use ListAttachedGroupPolicies . For more information about policies, see Managed policies and inline policies in the IAM User Guide. You can paginate the results using the MaxItems and Marker parameters. If there are no inline policies embedded with the specified group, the operation returns an empty list.","ref":"aws_iam.html#list_group_policies/2","title":"aws_iam.list_group_policies/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_group_policies/3","title":"aws_iam.list_group_policies/3","type":"function"},{"doc":"Lists the IAM groups that have the specified path prefix. You can paginate the results using the MaxItems and Marker parameters.","ref":"aws_iam.html#list_groups/2","title":"aws_iam.list_groups/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_groups/3","title":"aws_iam.list_groups/3","type":"function"},{"doc":"Lists the IAM groups that the specified IAM user belongs to. You can paginate the results using the MaxItems and Marker parameters.","ref":"aws_iam.html#list_groups_for_user/2","title":"aws_iam.list_groups_for_user/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_groups_for_user/3","title":"aws_iam.list_groups_for_user/3","type":"function"},{"doc":"Lists the tags that are attached to the specified IAM instance profile. The returned list of tags is sorted by tag key. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#list_instance_profile_tags/2","title":"aws_iam.list_instance_profile_tags/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_instance_profile_tags/3","title":"aws_iam.list_instance_profile_tags/3","type":"function"},{"doc":"Lists the instance profiles that have the specified path prefix. If there are none, the operation returns an empty list. For more information about instance profiles, see About instance profiles. IAM resource-listing operations return a subset of the available attributes for the resource. For example, this operation does not return tags, even though they are an attribute of the returned object. To view all of the information for an instance profile, see GetInstanceProfile . You can paginate the results using the MaxItems and Marker parameters.","ref":"aws_iam.html#list_instance_profiles/2","title":"aws_iam.list_instance_profiles/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_instance_profiles/3","title":"aws_iam.list_instance_profiles/3","type":"function"},{"doc":"Lists the instance profiles that have the specified associated IAM role. If there are none, the operation returns an empty list. For more information about instance profiles, go to About instance profiles. You can paginate the results using the MaxItems and Marker parameters.","ref":"aws_iam.html#list_instance_profiles_for_role/2","title":"aws_iam.list_instance_profiles_for_role/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_instance_profiles_for_role/3","title":"aws_iam.list_instance_profiles_for_role/3","type":"function"},{"doc":"Lists the tags that are attached to the specified IAM virtual multi-factor authentication (MFA) device. The returned list of tags is sorted by tag key. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#list_mfa_device_tags/2","title":"aws_iam.list_mfa_device_tags/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_mfa_device_tags/3","title":"aws_iam.list_mfa_device_tags/3","type":"function"},{"doc":"Lists the MFA devices for an IAM user. If the request includes a IAM user name, then this operation lists all the MFA devices associated with the specified user. If you do not specify a user name, IAM determines the user name implicitly based on the Amazon Web Services access key ID signing the request for this operation. You can paginate the results using the MaxItems and Marker parameters.","ref":"aws_iam.html#list_mfa_devices/2","title":"aws_iam.list_mfa_devices/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_mfa_devices/3","title":"aws_iam.list_mfa_devices/3","type":"function"},{"doc":"Lists the tags that are attached to the specified OpenID Connect (OIDC)-compatible identity provider. The returned list of tags is sorted by tag key. For more information, see About web identity federation. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#list_open_id_connect_provider_tags/2","title":"aws_iam.list_open_id_connect_provider_tags/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_open_id_connect_provider_tags/3","title":"aws_iam.list_open_id_connect_provider_tags/3","type":"function"},{"doc":"Lists information about the IAM OpenID Connect (OIDC) provider resource objects defined in the Amazon Web Services account. IAM resource-listing operations return a subset of the available attributes for the resource. For example, this operation does not return tags, even though they are an attribute of the returned object. To view all of the information for an OIDC provider, see GetOpenIDConnectProvider .","ref":"aws_iam.html#list_open_id_connect_providers/2","title":"aws_iam.list_open_id_connect_providers/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_open_id_connect_providers/3","title":"aws_iam.list_open_id_connect_providers/3","type":"function"},{"doc":"Lists all the managed policies that are available in your Amazon Web Services account, including your own customer-defined managed policies and all Amazon Web Services managed policies. You can filter the list of policies that is returned using the optional OnlyAttached , Scope , and PathPrefix parameters. For example, to list only the customer managed policies in your Amazon Web Services account, set Scope to Local . To list only Amazon Web Services managed policies, set Scope to AWS . You can paginate the results using the MaxItems and Marker parameters. For more information about managed policies, see Managed policies and inline policies in the IAM User Guide. IAM resource-listing operations return a subset of the available attributes for the resource. For example, this operation does not return tags, even though they are an attribute of the returned object. To view all of the information for a customer manged policy, see GetPolicy .","ref":"aws_iam.html#list_policies/2","title":"aws_iam.list_policies/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_policies/3","title":"aws_iam.list_policies/3","type":"function"},{"doc":"Retrieves a list of policies that the IAM identity (user, group, or role) can use to access each specified service. This operation does not use other policy types when determining whether a resource could access a service. These other policy types include resource-based policies, access control lists, Organizations policies, IAM permissions boundaries, and STS assume role policies. It only applies permissions policy logic. For more about the evaluation of policy types, see Evaluating policies in the IAM User Guide. The list of policies returned by the operation depends on the ARN of the identity that you provide. User – The list of policies includes the managed and inline policies that are attached to the user directly. The list also includes any additional managed and inline policies that are attached to the group to which the user belongs. Group – The list of policies includes only the managed and inline policies that are attached to the group directly. Policies that are attached to the group’s user are not included. Role – The list of policies includes only the managed and inline policies that are attached to the role. For each managed policy, this operation returns the ARN and policy name. For each inline policy, it returns the policy name and the entity to which it is attached. Inline policies do not have an ARN. For more information about these policy types, see Managed policies and inline policies in the IAM User Guide. Policies that are attached to users and roles as permissions boundaries are not returned. To view which managed policy is currently used to set the permissions boundary for a user or role, use the GetUser or GetRole operations.","ref":"aws_iam.html#list_policies_granting_service_access/2","title":"aws_iam.list_policies_granting_service_access/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_policies_granting_service_access/3","title":"aws_iam.list_policies_granting_service_access/3","type":"function"},{"doc":"Lists the tags that are attached to the specified IAM customer managed policy. The returned list of tags is sorted by tag key. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#list_policy_tags/2","title":"aws_iam.list_policy_tags/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_policy_tags/3","title":"aws_iam.list_policy_tags/3","type":"function"},{"doc":"Lists information about the versions of the specified managed policy, including the version that is currently set as the policy's default version. For more information about managed policies, see Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#list_policy_versions/2","title":"aws_iam.list_policy_versions/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_policy_versions/3","title":"aws_iam.list_policy_versions/3","type":"function"},{"doc":"Lists the names of the inline policies that are embedded in the specified IAM role. An IAM role can also have managed policies attached to it. To list the managed policies that are attached to a role, use ListAttachedRolePolicies . For more information about policies, see Managed policies and inline policies in the IAM User Guide. You can paginate the results using the MaxItems and Marker parameters. If there are no inline policies embedded with the specified role, the operation returns an empty list.","ref":"aws_iam.html#list_role_policies/2","title":"aws_iam.list_role_policies/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_role_policies/3","title":"aws_iam.list_role_policies/3","type":"function"},{"doc":"Lists the tags that are attached to the specified role. The returned list of tags is sorted by tag key. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#list_role_tags/2","title":"aws_iam.list_role_tags/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_role_tags/3","title":"aws_iam.list_role_tags/3","type":"function"},{"doc":"Lists the IAM roles that have the specified path prefix. If there are none, the operation returns an empty list. For more information about roles, see Working with roles. IAM resource-listing operations return a subset of the available attributes for the resource. For example, this operation does not return tags, even though they are an attribute of the returned object. To view all of the information for a role, see GetRole . You can paginate the results using the MaxItems and Marker parameters.","ref":"aws_iam.html#list_roles/2","title":"aws_iam.list_roles/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_roles/3","title":"aws_iam.list_roles/3","type":"function"},{"doc":"Lists the tags that are attached to the specified Security Assertion Markup Language (SAML) identity provider. The returned list of tags is sorted by tag key. For more information, see About SAML 2.0-based federation. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#list_saml_provider_tags/2","title":"aws_iam.list_saml_provider_tags/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_saml_provider_tags/3","title":"aws_iam.list_saml_provider_tags/3","type":"function"},{"doc":"Lists the SAML provider resource objects defined in IAM in the account. IAM resource-listing operations return a subset of the available attributes for the resource. For example, this operation does not return tags, even though they are an attribute of the returned object. To view all of the information for a SAML provider, see GetSAMLProvider . This operation requires Signature Version 4.","ref":"aws_iam.html#list_saml_providers/2","title":"aws_iam.list_saml_providers/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_saml_providers/3","title":"aws_iam.list_saml_providers/3","type":"function"},{"doc":"Lists the tags that are attached to the specified IAM server certificate. The returned list of tags is sorted by tag key. For more information about tagging, see Tagging IAM resources in the IAM User Guide. For certificates in a Region supported by Certificate Manager (ACM), we recommend that you don't use IAM server certificates. Instead, use ACM to provision, manage, and deploy your server certificates. For more information about IAM server certificates, Working with server certificates in the IAM User Guide.","ref":"aws_iam.html#list_server_certificate_tags/2","title":"aws_iam.list_server_certificate_tags/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_server_certificate_tags/3","title":"aws_iam.list_server_certificate_tags/3","type":"function"},{"doc":"Lists the server certificates stored in IAM that have the specified path prefix. If none exist, the operation returns an empty list. You can paginate the results using the MaxItems and Marker parameters. For more information about working with server certificates, see Working with server certificates in the IAM User Guide. This topic also includes a list of Amazon Web Services services that can use the server certificates that you manage with IAM. IAM resource-listing operations return a subset of the available attributes for the resource. For example, this operation does not return tags, even though they are an attribute of the returned object. To view all of the information for a servercertificate, see GetServerCertificate .","ref":"aws_iam.html#list_server_certificates/2","title":"aws_iam.list_server_certificates/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_server_certificates/3","title":"aws_iam.list_server_certificates/3","type":"function"},{"doc":"Returns information about the service-specific credentials associated with the specified IAM user. If none exists, the operation returns an empty list. The service-specific credentials returned by this operation are used only for authenticating the IAM user to a specific service. For more information about using service-specific credentials to authenticate to an Amazon Web Services service, see Set up service-specific credentials in the CodeCommit User Guide.","ref":"aws_iam.html#list_service_specific_credentials/2","title":"aws_iam.list_service_specific_credentials/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_service_specific_credentials/3","title":"aws_iam.list_service_specific_credentials/3","type":"function"},{"doc":"Returns information about the signing certificates associated with the specified IAM user. If none exists, the operation returns an empty list. Although each user is limited to a small number of signing certificates, you can still paginate the results using the MaxItems and Marker parameters. If the UserName field is not specified, the user name is determined implicitly based on the Amazon Web Services access key ID used to sign the request for this operation. This operation works for access keys under the Amazon Web Services account. Consequently, you can use this operation to manage Amazon Web Services account root user credentials even if the Amazon Web Services account has no associated users.","ref":"aws_iam.html#list_signing_certificates/2","title":"aws_iam.list_signing_certificates/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_signing_certificates/3","title":"aws_iam.list_signing_certificates/3","type":"function"},{"doc":"Returns information about the SSH public keys associated with the specified IAM user. If none exists, the operation returns an empty list. The SSH public keys returned by this operation are used only for authenticating the IAM user to an CodeCommit repository. For more information about using SSH keys to authenticate to an CodeCommit repository, see Set up CodeCommit for SSH connections in the CodeCommit User Guide. Although each user is limited to a small number of keys, you can still paginate the results using the MaxItems and Marker parameters.","ref":"aws_iam.html#list_ssh_public_keys/2","title":"aws_iam.list_ssh_public_keys/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_ssh_public_keys/3","title":"aws_iam.list_ssh_public_keys/3","type":"function"},{"doc":"Lists the names of the inline policies embedded in the specified IAM user. An IAM user can also have managed policies attached to it. To list the managed policies that are attached to a user, use ListAttachedUserPolicies . For more information about policies, see Managed policies and inline policies in the IAM User Guide. You can paginate the results using the MaxItems and Marker parameters. If there are no inline policies embedded with the specified user, the operation returns an empty list.","ref":"aws_iam.html#list_user_policies/2","title":"aws_iam.list_user_policies/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_user_policies/3","title":"aws_iam.list_user_policies/3","type":"function"},{"doc":"Lists the tags that are attached to the specified IAM user. The returned list of tags is sorted by tag key. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#list_user_tags/2","title":"aws_iam.list_user_tags/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_user_tags/3","title":"aws_iam.list_user_tags/3","type":"function"},{"doc":"Lists the IAM users that have the specified path prefix. If no path prefix is specified, the operation returns all users in the Amazon Web Services account. If there are none, the operation returns an empty list. IAM resource-listing operations return a subset of the available attributes for the resource. For example, this operation does not return tags, even though they are an attribute of the returned object. To view all of the information for a user, see GetUser . You can paginate the results using the MaxItems and Marker parameters.","ref":"aws_iam.html#list_users/2","title":"aws_iam.list_users/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_users/3","title":"aws_iam.list_users/3","type":"function"},{"doc":"Lists the virtual MFA devices defined in the Amazon Web Services account by assignment status. If you do not specify an assignment status, the operation returns a list of all virtual MFA devices. Assignment status can be Assigned , Unassigned , or Any . IAM resource-listing operations return a subset of the available attributes for the resource. For example, this operation does not return tags, even though they are an attribute of the returned object. To view tag information for a virtual MFA device, see ListMFADeviceTags . You can paginate the results using the MaxItems and Marker parameters.","ref":"aws_iam.html#list_virtual_mfa_devices/2","title":"aws_iam.list_virtual_mfa_devices/2","type":"function"},{"doc":"","ref":"aws_iam.html#list_virtual_mfa_devices/3","title":"aws_iam.list_virtual_mfa_devices/3","type":"function"},{"doc":"Adds or updates an inline policy document that is embedded in the specified IAM group. A user can also have managed policies attached to it. To attach a managed policy to a group, use AttachGroupPolicy . To create a new managed policy, use CreatePolicy . For information about policies, see Managed policies and inline policies in the IAM User Guide. For information about the maximum number of inline policies that you can embed in a group, see IAM and STS quotas in the IAM User Guide. Because policy documents can be large, you should use POST rather than GET when calling PutGroupPolicy . For general information about using the Query API with IAM, see Making query requests in the IAM User Guide.","ref":"aws_iam.html#put_group_policy/2","title":"aws_iam.put_group_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#put_group_policy/3","title":"aws_iam.put_group_policy/3","type":"function"},{"doc":"Adds or updates the policy that is specified as the IAM role's permissions boundary. You can use an Amazon Web Services managed policy or a customer managed policy to set the boundary for a role. Use the boundary to control the maximum permissions that the role can have. Setting a permissions boundary is an advanced feature that can affect the permissions for the role. You cannot set the boundary for a service-linked role. Policies used as permissions boundaries do not provide permissions. You must also attach a permissions policy to the role. To learn how the effective permissions for a role are evaluated, see IAM JSON policy evaluation logic in the IAM User Guide.","ref":"aws_iam.html#put_role_permissions_boundary/2","title":"aws_iam.put_role_permissions_boundary/2","type":"function"},{"doc":"","ref":"aws_iam.html#put_role_permissions_boundary/3","title":"aws_iam.put_role_permissions_boundary/3","type":"function"},{"doc":"Adds or updates an inline policy document that is embedded in the specified IAM role. When you embed an inline policy in a role, the inline policy is used as part of the role's access (permissions) policy. The role's trust policy is created at the same time as the role, using CreateRole . You can update a role's trust policy using UpdateAssumeRolePolicy . For more information about IAM roles, see Using roles to delegate permissions and federate identities. A role can also have a managed policy attached to it. To attach a managed policy to a role, use AttachRolePolicy . To create a new managed policy, use CreatePolicy . For information about policies, see Managed policies and inline policies in the IAM User Guide. For information about the maximum number of inline policies that you can embed with a role, see IAM and STS quotas in the IAM User Guide. Because policy documents can be large, you should use POST rather than GET when calling PutRolePolicy . For general information about using the Query API with IAM, see Making query requests in the IAM User Guide.","ref":"aws_iam.html#put_role_policy/2","title":"aws_iam.put_role_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#put_role_policy/3","title":"aws_iam.put_role_policy/3","type":"function"},{"doc":"Adds or updates the policy that is specified as the IAM user's permissions boundary. You can use an Amazon Web Services managed policy or a customer managed policy to set the boundary for a user. Use the boundary to control the maximum permissions that the user can have. Setting a permissions boundary is an advanced feature that can affect the permissions for the user. Policies that are used as permissions boundaries do not provide permissions. You must also attach a permissions policy to the user. To learn how the effective permissions for a user are evaluated, see IAM JSON policy evaluation logic in the IAM User Guide.","ref":"aws_iam.html#put_user_permissions_boundary/2","title":"aws_iam.put_user_permissions_boundary/2","type":"function"},{"doc":"","ref":"aws_iam.html#put_user_permissions_boundary/3","title":"aws_iam.put_user_permissions_boundary/3","type":"function"},{"doc":"Adds or updates an inline policy document that is embedded in the specified IAM user. An IAM user can also have a managed policy attached to it. To attach a managed policy to a user, use AttachUserPolicy . To create a new managed policy, use CreatePolicy . For information about policies, see Managed policies and inline policies in the IAM User Guide. For information about the maximum number of inline policies that you can embed in a user, see IAM and STS quotas in the IAM User Guide. Because policy documents can be large, you should use POST rather than GET when calling PutUserPolicy . For general information about using the Query API with IAM, see Making query requests in the IAM User Guide.","ref":"aws_iam.html#put_user_policy/2","title":"aws_iam.put_user_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#put_user_policy/3","title":"aws_iam.put_user_policy/3","type":"function"},{"doc":"Removes the specified client ID (also known as audience) from the list of client IDs registered for the specified IAM OpenID Connect (OIDC) provider resource object. This operation is idempotent; it does not fail or return an error if you try to remove a client ID that does not exist.","ref":"aws_iam.html#remove_client_id_from_open_id_connect_provider/2","title":"aws_iam.remove_client_id_from_open_id_connect_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#remove_client_id_from_open_id_connect_provider/3","title":"aws_iam.remove_client_id_from_open_id_connect_provider/3","type":"function"},{"doc":"Removes the specified IAM role from the specified EC2 instance profile. Make sure that you do not have any Amazon EC2 instances running with the role you are about to remove from the instance profile. Removing a role from an instance profile that is associated with a running instance might break any applications running on the instance. For more information about IAM roles, see Working with roles. For more information about instance profiles, see About instance profiles.","ref":"aws_iam.html#remove_role_from_instance_profile/2","title":"aws_iam.remove_role_from_instance_profile/2","type":"function"},{"doc":"","ref":"aws_iam.html#remove_role_from_instance_profile/3","title":"aws_iam.remove_role_from_instance_profile/3","type":"function"},{"doc":"Removes the specified user from the specified group.","ref":"aws_iam.html#remove_user_from_group/2","title":"aws_iam.remove_user_from_group/2","type":"function"},{"doc":"","ref":"aws_iam.html#remove_user_from_group/3","title":"aws_iam.remove_user_from_group/3","type":"function"},{"doc":"Resets the password for a service-specific credential. The new password is Amazon Web Services generated and cryptographically strong. It cannot be configured by the user. Resetting the password immediately invalidates the previous password associated with this user.","ref":"aws_iam.html#reset_service_specific_credential/2","title":"aws_iam.reset_service_specific_credential/2","type":"function"},{"doc":"","ref":"aws_iam.html#reset_service_specific_credential/3","title":"aws_iam.reset_service_specific_credential/3","type":"function"},{"doc":"Synchronizes the specified MFA device with its IAM resource object on the Amazon Web Services servers. For more information about creating and working with virtual MFA devices, see Using a virtual MFA device in the IAM User Guide.","ref":"aws_iam.html#resync_mfa_device/2","title":"aws_iam.resync_mfa_device/2","type":"function"},{"doc":"","ref":"aws_iam.html#resync_mfa_device/3","title":"aws_iam.resync_mfa_device/3","type":"function"},{"doc":"Sets the specified version of the specified policy as the policy's default (operative) version. This operation affects all users, groups, and roles that the policy is attached to. To list the users, groups, and roles that the policy is attached to, use ListEntitiesForPolicy . For information about managed policies, see Managed policies and inline policies in the IAM User Guide.","ref":"aws_iam.html#set_default_policy_version/2","title":"aws_iam.set_default_policy_version/2","type":"function"},{"doc":"","ref":"aws_iam.html#set_default_policy_version/3","title":"aws_iam.set_default_policy_version/3","type":"function"},{"doc":"Sets the specified version of the global endpoint token as the token version used for the Amazon Web Services account. By default, Security Token Service (STS) is available as a global service, and all STS requests go to a single endpoint at https://sts.amazonaws.com . Amazon Web Services recommends using Regional STS endpoints to reduce latency, build in redundancy, and increase session token availability. For information about Regional endpoints for STS, see Security Token Service endpoints and quotas in the Amazon Web Services General Reference. If you make an STS call to the global endpoint, the resulting session tokens might be valid in some Regions but not others. It depends on the version that is set in this operation. Version 1 tokens are valid only in Amazon Web Services Regions that are available by default. These tokens do not work in manually enabled Regions, such as Asia Pacific (Hong Kong). Version 2 tokens are valid in all Regions. However, version 2 tokens are longer and might affect systems where you temporarily store tokens. For information, see Activating and deactivating STS in an Amazon Web Services Region in the IAM User Guide. To view the current session token version, see the GlobalEndpointTokenVersion entry in the response of the GetAccountSummary operation.","ref":"aws_iam.html#set_security_token_service_preferences/2","title":"aws_iam.set_security_token_service_preferences/2","type":"function"},{"doc":"","ref":"aws_iam.html#set_security_token_service_preferences/3","title":"aws_iam.set_security_token_service_preferences/3","type":"function"},{"doc":"Simulate how a set of IAM policies and optionally a resource-based policy works with a list of API operations and Amazon Web Services resources to determine the policies' effective permissions. The policies are provided as strings. The simulation does not perform the API operations; it only checks the authorization to determine if the simulated policies allow or deny the operations. You can simulate resources that don't exist in your account. If you want to simulate existing policies that are attached to an IAM user, group, or role, use SimulatePrincipalPolicy instead. Context keys are variables that are maintained by Amazon Web Services and its services and which provide details about the context of an API query request. You can use the Condition element of an IAM policy to evaluate context keys. To get the list of context keys that the policies require for correct simulation, use GetContextKeysForCustomPolicy . If the output is long, you can use MaxItems and Marker parameters to paginate the results. The IAM policy simulator evaluates statements in the identity-based policy and the inputs that you provide during simulation. The policy simulator results can differ from your live Amazon Web Services environment. We recommend that you check your policies against your live Amazon Web Services environment after testing using the policy simulator to confirm that you have the desired results. For more information about using the policy simulator, see Testing IAM policies with the IAM policy simulator in the IAM User Guide.","ref":"aws_iam.html#simulate_custom_policy/2","title":"aws_iam.simulate_custom_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#simulate_custom_policy/3","title":"aws_iam.simulate_custom_policy/3","type":"function"},{"doc":"Simulate how a set of IAM policies attached to an IAM entity works with a list of API operations and Amazon Web Services resources to determine the policies' effective permissions. The entity can be an IAM user, group, or role. If you specify a user, then the simulation also includes all of the policies that are attached to groups that the user belongs to. You can simulate resources that don't exist in your account. You can optionally include a list of one or more additional policies specified as strings to include in the simulation. If you want to simulate only policies specified as strings, use SimulateCustomPolicy instead. You can also optionally include one resource-based policy to be evaluated with each of the resources included in the simulation for IAM users only. The simulation does not perform the API operations; it only checks the authorization to determine if the simulated policies allow or deny the operations. Note: This operation discloses information about the permissions granted to other users. If you do not want users to see other user's permissions, then consider allowing them to use SimulateCustomPolicy instead. Context keys are variables maintained by Amazon Web Services and its services that provide details about the context of an API query request. You can use the Condition element of an IAM policy to evaluate context keys. To get the list of context keys that the policies require for correct simulation, use GetContextKeysForPrincipalPolicy . If the output is long, you can use the MaxItems and Marker parameters to paginate the results. The IAM policy simulator evaluates statements in the identity-based policy and the inputs that you provide during simulation. The policy simulator results can differ from your live Amazon Web Services environment. We recommend that you check your policies against your live Amazon Web Services environment after testing using the policy simulator to confirm that you have the desired results. For more information about using the policy simulator, see Testing IAM policies with the IAM policy simulator in the IAM User Guide.","ref":"aws_iam.html#simulate_principal_policy/2","title":"aws_iam.simulate_principal_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#simulate_principal_policy/3","title":"aws_iam.simulate_principal_policy/3","type":"function"},{"doc":"Adds one or more tags to an IAM instance profile. If a tag with the same key name already exists, then that tag is overwritten with the new value. Each tag consists of a key name and an associated value. By assigning tags to your resources, you can do the following: Administrative grouping and discovery - Attach tags to resources to aid in organization and search. For example, you could search for all resources with the key name Project and the value MyImportantProject. Or search for all resources with the key name Cost Center and the value 41200. Access control - Include tags in IAM user-based and resource-based policies. You can use tags to restrict access to only an IAM instance profile that has a specified tag attached. For examples of policies that show how to use tags to control access, see Control access using IAM tags in the IAM User Guide. If any one of the tags is invalid or if you exceed the allowed maximum number of tags, then the entire request fails and the resource is not created. For more information about tagging, see Tagging IAM resources in the IAM User Guide. Amazon Web Services always interprets the tag Value as a single string. If you need to store an array, you can store comma-separated values in the string. However, you must interpret the value in your code.","ref":"aws_iam.html#tag_instance_profile/2","title":"aws_iam.tag_instance_profile/2","type":"function"},{"doc":"","ref":"aws_iam.html#tag_instance_profile/3","title":"aws_iam.tag_instance_profile/3","type":"function"},{"doc":"Adds one or more tags to an IAM virtual multi-factor authentication (MFA) device. If a tag with the same key name already exists, then that tag is overwritten with the new value. A tag consists of a key name and an associated value. By assigning tags to your resources, you can do the following: Administrative grouping and discovery - Attach tags to resources to aid in organization and search. For example, you could search for all resources with the key name Project and the value MyImportantProject. Or search for all resources with the key name Cost Center and the value 41200. Access control - Include tags in IAM user-based and resource-based policies. You can use tags to restrict access to only an IAM virtual MFA device that has a specified tag attached. For examples of policies that show how to use tags to control access, see Control access using IAM tags in the IAM User Guide. If any one of the tags is invalid or if you exceed the allowed maximum number of tags, then the entire request fails and the resource is not created. For more information about tagging, see Tagging IAM resources in the IAM User Guide. Amazon Web Services always interprets the tag Value as a single string. If you need to store an array, you can store comma-separated values in the string. However, you must interpret the value in your code.","ref":"aws_iam.html#tag_mfa_device/2","title":"aws_iam.tag_mfa_device/2","type":"function"},{"doc":"","ref":"aws_iam.html#tag_mfa_device/3","title":"aws_iam.tag_mfa_device/3","type":"function"},{"doc":"Adds one or more tags to an OpenID Connect (OIDC)-compatible identity provider. For more information about these providers, see About web identity federation. If a tag with the same key name already exists, then that tag is overwritten with the new value. A tag consists of a key name and an associated value. By assigning tags to your resources, you can do the following: Administrative grouping and discovery - Attach tags to resources to aid in organization and search. For example, you could search for all resources with the key name Project and the value MyImportantProject. Or search for all resources with the key name Cost Center and the value 41200. Access control - Include tags in IAM user-based and resource-based policies. You can use tags to restrict access to only an OIDC provider that has a specified tag attached. For examples of policies that show how to use tags to control access, see Control access using IAM tags in the IAM User Guide. If any one of the tags is invalid or if you exceed the allowed maximum number of tags, then the entire request fails and the resource is not created. For more information about tagging, see Tagging IAM resources in the IAM User Guide. Amazon Web Services always interprets the tag Value as a single string. If you need to store an array, you can store comma-separated values in the string. However, you must interpret the value in your code.","ref":"aws_iam.html#tag_open_id_connect_provider/2","title":"aws_iam.tag_open_id_connect_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#tag_open_id_connect_provider/3","title":"aws_iam.tag_open_id_connect_provider/3","type":"function"},{"doc":"Adds one or more tags to an IAM customer managed policy. If a tag with the same key name already exists, then that tag is overwritten with the new value. A tag consists of a key name and an associated value. By assigning tags to your resources, you can do the following: Administrative grouping and discovery - Attach tags to resources to aid in organization and search. For example, you could search for all resources with the key name Project and the value MyImportantProject. Or search for all resources with the key name Cost Center and the value 41200. Access control - Include tags in IAM user-based and resource-based policies. You can use tags to restrict access to only an IAM customer managed policy that has a specified tag attached. For examples of policies that show how to use tags to control access, see Control access using IAM tags in the IAM User Guide. If any one of the tags is invalid or if you exceed the allowed maximum number of tags, then the entire request fails and the resource is not created. For more information about tagging, see Tagging IAM resources in the IAM User Guide. Amazon Web Services always interprets the tag Value as a single string. If you need to store an array, you can store comma-separated values in the string. However, you must interpret the value in your code.","ref":"aws_iam.html#tag_policy/2","title":"aws_iam.tag_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#tag_policy/3","title":"aws_iam.tag_policy/3","type":"function"},{"doc":"Adds one or more tags to an IAM role. The role can be a regular role or a service-linked role. If a tag with the same key name already exists, then that tag is overwritten with the new value. A tag consists of a key name and an associated value. By assigning tags to your resources, you can do the following: Administrative grouping and discovery - Attach tags to resources to aid in organization and search. For example, you could search for all resources with the key name Project and the value MyImportantProject. Or search for all resources with the key name Cost Center and the value 41200. Access control - Include tags in IAM user-based and resource-based policies. You can use tags to restrict access to only an IAM role that has a specified tag attached. You can also restrict access to only those resources that have a certain tag attached. For examples of policies that show how to use tags to control access, see Control access using IAM tags in the IAM User Guide. Cost allocation - Use tags to help track which individuals and teams are using which Amazon Web Services resources. If any one of the tags is invalid or if you exceed the allowed maximum number of tags, then the entire request fails and the resource is not created. For more information about tagging, see Tagging IAM resources in the IAM User Guide. Amazon Web Services always interprets the tag Value as a single string. If you need to store an array, you can store comma-separated values in the string. However, you must interpret the value in your code. For more information about tagging, see Tagging IAM identities in the IAM User Guide.","ref":"aws_iam.html#tag_role/2","title":"aws_iam.tag_role/2","type":"function"},{"doc":"","ref":"aws_iam.html#tag_role/3","title":"aws_iam.tag_role/3","type":"function"},{"doc":"Adds one or more tags to a Security Assertion Markup Language (SAML) identity provider. For more information about these providers, see About SAML 2.0-based federation . If a tag with the same key name already exists, then that tag is overwritten with the new value. A tag consists of a key name and an associated value. By assigning tags to your resources, you can do the following: Administrative grouping and discovery - Attach tags to resources to aid in organization and search. For example, you could search for all resources with the key name Project and the value MyImportantProject. Or search for all resources with the key name Cost Center and the value 41200. Access control - Include tags in IAM user-based and resource-based policies. You can use tags to restrict access to only a SAML identity provider that has a specified tag attached. For examples of policies that show how to use tags to control access, see Control access using IAM tags in the IAM User Guide. If any one of the tags is invalid or if you exceed the allowed maximum number of tags, then the entire request fails and the resource is not created. For more information about tagging, see Tagging IAM resources in the IAM User Guide. Amazon Web Services always interprets the tag Value as a single string. If you need to store an array, you can store comma-separated values in the string. However, you must interpret the value in your code.","ref":"aws_iam.html#tag_saml_provider/2","title":"aws_iam.tag_saml_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#tag_saml_provider/3","title":"aws_iam.tag_saml_provider/3","type":"function"},{"doc":"Adds one or more tags to an IAM server certificate. If a tag with the same key name already exists, then that tag is overwritten with the new value. For certificates in a Region supported by Certificate Manager (ACM), we recommend that you don't use IAM server certificates. Instead, use ACM to provision, manage, and deploy your server certificates. For more information about IAM server certificates, Working with server certificates in the IAM User Guide. A tag consists of a key name and an associated value. By assigning tags to your resources, you can do the following: Administrative grouping and discovery - Attach tags to resources to aid in organization and search. For example, you could search for all resources with the key name Project and the value MyImportantProject. Or search for all resources with the key name Cost Center and the value 41200. Access control - Include tags in IAM user-based and resource-based policies. You can use tags to restrict access to only a server certificate that has a specified tag attached. For examples of policies that show how to use tags to control access, see Control access using IAM tags in the IAM User Guide. Cost allocation - Use tags to help track which individuals and teams are using which Amazon Web Services resources. If any one of the tags is invalid or if you exceed the allowed maximum number of tags, then the entire request fails and the resource is not created. For more information about tagging, see Tagging IAM resources in the IAM User Guide. Amazon Web Services always interprets the tag Value as a single string. If you need to store an array, you can store comma-separated values in the string. However, you must interpret the value in your code.","ref":"aws_iam.html#tag_server_certificate/2","title":"aws_iam.tag_server_certificate/2","type":"function"},{"doc":"","ref":"aws_iam.html#tag_server_certificate/3","title":"aws_iam.tag_server_certificate/3","type":"function"},{"doc":"Adds one or more tags to an IAM user. If a tag with the same key name already exists, then that tag is overwritten with the new value. A tag consists of a key name and an associated value. By assigning tags to your resources, you can do the following: Administrative grouping and discovery - Attach tags to resources to aid in organization and search. For example, you could search for all resources with the key name Project and the value MyImportantProject. Or search for all resources with the key name Cost Center and the value 41200. Access control - Include tags in IAM user-based and resource-based policies. You can use tags to restrict access to only an IAM requesting user that has a specified tag attached. You can also restrict access to only those resources that have a certain tag attached. For examples of policies that show how to use tags to control access, see Control access using IAM tags in the IAM User Guide. Cost allocation - Use tags to help track which individuals and teams are using which Amazon Web Services resources. If any one of the tags is invalid or if you exceed the allowed maximum number of tags, then the entire request fails and the resource is not created. For more information about tagging, see Tagging IAM resources in the IAM User Guide. Amazon Web Services always interprets the tag Value as a single string. If you need to store an array, you can store comma-separated values in the string. However, you must interpret the value in your code. For more information about tagging, see Tagging IAM identities in the IAM User Guide.","ref":"aws_iam.html#tag_user/2","title":"aws_iam.tag_user/2","type":"function"},{"doc":"","ref":"aws_iam.html#tag_user/3","title":"aws_iam.tag_user/3","type":"function"},{"doc":"Removes the specified tags from the IAM instance profile. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#untag_instance_profile/2","title":"aws_iam.untag_instance_profile/2","type":"function"},{"doc":"","ref":"aws_iam.html#untag_instance_profile/3","title":"aws_iam.untag_instance_profile/3","type":"function"},{"doc":"Removes the specified tags from the IAM virtual multi-factor authentication (MFA) device. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#untag_mfa_device/2","title":"aws_iam.untag_mfa_device/2","type":"function"},{"doc":"","ref":"aws_iam.html#untag_mfa_device/3","title":"aws_iam.untag_mfa_device/3","type":"function"},{"doc":"Removes the specified tags from the specified OpenID Connect (OIDC)-compatible identity provider in IAM. For more information about OIDC providers, see About web identity federation. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#untag_open_id_connect_provider/2","title":"aws_iam.untag_open_id_connect_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#untag_open_id_connect_provider/3","title":"aws_iam.untag_open_id_connect_provider/3","type":"function"},{"doc":"Removes the specified tags from the customer managed policy. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#untag_policy/2","title":"aws_iam.untag_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#untag_policy/3","title":"aws_iam.untag_policy/3","type":"function"},{"doc":"Removes the specified tags from the role. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#untag_role/2","title":"aws_iam.untag_role/2","type":"function"},{"doc":"","ref":"aws_iam.html#untag_role/3","title":"aws_iam.untag_role/3","type":"function"},{"doc":"Removes the specified tags from the specified Security Assertion Markup Language (SAML) identity provider in IAM. For more information about these providers, see About web identity federation. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#untag_saml_provider/2","title":"aws_iam.untag_saml_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#untag_saml_provider/3","title":"aws_iam.untag_saml_provider/3","type":"function"},{"doc":"Removes the specified tags from the IAM server certificate. For more information about tagging, see Tagging IAM resources in the IAM User Guide. For certificates in a Region supported by Certificate Manager (ACM), we recommend that you don't use IAM server certificates. Instead, use ACM to provision, manage, and deploy your server certificates. For more information about IAM server certificates, Working with server certificates in the IAM User Guide.","ref":"aws_iam.html#untag_server_certificate/2","title":"aws_iam.untag_server_certificate/2","type":"function"},{"doc":"","ref":"aws_iam.html#untag_server_certificate/3","title":"aws_iam.untag_server_certificate/3","type":"function"},{"doc":"Removes the specified tags from the user. For more information about tagging, see Tagging IAM resources in the IAM User Guide.","ref":"aws_iam.html#untag_user/2","title":"aws_iam.untag_user/2","type":"function"},{"doc":"","ref":"aws_iam.html#untag_user/3","title":"aws_iam.untag_user/3","type":"function"},{"doc":"Changes the status of the specified access key from Active to Inactive, or vice versa. This operation can be used to disable a user's key as part of a key rotation workflow. If the UserName is not specified, the user name is determined implicitly based on the Amazon Web Services access key ID used to sign the request. If a temporary access key is used, then UserName is required. If a long-term key is assigned to the user, then UserName is not required. This operation works for access keys under the Amazon Web Services account. Consequently, you can use this operation to manage Amazon Web Services account root user credentials even if the Amazon Web Services account has no associated users. For information about rotating keys, see Managing keys and certificates in the IAM User Guide.","ref":"aws_iam.html#update_access_key/2","title":"aws_iam.update_access_key/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_access_key/3","title":"aws_iam.update_access_key/3","type":"function"},{"doc":"Updates the password policy settings for the Amazon Web Services account. This operation does not support partial updates. No parameters are required, but if you do not specify a parameter, that parameter's value reverts to its default value. See the Request Parameters section for each parameter's default value. Also note that some parameters do not allow the default parameter to be explicitly set. Instead, to invoke the default value, do not include that parameter when you invoke the operation. For more information about using a password policy, see Managing an IAM password policy in the IAM User Guide.","ref":"aws_iam.html#update_account_password_policy/2","title":"aws_iam.update_account_password_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_account_password_policy/3","title":"aws_iam.update_account_password_policy/3","type":"function"},{"doc":"Updates the policy that grants an IAM entity permission to assume a role. This is typically referred to as the &quot;role trust policy&quot;. For more information about roles, see Using roles to delegate permissions and federate identities.","ref":"aws_iam.html#update_assume_role_policy/2","title":"aws_iam.update_assume_role_policy/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_assume_role_policy/3","title":"aws_iam.update_assume_role_policy/3","type":"function"},{"doc":"Updates the name and/or the path of the specified IAM group. You should understand the implications of changing a group's path or name. For more information, see Renaming users and groups in the IAM User Guide. The person making the request (the principal), must have permission to change the role group with the old name and the new name. For example, to change the group named Managers to MGRs , the principal must have a policy that allows them to update both groups. If the principal has permission to update the Managers group, but not the MGRs group, then the update fails. For more information about permissions, see Access management.","ref":"aws_iam.html#update_group/2","title":"aws_iam.update_group/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_group/3","title":"aws_iam.update_group/3","type":"function"},{"doc":"Changes the password for the specified IAM user. You can use the CLI, the Amazon Web Services API, or the Users page in the IAM console to change the password for any IAM user. Use ChangePassword to change your own password in the My Security Credentials page in the Amazon Web Services Management Console. For more information about modifying passwords, see Managing passwords in the IAM User Guide.","ref":"aws_iam.html#update_login_profile/2","title":"aws_iam.update_login_profile/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_login_profile/3","title":"aws_iam.update_login_profile/3","type":"function"},{"doc":"Replaces the existing list of server certificate thumbprints associated with an OpenID Connect (OIDC) provider resource object with a new list of thumbprints. The list that you pass with this operation completely replaces the existing list of thumbprints. (The lists are not merged.) Typically, you need to update a thumbprint only when the identity provider certificate changes, which occurs rarely. However, if the provider's certificate does change, any attempt to assume an IAM role that specifies the OIDC provider as a principal fails until the certificate thumbprint is updated. Amazon Web Services secures communication with some OIDC identity providers (IdPs) through our library of trusted certificate authorities (CAs) instead of using a certificate thumbprint to verify your IdP server certificate. These OIDC IdPs include Google, Auth0, and those that use an Amazon S3 bucket to host a JSON Web Key Set (JWKS) endpoint. In these cases, your legacy thumbprint remains in your configuration, but is no longer used for validation. Trust for the OIDC provider is derived from the provider certificate and is validated by the thumbprint. Therefore, it is best to limit access to the UpdateOpenIDConnectProviderThumbprint operation to highly privileged users.","ref":"aws_iam.html#update_open_id_connect_provider_thumbprint/2","title":"aws_iam.update_open_id_connect_provider_thumbprint/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_open_id_connect_provider_thumbprint/3","title":"aws_iam.update_open_id_connect_provider_thumbprint/3","type":"function"},{"doc":"Updates the description or maximum session duration setting of a role.","ref":"aws_iam.html#update_role/2","title":"aws_iam.update_role/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_role/3","title":"aws_iam.update_role/3","type":"function"},{"doc":"Use UpdateRole instead. Modifies only the description of a role. This operation performs the same function as the Description parameter in the UpdateRole operation.","ref":"aws_iam.html#update_role_description/2","title":"aws_iam.update_role_description/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_role_description/3","title":"aws_iam.update_role_description/3","type":"function"},{"doc":"Updates the metadata document for an existing SAML provider resource object. This operation requires Signature Version 4.","ref":"aws_iam.html#update_saml_provider/2","title":"aws_iam.update_saml_provider/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_saml_provider/3","title":"aws_iam.update_saml_provider/3","type":"function"},{"doc":"Updates the name and/or the path of the specified server certificate stored in IAM. For more information about working with server certificates, see Working with server certificates in the IAM User Guide. This topic also includes a list of Amazon Web Services services that can use the server certificates that you manage with IAM. You should understand the implications of changing a server certificate's path or name. For more information, see Renaming a server certificate in the IAM User Guide. The person making the request (the principal), must have permission to change the server certificate with the old name and the new name. For example, to change the certificate named ProductionCert to ProdCert , the principal must have a policy that allows them to update both certificates. If the principal has permission to update the ProductionCert group, but not the ProdCert certificate, then the update fails. For more information about permissions, see Access management in the IAM User Guide.","ref":"aws_iam.html#update_server_certificate/2","title":"aws_iam.update_server_certificate/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_server_certificate/3","title":"aws_iam.update_server_certificate/3","type":"function"},{"doc":"Sets the status of a service-specific credential to Active or Inactive . Service-specific credentials that are inactive cannot be used for authentication to the service. This operation can be used to disable a user's service-specific credential as part of a credential rotation work flow.","ref":"aws_iam.html#update_service_specific_credential/2","title":"aws_iam.update_service_specific_credential/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_service_specific_credential/3","title":"aws_iam.update_service_specific_credential/3","type":"function"},{"doc":"Changes the status of the specified user signing certificate from active to disabled, or vice versa. This operation can be used to disable an IAM user's signing certificate as part of a certificate rotation work flow. If the UserName field is not specified, the user name is determined implicitly based on the Amazon Web Services access key ID used to sign the request. This operation works for access keys under the Amazon Web Services account. Consequently, you can use this operation to manage Amazon Web Services account root user credentials even if the Amazon Web Services account has no associated users.","ref":"aws_iam.html#update_signing_certificate/2","title":"aws_iam.update_signing_certificate/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_signing_certificate/3","title":"aws_iam.update_signing_certificate/3","type":"function"},{"doc":"Sets the status of an IAM user's SSH public key to active or inactive. SSH public keys that are inactive cannot be used for authentication. This operation can be used to disable a user's SSH public key as part of a key rotation work flow. The SSH public key affected by this operation is used only for authenticating the associated IAM user to an CodeCommit repository. For more information about using SSH keys to authenticate to an CodeCommit repository, see Set up CodeCommit for SSH connections in the CodeCommit User Guide.","ref":"aws_iam.html#update_ssh_public_key/2","title":"aws_iam.update_ssh_public_key/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_ssh_public_key/3","title":"aws_iam.update_ssh_public_key/3","type":"function"},{"doc":"Updates the name and/or the path of the specified IAM user. You should understand the implications of changing an IAM user's path or name. For more information, see Renaming an IAM user and Renaming an IAM group in the IAM User Guide. To change a user name, the requester must have appropriate permissions on both the source object and the target object. For example, to change Bob to Robert, the entity making the request must have permission on Bob and Robert, or must have permission on all (*). For more information about permissions, see Permissions and policies.","ref":"aws_iam.html#update_user/2","title":"aws_iam.update_user/2","type":"function"},{"doc":"","ref":"aws_iam.html#update_user/3","title":"aws_iam.update_user/3","type":"function"},{"doc":"Uploads a server certificate entity for the Amazon Web Services account. The server certificate entity includes a public key certificate, a private key, and an optional certificate chain, which should all be PEM-encoded. We recommend that you use Certificate Manager to provision, manage, and deploy your server certificates. With ACM you can request a certificate, deploy it to Amazon Web Services resources, and let ACM handle certificate renewals for you. Certificates provided by ACM are free. For more information about using ACM, see the Certificate Manager User Guide. For more information about working with server certificates, see Working with server certificates in the IAM User Guide. This topic includes a list of Amazon Web Services services that can use the server certificates that you manage with IAM. For information about the number of server certificates you can upload, see IAM and STS quotas in the IAM User Guide. Because the body of the public key certificate, private key, and the certificate chain can be large, you should use POST rather than GET when calling UploadServerCertificate . For information about setting up signatures and authorization through the API, see Signing Amazon Web Services API requests in the Amazon Web Services General Reference. For general information about using the Query API with IAM, see Calling the API by making HTTP query requests in the IAM User Guide.","ref":"aws_iam.html#upload_server_certificate/2","title":"aws_iam.upload_server_certificate/2","type":"function"},{"doc":"","ref":"aws_iam.html#upload_server_certificate/3","title":"aws_iam.upload_server_certificate/3","type":"function"},{"doc":"Uploads an X.509 signing certificate and associates it with the specified IAM user. Some Amazon Web Services services require you to use certificates to validate requests that are signed with a corresponding private key. When you upload the certificate, its default status is Active . For information about when you would use an X.509 signing certificate, see Managing server certificates in IAM in the IAM User Guide. If the UserName is not specified, the IAM user name is determined implicitly based on the Amazon Web Services access key ID used to sign the request. This operation works for access keys under the Amazon Web Services account. Consequently, you can use this operation to manage Amazon Web Services account root user credentials even if the Amazon Web Services account has no associated users. Because the body of an X.509 certificate can be large, you should use POST rather than GET when calling UploadSigningCertificate . For information about setting up signatures and authorization through the API, see Signing Amazon Web Services API requests in the Amazon Web Services General Reference. For general information about using the Query API with IAM, see Making query requests in the IAM User Guide.","ref":"aws_iam.html#upload_signing_certificate/2","title":"aws_iam.upload_signing_certificate/2","type":"function"},{"doc":"","ref":"aws_iam.html#upload_signing_certificate/3","title":"aws_iam.upload_signing_certificate/3","type":"function"},{"doc":"Uploads an SSH public key and associates it with the specified IAM user. The SSH public key uploaded by this operation can be used only for authenticating the associated IAM user to an CodeCommit repository. For more information about using SSH keys to authenticate to an CodeCommit repository, see Set up CodeCommit for SSH connections in the CodeCommit User Guide.","ref":"aws_iam.html#upload_ssh_public_key/2","title":"aws_iam.upload_ssh_public_key/2","type":"function"},{"doc":"","ref":"aws_iam.html#upload_ssh_public_key/3","title":"aws_iam.upload_ssh_public_key/3","type":"function"},{"doc":"The Identity Store service used by AWS IAM Identity Center (successor to AWS Single Sign-On) provides a single place to retrieve all of your identities (users and groups). For more information, see the IAM Identity Center User Guide. &lt;note&gt; &lt;p&gt;Although AWS Single Sign-On was renamed, the &lt;code&gt;sso&lt;/code&gt; and &lt;code&gt;identitystore&lt;/code&gt; API namespaces will continue to retain their original name for backward compatibility purposes. For more information, see &lt;a href=&quot;https://docs.aws.amazon.com/singlesignon/latest/userguide/what-is.html#renamed&quot;&gt;IAM Identity Center rename&lt;/a&gt;.&lt;/p&gt; &lt;/note&gt; &lt;p&gt;This reference guide describes the identity store operations that you can call programatically and includes detailed information on data types and errors.&lt;/p&gt;","ref":"aws_identitystore.html","title":"aws_identitystore","type":"module"},{"doc":"Creates a group within the specified identity store.","ref":"aws_identitystore.html#create_group/2","title":"aws_identitystore.create_group/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#create_group/3","title":"aws_identitystore.create_group/3","type":"function"},{"doc":"Creates a relationship between a member and a group. The following identifiers must be specified: GroupId , IdentityStoreId , and MemberId .","ref":"aws_identitystore.html#create_group_membership/2","title":"aws_identitystore.create_group_membership/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#create_group_membership/3","title":"aws_identitystore.create_group_membership/3","type":"function"},{"doc":"Creates a new user within the specified identity store.","ref":"aws_identitystore.html#create_user/2","title":"aws_identitystore.create_user/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#create_user/3","title":"aws_identitystore.create_user/3","type":"function"},{"doc":"Delete a group within an identity store given GroupId .","ref":"aws_identitystore.html#delete_group/2","title":"aws_identitystore.delete_group/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#delete_group/3","title":"aws_identitystore.delete_group/3","type":"function"},{"doc":"Delete a membership within a group given MembershipId .","ref":"aws_identitystore.html#delete_group_membership/2","title":"aws_identitystore.delete_group_membership/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#delete_group_membership/3","title":"aws_identitystore.delete_group_membership/3","type":"function"},{"doc":"Deletes a user within an identity store given UserId .","ref":"aws_identitystore.html#delete_user/2","title":"aws_identitystore.delete_user/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#delete_user/3","title":"aws_identitystore.delete_user/3","type":"function"},{"doc":"Retrieves the group metadata and attributes from GroupId in an identity store.","ref":"aws_identitystore.html#describe_group/2","title":"aws_identitystore.describe_group/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#describe_group/3","title":"aws_identitystore.describe_group/3","type":"function"},{"doc":"Retrieves membership metadata and attributes from MembershipId in an identity store.","ref":"aws_identitystore.html#describe_group_membership/2","title":"aws_identitystore.describe_group_membership/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#describe_group_membership/3","title":"aws_identitystore.describe_group_membership/3","type":"function"},{"doc":"Retrieves the user metadata and attributes from the UserId in an identity store.","ref":"aws_identitystore.html#describe_user/2","title":"aws_identitystore.describe_user/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#describe_user/3","title":"aws_identitystore.describe_user/3","type":"function"},{"doc":"Retrieves GroupId in an identity store.","ref":"aws_identitystore.html#get_group_id/2","title":"aws_identitystore.get_group_id/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#get_group_id/3","title":"aws_identitystore.get_group_id/3","type":"function"},{"doc":"Retrieves the MembershipId in an identity store.","ref":"aws_identitystore.html#get_group_membership_id/2","title":"aws_identitystore.get_group_membership_id/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#get_group_membership_id/3","title":"aws_identitystore.get_group_membership_id/3","type":"function"},{"doc":"Retrieves the UserId in an identity store.","ref":"aws_identitystore.html#get_user_id/2","title":"aws_identitystore.get_user_id/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#get_user_id/3","title":"aws_identitystore.get_user_id/3","type":"function"},{"doc":"Checks the user's membership in all requested groups and returns if the member exists in all queried groups.","ref":"aws_identitystore.html#is_member_in_groups/2","title":"aws_identitystore.is_member_in_groups/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#is_member_in_groups/3","title":"aws_identitystore.is_member_in_groups/3","type":"function"},{"doc":"For the specified group in the specified identity store, returns the list of all GroupMembership objects and returns results in paginated form.","ref":"aws_identitystore.html#list_group_memberships/2","title":"aws_identitystore.list_group_memberships/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#list_group_memberships/3","title":"aws_identitystore.list_group_memberships/3","type":"function"},{"doc":"For the specified member in the specified identity store, returns the list of all GroupMembership objects and returns results in paginated form.","ref":"aws_identitystore.html#list_group_memberships_for_member/2","title":"aws_identitystore.list_group_memberships_for_member/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#list_group_memberships_for_member/3","title":"aws_identitystore.list_group_memberships_for_member/3","type":"function"},{"doc":"Lists all groups in the identity store. Returns a paginated list of complete Group objects. Filtering for a Group by the DisplayName attribute is deprecated. Instead, use the GetGroupId API action.","ref":"aws_identitystore.html#list_groups/2","title":"aws_identitystore.list_groups/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#list_groups/3","title":"aws_identitystore.list_groups/3","type":"function"},{"doc":"Lists all users in the identity store. Returns a paginated list of complete User objects. Filtering for a User by the UserName attribute is deprecated. Instead, use the GetUserId API action.","ref":"aws_identitystore.html#list_users/2","title":"aws_identitystore.list_users/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#list_users/3","title":"aws_identitystore.list_users/3","type":"function"},{"doc":"For the specified group in the specified identity store, updates the group metadata and attributes.","ref":"aws_identitystore.html#update_group/2","title":"aws_identitystore.update_group/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#update_group/3","title":"aws_identitystore.update_group/3","type":"function"},{"doc":"For the specified user in the specified identity store, updates the user metadata and attributes.","ref":"aws_identitystore.html#update_user/2","title":"aws_identitystore.update_user/2","type":"function"},{"doc":"","ref":"aws_identitystore.html#update_user/3","title":"aws_identitystore.update_user/3","type":"function"},{"doc":"EC2 Image Builder is a fully managed Amazon Web Services service that makes it easier to automate the creation, management, and deployment of customized, secure, and up-to-date &quot;golden&quot; server images that are pre-installed and pre-configured with software and settings to meet specific IT standards.","ref":"aws_imagebuilder.html","title":"aws_imagebuilder","type":"module"},{"doc":"CancelImageCreation cancels the creation of Image. This operation can only be used on images in a non-terminal state.","ref":"aws_imagebuilder.html#cancel_image_creation/2","title":"aws_imagebuilder.cancel_image_creation/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#cancel_image_creation/3","title":"aws_imagebuilder.cancel_image_creation/3","type":"function"},{"doc":"Creates a new component that can be used to build, validate, test, and assess your image. The component is based on a YAML document that you specify using exactly one of the following methods: Inline, using the data property in the request body. A URL that points to a YAML document file stored in Amazon S3, using the uri property in the request body.","ref":"aws_imagebuilder.html#create_component/2","title":"aws_imagebuilder.create_component/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#create_component/3","title":"aws_imagebuilder.create_component/3","type":"function"},{"doc":"Creates a new container recipe. Container recipes define how images are configured, tested, and assessed.","ref":"aws_imagebuilder.html#create_container_recipe/2","title":"aws_imagebuilder.create_container_recipe/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#create_container_recipe/3","title":"aws_imagebuilder.create_container_recipe/3","type":"function"},{"doc":"Creates a new distribution configuration. Distribution configurations define and configure the outputs of your pipeline.","ref":"aws_imagebuilder.html#create_distribution_configuration/2","title":"aws_imagebuilder.create_distribution_configuration/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#create_distribution_configuration/3","title":"aws_imagebuilder.create_distribution_configuration/3","type":"function"},{"doc":"Creates a new image. This request will create a new image along with all of the configured output resources defined in the distribution configuration. You must specify exactly one recipe for your image, using either a ContainerRecipeArn or an ImageRecipeArn.","ref":"aws_imagebuilder.html#create_image/2","title":"aws_imagebuilder.create_image/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#create_image/3","title":"aws_imagebuilder.create_image/3","type":"function"},{"doc":"Creates a new image pipeline. Image pipelines enable you to automate the creation and distribution of images.","ref":"aws_imagebuilder.html#create_image_pipeline/2","title":"aws_imagebuilder.create_image_pipeline/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#create_image_pipeline/3","title":"aws_imagebuilder.create_image_pipeline/3","type":"function"},{"doc":"Creates a new image recipe. Image recipes define how images are configured, tested, and assessed.","ref":"aws_imagebuilder.html#create_image_recipe/2","title":"aws_imagebuilder.create_image_recipe/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#create_image_recipe/3","title":"aws_imagebuilder.create_image_recipe/3","type":"function"},{"doc":"Creates a new infrastructure configuration. An infrastructure configuration defines the environment in which your image will be built and tested.","ref":"aws_imagebuilder.html#create_infrastructure_configuration/2","title":"aws_imagebuilder.create_infrastructure_configuration/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#create_infrastructure_configuration/3","title":"aws_imagebuilder.create_infrastructure_configuration/3","type":"function"},{"doc":"Deletes a component build version.","ref":"aws_imagebuilder.html#delete_component/2","title":"aws_imagebuilder.delete_component/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#delete_component/3","title":"aws_imagebuilder.delete_component/3","type":"function"},{"doc":"Deletes a container recipe.","ref":"aws_imagebuilder.html#delete_container_recipe/2","title":"aws_imagebuilder.delete_container_recipe/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#delete_container_recipe/3","title":"aws_imagebuilder.delete_container_recipe/3","type":"function"},{"doc":"Deletes a distribution configuration.","ref":"aws_imagebuilder.html#delete_distribution_configuration/2","title":"aws_imagebuilder.delete_distribution_configuration/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#delete_distribution_configuration/3","title":"aws_imagebuilder.delete_distribution_configuration/3","type":"function"},{"doc":"Deletes an Image Builder image resource. This does not delete any EC2 AMIs or ECR container images that are created during the image build process. You must clean those up separately, using the appropriate Amazon EC2 or Amazon ECR console actions, or API or CLI commands. To deregister an EC2 Linux AMI, see Deregister your Linux AMI in the Amazon EC2 User Guide . To deregister an EC2 Windows AMI, see Deregister your Windows AMI in the Amazon EC2 Windows Guide . To delete a container image from Amazon ECR, see Deleting an image in the Amazon ECR User Guide.","ref":"aws_imagebuilder.html#delete_image/2","title":"aws_imagebuilder.delete_image/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#delete_image/3","title":"aws_imagebuilder.delete_image/3","type":"function"},{"doc":"Deletes an image pipeline.","ref":"aws_imagebuilder.html#delete_image_pipeline/2","title":"aws_imagebuilder.delete_image_pipeline/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#delete_image_pipeline/3","title":"aws_imagebuilder.delete_image_pipeline/3","type":"function"},{"doc":"Deletes an image recipe.","ref":"aws_imagebuilder.html#delete_image_recipe/2","title":"aws_imagebuilder.delete_image_recipe/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#delete_image_recipe/3","title":"aws_imagebuilder.delete_image_recipe/3","type":"function"},{"doc":"Deletes an infrastructure configuration.","ref":"aws_imagebuilder.html#delete_infrastructure_configuration/2","title":"aws_imagebuilder.delete_infrastructure_configuration/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#delete_infrastructure_configuration/3","title":"aws_imagebuilder.delete_infrastructure_configuration/3","type":"function"},{"doc":"Gets a component object.","ref":"aws_imagebuilder.html#get_component/2","title":"aws_imagebuilder.get_component/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_component/4","title":"aws_imagebuilder.get_component/4","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_component/5","title":"aws_imagebuilder.get_component/5","type":"function"},{"doc":"Gets a component policy.","ref":"aws_imagebuilder.html#get_component_policy/2","title":"aws_imagebuilder.get_component_policy/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_component_policy/4","title":"aws_imagebuilder.get_component_policy/4","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_component_policy/5","title":"aws_imagebuilder.get_component_policy/5","type":"function"},{"doc":"Retrieves a container recipe.","ref":"aws_imagebuilder.html#get_container_recipe/2","title":"aws_imagebuilder.get_container_recipe/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_container_recipe/4","title":"aws_imagebuilder.get_container_recipe/4","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_container_recipe/5","title":"aws_imagebuilder.get_container_recipe/5","type":"function"},{"doc":"Retrieves the policy for a container recipe.","ref":"aws_imagebuilder.html#get_container_recipe_policy/2","title":"aws_imagebuilder.get_container_recipe_policy/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_container_recipe_policy/4","title":"aws_imagebuilder.get_container_recipe_policy/4","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_container_recipe_policy/5","title":"aws_imagebuilder.get_container_recipe_policy/5","type":"function"},{"doc":"Gets a distribution configuration.","ref":"aws_imagebuilder.html#get_distribution_configuration/2","title":"aws_imagebuilder.get_distribution_configuration/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_distribution_configuration/4","title":"aws_imagebuilder.get_distribution_configuration/4","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_distribution_configuration/5","title":"aws_imagebuilder.get_distribution_configuration/5","type":"function"},{"doc":"Gets an image.","ref":"aws_imagebuilder.html#get_image/2","title":"aws_imagebuilder.get_image/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_image/4","title":"aws_imagebuilder.get_image/4","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_image/5","title":"aws_imagebuilder.get_image/5","type":"function"},{"doc":"Gets an image pipeline.","ref":"aws_imagebuilder.html#get_image_pipeline/2","title":"aws_imagebuilder.get_image_pipeline/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_image_pipeline/4","title":"aws_imagebuilder.get_image_pipeline/4","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_image_pipeline/5","title":"aws_imagebuilder.get_image_pipeline/5","type":"function"},{"doc":"Gets an image policy.","ref":"aws_imagebuilder.html#get_image_policy/2","title":"aws_imagebuilder.get_image_policy/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_image_policy/4","title":"aws_imagebuilder.get_image_policy/4","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_image_policy/5","title":"aws_imagebuilder.get_image_policy/5","type":"function"},{"doc":"Gets an image recipe.","ref":"aws_imagebuilder.html#get_image_recipe/2","title":"aws_imagebuilder.get_image_recipe/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_image_recipe/4","title":"aws_imagebuilder.get_image_recipe/4","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_image_recipe/5","title":"aws_imagebuilder.get_image_recipe/5","type":"function"},{"doc":"Gets an image recipe policy.","ref":"aws_imagebuilder.html#get_image_recipe_policy/2","title":"aws_imagebuilder.get_image_recipe_policy/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_image_recipe_policy/4","title":"aws_imagebuilder.get_image_recipe_policy/4","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_image_recipe_policy/5","title":"aws_imagebuilder.get_image_recipe_policy/5","type":"function"},{"doc":"Gets an infrastructure configuration.","ref":"aws_imagebuilder.html#get_infrastructure_configuration/2","title":"aws_imagebuilder.get_infrastructure_configuration/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_infrastructure_configuration/4","title":"aws_imagebuilder.get_infrastructure_configuration/4","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#get_infrastructure_configuration/5","title":"aws_imagebuilder.get_infrastructure_configuration/5","type":"function"},{"doc":"Imports a component and transforms its data into a component document.","ref":"aws_imagebuilder.html#import_component/2","title":"aws_imagebuilder.import_component/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#import_component/3","title":"aws_imagebuilder.import_component/3","type":"function"},{"doc":"When you export your virtual machine (VM) from its virtualization environment, that process creates a set of one or more disk container files that act as snapshots of your VM’s environment, settings, and data. The Amazon EC2 API ImportImage action uses those files to import your VM and create an AMI. To import using the CLI command, see import-image You can reference the task ID from the VM import to pull in the AMI that the import created as the base image for your Image Builder recipe.","ref":"aws_imagebuilder.html#import_vm_image/2","title":"aws_imagebuilder.import_vm_image/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#import_vm_image/3","title":"aws_imagebuilder.import_vm_image/3","type":"function"},{"doc":"Returns the list of component build versions for the specified semantic version. The semantic version has four nodes: &lt;major&gt;.&lt;minor&gt;.&lt;patch&gt;/&lt;build&gt;. You can assign values for the first three, and can filter on all of them. Filtering: With semantic versioning, you have the flexibility to use wildcards (x) to specify the most recent versions or nodes when selecting the base image or components for your recipe. When you use a wildcard in any node, all nodes to the right of the first wildcard must also be wildcards.","ref":"aws_imagebuilder.html#list_component_build_versions/2","title":"aws_imagebuilder.list_component_build_versions/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_component_build_versions/3","title":"aws_imagebuilder.list_component_build_versions/3","type":"function"},{"doc":"Returns the list of components that can be filtered by name, or by using the listed filters to streamline results. Newly created components can take up to two minutes to appear in the ListComponents API Results. The semantic version has four nodes: &lt;major&gt;.&lt;minor&gt;.&lt;patch&gt;/&lt;build&gt;. You can assign values for the first three, and can filter on all of them. Filtering: With semantic versioning, you have the flexibility to use wildcards (x) to specify the most recent versions or nodes when selecting the base image or components for your recipe. When you use a wildcard in any node, all nodes to the right of the first wildcard must also be wildcards.","ref":"aws_imagebuilder.html#list_components/2","title":"aws_imagebuilder.list_components/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_components/3","title":"aws_imagebuilder.list_components/3","type":"function"},{"doc":"Returns a list of container recipes.","ref":"aws_imagebuilder.html#list_container_recipes/2","title":"aws_imagebuilder.list_container_recipes/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_container_recipes/3","title":"aws_imagebuilder.list_container_recipes/3","type":"function"},{"doc":"Returns a list of distribution configurations.","ref":"aws_imagebuilder.html#list_distribution_configurations/2","title":"aws_imagebuilder.list_distribution_configurations/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_distribution_configurations/3","title":"aws_imagebuilder.list_distribution_configurations/3","type":"function"},{"doc":"Returns a list of image build versions.","ref":"aws_imagebuilder.html#list_image_build_versions/2","title":"aws_imagebuilder.list_image_build_versions/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_image_build_versions/3","title":"aws_imagebuilder.list_image_build_versions/3","type":"function"},{"doc":"List the Packages that are associated with an Image Build Version, as determined by Amazon Web Services Systems Manager Inventory at build time.","ref":"aws_imagebuilder.html#list_image_packages/2","title":"aws_imagebuilder.list_image_packages/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_image_packages/3","title":"aws_imagebuilder.list_image_packages/3","type":"function"},{"doc":"Returns a list of images created by the specified pipeline.","ref":"aws_imagebuilder.html#list_image_pipeline_images/2","title":"aws_imagebuilder.list_image_pipeline_images/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_image_pipeline_images/3","title":"aws_imagebuilder.list_image_pipeline_images/3","type":"function"},{"doc":"Returns a list of image pipelines.","ref":"aws_imagebuilder.html#list_image_pipelines/2","title":"aws_imagebuilder.list_image_pipelines/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_image_pipelines/3","title":"aws_imagebuilder.list_image_pipelines/3","type":"function"},{"doc":"Returns a list of image recipes.","ref":"aws_imagebuilder.html#list_image_recipes/2","title":"aws_imagebuilder.list_image_recipes/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_image_recipes/3","title":"aws_imagebuilder.list_image_recipes/3","type":"function"},{"doc":"Returns the list of images that you have access to. Newly created images can take up to two minutes to appear in the ListImages API Results.","ref":"aws_imagebuilder.html#list_images/2","title":"aws_imagebuilder.list_images/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_images/3","title":"aws_imagebuilder.list_images/3","type":"function"},{"doc":"Returns a list of infrastructure configurations.","ref":"aws_imagebuilder.html#list_infrastructure_configurations/2","title":"aws_imagebuilder.list_infrastructure_configurations/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_infrastructure_configurations/3","title":"aws_imagebuilder.list_infrastructure_configurations/3","type":"function"},{"doc":"Returns the list of tags for the specified resource.","ref":"aws_imagebuilder.html#list_tags_for_resource/2","title":"aws_imagebuilder.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_tags_for_resource/4","title":"aws_imagebuilder.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#list_tags_for_resource/5","title":"aws_imagebuilder.list_tags_for_resource/5","type":"function"},{"doc":"Applies a policy to a component. We recommend that you call the RAM API CreateResourceShare to share resources. If you call the Image Builder API PutComponentPolicy , you must also call the RAM API PromoteResourceShareCreatedFromPolicy in order for the resource to be visible to all principals with whom the resource is shared.","ref":"aws_imagebuilder.html#put_component_policy/2","title":"aws_imagebuilder.put_component_policy/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#put_component_policy/3","title":"aws_imagebuilder.put_component_policy/3","type":"function"},{"doc":"Applies a policy to a container image. We recommend that you call the RAM API CreateResourceShare (https://docs.aws.amazon.com//ram/latest/APIReference/API_CreateResourceShare.html) to share resources. If you call the Image Builder API PutContainerImagePolicy , you must also call the RAM API PromoteResourceShareCreatedFromPolicy (https://docs.aws.amazon.com//ram/latest/APIReference/API_PromoteResourceShareCreatedFromPolicy.html) in order for the resource to be visible to all principals with whom the resource is shared.","ref":"aws_imagebuilder.html#put_container_recipe_policy/2","title":"aws_imagebuilder.put_container_recipe_policy/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#put_container_recipe_policy/3","title":"aws_imagebuilder.put_container_recipe_policy/3","type":"function"},{"doc":"Applies a policy to an image. We recommend that you call the RAM API CreateResourceShare to share resources. If you call the Image Builder API PutImagePolicy , you must also call the RAM API PromoteResourceShareCreatedFromPolicy in order for the resource to be visible to all principals with whom the resource is shared.","ref":"aws_imagebuilder.html#put_image_policy/2","title":"aws_imagebuilder.put_image_policy/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#put_image_policy/3","title":"aws_imagebuilder.put_image_policy/3","type":"function"},{"doc":"Applies a policy to an image recipe. We recommend that you call the RAM API CreateResourceShare to share resources. If you call the Image Builder API PutImageRecipePolicy , you must also call the RAM API PromoteResourceShareCreatedFromPolicy in order for the resource to be visible to all principals with whom the resource is shared.","ref":"aws_imagebuilder.html#put_image_recipe_policy/2","title":"aws_imagebuilder.put_image_recipe_policy/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#put_image_recipe_policy/3","title":"aws_imagebuilder.put_image_recipe_policy/3","type":"function"},{"doc":"Manually triggers a pipeline to create an image.","ref":"aws_imagebuilder.html#start_image_pipeline_execution/2","title":"aws_imagebuilder.start_image_pipeline_execution/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#start_image_pipeline_execution/3","title":"aws_imagebuilder.start_image_pipeline_execution/3","type":"function"},{"doc":"Adds a tag to a resource.","ref":"aws_imagebuilder.html#tag_resource/3","title":"aws_imagebuilder.tag_resource/3","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#tag_resource/4","title":"aws_imagebuilder.tag_resource/4","type":"function"},{"doc":"Removes a tag from a resource.","ref":"aws_imagebuilder.html#untag_resource/3","title":"aws_imagebuilder.untag_resource/3","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#untag_resource/4","title":"aws_imagebuilder.untag_resource/4","type":"function"},{"doc":"Updates a new distribution configuration. Distribution configurations define and configure the outputs of your pipeline.","ref":"aws_imagebuilder.html#update_distribution_configuration/2","title":"aws_imagebuilder.update_distribution_configuration/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#update_distribution_configuration/3","title":"aws_imagebuilder.update_distribution_configuration/3","type":"function"},{"doc":"Updates an image pipeline. Image pipelines enable you to automate the creation and distribution of images. UpdateImagePipeline does not support selective updates for the pipeline. You must specify all of the required properties in the update request, not just the properties that have changed.","ref":"aws_imagebuilder.html#update_image_pipeline/2","title":"aws_imagebuilder.update_image_pipeline/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#update_image_pipeline/3","title":"aws_imagebuilder.update_image_pipeline/3","type":"function"},{"doc":"Updates a new infrastructure configuration. An infrastructure configuration defines the environment in which your image will be built and tested.","ref":"aws_imagebuilder.html#update_infrastructure_configuration/2","title":"aws_imagebuilder.update_infrastructure_configuration/2","type":"function"},{"doc":"","ref":"aws_imagebuilder.html#update_infrastructure_configuration/3","title":"aws_imagebuilder.update_infrastructure_configuration/3","type":"function"},{"doc":"AWS Import/Export Service AWS Import/Export accelerates transferring large amounts of data between the AWS cloud and portable storage devices that you mail to us. AWS Import/Export transfers data directly onto and off of your storage devices using Amazon's high-speed internal network and bypassing the Internet. For large data sets, AWS Import/Export is often faster than Internet transfer and more cost effective than upgrading your connectivity.","ref":"aws_import_export.html","title":"aws_import_export","type":"module"},{"doc":"This operation cancels a specified job. Only the job owner can cancel it. The operation fails if the job has already started or is complete.","ref":"aws_import_export.html#cancel_job/2","title":"aws_import_export.cancel_job/2","type":"function"},{"doc":"","ref":"aws_import_export.html#cancel_job/3","title":"aws_import_export.cancel_job/3","type":"function"},{"doc":"This operation initiates the process of scheduling an upload or download of your data. You include in the request a manifest that describes the data transfer specifics. The response to the request includes a job ID, which you can use in other operations, a signature that you use to identify your storage device, and the address where you should ship your storage device.","ref":"aws_import_export.html#create_job/2","title":"aws_import_export.create_job/2","type":"function"},{"doc":"","ref":"aws_import_export.html#create_job/3","title":"aws_import_export.create_job/3","type":"function"},{"doc":"This operation generates a pre-paid UPS shipping label that you will use to ship your device to AWS for processing.","ref":"aws_import_export.html#get_shipping_label/2","title":"aws_import_export.get_shipping_label/2","type":"function"},{"doc":"","ref":"aws_import_export.html#get_shipping_label/3","title":"aws_import_export.get_shipping_label/3","type":"function"},{"doc":"This operation returns information about a job, including where the job is in the processing pipeline, the status of the results, and the signature value associated with the job. You can only return information about jobs you own.","ref":"aws_import_export.html#get_status/2","title":"aws_import_export.get_status/2","type":"function"},{"doc":"","ref":"aws_import_export.html#get_status/3","title":"aws_import_export.get_status/3","type":"function"},{"doc":"This operation returns the jobs associated with the requester. AWS Import/Export lists the jobs in reverse chronological order based on the date of creation. For example if Job Test1 was created 2009Dec30 and Test2 was created 2010Feb05, the ListJobs operation would return Test2 followed by Test1.","ref":"aws_import_export.html#list_jobs/2","title":"aws_import_export.list_jobs/2","type":"function"},{"doc":"","ref":"aws_import_export.html#list_jobs/3","title":"aws_import_export.list_jobs/3","type":"function"},{"doc":"You use this operation to change the parameters specified in the original manifest file by supplying a new manifest file. The manifest file attached to this request replaces the original manifest file. You can only use the operation after a CreateJob request but before the data transfer starts and you can only use it on jobs you own.","ref":"aws_import_export.html#update_job/2","title":"aws_import_export.update_job/2","type":"function"},{"doc":"","ref":"aws_import_export.html#update_job/3","title":"aws_import_export.update_job/3","type":"function"},{"doc":"AWS Import/Export Service AWS Import/Export accelerates transferring large amounts of data between the AWS cloud and portable storage devices that you mail to us. AWS Import/Export transfers data directly onto and off of your storage devices using Amazon's high-speed internal network and bypassing the Internet. For large data sets, AWS Import/Export is often faster than Internet transfer and more cost effective than upgrading your connectivity.","ref":"aws_importexport.html","title":"aws_importexport","type":"module"},{"doc":"This operation cancels a specified job. Only the job owner can cancel it. The operation fails if the job has already started or is complete.","ref":"aws_importexport.html#cancel_job/2","title":"aws_importexport.cancel_job/2","type":"function"},{"doc":"","ref":"aws_importexport.html#cancel_job/3","title":"aws_importexport.cancel_job/3","type":"function"},{"doc":"This operation initiates the process of scheduling an upload or download of your data. You include in the request a manifest that describes the data transfer specifics. The response to the request includes a job ID, which you can use in other operations, a signature that you use to identify your storage device, and the address where you should ship your storage device.","ref":"aws_importexport.html#create_job/2","title":"aws_importexport.create_job/2","type":"function"},{"doc":"","ref":"aws_importexport.html#create_job/3","title":"aws_importexport.create_job/3","type":"function"},{"doc":"This operation generates a pre-paid UPS shipping label that you will use to ship your device to AWS for processing.","ref":"aws_importexport.html#get_shipping_label/2","title":"aws_importexport.get_shipping_label/2","type":"function"},{"doc":"","ref":"aws_importexport.html#get_shipping_label/3","title":"aws_importexport.get_shipping_label/3","type":"function"},{"doc":"This operation returns information about a job, including where the job is in the processing pipeline, the status of the results, and the signature value associated with the job. You can only return information about jobs you own.","ref":"aws_importexport.html#get_status/2","title":"aws_importexport.get_status/2","type":"function"},{"doc":"","ref":"aws_importexport.html#get_status/3","title":"aws_importexport.get_status/3","type":"function"},{"doc":"This operation returns the jobs associated with the requester. AWS Import/Export lists the jobs in reverse chronological order based on the date of creation. For example if Job Test1 was created 2009Dec30 and Test2 was created 2010Feb05, the ListJobs operation would return Test2 followed by Test1.","ref":"aws_importexport.html#list_jobs/2","title":"aws_importexport.list_jobs/2","type":"function"},{"doc":"","ref":"aws_importexport.html#list_jobs/3","title":"aws_importexport.list_jobs/3","type":"function"},{"doc":"You use this operation to change the parameters specified in the original manifest file by supplying a new manifest file. The manifest file attached to this request replaces the original manifest file. You can only use the operation after a CreateJob request but before the data transfer starts and you can only use it on jobs you own.","ref":"aws_importexport.html#update_job/2","title":"aws_importexport.update_job/2","type":"function"},{"doc":"","ref":"aws_importexport.html#update_job/3","title":"aws_importexport.update_job/3","type":"function"},{"doc":"Amazon Inspector Amazon Inspector enables you to analyze the behavior of your AWS resources and to identify potential security issues. For more information, see Amazon Inspector User Guide.","ref":"aws_inspector.html","title":"aws_inspector","type":"module"},{"doc":"Assigns attributes (key and value pairs) to the findings that are specified by the ARNs of the findings.","ref":"aws_inspector.html#add_attributes_to_findings/2","title":"aws_inspector.add_attributes_to_findings/2","type":"function"},{"doc":"","ref":"aws_inspector.html#add_attributes_to_findings/3","title":"aws_inspector.add_attributes_to_findings/3","type":"function"},{"doc":"Creates a new assessment target using the ARN of the resource group that is generated by CreateResourceGroup . If resourceGroupArn is not specified, all EC2 instances in the current AWS account and region are included in the assessment target. If the service-linked role isn’t already registered, this action also creates and registers a service-linked role to grant Amazon Inspector access to AWS Services needed to perform security assessments. You can create up to 50 assessment targets per AWS account. You can run up to 500 concurrent agents per AWS account. For more information, see Amazon Inspector Assessment Targets.","ref":"aws_inspector.html#create_assessment_target/2","title":"aws_inspector.create_assessment_target/2","type":"function"},{"doc":"","ref":"aws_inspector.html#create_assessment_target/3","title":"aws_inspector.create_assessment_target/3","type":"function"},{"doc":"Creates an assessment template for the assessment target that is specified by the ARN of the assessment target. If the service-linked role isn’t already registered, this action also creates and registers a service-linked role to grant Amazon Inspector access to AWS Services needed to perform security assessments.","ref":"aws_inspector.html#create_assessment_template/2","title":"aws_inspector.create_assessment_template/2","type":"function"},{"doc":"","ref":"aws_inspector.html#create_assessment_template/3","title":"aws_inspector.create_assessment_template/3","type":"function"},{"doc":"Starts the generation of an exclusions preview for the specified assessment template. The exclusions preview lists the potential exclusions (ExclusionPreview) that Inspector can detect before it runs the assessment.","ref":"aws_inspector.html#create_exclusions_preview/2","title":"aws_inspector.create_exclusions_preview/2","type":"function"},{"doc":"","ref":"aws_inspector.html#create_exclusions_preview/3","title":"aws_inspector.create_exclusions_preview/3","type":"function"},{"doc":"Creates a resource group using the specified set of tags (key and value pairs) that are used to select the EC2 instances to be included in an Amazon Inspector assessment target. The created resource group is then used to create an Amazon Inspector assessment target. For more information, see CreateAssessmentTarget .","ref":"aws_inspector.html#create_resource_group/2","title":"aws_inspector.create_resource_group/2","type":"function"},{"doc":"","ref":"aws_inspector.html#create_resource_group/3","title":"aws_inspector.create_resource_group/3","type":"function"},{"doc":"Deletes the assessment run that is specified by the ARN of the assessment run.","ref":"aws_inspector.html#delete_assessment_run/2","title":"aws_inspector.delete_assessment_run/2","type":"function"},{"doc":"","ref":"aws_inspector.html#delete_assessment_run/3","title":"aws_inspector.delete_assessment_run/3","type":"function"},{"doc":"Deletes the assessment target that is specified by the ARN of the assessment target.","ref":"aws_inspector.html#delete_assessment_target/2","title":"aws_inspector.delete_assessment_target/2","type":"function"},{"doc":"","ref":"aws_inspector.html#delete_assessment_target/3","title":"aws_inspector.delete_assessment_target/3","type":"function"},{"doc":"Deletes the assessment template that is specified by the ARN of the assessment template.","ref":"aws_inspector.html#delete_assessment_template/2","title":"aws_inspector.delete_assessment_template/2","type":"function"},{"doc":"","ref":"aws_inspector.html#delete_assessment_template/3","title":"aws_inspector.delete_assessment_template/3","type":"function"},{"doc":"Describes the assessment runs that are specified by the ARNs of the assessment runs.","ref":"aws_inspector.html#describe_assessment_runs/2","title":"aws_inspector.describe_assessment_runs/2","type":"function"},{"doc":"","ref":"aws_inspector.html#describe_assessment_runs/3","title":"aws_inspector.describe_assessment_runs/3","type":"function"},{"doc":"Describes the assessment targets that are specified by the ARNs of the assessment targets.","ref":"aws_inspector.html#describe_assessment_targets/2","title":"aws_inspector.describe_assessment_targets/2","type":"function"},{"doc":"","ref":"aws_inspector.html#describe_assessment_targets/3","title":"aws_inspector.describe_assessment_targets/3","type":"function"},{"doc":"Describes the assessment templates that are specified by the ARNs of the assessment templates.","ref":"aws_inspector.html#describe_assessment_templates/2","title":"aws_inspector.describe_assessment_templates/2","type":"function"},{"doc":"","ref":"aws_inspector.html#describe_assessment_templates/3","title":"aws_inspector.describe_assessment_templates/3","type":"function"},{"doc":"Describes the IAM role that enables Amazon Inspector to access your AWS account.","ref":"aws_inspector.html#describe_cross_account_access_role/2","title":"aws_inspector.describe_cross_account_access_role/2","type":"function"},{"doc":"","ref":"aws_inspector.html#describe_cross_account_access_role/3","title":"aws_inspector.describe_cross_account_access_role/3","type":"function"},{"doc":"Describes the exclusions that are specified by the exclusions' ARNs.","ref":"aws_inspector.html#describe_exclusions/2","title":"aws_inspector.describe_exclusions/2","type":"function"},{"doc":"","ref":"aws_inspector.html#describe_exclusions/3","title":"aws_inspector.describe_exclusions/3","type":"function"},{"doc":"Describes the findings that are specified by the ARNs of the findings.","ref":"aws_inspector.html#describe_findings/2","title":"aws_inspector.describe_findings/2","type":"function"},{"doc":"","ref":"aws_inspector.html#describe_findings/3","title":"aws_inspector.describe_findings/3","type":"function"},{"doc":"Describes the resource groups that are specified by the ARNs of the resource groups.","ref":"aws_inspector.html#describe_resource_groups/2","title":"aws_inspector.describe_resource_groups/2","type":"function"},{"doc":"","ref":"aws_inspector.html#describe_resource_groups/3","title":"aws_inspector.describe_resource_groups/3","type":"function"},{"doc":"Describes the rules packages that are specified by the ARNs of the rules packages.","ref":"aws_inspector.html#describe_rules_packages/2","title":"aws_inspector.describe_rules_packages/2","type":"function"},{"doc":"","ref":"aws_inspector.html#describe_rules_packages/3","title":"aws_inspector.describe_rules_packages/3","type":"function"},{"doc":"Produces an assessment report that includes detailed and comprehensive results of a specified assessment run.","ref":"aws_inspector.html#get_assessment_report/2","title":"aws_inspector.get_assessment_report/2","type":"function"},{"doc":"","ref":"aws_inspector.html#get_assessment_report/3","title":"aws_inspector.get_assessment_report/3","type":"function"},{"doc":"Retrieves the exclusions preview (a list of ExclusionPreview objects) specified by the preview token. You can obtain the preview token by running the CreateExclusionsPreview API.","ref":"aws_inspector.html#get_exclusions_preview/2","title":"aws_inspector.get_exclusions_preview/2","type":"function"},{"doc":"","ref":"aws_inspector.html#get_exclusions_preview/3","title":"aws_inspector.get_exclusions_preview/3","type":"function"},{"doc":"Information about the data that is collected for the specified assessment run.","ref":"aws_inspector.html#get_telemetry_metadata/2","title":"aws_inspector.get_telemetry_metadata/2","type":"function"},{"doc":"","ref":"aws_inspector.html#get_telemetry_metadata/3","title":"aws_inspector.get_telemetry_metadata/3","type":"function"},{"doc":"Lists the agents of the assessment runs that are specified by the ARNs of the assessment runs.","ref":"aws_inspector.html#list_assessment_run_agents/2","title":"aws_inspector.list_assessment_run_agents/2","type":"function"},{"doc":"","ref":"aws_inspector.html#list_assessment_run_agents/3","title":"aws_inspector.list_assessment_run_agents/3","type":"function"},{"doc":"Lists the assessment runs that correspond to the assessment templates that are specified by the ARNs of the assessment templates.","ref":"aws_inspector.html#list_assessment_runs/2","title":"aws_inspector.list_assessment_runs/2","type":"function"},{"doc":"","ref":"aws_inspector.html#list_assessment_runs/3","title":"aws_inspector.list_assessment_runs/3","type":"function"},{"doc":"Lists the ARNs of the assessment targets within this AWS account. For more information about assessment targets, see Amazon Inspector Assessment Targets.","ref":"aws_inspector.html#list_assessment_targets/2","title":"aws_inspector.list_assessment_targets/2","type":"function"},{"doc":"","ref":"aws_inspector.html#list_assessment_targets/3","title":"aws_inspector.list_assessment_targets/3","type":"function"},{"doc":"Lists the assessment templates that correspond to the assessment targets that are specified by the ARNs of the assessment targets.","ref":"aws_inspector.html#list_assessment_templates/2","title":"aws_inspector.list_assessment_templates/2","type":"function"},{"doc":"","ref":"aws_inspector.html#list_assessment_templates/3","title":"aws_inspector.list_assessment_templates/3","type":"function"},{"doc":"Lists all the event subscriptions for the assessment template that is specified by the ARN of the assessment template. For more information, see SubscribeToEvent and UnsubscribeFromEvent .","ref":"aws_inspector.html#list_event_subscriptions/2","title":"aws_inspector.list_event_subscriptions/2","type":"function"},{"doc":"","ref":"aws_inspector.html#list_event_subscriptions/3","title":"aws_inspector.list_event_subscriptions/3","type":"function"},{"doc":"List exclusions that are generated by the assessment run.","ref":"aws_inspector.html#list_exclusions/2","title":"aws_inspector.list_exclusions/2","type":"function"},{"doc":"","ref":"aws_inspector.html#list_exclusions/3","title":"aws_inspector.list_exclusions/3","type":"function"},{"doc":"Lists findings that are generated by the assessment runs that are specified by the ARNs of the assessment runs.","ref":"aws_inspector.html#list_findings/2","title":"aws_inspector.list_findings/2","type":"function"},{"doc":"","ref":"aws_inspector.html#list_findings/3","title":"aws_inspector.list_findings/3","type":"function"},{"doc":"Lists all available Amazon Inspector rules packages.","ref":"aws_inspector.html#list_rules_packages/2","title":"aws_inspector.list_rules_packages/2","type":"function"},{"doc":"","ref":"aws_inspector.html#list_rules_packages/3","title":"aws_inspector.list_rules_packages/3","type":"function"},{"doc":"Lists all tags associated with an assessment template.","ref":"aws_inspector.html#list_tags_for_resource/2","title":"aws_inspector.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_inspector.html#list_tags_for_resource/3","title":"aws_inspector.list_tags_for_resource/3","type":"function"},{"doc":"Previews the agents installed on the EC2 instances that are part of the specified assessment target.","ref":"aws_inspector.html#preview_agents/2","title":"aws_inspector.preview_agents/2","type":"function"},{"doc":"","ref":"aws_inspector.html#preview_agents/3","title":"aws_inspector.preview_agents/3","type":"function"},{"doc":"Registers the IAM role that grants Amazon Inspector access to AWS Services needed to perform security assessments.","ref":"aws_inspector.html#register_cross_account_access_role/2","title":"aws_inspector.register_cross_account_access_role/2","type":"function"},{"doc":"","ref":"aws_inspector.html#register_cross_account_access_role/3","title":"aws_inspector.register_cross_account_access_role/3","type":"function"},{"doc":"Removes entire attributes (key and value pairs) from the findings that are specified by the ARNs of the findings where an attribute with the specified key exists.","ref":"aws_inspector.html#remove_attributes_from_findings/2","title":"aws_inspector.remove_attributes_from_findings/2","type":"function"},{"doc":"","ref":"aws_inspector.html#remove_attributes_from_findings/3","title":"aws_inspector.remove_attributes_from_findings/3","type":"function"},{"doc":"Sets tags (key and value pairs) to the assessment template that is specified by the ARN of the assessment template.","ref":"aws_inspector.html#set_tags_for_resource/2","title":"aws_inspector.set_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_inspector.html#set_tags_for_resource/3","title":"aws_inspector.set_tags_for_resource/3","type":"function"},{"doc":"Starts the assessment run specified by the ARN of the assessment template. For this API to function properly, you must not exceed the limit of running up to 500 concurrent agents per AWS account.","ref":"aws_inspector.html#start_assessment_run/2","title":"aws_inspector.start_assessment_run/2","type":"function"},{"doc":"","ref":"aws_inspector.html#start_assessment_run/3","title":"aws_inspector.start_assessment_run/3","type":"function"},{"doc":"Stops the assessment run that is specified by the ARN of the assessment run.","ref":"aws_inspector.html#stop_assessment_run/2","title":"aws_inspector.stop_assessment_run/2","type":"function"},{"doc":"","ref":"aws_inspector.html#stop_assessment_run/3","title":"aws_inspector.stop_assessment_run/3","type":"function"},{"doc":"Enables the process of sending Amazon Simple Notification Service (SNS) notifications about a specified event to a specified SNS topic.","ref":"aws_inspector.html#subscribe_to_event/2","title":"aws_inspector.subscribe_to_event/2","type":"function"},{"doc":"","ref":"aws_inspector.html#subscribe_to_event/3","title":"aws_inspector.subscribe_to_event/3","type":"function"},{"doc":"Disables the process of sending Amazon Simple Notification Service (SNS) notifications about a specified event to a specified SNS topic.","ref":"aws_inspector.html#unsubscribe_from_event/2","title":"aws_inspector.unsubscribe_from_event/2","type":"function"},{"doc":"","ref":"aws_inspector.html#unsubscribe_from_event/3","title":"aws_inspector.unsubscribe_from_event/3","type":"function"},{"doc":"Updates the assessment target that is specified by the ARN of the assessment target. If resourceGroupArn is not specified, all EC2 instances in the current AWS account and region are included in the assessment target.","ref":"aws_inspector.html#update_assessment_target/2","title":"aws_inspector.update_assessment_target/2","type":"function"},{"doc":"","ref":"aws_inspector.html#update_assessment_target/3","title":"aws_inspector.update_assessment_target/3","type":"function"},{"doc":"Amazon Inspector is a vulnerability discovery service that automates continuous scanning for security vulnerabilities within your Amazon EC2 and Amazon ECR environments.","ref":"aws_inspector2.html","title":"aws_inspector2","type":"module"},{"doc":"Associates an Amazon Web Services account with an Amazon Inspector delegated administrator.","ref":"aws_inspector2.html#associate_member/2","title":"aws_inspector2.associate_member/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#associate_member/3","title":"aws_inspector2.associate_member/3","type":"function"},{"doc":"Retrieves the Amazon Inspector status of multiple Amazon Web Services accounts within your environment.","ref":"aws_inspector2.html#batch_get_account_status/2","title":"aws_inspector2.batch_get_account_status/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#batch_get_account_status/3","title":"aws_inspector2.batch_get_account_status/3","type":"function"},{"doc":"Gets free trial status for multiple Amazon Web Services accounts.","ref":"aws_inspector2.html#batch_get_free_trial_info/2","title":"aws_inspector2.batch_get_free_trial_info/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#batch_get_free_trial_info/3","title":"aws_inspector2.batch_get_free_trial_info/3","type":"function"},{"doc":"Cancels the given findings report.","ref":"aws_inspector2.html#cancel_findings_report/2","title":"aws_inspector2.cancel_findings_report/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#cancel_findings_report/3","title":"aws_inspector2.cancel_findings_report/3","type":"function"},{"doc":"Creates a filter resource using specified filter criteria.","ref":"aws_inspector2.html#create_filter/2","title":"aws_inspector2.create_filter/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#create_filter/3","title":"aws_inspector2.create_filter/3","type":"function"},{"doc":"Creates a finding report.","ref":"aws_inspector2.html#create_findings_report/2","title":"aws_inspector2.create_findings_report/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#create_findings_report/3","title":"aws_inspector2.create_findings_report/3","type":"function"},{"doc":"Deletes a filter resource.","ref":"aws_inspector2.html#delete_filter/2","title":"aws_inspector2.delete_filter/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#delete_filter/3","title":"aws_inspector2.delete_filter/3","type":"function"},{"doc":"Describe Amazon Inspector configuration settings for an Amazon Web Services organization.","ref":"aws_inspector2.html#describe_organization_configuration/2","title":"aws_inspector2.describe_organization_configuration/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#describe_organization_configuration/3","title":"aws_inspector2.describe_organization_configuration/3","type":"function"},{"doc":"Disables Amazon Inspector scans for one or more Amazon Web Services accounts. Disabling all scan types in an account disables the Amazon Inspector service.","ref":"aws_inspector2.html#disable/2","title":"aws_inspector2.disable/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#disable/3","title":"aws_inspector2.disable/3","type":"function"},{"doc":"Disables the Amazon Inspector delegated administrator for your organization.","ref":"aws_inspector2.html#disable_delegated_admin_account/2","title":"aws_inspector2.disable_delegated_admin_account/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#disable_delegated_admin_account/3","title":"aws_inspector2.disable_delegated_admin_account/3","type":"function"},{"doc":"Disassociates a member account from an Amazon Inspector delegated administrator.","ref":"aws_inspector2.html#disassociate_member/2","title":"aws_inspector2.disassociate_member/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#disassociate_member/3","title":"aws_inspector2.disassociate_member/3","type":"function"},{"doc":"Enables Amazon Inspector scans for one or more Amazon Web Services accounts.","ref":"aws_inspector2.html#enable/2","title":"aws_inspector2.enable/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#enable/3","title":"aws_inspector2.enable/3","type":"function"},{"doc":"Enables the Amazon Inspector delegated administrator for your Organizations organization.","ref":"aws_inspector2.html#enable_delegated_admin_account/2","title":"aws_inspector2.enable_delegated_admin_account/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#enable_delegated_admin_account/3","title":"aws_inspector2.enable_delegated_admin_account/3","type":"function"},{"doc":"Retrieves setting configurations for Inspector scans.","ref":"aws_inspector2.html#get_configuration/2","title":"aws_inspector2.get_configuration/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#get_configuration/3","title":"aws_inspector2.get_configuration/3","type":"function"},{"doc":"Retrieves information about the Amazon Inspector delegated administrator for your organization.","ref":"aws_inspector2.html#get_delegated_admin_account/2","title":"aws_inspector2.get_delegated_admin_account/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#get_delegated_admin_account/3","title":"aws_inspector2.get_delegated_admin_account/3","type":"function"},{"doc":"Gets the status of a findings report.","ref":"aws_inspector2.html#get_findings_report_status/2","title":"aws_inspector2.get_findings_report_status/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#get_findings_report_status/3","title":"aws_inspector2.get_findings_report_status/3","type":"function"},{"doc":"Gets member information for your organization.","ref":"aws_inspector2.html#get_member/2","title":"aws_inspector2.get_member/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#get_member/3","title":"aws_inspector2.get_member/3","type":"function"},{"doc":"Lists the permissions an account has to configure Amazon Inspector.","ref":"aws_inspector2.html#list_account_permissions/2","title":"aws_inspector2.list_account_permissions/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#list_account_permissions/3","title":"aws_inspector2.list_account_permissions/3","type":"function"},{"doc":"Lists coverage details for you environment.","ref":"aws_inspector2.html#list_coverage/2","title":"aws_inspector2.list_coverage/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#list_coverage/3","title":"aws_inspector2.list_coverage/3","type":"function"},{"doc":"Lists Amazon Inspector coverage statistics for your environment.","ref":"aws_inspector2.html#list_coverage_statistics/2","title":"aws_inspector2.list_coverage_statistics/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#list_coverage_statistics/3","title":"aws_inspector2.list_coverage_statistics/3","type":"function"},{"doc":"Lists information about the Amazon Inspector delegated administrator of your organization.","ref":"aws_inspector2.html#list_delegated_admin_accounts/2","title":"aws_inspector2.list_delegated_admin_accounts/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#list_delegated_admin_accounts/3","title":"aws_inspector2.list_delegated_admin_accounts/3","type":"function"},{"doc":"Lists the filters associated with your account.","ref":"aws_inspector2.html#list_filters/2","title":"aws_inspector2.list_filters/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#list_filters/3","title":"aws_inspector2.list_filters/3","type":"function"},{"doc":"Lists aggregated finding data for your environment based on specific criteria.","ref":"aws_inspector2.html#list_finding_aggregations/2","title":"aws_inspector2.list_finding_aggregations/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#list_finding_aggregations/3","title":"aws_inspector2.list_finding_aggregations/3","type":"function"},{"doc":"Lists findings for your environment.","ref":"aws_inspector2.html#list_findings/2","title":"aws_inspector2.list_findings/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#list_findings/3","title":"aws_inspector2.list_findings/3","type":"function"},{"doc":"List members associated with the Amazon Inspector delegated administrator for your organization.","ref":"aws_inspector2.html#list_members/2","title":"aws_inspector2.list_members/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#list_members/3","title":"aws_inspector2.list_members/3","type":"function"},{"doc":"Lists all tags attached to a given resource.","ref":"aws_inspector2.html#list_tags_for_resource/2","title":"aws_inspector2.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#list_tags_for_resource/4","title":"aws_inspector2.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_inspector2.html#list_tags_for_resource/5","title":"aws_inspector2.list_tags_for_resource/5","type":"function"},{"doc":"Lists the Amazon Inspector usage totals over the last 30 days.","ref":"aws_inspector2.html#list_usage_totals/2","title":"aws_inspector2.list_usage_totals/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#list_usage_totals/3","title":"aws_inspector2.list_usage_totals/3","type":"function"},{"doc":"Adds tags to a resource.","ref":"aws_inspector2.html#tag_resource/3","title":"aws_inspector2.tag_resource/3","type":"function"},{"doc":"","ref":"aws_inspector2.html#tag_resource/4","title":"aws_inspector2.tag_resource/4","type":"function"},{"doc":"Removes tags from a resource.","ref":"aws_inspector2.html#untag_resource/3","title":"aws_inspector2.untag_resource/3","type":"function"},{"doc":"","ref":"aws_inspector2.html#untag_resource/4","title":"aws_inspector2.untag_resource/4","type":"function"},{"doc":"Updates setting configurations for your Amazon Inspector account. When you use this API as an Amazon Inspector delegated administrator this updates the setting for all accounts you manage. Member accounts in an organization cannot update this setting.","ref":"aws_inspector2.html#update_configuration/2","title":"aws_inspector2.update_configuration/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#update_configuration/3","title":"aws_inspector2.update_configuration/3","type":"function"},{"doc":"Specifies the action that is to be applied to the findings that match the filter.","ref":"aws_inspector2.html#update_filter/2","title":"aws_inspector2.update_filter/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#update_filter/3","title":"aws_inspector2.update_filter/3","type":"function"},{"doc":"Updates the configurations for your Amazon Inspector organization.","ref":"aws_inspector2.html#update_organization_configuration/2","title":"aws_inspector2.update_organization_configuration/2","type":"function"},{"doc":"","ref":"aws_inspector2.html#update_organization_configuration/3","title":"aws_inspector2.update_organization_configuration/3","type":"function"},{"doc":"IoT IoT provides secure, bi-directional communication between Internet-connected devices (such as sensors, actuators, embedded devices, or smart appliances) and the Amazon Web Services cloud. You can discover your custom IoT-Data endpoint to communicate with, configure rules for data processing and integration with other services, organize resources associated with each device (Registry), configure logging, and create and manage policies and credentials to authenticate devices. The service endpoints that expose this API are listed in Amazon Web Services IoT Core Endpoints and Quotas. You must use the endpoint for the region that has the resources you want to access. The service name used by Amazon Web Services Signature Version 4 to sign the request is: execute-api. For more information about how IoT works, see the Developer Guide. For information about how to use the credentials provider for IoT, see Authorizing Direct Calls to Amazon Web Services Services.","ref":"aws_iot.html","title":"aws_iot","type":"module"},{"doc":"Accepts a pending certificate transfer. The default state of the certificate is INACTIVE. To check for pending certificate transfers, call ListCertificates to enumerate your certificates. Requires permission to access the AcceptCertificateTransfer action.","ref":"aws_iot.html#accept_certificate_transfer/3","title":"aws_iot.accept_certificate_transfer/3","type":"function"},{"doc":"","ref":"aws_iot.html#accept_certificate_transfer/4","title":"aws_iot.accept_certificate_transfer/4","type":"function"},{"doc":"Adds a thing to a billing group. Requires permission to access the AddThingToBillingGroup action.","ref":"aws_iot.html#add_thing_to_billing_group/2","title":"aws_iot.add_thing_to_billing_group/2","type":"function"},{"doc":"","ref":"aws_iot.html#add_thing_to_billing_group/3","title":"aws_iot.add_thing_to_billing_group/3","type":"function"},{"doc":"Adds a thing to a thing group. Requires permission to access the AddThingToThingGroup action.","ref":"aws_iot.html#add_thing_to_thing_group/2","title":"aws_iot.add_thing_to_thing_group/2","type":"function"},{"doc":"","ref":"aws_iot.html#add_thing_to_thing_group/3","title":"aws_iot.add_thing_to_thing_group/3","type":"function"},{"doc":"Associates a group with a continuous job. The following criteria must be met: The job must have been created with the targetSelection field set to &quot;CONTINUOUS&quot;. The job status must currently be &quot;IN_PROGRESS&quot;. The total number of targets associated with a job must not exceed 100. Requires permission to access the AssociateTargetsWithJob action.","ref":"aws_iot.html#associate_targets_with_job/3","title":"aws_iot.associate_targets_with_job/3","type":"function"},{"doc":"","ref":"aws_iot.html#associate_targets_with_job/4","title":"aws_iot.associate_targets_with_job/4","type":"function"},{"doc":"Attaches the specified policy to the specified principal (certificate or other credential). Requires permission to access the AttachPolicy action.","ref":"aws_iot.html#attach_policy/3","title":"aws_iot.attach_policy/3","type":"function"},{"doc":"","ref":"aws_iot.html#attach_policy/4","title":"aws_iot.attach_policy/4","type":"function"},{"doc":"Attaches the specified policy to the specified principal (certificate or other credential). Note: This action is deprecated and works as expected for backward compatibility, but we won't add enhancements. Use AttachPolicy instead. Requires permission to access the AttachPrincipalPolicy action.","ref":"aws_iot.html#attach_principal_policy/3","title":"aws_iot.attach_principal_policy/3","type":"function"},{"doc":"","ref":"aws_iot.html#attach_principal_policy/4","title":"aws_iot.attach_principal_policy/4","type":"function"},{"doc":"Associates a Device Defender security profile with a thing group or this account. Each thing group or account can have up to five security profiles associated with it. Requires permission to access the AttachSecurityProfile action.","ref":"aws_iot.html#attach_security_profile/3","title":"aws_iot.attach_security_profile/3","type":"function"},{"doc":"","ref":"aws_iot.html#attach_security_profile/4","title":"aws_iot.attach_security_profile/4","type":"function"},{"doc":"Attaches the specified principal to the specified thing. A principal can be X.509 certificates, Amazon Cognito identities or federated identities. Requires permission to access the AttachThingPrincipal action.","ref":"aws_iot.html#attach_thing_principal/3","title":"aws_iot.attach_thing_principal/3","type":"function"},{"doc":"","ref":"aws_iot.html#attach_thing_principal/4","title":"aws_iot.attach_thing_principal/4","type":"function"},{"doc":"Cancels a mitigation action task that is in progress. If the task is not in progress, an InvalidRequestException occurs. Requires permission to access the CancelAuditMitigationActionsTask action.","ref":"aws_iot.html#cancel_audit_mitigation_actions_task/3","title":"aws_iot.cancel_audit_mitigation_actions_task/3","type":"function"},{"doc":"","ref":"aws_iot.html#cancel_audit_mitigation_actions_task/4","title":"aws_iot.cancel_audit_mitigation_actions_task/4","type":"function"},{"doc":"Cancels an audit that is in progress. The audit can be either scheduled or on demand. If the audit isn't in progress, an &quot;InvalidRequestException&quot; occurs. Requires permission to access the CancelAuditTask action.","ref":"aws_iot.html#cancel_audit_task/3","title":"aws_iot.cancel_audit_task/3","type":"function"},{"doc":"","ref":"aws_iot.html#cancel_audit_task/4","title":"aws_iot.cancel_audit_task/4","type":"function"},{"doc":"Cancels a pending transfer for the specified certificate. Note Only the transfer source account can use this operation to cancel a transfer. (Transfer destinations can use RejectCertificateTransfer instead.) After transfer, IoT returns the certificate to the source account in the INACTIVE state. After the destination account has accepted the transfer, the transfer cannot be cancelled. After a certificate transfer is cancelled, the status of the certificate changes from PENDING_TRANSFER to INACTIVE. Requires permission to access the CancelCertificateTransfer action.","ref":"aws_iot.html#cancel_certificate_transfer/3","title":"aws_iot.cancel_certificate_transfer/3","type":"function"},{"doc":"","ref":"aws_iot.html#cancel_certificate_transfer/4","title":"aws_iot.cancel_certificate_transfer/4","type":"function"},{"doc":"Cancels a Device Defender ML Detect mitigation action. Requires permission to access the CancelDetectMitigationActionsTask action.","ref":"aws_iot.html#cancel_detect_mitigation_actions_task/3","title":"aws_iot.cancel_detect_mitigation_actions_task/3","type":"function"},{"doc":"","ref":"aws_iot.html#cancel_detect_mitigation_actions_task/4","title":"aws_iot.cancel_detect_mitigation_actions_task/4","type":"function"},{"doc":"Cancels a job. Requires permission to access the CancelJob action.","ref":"aws_iot.html#cancel_job/3","title":"aws_iot.cancel_job/3","type":"function"},{"doc":"","ref":"aws_iot.html#cancel_job/4","title":"aws_iot.cancel_job/4","type":"function"},{"doc":"Cancels the execution of a job for a given thing. Requires permission to access the CancelJobExecution action.","ref":"aws_iot.html#cancel_job_execution/4","title":"aws_iot.cancel_job_execution/4","type":"function"},{"doc":"","ref":"aws_iot.html#cancel_job_execution/5","title":"aws_iot.cancel_job_execution/5","type":"function"},{"doc":"Clears the default authorizer. Requires permission to access the ClearDefaultAuthorizer action.","ref":"aws_iot.html#clear_default_authorizer/2","title":"aws_iot.clear_default_authorizer/2","type":"function"},{"doc":"","ref":"aws_iot.html#clear_default_authorizer/3","title":"aws_iot.clear_default_authorizer/3","type":"function"},{"doc":"Confirms a topic rule destination. When you create a rule requiring a destination, IoT sends a confirmation message to the endpoint or base address you specify. The message includes a token which you pass back when calling ConfirmTopicRuleDestination to confirm that you own or have access to the endpoint. Requires permission to access the ConfirmTopicRuleDestination action.","ref":"aws_iot.html#confirm_topic_rule_destination/2","title":"aws_iot.confirm_topic_rule_destination/2","type":"function"},{"doc":"","ref":"aws_iot.html#confirm_topic_rule_destination/4","title":"aws_iot.confirm_topic_rule_destination/4","type":"function"},{"doc":"","ref":"aws_iot.html#confirm_topic_rule_destination/5","title":"aws_iot.confirm_topic_rule_destination/5","type":"function"},{"doc":"Creates a Device Defender audit suppression. Requires permission to access the CreateAuditSuppression action.","ref":"aws_iot.html#create_audit_suppression/2","title":"aws_iot.create_audit_suppression/2","type":"function"},{"doc":"","ref":"aws_iot.html#create_audit_suppression/3","title":"aws_iot.create_audit_suppression/3","type":"function"},{"doc":"Creates an authorizer. Requires permission to access the CreateAuthorizer action.","ref":"aws_iot.html#create_authorizer/3","title":"aws_iot.create_authorizer/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_authorizer/4","title":"aws_iot.create_authorizer/4","type":"function"},{"doc":"Creates a billing group. Requires permission to access the CreateBillingGroup action.","ref":"aws_iot.html#create_billing_group/3","title":"aws_iot.create_billing_group/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_billing_group/4","title":"aws_iot.create_billing_group/4","type":"function"},{"doc":"Creates an X.509 certificate using the specified certificate signing request. Note: The CSR must include a public key that is either an RSA key with a length of at least 2048 bits or an ECC key from NIST P-256, NIST P-384, or NIST P-512 curves. For supported certificates, consult Certificate signing algorithms supported by IoT. Note: Reusing the same certificate signing request (CSR) results in a distinct certificate. Requires permission to access the CreateCertificateFromCsr action. You can create multiple certificates in a batch by creating a directory, copying multiple .csr files into that directory, and then specifying that directory on the command line. The following commands show how to create a batch of certificates given a batch of CSRs. Assuming a set of CSRs are located inside of the directory my-csr-directory: On Linux and OS X, the command is: $ ls my-csr-directory/ | xargs -I {} aws iot create-certificate-from-csr --certificate-signing-request file://my-csr-directory/{} This command lists all of the CSRs in my-csr-directory and pipes each CSR file name to the aws iot create-certificate-from-csr Amazon Web Services CLI command to create a certificate for the corresponding CSR. The aws iot create-certificate-from-csr part of the command can also be run in parallel to speed up the certificate creation process: $ ls my-csr-directory/ | xargs -P 10 -I {} aws iot create-certificate-from-csr --certificate-signing-request file://my-csr-directory/{} On Windows PowerShell, the command to create certificates for all CSRs in my-csr-directory is: &gt; ls -Name my-csr-directory | %{aws iot create-certificate-from-csr --certificate-signing-request file://my-csr-directory/$_} On a Windows command prompt, the command to create certificates for all CSRs in my-csr-directory is: &gt; forfiles /p my-csr-directory /c &quot;cmd /c aws iot create-certificate-from-csr --certificate-signing-request file://@path&quot;","ref":"aws_iot.html#create_certificate_from_csr/2","title":"aws_iot.create_certificate_from_csr/2","type":"function"},{"doc":"","ref":"aws_iot.html#create_certificate_from_csr/3","title":"aws_iot.create_certificate_from_csr/3","type":"function"},{"doc":"Use this API to define a Custom Metric published by your devices to Device Defender. Requires permission to access the CreateCustomMetric action.","ref":"aws_iot.html#create_custom_metric/3","title":"aws_iot.create_custom_metric/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_custom_metric/4","title":"aws_iot.create_custom_metric/4","type":"function"},{"doc":"Create a dimension that you can use to limit the scope of a metric used in a security profile for IoT Device Defender. For example, using a TOPIC_FILTER dimension, you can narrow down the scope of the metric only to MQTT topics whose name match the pattern specified in the dimension. Requires permission to access the CreateDimension action.","ref":"aws_iot.html#create_dimension/3","title":"aws_iot.create_dimension/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_dimension/4","title":"aws_iot.create_dimension/4","type":"function"},{"doc":"Creates a domain configuration. Requires permission to access the CreateDomainConfiguration action.","ref":"aws_iot.html#create_domain_configuration/3","title":"aws_iot.create_domain_configuration/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_domain_configuration/4","title":"aws_iot.create_domain_configuration/4","type":"function"},{"doc":"Creates a dynamic thing group. Requires permission to access the CreateDynamicThingGroup action.","ref":"aws_iot.html#create_dynamic_thing_group/3","title":"aws_iot.create_dynamic_thing_group/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_dynamic_thing_group/4","title":"aws_iot.create_dynamic_thing_group/4","type":"function"},{"doc":"Creates a fleet metric. Requires permission to access the CreateFleetMetric action.","ref":"aws_iot.html#create_fleet_metric/3","title":"aws_iot.create_fleet_metric/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_fleet_metric/4","title":"aws_iot.create_fleet_metric/4","type":"function"},{"doc":"Creates a job. Requires permission to access the CreateJob action.","ref":"aws_iot.html#create_job/3","title":"aws_iot.create_job/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_job/4","title":"aws_iot.create_job/4","type":"function"},{"doc":"Creates a job template. Requires permission to access the CreateJobTemplate action.","ref":"aws_iot.html#create_job_template/3","title":"aws_iot.create_job_template/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_job_template/4","title":"aws_iot.create_job_template/4","type":"function"},{"doc":"Creates a 2048-bit RSA key pair and issues an X.509 certificate using the issued public key. You can also call CreateKeysAndCertificate over MQTT from a device, for more information, see Provisioning MQTT API. Note This is the only time IoT issues the private key for this certificate, so it is important to keep it in a secure location. Requires permission to access the CreateKeysAndCertificate action.","ref":"aws_iot.html#create_keys_and_certificate/2","title":"aws_iot.create_keys_and_certificate/2","type":"function"},{"doc":"","ref":"aws_iot.html#create_keys_and_certificate/3","title":"aws_iot.create_keys_and_certificate/3","type":"function"},{"doc":"Defines an action that can be applied to audit findings by using StartAuditMitigationActionsTask. Only certain types of mitigation actions can be applied to specific check names. For more information, see Mitigation actions. Each mitigation action can apply only one type of change. Requires permission to access the CreateMitigationAction action.","ref":"aws_iot.html#create_mitigation_action/3","title":"aws_iot.create_mitigation_action/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_mitigation_action/4","title":"aws_iot.create_mitigation_action/4","type":"function"},{"doc":"Creates an IoT OTA update on a target group of things or groups. Requires permission to access the CreateOTAUpdate action.","ref":"aws_iot.html#create_ota_update/3","title":"aws_iot.create_ota_update/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_ota_update/4","title":"aws_iot.create_ota_update/4","type":"function"},{"doc":"Creates an IoT policy. The created policy is the default version for the policy. This operation creates a policy version with a version identifier of 1 and sets 1 as the policy's default version. Requires permission to access the CreatePolicy action.","ref":"aws_iot.html#create_policy/3","title":"aws_iot.create_policy/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_policy/4","title":"aws_iot.create_policy/4","type":"function"},{"doc":"Creates a new version of the specified IoT policy. To update a policy, create a new policy version. A managed policy can have up to five versions. If the policy has five versions, you must use DeletePolicyVersion to delete an existing version before you create a new one. Optionally, you can set the new version as the policy's default version. The default version is the operative version (that is, the version that is in effect for the certificates to which the policy is attached). Requires permission to access the CreatePolicyVersion action.","ref":"aws_iot.html#create_policy_version/3","title":"aws_iot.create_policy_version/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_policy_version/4","title":"aws_iot.create_policy_version/4","type":"function"},{"doc":"Creates a provisioning claim. Requires permission to access the CreateProvisioningClaim action.","ref":"aws_iot.html#create_provisioning_claim/3","title":"aws_iot.create_provisioning_claim/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_provisioning_claim/4","title":"aws_iot.create_provisioning_claim/4","type":"function"},{"doc":"Creates a provisioning template. Requires permission to access the CreateProvisioningTemplate action.","ref":"aws_iot.html#create_provisioning_template/2","title":"aws_iot.create_provisioning_template/2","type":"function"},{"doc":"","ref":"aws_iot.html#create_provisioning_template/3","title":"aws_iot.create_provisioning_template/3","type":"function"},{"doc":"Creates a new version of a provisioning template. Requires permission to access the CreateProvisioningTemplateVersion action.","ref":"aws_iot.html#create_provisioning_template_version/3","title":"aws_iot.create_provisioning_template_version/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_provisioning_template_version/4","title":"aws_iot.create_provisioning_template_version/4","type":"function"},{"doc":"Creates a role alias. Requires permission to access the CreateRoleAlias action.","ref":"aws_iot.html#create_role_alias/3","title":"aws_iot.create_role_alias/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_role_alias/4","title":"aws_iot.create_role_alias/4","type":"function"},{"doc":"Creates a scheduled audit that is run at a specified time interval. Requires permission to access the CreateScheduledAudit action.","ref":"aws_iot.html#create_scheduled_audit/3","title":"aws_iot.create_scheduled_audit/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_scheduled_audit/4","title":"aws_iot.create_scheduled_audit/4","type":"function"},{"doc":"Creates a Device Defender security profile. Requires permission to access the CreateSecurityProfile action.","ref":"aws_iot.html#create_security_profile/3","title":"aws_iot.create_security_profile/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_security_profile/4","title":"aws_iot.create_security_profile/4","type":"function"},{"doc":"Creates a stream for delivering one or more large files in chunks over MQTT. A stream transports data bytes in chunks or blocks packaged as MQTT messages from a source like S3. You can have one or more files associated with a stream. Requires permission to access the CreateStream action.","ref":"aws_iot.html#create_stream/3","title":"aws_iot.create_stream/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_stream/4","title":"aws_iot.create_stream/4","type":"function"},{"doc":"Creates a thing record in the registry. If this call is made multiple times using the same thing name and configuration, the call will succeed. If this call is made with the same thing name but different configuration a ResourceAlreadyExistsException is thrown. This is a control plane operation. See Authorization for information about authorizing control plane actions. Requires permission to access the CreateThing action.","ref":"aws_iot.html#create_thing/3","title":"aws_iot.create_thing/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_thing/4","title":"aws_iot.create_thing/4","type":"function"},{"doc":"Create a thing group. This is a control plane operation. See Authorization for information about authorizing control plane actions. Requires permission to access the CreateThingGroup action.","ref":"aws_iot.html#create_thing_group/3","title":"aws_iot.create_thing_group/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_thing_group/4","title":"aws_iot.create_thing_group/4","type":"function"},{"doc":"Creates a new thing type. Requires permission to access the CreateThingType action.","ref":"aws_iot.html#create_thing_type/3","title":"aws_iot.create_thing_type/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_thing_type/4","title":"aws_iot.create_thing_type/4","type":"function"},{"doc":"Creates a rule. Creating rules is an administrator-level action. Any user who has permission to create rules will be able to access data processed by the rule. Requires permission to access the CreateTopicRule action.","ref":"aws_iot.html#create_topic_rule/3","title":"aws_iot.create_topic_rule/3","type":"function"},{"doc":"","ref":"aws_iot.html#create_topic_rule/4","title":"aws_iot.create_topic_rule/4","type":"function"},{"doc":"Creates a topic rule destination. The destination must be confirmed prior to use. Requires permission to access the CreateTopicRuleDestination action.","ref":"aws_iot.html#create_topic_rule_destination/2","title":"aws_iot.create_topic_rule_destination/2","type":"function"},{"doc":"","ref":"aws_iot.html#create_topic_rule_destination/3","title":"aws_iot.create_topic_rule_destination/3","type":"function"},{"doc":"Restores the default settings for Device Defender audits for this account. Any configuration data you entered is deleted and all audit checks are reset to disabled. Requires permission to access the DeleteAccountAuditConfiguration action.","ref":"aws_iot.html#delete_account_audit_configuration/2","title":"aws_iot.delete_account_audit_configuration/2","type":"function"},{"doc":"","ref":"aws_iot.html#delete_account_audit_configuration/3","title":"aws_iot.delete_account_audit_configuration/3","type":"function"},{"doc":"Deletes a Device Defender audit suppression. Requires permission to access the DeleteAuditSuppression action.","ref":"aws_iot.html#delete_audit_suppression/2","title":"aws_iot.delete_audit_suppression/2","type":"function"},{"doc":"","ref":"aws_iot.html#delete_audit_suppression/3","title":"aws_iot.delete_audit_suppression/3","type":"function"},{"doc":"Deletes an authorizer. Requires permission to access the DeleteAuthorizer action.","ref":"aws_iot.html#delete_authorizer/3","title":"aws_iot.delete_authorizer/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_authorizer/4","title":"aws_iot.delete_authorizer/4","type":"function"},{"doc":"Deletes the billing group. Requires permission to access the DeleteBillingGroup action.","ref":"aws_iot.html#delete_billing_group/3","title":"aws_iot.delete_billing_group/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_billing_group/4","title":"aws_iot.delete_billing_group/4","type":"function"},{"doc":"Deletes a registered CA certificate. Requires permission to access the DeleteCACertificate action.","ref":"aws_iot.html#delete_ca_certificate/3","title":"aws_iot.delete_ca_certificate/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_ca_certificate/4","title":"aws_iot.delete_ca_certificate/4","type":"function"},{"doc":"Deletes the specified certificate. A certificate cannot be deleted if it has a policy or IoT thing attached to it or if its status is set to ACTIVE. To delete a certificate, first use the DetachPolicy action to detach all policies. Next, use the UpdateCertificate action to set the certificate to the INACTIVE status. Requires permission to access the DeleteCertificate action.","ref":"aws_iot.html#delete_certificate/3","title":"aws_iot.delete_certificate/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_certificate/4","title":"aws_iot.delete_certificate/4","type":"function"},{"doc":"Deletes a Device Defender detect custom metric. Requires permission to access the DeleteCustomMetric action. Before you can delete a custom metric, you must first remove the custom metric from all security profiles it's a part of. The security profile associated with the custom metric can be found using the ListSecurityProfiles API with metricName set to your custom metric name.","ref":"aws_iot.html#delete_custom_metric/3","title":"aws_iot.delete_custom_metric/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_custom_metric/4","title":"aws_iot.delete_custom_metric/4","type":"function"},{"doc":"Removes the specified dimension from your Amazon Web Services accounts. Requires permission to access the DeleteDimension action.","ref":"aws_iot.html#delete_dimension/3","title":"aws_iot.delete_dimension/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_dimension/4","title":"aws_iot.delete_dimension/4","type":"function"},{"doc":"Deletes the specified domain configuration. Requires permission to access the DeleteDomainConfiguration action.","ref":"aws_iot.html#delete_domain_configuration/3","title":"aws_iot.delete_domain_configuration/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_domain_configuration/4","title":"aws_iot.delete_domain_configuration/4","type":"function"},{"doc":"Deletes a dynamic thing group. Requires permission to access the DeleteDynamicThingGroup action.","ref":"aws_iot.html#delete_dynamic_thing_group/3","title":"aws_iot.delete_dynamic_thing_group/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_dynamic_thing_group/4","title":"aws_iot.delete_dynamic_thing_group/4","type":"function"},{"doc":"Deletes the specified fleet metric. Returns successfully with no error if the deletion is successful or you specify a fleet metric that doesn't exist. Requires permission to access the DeleteFleetMetric action.","ref":"aws_iot.html#delete_fleet_metric/3","title":"aws_iot.delete_fleet_metric/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_fleet_metric/4","title":"aws_iot.delete_fleet_metric/4","type":"function"},{"doc":"Deletes a job and its related job executions. Deleting a job may take time, depending on the number of job executions created for the job and various other factors. While the job is being deleted, the status of the job will be shown as &quot;DELETION_IN_PROGRESS&quot;. Attempting to delete or cancel a job whose status is already &quot;DELETION_IN_PROGRESS&quot; will result in an error. Only 10 jobs may have status &quot;DELETION_IN_PROGRESS&quot; at the same time, or a LimitExceededException will occur. Requires permission to access the DeleteJob action.","ref":"aws_iot.html#delete_job/3","title":"aws_iot.delete_job/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_job/4","title":"aws_iot.delete_job/4","type":"function"},{"doc":"Deletes a job execution. Requires permission to access the DeleteJobExecution action.","ref":"aws_iot.html#delete_job_execution/5","title":"aws_iot.delete_job_execution/5","type":"function"},{"doc":"","ref":"aws_iot.html#delete_job_execution/6","title":"aws_iot.delete_job_execution/6","type":"function"},{"doc":"Deletes the specified job template.","ref":"aws_iot.html#delete_job_template/3","title":"aws_iot.delete_job_template/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_job_template/4","title":"aws_iot.delete_job_template/4","type":"function"},{"doc":"Deletes a defined mitigation action from your Amazon Web Services accounts. Requires permission to access the DeleteMitigationAction action.","ref":"aws_iot.html#delete_mitigation_action/3","title":"aws_iot.delete_mitigation_action/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_mitigation_action/4","title":"aws_iot.delete_mitigation_action/4","type":"function"},{"doc":"Delete an OTA update. Requires permission to access the DeleteOTAUpdate action.","ref":"aws_iot.html#delete_ota_update/3","title":"aws_iot.delete_ota_update/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_ota_update/4","title":"aws_iot.delete_ota_update/4","type":"function"},{"doc":"Deletes the specified policy. A policy cannot be deleted if it has non-default versions or it is attached to any certificate. To delete a policy, use the DeletePolicyVersion action to delete all non-default versions of the policy; use the DetachPolicy action to detach the policy from any certificate; and then use the DeletePolicy action to delete the policy. When a policy is deleted using DeletePolicy, its default version is deleted with it. Because of the distributed nature of Amazon Web Services, it can take up to five minutes after a policy is detached before it's ready to be deleted. Requires permission to access the DeletePolicy action.","ref":"aws_iot.html#delete_policy/3","title":"aws_iot.delete_policy/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_policy/4","title":"aws_iot.delete_policy/4","type":"function"},{"doc":"Deletes the specified version of the specified policy. You cannot delete the default version of a policy using this action. To delete the default version of a policy, use DeletePolicy . To find out which version of a policy is marked as the default version, use ListPolicyVersions. Requires permission to access the DeletePolicyVersion action.","ref":"aws_iot.html#delete_policy_version/4","title":"aws_iot.delete_policy_version/4","type":"function"},{"doc":"","ref":"aws_iot.html#delete_policy_version/5","title":"aws_iot.delete_policy_version/5","type":"function"},{"doc":"Deletes a provisioning template. Requires permission to access the DeleteProvisioningTemplate action.","ref":"aws_iot.html#delete_provisioning_template/3","title":"aws_iot.delete_provisioning_template/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_provisioning_template/4","title":"aws_iot.delete_provisioning_template/4","type":"function"},{"doc":"Deletes a provisioning template version. Requires permission to access the DeleteProvisioningTemplateVersion action.","ref":"aws_iot.html#delete_provisioning_template_version/4","title":"aws_iot.delete_provisioning_template_version/4","type":"function"},{"doc":"","ref":"aws_iot.html#delete_provisioning_template_version/5","title":"aws_iot.delete_provisioning_template_version/5","type":"function"},{"doc":"Deletes a CA certificate registration code. Requires permission to access the DeleteRegistrationCode action.","ref":"aws_iot.html#delete_registration_code/2","title":"aws_iot.delete_registration_code/2","type":"function"},{"doc":"","ref":"aws_iot.html#delete_registration_code/3","title":"aws_iot.delete_registration_code/3","type":"function"},{"doc":"Deletes a role alias Requires permission to access the DeleteRoleAlias action.","ref":"aws_iot.html#delete_role_alias/3","title":"aws_iot.delete_role_alias/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_role_alias/4","title":"aws_iot.delete_role_alias/4","type":"function"},{"doc":"Deletes a scheduled audit. Requires permission to access the DeleteScheduledAudit action.","ref":"aws_iot.html#delete_scheduled_audit/3","title":"aws_iot.delete_scheduled_audit/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_scheduled_audit/4","title":"aws_iot.delete_scheduled_audit/4","type":"function"},{"doc":"Deletes a Device Defender security profile. Requires permission to access the DeleteSecurityProfile action.","ref":"aws_iot.html#delete_security_profile/3","title":"aws_iot.delete_security_profile/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_security_profile/4","title":"aws_iot.delete_security_profile/4","type":"function"},{"doc":"Deletes a stream. Requires permission to access the DeleteStream action.","ref":"aws_iot.html#delete_stream/3","title":"aws_iot.delete_stream/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_stream/4","title":"aws_iot.delete_stream/4","type":"function"},{"doc":"Deletes the specified thing. Returns successfully with no error if the deletion is successful or you specify a thing that doesn't exist. Requires permission to access the DeleteThing action.","ref":"aws_iot.html#delete_thing/3","title":"aws_iot.delete_thing/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_thing/4","title":"aws_iot.delete_thing/4","type":"function"},{"doc":"Deletes a thing group. Requires permission to access the DeleteThingGroup action.","ref":"aws_iot.html#delete_thing_group/3","title":"aws_iot.delete_thing_group/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_thing_group/4","title":"aws_iot.delete_thing_group/4","type":"function"},{"doc":"Deletes the specified thing type. You cannot delete a thing type if it has things associated with it. To delete a thing type, first mark it as deprecated by calling DeprecateThingType , then remove any associated things by calling UpdateThing to change the thing type on any associated thing, and finally use DeleteThingType to delete the thing type. Requires permission to access the DeleteThingType action.","ref":"aws_iot.html#delete_thing_type/3","title":"aws_iot.delete_thing_type/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_thing_type/4","title":"aws_iot.delete_thing_type/4","type":"function"},{"doc":"Deletes the rule. Requires permission to access the DeleteTopicRule action.","ref":"aws_iot.html#delete_topic_rule/3","title":"aws_iot.delete_topic_rule/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_topic_rule/4","title":"aws_iot.delete_topic_rule/4","type":"function"},{"doc":"Deletes a topic rule destination. Requires permission to access the DeleteTopicRuleDestination action.","ref":"aws_iot.html#delete_topic_rule_destination/3","title":"aws_iot.delete_topic_rule_destination/3","type":"function"},{"doc":"","ref":"aws_iot.html#delete_topic_rule_destination/4","title":"aws_iot.delete_topic_rule_destination/4","type":"function"},{"doc":"Deletes a logging level. Requires permission to access the DeleteV2LoggingLevel action.","ref":"aws_iot.html#delete_v2_logging_level/2","title":"aws_iot.delete_v2_logging_level/2","type":"function"},{"doc":"","ref":"aws_iot.html#delete_v2_logging_level/3","title":"aws_iot.delete_v2_logging_level/3","type":"function"},{"doc":"Deprecates a thing type. You can not associate new things with deprecated thing type. Requires permission to access the DeprecateThingType action.","ref":"aws_iot.html#deprecate_thing_type/3","title":"aws_iot.deprecate_thing_type/3","type":"function"},{"doc":"","ref":"aws_iot.html#deprecate_thing_type/4","title":"aws_iot.deprecate_thing_type/4","type":"function"},{"doc":"Gets information about the Device Defender audit settings for this account. Settings include how audit notifications are sent and which audit checks are enabled or disabled. Requires permission to access the DescribeAccountAuditConfiguration action.","ref":"aws_iot.html#describe_account_audit_configuration/1","title":"aws_iot.describe_account_audit_configuration/1","type":"function"},{"doc":"","ref":"aws_iot.html#describe_account_audit_configuration/3","title":"aws_iot.describe_account_audit_configuration/3","type":"function"},{"doc":"","ref":"aws_iot.html#describe_account_audit_configuration/4","title":"aws_iot.describe_account_audit_configuration/4","type":"function"},{"doc":"Gets information about a single audit finding. Properties include the reason for noncompliance, the severity of the issue, and the start time when the audit that returned the finding. Requires permission to access the DescribeAuditFinding action.","ref":"aws_iot.html#describe_audit_finding/2","title":"aws_iot.describe_audit_finding/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_audit_finding/4","title":"aws_iot.describe_audit_finding/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_audit_finding/5","title":"aws_iot.describe_audit_finding/5","type":"function"},{"doc":"Gets information about an audit mitigation task that is used to apply mitigation actions to a set of audit findings. Properties include the actions being applied, the audit checks to which they're being applied, the task status, and aggregated task statistics.","ref":"aws_iot.html#describe_audit_mitigation_actions_task/2","title":"aws_iot.describe_audit_mitigation_actions_task/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_audit_mitigation_actions_task/4","title":"aws_iot.describe_audit_mitigation_actions_task/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_audit_mitigation_actions_task/5","title":"aws_iot.describe_audit_mitigation_actions_task/5","type":"function"},{"doc":"Gets information about a Device Defender audit suppression.","ref":"aws_iot.html#describe_audit_suppression/2","title":"aws_iot.describe_audit_suppression/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_audit_suppression/3","title":"aws_iot.describe_audit_suppression/3","type":"function"},{"doc":"Gets information about a Device Defender audit. Requires permission to access the DescribeAuditTask action.","ref":"aws_iot.html#describe_audit_task/2","title":"aws_iot.describe_audit_task/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_audit_task/4","title":"aws_iot.describe_audit_task/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_audit_task/5","title":"aws_iot.describe_audit_task/5","type":"function"},{"doc":"Describes an authorizer. Requires permission to access the DescribeAuthorizer action.","ref":"aws_iot.html#describe_authorizer/2","title":"aws_iot.describe_authorizer/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_authorizer/4","title":"aws_iot.describe_authorizer/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_authorizer/5","title":"aws_iot.describe_authorizer/5","type":"function"},{"doc":"Returns information about a billing group. Requires permission to access the DescribeBillingGroup action.","ref":"aws_iot.html#describe_billing_group/2","title":"aws_iot.describe_billing_group/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_billing_group/4","title":"aws_iot.describe_billing_group/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_billing_group/5","title":"aws_iot.describe_billing_group/5","type":"function"},{"doc":"Describes a registered CA certificate. Requires permission to access the DescribeCACertificate action.","ref":"aws_iot.html#describe_ca_certificate/2","title":"aws_iot.describe_ca_certificate/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_ca_certificate/4","title":"aws_iot.describe_ca_certificate/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_ca_certificate/5","title":"aws_iot.describe_ca_certificate/5","type":"function"},{"doc":"Gets information about the specified certificate. Requires permission to access the DescribeCertificate action.","ref":"aws_iot.html#describe_certificate/2","title":"aws_iot.describe_certificate/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_certificate/4","title":"aws_iot.describe_certificate/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_certificate/5","title":"aws_iot.describe_certificate/5","type":"function"},{"doc":"Gets information about a Device Defender detect custom metric. Requires permission to access the DescribeCustomMetric action.","ref":"aws_iot.html#describe_custom_metric/2","title":"aws_iot.describe_custom_metric/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_custom_metric/4","title":"aws_iot.describe_custom_metric/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_custom_metric/5","title":"aws_iot.describe_custom_metric/5","type":"function"},{"doc":"Describes the default authorizer. Requires permission to access the DescribeDefaultAuthorizer action.","ref":"aws_iot.html#describe_default_authorizer/1","title":"aws_iot.describe_default_authorizer/1","type":"function"},{"doc":"","ref":"aws_iot.html#describe_default_authorizer/3","title":"aws_iot.describe_default_authorizer/3","type":"function"},{"doc":"","ref":"aws_iot.html#describe_default_authorizer/4","title":"aws_iot.describe_default_authorizer/4","type":"function"},{"doc":"Gets information about a Device Defender ML Detect mitigation action. Requires permission to access the DescribeDetectMitigationActionsTask action.","ref":"aws_iot.html#describe_detect_mitigation_actions_task/2","title":"aws_iot.describe_detect_mitigation_actions_task/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_detect_mitigation_actions_task/4","title":"aws_iot.describe_detect_mitigation_actions_task/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_detect_mitigation_actions_task/5","title":"aws_iot.describe_detect_mitigation_actions_task/5","type":"function"},{"doc":"Provides details about a dimension that is defined in your Amazon Web Services accounts. Requires permission to access the DescribeDimension action.","ref":"aws_iot.html#describe_dimension/2","title":"aws_iot.describe_dimension/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_dimension/4","title":"aws_iot.describe_dimension/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_dimension/5","title":"aws_iot.describe_dimension/5","type":"function"},{"doc":"Gets summary information about a domain configuration. Requires permission to access the DescribeDomainConfiguration action.","ref":"aws_iot.html#describe_domain_configuration/2","title":"aws_iot.describe_domain_configuration/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_domain_configuration/4","title":"aws_iot.describe_domain_configuration/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_domain_configuration/5","title":"aws_iot.describe_domain_configuration/5","type":"function"},{"doc":"Returns a unique endpoint specific to the Amazon Web Services account making the call. Requires permission to access the DescribeEndpoint action.","ref":"aws_iot.html#describe_endpoint/1","title":"aws_iot.describe_endpoint/1","type":"function"},{"doc":"","ref":"aws_iot.html#describe_endpoint/3","title":"aws_iot.describe_endpoint/3","type":"function"},{"doc":"","ref":"aws_iot.html#describe_endpoint/4","title":"aws_iot.describe_endpoint/4","type":"function"},{"doc":"Describes event configurations. Requires permission to access the DescribeEventConfigurations action.","ref":"aws_iot.html#describe_event_configurations/1","title":"aws_iot.describe_event_configurations/1","type":"function"},{"doc":"","ref":"aws_iot.html#describe_event_configurations/3","title":"aws_iot.describe_event_configurations/3","type":"function"},{"doc":"","ref":"aws_iot.html#describe_event_configurations/4","title":"aws_iot.describe_event_configurations/4","type":"function"},{"doc":"Gets information about the specified fleet metric. Requires permission to access the DescribeFleetMetric action.","ref":"aws_iot.html#describe_fleet_metric/2","title":"aws_iot.describe_fleet_metric/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_fleet_metric/4","title":"aws_iot.describe_fleet_metric/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_fleet_metric/5","title":"aws_iot.describe_fleet_metric/5","type":"function"},{"doc":"Describes a search index. Requires permission to access the DescribeIndex action.","ref":"aws_iot.html#describe_index/2","title":"aws_iot.describe_index/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_index/4","title":"aws_iot.describe_index/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_index/5","title":"aws_iot.describe_index/5","type":"function"},{"doc":"Describes a job. Requires permission to access the DescribeJob action.","ref":"aws_iot.html#describe_job/2","title":"aws_iot.describe_job/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_job/4","title":"aws_iot.describe_job/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_job/5","title":"aws_iot.describe_job/5","type":"function"},{"doc":"Describes a job execution. Requires permission to access the DescribeJobExecution action.","ref":"aws_iot.html#describe_job_execution/3","title":"aws_iot.describe_job_execution/3","type":"function"},{"doc":"","ref":"aws_iot.html#describe_job_execution/5","title":"aws_iot.describe_job_execution/5","type":"function"},{"doc":"","ref":"aws_iot.html#describe_job_execution/6","title":"aws_iot.describe_job_execution/6","type":"function"},{"doc":"Returns information about a job template.","ref":"aws_iot.html#describe_job_template/2","title":"aws_iot.describe_job_template/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_job_template/4","title":"aws_iot.describe_job_template/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_job_template/5","title":"aws_iot.describe_job_template/5","type":"function"},{"doc":"View details of a managed job template.","ref":"aws_iot.html#describe_managed_job_template/2","title":"aws_iot.describe_managed_job_template/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_managed_job_template/4","title":"aws_iot.describe_managed_job_template/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_managed_job_template/5","title":"aws_iot.describe_managed_job_template/5","type":"function"},{"doc":"Gets information about a mitigation action. Requires permission to access the DescribeMitigationAction action.","ref":"aws_iot.html#describe_mitigation_action/2","title":"aws_iot.describe_mitigation_action/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_mitigation_action/4","title":"aws_iot.describe_mitigation_action/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_mitigation_action/5","title":"aws_iot.describe_mitigation_action/5","type":"function"},{"doc":"Returns information about a provisioning template. Requires permission to access the DescribeProvisioningTemplate action.","ref":"aws_iot.html#describe_provisioning_template/2","title":"aws_iot.describe_provisioning_template/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_provisioning_template/4","title":"aws_iot.describe_provisioning_template/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_provisioning_template/5","title":"aws_iot.describe_provisioning_template/5","type":"function"},{"doc":"Returns information about a provisioning template version. Requires permission to access the DescribeProvisioningTemplateVersion action.","ref":"aws_iot.html#describe_provisioning_template_version/3","title":"aws_iot.describe_provisioning_template_version/3","type":"function"},{"doc":"","ref":"aws_iot.html#describe_provisioning_template_version/5","title":"aws_iot.describe_provisioning_template_version/5","type":"function"},{"doc":"","ref":"aws_iot.html#describe_provisioning_template_version/6","title":"aws_iot.describe_provisioning_template_version/6","type":"function"},{"doc":"Describes a role alias. Requires permission to access the DescribeRoleAlias action.","ref":"aws_iot.html#describe_role_alias/2","title":"aws_iot.describe_role_alias/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_role_alias/4","title":"aws_iot.describe_role_alias/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_role_alias/5","title":"aws_iot.describe_role_alias/5","type":"function"},{"doc":"Gets information about a scheduled audit. Requires permission to access the DescribeScheduledAudit action.","ref":"aws_iot.html#describe_scheduled_audit/2","title":"aws_iot.describe_scheduled_audit/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_scheduled_audit/4","title":"aws_iot.describe_scheduled_audit/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_scheduled_audit/5","title":"aws_iot.describe_scheduled_audit/5","type":"function"},{"doc":"Gets information about a Device Defender security profile. Requires permission to access the DescribeSecurityProfile action.","ref":"aws_iot.html#describe_security_profile/2","title":"aws_iot.describe_security_profile/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_security_profile/4","title":"aws_iot.describe_security_profile/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_security_profile/5","title":"aws_iot.describe_security_profile/5","type":"function"},{"doc":"Gets information about a stream. Requires permission to access the DescribeStream action.","ref":"aws_iot.html#describe_stream/2","title":"aws_iot.describe_stream/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_stream/4","title":"aws_iot.describe_stream/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_stream/5","title":"aws_iot.describe_stream/5","type":"function"},{"doc":"Gets information about the specified thing. Requires permission to access the DescribeThing action.","ref":"aws_iot.html#describe_thing/2","title":"aws_iot.describe_thing/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_thing/4","title":"aws_iot.describe_thing/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_thing/5","title":"aws_iot.describe_thing/5","type":"function"},{"doc":"Describe a thing group. Requires permission to access the DescribeThingGroup action.","ref":"aws_iot.html#describe_thing_group/2","title":"aws_iot.describe_thing_group/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_thing_group/4","title":"aws_iot.describe_thing_group/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_thing_group/5","title":"aws_iot.describe_thing_group/5","type":"function"},{"doc":"Describes a bulk thing provisioning task. Requires permission to access the DescribeThingRegistrationTask action.","ref":"aws_iot.html#describe_thing_registration_task/2","title":"aws_iot.describe_thing_registration_task/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_thing_registration_task/4","title":"aws_iot.describe_thing_registration_task/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_thing_registration_task/5","title":"aws_iot.describe_thing_registration_task/5","type":"function"},{"doc":"Gets information about the specified thing type. Requires permission to access the DescribeThingType action.","ref":"aws_iot.html#describe_thing_type/2","title":"aws_iot.describe_thing_type/2","type":"function"},{"doc":"","ref":"aws_iot.html#describe_thing_type/4","title":"aws_iot.describe_thing_type/4","type":"function"},{"doc":"","ref":"aws_iot.html#describe_thing_type/5","title":"aws_iot.describe_thing_type/5","type":"function"},{"doc":"Detaches a policy from the specified target. Because of the distributed nature of Amazon Web Services, it can take up to five minutes after a policy is detached before it's ready to be deleted. Requires permission to access the DetachPolicy action.","ref":"aws_iot.html#detach_policy/3","title":"aws_iot.detach_policy/3","type":"function"},{"doc":"","ref":"aws_iot.html#detach_policy/4","title":"aws_iot.detach_policy/4","type":"function"},{"doc":"Removes the specified policy from the specified certificate. Note: This action is deprecated and works as expected for backward compatibility, but we won't add enhancements. Use DetachPolicy instead. Requires permission to access the DetachPrincipalPolicy action.","ref":"aws_iot.html#detach_principal_policy/3","title":"aws_iot.detach_principal_policy/3","type":"function"},{"doc":"","ref":"aws_iot.html#detach_principal_policy/4","title":"aws_iot.detach_principal_policy/4","type":"function"},{"doc":"Disassociates a Device Defender security profile from a thing group or from this account. Requires permission to access the DetachSecurityProfile action.","ref":"aws_iot.html#detach_security_profile/3","title":"aws_iot.detach_security_profile/3","type":"function"},{"doc":"","ref":"aws_iot.html#detach_security_profile/4","title":"aws_iot.detach_security_profile/4","type":"function"},{"doc":"Detaches the specified principal from the specified thing. A principal can be X.509 certificates, IAM users, groups, and roles, Amazon Cognito identities or federated identities. This call is asynchronous. It might take several seconds for the detachment to propagate. Requires permission to access the DetachThingPrincipal action.","ref":"aws_iot.html#detach_thing_principal/3","title":"aws_iot.detach_thing_principal/3","type":"function"},{"doc":"","ref":"aws_iot.html#detach_thing_principal/4","title":"aws_iot.detach_thing_principal/4","type":"function"},{"doc":"Disables the rule. Requires permission to access the DisableTopicRule action.","ref":"aws_iot.html#disable_topic_rule/3","title":"aws_iot.disable_topic_rule/3","type":"function"},{"doc":"","ref":"aws_iot.html#disable_topic_rule/4","title":"aws_iot.disable_topic_rule/4","type":"function"},{"doc":"Enables the rule. Requires permission to access the EnableTopicRule action.","ref":"aws_iot.html#enable_topic_rule/3","title":"aws_iot.enable_topic_rule/3","type":"function"},{"doc":"","ref":"aws_iot.html#enable_topic_rule/4","title":"aws_iot.enable_topic_rule/4","type":"function"},{"doc":"Returns a Device Defender's ML Detect Security Profile training model's status. Requires permission to access the GetBehaviorModelTrainingSummaries action.","ref":"aws_iot.html#get_behavior_model_training_summaries/1","title":"aws_iot.get_behavior_model_training_summaries/1","type":"function"},{"doc":"","ref":"aws_iot.html#get_behavior_model_training_summaries/3","title":"aws_iot.get_behavior_model_training_summaries/3","type":"function"},{"doc":"","ref":"aws_iot.html#get_behavior_model_training_summaries/4","title":"aws_iot.get_behavior_model_training_summaries/4","type":"function"},{"doc":"Aggregates on indexed data with search queries pertaining to particular fields. Requires permission to access the GetBucketsAggregation action.","ref":"aws_iot.html#get_buckets_aggregation/2","title":"aws_iot.get_buckets_aggregation/2","type":"function"},{"doc":"","ref":"aws_iot.html#get_buckets_aggregation/3","title":"aws_iot.get_buckets_aggregation/3","type":"function"},{"doc":"Returns the approximate count of unique values that match the query. Requires permission to access the GetCardinality action.","ref":"aws_iot.html#get_cardinality/2","title":"aws_iot.get_cardinality/2","type":"function"},{"doc":"","ref":"aws_iot.html#get_cardinality/3","title":"aws_iot.get_cardinality/3","type":"function"},{"doc":"Gets a list of the policies that have an effect on the authorization behavior of the specified device when it connects to the IoT device gateway. Requires permission to access the GetEffectivePolicies action.","ref":"aws_iot.html#get_effective_policies/2","title":"aws_iot.get_effective_policies/2","type":"function"},{"doc":"","ref":"aws_iot.html#get_effective_policies/3","title":"aws_iot.get_effective_policies/3","type":"function"},{"doc":"Gets the indexing configuration. Requires permission to access the GetIndexingConfiguration action.","ref":"aws_iot.html#get_indexing_configuration/1","title":"aws_iot.get_indexing_configuration/1","type":"function"},{"doc":"","ref":"aws_iot.html#get_indexing_configuration/3","title":"aws_iot.get_indexing_configuration/3","type":"function"},{"doc":"","ref":"aws_iot.html#get_indexing_configuration/4","title":"aws_iot.get_indexing_configuration/4","type":"function"},{"doc":"Gets a job document. Requires permission to access the GetJobDocument action.","ref":"aws_iot.html#get_job_document/2","title":"aws_iot.get_job_document/2","type":"function"},{"doc":"","ref":"aws_iot.html#get_job_document/4","title":"aws_iot.get_job_document/4","type":"function"},{"doc":"","ref":"aws_iot.html#get_job_document/5","title":"aws_iot.get_job_document/5","type":"function"},{"doc":"Gets the logging options. NOTE: use of this command is not recommended. Use GetV2LoggingOptions instead. Requires permission to access the GetLoggingOptions action.","ref":"aws_iot.html#get_logging_options/1","title":"aws_iot.get_logging_options/1","type":"function"},{"doc":"","ref":"aws_iot.html#get_logging_options/3","title":"aws_iot.get_logging_options/3","type":"function"},{"doc":"","ref":"aws_iot.html#get_logging_options/4","title":"aws_iot.get_logging_options/4","type":"function"},{"doc":"Gets an OTA update. Requires permission to access the GetOTAUpdate action.","ref":"aws_iot.html#get_ota_update/2","title":"aws_iot.get_ota_update/2","type":"function"},{"doc":"","ref":"aws_iot.html#get_ota_update/4","title":"aws_iot.get_ota_update/4","type":"function"},{"doc":"","ref":"aws_iot.html#get_ota_update/5","title":"aws_iot.get_ota_update/5","type":"function"},{"doc":"Groups the aggregated values that match the query into percentile groupings. The default percentile groupings are: 1,5,25,50,75,95,99, although you can specify your own when you call GetPercentiles . This function returns a value for each percentile group specified (or the default percentile groupings). The percentile group &quot;1&quot; contains the aggregated field value that occurs in approximately one percent of the values that match the query. The percentile group &quot;5&quot; contains the aggregated field value that occurs in approximately five percent of the values that match the query, and so on. The result is an approximation, the more values that match the query, the more accurate the percentile values. Requires permission to access the GetPercentiles action.","ref":"aws_iot.html#get_percentiles/2","title":"aws_iot.get_percentiles/2","type":"function"},{"doc":"","ref":"aws_iot.html#get_percentiles/3","title":"aws_iot.get_percentiles/3","type":"function"},{"doc":"Gets information about the specified policy with the policy document of the default version. Requires permission to access the GetPolicy action.","ref":"aws_iot.html#get_policy/2","title":"aws_iot.get_policy/2","type":"function"},{"doc":"","ref":"aws_iot.html#get_policy/4","title":"aws_iot.get_policy/4","type":"function"},{"doc":"","ref":"aws_iot.html#get_policy/5","title":"aws_iot.get_policy/5","type":"function"},{"doc":"Gets information about the specified policy version. Requires permission to access the GetPolicyVersion action.","ref":"aws_iot.html#get_policy_version/3","title":"aws_iot.get_policy_version/3","type":"function"},{"doc":"","ref":"aws_iot.html#get_policy_version/5","title":"aws_iot.get_policy_version/5","type":"function"},{"doc":"","ref":"aws_iot.html#get_policy_version/6","title":"aws_iot.get_policy_version/6","type":"function"},{"doc":"Gets a registration code used to register a CA certificate with IoT. Requires permission to access the GetRegistrationCode action.","ref":"aws_iot.html#get_registration_code/1","title":"aws_iot.get_registration_code/1","type":"function"},{"doc":"","ref":"aws_iot.html#get_registration_code/3","title":"aws_iot.get_registration_code/3","type":"function"},{"doc":"","ref":"aws_iot.html#get_registration_code/4","title":"aws_iot.get_registration_code/4","type":"function"},{"doc":"Returns the count, average, sum, minimum, maximum, sum of squares, variance, and standard deviation for the specified aggregated field. If the aggregation field is of type String , only the count statistic is returned. Requires permission to access the GetStatistics action.","ref":"aws_iot.html#get_statistics/2","title":"aws_iot.get_statistics/2","type":"function"},{"doc":"","ref":"aws_iot.html#get_statistics/3","title":"aws_iot.get_statistics/3","type":"function"},{"doc":"Gets information about the rule. Requires permission to access the GetTopicRule action.","ref":"aws_iot.html#get_topic_rule/2","title":"aws_iot.get_topic_rule/2","type":"function"},{"doc":"","ref":"aws_iot.html#get_topic_rule/4","title":"aws_iot.get_topic_rule/4","type":"function"},{"doc":"","ref":"aws_iot.html#get_topic_rule/5","title":"aws_iot.get_topic_rule/5","type":"function"},{"doc":"Gets information about a topic rule destination. Requires permission to access the GetTopicRuleDestination action.","ref":"aws_iot.html#get_topic_rule_destination/2","title":"aws_iot.get_topic_rule_destination/2","type":"function"},{"doc":"","ref":"aws_iot.html#get_topic_rule_destination/4","title":"aws_iot.get_topic_rule_destination/4","type":"function"},{"doc":"","ref":"aws_iot.html#get_topic_rule_destination/5","title":"aws_iot.get_topic_rule_destination/5","type":"function"},{"doc":"Gets the fine grained logging options. Requires permission to access the GetV2LoggingOptions action.","ref":"aws_iot.html#get_v2_logging_options/1","title":"aws_iot.get_v2_logging_options/1","type":"function"},{"doc":"","ref":"aws_iot.html#get_v2_logging_options/3","title":"aws_iot.get_v2_logging_options/3","type":"function"},{"doc":"","ref":"aws_iot.html#get_v2_logging_options/4","title":"aws_iot.get_v2_logging_options/4","type":"function"},{"doc":"Lists the active violations for a given Device Defender security profile. Requires permission to access the ListActiveViolations action.","ref":"aws_iot.html#list_active_violations/1","title":"aws_iot.list_active_violations/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_active_violations/3","title":"aws_iot.list_active_violations/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_active_violations/4","title":"aws_iot.list_active_violations/4","type":"function"},{"doc":"Lists the policies attached to the specified thing group. Requires permission to access the ListAttachedPolicies action.","ref":"aws_iot.html#list_attached_policies/3","title":"aws_iot.list_attached_policies/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_attached_policies/4","title":"aws_iot.list_attached_policies/4","type":"function"},{"doc":"Lists the findings (results) of a Device Defender audit or of the audits performed during a specified time period. (Findings are retained for 90 days.) Requires permission to access the ListAuditFindings action.","ref":"aws_iot.html#list_audit_findings/2","title":"aws_iot.list_audit_findings/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_audit_findings/3","title":"aws_iot.list_audit_findings/3","type":"function"},{"doc":"Gets the status of audit mitigation action tasks that were executed. Requires permission to access the ListAuditMitigationActionsExecutions action.","ref":"aws_iot.html#list_audit_mitigation_actions_executions/3","title":"aws_iot.list_audit_mitigation_actions_executions/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_audit_mitigation_actions_executions/5","title":"aws_iot.list_audit_mitigation_actions_executions/5","type":"function"},{"doc":"","ref":"aws_iot.html#list_audit_mitigation_actions_executions/6","title":"aws_iot.list_audit_mitigation_actions_executions/6","type":"function"},{"doc":"Gets a list of audit mitigation action tasks that match the specified filters. Requires permission to access the ListAuditMitigationActionsTasks action.","ref":"aws_iot.html#list_audit_mitigation_actions_tasks/3","title":"aws_iot.list_audit_mitigation_actions_tasks/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_audit_mitigation_actions_tasks/5","title":"aws_iot.list_audit_mitigation_actions_tasks/5","type":"function"},{"doc":"","ref":"aws_iot.html#list_audit_mitigation_actions_tasks/6","title":"aws_iot.list_audit_mitigation_actions_tasks/6","type":"function"},{"doc":"Lists your Device Defender audit listings. Requires permission to access the ListAuditSuppressions action.","ref":"aws_iot.html#list_audit_suppressions/2","title":"aws_iot.list_audit_suppressions/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_audit_suppressions/3","title":"aws_iot.list_audit_suppressions/3","type":"function"},{"doc":"Lists the Device Defender audits that have been performed during a given time period. Requires permission to access the ListAuditTasks action.","ref":"aws_iot.html#list_audit_tasks/3","title":"aws_iot.list_audit_tasks/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_audit_tasks/5","title":"aws_iot.list_audit_tasks/5","type":"function"},{"doc":"","ref":"aws_iot.html#list_audit_tasks/6","title":"aws_iot.list_audit_tasks/6","type":"function"},{"doc":"Lists the authorizers registered in your account. Requires permission to access the ListAuthorizers action.","ref":"aws_iot.html#list_authorizers/1","title":"aws_iot.list_authorizers/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_authorizers/3","title":"aws_iot.list_authorizers/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_authorizers/4","title":"aws_iot.list_authorizers/4","type":"function"},{"doc":"Lists the billing groups you have created. Requires permission to access the ListBillingGroups action.","ref":"aws_iot.html#list_billing_groups/1","title":"aws_iot.list_billing_groups/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_billing_groups/3","title":"aws_iot.list_billing_groups/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_billing_groups/4","title":"aws_iot.list_billing_groups/4","type":"function"},{"doc":"Lists the CA certificates registered for your Amazon Web Services account. The results are paginated with a default page size of 25. You can use the returned marker to retrieve additional results. Requires permission to access the ListCACertificates action.","ref":"aws_iot.html#list_ca_certificates/1","title":"aws_iot.list_ca_certificates/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_ca_certificates/3","title":"aws_iot.list_ca_certificates/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_ca_certificates/4","title":"aws_iot.list_ca_certificates/4","type":"function"},{"doc":"Lists the certificates registered in your Amazon Web Services account. The results are paginated with a default page size of 25. You can use the returned marker to retrieve additional results. Requires permission to access the ListCertificates action.","ref":"aws_iot.html#list_certificates/1","title":"aws_iot.list_certificates/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_certificates/3","title":"aws_iot.list_certificates/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_certificates/4","title":"aws_iot.list_certificates/4","type":"function"},{"doc":"List the device certificates signed by the specified CA certificate. Requires permission to access the ListCertificatesByCA action.","ref":"aws_iot.html#list_certificates_by_ca/2","title":"aws_iot.list_certificates_by_ca/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_certificates_by_ca/4","title":"aws_iot.list_certificates_by_ca/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_certificates_by_ca/5","title":"aws_iot.list_certificates_by_ca/5","type":"function"},{"doc":"Lists your Device Defender detect custom metrics. Requires permission to access the ListCustomMetrics action.","ref":"aws_iot.html#list_custom_metrics/1","title":"aws_iot.list_custom_metrics/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_custom_metrics/3","title":"aws_iot.list_custom_metrics/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_custom_metrics/4","title":"aws_iot.list_custom_metrics/4","type":"function"},{"doc":"Lists mitigation actions executions for a Device Defender ML Detect Security Profile. Requires permission to access the ListDetectMitigationActionsExecutions action.","ref":"aws_iot.html#list_detect_mitigation_actions_executions/1","title":"aws_iot.list_detect_mitigation_actions_executions/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_detect_mitigation_actions_executions/3","title":"aws_iot.list_detect_mitigation_actions_executions/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_detect_mitigation_actions_executions/4","title":"aws_iot.list_detect_mitigation_actions_executions/4","type":"function"},{"doc":"List of Device Defender ML Detect mitigation actions tasks. Requires permission to access the ListDetectMitigationActionsTasks action.","ref":"aws_iot.html#list_detect_mitigation_actions_tasks/3","title":"aws_iot.list_detect_mitigation_actions_tasks/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_detect_mitigation_actions_tasks/5","title":"aws_iot.list_detect_mitigation_actions_tasks/5","type":"function"},{"doc":"","ref":"aws_iot.html#list_detect_mitigation_actions_tasks/6","title":"aws_iot.list_detect_mitigation_actions_tasks/6","type":"function"},{"doc":"List the set of dimensions that are defined for your Amazon Web Services accounts. Requires permission to access the ListDimensions action.","ref":"aws_iot.html#list_dimensions/1","title":"aws_iot.list_dimensions/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_dimensions/3","title":"aws_iot.list_dimensions/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_dimensions/4","title":"aws_iot.list_dimensions/4","type":"function"},{"doc":"Gets a list of domain configurations for the user. This list is sorted alphabetically by domain configuration name. Requires permission to access the ListDomainConfigurations action.","ref":"aws_iot.html#list_domain_configurations/1","title":"aws_iot.list_domain_configurations/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_domain_configurations/3","title":"aws_iot.list_domain_configurations/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_domain_configurations/4","title":"aws_iot.list_domain_configurations/4","type":"function"},{"doc":"Lists all your fleet metrics. Requires permission to access the ListFleetMetrics action.","ref":"aws_iot.html#list_fleet_metrics/1","title":"aws_iot.list_fleet_metrics/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_fleet_metrics/3","title":"aws_iot.list_fleet_metrics/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_fleet_metrics/4","title":"aws_iot.list_fleet_metrics/4","type":"function"},{"doc":"Lists the search indices. Requires permission to access the ListIndices action.","ref":"aws_iot.html#list_indices/1","title":"aws_iot.list_indices/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_indices/3","title":"aws_iot.list_indices/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_indices/4","title":"aws_iot.list_indices/4","type":"function"},{"doc":"Lists the job executions for a job. Requires permission to access the ListJobExecutionsForJob action.","ref":"aws_iot.html#list_job_executions_for_job/2","title":"aws_iot.list_job_executions_for_job/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_job_executions_for_job/4","title":"aws_iot.list_job_executions_for_job/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_job_executions_for_job/5","title":"aws_iot.list_job_executions_for_job/5","type":"function"},{"doc":"Lists the job executions for the specified thing. Requires permission to access the ListJobExecutionsForThing action.","ref":"aws_iot.html#list_job_executions_for_thing/2","title":"aws_iot.list_job_executions_for_thing/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_job_executions_for_thing/4","title":"aws_iot.list_job_executions_for_thing/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_job_executions_for_thing/5","title":"aws_iot.list_job_executions_for_thing/5","type":"function"},{"doc":"Returns a list of job templates. Requires permission to access the ListJobTemplates action.","ref":"aws_iot.html#list_job_templates/1","title":"aws_iot.list_job_templates/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_job_templates/3","title":"aws_iot.list_job_templates/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_job_templates/4","title":"aws_iot.list_job_templates/4","type":"function"},{"doc":"Lists jobs. Requires permission to access the ListJobs action.","ref":"aws_iot.html#list_jobs/1","title":"aws_iot.list_jobs/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_jobs/3","title":"aws_iot.list_jobs/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_jobs/4","title":"aws_iot.list_jobs/4","type":"function"},{"doc":"Returns a list of managed job templates.","ref":"aws_iot.html#list_managed_job_templates/1","title":"aws_iot.list_managed_job_templates/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_managed_job_templates/3","title":"aws_iot.list_managed_job_templates/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_managed_job_templates/4","title":"aws_iot.list_managed_job_templates/4","type":"function"},{"doc":"Lists the values reported for an IoT Device Defender metric (device-side metric, cloud-side metric, or custom metric) by the given thing during the specified time period.","ref":"aws_iot.html#list_metric_values/5","title":"aws_iot.list_metric_values/5","type":"function"},{"doc":"","ref":"aws_iot.html#list_metric_values/7","title":"aws_iot.list_metric_values/7","type":"function"},{"doc":"","ref":"aws_iot.html#list_metric_values/8","title":"aws_iot.list_metric_values/8","type":"function"},{"doc":"Gets a list of all mitigation actions that match the specified filter criteria. Requires permission to access the ListMitigationActions action.","ref":"aws_iot.html#list_mitigation_actions/1","title":"aws_iot.list_mitigation_actions/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_mitigation_actions/3","title":"aws_iot.list_mitigation_actions/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_mitigation_actions/4","title":"aws_iot.list_mitigation_actions/4","type":"function"},{"doc":"Lists OTA updates. Requires permission to access the ListOTAUpdates action.","ref":"aws_iot.html#list_ota_updates/1","title":"aws_iot.list_ota_updates/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_ota_updates/3","title":"aws_iot.list_ota_updates/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_ota_updates/4","title":"aws_iot.list_ota_updates/4","type":"function"},{"doc":"Lists certificates that are being transferred but not yet accepted. Requires permission to access the ListOutgoingCertificates action.","ref":"aws_iot.html#list_outgoing_certificates/1","title":"aws_iot.list_outgoing_certificates/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_outgoing_certificates/3","title":"aws_iot.list_outgoing_certificates/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_outgoing_certificates/4","title":"aws_iot.list_outgoing_certificates/4","type":"function"},{"doc":"Lists your policies. Requires permission to access the ListPolicies action.","ref":"aws_iot.html#list_policies/1","title":"aws_iot.list_policies/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_policies/3","title":"aws_iot.list_policies/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_policies/4","title":"aws_iot.list_policies/4","type":"function"},{"doc":"Lists the principals associated with the specified policy. Note: This action is deprecated and works as expected for backward compatibility, but we won't add enhancements. Use ListTargetsForPolicy instead. Requires permission to access the ListPolicyPrincipals action.","ref":"aws_iot.html#list_policy_principals/2","title":"aws_iot.list_policy_principals/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_policy_principals/4","title":"aws_iot.list_policy_principals/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_policy_principals/5","title":"aws_iot.list_policy_principals/5","type":"function"},{"doc":"Lists the versions of the specified policy and identifies the default version. Requires permission to access the ListPolicyVersions action.","ref":"aws_iot.html#list_policy_versions/2","title":"aws_iot.list_policy_versions/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_policy_versions/4","title":"aws_iot.list_policy_versions/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_policy_versions/5","title":"aws_iot.list_policy_versions/5","type":"function"},{"doc":"Lists the policies attached to the specified principal. If you use an Cognito identity, the ID must be in AmazonCognito Identity format. Note: This action is deprecated and works as expected for backward compatibility, but we won't add enhancements. Use ListAttachedPolicies instead. Requires permission to access the ListPrincipalPolicies action.","ref":"aws_iot.html#list_principal_policies/2","title":"aws_iot.list_principal_policies/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_principal_policies/4","title":"aws_iot.list_principal_policies/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_principal_policies/5","title":"aws_iot.list_principal_policies/5","type":"function"},{"doc":"Lists the things associated with the specified principal. A principal can be X.509 certificates, IAM users, groups, and roles, Amazon Cognito identities or federated identities. Requires permission to access the ListPrincipalThings action.","ref":"aws_iot.html#list_principal_things/2","title":"aws_iot.list_principal_things/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_principal_things/4","title":"aws_iot.list_principal_things/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_principal_things/5","title":"aws_iot.list_principal_things/5","type":"function"},{"doc":"A list of provisioning template versions. Requires permission to access the ListProvisioningTemplateVersions action.","ref":"aws_iot.html#list_provisioning_template_versions/2","title":"aws_iot.list_provisioning_template_versions/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_provisioning_template_versions/4","title":"aws_iot.list_provisioning_template_versions/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_provisioning_template_versions/5","title":"aws_iot.list_provisioning_template_versions/5","type":"function"},{"doc":"Lists the provisioning templates in your Amazon Web Services account. Requires permission to access the ListProvisioningTemplates action.","ref":"aws_iot.html#list_provisioning_templates/1","title":"aws_iot.list_provisioning_templates/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_provisioning_templates/3","title":"aws_iot.list_provisioning_templates/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_provisioning_templates/4","title":"aws_iot.list_provisioning_templates/4","type":"function"},{"doc":"The related resources of an Audit finding. The following resources can be returned from calling this API: DEVICE_CERTIFICATE CA_CERTIFICATE IOT_POLICY COGNITO_IDENTITY_POOL CLIENT_ID ACCOUNT_SETTINGS ROLE_ALIAS IAM_ROLE ISSUER_CERTIFICATE This API is similar to DescribeAuditFinding's RelatedResources but provides pagination and is not limited to 10 resources. When calling DescribeAuditFinding for the intermediate CA revoked for active device certificates check, RelatedResources will not be populated. You must use this API, ListRelatedResourcesForAuditFinding, to list the certificates.","ref":"aws_iot.html#list_related_resources_for_audit_finding/2","title":"aws_iot.list_related_resources_for_audit_finding/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_related_resources_for_audit_finding/4","title":"aws_iot.list_related_resources_for_audit_finding/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_related_resources_for_audit_finding/5","title":"aws_iot.list_related_resources_for_audit_finding/5","type":"function"},{"doc":"Lists the role aliases registered in your account. Requires permission to access the ListRoleAliases action.","ref":"aws_iot.html#list_role_aliases/1","title":"aws_iot.list_role_aliases/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_role_aliases/3","title":"aws_iot.list_role_aliases/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_role_aliases/4","title":"aws_iot.list_role_aliases/4","type":"function"},{"doc":"Lists all of your scheduled audits. Requires permission to access the ListScheduledAudits action.","ref":"aws_iot.html#list_scheduled_audits/1","title":"aws_iot.list_scheduled_audits/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_scheduled_audits/3","title":"aws_iot.list_scheduled_audits/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_scheduled_audits/4","title":"aws_iot.list_scheduled_audits/4","type":"function"},{"doc":"Lists the Device Defender security profiles you've created. You can filter security profiles by dimension or custom metric. Requires permission to access the ListSecurityProfiles action. dimensionName and metricName cannot be used in the same request.","ref":"aws_iot.html#list_security_profiles/1","title":"aws_iot.list_security_profiles/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_security_profiles/3","title":"aws_iot.list_security_profiles/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_security_profiles/4","title":"aws_iot.list_security_profiles/4","type":"function"},{"doc":"Lists the Device Defender security profiles attached to a target (thing group). Requires permission to access the ListSecurityProfilesForTarget action.","ref":"aws_iot.html#list_security_profiles_for_target/2","title":"aws_iot.list_security_profiles_for_target/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_security_profiles_for_target/4","title":"aws_iot.list_security_profiles_for_target/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_security_profiles_for_target/5","title":"aws_iot.list_security_profiles_for_target/5","type":"function"},{"doc":"Lists all of the streams in your Amazon Web Services account. Requires permission to access the ListStreams action.","ref":"aws_iot.html#list_streams/1","title":"aws_iot.list_streams/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_streams/3","title":"aws_iot.list_streams/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_streams/4","title":"aws_iot.list_streams/4","type":"function"},{"doc":"Lists the tags (metadata) you have assigned to the resource. Requires permission to access the ListTagsForResource action.","ref":"aws_iot.html#list_tags_for_resource/2","title":"aws_iot.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_tags_for_resource/4","title":"aws_iot.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_tags_for_resource/5","title":"aws_iot.list_tags_for_resource/5","type":"function"},{"doc":"List targets for the specified policy. Requires permission to access the ListTargetsForPolicy action.","ref":"aws_iot.html#list_targets_for_policy/3","title":"aws_iot.list_targets_for_policy/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_targets_for_policy/4","title":"aws_iot.list_targets_for_policy/4","type":"function"},{"doc":"Lists the targets (thing groups) associated with a given Device Defender security profile. Requires permission to access the ListTargetsForSecurityProfile action.","ref":"aws_iot.html#list_targets_for_security_profile/2","title":"aws_iot.list_targets_for_security_profile/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_targets_for_security_profile/4","title":"aws_iot.list_targets_for_security_profile/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_targets_for_security_profile/5","title":"aws_iot.list_targets_for_security_profile/5","type":"function"},{"doc":"List the thing groups in your account. Requires permission to access the ListThingGroups action.","ref":"aws_iot.html#list_thing_groups/1","title":"aws_iot.list_thing_groups/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_thing_groups/3","title":"aws_iot.list_thing_groups/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_thing_groups/4","title":"aws_iot.list_thing_groups/4","type":"function"},{"doc":"List the thing groups to which the specified thing belongs. Requires permission to access the ListThingGroupsForThing action.","ref":"aws_iot.html#list_thing_groups_for_thing/2","title":"aws_iot.list_thing_groups_for_thing/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_thing_groups_for_thing/4","title":"aws_iot.list_thing_groups_for_thing/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_thing_groups_for_thing/5","title":"aws_iot.list_thing_groups_for_thing/5","type":"function"},{"doc":"Lists the principals associated with the specified thing. A principal can be X.509 certificates, IAM users, groups, and roles, Amazon Cognito identities or federated identities. Requires permission to access the ListThingPrincipals action.","ref":"aws_iot.html#list_thing_principals/2","title":"aws_iot.list_thing_principals/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_thing_principals/4","title":"aws_iot.list_thing_principals/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_thing_principals/5","title":"aws_iot.list_thing_principals/5","type":"function"},{"doc":"Information about the thing registration tasks.","ref":"aws_iot.html#list_thing_registration_task_reports/3","title":"aws_iot.list_thing_registration_task_reports/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_thing_registration_task_reports/5","title":"aws_iot.list_thing_registration_task_reports/5","type":"function"},{"doc":"","ref":"aws_iot.html#list_thing_registration_task_reports/6","title":"aws_iot.list_thing_registration_task_reports/6","type":"function"},{"doc":"List bulk thing provisioning tasks. Requires permission to access the ListThingRegistrationTasks action.","ref":"aws_iot.html#list_thing_registration_tasks/1","title":"aws_iot.list_thing_registration_tasks/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_thing_registration_tasks/3","title":"aws_iot.list_thing_registration_tasks/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_thing_registration_tasks/4","title":"aws_iot.list_thing_registration_tasks/4","type":"function"},{"doc":"Lists the existing thing types. Requires permission to access the ListThingTypes action.","ref":"aws_iot.html#list_thing_types/1","title":"aws_iot.list_thing_types/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_thing_types/3","title":"aws_iot.list_thing_types/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_thing_types/4","title":"aws_iot.list_thing_types/4","type":"function"},{"doc":"Lists your things. Use the attributeName and attributeValue parameters to filter your things. For example, calling ListThings with attributeName=Color and attributeValue=Red retrieves all things in the registry that contain an attribute Color with the value Red. For more information, see List Things from the Amazon Web Services IoT Core Developer Guide. Requires permission to access the ListThings action. You will not be charged for calling this API if an Access denied error is returned. You will also not be charged if no attributes or pagination token was provided in request and no pagination token and no results were returned.","ref":"aws_iot.html#list_things/1","title":"aws_iot.list_things/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_things/3","title":"aws_iot.list_things/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_things/4","title":"aws_iot.list_things/4","type":"function"},{"doc":"Lists the things you have added to the given billing group. Requires permission to access the ListThingsInBillingGroup action.","ref":"aws_iot.html#list_things_in_billing_group/2","title":"aws_iot.list_things_in_billing_group/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_things_in_billing_group/4","title":"aws_iot.list_things_in_billing_group/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_things_in_billing_group/5","title":"aws_iot.list_things_in_billing_group/5","type":"function"},{"doc":"Lists the things in the specified group. Requires permission to access the ListThingsInThingGroup action.","ref":"aws_iot.html#list_things_in_thing_group/2","title":"aws_iot.list_things_in_thing_group/2","type":"function"},{"doc":"","ref":"aws_iot.html#list_things_in_thing_group/4","title":"aws_iot.list_things_in_thing_group/4","type":"function"},{"doc":"","ref":"aws_iot.html#list_things_in_thing_group/5","title":"aws_iot.list_things_in_thing_group/5","type":"function"},{"doc":"Lists all the topic rule destinations in your Amazon Web Services account. Requires permission to access the ListTopicRuleDestinations action.","ref":"aws_iot.html#list_topic_rule_destinations/1","title":"aws_iot.list_topic_rule_destinations/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_topic_rule_destinations/3","title":"aws_iot.list_topic_rule_destinations/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_topic_rule_destinations/4","title":"aws_iot.list_topic_rule_destinations/4","type":"function"},{"doc":"Lists the rules for the specific topic. Requires permission to access the ListTopicRules action.","ref":"aws_iot.html#list_topic_rules/1","title":"aws_iot.list_topic_rules/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_topic_rules/3","title":"aws_iot.list_topic_rules/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_topic_rules/4","title":"aws_iot.list_topic_rules/4","type":"function"},{"doc":"Lists logging levels. Requires permission to access the ListV2LoggingLevels action.","ref":"aws_iot.html#list_v2_logging_levels/1","title":"aws_iot.list_v2_logging_levels/1","type":"function"},{"doc":"","ref":"aws_iot.html#list_v2_logging_levels/3","title":"aws_iot.list_v2_logging_levels/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_v2_logging_levels/4","title":"aws_iot.list_v2_logging_levels/4","type":"function"},{"doc":"Lists the Device Defender security profile violations discovered during the given time period. You can use filters to limit the results to those alerts issued for a particular security profile, behavior, or thing (device). Requires permission to access the ListViolationEvents action.","ref":"aws_iot.html#list_violation_events/3","title":"aws_iot.list_violation_events/3","type":"function"},{"doc":"","ref":"aws_iot.html#list_violation_events/5","title":"aws_iot.list_violation_events/5","type":"function"},{"doc":"","ref":"aws_iot.html#list_violation_events/6","title":"aws_iot.list_violation_events/6","type":"function"},{"doc":"Set a verification state and provide a description of that verification state on a violation (detect alarm).","ref":"aws_iot.html#put_verification_state_on_violation/3","title":"aws_iot.put_verification_state_on_violation/3","type":"function"},{"doc":"","ref":"aws_iot.html#put_verification_state_on_violation/4","title":"aws_iot.put_verification_state_on_violation/4","type":"function"},{"doc":"Registers a CA certificate with Amazon Web Services IoT Core. There is no limit to the number of CA certificates you can register in your Amazon Web Services account. You can register up to 10 CA certificates with the same CA subject field per Amazon Web Services account. Requires permission to access the RegisterCACertificate action.","ref":"aws_iot.html#register_ca_certificate/2","title":"aws_iot.register_ca_certificate/2","type":"function"},{"doc":"","ref":"aws_iot.html#register_ca_certificate/3","title":"aws_iot.register_ca_certificate/3","type":"function"},{"doc":"Registers a device certificate with IoT in the same certificate mode as the signing CA. If you have more than one CA certificate that has the same subject field, you must specify the CA certificate that was used to sign the device certificate being registered. Requires permission to access the RegisterCertificate action.","ref":"aws_iot.html#register_certificate/2","title":"aws_iot.register_certificate/2","type":"function"},{"doc":"","ref":"aws_iot.html#register_certificate/3","title":"aws_iot.register_certificate/3","type":"function"},{"doc":"Register a certificate that does not have a certificate authority (CA). For supported certificates, consult Certificate signing algorithms supported by IoT.","ref":"aws_iot.html#register_certificate_without_ca/2","title":"aws_iot.register_certificate_without_ca/2","type":"function"},{"doc":"","ref":"aws_iot.html#register_certificate_without_ca/3","title":"aws_iot.register_certificate_without_ca/3","type":"function"},{"doc":"Provisions a thing in the device registry. RegisterThing calls other IoT control plane APIs. These calls might exceed your account level IoT Throttling Limits and cause throttle errors. Please contact Amazon Web Services Customer Support to raise your throttling limits if necessary. Requires permission to access the RegisterThing action.","ref":"aws_iot.html#register_thing/2","title":"aws_iot.register_thing/2","type":"function"},{"doc":"","ref":"aws_iot.html#register_thing/3","title":"aws_iot.register_thing/3","type":"function"},{"doc":"Rejects a pending certificate transfer. After IoT rejects a certificate transfer, the certificate status changes from PENDING_TRANSFER to INACTIVE. To check for pending certificate transfers, call ListCertificates to enumerate your certificates. This operation can only be called by the transfer destination. After it is called, the certificate will be returned to the source's account in the INACTIVE state. Requires permission to access the RejectCertificateTransfer action.","ref":"aws_iot.html#reject_certificate_transfer/3","title":"aws_iot.reject_certificate_transfer/3","type":"function"},{"doc":"","ref":"aws_iot.html#reject_certificate_transfer/4","title":"aws_iot.reject_certificate_transfer/4","type":"function"},{"doc":"Removes the given thing from the billing group. Requires permission to access the RemoveThingFromBillingGroup action. This call is asynchronous. It might take several seconds for the detachment to propagate.","ref":"aws_iot.html#remove_thing_from_billing_group/2","title":"aws_iot.remove_thing_from_billing_group/2","type":"function"},{"doc":"","ref":"aws_iot.html#remove_thing_from_billing_group/3","title":"aws_iot.remove_thing_from_billing_group/3","type":"function"},{"doc":"Remove the specified thing from the specified group. You must specify either a thingGroupArn or a thingGroupName to identify the thing group and either a thingArn or a thingName to identify the thing to remove from the thing group. Requires permission to access the RemoveThingFromThingGroup action.","ref":"aws_iot.html#remove_thing_from_thing_group/2","title":"aws_iot.remove_thing_from_thing_group/2","type":"function"},{"doc":"","ref":"aws_iot.html#remove_thing_from_thing_group/3","title":"aws_iot.remove_thing_from_thing_group/3","type":"function"},{"doc":"Replaces the rule. You must specify all parameters for the new rule. Creating rules is an administrator-level action. Any user who has permission to create rules will be able to access data processed by the rule. Requires permission to access the ReplaceTopicRule action.","ref":"aws_iot.html#replace_topic_rule/3","title":"aws_iot.replace_topic_rule/3","type":"function"},{"doc":"","ref":"aws_iot.html#replace_topic_rule/4","title":"aws_iot.replace_topic_rule/4","type":"function"},{"doc":"The query search index. Requires permission to access the SearchIndex action.","ref":"aws_iot.html#search_index/2","title":"aws_iot.search_index/2","type":"function"},{"doc":"","ref":"aws_iot.html#search_index/3","title":"aws_iot.search_index/3","type":"function"},{"doc":"Sets the default authorizer. This will be used if a websocket connection is made without specifying an authorizer. Requires permission to access the SetDefaultAuthorizer action.","ref":"aws_iot.html#set_default_authorizer/2","title":"aws_iot.set_default_authorizer/2","type":"function"},{"doc":"","ref":"aws_iot.html#set_default_authorizer/3","title":"aws_iot.set_default_authorizer/3","type":"function"},{"doc":"Sets the specified version of the specified policy as the policy's default (operative) version. This action affects all certificates to which the policy is attached. To list the principals the policy is attached to, use the ListPrincipalPolicies action. Requires permission to access the SetDefaultPolicyVersion action.","ref":"aws_iot.html#set_default_policy_version/4","title":"aws_iot.set_default_policy_version/4","type":"function"},{"doc":"","ref":"aws_iot.html#set_default_policy_version/5","title":"aws_iot.set_default_policy_version/5","type":"function"},{"doc":"Sets the logging options. NOTE: use of this command is not recommended. Use SetV2LoggingOptions instead. Requires permission to access the SetLoggingOptions action.","ref":"aws_iot.html#set_logging_options/2","title":"aws_iot.set_logging_options/2","type":"function"},{"doc":"","ref":"aws_iot.html#set_logging_options/3","title":"aws_iot.set_logging_options/3","type":"function"},{"doc":"Sets the logging level. Requires permission to access the SetV2LoggingLevel action.","ref":"aws_iot.html#set_v2_logging_level/2","title":"aws_iot.set_v2_logging_level/2","type":"function"},{"doc":"","ref":"aws_iot.html#set_v2_logging_level/3","title":"aws_iot.set_v2_logging_level/3","type":"function"},{"doc":"Sets the logging options for the V2 logging service. Requires permission to access the SetV2LoggingOptions action.","ref":"aws_iot.html#set_v2_logging_options/2","title":"aws_iot.set_v2_logging_options/2","type":"function"},{"doc":"","ref":"aws_iot.html#set_v2_logging_options/3","title":"aws_iot.set_v2_logging_options/3","type":"function"},{"doc":"Starts a task that applies a set of mitigation actions to the specified target. Requires permission to access the StartAuditMitigationActionsTask action.","ref":"aws_iot.html#start_audit_mitigation_actions_task/3","title":"aws_iot.start_audit_mitigation_actions_task/3","type":"function"},{"doc":"","ref":"aws_iot.html#start_audit_mitigation_actions_task/4","title":"aws_iot.start_audit_mitigation_actions_task/4","type":"function"},{"doc":"Starts a Device Defender ML Detect mitigation actions task. Requires permission to access the StartDetectMitigationActionsTask action.","ref":"aws_iot.html#start_detect_mitigation_actions_task/3","title":"aws_iot.start_detect_mitigation_actions_task/3","type":"function"},{"doc":"","ref":"aws_iot.html#start_detect_mitigation_actions_task/4","title":"aws_iot.start_detect_mitigation_actions_task/4","type":"function"},{"doc":"Starts an on-demand Device Defender audit. Requires permission to access the StartOnDemandAuditTask action.","ref":"aws_iot.html#start_on_demand_audit_task/2","title":"aws_iot.start_on_demand_audit_task/2","type":"function"},{"doc":"","ref":"aws_iot.html#start_on_demand_audit_task/3","title":"aws_iot.start_on_demand_audit_task/3","type":"function"},{"doc":"Creates a bulk thing provisioning task. Requires permission to access the StartThingRegistrationTask action.","ref":"aws_iot.html#start_thing_registration_task/2","title":"aws_iot.start_thing_registration_task/2","type":"function"},{"doc":"","ref":"aws_iot.html#start_thing_registration_task/3","title":"aws_iot.start_thing_registration_task/3","type":"function"},{"doc":"Cancels a bulk thing provisioning task. Requires permission to access the StopThingRegistrationTask action.","ref":"aws_iot.html#stop_thing_registration_task/3","title":"aws_iot.stop_thing_registration_task/3","type":"function"},{"doc":"","ref":"aws_iot.html#stop_thing_registration_task/4","title":"aws_iot.stop_thing_registration_task/4","type":"function"},{"doc":"Adds to or modifies the tags of the given resource. Tags are metadata which can be used to manage a resource. Requires permission to access the TagResource action.","ref":"aws_iot.html#tag_resource/2","title":"aws_iot.tag_resource/2","type":"function"},{"doc":"","ref":"aws_iot.html#tag_resource/3","title":"aws_iot.tag_resource/3","type":"function"},{"doc":"Tests if a specified principal is authorized to perform an IoT action on a specified resource. Use this to test and debug the authorization behavior of devices that connect to the IoT device gateway. Requires permission to access the TestAuthorization action.","ref":"aws_iot.html#test_authorization/2","title":"aws_iot.test_authorization/2","type":"function"},{"doc":"","ref":"aws_iot.html#test_authorization/3","title":"aws_iot.test_authorization/3","type":"function"},{"doc":"Tests a custom authorization behavior by invoking a specified custom authorizer. Use this to test and debug the custom authorization behavior of devices that connect to the IoT device gateway. Requires permission to access the TestInvokeAuthorizer action.","ref":"aws_iot.html#test_invoke_authorizer/3","title":"aws_iot.test_invoke_authorizer/3","type":"function"},{"doc":"","ref":"aws_iot.html#test_invoke_authorizer/4","title":"aws_iot.test_invoke_authorizer/4","type":"function"},{"doc":"Transfers the specified certificate to the specified Amazon Web Services account. Requires permission to access the TransferCertificate action. You can cancel the transfer until it is acknowledged by the recipient. No notification is sent to the transfer destination's account. It is up to the caller to notify the transfer target. The certificate being transferred must not be in the ACTIVE state. You can use the UpdateCertificate action to deactivate it. The certificate must not have any policies attached to it. You can use the DetachPolicy action to detach them.","ref":"aws_iot.html#transfer_certificate/3","title":"aws_iot.transfer_certificate/3","type":"function"},{"doc":"","ref":"aws_iot.html#transfer_certificate/4","title":"aws_iot.transfer_certificate/4","type":"function"},{"doc":"Removes the given tags (metadata) from the resource. Requires permission to access the UntagResource action.","ref":"aws_iot.html#untag_resource/2","title":"aws_iot.untag_resource/2","type":"function"},{"doc":"","ref":"aws_iot.html#untag_resource/3","title":"aws_iot.untag_resource/3","type":"function"},{"doc":"Configures or reconfigures the Device Defender audit settings for this account. Settings include how audit notifications are sent and which audit checks are enabled or disabled. Requires permission to access the UpdateAccountAuditConfiguration action.","ref":"aws_iot.html#update_account_audit_configuration/2","title":"aws_iot.update_account_audit_configuration/2","type":"function"},{"doc":"","ref":"aws_iot.html#update_account_audit_configuration/3","title":"aws_iot.update_account_audit_configuration/3","type":"function"},{"doc":"Updates a Device Defender audit suppression.","ref":"aws_iot.html#update_audit_suppression/2","title":"aws_iot.update_audit_suppression/2","type":"function"},{"doc":"","ref":"aws_iot.html#update_audit_suppression/3","title":"aws_iot.update_audit_suppression/3","type":"function"},{"doc":"Updates an authorizer. Requires permission to access the UpdateAuthorizer action.","ref":"aws_iot.html#update_authorizer/3","title":"aws_iot.update_authorizer/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_authorizer/4","title":"aws_iot.update_authorizer/4","type":"function"},{"doc":"Updates information about the billing group. Requires permission to access the UpdateBillingGroup action.","ref":"aws_iot.html#update_billing_group/3","title":"aws_iot.update_billing_group/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_billing_group/4","title":"aws_iot.update_billing_group/4","type":"function"},{"doc":"Updates a registered CA certificate. Requires permission to access the UpdateCACertificate action.","ref":"aws_iot.html#update_ca_certificate/3","title":"aws_iot.update_ca_certificate/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_ca_certificate/4","title":"aws_iot.update_ca_certificate/4","type":"function"},{"doc":"Updates the status of the specified certificate. This operation is idempotent. Requires permission to access the UpdateCertificate action. Certificates must be in the ACTIVE state to authenticate devices that use a certificate to connect to IoT. Within a few minutes of updating a certificate from the ACTIVE state to any other state, IoT disconnects all devices that used that certificate to connect. Devices cannot use a certificate that is not in the ACTIVE state to reconnect.","ref":"aws_iot.html#update_certificate/3","title":"aws_iot.update_certificate/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_certificate/4","title":"aws_iot.update_certificate/4","type":"function"},{"doc":"Updates a Device Defender detect custom metric. Requires permission to access the UpdateCustomMetric action.","ref":"aws_iot.html#update_custom_metric/3","title":"aws_iot.update_custom_metric/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_custom_metric/4","title":"aws_iot.update_custom_metric/4","type":"function"},{"doc":"Updates the definition for a dimension. You cannot change the type of a dimension after it is created (you can delete it and recreate it). Requires permission to access the UpdateDimension action.","ref":"aws_iot.html#update_dimension/3","title":"aws_iot.update_dimension/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_dimension/4","title":"aws_iot.update_dimension/4","type":"function"},{"doc":"Updates values stored in the domain configuration. Domain configurations for default endpoints can't be updated. Requires permission to access the UpdateDomainConfiguration action.","ref":"aws_iot.html#update_domain_configuration/3","title":"aws_iot.update_domain_configuration/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_domain_configuration/4","title":"aws_iot.update_domain_configuration/4","type":"function"},{"doc":"Updates a dynamic thing group. Requires permission to access the UpdateDynamicThingGroup action.","ref":"aws_iot.html#update_dynamic_thing_group/3","title":"aws_iot.update_dynamic_thing_group/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_dynamic_thing_group/4","title":"aws_iot.update_dynamic_thing_group/4","type":"function"},{"doc":"Updates the event configurations. Requires permission to access the UpdateEventConfigurations action.","ref":"aws_iot.html#update_event_configurations/2","title":"aws_iot.update_event_configurations/2","type":"function"},{"doc":"","ref":"aws_iot.html#update_event_configurations/3","title":"aws_iot.update_event_configurations/3","type":"function"},{"doc":"Updates the data for a fleet metric. Requires permission to access the UpdateFleetMetric action.","ref":"aws_iot.html#update_fleet_metric/3","title":"aws_iot.update_fleet_metric/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_fleet_metric/4","title":"aws_iot.update_fleet_metric/4","type":"function"},{"doc":"Updates the search configuration. Requires permission to access the UpdateIndexingConfiguration action.","ref":"aws_iot.html#update_indexing_configuration/2","title":"aws_iot.update_indexing_configuration/2","type":"function"},{"doc":"","ref":"aws_iot.html#update_indexing_configuration/3","title":"aws_iot.update_indexing_configuration/3","type":"function"},{"doc":"Updates supported fields of the specified job. Requires permission to access the UpdateJob action.","ref":"aws_iot.html#update_job/3","title":"aws_iot.update_job/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_job/4","title":"aws_iot.update_job/4","type":"function"},{"doc":"Updates the definition for the specified mitigation action. Requires permission to access the UpdateMitigationAction action.","ref":"aws_iot.html#update_mitigation_action/3","title":"aws_iot.update_mitigation_action/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_mitigation_action/4","title":"aws_iot.update_mitigation_action/4","type":"function"},{"doc":"Updates a provisioning template. Requires permission to access the UpdateProvisioningTemplate action.","ref":"aws_iot.html#update_provisioning_template/3","title":"aws_iot.update_provisioning_template/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_provisioning_template/4","title":"aws_iot.update_provisioning_template/4","type":"function"},{"doc":"Updates a role alias. Requires permission to access the UpdateRoleAlias action.","ref":"aws_iot.html#update_role_alias/3","title":"aws_iot.update_role_alias/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_role_alias/4","title":"aws_iot.update_role_alias/4","type":"function"},{"doc":"Updates a scheduled audit, including which checks are performed and how often the audit takes place. Requires permission to access the UpdateScheduledAudit action.","ref":"aws_iot.html#update_scheduled_audit/3","title":"aws_iot.update_scheduled_audit/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_scheduled_audit/4","title":"aws_iot.update_scheduled_audit/4","type":"function"},{"doc":"Updates a Device Defender security profile. Requires permission to access the UpdateSecurityProfile action.","ref":"aws_iot.html#update_security_profile/3","title":"aws_iot.update_security_profile/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_security_profile/4","title":"aws_iot.update_security_profile/4","type":"function"},{"doc":"Updates an existing stream. The stream version will be incremented by one. Requires permission to access the UpdateStream action.","ref":"aws_iot.html#update_stream/3","title":"aws_iot.update_stream/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_stream/4","title":"aws_iot.update_stream/4","type":"function"},{"doc":"Updates the data for a thing. Requires permission to access the UpdateThing action.","ref":"aws_iot.html#update_thing/3","title":"aws_iot.update_thing/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_thing/4","title":"aws_iot.update_thing/4","type":"function"},{"doc":"Update a thing group. Requires permission to access the UpdateThingGroup action.","ref":"aws_iot.html#update_thing_group/3","title":"aws_iot.update_thing_group/3","type":"function"},{"doc":"","ref":"aws_iot.html#update_thing_group/4","title":"aws_iot.update_thing_group/4","type":"function"},{"doc":"Updates the groups to which the thing belongs. Requires permission to access the UpdateThingGroupsForThing action.","ref":"aws_iot.html#update_thing_groups_for_thing/2","title":"aws_iot.update_thing_groups_for_thing/2","type":"function"},{"doc":"","ref":"aws_iot.html#update_thing_groups_for_thing/3","title":"aws_iot.update_thing_groups_for_thing/3","type":"function"},{"doc":"Updates a topic rule destination. You use this to change the status, endpoint URL, or confirmation URL of the destination. Requires permission to access the UpdateTopicRuleDestination action.","ref":"aws_iot.html#update_topic_rule_destination/2","title":"aws_iot.update_topic_rule_destination/2","type":"function"},{"doc":"","ref":"aws_iot.html#update_topic_rule_destination/3","title":"aws_iot.update_topic_rule_destination/3","type":"function"},{"doc":"Validates a Device Defender security profile behaviors specification. Requires permission to access the ValidateSecurityProfileBehaviors action.","ref":"aws_iot.html#validate_security_profile_behaviors/2","title":"aws_iot.validate_security_profile_behaviors/2","type":"function"},{"doc":"","ref":"aws_iot.html#validate_security_profile_behaviors/3","title":"aws_iot.validate_security_profile_behaviors/3","type":"function"},{"doc":"Describes all of the AWS IoT 1-Click device-related API operations for the service. Also provides sample requests, responses, and errors for the supported web services protocols.","ref":"aws_iot_1click_devices.html","title":"aws_iot_1click_devices","type":"module"},{"doc":"Adds device(s) to your account (i.e., claim one or more devices) if and only if you received a claim code with the device(s).","ref":"aws_iot_1click_devices.html#claim_devices_by_claim_code/3","title":"aws_iot_1click_devices.claim_devices_by_claim_code/3","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#claim_devices_by_claim_code/4","title":"aws_iot_1click_devices.claim_devices_by_claim_code/4","type":"function"},{"doc":"Given a device ID, returns a DescribeDeviceResponse object describing the details of the device.","ref":"aws_iot_1click_devices.html#describe_device/2","title":"aws_iot_1click_devices.describe_device/2","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#describe_device/4","title":"aws_iot_1click_devices.describe_device/4","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#describe_device/5","title":"aws_iot_1click_devices.describe_device/5","type":"function"},{"doc":"Given a device ID, finalizes the claim request for the associated device. Claiming a device consists of initiating a claim, then publishing a device event, and finalizing the claim. For a device of type button, a device event can be published by simply clicking the device.","ref":"aws_iot_1click_devices.html#finalize_device_claim/3","title":"aws_iot_1click_devices.finalize_device_claim/3","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#finalize_device_claim/4","title":"aws_iot_1click_devices.finalize_device_claim/4","type":"function"},{"doc":"Given a device ID, returns the invokable methods associated with the device.","ref":"aws_iot_1click_devices.html#get_device_methods/2","title":"aws_iot_1click_devices.get_device_methods/2","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#get_device_methods/4","title":"aws_iot_1click_devices.get_device_methods/4","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#get_device_methods/5","title":"aws_iot_1click_devices.get_device_methods/5","type":"function"},{"doc":"Given a device ID, initiates a claim request for the associated device. Claiming a device consists of initiating a claim, then publishing a device event, and finalizing the claim. For a device of type button, a device event can be published by simply clicking the device.","ref":"aws_iot_1click_devices.html#initiate_device_claim/3","title":"aws_iot_1click_devices.initiate_device_claim/3","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#initiate_device_claim/4","title":"aws_iot_1click_devices.initiate_device_claim/4","type":"function"},{"doc":"Given a device ID, issues a request to invoke a named device method (with possible parameters). See the &quot;Example POST&quot; code snippet below.","ref":"aws_iot_1click_devices.html#invoke_device_method/3","title":"aws_iot_1click_devices.invoke_device_method/3","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#invoke_device_method/4","title":"aws_iot_1click_devices.invoke_device_method/4","type":"function"},{"doc":"Using a device ID, returns a DeviceEventsResponse object containing an array of events for the device.","ref":"aws_iot_1click_devices.html#list_device_events/4","title":"aws_iot_1click_devices.list_device_events/4","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#list_device_events/6","title":"aws_iot_1click_devices.list_device_events/6","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#list_device_events/7","title":"aws_iot_1click_devices.list_device_events/7","type":"function"},{"doc":"Lists the 1-Click compatible devices associated with your AWS account.","ref":"aws_iot_1click_devices.html#list_devices/1","title":"aws_iot_1click_devices.list_devices/1","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#list_devices/3","title":"aws_iot_1click_devices.list_devices/3","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#list_devices/4","title":"aws_iot_1click_devices.list_devices/4","type":"function"},{"doc":"Lists the tags associated with the specified resource ARN.","ref":"aws_iot_1click_devices.html#list_tags_for_resource/2","title":"aws_iot_1click_devices.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#list_tags_for_resource/4","title":"aws_iot_1click_devices.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#list_tags_for_resource/5","title":"aws_iot_1click_devices.list_tags_for_resource/5","type":"function"},{"doc":"Adds or updates the tags associated with the resource ARN. See AWS IoT 1-Click Service Limits for the maximum number of tags allowed per resource.","ref":"aws_iot_1click_devices.html#tag_resource/3","title":"aws_iot_1click_devices.tag_resource/3","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#tag_resource/4","title":"aws_iot_1click_devices.tag_resource/4","type":"function"},{"doc":"Disassociates a device from your AWS account using its device ID.","ref":"aws_iot_1click_devices.html#unclaim_device/3","title":"aws_iot_1click_devices.unclaim_device/3","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#unclaim_device/4","title":"aws_iot_1click_devices.unclaim_device/4","type":"function"},{"doc":"Using tag keys, deletes the tags (key/value pairs) associated with the specified resource ARN.","ref":"aws_iot_1click_devices.html#untag_resource/3","title":"aws_iot_1click_devices.untag_resource/3","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#untag_resource/4","title":"aws_iot_1click_devices.untag_resource/4","type":"function"},{"doc":"Using a Boolean value (true or false), this operation enables or disables the device given a device ID.","ref":"aws_iot_1click_devices.html#update_device_state/3","title":"aws_iot_1click_devices.update_device_state/3","type":"function"},{"doc":"","ref":"aws_iot_1click_devices.html#update_device_state/4","title":"aws_iot_1click_devices.update_device_state/4","type":"function"},{"doc":"The AWS IoT 1-Click Projects API Reference","ref":"aws_iot_1click_projects.html","title":"aws_iot_1click_projects","type":"module"},{"doc":"Associates a physical device with a placement.","ref":"aws_iot_1click_projects.html#associate_device_with_placement/5","title":"aws_iot_1click_projects.associate_device_with_placement/5","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#associate_device_with_placement/6","title":"aws_iot_1click_projects.associate_device_with_placement/6","type":"function"},{"doc":"Creates an empty placement.","ref":"aws_iot_1click_projects.html#create_placement/3","title":"aws_iot_1click_projects.create_placement/3","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#create_placement/4","title":"aws_iot_1click_projects.create_placement/4","type":"function"},{"doc":"Creates an empty project with a placement template. A project contains zero or more placements that adhere to the placement template defined in the project.","ref":"aws_iot_1click_projects.html#create_project/2","title":"aws_iot_1click_projects.create_project/2","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#create_project/3","title":"aws_iot_1click_projects.create_project/3","type":"function"},{"doc":"Deletes a placement. To delete a placement, it must not have any devices associated with it. When you delete a placement, all associated data becomes irretrievable.","ref":"aws_iot_1click_projects.html#delete_placement/4","title":"aws_iot_1click_projects.delete_placement/4","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#delete_placement/5","title":"aws_iot_1click_projects.delete_placement/5","type":"function"},{"doc":"Deletes a project. To delete a project, it must not have any placements associated with it. When you delete a project, all associated data becomes irretrievable.","ref":"aws_iot_1click_projects.html#delete_project/3","title":"aws_iot_1click_projects.delete_project/3","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#delete_project/4","title":"aws_iot_1click_projects.delete_project/4","type":"function"},{"doc":"Describes a placement in a project.","ref":"aws_iot_1click_projects.html#describe_placement/3","title":"aws_iot_1click_projects.describe_placement/3","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#describe_placement/5","title":"aws_iot_1click_projects.describe_placement/5","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#describe_placement/6","title":"aws_iot_1click_projects.describe_placement/6","type":"function"},{"doc":"Returns an object describing a project.","ref":"aws_iot_1click_projects.html#describe_project/2","title":"aws_iot_1click_projects.describe_project/2","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#describe_project/4","title":"aws_iot_1click_projects.describe_project/4","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#describe_project/5","title":"aws_iot_1click_projects.describe_project/5","type":"function"},{"doc":"Removes a physical device from a placement.","ref":"aws_iot_1click_projects.html#disassociate_device_from_placement/5","title":"aws_iot_1click_projects.disassociate_device_from_placement/5","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#disassociate_device_from_placement/6","title":"aws_iot_1click_projects.disassociate_device_from_placement/6","type":"function"},{"doc":"Returns an object enumerating the devices in a placement.","ref":"aws_iot_1click_projects.html#get_devices_in_placement/3","title":"aws_iot_1click_projects.get_devices_in_placement/3","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#get_devices_in_placement/5","title":"aws_iot_1click_projects.get_devices_in_placement/5","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#get_devices_in_placement/6","title":"aws_iot_1click_projects.get_devices_in_placement/6","type":"function"},{"doc":"Lists the placement(s) of a project.","ref":"aws_iot_1click_projects.html#list_placements/2","title":"aws_iot_1click_projects.list_placements/2","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#list_placements/4","title":"aws_iot_1click_projects.list_placements/4","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#list_placements/5","title":"aws_iot_1click_projects.list_placements/5","type":"function"},{"doc":"Lists the AWS IoT 1-Click project(s) associated with your AWS account and region.","ref":"aws_iot_1click_projects.html#list_projects/1","title":"aws_iot_1click_projects.list_projects/1","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#list_projects/3","title":"aws_iot_1click_projects.list_projects/3","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#list_projects/4","title":"aws_iot_1click_projects.list_projects/4","type":"function"},{"doc":"Lists the tags (metadata key/value pairs) which you have assigned to the resource.","ref":"aws_iot_1click_projects.html#list_tags_for_resource/2","title":"aws_iot_1click_projects.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#list_tags_for_resource/4","title":"aws_iot_1click_projects.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#list_tags_for_resource/5","title":"aws_iot_1click_projects.list_tags_for_resource/5","type":"function"},{"doc":"Creates or modifies tags for a resource. Tags are key/value pairs (metadata) that can be used to manage a resource. For more information, see AWS Tagging Strategies.","ref":"aws_iot_1click_projects.html#tag_resource/3","title":"aws_iot_1click_projects.tag_resource/3","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#tag_resource/4","title":"aws_iot_1click_projects.tag_resource/4","type":"function"},{"doc":"Removes one or more tags (metadata key/value pairs) from a resource.","ref":"aws_iot_1click_projects.html#untag_resource/3","title":"aws_iot_1click_projects.untag_resource/3","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#untag_resource/4","title":"aws_iot_1click_projects.untag_resource/4","type":"function"},{"doc":"Updates a placement with the given attributes. To clear an attribute, pass an empty value (i.e., &quot;&quot;).","ref":"aws_iot_1click_projects.html#update_placement/4","title":"aws_iot_1click_projects.update_placement/4","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#update_placement/5","title":"aws_iot_1click_projects.update_placement/5","type":"function"},{"doc":"Updates a project associated with your AWS account and region. With the exception of device template names, you can pass just the values that need to be updated because the update request will change only the values that are provided. To clear a value, pass the empty string (i.e., &amp;quot;&amp;quot; ).","ref":"aws_iot_1click_projects.html#update_project/3","title":"aws_iot_1click_projects.update_project/3","type":"function"},{"doc":"","ref":"aws_iot_1click_projects.html#update_project/4","title":"aws_iot_1click_projects.update_project/4","type":"function"},{"doc":"IoT data IoT data enables secure, bi-directional communication between Internet-connected things (such as sensors, actuators, embedded devices, or smart appliances) and the Amazon Web Services cloud. It implements a broker for applications and things to publish messages over HTTP (Publish) and retrieve, update, and delete shadows. A shadow is a persistent representation of your things and their state in the Amazon Web Services cloud. Find the endpoint address for actions in IoT data by running this CLI command: aws iot describe-endpoint --endpoint-type iot:Data-ATS The service name used by Amazon Web ServicesSignature Version 4 to sign requests is: iotdevicegateway.","ref":"aws_iot_data_plane.html","title":"aws_iot_data_plane","type":"module"},{"doc":"Deletes the shadow for the specified thing. Requires permission to access the DeleteThingShadow action. For more information, see DeleteThingShadow in the IoT Developer Guide.","ref":"aws_iot_data_plane.html#delete_thing_shadow/3","title":"aws_iot_data_plane.delete_thing_shadow/3","type":"function"},{"doc":"","ref":"aws_iot_data_plane.html#delete_thing_shadow/4","title":"aws_iot_data_plane.delete_thing_shadow/4","type":"function"},{"doc":"Gets the details of a single retained message for the specified topic. This action returns the message payload of the retained message, which can incur messaging costs. To list only the topic names of the retained messages, call ListRetainedMessages. Requires permission to access the GetRetainedMessage action. For more information about messaging costs, see Amazon Web Services IoT Core pricing - Messaging.","ref":"aws_iot_data_plane.html#get_retained_message/2","title":"aws_iot_data_plane.get_retained_message/2","type":"function"},{"doc":"","ref":"aws_iot_data_plane.html#get_retained_message/4","title":"aws_iot_data_plane.get_retained_message/4","type":"function"},{"doc":"","ref":"aws_iot_data_plane.html#get_retained_message/5","title":"aws_iot_data_plane.get_retained_message/5","type":"function"},{"doc":"Gets the shadow for the specified thing. Requires permission to access the GetThingShadow action. For more information, see GetThingShadow in the IoT Developer Guide.","ref":"aws_iot_data_plane.html#get_thing_shadow/2","title":"aws_iot_data_plane.get_thing_shadow/2","type":"function"},{"doc":"","ref":"aws_iot_data_plane.html#get_thing_shadow/4","title":"aws_iot_data_plane.get_thing_shadow/4","type":"function"},{"doc":"","ref":"aws_iot_data_plane.html#get_thing_shadow/5","title":"aws_iot_data_plane.get_thing_shadow/5","type":"function"},{"doc":"Lists the shadows for the specified thing. Requires permission to access the ListNamedShadowsForThing action.","ref":"aws_iot_data_plane.html#list_named_shadows_for_thing/2","title":"aws_iot_data_plane.list_named_shadows_for_thing/2","type":"function"},{"doc":"","ref":"aws_iot_data_plane.html#list_named_shadows_for_thing/4","title":"aws_iot_data_plane.list_named_shadows_for_thing/4","type":"function"},{"doc":"","ref":"aws_iot_data_plane.html#list_named_shadows_for_thing/5","title":"aws_iot_data_plane.list_named_shadows_for_thing/5","type":"function"},{"doc":"Lists summary information about the retained messages stored for the account. This action returns only the topic names of the retained messages. It doesn't return any message payloads. Although this action doesn't return a message payload, it can still incur messaging costs. To get the message payload of a retained message, call GetRetainedMessage with the topic name of the retained message. Requires permission to access the ListRetainedMessages action. For more information about messaging costs, see Amazon Web Services IoT Core pricing - Messaging.","ref":"aws_iot_data_plane.html#list_retained_messages/1","title":"aws_iot_data_plane.list_retained_messages/1","type":"function"},{"doc":"","ref":"aws_iot_data_plane.html#list_retained_messages/3","title":"aws_iot_data_plane.list_retained_messages/3","type":"function"},{"doc":"","ref":"aws_iot_data_plane.html#list_retained_messages/4","title":"aws_iot_data_plane.list_retained_messages/4","type":"function"},{"doc":"Publishes an MQTT message. Requires permission to access the Publish action. For more information about MQTT messages, see MQTT Protocol in the IoT Developer Guide. For more information about messaging costs, see Amazon Web Services IoT Core pricing - Messaging.","ref":"aws_iot_data_plane.html#publish/3","title":"aws_iot_data_plane.publish/3","type":"function"},{"doc":"","ref":"aws_iot_data_plane.html#publish/4","title":"aws_iot_data_plane.publish/4","type":"function"},{"doc":"Updates the shadow for the specified thing. Requires permission to access the UpdateThingShadow action. For more information, see UpdateThingShadow in the IoT Developer Guide.","ref":"aws_iot_data_plane.html#update_thing_shadow/3","title":"aws_iot_data_plane.update_thing_shadow/3","type":"function"},{"doc":"","ref":"aws_iot_data_plane.html#update_thing_shadow/4","title":"aws_iot_data_plane.update_thing_shadow/4","type":"function"},{"doc":"AWS IoT Events monitors your equipment or device fleets for failures or changes in operation, and triggers actions when such events occur. You can use AWS IoT Events API operations to create, read, update, and delete inputs and detector models, and to list their versions.","ref":"aws_iot_events.html","title":"aws_iot_events","type":"module"},{"doc":"Creates an alarm model to monitor an AWS IoT Events input attribute. You can use the alarm to get notified when the value is outside a specified range. For more information, see Create an alarm model in the AWS IoT Events Developer Guide.","ref":"aws_iot_events.html#create_alarm_model/2","title":"aws_iot_events.create_alarm_model/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#create_alarm_model/3","title":"aws_iot_events.create_alarm_model/3","type":"function"},{"doc":"Creates a detector model.","ref":"aws_iot_events.html#create_detector_model/2","title":"aws_iot_events.create_detector_model/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#create_detector_model/3","title":"aws_iot_events.create_detector_model/3","type":"function"},{"doc":"Creates an input.","ref":"aws_iot_events.html#create_input/2","title":"aws_iot_events.create_input/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#create_input/3","title":"aws_iot_events.create_input/3","type":"function"},{"doc":"Deletes an alarm model. Any alarm instances that were created based on this alarm model are also deleted. This action can't be undone.","ref":"aws_iot_events.html#delete_alarm_model/3","title":"aws_iot_events.delete_alarm_model/3","type":"function"},{"doc":"","ref":"aws_iot_events.html#delete_alarm_model/4","title":"aws_iot_events.delete_alarm_model/4","type":"function"},{"doc":"Deletes a detector model. Any active instances of the detector model are also deleted.","ref":"aws_iot_events.html#delete_detector_model/3","title":"aws_iot_events.delete_detector_model/3","type":"function"},{"doc":"","ref":"aws_iot_events.html#delete_detector_model/4","title":"aws_iot_events.delete_detector_model/4","type":"function"},{"doc":"Deletes an input.","ref":"aws_iot_events.html#delete_input/3","title":"aws_iot_events.delete_input/3","type":"function"},{"doc":"","ref":"aws_iot_events.html#delete_input/4","title":"aws_iot_events.delete_input/4","type":"function"},{"doc":"Retrieves information about an alarm model. If you don't specify a value for the alarmModelVersion parameter, the latest version is returned.","ref":"aws_iot_events.html#describe_alarm_model/2","title":"aws_iot_events.describe_alarm_model/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#describe_alarm_model/4","title":"aws_iot_events.describe_alarm_model/4","type":"function"},{"doc":"","ref":"aws_iot_events.html#describe_alarm_model/5","title":"aws_iot_events.describe_alarm_model/5","type":"function"},{"doc":"Describes a detector model. If the version parameter is not specified, information about the latest version is returned.","ref":"aws_iot_events.html#describe_detector_model/2","title":"aws_iot_events.describe_detector_model/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#describe_detector_model/4","title":"aws_iot_events.describe_detector_model/4","type":"function"},{"doc":"","ref":"aws_iot_events.html#describe_detector_model/5","title":"aws_iot_events.describe_detector_model/5","type":"function"},{"doc":"Retrieves runtime information about a detector model analysis. After AWS IoT Events starts analyzing your detector model, you have up to 24 hours to retrieve the analysis results.","ref":"aws_iot_events.html#describe_detector_model_analysis/2","title":"aws_iot_events.describe_detector_model_analysis/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#describe_detector_model_analysis/4","title":"aws_iot_events.describe_detector_model_analysis/4","type":"function"},{"doc":"","ref":"aws_iot_events.html#describe_detector_model_analysis/5","title":"aws_iot_events.describe_detector_model_analysis/5","type":"function"},{"doc":"Describes an input.","ref":"aws_iot_events.html#describe_input/2","title":"aws_iot_events.describe_input/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#describe_input/4","title":"aws_iot_events.describe_input/4","type":"function"},{"doc":"","ref":"aws_iot_events.html#describe_input/5","title":"aws_iot_events.describe_input/5","type":"function"},{"doc":"Retrieves the current settings of the AWS IoT Events logging options.","ref":"aws_iot_events.html#describe_logging_options/1","title":"aws_iot_events.describe_logging_options/1","type":"function"},{"doc":"","ref":"aws_iot_events.html#describe_logging_options/3","title":"aws_iot_events.describe_logging_options/3","type":"function"},{"doc":"","ref":"aws_iot_events.html#describe_logging_options/4","title":"aws_iot_events.describe_logging_options/4","type":"function"},{"doc":"Retrieves one or more analysis results of the detector model. After AWS IoT Events starts analyzing your detector model, you have up to 24 hours to retrieve the analysis results.","ref":"aws_iot_events.html#get_detector_model_analysis_results/2","title":"aws_iot_events.get_detector_model_analysis_results/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#get_detector_model_analysis_results/4","title":"aws_iot_events.get_detector_model_analysis_results/4","type":"function"},{"doc":"","ref":"aws_iot_events.html#get_detector_model_analysis_results/5","title":"aws_iot_events.get_detector_model_analysis_results/5","type":"function"},{"doc":"Lists all the versions of an alarm model. The operation returns only the metadata associated with each alarm model version.","ref":"aws_iot_events.html#list_alarm_model_versions/2","title":"aws_iot_events.list_alarm_model_versions/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_alarm_model_versions/4","title":"aws_iot_events.list_alarm_model_versions/4","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_alarm_model_versions/5","title":"aws_iot_events.list_alarm_model_versions/5","type":"function"},{"doc":"Lists the alarm models that you created. The operation returns only the metadata associated with each alarm model.","ref":"aws_iot_events.html#list_alarm_models/1","title":"aws_iot_events.list_alarm_models/1","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_alarm_models/3","title":"aws_iot_events.list_alarm_models/3","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_alarm_models/4","title":"aws_iot_events.list_alarm_models/4","type":"function"},{"doc":"Lists all the versions of a detector model. Only the metadata associated with each detector model version is returned.","ref":"aws_iot_events.html#list_detector_model_versions/2","title":"aws_iot_events.list_detector_model_versions/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_detector_model_versions/4","title":"aws_iot_events.list_detector_model_versions/4","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_detector_model_versions/5","title":"aws_iot_events.list_detector_model_versions/5","type":"function"},{"doc":"Lists the detector models you have created. Only the metadata associated with each detector model is returned.","ref":"aws_iot_events.html#list_detector_models/1","title":"aws_iot_events.list_detector_models/1","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_detector_models/3","title":"aws_iot_events.list_detector_models/3","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_detector_models/4","title":"aws_iot_events.list_detector_models/4","type":"function"},{"doc":"Lists one or more input routings.","ref":"aws_iot_events.html#list_input_routings/2","title":"aws_iot_events.list_input_routings/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_input_routings/3","title":"aws_iot_events.list_input_routings/3","type":"function"},{"doc":"Lists the inputs you have created.","ref":"aws_iot_events.html#list_inputs/1","title":"aws_iot_events.list_inputs/1","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_inputs/3","title":"aws_iot_events.list_inputs/3","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_inputs/4","title":"aws_iot_events.list_inputs/4","type":"function"},{"doc":"Lists the tags (metadata) you have assigned to the resource.","ref":"aws_iot_events.html#list_tags_for_resource/2","title":"aws_iot_events.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_tags_for_resource/4","title":"aws_iot_events.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_iot_events.html#list_tags_for_resource/5","title":"aws_iot_events.list_tags_for_resource/5","type":"function"},{"doc":"Sets or updates the AWS IoT Events logging options. If you update the value of any loggingOptions field, it takes up to one minute for the change to take effect. If you change the policy attached to the role you specified in the roleArn field (for example, to correct an invalid policy), it takes up to five minutes for that change to take effect.","ref":"aws_iot_events.html#put_logging_options/2","title":"aws_iot_events.put_logging_options/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#put_logging_options/3","title":"aws_iot_events.put_logging_options/3","type":"function"},{"doc":"Performs an analysis of your detector model. For more information, see Troubleshooting a detector model in the AWS IoT Events Developer Guide.","ref":"aws_iot_events.html#start_detector_model_analysis/2","title":"aws_iot_events.start_detector_model_analysis/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#start_detector_model_analysis/3","title":"aws_iot_events.start_detector_model_analysis/3","type":"function"},{"doc":"Adds to or modifies the tags of the given resource. Tags are metadata that can be used to manage a resource.","ref":"aws_iot_events.html#tag_resource/2","title":"aws_iot_events.tag_resource/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#tag_resource/3","title":"aws_iot_events.tag_resource/3","type":"function"},{"doc":"Removes the given tags (metadata) from the resource.","ref":"aws_iot_events.html#untag_resource/2","title":"aws_iot_events.untag_resource/2","type":"function"},{"doc":"","ref":"aws_iot_events.html#untag_resource/3","title":"aws_iot_events.untag_resource/3","type":"function"},{"doc":"Updates an alarm model. Any alarms that were created based on the previous version are deleted and then created again as new data arrives.","ref":"aws_iot_events.html#update_alarm_model/3","title":"aws_iot_events.update_alarm_model/3","type":"function"},{"doc":"","ref":"aws_iot_events.html#update_alarm_model/4","title":"aws_iot_events.update_alarm_model/4","type":"function"},{"doc":"Updates a detector model. Detectors (instances) spawned by the previous version are deleted and then re-created as new inputs arrive.","ref":"aws_iot_events.html#update_detector_model/3","title":"aws_iot_events.update_detector_model/3","type":"function"},{"doc":"","ref":"aws_iot_events.html#update_detector_model/4","title":"aws_iot_events.update_detector_model/4","type":"function"},{"doc":"Updates an input.","ref":"aws_iot_events.html#update_input/3","title":"aws_iot_events.update_input/3","type":"function"},{"doc":"","ref":"aws_iot_events.html#update_input/4","title":"aws_iot_events.update_input/4","type":"function"},{"doc":"IoT Events monitors your equipment or device fleets for failures or changes in operation, and triggers actions when such events occur. You can use IoT Events Data API commands to send inputs to detectors, list detectors, and view or update a detector's status. For more information, see What is IoT Events? in the IoT Events Developer Guide.","ref":"aws_iot_events_data.html","title":"aws_iot_events_data","type":"module"},{"doc":"Acknowledges one or more alarms. The alarms change to the ACKNOWLEDGED state after you acknowledge them.","ref":"aws_iot_events_data.html#batch_acknowledge_alarm/2","title":"aws_iot_events_data.batch_acknowledge_alarm/2","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#batch_acknowledge_alarm/3","title":"aws_iot_events_data.batch_acknowledge_alarm/3","type":"function"},{"doc":"Deletes one or more detectors that were created. When a detector is deleted, its state will be cleared and the detector will be removed from the list of detectors. The deleted detector will no longer appear if referenced in the ListDetectors API call.","ref":"aws_iot_events_data.html#batch_delete_detector/2","title":"aws_iot_events_data.batch_delete_detector/2","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#batch_delete_detector/3","title":"aws_iot_events_data.batch_delete_detector/3","type":"function"},{"doc":"Disables one or more alarms. The alarms change to the DISABLED state after you disable them.","ref":"aws_iot_events_data.html#batch_disable_alarm/2","title":"aws_iot_events_data.batch_disable_alarm/2","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#batch_disable_alarm/3","title":"aws_iot_events_data.batch_disable_alarm/3","type":"function"},{"doc":"Enables one or more alarms. The alarms change to the NORMAL state after you enable them.","ref":"aws_iot_events_data.html#batch_enable_alarm/2","title":"aws_iot_events_data.batch_enable_alarm/2","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#batch_enable_alarm/3","title":"aws_iot_events_data.batch_enable_alarm/3","type":"function"},{"doc":"Sends a set of messages to the IoT Events system. Each message payload is transformed into the input you specify ( &amp;quot;inputName&amp;quot; ) and ingested into any detectors that monitor that input. If multiple messages are sent, the order in which the messages are processed isn't guaranteed. To guarantee ordering, you must send messages one at a time and wait for a successful response.","ref":"aws_iot_events_data.html#batch_put_message/2","title":"aws_iot_events_data.batch_put_message/2","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#batch_put_message/3","title":"aws_iot_events_data.batch_put_message/3","type":"function"},{"doc":"Resets one or more alarms. The alarms return to the NORMAL state after you reset them.","ref":"aws_iot_events_data.html#batch_reset_alarm/2","title":"aws_iot_events_data.batch_reset_alarm/2","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#batch_reset_alarm/3","title":"aws_iot_events_data.batch_reset_alarm/3","type":"function"},{"doc":"Changes one or more alarms to the snooze mode. The alarms change to the SNOOZE_DISABLED state after you set them to the snooze mode.","ref":"aws_iot_events_data.html#batch_snooze_alarm/2","title":"aws_iot_events_data.batch_snooze_alarm/2","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#batch_snooze_alarm/3","title":"aws_iot_events_data.batch_snooze_alarm/3","type":"function"},{"doc":"Updates the state, variable values, and timer settings of one or more detectors (instances) of a specified detector model.","ref":"aws_iot_events_data.html#batch_update_detector/2","title":"aws_iot_events_data.batch_update_detector/2","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#batch_update_detector/3","title":"aws_iot_events_data.batch_update_detector/3","type":"function"},{"doc":"Retrieves information about an alarm.","ref":"aws_iot_events_data.html#describe_alarm/2","title":"aws_iot_events_data.describe_alarm/2","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#describe_alarm/4","title":"aws_iot_events_data.describe_alarm/4","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#describe_alarm/5","title":"aws_iot_events_data.describe_alarm/5","type":"function"},{"doc":"Returns information about the specified detector (instance).","ref":"aws_iot_events_data.html#describe_detector/2","title":"aws_iot_events_data.describe_detector/2","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#describe_detector/4","title":"aws_iot_events_data.describe_detector/4","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#describe_detector/5","title":"aws_iot_events_data.describe_detector/5","type":"function"},{"doc":"Lists one or more alarms. The operation returns only the metadata associated with each alarm.","ref":"aws_iot_events_data.html#list_alarms/2","title":"aws_iot_events_data.list_alarms/2","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#list_alarms/4","title":"aws_iot_events_data.list_alarms/4","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#list_alarms/5","title":"aws_iot_events_data.list_alarms/5","type":"function"},{"doc":"Lists detectors (the instances of a detector model).","ref":"aws_iot_events_data.html#list_detectors/2","title":"aws_iot_events_data.list_detectors/2","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#list_detectors/4","title":"aws_iot_events_data.list_detectors/4","type":"function"},{"doc":"","ref":"aws_iot_events_data.html#list_detectors/5","title":"aws_iot_events_data.list_detectors/5","type":"function"},{"doc":"AWS IoT Jobs is a service that allows you to define a set of jobs — remote operations that are sent to and executed on one or more devices connected to AWS IoT. For example, you can define a job that instructs a set of devices to download and install application or firmware updates, reboot, rotate certificates, or perform remote troubleshooting operations. To create a job, you make a job document which is a description of the remote operations to be performed, and you specify a list of targets that should perform the operations. The targets can be individual things, thing groups or both. AWS IoT Jobs sends a message to inform the targets that a job is available. The target starts the execution of the job by downloading the job document, performing the operations it specifies, and reporting its progress to AWS IoT. The Jobs service provides commands to track the progress of a job on a specific target and for all the targets of the job","ref":"aws_iot_jobs_data_plane.html","title":"aws_iot_jobs_data_plane","type":"module"},{"doc":"Gets details of a job execution.","ref":"aws_iot_jobs_data_plane.html#describe_job_execution/3","title":"aws_iot_jobs_data_plane.describe_job_execution/3","type":"function"},{"doc":"","ref":"aws_iot_jobs_data_plane.html#describe_job_execution/5","title":"aws_iot_jobs_data_plane.describe_job_execution/5","type":"function"},{"doc":"","ref":"aws_iot_jobs_data_plane.html#describe_job_execution/6","title":"aws_iot_jobs_data_plane.describe_job_execution/6","type":"function"},{"doc":"Gets the list of all jobs for a thing that are not in a terminal status.","ref":"aws_iot_jobs_data_plane.html#get_pending_job_executions/2","title":"aws_iot_jobs_data_plane.get_pending_job_executions/2","type":"function"},{"doc":"","ref":"aws_iot_jobs_data_plane.html#get_pending_job_executions/4","title":"aws_iot_jobs_data_plane.get_pending_job_executions/4","type":"function"},{"doc":"","ref":"aws_iot_jobs_data_plane.html#get_pending_job_executions/5","title":"aws_iot_jobs_data_plane.get_pending_job_executions/5","type":"function"},{"doc":"Gets and starts the next pending (status IN_PROGRESS or QUEUED) job execution for a thing.","ref":"aws_iot_jobs_data_plane.html#start_next_pending_job_execution/3","title":"aws_iot_jobs_data_plane.start_next_pending_job_execution/3","type":"function"},{"doc":"","ref":"aws_iot_jobs_data_plane.html#start_next_pending_job_execution/4","title":"aws_iot_jobs_data_plane.start_next_pending_job_execution/4","type":"function"},{"doc":"Updates the status of a job execution.","ref":"aws_iot_jobs_data_plane.html#update_job_execution/4","title":"aws_iot_jobs_data_plane.update_job_execution/4","type":"function"},{"doc":"","ref":"aws_iot_jobs_data_plane.html#update_job_execution/5","title":"aws_iot_jobs_data_plane.update_job_execution/5","type":"function"},{"doc":"An example service, deployed with the Octane Service creator, which will echo the string","ref":"aws_iot_roborunner.html","title":"aws_iot_roborunner","type":"module"},{"doc":"Grants permission to create a destination","ref":"aws_iot_roborunner.html#create_destination/2","title":"aws_iot_roborunner.create_destination/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#create_destination/3","title":"aws_iot_roborunner.create_destination/3","type":"function"},{"doc":"Grants permission to create a site","ref":"aws_iot_roborunner.html#create_site/2","title":"aws_iot_roborunner.create_site/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#create_site/3","title":"aws_iot_roborunner.create_site/3","type":"function"},{"doc":"Grants permission to create a worker","ref":"aws_iot_roborunner.html#create_worker/2","title":"aws_iot_roborunner.create_worker/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#create_worker/3","title":"aws_iot_roborunner.create_worker/3","type":"function"},{"doc":"Grants permission to create a worker fleet","ref":"aws_iot_roborunner.html#create_worker_fleet/2","title":"aws_iot_roborunner.create_worker_fleet/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#create_worker_fleet/3","title":"aws_iot_roborunner.create_worker_fleet/3","type":"function"},{"doc":"Grants permission to delete a destination","ref":"aws_iot_roborunner.html#delete_destination/2","title":"aws_iot_roborunner.delete_destination/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#delete_destination/3","title":"aws_iot_roborunner.delete_destination/3","type":"function"},{"doc":"Grants permission to delete a site","ref":"aws_iot_roborunner.html#delete_site/2","title":"aws_iot_roborunner.delete_site/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#delete_site/3","title":"aws_iot_roborunner.delete_site/3","type":"function"},{"doc":"Grants permission to delete a worker","ref":"aws_iot_roborunner.html#delete_worker/2","title":"aws_iot_roborunner.delete_worker/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#delete_worker/3","title":"aws_iot_roborunner.delete_worker/3","type":"function"},{"doc":"Grants permission to delete a worker fleet","ref":"aws_iot_roborunner.html#delete_worker_fleet/2","title":"aws_iot_roborunner.delete_worker_fleet/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#delete_worker_fleet/3","title":"aws_iot_roborunner.delete_worker_fleet/3","type":"function"},{"doc":"Grants permission to get a destination","ref":"aws_iot_roborunner.html#get_destination/2","title":"aws_iot_roborunner.get_destination/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#get_destination/4","title":"aws_iot_roborunner.get_destination/4","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#get_destination/5","title":"aws_iot_roborunner.get_destination/5","type":"function"},{"doc":"Grants permission to get a site","ref":"aws_iot_roborunner.html#get_site/2","title":"aws_iot_roborunner.get_site/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#get_site/4","title":"aws_iot_roborunner.get_site/4","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#get_site/5","title":"aws_iot_roborunner.get_site/5","type":"function"},{"doc":"Grants permission to get a worker","ref":"aws_iot_roborunner.html#get_worker/2","title":"aws_iot_roborunner.get_worker/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#get_worker/4","title":"aws_iot_roborunner.get_worker/4","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#get_worker/5","title":"aws_iot_roborunner.get_worker/5","type":"function"},{"doc":"Grants permission to get a worker fleet","ref":"aws_iot_roborunner.html#get_worker_fleet/2","title":"aws_iot_roborunner.get_worker_fleet/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#get_worker_fleet/4","title":"aws_iot_roborunner.get_worker_fleet/4","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#get_worker_fleet/5","title":"aws_iot_roborunner.get_worker_fleet/5","type":"function"},{"doc":"Grants permission to list destinations","ref":"aws_iot_roborunner.html#list_destinations/2","title":"aws_iot_roborunner.list_destinations/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#list_destinations/4","title":"aws_iot_roborunner.list_destinations/4","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#list_destinations/5","title":"aws_iot_roborunner.list_destinations/5","type":"function"},{"doc":"Grants permission to list sites","ref":"aws_iot_roborunner.html#list_sites/1","title":"aws_iot_roborunner.list_sites/1","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#list_sites/3","title":"aws_iot_roborunner.list_sites/3","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#list_sites/4","title":"aws_iot_roborunner.list_sites/4","type":"function"},{"doc":"Grants permission to list worker fleets","ref":"aws_iot_roborunner.html#list_worker_fleets/2","title":"aws_iot_roborunner.list_worker_fleets/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#list_worker_fleets/4","title":"aws_iot_roborunner.list_worker_fleets/4","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#list_worker_fleets/5","title":"aws_iot_roborunner.list_worker_fleets/5","type":"function"},{"doc":"Grants permission to list workers","ref":"aws_iot_roborunner.html#list_workers/2","title":"aws_iot_roborunner.list_workers/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#list_workers/4","title":"aws_iot_roborunner.list_workers/4","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#list_workers/5","title":"aws_iot_roborunner.list_workers/5","type":"function"},{"doc":"Grants permission to update a destination","ref":"aws_iot_roborunner.html#update_destination/2","title":"aws_iot_roborunner.update_destination/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#update_destination/3","title":"aws_iot_roborunner.update_destination/3","type":"function"},{"doc":"Grants permission to update a site","ref":"aws_iot_roborunner.html#update_site/2","title":"aws_iot_roborunner.update_site/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#update_site/3","title":"aws_iot_roborunner.update_site/3","type":"function"},{"doc":"Grants permission to update a worker","ref":"aws_iot_roborunner.html#update_worker/2","title":"aws_iot_roborunner.update_worker/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#update_worker/3","title":"aws_iot_roborunner.update_worker/3","type":"function"},{"doc":"Grants permission to update a worker fleet","ref":"aws_iot_roborunner.html#update_worker_fleet/2","title":"aws_iot_roborunner.update_worker_fleet/2","type":"function"},{"doc":"","ref":"aws_iot_roborunner.html#update_worker_fleet/3","title":"aws_iot_roborunner.update_worker_fleet/3","type":"function"},{"doc":"AWS IoT Wireless provides bi-directional communication between internet-connected wireless devices and the AWS Cloud. To onboard both LoRaWAN and Sidewalk devices to AWS IoT, use the IoT Wireless API. These wireless devices use the Low Power Wide Area Networking (LPWAN) communication protocol to communicate with AWS IoT. Using the API, you can perform create, read, update, and delete operations for your wireless devices, gateways, destinations, and profiles. After onboarding your devices, you can use the API operations to set log levels and monitor your devices with CloudWatch. You can also use the API operations to create multicast groups and schedule a multicast session for sending a downlink message to devices in the group. By using Firmware Updates Over-The-Air (FUOTA) API operations, you can create a FUOTA task and schedule a session to update the firmware of individual devices or an entire group of devices in a multicast group.","ref":"aws_iot_wireless.html","title":"aws_iot_wireless","type":"module"},{"doc":"Associates a partner account with your AWS account.","ref":"aws_iot_wireless.html#associate_aws_account_with_partner_account/2","title":"aws_iot_wireless.associate_aws_account_with_partner_account/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#associate_aws_account_with_partner_account/3","title":"aws_iot_wireless.associate_aws_account_with_partner_account/3","type":"function"},{"doc":"Associate a multicast group with a FUOTA task.","ref":"aws_iot_wireless.html#associate_multicast_group_with_fuota_task/3","title":"aws_iot_wireless.associate_multicast_group_with_fuota_task/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#associate_multicast_group_with_fuota_task/4","title":"aws_iot_wireless.associate_multicast_group_with_fuota_task/4","type":"function"},{"doc":"Associate a wireless device with a FUOTA task.","ref":"aws_iot_wireless.html#associate_wireless_device_with_fuota_task/3","title":"aws_iot_wireless.associate_wireless_device_with_fuota_task/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#associate_wireless_device_with_fuota_task/4","title":"aws_iot_wireless.associate_wireless_device_with_fuota_task/4","type":"function"},{"doc":"Associates a wireless device with a multicast group.","ref":"aws_iot_wireless.html#associate_wireless_device_with_multicast_group/3","title":"aws_iot_wireless.associate_wireless_device_with_multicast_group/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#associate_wireless_device_with_multicast_group/4","title":"aws_iot_wireless.associate_wireless_device_with_multicast_group/4","type":"function"},{"doc":"Associates a wireless device with a thing.","ref":"aws_iot_wireless.html#associate_wireless_device_with_thing/3","title":"aws_iot_wireless.associate_wireless_device_with_thing/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#associate_wireless_device_with_thing/4","title":"aws_iot_wireless.associate_wireless_device_with_thing/4","type":"function"},{"doc":"Associates a wireless gateway with a certificate.","ref":"aws_iot_wireless.html#associate_wireless_gateway_with_certificate/3","title":"aws_iot_wireless.associate_wireless_gateway_with_certificate/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#associate_wireless_gateway_with_certificate/4","title":"aws_iot_wireless.associate_wireless_gateway_with_certificate/4","type":"function"},{"doc":"Associates a wireless gateway with a thing.","ref":"aws_iot_wireless.html#associate_wireless_gateway_with_thing/3","title":"aws_iot_wireless.associate_wireless_gateway_with_thing/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#associate_wireless_gateway_with_thing/4","title":"aws_iot_wireless.associate_wireless_gateway_with_thing/4","type":"function"},{"doc":"Cancels an existing multicast group session.","ref":"aws_iot_wireless.html#cancel_multicast_group_session/3","title":"aws_iot_wireless.cancel_multicast_group_session/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#cancel_multicast_group_session/4","title":"aws_iot_wireless.cancel_multicast_group_session/4","type":"function"},{"doc":"Creates a new destination that maps a device message to an AWS IoT rule.","ref":"aws_iot_wireless.html#create_destination/2","title":"aws_iot_wireless.create_destination/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#create_destination/3","title":"aws_iot_wireless.create_destination/3","type":"function"},{"doc":"Creates a new device profile.","ref":"aws_iot_wireless.html#create_device_profile/2","title":"aws_iot_wireless.create_device_profile/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#create_device_profile/3","title":"aws_iot_wireless.create_device_profile/3","type":"function"},{"doc":"Creates a FUOTA task.","ref":"aws_iot_wireless.html#create_fuota_task/2","title":"aws_iot_wireless.create_fuota_task/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#create_fuota_task/3","title":"aws_iot_wireless.create_fuota_task/3","type":"function"},{"doc":"Creates a multicast group.","ref":"aws_iot_wireless.html#create_multicast_group/2","title":"aws_iot_wireless.create_multicast_group/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#create_multicast_group/3","title":"aws_iot_wireless.create_multicast_group/3","type":"function"},{"doc":"Creates a new network analyzer configuration.","ref":"aws_iot_wireless.html#create_network_analyzer_configuration/2","title":"aws_iot_wireless.create_network_analyzer_configuration/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#create_network_analyzer_configuration/3","title":"aws_iot_wireless.create_network_analyzer_configuration/3","type":"function"},{"doc":"Creates a new service profile.","ref":"aws_iot_wireless.html#create_service_profile/2","title":"aws_iot_wireless.create_service_profile/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#create_service_profile/3","title":"aws_iot_wireless.create_service_profile/3","type":"function"},{"doc":"Provisions a wireless device.","ref":"aws_iot_wireless.html#create_wireless_device/2","title":"aws_iot_wireless.create_wireless_device/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#create_wireless_device/3","title":"aws_iot_wireless.create_wireless_device/3","type":"function"},{"doc":"Provisions a wireless gateway.","ref":"aws_iot_wireless.html#create_wireless_gateway/2","title":"aws_iot_wireless.create_wireless_gateway/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#create_wireless_gateway/3","title":"aws_iot_wireless.create_wireless_gateway/3","type":"function"},{"doc":"Creates a task for a wireless gateway.","ref":"aws_iot_wireless.html#create_wireless_gateway_task/3","title":"aws_iot_wireless.create_wireless_gateway_task/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#create_wireless_gateway_task/4","title":"aws_iot_wireless.create_wireless_gateway_task/4","type":"function"},{"doc":"Creates a gateway task definition.","ref":"aws_iot_wireless.html#create_wireless_gateway_task_definition/2","title":"aws_iot_wireless.create_wireless_gateway_task_definition/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#create_wireless_gateway_task_definition/3","title":"aws_iot_wireless.create_wireless_gateway_task_definition/3","type":"function"},{"doc":"Deletes a destination.","ref":"aws_iot_wireless.html#delete_destination/3","title":"aws_iot_wireless.delete_destination/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#delete_destination/4","title":"aws_iot_wireless.delete_destination/4","type":"function"},{"doc":"Deletes a device profile.","ref":"aws_iot_wireless.html#delete_device_profile/3","title":"aws_iot_wireless.delete_device_profile/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#delete_device_profile/4","title":"aws_iot_wireless.delete_device_profile/4","type":"function"},{"doc":"Deletes a FUOTA task.","ref":"aws_iot_wireless.html#delete_fuota_task/3","title":"aws_iot_wireless.delete_fuota_task/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#delete_fuota_task/4","title":"aws_iot_wireless.delete_fuota_task/4","type":"function"},{"doc":"Deletes a multicast group if it is not in use by a fuota task.","ref":"aws_iot_wireless.html#delete_multicast_group/3","title":"aws_iot_wireless.delete_multicast_group/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#delete_multicast_group/4","title":"aws_iot_wireless.delete_multicast_group/4","type":"function"},{"doc":"Deletes a network analyzer configuration.","ref":"aws_iot_wireless.html#delete_network_analyzer_configuration/3","title":"aws_iot_wireless.delete_network_analyzer_configuration/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#delete_network_analyzer_configuration/4","title":"aws_iot_wireless.delete_network_analyzer_configuration/4","type":"function"},{"doc":"Remove queued messages from the downlink queue.","ref":"aws_iot_wireless.html#delete_queued_messages/3","title":"aws_iot_wireless.delete_queued_messages/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#delete_queued_messages/4","title":"aws_iot_wireless.delete_queued_messages/4","type":"function"},{"doc":"Deletes a service profile.","ref":"aws_iot_wireless.html#delete_service_profile/3","title":"aws_iot_wireless.delete_service_profile/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#delete_service_profile/4","title":"aws_iot_wireless.delete_service_profile/4","type":"function"},{"doc":"Deletes a wireless device.","ref":"aws_iot_wireless.html#delete_wireless_device/3","title":"aws_iot_wireless.delete_wireless_device/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#delete_wireless_device/4","title":"aws_iot_wireless.delete_wireless_device/4","type":"function"},{"doc":"Deletes a wireless gateway.","ref":"aws_iot_wireless.html#delete_wireless_gateway/3","title":"aws_iot_wireless.delete_wireless_gateway/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#delete_wireless_gateway/4","title":"aws_iot_wireless.delete_wireless_gateway/4","type":"function"},{"doc":"Deletes a wireless gateway task.","ref":"aws_iot_wireless.html#delete_wireless_gateway_task/3","title":"aws_iot_wireless.delete_wireless_gateway_task/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#delete_wireless_gateway_task/4","title":"aws_iot_wireless.delete_wireless_gateway_task/4","type":"function"},{"doc":"Deletes a wireless gateway task definition. Deleting this task definition does not affect tasks that are currently in progress.","ref":"aws_iot_wireless.html#delete_wireless_gateway_task_definition/3","title":"aws_iot_wireless.delete_wireless_gateway_task_definition/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#delete_wireless_gateway_task_definition/4","title":"aws_iot_wireless.delete_wireless_gateway_task_definition/4","type":"function"},{"doc":"Disassociates your AWS account from a partner account. If PartnerAccountId and PartnerType are null , disassociates your AWS account from all partner accounts.","ref":"aws_iot_wireless.html#disassociate_aws_account_from_partner_account/3","title":"aws_iot_wireless.disassociate_aws_account_from_partner_account/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#disassociate_aws_account_from_partner_account/4","title":"aws_iot_wireless.disassociate_aws_account_from_partner_account/4","type":"function"},{"doc":"Disassociates a multicast group from a fuota task.","ref":"aws_iot_wireless.html#disassociate_multicast_group_from_fuota_task/4","title":"aws_iot_wireless.disassociate_multicast_group_from_fuota_task/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#disassociate_multicast_group_from_fuota_task/5","title":"aws_iot_wireless.disassociate_multicast_group_from_fuota_task/5","type":"function"},{"doc":"Disassociates a wireless device from a FUOTA task.","ref":"aws_iot_wireless.html#disassociate_wireless_device_from_fuota_task/4","title":"aws_iot_wireless.disassociate_wireless_device_from_fuota_task/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#disassociate_wireless_device_from_fuota_task/5","title":"aws_iot_wireless.disassociate_wireless_device_from_fuota_task/5","type":"function"},{"doc":"Disassociates a wireless device from a multicast group.","ref":"aws_iot_wireless.html#disassociate_wireless_device_from_multicast_group/4","title":"aws_iot_wireless.disassociate_wireless_device_from_multicast_group/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#disassociate_wireless_device_from_multicast_group/5","title":"aws_iot_wireless.disassociate_wireless_device_from_multicast_group/5","type":"function"},{"doc":"Disassociates a wireless device from its currently associated thing.","ref":"aws_iot_wireless.html#disassociate_wireless_device_from_thing/3","title":"aws_iot_wireless.disassociate_wireless_device_from_thing/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#disassociate_wireless_device_from_thing/4","title":"aws_iot_wireless.disassociate_wireless_device_from_thing/4","type":"function"},{"doc":"Disassociates a wireless gateway from its currently associated certificate.","ref":"aws_iot_wireless.html#disassociate_wireless_gateway_from_certificate/3","title":"aws_iot_wireless.disassociate_wireless_gateway_from_certificate/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#disassociate_wireless_gateway_from_certificate/4","title":"aws_iot_wireless.disassociate_wireless_gateway_from_certificate/4","type":"function"},{"doc":"Disassociates a wireless gateway from its currently associated thing.","ref":"aws_iot_wireless.html#disassociate_wireless_gateway_from_thing/3","title":"aws_iot_wireless.disassociate_wireless_gateway_from_thing/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#disassociate_wireless_gateway_from_thing/4","title":"aws_iot_wireless.disassociate_wireless_gateway_from_thing/4","type":"function"},{"doc":"Gets information about a destination.","ref":"aws_iot_wireless.html#get_destination/2","title":"aws_iot_wireless.get_destination/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_destination/4","title":"aws_iot_wireless.get_destination/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_destination/5","title":"aws_iot_wireless.get_destination/5","type":"function"},{"doc":"Gets information about a device profile.","ref":"aws_iot_wireless.html#get_device_profile/2","title":"aws_iot_wireless.get_device_profile/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_device_profile/4","title":"aws_iot_wireless.get_device_profile/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_device_profile/5","title":"aws_iot_wireless.get_device_profile/5","type":"function"},{"doc":"Get the event configuration based on resource types.","ref":"aws_iot_wireless.html#get_event_configuration_by_resource_types/1","title":"aws_iot_wireless.get_event_configuration_by_resource_types/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_event_configuration_by_resource_types/3","title":"aws_iot_wireless.get_event_configuration_by_resource_types/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_event_configuration_by_resource_types/4","title":"aws_iot_wireless.get_event_configuration_by_resource_types/4","type":"function"},{"doc":"Gets information about a FUOTA task.","ref":"aws_iot_wireless.html#get_fuota_task/2","title":"aws_iot_wireless.get_fuota_task/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_fuota_task/4","title":"aws_iot_wireless.get_fuota_task/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_fuota_task/5","title":"aws_iot_wireless.get_fuota_task/5","type":"function"},{"doc":"Returns current default log levels or log levels by resource types. Based on resource types, log levels can be for wireless device log options or wireless gateway log options.","ref":"aws_iot_wireless.html#get_log_levels_by_resource_types/1","title":"aws_iot_wireless.get_log_levels_by_resource_types/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_log_levels_by_resource_types/3","title":"aws_iot_wireless.get_log_levels_by_resource_types/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_log_levels_by_resource_types/4","title":"aws_iot_wireless.get_log_levels_by_resource_types/4","type":"function"},{"doc":"Gets information about a multicast group.","ref":"aws_iot_wireless.html#get_multicast_group/2","title":"aws_iot_wireless.get_multicast_group/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_multicast_group/4","title":"aws_iot_wireless.get_multicast_group/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_multicast_group/5","title":"aws_iot_wireless.get_multicast_group/5","type":"function"},{"doc":"Gets information about a multicast group session.","ref":"aws_iot_wireless.html#get_multicast_group_session/2","title":"aws_iot_wireless.get_multicast_group_session/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_multicast_group_session/4","title":"aws_iot_wireless.get_multicast_group_session/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_multicast_group_session/5","title":"aws_iot_wireless.get_multicast_group_session/5","type":"function"},{"doc":"Get network analyzer configuration.","ref":"aws_iot_wireless.html#get_network_analyzer_configuration/2","title":"aws_iot_wireless.get_network_analyzer_configuration/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_network_analyzer_configuration/4","title":"aws_iot_wireless.get_network_analyzer_configuration/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_network_analyzer_configuration/5","title":"aws_iot_wireless.get_network_analyzer_configuration/5","type":"function"},{"doc":"Gets information about a partner account. If PartnerAccountId and PartnerType are null , returns all partner accounts.","ref":"aws_iot_wireless.html#get_partner_account/3","title":"aws_iot_wireless.get_partner_account/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_partner_account/5","title":"aws_iot_wireless.get_partner_account/5","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_partner_account/6","title":"aws_iot_wireless.get_partner_account/6","type":"function"},{"doc":"Get the position information for a given resource. This action is no longer supported. Calls to retrieve the position information should use the GetResourcePosition API operation instead.","ref":"aws_iot_wireless.html#get_position/3","title":"aws_iot_wireless.get_position/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_position/5","title":"aws_iot_wireless.get_position/5","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_position/6","title":"aws_iot_wireless.get_position/6","type":"function"},{"doc":"Get position configuration for a given resource. This action is no longer supported. Calls to retrieve the position configuration should use the GetResourcePosition API operation instead.","ref":"aws_iot_wireless.html#get_position_configuration/3","title":"aws_iot_wireless.get_position_configuration/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_position_configuration/5","title":"aws_iot_wireless.get_position_configuration/5","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_position_configuration/6","title":"aws_iot_wireless.get_position_configuration/6","type":"function"},{"doc":"Get estimated position information as a payload in GeoJSON format. The payload measurement data is resolved using solvers that are provided by third-party vendors.","ref":"aws_iot_wireless.html#get_position_estimate/2","title":"aws_iot_wireless.get_position_estimate/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_position_estimate/3","title":"aws_iot_wireless.get_position_estimate/3","type":"function"},{"doc":"Get the event configuration for a particular resource identifier.","ref":"aws_iot_wireless.html#get_resource_event_configuration/3","title":"aws_iot_wireless.get_resource_event_configuration/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_resource_event_configuration/5","title":"aws_iot_wireless.get_resource_event_configuration/5","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_resource_event_configuration/6","title":"aws_iot_wireless.get_resource_event_configuration/6","type":"function"},{"doc":"Fetches the log-level override, if any, for a given resource-ID and resource-type. It can be used for a wireless device or a wireless gateway.","ref":"aws_iot_wireless.html#get_resource_log_level/3","title":"aws_iot_wireless.get_resource_log_level/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_resource_log_level/5","title":"aws_iot_wireless.get_resource_log_level/5","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_resource_log_level/6","title":"aws_iot_wireless.get_resource_log_level/6","type":"function"},{"doc":"Get the position information for a given wireless device or a wireless gateway resource. The postion information uses the World Geodetic System (WGS84).","ref":"aws_iot_wireless.html#get_resource_position/3","title":"aws_iot_wireless.get_resource_position/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_resource_position/5","title":"aws_iot_wireless.get_resource_position/5","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_resource_position/6","title":"aws_iot_wireless.get_resource_position/6","type":"function"},{"doc":"Gets the account-specific endpoint for Configuration and Update Server (CUPS) protocol or LoRaWAN Network Server (LNS) connections.","ref":"aws_iot_wireless.html#get_service_endpoint/1","title":"aws_iot_wireless.get_service_endpoint/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_service_endpoint/3","title":"aws_iot_wireless.get_service_endpoint/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_service_endpoint/4","title":"aws_iot_wireless.get_service_endpoint/4","type":"function"},{"doc":"Gets information about a service profile.","ref":"aws_iot_wireless.html#get_service_profile/2","title":"aws_iot_wireless.get_service_profile/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_service_profile/4","title":"aws_iot_wireless.get_service_profile/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_service_profile/5","title":"aws_iot_wireless.get_service_profile/5","type":"function"},{"doc":"Gets information about a wireless device.","ref":"aws_iot_wireless.html#get_wireless_device/3","title":"aws_iot_wireless.get_wireless_device/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_device/5","title":"aws_iot_wireless.get_wireless_device/5","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_device/6","title":"aws_iot_wireless.get_wireless_device/6","type":"function"},{"doc":"Gets operating information about a wireless device.","ref":"aws_iot_wireless.html#get_wireless_device_statistics/2","title":"aws_iot_wireless.get_wireless_device_statistics/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_device_statistics/4","title":"aws_iot_wireless.get_wireless_device_statistics/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_device_statistics/5","title":"aws_iot_wireless.get_wireless_device_statistics/5","type":"function"},{"doc":"Gets information about a wireless gateway.","ref":"aws_iot_wireless.html#get_wireless_gateway/3","title":"aws_iot_wireless.get_wireless_gateway/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_gateway/5","title":"aws_iot_wireless.get_wireless_gateway/5","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_gateway/6","title":"aws_iot_wireless.get_wireless_gateway/6","type":"function"},{"doc":"Gets the ID of the certificate that is currently associated with a wireless gateway.","ref":"aws_iot_wireless.html#get_wireless_gateway_certificate/2","title":"aws_iot_wireless.get_wireless_gateway_certificate/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_gateway_certificate/4","title":"aws_iot_wireless.get_wireless_gateway_certificate/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_gateway_certificate/5","title":"aws_iot_wireless.get_wireless_gateway_certificate/5","type":"function"},{"doc":"Gets the firmware version and other information about a wireless gateway.","ref":"aws_iot_wireless.html#get_wireless_gateway_firmware_information/2","title":"aws_iot_wireless.get_wireless_gateway_firmware_information/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_gateway_firmware_information/4","title":"aws_iot_wireless.get_wireless_gateway_firmware_information/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_gateway_firmware_information/5","title":"aws_iot_wireless.get_wireless_gateway_firmware_information/5","type":"function"},{"doc":"Gets operating information about a wireless gateway.","ref":"aws_iot_wireless.html#get_wireless_gateway_statistics/2","title":"aws_iot_wireless.get_wireless_gateway_statistics/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_gateway_statistics/4","title":"aws_iot_wireless.get_wireless_gateway_statistics/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_gateway_statistics/5","title":"aws_iot_wireless.get_wireless_gateway_statistics/5","type":"function"},{"doc":"Gets information about a wireless gateway task.","ref":"aws_iot_wireless.html#get_wireless_gateway_task/2","title":"aws_iot_wireless.get_wireless_gateway_task/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_gateway_task/4","title":"aws_iot_wireless.get_wireless_gateway_task/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_gateway_task/5","title":"aws_iot_wireless.get_wireless_gateway_task/5","type":"function"},{"doc":"Gets information about a wireless gateway task definition.","ref":"aws_iot_wireless.html#get_wireless_gateway_task_definition/2","title":"aws_iot_wireless.get_wireless_gateway_task_definition/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_gateway_task_definition/4","title":"aws_iot_wireless.get_wireless_gateway_task_definition/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#get_wireless_gateway_task_definition/5","title":"aws_iot_wireless.get_wireless_gateway_task_definition/5","type":"function"},{"doc":"Lists the destinations registered to your AWS account.","ref":"aws_iot_wireless.html#list_destinations/1","title":"aws_iot_wireless.list_destinations/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_destinations/3","title":"aws_iot_wireless.list_destinations/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_destinations/4","title":"aws_iot_wireless.list_destinations/4","type":"function"},{"doc":"Lists the device profiles registered to your AWS account.","ref":"aws_iot_wireless.html#list_device_profiles/1","title":"aws_iot_wireless.list_device_profiles/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_device_profiles/3","title":"aws_iot_wireless.list_device_profiles/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_device_profiles/4","title":"aws_iot_wireless.list_device_profiles/4","type":"function"},{"doc":"List event configurations where at least one event topic has been enabled.","ref":"aws_iot_wireless.html#list_event_configurations/2","title":"aws_iot_wireless.list_event_configurations/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_event_configurations/4","title":"aws_iot_wireless.list_event_configurations/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_event_configurations/5","title":"aws_iot_wireless.list_event_configurations/5","type":"function"},{"doc":"Lists the FUOTA tasks registered to your AWS account.","ref":"aws_iot_wireless.html#list_fuota_tasks/1","title":"aws_iot_wireless.list_fuota_tasks/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_fuota_tasks/3","title":"aws_iot_wireless.list_fuota_tasks/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_fuota_tasks/4","title":"aws_iot_wireless.list_fuota_tasks/4","type":"function"},{"doc":"Lists the multicast groups registered to your AWS account.","ref":"aws_iot_wireless.html#list_multicast_groups/1","title":"aws_iot_wireless.list_multicast_groups/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_multicast_groups/3","title":"aws_iot_wireless.list_multicast_groups/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_multicast_groups/4","title":"aws_iot_wireless.list_multicast_groups/4","type":"function"},{"doc":"List all multicast groups associated with a fuota task.","ref":"aws_iot_wireless.html#list_multicast_groups_by_fuota_task/2","title":"aws_iot_wireless.list_multicast_groups_by_fuota_task/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_multicast_groups_by_fuota_task/4","title":"aws_iot_wireless.list_multicast_groups_by_fuota_task/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_multicast_groups_by_fuota_task/5","title":"aws_iot_wireless.list_multicast_groups_by_fuota_task/5","type":"function"},{"doc":"Lists the network analyzer configurations.","ref":"aws_iot_wireless.html#list_network_analyzer_configurations/1","title":"aws_iot_wireless.list_network_analyzer_configurations/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_network_analyzer_configurations/3","title":"aws_iot_wireless.list_network_analyzer_configurations/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_network_analyzer_configurations/4","title":"aws_iot_wireless.list_network_analyzer_configurations/4","type":"function"},{"doc":"Lists the partner accounts associated with your AWS account.","ref":"aws_iot_wireless.html#list_partner_accounts/1","title":"aws_iot_wireless.list_partner_accounts/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_partner_accounts/3","title":"aws_iot_wireless.list_partner_accounts/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_partner_accounts/4","title":"aws_iot_wireless.list_partner_accounts/4","type":"function"},{"doc":"List position configurations for a given resource, such as positioning solvers. This action is no longer supported. Calls to retrieve position information should use the GetResourcePosition API operation instead.","ref":"aws_iot_wireless.html#list_position_configurations/1","title":"aws_iot_wireless.list_position_configurations/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_position_configurations/3","title":"aws_iot_wireless.list_position_configurations/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_position_configurations/4","title":"aws_iot_wireless.list_position_configurations/4","type":"function"},{"doc":"List queued messages in the downlink queue.","ref":"aws_iot_wireless.html#list_queued_messages/2","title":"aws_iot_wireless.list_queued_messages/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_queued_messages/4","title":"aws_iot_wireless.list_queued_messages/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_queued_messages/5","title":"aws_iot_wireless.list_queued_messages/5","type":"function"},{"doc":"Lists the service profiles registered to your AWS account.","ref":"aws_iot_wireless.html#list_service_profiles/1","title":"aws_iot_wireless.list_service_profiles/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_service_profiles/3","title":"aws_iot_wireless.list_service_profiles/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_service_profiles/4","title":"aws_iot_wireless.list_service_profiles/4","type":"function"},{"doc":"Lists the tags (metadata) you have assigned to the resource.","ref":"aws_iot_wireless.html#list_tags_for_resource/2","title":"aws_iot_wireless.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_tags_for_resource/4","title":"aws_iot_wireless.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_tags_for_resource/5","title":"aws_iot_wireless.list_tags_for_resource/5","type":"function"},{"doc":"Lists the wireless devices registered to your AWS account.","ref":"aws_iot_wireless.html#list_wireless_devices/1","title":"aws_iot_wireless.list_wireless_devices/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_wireless_devices/3","title":"aws_iot_wireless.list_wireless_devices/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_wireless_devices/4","title":"aws_iot_wireless.list_wireless_devices/4","type":"function"},{"doc":"List the wireless gateway tasks definitions registered to your AWS account.","ref":"aws_iot_wireless.html#list_wireless_gateway_task_definitions/1","title":"aws_iot_wireless.list_wireless_gateway_task_definitions/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_wireless_gateway_task_definitions/3","title":"aws_iot_wireless.list_wireless_gateway_task_definitions/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_wireless_gateway_task_definitions/4","title":"aws_iot_wireless.list_wireless_gateway_task_definitions/4","type":"function"},{"doc":"Lists the wireless gateways registered to your AWS account.","ref":"aws_iot_wireless.html#list_wireless_gateways/1","title":"aws_iot_wireless.list_wireless_gateways/1","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_wireless_gateways/3","title":"aws_iot_wireless.list_wireless_gateways/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#list_wireless_gateways/4","title":"aws_iot_wireless.list_wireless_gateways/4","type":"function"},{"doc":"Put position configuration for a given resource. This action is no longer supported. Calls to update the position configuration should use the UpdateResourcePosition API operation instead.","ref":"aws_iot_wireless.html#put_position_configuration/3","title":"aws_iot_wireless.put_position_configuration/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#put_position_configuration/4","title":"aws_iot_wireless.put_position_configuration/4","type":"function"},{"doc":"Sets the log-level override for a resource-ID and resource-type. This option can be specified for a wireless gateway or a wireless device. A limit of 200 log level override can be set per account.","ref":"aws_iot_wireless.html#put_resource_log_level/3","title":"aws_iot_wireless.put_resource_log_level/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#put_resource_log_level/4","title":"aws_iot_wireless.put_resource_log_level/4","type":"function"},{"doc":"Removes the log-level overrides for all resources; both wireless devices and wireless gateways.","ref":"aws_iot_wireless.html#reset_all_resource_log_levels/2","title":"aws_iot_wireless.reset_all_resource_log_levels/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#reset_all_resource_log_levels/3","title":"aws_iot_wireless.reset_all_resource_log_levels/3","type":"function"},{"doc":"Removes the log-level override, if any, for a specific resource-ID and resource-type. It can be used for a wireless device or a wireless gateway.","ref":"aws_iot_wireless.html#reset_resource_log_level/3","title":"aws_iot_wireless.reset_resource_log_level/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#reset_resource_log_level/4","title":"aws_iot_wireless.reset_resource_log_level/4","type":"function"},{"doc":"Sends the specified data to a multicast group.","ref":"aws_iot_wireless.html#send_data_to_multicast_group/3","title":"aws_iot_wireless.send_data_to_multicast_group/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#send_data_to_multicast_group/4","title":"aws_iot_wireless.send_data_to_multicast_group/4","type":"function"},{"doc":"Sends a decrypted application data frame to a device.","ref":"aws_iot_wireless.html#send_data_to_wireless_device/3","title":"aws_iot_wireless.send_data_to_wireless_device/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#send_data_to_wireless_device/4","title":"aws_iot_wireless.send_data_to_wireless_device/4","type":"function"},{"doc":"Starts a bulk association of all qualifying wireless devices with a multicast group.","ref":"aws_iot_wireless.html#start_bulk_associate_wireless_device_with_multicast_group/3","title":"aws_iot_wireless.start_bulk_associate_wireless_device_with_multicast_group/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#start_bulk_associate_wireless_device_with_multicast_group/4","title":"aws_iot_wireless.start_bulk_associate_wireless_device_with_multicast_group/4","type":"function"},{"doc":"Starts a bulk disassociatin of all qualifying wireless devices from a multicast group.","ref":"aws_iot_wireless.html#start_bulk_disassociate_wireless_device_from_multicast_group/3","title":"aws_iot_wireless.start_bulk_disassociate_wireless_device_from_multicast_group/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#start_bulk_disassociate_wireless_device_from_multicast_group/4","title":"aws_iot_wireless.start_bulk_disassociate_wireless_device_from_multicast_group/4","type":"function"},{"doc":"Starts a FUOTA task.","ref":"aws_iot_wireless.html#start_fuota_task/3","title":"aws_iot_wireless.start_fuota_task/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#start_fuota_task/4","title":"aws_iot_wireless.start_fuota_task/4","type":"function"},{"doc":"Starts a multicast group session.","ref":"aws_iot_wireless.html#start_multicast_group_session/3","title":"aws_iot_wireless.start_multicast_group_session/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#start_multicast_group_session/4","title":"aws_iot_wireless.start_multicast_group_session/4","type":"function"},{"doc":"Adds a tag to a resource.","ref":"aws_iot_wireless.html#tag_resource/2","title":"aws_iot_wireless.tag_resource/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#tag_resource/3","title":"aws_iot_wireless.tag_resource/3","type":"function"},{"doc":"Simulates a provisioned device by sending an uplink data payload of Hello .","ref":"aws_iot_wireless.html#test_wireless_device/3","title":"aws_iot_wireless.test_wireless_device/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#test_wireless_device/4","title":"aws_iot_wireless.test_wireless_device/4","type":"function"},{"doc":"Removes one or more tags from a resource.","ref":"aws_iot_wireless.html#untag_resource/2","title":"aws_iot_wireless.untag_resource/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#untag_resource/3","title":"aws_iot_wireless.untag_resource/3","type":"function"},{"doc":"Updates properties of a destination.","ref":"aws_iot_wireless.html#update_destination/3","title":"aws_iot_wireless.update_destination/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#update_destination/4","title":"aws_iot_wireless.update_destination/4","type":"function"},{"doc":"Update the event configuration based on resource types.","ref":"aws_iot_wireless.html#update_event_configuration_by_resource_types/2","title":"aws_iot_wireless.update_event_configuration_by_resource_types/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#update_event_configuration_by_resource_types/3","title":"aws_iot_wireless.update_event_configuration_by_resource_types/3","type":"function"},{"doc":"Updates properties of a FUOTA task.","ref":"aws_iot_wireless.html#update_fuota_task/3","title":"aws_iot_wireless.update_fuota_task/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#update_fuota_task/4","title":"aws_iot_wireless.update_fuota_task/4","type":"function"},{"doc":"Set default log level, or log levels by resource types. This can be for wireless device log options or wireless gateways log options and is used to control the log messages that'll be displayed in CloudWatch.","ref":"aws_iot_wireless.html#update_log_levels_by_resource_types/2","title":"aws_iot_wireless.update_log_levels_by_resource_types/2","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#update_log_levels_by_resource_types/3","title":"aws_iot_wireless.update_log_levels_by_resource_types/3","type":"function"},{"doc":"Updates properties of a multicast group session.","ref":"aws_iot_wireless.html#update_multicast_group/3","title":"aws_iot_wireless.update_multicast_group/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#update_multicast_group/4","title":"aws_iot_wireless.update_multicast_group/4","type":"function"},{"doc":"Update network analyzer configuration.","ref":"aws_iot_wireless.html#update_network_analyzer_configuration/3","title":"aws_iot_wireless.update_network_analyzer_configuration/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#update_network_analyzer_configuration/4","title":"aws_iot_wireless.update_network_analyzer_configuration/4","type":"function"},{"doc":"Updates properties of a partner account.","ref":"aws_iot_wireless.html#update_partner_account/3","title":"aws_iot_wireless.update_partner_account/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#update_partner_account/4","title":"aws_iot_wireless.update_partner_account/4","type":"function"},{"doc":"Update the position information of a resource. This action is no longer supported. Calls to update the position information should use the UpdateResourcePosition API operation instead.","ref":"aws_iot_wireless.html#update_position/3","title":"aws_iot_wireless.update_position/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#update_position/4","title":"aws_iot_wireless.update_position/4","type":"function"},{"doc":"Update the event configuration for a particular resource identifier.","ref":"aws_iot_wireless.html#update_resource_event_configuration/3","title":"aws_iot_wireless.update_resource_event_configuration/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#update_resource_event_configuration/4","title":"aws_iot_wireless.update_resource_event_configuration/4","type":"function"},{"doc":"Update the position information of a given wireless device or a wireless gateway resource. The postion coordinates are based on the World Geodetic System (WGS84).","ref":"aws_iot_wireless.html#update_resource_position/3","title":"aws_iot_wireless.update_resource_position/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#update_resource_position/4","title":"aws_iot_wireless.update_resource_position/4","type":"function"},{"doc":"Updates properties of a wireless device.","ref":"aws_iot_wireless.html#update_wireless_device/3","title":"aws_iot_wireless.update_wireless_device/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#update_wireless_device/4","title":"aws_iot_wireless.update_wireless_device/4","type":"function"},{"doc":"Updates properties of a wireless gateway.","ref":"aws_iot_wireless.html#update_wireless_gateway/3","title":"aws_iot_wireless.update_wireless_gateway/3","type":"function"},{"doc":"","ref":"aws_iot_wireless.html#update_wireless_gateway/4","title":"aws_iot_wireless.update_wireless_gateway/4","type":"function"},{"doc":"IoT Analytics allows you to collect large amounts of device data, process messages, and store them. You can then query the data and run sophisticated analytics on it. IoT Analytics enables advanced data exploration through integration with Jupyter Notebooks and data visualization through integration with Amazon QuickSight. Traditional analytics and business intelligence tools are designed to process structured data. IoT data often comes from devices that record noisy processes (such as temperature, motion, or sound). As a result the data from these devices can have significant gaps, corrupted messages, and false readings that must be cleaned up before analysis can occur. Also, IoT data is often only meaningful in the context of other data from external sources. IoT Analytics automates the steps required to analyze data from IoT devices. IoT Analytics filters, transforms, and enriches IoT data before storing it in a time-series data store for analysis. You can set up the service to collect only the data you need from your devices, apply mathematical transforms to process the data, and enrich the data with device-specific metadata such as device type and location before storing it. Then, you can analyze your data by running queries using the built-in SQL query engine, or perform more complex analytics and machine learning inference. IoT Analytics includes pre-built models for common IoT use cases so you can answer questions like which devices are about to fail or which customers are at risk of abandoning their wearable devices.","ref":"aws_iotanalytics.html","title":"aws_iotanalytics","type":"module"},{"doc":"Sends messages to a channel.","ref":"aws_iotanalytics.html#batch_put_message/2","title":"aws_iotanalytics.batch_put_message/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#batch_put_message/3","title":"aws_iotanalytics.batch_put_message/3","type":"function"},{"doc":"Cancels the reprocessing of data through the pipeline.","ref":"aws_iotanalytics.html#cancel_pipeline_reprocessing/4","title":"aws_iotanalytics.cancel_pipeline_reprocessing/4","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#cancel_pipeline_reprocessing/5","title":"aws_iotanalytics.cancel_pipeline_reprocessing/5","type":"function"},{"doc":"Used to create a channel. A channel collects data from an MQTT topic and archives the raw, unprocessed messages before publishing the data to a pipeline.","ref":"aws_iotanalytics.html#create_channel/2","title":"aws_iotanalytics.create_channel/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#create_channel/3","title":"aws_iotanalytics.create_channel/3","type":"function"},{"doc":"Used to create a dataset. A dataset stores data retrieved from a data store by applying a queryAction (a SQL query) or a containerAction (executing a containerized application). This operation creates the skeleton of a dataset. The dataset can be populated manually by calling CreateDatasetContent or automatically according to a trigger you specify.","ref":"aws_iotanalytics.html#create_dataset/2","title":"aws_iotanalytics.create_dataset/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#create_dataset/3","title":"aws_iotanalytics.create_dataset/3","type":"function"},{"doc":"Creates the content of a dataset by applying a queryAction (a SQL query) or a containerAction (executing a containerized application).","ref":"aws_iotanalytics.html#create_dataset_content/3","title":"aws_iotanalytics.create_dataset_content/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#create_dataset_content/4","title":"aws_iotanalytics.create_dataset_content/4","type":"function"},{"doc":"Creates a data store, which is a repository for messages.","ref":"aws_iotanalytics.html#create_datastore/2","title":"aws_iotanalytics.create_datastore/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#create_datastore/3","title":"aws_iotanalytics.create_datastore/3","type":"function"},{"doc":"Creates a pipeline. A pipeline consumes messages from a channel and allows you to process the messages before storing them in a data store. You must specify both a channel and a datastore activity and, optionally, as many as 23 additional activities in the pipelineActivities array.","ref":"aws_iotanalytics.html#create_pipeline/2","title":"aws_iotanalytics.create_pipeline/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#create_pipeline/3","title":"aws_iotanalytics.create_pipeline/3","type":"function"},{"doc":"Deletes the specified channel.","ref":"aws_iotanalytics.html#delete_channel/3","title":"aws_iotanalytics.delete_channel/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#delete_channel/4","title":"aws_iotanalytics.delete_channel/4","type":"function"},{"doc":"Deletes the specified dataset. You do not have to delete the content of the dataset before you perform this operation.","ref":"aws_iotanalytics.html#delete_dataset/3","title":"aws_iotanalytics.delete_dataset/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#delete_dataset/4","title":"aws_iotanalytics.delete_dataset/4","type":"function"},{"doc":"Deletes the content of the specified dataset.","ref":"aws_iotanalytics.html#delete_dataset_content/3","title":"aws_iotanalytics.delete_dataset_content/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#delete_dataset_content/4","title":"aws_iotanalytics.delete_dataset_content/4","type":"function"},{"doc":"Deletes the specified data store.","ref":"aws_iotanalytics.html#delete_datastore/3","title":"aws_iotanalytics.delete_datastore/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#delete_datastore/4","title":"aws_iotanalytics.delete_datastore/4","type":"function"},{"doc":"Deletes the specified pipeline.","ref":"aws_iotanalytics.html#delete_pipeline/3","title":"aws_iotanalytics.delete_pipeline/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#delete_pipeline/4","title":"aws_iotanalytics.delete_pipeline/4","type":"function"},{"doc":"Retrieves information about a channel.","ref":"aws_iotanalytics.html#describe_channel/2","title":"aws_iotanalytics.describe_channel/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#describe_channel/4","title":"aws_iotanalytics.describe_channel/4","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#describe_channel/5","title":"aws_iotanalytics.describe_channel/5","type":"function"},{"doc":"Retrieves information about a dataset.","ref":"aws_iotanalytics.html#describe_dataset/2","title":"aws_iotanalytics.describe_dataset/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#describe_dataset/4","title":"aws_iotanalytics.describe_dataset/4","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#describe_dataset/5","title":"aws_iotanalytics.describe_dataset/5","type":"function"},{"doc":"Retrieves information about a data store.","ref":"aws_iotanalytics.html#describe_datastore/2","title":"aws_iotanalytics.describe_datastore/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#describe_datastore/4","title":"aws_iotanalytics.describe_datastore/4","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#describe_datastore/5","title":"aws_iotanalytics.describe_datastore/5","type":"function"},{"doc":"Retrieves the current settings of the IoT Analytics logging options.","ref":"aws_iotanalytics.html#describe_logging_options/1","title":"aws_iotanalytics.describe_logging_options/1","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#describe_logging_options/3","title":"aws_iotanalytics.describe_logging_options/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#describe_logging_options/4","title":"aws_iotanalytics.describe_logging_options/4","type":"function"},{"doc":"Retrieves information about a pipeline.","ref":"aws_iotanalytics.html#describe_pipeline/2","title":"aws_iotanalytics.describe_pipeline/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#describe_pipeline/4","title":"aws_iotanalytics.describe_pipeline/4","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#describe_pipeline/5","title":"aws_iotanalytics.describe_pipeline/5","type":"function"},{"doc":"Retrieves the contents of a dataset as presigned URIs.","ref":"aws_iotanalytics.html#get_dataset_content/2","title":"aws_iotanalytics.get_dataset_content/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#get_dataset_content/4","title":"aws_iotanalytics.get_dataset_content/4","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#get_dataset_content/5","title":"aws_iotanalytics.get_dataset_content/5","type":"function"},{"doc":"Retrieves a list of channels.","ref":"aws_iotanalytics.html#list_channels/1","title":"aws_iotanalytics.list_channels/1","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#list_channels/3","title":"aws_iotanalytics.list_channels/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#list_channels/4","title":"aws_iotanalytics.list_channels/4","type":"function"},{"doc":"Lists information about dataset contents that have been created.","ref":"aws_iotanalytics.html#list_dataset_contents/2","title":"aws_iotanalytics.list_dataset_contents/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#list_dataset_contents/4","title":"aws_iotanalytics.list_dataset_contents/4","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#list_dataset_contents/5","title":"aws_iotanalytics.list_dataset_contents/5","type":"function"},{"doc":"Retrieves information about datasets.","ref":"aws_iotanalytics.html#list_datasets/1","title":"aws_iotanalytics.list_datasets/1","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#list_datasets/3","title":"aws_iotanalytics.list_datasets/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#list_datasets/4","title":"aws_iotanalytics.list_datasets/4","type":"function"},{"doc":"Retrieves a list of data stores.","ref":"aws_iotanalytics.html#list_datastores/1","title":"aws_iotanalytics.list_datastores/1","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#list_datastores/3","title":"aws_iotanalytics.list_datastores/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#list_datastores/4","title":"aws_iotanalytics.list_datastores/4","type":"function"},{"doc":"Retrieves a list of pipelines.","ref":"aws_iotanalytics.html#list_pipelines/1","title":"aws_iotanalytics.list_pipelines/1","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#list_pipelines/3","title":"aws_iotanalytics.list_pipelines/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#list_pipelines/4","title":"aws_iotanalytics.list_pipelines/4","type":"function"},{"doc":"Lists the tags (metadata) that you have assigned to the resource.","ref":"aws_iotanalytics.html#list_tags_for_resource/2","title":"aws_iotanalytics.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#list_tags_for_resource/4","title":"aws_iotanalytics.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#list_tags_for_resource/5","title":"aws_iotanalytics.list_tags_for_resource/5","type":"function"},{"doc":"Sets or updates the IoT Analytics logging options. If you update the value of any loggingOptions field, it takes up to one minute for the change to take effect. Also, if you change the policy attached to the role you specified in the roleArn field (for example, to correct an invalid policy), it takes up to five minutes for that change to take effect.","ref":"aws_iotanalytics.html#put_logging_options/2","title":"aws_iotanalytics.put_logging_options/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#put_logging_options/3","title":"aws_iotanalytics.put_logging_options/3","type":"function"},{"doc":"Simulates the results of running a pipeline activity on a message payload.","ref":"aws_iotanalytics.html#run_pipeline_activity/2","title":"aws_iotanalytics.run_pipeline_activity/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#run_pipeline_activity/3","title":"aws_iotanalytics.run_pipeline_activity/3","type":"function"},{"doc":"Retrieves a sample of messages from the specified channel ingested during the specified timeframe. Up to 10 messages can be retrieved.","ref":"aws_iotanalytics.html#sample_channel_data/2","title":"aws_iotanalytics.sample_channel_data/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#sample_channel_data/4","title":"aws_iotanalytics.sample_channel_data/4","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#sample_channel_data/5","title":"aws_iotanalytics.sample_channel_data/5","type":"function"},{"doc":"Starts the reprocessing of raw message data through the pipeline.","ref":"aws_iotanalytics.html#start_pipeline_reprocessing/3","title":"aws_iotanalytics.start_pipeline_reprocessing/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#start_pipeline_reprocessing/4","title":"aws_iotanalytics.start_pipeline_reprocessing/4","type":"function"},{"doc":"Adds to or modifies the tags of the given resource. Tags are metadata that can be used to manage a resource.","ref":"aws_iotanalytics.html#tag_resource/2","title":"aws_iotanalytics.tag_resource/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#tag_resource/3","title":"aws_iotanalytics.tag_resource/3","type":"function"},{"doc":"Removes the given tags (metadata) from the resource.","ref":"aws_iotanalytics.html#untag_resource/2","title":"aws_iotanalytics.untag_resource/2","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#untag_resource/3","title":"aws_iotanalytics.untag_resource/3","type":"function"},{"doc":"Used to update the settings of a channel.","ref":"aws_iotanalytics.html#update_channel/3","title":"aws_iotanalytics.update_channel/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#update_channel/4","title":"aws_iotanalytics.update_channel/4","type":"function"},{"doc":"Updates the settings of a dataset.","ref":"aws_iotanalytics.html#update_dataset/3","title":"aws_iotanalytics.update_dataset/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#update_dataset/4","title":"aws_iotanalytics.update_dataset/4","type":"function"},{"doc":"Used to update the settings of a data store.","ref":"aws_iotanalytics.html#update_datastore/3","title":"aws_iotanalytics.update_datastore/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#update_datastore/4","title":"aws_iotanalytics.update_datastore/4","type":"function"},{"doc":"Updates the settings of a pipeline. You must specify both a channel and a datastore activity and, optionally, as many as 23 additional activities in the pipelineActivities array.","ref":"aws_iotanalytics.html#update_pipeline/3","title":"aws_iotanalytics.update_pipeline/3","type":"function"},{"doc":"","ref":"aws_iotanalytics.html#update_pipeline/4","title":"aws_iotanalytics.update_pipeline/4","type":"function"},{"doc":"Amazon Web Services IoT Core Device Advisor is a cloud-based, fully managed test capability for validating IoT devices during device software development. Device Advisor provides pre-built tests that you can use to validate IoT devices for reliable and secure connectivity with Amazon Web Services IoT Core before deploying devices to production. By using Device Advisor, you can confirm that your devices can connect to Amazon Web Services IoT Core, follow security best practices and, if applicable, receive software updates from IoT Device Management. You can also download signed qualification reports to submit to the Amazon Web Services Partner Network to get your device qualified for the Amazon Web Services Partner Device Catalog without the need to send your device in and wait for it to be tested.","ref":"aws_iotdeviceadvisor.html","title":"aws_iotdeviceadvisor","type":"module"},{"doc":"Creates a Device Advisor test suite. Requires permission to access the CreateSuiteDefinition action.","ref":"aws_iotdeviceadvisor.html#create_suite_definition/2","title":"aws_iotdeviceadvisor.create_suite_definition/2","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#create_suite_definition/3","title":"aws_iotdeviceadvisor.create_suite_definition/3","type":"function"},{"doc":"Deletes a Device Advisor test suite. Requires permission to access the DeleteSuiteDefinition action.","ref":"aws_iotdeviceadvisor.html#delete_suite_definition/3","title":"aws_iotdeviceadvisor.delete_suite_definition/3","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#delete_suite_definition/4","title":"aws_iotdeviceadvisor.delete_suite_definition/4","type":"function"},{"doc":"Gets information about an Device Advisor endpoint.","ref":"aws_iotdeviceadvisor.html#get_endpoint/1","title":"aws_iotdeviceadvisor.get_endpoint/1","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#get_endpoint/3","title":"aws_iotdeviceadvisor.get_endpoint/3","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#get_endpoint/4","title":"aws_iotdeviceadvisor.get_endpoint/4","type":"function"},{"doc":"Gets information about a Device Advisor test suite. Requires permission to access the GetSuiteDefinition action.","ref":"aws_iotdeviceadvisor.html#get_suite_definition/2","title":"aws_iotdeviceadvisor.get_suite_definition/2","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#get_suite_definition/4","title":"aws_iotdeviceadvisor.get_suite_definition/4","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#get_suite_definition/5","title":"aws_iotdeviceadvisor.get_suite_definition/5","type":"function"},{"doc":"Gets information about a Device Advisor test suite run. Requires permission to access the GetSuiteRun action.","ref":"aws_iotdeviceadvisor.html#get_suite_run/3","title":"aws_iotdeviceadvisor.get_suite_run/3","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#get_suite_run/5","title":"aws_iotdeviceadvisor.get_suite_run/5","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#get_suite_run/6","title":"aws_iotdeviceadvisor.get_suite_run/6","type":"function"},{"doc":"Gets a report download link for a successful Device Advisor qualifying test suite run. Requires permission to access the GetSuiteRunReport action.","ref":"aws_iotdeviceadvisor.html#get_suite_run_report/3","title":"aws_iotdeviceadvisor.get_suite_run_report/3","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#get_suite_run_report/5","title":"aws_iotdeviceadvisor.get_suite_run_report/5","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#get_suite_run_report/6","title":"aws_iotdeviceadvisor.get_suite_run_report/6","type":"function"},{"doc":"Lists the Device Advisor test suites you have created. Requires permission to access the ListSuiteDefinitions action.","ref":"aws_iotdeviceadvisor.html#list_suite_definitions/1","title":"aws_iotdeviceadvisor.list_suite_definitions/1","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#list_suite_definitions/3","title":"aws_iotdeviceadvisor.list_suite_definitions/3","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#list_suite_definitions/4","title":"aws_iotdeviceadvisor.list_suite_definitions/4","type":"function"},{"doc":"Lists runs of the specified Device Advisor test suite. You can list all runs of the test suite, or the runs of a specific version of the test suite. Requires permission to access the ListSuiteRuns action.","ref":"aws_iotdeviceadvisor.html#list_suite_runs/1","title":"aws_iotdeviceadvisor.list_suite_runs/1","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#list_suite_runs/3","title":"aws_iotdeviceadvisor.list_suite_runs/3","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#list_suite_runs/4","title":"aws_iotdeviceadvisor.list_suite_runs/4","type":"function"},{"doc":"Lists the tags attached to an IoT Device Advisor resource. Requires permission to access the ListTagsForResource action.","ref":"aws_iotdeviceadvisor.html#list_tags_for_resource/2","title":"aws_iotdeviceadvisor.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#list_tags_for_resource/4","title":"aws_iotdeviceadvisor.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#list_tags_for_resource/5","title":"aws_iotdeviceadvisor.list_tags_for_resource/5","type":"function"},{"doc":"Starts a Device Advisor test suite run. Requires permission to access the StartSuiteRun action.","ref":"aws_iotdeviceadvisor.html#start_suite_run/3","title":"aws_iotdeviceadvisor.start_suite_run/3","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#start_suite_run/4","title":"aws_iotdeviceadvisor.start_suite_run/4","type":"function"},{"doc":"Stops a Device Advisor test suite run that is currently running. Requires permission to access the StopSuiteRun action.","ref":"aws_iotdeviceadvisor.html#stop_suite_run/4","title":"aws_iotdeviceadvisor.stop_suite_run/4","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#stop_suite_run/5","title":"aws_iotdeviceadvisor.stop_suite_run/5","type":"function"},{"doc":"Adds to and modifies existing tags of an IoT Device Advisor resource. Requires permission to access the TagResource action.","ref":"aws_iotdeviceadvisor.html#tag_resource/3","title":"aws_iotdeviceadvisor.tag_resource/3","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#tag_resource/4","title":"aws_iotdeviceadvisor.tag_resource/4","type":"function"},{"doc":"Removes tags from an IoT Device Advisor resource. Requires permission to access the UntagResource action.","ref":"aws_iotdeviceadvisor.html#untag_resource/3","title":"aws_iotdeviceadvisor.untag_resource/3","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#untag_resource/4","title":"aws_iotdeviceadvisor.untag_resource/4","type":"function"},{"doc":"Updates a Device Advisor test suite. Requires permission to access the UpdateSuiteDefinition action.","ref":"aws_iotdeviceadvisor.html#update_suite_definition/3","title":"aws_iotdeviceadvisor.update_suite_definition/3","type":"function"},{"doc":"","ref":"aws_iotdeviceadvisor.html#update_suite_definition/4","title":"aws_iotdeviceadvisor.update_suite_definition/4","type":"function"},{"doc":"With Fleet Hub for AWS IoT Device Management you can build stand-alone web applications for monitoring the health of your device fleets. Fleet Hub for AWS IoT Device Management is in public preview and is subject to change.","ref":"aws_iotfleethub.html","title":"aws_iotfleethub","type":"module"},{"doc":"Creates a Fleet Hub for AWS IoT Device Management web application. Fleet Hub for AWS IoT Device Management is in public preview and is subject to change.","ref":"aws_iotfleethub.html#create_application/2","title":"aws_iotfleethub.create_application/2","type":"function"},{"doc":"","ref":"aws_iotfleethub.html#create_application/3","title":"aws_iotfleethub.create_application/3","type":"function"},{"doc":"Deletes a Fleet Hub for AWS IoT Device Management web application. Fleet Hub for AWS IoT Device Management is in public preview and is subject to change.","ref":"aws_iotfleethub.html#delete_application/3","title":"aws_iotfleethub.delete_application/3","type":"function"},{"doc":"","ref":"aws_iotfleethub.html#delete_application/4","title":"aws_iotfleethub.delete_application/4","type":"function"},{"doc":"Gets information about a Fleet Hub for AWS IoT Device Management web application. Fleet Hub for AWS IoT Device Management is in public preview and is subject to change.","ref":"aws_iotfleethub.html#describe_application/2","title":"aws_iotfleethub.describe_application/2","type":"function"},{"doc":"","ref":"aws_iotfleethub.html#describe_application/4","title":"aws_iotfleethub.describe_application/4","type":"function"},{"doc":"","ref":"aws_iotfleethub.html#describe_application/5","title":"aws_iotfleethub.describe_application/5","type":"function"},{"doc":"Gets a list of Fleet Hub for AWS IoT Device Management web applications for the current account. Fleet Hub for AWS IoT Device Management is in public preview and is subject to change.","ref":"aws_iotfleethub.html#list_applications/1","title":"aws_iotfleethub.list_applications/1","type":"function"},{"doc":"","ref":"aws_iotfleethub.html#list_applications/3","title":"aws_iotfleethub.list_applications/3","type":"function"},{"doc":"","ref":"aws_iotfleethub.html#list_applications/4","title":"aws_iotfleethub.list_applications/4","type":"function"},{"doc":"Lists the tags for the specified resource. Fleet Hub for AWS IoT Device Management is in public preview and is subject to change.","ref":"aws_iotfleethub.html#list_tags_for_resource/2","title":"aws_iotfleethub.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iotfleethub.html#list_tags_for_resource/4","title":"aws_iotfleethub.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_iotfleethub.html#list_tags_for_resource/5","title":"aws_iotfleethub.list_tags_for_resource/5","type":"function"},{"doc":"Adds to or modifies the tags of the specified resource. Tags are metadata which can be used to manage a resource. Fleet Hub for AWS IoT Device Management is in public preview and is subject to change.","ref":"aws_iotfleethub.html#tag_resource/3","title":"aws_iotfleethub.tag_resource/3","type":"function"},{"doc":"","ref":"aws_iotfleethub.html#tag_resource/4","title":"aws_iotfleethub.tag_resource/4","type":"function"},{"doc":"Removes the specified tags (metadata) from the resource. Fleet Hub for AWS IoT Device Management is in public preview and is subject to change.","ref":"aws_iotfleethub.html#untag_resource/3","title":"aws_iotfleethub.untag_resource/3","type":"function"},{"doc":"","ref":"aws_iotfleethub.html#untag_resource/4","title":"aws_iotfleethub.untag_resource/4","type":"function"},{"doc":"Updates information about a Fleet Hub for a AWS IoT Device Management web application. Fleet Hub for AWS IoT Device Management is in public preview and is subject to change.","ref":"aws_iotfleethub.html#update_application/3","title":"aws_iotfleethub.update_application/3","type":"function"},{"doc":"","ref":"aws_iotfleethub.html#update_application/4","title":"aws_iotfleethub.update_application/4","type":"function"},{"doc":"Amazon Web Services IoT FleetWise is a fully managed service that you can use to collect, model, and transfer vehicle data to the Amazon Web Services cloud at scale. With Amazon Web Services IoT FleetWise, you can standardize all of your vehicle data models, independent of the in-vehicle communication architecture, and define data collection rules to transfer only high-value data to the cloud. For more information, see What is Amazon Web Services IoT FleetWise? in the Amazon Web Services IoT FleetWise Developer Guide.","ref":"aws_iotfleetwise.html","title":"aws_iotfleetwise","type":"module"},{"doc":"Adds, or associates, a vehicle with a fleet.","ref":"aws_iotfleetwise.html#associate_vehicle_fleet/2","title":"aws_iotfleetwise.associate_vehicle_fleet/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#associate_vehicle_fleet/3","title":"aws_iotfleetwise.associate_vehicle_fleet/3","type":"function"},{"doc":"Creates a group, or batch, of vehicles. You must specify a decoder manifest and a vehicle model (model manifest) for each vehicle. For more information, see Create multiple vehicles (AWS CLI) in the Amazon Web Services IoT FleetWise Developer Guide.","ref":"aws_iotfleetwise.html#batch_create_vehicle/2","title":"aws_iotfleetwise.batch_create_vehicle/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#batch_create_vehicle/3","title":"aws_iotfleetwise.batch_create_vehicle/3","type":"function"},{"doc":"Updates a group, or batch, of vehicles. You must specify a decoder manifest and a vehicle model (model manifest) for each vehicle. For more information, see Update multiple vehicles (AWS CLI) in the Amazon Web Services IoT FleetWise Developer Guide.","ref":"aws_iotfleetwise.html#batch_update_vehicle/2","title":"aws_iotfleetwise.batch_update_vehicle/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#batch_update_vehicle/3","title":"aws_iotfleetwise.batch_update_vehicle/3","type":"function"},{"doc":"Creates an orchestration of data collection rules. The Amazon Web Services IoT FleetWise Edge Agent software running in vehicles uses campaigns to decide how to collect and transfer data to the cloud. You create campaigns in the cloud. After you or your team approve campaigns, Amazon Web Services IoT FleetWise automatically deploys them to vehicles. For more information, see Collect and transfer data with campaigns in the Amazon Web Services IoT FleetWise Developer Guide.","ref":"aws_iotfleetwise.html#create_campaign/2","title":"aws_iotfleetwise.create_campaign/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#create_campaign/3","title":"aws_iotfleetwise.create_campaign/3","type":"function"},{"doc":"Creates the decoder manifest associated with a model manifest. To create a decoder manifest, the following must be true: Every signal decoder has a unique name. Each signal decoder is associated with a network interface. Each network interface has a unique ID. The signal decoders are specified in the model manifest.","ref":"aws_iotfleetwise.html#create_decoder_manifest/2","title":"aws_iotfleetwise.create_decoder_manifest/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#create_decoder_manifest/3","title":"aws_iotfleetwise.create_decoder_manifest/3","type":"function"},{"doc":"Creates a fleet that represents a group of vehicles. You must create both a signal catalog and vehicles before you can create a fleet. For more information, see Fleets in the Amazon Web Services IoT FleetWise Developer Guide.","ref":"aws_iotfleetwise.html#create_fleet/2","title":"aws_iotfleetwise.create_fleet/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#create_fleet/3","title":"aws_iotfleetwise.create_fleet/3","type":"function"},{"doc":"Creates a vehicle model (model manifest) that specifies signals (attributes, branches, sensors, and actuators). For more information, see Vehicle models in the Amazon Web Services IoT FleetWise Developer Guide.","ref":"aws_iotfleetwise.html#create_model_manifest/2","title":"aws_iotfleetwise.create_model_manifest/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#create_model_manifest/3","title":"aws_iotfleetwise.create_model_manifest/3","type":"function"},{"doc":"Creates a collection of standardized signals that can be reused to create vehicle models.","ref":"aws_iotfleetwise.html#create_signal_catalog/2","title":"aws_iotfleetwise.create_signal_catalog/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#create_signal_catalog/3","title":"aws_iotfleetwise.create_signal_catalog/3","type":"function"},{"doc":"Creates a vehicle, which is an instance of a vehicle model (model manifest). Vehicles created from the same vehicle model consist of the same signals inherited from the vehicle model. If you have an existing Amazon Web Services IoT Thing, you can use Amazon Web Services IoT FleetWise to create a vehicle and collect data from your thing. For more information, see Create a vehicle (AWS CLI) in the Amazon Web Services IoT FleetWise Developer Guide.","ref":"aws_iotfleetwise.html#create_vehicle/2","title":"aws_iotfleetwise.create_vehicle/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#create_vehicle/3","title":"aws_iotfleetwise.create_vehicle/3","type":"function"},{"doc":"Deletes a data collection campaign. Deleting a campaign suspends all data collection and removes it from any vehicles.","ref":"aws_iotfleetwise.html#delete_campaign/2","title":"aws_iotfleetwise.delete_campaign/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#delete_campaign/3","title":"aws_iotfleetwise.delete_campaign/3","type":"function"},{"doc":"Deletes a decoder manifest. You can't delete a decoder manifest if it has vehicles associated with it. If the decoder manifest is successfully deleted, Amazon Web Services IoT FleetWise sends back an HTTP 200 response with an empty body.","ref":"aws_iotfleetwise.html#delete_decoder_manifest/2","title":"aws_iotfleetwise.delete_decoder_manifest/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#delete_decoder_manifest/3","title":"aws_iotfleetwise.delete_decoder_manifest/3","type":"function"},{"doc":"Deletes a fleet. Before you delete a fleet, all vehicles must be dissociated from the fleet. For more information, see Delete a fleet (AWS CLI) in the Amazon Web Services IoT FleetWise Developer Guide. If the fleet is successfully deleted, Amazon Web Services IoT FleetWise sends back an HTTP 200 response with an empty body.","ref":"aws_iotfleetwise.html#delete_fleet/2","title":"aws_iotfleetwise.delete_fleet/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#delete_fleet/3","title":"aws_iotfleetwise.delete_fleet/3","type":"function"},{"doc":"Deletes a vehicle model (model manifest). If the vehicle model is successfully deleted, Amazon Web Services IoT FleetWise sends back an HTTP 200 response with an empty body.","ref":"aws_iotfleetwise.html#delete_model_manifest/2","title":"aws_iotfleetwise.delete_model_manifest/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#delete_model_manifest/3","title":"aws_iotfleetwise.delete_model_manifest/3","type":"function"},{"doc":"Deletes a signal catalog. If the signal catalog is successfully deleted, Amazon Web Services IoT FleetWise sends back an HTTP 200 response with an empty body.","ref":"aws_iotfleetwise.html#delete_signal_catalog/2","title":"aws_iotfleetwise.delete_signal_catalog/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#delete_signal_catalog/3","title":"aws_iotfleetwise.delete_signal_catalog/3","type":"function"},{"doc":"Deletes a vehicle and removes it from any campaigns. If the vehicle is successfully deleted, Amazon Web Services IoT FleetWise sends back an HTTP 200 response with an empty body.","ref":"aws_iotfleetwise.html#delete_vehicle/2","title":"aws_iotfleetwise.delete_vehicle/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#delete_vehicle/3","title":"aws_iotfleetwise.delete_vehicle/3","type":"function"},{"doc":"Removes, or disassociates, a vehicle from a fleet. Disassociating a vehicle from a fleet doesn't delete the vehicle. If the vehicle is successfully dissociated from a fleet, Amazon Web Services IoT FleetWise sends back an HTTP 200 response with an empty body.","ref":"aws_iotfleetwise.html#disassociate_vehicle_fleet/2","title":"aws_iotfleetwise.disassociate_vehicle_fleet/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#disassociate_vehicle_fleet/3","title":"aws_iotfleetwise.disassociate_vehicle_fleet/3","type":"function"},{"doc":"Retrieves information about a campaign.","ref":"aws_iotfleetwise.html#get_campaign/2","title":"aws_iotfleetwise.get_campaign/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#get_campaign/3","title":"aws_iotfleetwise.get_campaign/3","type":"function"},{"doc":"Retrieves information about a created decoder manifest.","ref":"aws_iotfleetwise.html#get_decoder_manifest/2","title":"aws_iotfleetwise.get_decoder_manifest/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#get_decoder_manifest/3","title":"aws_iotfleetwise.get_decoder_manifest/3","type":"function"},{"doc":"Retrieves information about a fleet.","ref":"aws_iotfleetwise.html#get_fleet/2","title":"aws_iotfleetwise.get_fleet/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#get_fleet/3","title":"aws_iotfleetwise.get_fleet/3","type":"function"},{"doc":"Retrieves the logging options.","ref":"aws_iotfleetwise.html#get_logging_options/2","title":"aws_iotfleetwise.get_logging_options/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#get_logging_options/3","title":"aws_iotfleetwise.get_logging_options/3","type":"function"},{"doc":"Retrieves information about a vehicle model (model manifest).","ref":"aws_iotfleetwise.html#get_model_manifest/2","title":"aws_iotfleetwise.get_model_manifest/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#get_model_manifest/3","title":"aws_iotfleetwise.get_model_manifest/3","type":"function"},{"doc":"Retrieves information about the status of registering your Amazon Web Services account, IAM, and Amazon Timestream resources so that Amazon Web Services IoT FleetWise can transfer your vehicle data to the Amazon Web Services Cloud. For more information, including step-by-step procedures, see Setting up Amazon Web Services IoT FleetWise. This API operation doesn't require input parameters.","ref":"aws_iotfleetwise.html#get_register_account_status/2","title":"aws_iotfleetwise.get_register_account_status/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#get_register_account_status/3","title":"aws_iotfleetwise.get_register_account_status/3","type":"function"},{"doc":"Retrieves information about a signal catalog.","ref":"aws_iotfleetwise.html#get_signal_catalog/2","title":"aws_iotfleetwise.get_signal_catalog/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#get_signal_catalog/3","title":"aws_iotfleetwise.get_signal_catalog/3","type":"function"},{"doc":"Retrieves information about a vehicle.","ref":"aws_iotfleetwise.html#get_vehicle/2","title":"aws_iotfleetwise.get_vehicle/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#get_vehicle/3","title":"aws_iotfleetwise.get_vehicle/3","type":"function"},{"doc":"Retrieves information about the status of a vehicle with any associated campaigns.","ref":"aws_iotfleetwise.html#get_vehicle_status/2","title":"aws_iotfleetwise.get_vehicle_status/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#get_vehicle_status/3","title":"aws_iotfleetwise.get_vehicle_status/3","type":"function"},{"doc":"Creates a decoder manifest using your existing CAN DBC file from your local device.","ref":"aws_iotfleetwise.html#import_decoder_manifest/2","title":"aws_iotfleetwise.import_decoder_manifest/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#import_decoder_manifest/3","title":"aws_iotfleetwise.import_decoder_manifest/3","type":"function"},{"doc":"Creates a signal catalog using your existing VSS formatted content from your local device.","ref":"aws_iotfleetwise.html#import_signal_catalog/2","title":"aws_iotfleetwise.import_signal_catalog/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#import_signal_catalog/3","title":"aws_iotfleetwise.import_signal_catalog/3","type":"function"},{"doc":"Lists information about created campaigns. This API operation uses pagination. Specify the nextToken parameter in the request to return more results.","ref":"aws_iotfleetwise.html#list_campaigns/2","title":"aws_iotfleetwise.list_campaigns/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_campaigns/3","title":"aws_iotfleetwise.list_campaigns/3","type":"function"},{"doc":"Lists the network interfaces specified in a decoder manifest. This API operation uses pagination. Specify the nextToken parameter in the request to return more results.","ref":"aws_iotfleetwise.html#list_decoder_manifest_network_interfaces/2","title":"aws_iotfleetwise.list_decoder_manifest_network_interfaces/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_decoder_manifest_network_interfaces/3","title":"aws_iotfleetwise.list_decoder_manifest_network_interfaces/3","type":"function"},{"doc":"A list of information about signal decoders specified in a decoder manifest. This API operation uses pagination. Specify the nextToken parameter in the request to return more results.","ref":"aws_iotfleetwise.html#list_decoder_manifest_signals/2","title":"aws_iotfleetwise.list_decoder_manifest_signals/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_decoder_manifest_signals/3","title":"aws_iotfleetwise.list_decoder_manifest_signals/3","type":"function"},{"doc":"Lists decoder manifests. This API operation uses pagination. Specify the nextToken parameter in the request to return more results.","ref":"aws_iotfleetwise.html#list_decoder_manifests/2","title":"aws_iotfleetwise.list_decoder_manifests/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_decoder_manifests/3","title":"aws_iotfleetwise.list_decoder_manifests/3","type":"function"},{"doc":"Retrieves information for each created fleet in an Amazon Web Services account. This API operation uses pagination. Specify the nextToken parameter in the request to return more results.","ref":"aws_iotfleetwise.html#list_fleets/2","title":"aws_iotfleetwise.list_fleets/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_fleets/3","title":"aws_iotfleetwise.list_fleets/3","type":"function"},{"doc":"Retrieves a list of IDs for all fleets that the vehicle is associated with. This API operation uses pagination. Specify the nextToken parameter in the request to return more results.","ref":"aws_iotfleetwise.html#list_fleets_for_vehicle/2","title":"aws_iotfleetwise.list_fleets_for_vehicle/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_fleets_for_vehicle/3","title":"aws_iotfleetwise.list_fleets_for_vehicle/3","type":"function"},{"doc":"Lists information about nodes specified in a vehicle model (model manifest). This API operation uses pagination. Specify the nextToken parameter in the request to return more results.","ref":"aws_iotfleetwise.html#list_model_manifest_nodes/2","title":"aws_iotfleetwise.list_model_manifest_nodes/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_model_manifest_nodes/3","title":"aws_iotfleetwise.list_model_manifest_nodes/3","type":"function"},{"doc":"Retrieves a list of vehicle models (model manifests). This API operation uses pagination. Specify the nextToken parameter in the request to return more results.","ref":"aws_iotfleetwise.html#list_model_manifests/2","title":"aws_iotfleetwise.list_model_manifests/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_model_manifests/3","title":"aws_iotfleetwise.list_model_manifests/3","type":"function"},{"doc":"Lists of information about the signals (nodes) specified in a signal catalog. This API operation uses pagination. Specify the nextToken parameter in the request to return more results.","ref":"aws_iotfleetwise.html#list_signal_catalog_nodes/2","title":"aws_iotfleetwise.list_signal_catalog_nodes/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_signal_catalog_nodes/3","title":"aws_iotfleetwise.list_signal_catalog_nodes/3","type":"function"},{"doc":"Lists all the created signal catalogs in an Amazon Web Services account. You can use to list information about each signal (node) specified in a signal catalog. This API operation uses pagination. Specify the nextToken parameter in the request to return more results.","ref":"aws_iotfleetwise.html#list_signal_catalogs/2","title":"aws_iotfleetwise.list_signal_catalogs/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_signal_catalogs/3","title":"aws_iotfleetwise.list_signal_catalogs/3","type":"function"},{"doc":"Lists the tags (metadata) you have assigned to the resource.","ref":"aws_iotfleetwise.html#list_tags_for_resource/2","title":"aws_iotfleetwise.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_tags_for_resource/3","title":"aws_iotfleetwise.list_tags_for_resource/3","type":"function"},{"doc":"Retrieves a list of summaries of created vehicles. This API operation uses pagination. Specify the nextToken parameter in the request to return more results.","ref":"aws_iotfleetwise.html#list_vehicles/2","title":"aws_iotfleetwise.list_vehicles/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_vehicles/3","title":"aws_iotfleetwise.list_vehicles/3","type":"function"},{"doc":"Retrieves a list of summaries of all vehicles associated with a fleet. This API operation uses pagination. Specify the nextToken parameter in the request to return more results.","ref":"aws_iotfleetwise.html#list_vehicles_in_fleet/2","title":"aws_iotfleetwise.list_vehicles_in_fleet/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#list_vehicles_in_fleet/3","title":"aws_iotfleetwise.list_vehicles_in_fleet/3","type":"function"},{"doc":"Creates or updates the logging option.","ref":"aws_iotfleetwise.html#put_logging_options/2","title":"aws_iotfleetwise.put_logging_options/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#put_logging_options/3","title":"aws_iotfleetwise.put_logging_options/3","type":"function"},{"doc":"Registers your Amazon Web Services account, IAM, and Amazon Timestream resources so Amazon Web Services IoT FleetWise can transfer your vehicle data to the Amazon Web Services Cloud. For more information, including step-by-step procedures, see Setting up Amazon Web Services IoT FleetWise. An Amazon Web Services account is not the same thing as a &quot;user account&quot;. An Amazon Web Services user is an identity that you create using Identity and Access Management (IAM) and takes the form of either an IAM user or an IAM role, both with credentials. A single Amazon Web Services account can, and typically does, contain many users and roles.","ref":"aws_iotfleetwise.html#register_account/2","title":"aws_iotfleetwise.register_account/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#register_account/3","title":"aws_iotfleetwise.register_account/3","type":"function"},{"doc":"Adds to or modifies the tags of the given resource. Tags are metadata which can be used to manage a resource.","ref":"aws_iotfleetwise.html#tag_resource/2","title":"aws_iotfleetwise.tag_resource/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#tag_resource/3","title":"aws_iotfleetwise.tag_resource/3","type":"function"},{"doc":"Removes the given tags (metadata) from the resource.","ref":"aws_iotfleetwise.html#untag_resource/2","title":"aws_iotfleetwise.untag_resource/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#untag_resource/3","title":"aws_iotfleetwise.untag_resource/3","type":"function"},{"doc":"Updates a campaign.","ref":"aws_iotfleetwise.html#update_campaign/2","title":"aws_iotfleetwise.update_campaign/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#update_campaign/3","title":"aws_iotfleetwise.update_campaign/3","type":"function"},{"doc":"Updates a decoder manifest. A decoder manifest can only be updated when the status is DRAFT . Only ACTIVE decoder manifests can be associated with vehicles.","ref":"aws_iotfleetwise.html#update_decoder_manifest/2","title":"aws_iotfleetwise.update_decoder_manifest/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#update_decoder_manifest/3","title":"aws_iotfleetwise.update_decoder_manifest/3","type":"function"},{"doc":"Updates the description of an existing fleet. If the fleet is successfully updated, Amazon Web Services IoT FleetWise sends back an HTTP 200 response with an empty HTTP body.","ref":"aws_iotfleetwise.html#update_fleet/2","title":"aws_iotfleetwise.update_fleet/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#update_fleet/3","title":"aws_iotfleetwise.update_fleet/3","type":"function"},{"doc":"Updates a vehicle model (model manifest). If created vehicles are associated with a vehicle model, it can't be updated.","ref":"aws_iotfleetwise.html#update_model_manifest/2","title":"aws_iotfleetwise.update_model_manifest/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#update_model_manifest/3","title":"aws_iotfleetwise.update_model_manifest/3","type":"function"},{"doc":"Updates a signal catalog.","ref":"aws_iotfleetwise.html#update_signal_catalog/2","title":"aws_iotfleetwise.update_signal_catalog/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#update_signal_catalog/3","title":"aws_iotfleetwise.update_signal_catalog/3","type":"function"},{"doc":"Updates a vehicle.","ref":"aws_iotfleetwise.html#update_vehicle/2","title":"aws_iotfleetwise.update_vehicle/2","type":"function"},{"doc":"","ref":"aws_iotfleetwise.html#update_vehicle/3","title":"aws_iotfleetwise.update_vehicle/3","type":"function"},{"doc":"IoT Secure Tunneling IoT Secure Tunneling creates remote connections to devices deployed in the field. For more information about how IoT Secure Tunneling works, see IoT Secure Tunneling.","ref":"aws_iotsecuretunneling.html","title":"aws_iotsecuretunneling","type":"module"},{"doc":"Closes a tunnel identified by the unique tunnel id. When a CloseTunnel request is received, we close the WebSocket connections between the client and proxy server so no data can be transmitted. Requires permission to access the CloseTunnel action.","ref":"aws_iotsecuretunneling.html#close_tunnel/2","title":"aws_iotsecuretunneling.close_tunnel/2","type":"function"},{"doc":"","ref":"aws_iotsecuretunneling.html#close_tunnel/3","title":"aws_iotsecuretunneling.close_tunnel/3","type":"function"},{"doc":"Gets information about a tunnel identified by the unique tunnel id. Requires permission to access the DescribeTunnel action.","ref":"aws_iotsecuretunneling.html#describe_tunnel/2","title":"aws_iotsecuretunneling.describe_tunnel/2","type":"function"},{"doc":"","ref":"aws_iotsecuretunneling.html#describe_tunnel/3","title":"aws_iotsecuretunneling.describe_tunnel/3","type":"function"},{"doc":"Lists the tags for the specified resource.","ref":"aws_iotsecuretunneling.html#list_tags_for_resource/2","title":"aws_iotsecuretunneling.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iotsecuretunneling.html#list_tags_for_resource/3","title":"aws_iotsecuretunneling.list_tags_for_resource/3","type":"function"},{"doc":"List all tunnels for an Amazon Web Services account. Tunnels are listed by creation time in descending order, newer tunnels will be listed before older tunnels. Requires permission to access the ListTunnels action.","ref":"aws_iotsecuretunneling.html#list_tunnels/2","title":"aws_iotsecuretunneling.list_tunnels/2","type":"function"},{"doc":"","ref":"aws_iotsecuretunneling.html#list_tunnels/3","title":"aws_iotsecuretunneling.list_tunnels/3","type":"function"},{"doc":"Creates a new tunnel, and returns two client access tokens for clients to use to connect to the IoT Secure Tunneling proxy server. Requires permission to access the OpenTunnel action.","ref":"aws_iotsecuretunneling.html#open_tunnel/2","title":"aws_iotsecuretunneling.open_tunnel/2","type":"function"},{"doc":"","ref":"aws_iotsecuretunneling.html#open_tunnel/3","title":"aws_iotsecuretunneling.open_tunnel/3","type":"function"},{"doc":"Revokes the current client access token (CAT) and returns new CAT for clients to use when reconnecting to secure tunneling to access the same tunnel. Requires permission to access the RotateTunnelAccessToken action. Rotating the CAT doesn't extend the tunnel duration. For example, say the tunnel duration is 12 hours and the tunnel has already been open for 4 hours. When you rotate the access tokens, the new tokens that are generated can only be used for the remaining 8 hours.","ref":"aws_iotsecuretunneling.html#rotate_tunnel_access_token/2","title":"aws_iotsecuretunneling.rotate_tunnel_access_token/2","type":"function"},{"doc":"","ref":"aws_iotsecuretunneling.html#rotate_tunnel_access_token/3","title":"aws_iotsecuretunneling.rotate_tunnel_access_token/3","type":"function"},{"doc":"A resource tag.","ref":"aws_iotsecuretunneling.html#tag_resource/2","title":"aws_iotsecuretunneling.tag_resource/2","type":"function"},{"doc":"","ref":"aws_iotsecuretunneling.html#tag_resource/3","title":"aws_iotsecuretunneling.tag_resource/3","type":"function"},{"doc":"Removes a tag from a resource.","ref":"aws_iotsecuretunneling.html#untag_resource/2","title":"aws_iotsecuretunneling.untag_resource/2","type":"function"},{"doc":"","ref":"aws_iotsecuretunneling.html#untag_resource/3","title":"aws_iotsecuretunneling.untag_resource/3","type":"function"},{"doc":"Welcome to the IoT SiteWise API Reference. IoT SiteWise is an Amazon Web Services service that connects Industrial Internet of Things (IIoT) devices to the power of the Amazon Web Services Cloud. For more information, see the IoT SiteWise User Guide. For information about IoT SiteWise quotas, see Quotas in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html","title":"aws_iotsitewise","type":"module"},{"doc":"Associates a child asset with the given parent asset through a hierarchy defined in the parent asset's model. For more information, see Associating assets in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#associate_assets/3","title":"aws_iotsitewise.associate_assets/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#associate_assets/4","title":"aws_iotsitewise.associate_assets/4","type":"function"},{"doc":"Associates a time series (data stream) with an asset property.","ref":"aws_iotsitewise.html#associate_time_series_to_asset_property/2","title":"aws_iotsitewise.associate_time_series_to_asset_property/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#associate_time_series_to_asset_property/3","title":"aws_iotsitewise.associate_time_series_to_asset_property/3","type":"function"},{"doc":"Associates a group (batch) of assets with an IoT SiteWise Monitor project.","ref":"aws_iotsitewise.html#batch_associate_project_assets/3","title":"aws_iotsitewise.batch_associate_project_assets/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#batch_associate_project_assets/4","title":"aws_iotsitewise.batch_associate_project_assets/4","type":"function"},{"doc":"Disassociates a group (batch) of assets from an IoT SiteWise Monitor project.","ref":"aws_iotsitewise.html#batch_disassociate_project_assets/3","title":"aws_iotsitewise.batch_disassociate_project_assets/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#batch_disassociate_project_assets/4","title":"aws_iotsitewise.batch_disassociate_project_assets/4","type":"function"},{"doc":"Gets aggregated values (for example, average, minimum, and maximum) for one or more asset properties. For more information, see Querying aggregates in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#batch_get_asset_property_aggregates/2","title":"aws_iotsitewise.batch_get_asset_property_aggregates/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#batch_get_asset_property_aggregates/3","title":"aws_iotsitewise.batch_get_asset_property_aggregates/3","type":"function"},{"doc":"Gets the current value for one or more asset properties. For more information, see Querying current values in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#batch_get_asset_property_value/2","title":"aws_iotsitewise.batch_get_asset_property_value/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#batch_get_asset_property_value/3","title":"aws_iotsitewise.batch_get_asset_property_value/3","type":"function"},{"doc":"Gets the historical values for one or more asset properties. For more information, see Querying historical values in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#batch_get_asset_property_value_history/2","title":"aws_iotsitewise.batch_get_asset_property_value_history/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#batch_get_asset_property_value_history/3","title":"aws_iotsitewise.batch_get_asset_property_value_history/3","type":"function"},{"doc":"Sends a list of asset property values to IoT SiteWise. Each value is a timestamp-quality-value (TQV) data point. For more information, see Ingesting data using the API in the IoT SiteWise User Guide. To identify an asset property, you must specify one of the following: The assetId and propertyId of an asset property. A propertyAlias , which is a data stream alias (for example, /company/windfarm/3/turbine/7/temperature ). To define an asset property's alias, see UpdateAssetProperty. With respect to Unix epoch time, IoT SiteWise accepts only TQVs that have a timestamp of no more than 7 days in the past and no more than 10 minutes in the future. IoT SiteWise rejects timestamps outside of the inclusive range of [-7 days, +10 minutes] and returns a TimestampOutOfRangeException error. For each asset property, IoT SiteWise overwrites TQVs with duplicate timestamps unless the newer TQV has a different quality. For example, if you store a TQV {T1, GOOD, V1} , then storing {T1, GOOD, V2} replaces the existing TQV. IoT SiteWise authorizes access to each BatchPutAssetPropertyValue entry individually. For more information, see BatchPutAssetPropertyValue authorization in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#batch_put_asset_property_value/2","title":"aws_iotsitewise.batch_put_asset_property_value/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#batch_put_asset_property_value/3","title":"aws_iotsitewise.batch_put_asset_property_value/3","type":"function"},{"doc":"Creates an access policy that grants the specified identity (IAM Identity Center user, IAM Identity Center group, or IAM user) access to the specified IoT SiteWise Monitor portal or project resource.","ref":"aws_iotsitewise.html#create_access_policy/2","title":"aws_iotsitewise.create_access_policy/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#create_access_policy/3","title":"aws_iotsitewise.create_access_policy/3","type":"function"},{"doc":"Creates an asset from an existing asset model. For more information, see Creating assets in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#create_asset/2","title":"aws_iotsitewise.create_asset/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#create_asset/3","title":"aws_iotsitewise.create_asset/3","type":"function"},{"doc":"Creates an asset model from specified property and hierarchy definitions. You create assets from asset models. With asset models, you can easily create assets of the same type that have standardized definitions. Each asset created from a model inherits the asset model's property and hierarchy definitions. For more information, see Defining asset models in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#create_asset_model/2","title":"aws_iotsitewise.create_asset_model/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#create_asset_model/3","title":"aws_iotsitewise.create_asset_model/3","type":"function"},{"doc":"Defines a job to ingest data to IoT SiteWise from Amazon S3. For more information, see Create a bulk import job (CLI) in the Amazon Simple Storage Service User Guide. You must enable IoT SiteWise to export data to Amazon S3 before you create a bulk import job. For more information about how to configure storage settings, see PutStorageConfiguration.","ref":"aws_iotsitewise.html#create_bulk_import_job/2","title":"aws_iotsitewise.create_bulk_import_job/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#create_bulk_import_job/3","title":"aws_iotsitewise.create_bulk_import_job/3","type":"function"},{"doc":"Creates a dashboard in an IoT SiteWise Monitor project.","ref":"aws_iotsitewise.html#create_dashboard/2","title":"aws_iotsitewise.create_dashboard/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#create_dashboard/3","title":"aws_iotsitewise.create_dashboard/3","type":"function"},{"doc":"Creates a gateway, which is a virtual or edge device that delivers industrial data streams from local servers to IoT SiteWise. For more information, see Ingesting data using a gateway in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#create_gateway/2","title":"aws_iotsitewise.create_gateway/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#create_gateway/3","title":"aws_iotsitewise.create_gateway/3","type":"function"},{"doc":"Creates a portal, which can contain projects and dashboards. IoT SiteWise Monitor uses IAM Identity Center or IAM to authenticate portal users and manage user permissions. Before you can sign in to a new portal, you must add at least one identity to that portal. For more information, see Adding or removing portal administrators in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#create_portal/2","title":"aws_iotsitewise.create_portal/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#create_portal/3","title":"aws_iotsitewise.create_portal/3","type":"function"},{"doc":"Creates a project in the specified portal. Make sure that the project name and description don't contain confidential information.","ref":"aws_iotsitewise.html#create_project/2","title":"aws_iotsitewise.create_project/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#create_project/3","title":"aws_iotsitewise.create_project/3","type":"function"},{"doc":"Deletes an access policy that grants the specified identity access to the specified IoT SiteWise Monitor resource. You can use this operation to revoke access to an IoT SiteWise Monitor resource.","ref":"aws_iotsitewise.html#delete_access_policy/3","title":"aws_iotsitewise.delete_access_policy/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#delete_access_policy/4","title":"aws_iotsitewise.delete_access_policy/4","type":"function"},{"doc":"Deletes an asset. This action can't be undone. For more information, see Deleting assets and models in the IoT SiteWise User Guide. You can't delete an asset that's associated to another asset. For more information, see DisassociateAssets.","ref":"aws_iotsitewise.html#delete_asset/3","title":"aws_iotsitewise.delete_asset/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#delete_asset/4","title":"aws_iotsitewise.delete_asset/4","type":"function"},{"doc":"Deletes an asset model. This action can't be undone. You must delete all assets created from an asset model before you can delete the model. Also, you can't delete an asset model if a parent asset model exists that contains a property formula expression that depends on the asset model that you want to delete. For more information, see Deleting assets and models in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#delete_asset_model/3","title":"aws_iotsitewise.delete_asset_model/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#delete_asset_model/4","title":"aws_iotsitewise.delete_asset_model/4","type":"function"},{"doc":"Deletes a dashboard from IoT SiteWise Monitor.","ref":"aws_iotsitewise.html#delete_dashboard/3","title":"aws_iotsitewise.delete_dashboard/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#delete_dashboard/4","title":"aws_iotsitewise.delete_dashboard/4","type":"function"},{"doc":"Deletes a gateway from IoT SiteWise. When you delete a gateway, some of the gateway's files remain in your gateway's file system.","ref":"aws_iotsitewise.html#delete_gateway/3","title":"aws_iotsitewise.delete_gateway/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#delete_gateway/4","title":"aws_iotsitewise.delete_gateway/4","type":"function"},{"doc":"Deletes a portal from IoT SiteWise Monitor.","ref":"aws_iotsitewise.html#delete_portal/3","title":"aws_iotsitewise.delete_portal/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#delete_portal/4","title":"aws_iotsitewise.delete_portal/4","type":"function"},{"doc":"Deletes a project from IoT SiteWise Monitor.","ref":"aws_iotsitewise.html#delete_project/3","title":"aws_iotsitewise.delete_project/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#delete_project/4","title":"aws_iotsitewise.delete_project/4","type":"function"},{"doc":"Deletes a time series (data stream). If you delete a time series that's associated with an asset property, the asset property still exists, but the time series will no longer be associated with this asset property. To identify a time series, do one of the following: If the time series isn't associated with an asset property, specify the alias of the time series. If the time series is associated with an asset property, specify one of the following: The alias of the time series. The assetId and propertyId that identifies the asset property.","ref":"aws_iotsitewise.html#delete_time_series/2","title":"aws_iotsitewise.delete_time_series/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#delete_time_series/3","title":"aws_iotsitewise.delete_time_series/3","type":"function"},{"doc":"Describes an access policy, which specifies an identity's access to an IoT SiteWise Monitor portal or project.","ref":"aws_iotsitewise.html#describe_access_policy/2","title":"aws_iotsitewise.describe_access_policy/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_access_policy/4","title":"aws_iotsitewise.describe_access_policy/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_access_policy/5","title":"aws_iotsitewise.describe_access_policy/5","type":"function"},{"doc":"Retrieves information about an asset.","ref":"aws_iotsitewise.html#describe_asset/2","title":"aws_iotsitewise.describe_asset/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_asset/4","title":"aws_iotsitewise.describe_asset/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_asset/5","title":"aws_iotsitewise.describe_asset/5","type":"function"},{"doc":"Retrieves information about an asset model.","ref":"aws_iotsitewise.html#describe_asset_model/2","title":"aws_iotsitewise.describe_asset_model/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_asset_model/4","title":"aws_iotsitewise.describe_asset_model/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_asset_model/5","title":"aws_iotsitewise.describe_asset_model/5","type":"function"},{"doc":"Retrieves information about an asset property. When you call this operation for an attribute property, this response includes the default attribute value that you define in the asset model. If you update the default value in the model, this operation's response includes the new default value. This operation doesn't return the value of the asset property. To get the value of an asset property, use GetAssetPropertyValue.","ref":"aws_iotsitewise.html#describe_asset_property/3","title":"aws_iotsitewise.describe_asset_property/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_asset_property/5","title":"aws_iotsitewise.describe_asset_property/5","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_asset_property/6","title":"aws_iotsitewise.describe_asset_property/6","type":"function"},{"doc":"Retrieves information about a bulk import job request. For more information, see Describe a bulk import job (CLI) in the Amazon Simple Storage Service User Guide.","ref":"aws_iotsitewise.html#describe_bulk_import_job/2","title":"aws_iotsitewise.describe_bulk_import_job/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_bulk_import_job/4","title":"aws_iotsitewise.describe_bulk_import_job/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_bulk_import_job/5","title":"aws_iotsitewise.describe_bulk_import_job/5","type":"function"},{"doc":"Retrieves information about a dashboard.","ref":"aws_iotsitewise.html#describe_dashboard/2","title":"aws_iotsitewise.describe_dashboard/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_dashboard/4","title":"aws_iotsitewise.describe_dashboard/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_dashboard/5","title":"aws_iotsitewise.describe_dashboard/5","type":"function"},{"doc":"Retrieves information about the default encryption configuration for the Amazon Web Services account in the default or specified Region. For more information, see Key management in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#describe_default_encryption_configuration/1","title":"aws_iotsitewise.describe_default_encryption_configuration/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_default_encryption_configuration/3","title":"aws_iotsitewise.describe_default_encryption_configuration/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_default_encryption_configuration/4","title":"aws_iotsitewise.describe_default_encryption_configuration/4","type":"function"},{"doc":"Retrieves information about a gateway.","ref":"aws_iotsitewise.html#describe_gateway/2","title":"aws_iotsitewise.describe_gateway/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_gateway/4","title":"aws_iotsitewise.describe_gateway/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_gateway/5","title":"aws_iotsitewise.describe_gateway/5","type":"function"},{"doc":"Retrieves information about a gateway capability configuration. Each gateway capability defines data sources for a gateway. A capability configuration can contain multiple data source configurations. If you define OPC-UA sources for a gateway in the IoT SiteWise console, all of your OPC-UA sources are stored in one capability configuration. To list all capability configurations for a gateway, use DescribeGateway.","ref":"aws_iotsitewise.html#describe_gateway_capability_configuration/3","title":"aws_iotsitewise.describe_gateway_capability_configuration/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_gateway_capability_configuration/5","title":"aws_iotsitewise.describe_gateway_capability_configuration/5","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_gateway_capability_configuration/6","title":"aws_iotsitewise.describe_gateway_capability_configuration/6","type":"function"},{"doc":"Retrieves the current IoT SiteWise logging options.","ref":"aws_iotsitewise.html#describe_logging_options/1","title":"aws_iotsitewise.describe_logging_options/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_logging_options/3","title":"aws_iotsitewise.describe_logging_options/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_logging_options/4","title":"aws_iotsitewise.describe_logging_options/4","type":"function"},{"doc":"Retrieves information about a portal.","ref":"aws_iotsitewise.html#describe_portal/2","title":"aws_iotsitewise.describe_portal/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_portal/4","title":"aws_iotsitewise.describe_portal/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_portal/5","title":"aws_iotsitewise.describe_portal/5","type":"function"},{"doc":"Retrieves information about a project.","ref":"aws_iotsitewise.html#describe_project/2","title":"aws_iotsitewise.describe_project/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_project/4","title":"aws_iotsitewise.describe_project/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_project/5","title":"aws_iotsitewise.describe_project/5","type":"function"},{"doc":"Retrieves information about the storage configuration for IoT SiteWise.","ref":"aws_iotsitewise.html#describe_storage_configuration/1","title":"aws_iotsitewise.describe_storage_configuration/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_storage_configuration/3","title":"aws_iotsitewise.describe_storage_configuration/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_storage_configuration/4","title":"aws_iotsitewise.describe_storage_configuration/4","type":"function"},{"doc":"Retrieves information about a time series (data stream). To identify a time series, do one of the following: If the time series isn't associated with an asset property, specify the alias of the time series. If the time series is associated with an asset property, specify one of the following: The alias of the time series. The assetId and propertyId that identifies the asset property.","ref":"aws_iotsitewise.html#describe_time_series/1","title":"aws_iotsitewise.describe_time_series/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_time_series/3","title":"aws_iotsitewise.describe_time_series/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#describe_time_series/4","title":"aws_iotsitewise.describe_time_series/4","type":"function"},{"doc":"Disassociates a child asset from the given parent asset through a hierarchy defined in the parent asset's model.","ref":"aws_iotsitewise.html#disassociate_assets/3","title":"aws_iotsitewise.disassociate_assets/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#disassociate_assets/4","title":"aws_iotsitewise.disassociate_assets/4","type":"function"},{"doc":"Disassociates a time series (data stream) from an asset property.","ref":"aws_iotsitewise.html#disassociate_time_series_from_asset_property/2","title":"aws_iotsitewise.disassociate_time_series_from_asset_property/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#disassociate_time_series_from_asset_property/3","title":"aws_iotsitewise.disassociate_time_series_from_asset_property/3","type":"function"},{"doc":"Gets aggregated values for an asset property. For more information, see Querying aggregates in the IoT SiteWise User Guide. To identify an asset property, you must specify one of the following: The assetId and propertyId of an asset property. A propertyAlias , which is a data stream alias (for example, /company/windfarm/3/turbine/7/temperature ). To define an asset property's alias, see UpdateAssetProperty.","ref":"aws_iotsitewise.html#get_asset_property_aggregates/5","title":"aws_iotsitewise.get_asset_property_aggregates/5","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#get_asset_property_aggregates/7","title":"aws_iotsitewise.get_asset_property_aggregates/7","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#get_asset_property_aggregates/8","title":"aws_iotsitewise.get_asset_property_aggregates/8","type":"function"},{"doc":"Gets an asset property's current value. For more information, see Querying current values in the IoT SiteWise User Guide. To identify an asset property, you must specify one of the following: The assetId and propertyId of an asset property. A propertyAlias , which is a data stream alias (for example, /company/windfarm/3/turbine/7/temperature ). To define an asset property's alias, see UpdateAssetProperty.","ref":"aws_iotsitewise.html#get_asset_property_value/1","title":"aws_iotsitewise.get_asset_property_value/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#get_asset_property_value/3","title":"aws_iotsitewise.get_asset_property_value/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#get_asset_property_value/4","title":"aws_iotsitewise.get_asset_property_value/4","type":"function"},{"doc":"Gets the history of an asset property's values. For more information, see Querying historical values in the IoT SiteWise User Guide. To identify an asset property, you must specify one of the following: The assetId and propertyId of an asset property. A propertyAlias , which is a data stream alias (for example, /company/windfarm/3/turbine/7/temperature ). To define an asset property's alias, see UpdateAssetProperty.","ref":"aws_iotsitewise.html#get_asset_property_value_history/1","title":"aws_iotsitewise.get_asset_property_value_history/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#get_asset_property_value_history/3","title":"aws_iotsitewise.get_asset_property_value_history/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#get_asset_property_value_history/4","title":"aws_iotsitewise.get_asset_property_value_history/4","type":"function"},{"doc":"Get interpolated values for an asset property for a specified time interval, during a period of time. If your time series is missing data points during the specified time interval, you can use interpolation to estimate the missing data. For example, you can use this operation to return the interpolated temperature values for a wind turbine every 24 hours over a duration of 7 days. To identify an asset property, you must specify one of the following: The assetId and propertyId of an asset property. A propertyAlias , which is a data stream alias (for example, /company/windfarm/3/turbine/7/temperature ). To define an asset property's alias, see UpdateAssetProperty.","ref":"aws_iotsitewise.html#get_interpolated_asset_property_values/6","title":"aws_iotsitewise.get_interpolated_asset_property_values/6","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#get_interpolated_asset_property_values/8","title":"aws_iotsitewise.get_interpolated_asset_property_values/8","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#get_interpolated_asset_property_values/9","title":"aws_iotsitewise.get_interpolated_asset_property_values/9","type":"function"},{"doc":"Retrieves a paginated list of access policies for an identity (an IAM Identity Center user, an IAM Identity Center group, or an IAM user) or an IoT SiteWise Monitor resource (a portal or project).","ref":"aws_iotsitewise.html#list_access_policies/1","title":"aws_iotsitewise.list_access_policies/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_access_policies/3","title":"aws_iotsitewise.list_access_policies/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_access_policies/4","title":"aws_iotsitewise.list_access_policies/4","type":"function"},{"doc":"Retrieves a paginated list of properties associated with an asset model. If you update properties associated with the model before you finish listing all the properties, you need to start all over again.","ref":"aws_iotsitewise.html#list_asset_model_properties/2","title":"aws_iotsitewise.list_asset_model_properties/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_asset_model_properties/4","title":"aws_iotsitewise.list_asset_model_properties/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_asset_model_properties/5","title":"aws_iotsitewise.list_asset_model_properties/5","type":"function"},{"doc":"Retrieves a paginated list of summaries of all asset models.","ref":"aws_iotsitewise.html#list_asset_models/1","title":"aws_iotsitewise.list_asset_models/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_asset_models/3","title":"aws_iotsitewise.list_asset_models/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_asset_models/4","title":"aws_iotsitewise.list_asset_models/4","type":"function"},{"doc":"Retrieves a paginated list of properties associated with an asset. If you update properties associated with the model before you finish listing all the properties, you need to start all over again.","ref":"aws_iotsitewise.html#list_asset_properties/2","title":"aws_iotsitewise.list_asset_properties/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_asset_properties/4","title":"aws_iotsitewise.list_asset_properties/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_asset_properties/5","title":"aws_iotsitewise.list_asset_properties/5","type":"function"},{"doc":"Retrieves a paginated list of asset relationships for an asset. You can use this operation to identify an asset's root asset and all associated assets between that asset and its root.","ref":"aws_iotsitewise.html#list_asset_relationships/3","title":"aws_iotsitewise.list_asset_relationships/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_asset_relationships/5","title":"aws_iotsitewise.list_asset_relationships/5","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_asset_relationships/6","title":"aws_iotsitewise.list_asset_relationships/6","type":"function"},{"doc":"Retrieves a paginated list of asset summaries. You can use this operation to do the following: List assets based on a specific asset model. List top-level assets. You can't use this operation to list all assets. To retrieve summaries for all of your assets, use ListAssetModels to get all of your asset model IDs. Then, use ListAssets to get all assets for each asset model.","ref":"aws_iotsitewise.html#list_assets/1","title":"aws_iotsitewise.list_assets/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_assets/3","title":"aws_iotsitewise.list_assets/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_assets/4","title":"aws_iotsitewise.list_assets/4","type":"function"},{"doc":"Retrieves a paginated list of associated assets. You can use this operation to do the following: List child assets associated to a parent asset by a hierarchy that you specify. List an asset's parent asset.","ref":"aws_iotsitewise.html#list_associated_assets/2","title":"aws_iotsitewise.list_associated_assets/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_associated_assets/4","title":"aws_iotsitewise.list_associated_assets/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_associated_assets/5","title":"aws_iotsitewise.list_associated_assets/5","type":"function"},{"doc":"Retrieves a paginated list of bulk import job requests. For more information, see List bulk import jobs (CLI) in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#list_bulk_import_jobs/1","title":"aws_iotsitewise.list_bulk_import_jobs/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_bulk_import_jobs/3","title":"aws_iotsitewise.list_bulk_import_jobs/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_bulk_import_jobs/4","title":"aws_iotsitewise.list_bulk_import_jobs/4","type":"function"},{"doc":"Retrieves a paginated list of dashboards for an IoT SiteWise Monitor project.","ref":"aws_iotsitewise.html#list_dashboards/2","title":"aws_iotsitewise.list_dashboards/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_dashboards/4","title":"aws_iotsitewise.list_dashboards/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_dashboards/5","title":"aws_iotsitewise.list_dashboards/5","type":"function"},{"doc":"Retrieves a paginated list of gateways.","ref":"aws_iotsitewise.html#list_gateways/1","title":"aws_iotsitewise.list_gateways/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_gateways/3","title":"aws_iotsitewise.list_gateways/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_gateways/4","title":"aws_iotsitewise.list_gateways/4","type":"function"},{"doc":"Retrieves a paginated list of IoT SiteWise Monitor portals.","ref":"aws_iotsitewise.html#list_portals/1","title":"aws_iotsitewise.list_portals/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_portals/3","title":"aws_iotsitewise.list_portals/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_portals/4","title":"aws_iotsitewise.list_portals/4","type":"function"},{"doc":"Retrieves a paginated list of assets associated with an IoT SiteWise Monitor project.","ref":"aws_iotsitewise.html#list_project_assets/2","title":"aws_iotsitewise.list_project_assets/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_project_assets/4","title":"aws_iotsitewise.list_project_assets/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_project_assets/5","title":"aws_iotsitewise.list_project_assets/5","type":"function"},{"doc":"Retrieves a paginated list of projects for an IoT SiteWise Monitor portal.","ref":"aws_iotsitewise.html#list_projects/2","title":"aws_iotsitewise.list_projects/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_projects/4","title":"aws_iotsitewise.list_projects/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_projects/5","title":"aws_iotsitewise.list_projects/5","type":"function"},{"doc":"Retrieves the list of tags for an IoT SiteWise resource.","ref":"aws_iotsitewise.html#list_tags_for_resource/2","title":"aws_iotsitewise.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_tags_for_resource/4","title":"aws_iotsitewise.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_tags_for_resource/5","title":"aws_iotsitewise.list_tags_for_resource/5","type":"function"},{"doc":"Retrieves a paginated list of time series (data streams).","ref":"aws_iotsitewise.html#list_time_series/1","title":"aws_iotsitewise.list_time_series/1","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_time_series/3","title":"aws_iotsitewise.list_time_series/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#list_time_series/4","title":"aws_iotsitewise.list_time_series/4","type":"function"},{"doc":"Sets the default encryption configuration for the Amazon Web Services account. For more information, see Key management in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#put_default_encryption_configuration/2","title":"aws_iotsitewise.put_default_encryption_configuration/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#put_default_encryption_configuration/3","title":"aws_iotsitewise.put_default_encryption_configuration/3","type":"function"},{"doc":"Sets logging options for IoT SiteWise.","ref":"aws_iotsitewise.html#put_logging_options/2","title":"aws_iotsitewise.put_logging_options/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#put_logging_options/3","title":"aws_iotsitewise.put_logging_options/3","type":"function"},{"doc":"Configures storage settings for IoT SiteWise.","ref":"aws_iotsitewise.html#put_storage_configuration/2","title":"aws_iotsitewise.put_storage_configuration/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#put_storage_configuration/3","title":"aws_iotsitewise.put_storage_configuration/3","type":"function"},{"doc":"Adds tags to an IoT SiteWise resource. If a tag already exists for the resource, this operation updates the tag's value.","ref":"aws_iotsitewise.html#tag_resource/2","title":"aws_iotsitewise.tag_resource/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#tag_resource/3","title":"aws_iotsitewise.tag_resource/3","type":"function"},{"doc":"Removes a tag from an IoT SiteWise resource.","ref":"aws_iotsitewise.html#untag_resource/2","title":"aws_iotsitewise.untag_resource/2","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#untag_resource/3","title":"aws_iotsitewise.untag_resource/3","type":"function"},{"doc":"Updates an existing access policy that specifies an identity's access to an IoT SiteWise Monitor portal or project resource.","ref":"aws_iotsitewise.html#update_access_policy/3","title":"aws_iotsitewise.update_access_policy/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#update_access_policy/4","title":"aws_iotsitewise.update_access_policy/4","type":"function"},{"doc":"Updates an asset's name. For more information, see Updating assets and models in the IoT SiteWise User Guide.","ref":"aws_iotsitewise.html#update_asset/3","title":"aws_iotsitewise.update_asset/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#update_asset/4","title":"aws_iotsitewise.update_asset/4","type":"function"},{"doc":"Updates an asset model and all of the assets that were created from the model. Each asset created from the model inherits the updated asset model's property and hierarchy definitions. For more information, see Updating assets and models in the IoT SiteWise User Guide. This operation overwrites the existing model with the provided model. To avoid deleting your asset model's properties or hierarchies, you must include their IDs and definitions in the updated asset model payload. For more information, see DescribeAssetModel. If you remove a property from an asset model, IoT SiteWise deletes all previous data for that property. If you remove a hierarchy definition from an asset model, IoT SiteWise disassociates every asset associated with that hierarchy. You can't change the type or data type of an existing property.","ref":"aws_iotsitewise.html#update_asset_model/3","title":"aws_iotsitewise.update_asset_model/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#update_asset_model/4","title":"aws_iotsitewise.update_asset_model/4","type":"function"},{"doc":"Updates an asset property's alias and notification state. This operation overwrites the property's existing alias and notification state. To keep your existing property's alias or notification state, you must include the existing values in the UpdateAssetProperty request. For more information, see DescribeAssetProperty.","ref":"aws_iotsitewise.html#update_asset_property/4","title":"aws_iotsitewise.update_asset_property/4","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#update_asset_property/5","title":"aws_iotsitewise.update_asset_property/5","type":"function"},{"doc":"Updates an IoT SiteWise Monitor dashboard.","ref":"aws_iotsitewise.html#update_dashboard/3","title":"aws_iotsitewise.update_dashboard/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#update_dashboard/4","title":"aws_iotsitewise.update_dashboard/4","type":"function"},{"doc":"Updates a gateway's name.","ref":"aws_iotsitewise.html#update_gateway/3","title":"aws_iotsitewise.update_gateway/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#update_gateway/4","title":"aws_iotsitewise.update_gateway/4","type":"function"},{"doc":"Updates a gateway capability configuration or defines a new capability configuration. Each gateway capability defines data sources for a gateway. A capability configuration can contain multiple data source configurations. If you define OPC-UA sources for a gateway in the IoT SiteWise console, all of your OPC-UA sources are stored in one capability configuration. To list all capability configurations for a gateway, use DescribeGateway.","ref":"aws_iotsitewise.html#update_gateway_capability_configuration/3","title":"aws_iotsitewise.update_gateway_capability_configuration/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#update_gateway_capability_configuration/4","title":"aws_iotsitewise.update_gateway_capability_configuration/4","type":"function"},{"doc":"Updates an IoT SiteWise Monitor portal.","ref":"aws_iotsitewise.html#update_portal/3","title":"aws_iotsitewise.update_portal/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#update_portal/4","title":"aws_iotsitewise.update_portal/4","type":"function"},{"doc":"Updates an IoT SiteWise Monitor project.","ref":"aws_iotsitewise.html#update_project/3","title":"aws_iotsitewise.update_project/3","type":"function"},{"doc":"","ref":"aws_iotsitewise.html#update_project/4","title":"aws_iotsitewise.update_project/4","type":"function"},{"doc":"AWS IoT Things Graph AWS IoT Things Graph provides an integrated set of tools that enable developers to connect devices and services that use different standards, such as units of measure and communication protocols. AWS IoT Things Graph makes it possible to build IoT applications with little to no code by connecting devices and services and defining how they interact at an abstract level. For more information about how AWS IoT Things Graph works, see the User Guide. The AWS IoT Things Graph service is discontinued.","ref":"aws_iotthingsgraph.html","title":"aws_iotthingsgraph","type":"module"},{"doc":"Associates a device with a concrete thing that is in the user's registry. A thing can be associated with only one device at a time. If you associate a thing with a new device id, its previous association will be removed.","ref":"aws_iotthingsgraph.html#associate_entity_to_thing/2","title":"aws_iotthingsgraph.associate_entity_to_thing/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#associate_entity_to_thing/3","title":"aws_iotthingsgraph.associate_entity_to_thing/3","type":"function"},{"doc":"Creates a workflow template. Workflows can be created only in the user's namespace. (The public namespace contains only entities.) The workflow can contain only entities in the specified namespace. The workflow is validated against the entities in the latest version of the user's namespace unless another namespace version is specified in the request.","ref":"aws_iotthingsgraph.html#create_flow_template/2","title":"aws_iotthingsgraph.create_flow_template/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#create_flow_template/3","title":"aws_iotthingsgraph.create_flow_template/3","type":"function"},{"doc":"Creates a system instance. This action validates the system instance, prepares the deployment-related resources. For Greengrass deployments, it updates the Greengrass group that is specified by the greengrassGroupName parameter. It also adds a file to the S3 bucket specified by the s3BucketName parameter. You need to call DeploySystemInstance after running this action. For Greengrass deployments, since this action modifies and adds resources to a Greengrass group and an S3 bucket on the caller's behalf, the calling identity must have write permissions to both the specified Greengrass group and S3 bucket. Otherwise, the call will fail with an authorization error. For cloud deployments, this action requires a flowActionsRoleArn value. This is an IAM role that has permissions to access AWS services, such as AWS Lambda and AWS IoT, that the flow uses when it executes. If the definition document doesn't specify a version of the user's namespace, the latest version will be used by default.","ref":"aws_iotthingsgraph.html#create_system_instance/2","title":"aws_iotthingsgraph.create_system_instance/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#create_system_instance/3","title":"aws_iotthingsgraph.create_system_instance/3","type":"function"},{"doc":"Creates a system. The system is validated against the entities in the latest version of the user's namespace unless another namespace version is specified in the request.","ref":"aws_iotthingsgraph.html#create_system_template/2","title":"aws_iotthingsgraph.create_system_template/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#create_system_template/3","title":"aws_iotthingsgraph.create_system_template/3","type":"function"},{"doc":"Deletes a workflow. Any new system or deployment that contains this workflow will fail to update or deploy. Existing deployments that contain the workflow will continue to run (since they use a snapshot of the workflow taken at the time of deployment).","ref":"aws_iotthingsgraph.html#delete_flow_template/2","title":"aws_iotthingsgraph.delete_flow_template/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#delete_flow_template/3","title":"aws_iotthingsgraph.delete_flow_template/3","type":"function"},{"doc":"Deletes the specified namespace. This action deletes all of the entities in the namespace. Delete the systems and flows that use entities in the namespace before performing this action. This action takes no request parameters.","ref":"aws_iotthingsgraph.html#delete_namespace/2","title":"aws_iotthingsgraph.delete_namespace/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#delete_namespace/3","title":"aws_iotthingsgraph.delete_namespace/3","type":"function"},{"doc":"Deletes a system instance. Only system instances that have never been deployed, or that have been undeployed can be deleted. Users can create a new system instance that has the same ID as a deleted system instance.","ref":"aws_iotthingsgraph.html#delete_system_instance/2","title":"aws_iotthingsgraph.delete_system_instance/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#delete_system_instance/3","title":"aws_iotthingsgraph.delete_system_instance/3","type":"function"},{"doc":"Deletes a system. New deployments can't contain the system after its deletion. Existing deployments that contain the system will continue to work because they use a snapshot of the system that is taken when it is deployed.","ref":"aws_iotthingsgraph.html#delete_system_template/2","title":"aws_iotthingsgraph.delete_system_template/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#delete_system_template/3","title":"aws_iotthingsgraph.delete_system_template/3","type":"function"},{"doc":"Greengrass and Cloud Deployments Deploys the system instance to the target specified in CreateSystemInstance . Greengrass Deployments If the system or any workflows and entities have been updated before this action is called, then the deployment will create a new Amazon Simple Storage Service resource file and then deploy it. Since this action creates a Greengrass deployment on the caller's behalf, the calling identity must have write permissions to the specified Greengrass group. Otherwise, the call will fail with an authorization error. For information about the artifacts that get added to your Greengrass core device when you use this API, see AWS IoT Things Graph and AWS IoT Greengrass.","ref":"aws_iotthingsgraph.html#deploy_system_instance/2","title":"aws_iotthingsgraph.deploy_system_instance/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#deploy_system_instance/3","title":"aws_iotthingsgraph.deploy_system_instance/3","type":"function"},{"doc":"Deprecates the specified workflow. This action marks the workflow for deletion. Deprecated flows can't be deployed, but existing deployments will continue to run.","ref":"aws_iotthingsgraph.html#deprecate_flow_template/2","title":"aws_iotthingsgraph.deprecate_flow_template/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#deprecate_flow_template/3","title":"aws_iotthingsgraph.deprecate_flow_template/3","type":"function"},{"doc":"Deprecates the specified system.","ref":"aws_iotthingsgraph.html#deprecate_system_template/2","title":"aws_iotthingsgraph.deprecate_system_template/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#deprecate_system_template/3","title":"aws_iotthingsgraph.deprecate_system_template/3","type":"function"},{"doc":"Gets the latest version of the user's namespace and the public version that it is tracking.","ref":"aws_iotthingsgraph.html#describe_namespace/2","title":"aws_iotthingsgraph.describe_namespace/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#describe_namespace/3","title":"aws_iotthingsgraph.describe_namespace/3","type":"function"},{"doc":"Dissociates a device entity from a concrete thing. The action takes only the type of the entity that you need to dissociate because only one entity of a particular type can be associated with a thing.","ref":"aws_iotthingsgraph.html#dissociate_entity_from_thing/2","title":"aws_iotthingsgraph.dissociate_entity_from_thing/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#dissociate_entity_from_thing/3","title":"aws_iotthingsgraph.dissociate_entity_from_thing/3","type":"function"},{"doc":"Gets definitions of the specified entities. Uses the latest version of the user's namespace by default. This API returns the following TDM entities. Properties States Events Actions Capabilities Mappings Devices Device Models Services This action doesn't return definitions for systems, flows, and deployments.","ref":"aws_iotthingsgraph.html#get_entities/2","title":"aws_iotthingsgraph.get_entities/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#get_entities/3","title":"aws_iotthingsgraph.get_entities/3","type":"function"},{"doc":"Gets the latest version of the DefinitionDocument and FlowTemplateSummary for the specified workflow.","ref":"aws_iotthingsgraph.html#get_flow_template/2","title":"aws_iotthingsgraph.get_flow_template/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#get_flow_template/3","title":"aws_iotthingsgraph.get_flow_template/3","type":"function"},{"doc":"Gets revisions of the specified workflow. Only the last 100 revisions are stored. If the workflow has been deprecated, this action will return revisions that occurred before the deprecation. This action won't work for workflows that have been deleted.","ref":"aws_iotthingsgraph.html#get_flow_template_revisions/2","title":"aws_iotthingsgraph.get_flow_template_revisions/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#get_flow_template_revisions/3","title":"aws_iotthingsgraph.get_flow_template_revisions/3","type":"function"},{"doc":"Gets the status of a namespace deletion task.","ref":"aws_iotthingsgraph.html#get_namespace_deletion_status/2","title":"aws_iotthingsgraph.get_namespace_deletion_status/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#get_namespace_deletion_status/3","title":"aws_iotthingsgraph.get_namespace_deletion_status/3","type":"function"},{"doc":"Gets a system instance.","ref":"aws_iotthingsgraph.html#get_system_instance/2","title":"aws_iotthingsgraph.get_system_instance/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#get_system_instance/3","title":"aws_iotthingsgraph.get_system_instance/3","type":"function"},{"doc":"Gets a system.","ref":"aws_iotthingsgraph.html#get_system_template/2","title":"aws_iotthingsgraph.get_system_template/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#get_system_template/3","title":"aws_iotthingsgraph.get_system_template/3","type":"function"},{"doc":"Gets revisions made to the specified system template. Only the previous 100 revisions are stored. If the system has been deprecated, this action will return the revisions that occurred before its deprecation. This action won't work with systems that have been deleted.","ref":"aws_iotthingsgraph.html#get_system_template_revisions/2","title":"aws_iotthingsgraph.get_system_template_revisions/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#get_system_template_revisions/3","title":"aws_iotthingsgraph.get_system_template_revisions/3","type":"function"},{"doc":"Gets the status of the specified upload.","ref":"aws_iotthingsgraph.html#get_upload_status/2","title":"aws_iotthingsgraph.get_upload_status/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#get_upload_status/3","title":"aws_iotthingsgraph.get_upload_status/3","type":"function"},{"doc":"Returns a list of objects that contain information about events in a flow execution.","ref":"aws_iotthingsgraph.html#list_flow_execution_messages/2","title":"aws_iotthingsgraph.list_flow_execution_messages/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#list_flow_execution_messages/3","title":"aws_iotthingsgraph.list_flow_execution_messages/3","type":"function"},{"doc":"Lists all tags on an AWS IoT Things Graph resource.","ref":"aws_iotthingsgraph.html#list_tags_for_resource/2","title":"aws_iotthingsgraph.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#list_tags_for_resource/3","title":"aws_iotthingsgraph.list_tags_for_resource/3","type":"function"},{"doc":"Searches for entities of the specified type. You can search for entities in your namespace and the public namespace that you're tracking.","ref":"aws_iotthingsgraph.html#search_entities/2","title":"aws_iotthingsgraph.search_entities/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#search_entities/3","title":"aws_iotthingsgraph.search_entities/3","type":"function"},{"doc":"Searches for AWS IoT Things Graph workflow execution instances.","ref":"aws_iotthingsgraph.html#search_flow_executions/2","title":"aws_iotthingsgraph.search_flow_executions/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#search_flow_executions/3","title":"aws_iotthingsgraph.search_flow_executions/3","type":"function"},{"doc":"Searches for summary information about workflows.","ref":"aws_iotthingsgraph.html#search_flow_templates/2","title":"aws_iotthingsgraph.search_flow_templates/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#search_flow_templates/3","title":"aws_iotthingsgraph.search_flow_templates/3","type":"function"},{"doc":"Searches for system instances in the user's account.","ref":"aws_iotthingsgraph.html#search_system_instances/2","title":"aws_iotthingsgraph.search_system_instances/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#search_system_instances/3","title":"aws_iotthingsgraph.search_system_instances/3","type":"function"},{"doc":"Searches for summary information about systems in the user's account. You can filter by the ID of a workflow to return only systems that use the specified workflow.","ref":"aws_iotthingsgraph.html#search_system_templates/2","title":"aws_iotthingsgraph.search_system_templates/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#search_system_templates/3","title":"aws_iotthingsgraph.search_system_templates/3","type":"function"},{"doc":"Searches for things associated with the specified entity. You can search by both device and device model. For example, if two different devices, camera1 and camera2, implement the camera device model, the user can associate thing1 to camera1 and thing2 to camera2. SearchThings(camera2) will return only thing2, but SearchThings(camera) will return both thing1 and thing2. This action searches for exact matches and doesn't perform partial text matching.","ref":"aws_iotthingsgraph.html#search_things/2","title":"aws_iotthingsgraph.search_things/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#search_things/3","title":"aws_iotthingsgraph.search_things/3","type":"function"},{"doc":"Creates a tag for the specified resource.","ref":"aws_iotthingsgraph.html#tag_resource/2","title":"aws_iotthingsgraph.tag_resource/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#tag_resource/3","title":"aws_iotthingsgraph.tag_resource/3","type":"function"},{"doc":"Removes a system instance from its target (Cloud or Greengrass).","ref":"aws_iotthingsgraph.html#undeploy_system_instance/2","title":"aws_iotthingsgraph.undeploy_system_instance/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#undeploy_system_instance/3","title":"aws_iotthingsgraph.undeploy_system_instance/3","type":"function"},{"doc":"Removes a tag from the specified resource.","ref":"aws_iotthingsgraph.html#untag_resource/2","title":"aws_iotthingsgraph.untag_resource/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#untag_resource/3","title":"aws_iotthingsgraph.untag_resource/3","type":"function"},{"doc":"Updates the specified workflow. All deployed systems and system instances that use the workflow will see the changes in the flow when it is redeployed. If you don't want this behavior, copy the workflow (creating a new workflow with a different ID), and update the copy. The workflow can contain only entities in the specified namespace.","ref":"aws_iotthingsgraph.html#update_flow_template/2","title":"aws_iotthingsgraph.update_flow_template/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#update_flow_template/3","title":"aws_iotthingsgraph.update_flow_template/3","type":"function"},{"doc":"Updates the specified system. You don't need to run this action after updating a workflow. Any deployment that uses the system will see the changes in the system when it is redeployed.","ref":"aws_iotthingsgraph.html#update_system_template/2","title":"aws_iotthingsgraph.update_system_template/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#update_system_template/3","title":"aws_iotthingsgraph.update_system_template/3","type":"function"},{"doc":"Asynchronously uploads one or more entity definitions to the user's namespace. The document parameter is required if syncWithPublicNamespace and deleteExistingEntites are false. If the syncWithPublicNamespace parameter is set to true , the user's namespace will synchronize with the latest version of the public namespace. If deprecateExistingEntities is set to true, all entities in the latest version will be deleted before the new DefinitionDocument is uploaded. When a user uploads entity definitions for the first time, the service creates a new namespace for the user. The new namespace tracks the public namespace. Currently users can have only one namespace. The namespace version increments whenever a user uploads entity definitions that are backwards-incompatible and whenever a user sets the syncWithPublicNamespace parameter or the deprecateExistingEntities parameter to true . The IDs for all of the entities should be in URN format. Each entity must be in the user's namespace. Users can't create entities in the public namespace, but entity definitions can refer to entities in the public namespace. Valid entities are Device , DeviceModel , Service , Capability , State , Action , Event , Property , Mapping , Enum .","ref":"aws_iotthingsgraph.html#upload_entity_definitions/2","title":"aws_iotthingsgraph.upload_entity_definitions/2","type":"function"},{"doc":"","ref":"aws_iotthingsgraph.html#upload_entity_definitions/3","title":"aws_iotthingsgraph.upload_entity_definitions/3","type":"function"},{"doc":"IoT TwinMaker is a service that enables you to build operational digital twins of physical systems. IoT TwinMaker overlays measurements and analysis from real-world sensors, cameras, and enterprise applications so you can create data visualizations to monitor your physical factory, building, or industrial plant. You can use this real-world data to monitor operations and diagnose and repair errors.","ref":"aws_iottwinmaker.html","title":"aws_iottwinmaker","type":"module"},{"doc":"Sets values for multiple time series properties.","ref":"aws_iottwinmaker.html#batch_put_property_values/3","title":"aws_iottwinmaker.batch_put_property_values/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#batch_put_property_values/4","title":"aws_iottwinmaker.batch_put_property_values/4","type":"function"},{"doc":"Creates a component type.","ref":"aws_iottwinmaker.html#create_component_type/4","title":"aws_iottwinmaker.create_component_type/4","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#create_component_type/5","title":"aws_iottwinmaker.create_component_type/5","type":"function"},{"doc":"Creates an entity.","ref":"aws_iottwinmaker.html#create_entity/3","title":"aws_iottwinmaker.create_entity/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#create_entity/4","title":"aws_iottwinmaker.create_entity/4","type":"function"},{"doc":"Creates a scene.","ref":"aws_iottwinmaker.html#create_scene/3","title":"aws_iottwinmaker.create_scene/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#create_scene/4","title":"aws_iottwinmaker.create_scene/4","type":"function"},{"doc":"This action creates a SyncJob.","ref":"aws_iottwinmaker.html#create_sync_job/4","title":"aws_iottwinmaker.create_sync_job/4","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#create_sync_job/5","title":"aws_iottwinmaker.create_sync_job/5","type":"function"},{"doc":"Creates a workplace.","ref":"aws_iottwinmaker.html#create_workspace/3","title":"aws_iottwinmaker.create_workspace/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#create_workspace/4","title":"aws_iottwinmaker.create_workspace/4","type":"function"},{"doc":"Deletes a component type.","ref":"aws_iottwinmaker.html#delete_component_type/4","title":"aws_iottwinmaker.delete_component_type/4","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#delete_component_type/5","title":"aws_iottwinmaker.delete_component_type/5","type":"function"},{"doc":"Deletes an entity.","ref":"aws_iottwinmaker.html#delete_entity/4","title":"aws_iottwinmaker.delete_entity/4","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#delete_entity/5","title":"aws_iottwinmaker.delete_entity/5","type":"function"},{"doc":"Deletes a scene.","ref":"aws_iottwinmaker.html#delete_scene/4","title":"aws_iottwinmaker.delete_scene/4","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#delete_scene/5","title":"aws_iottwinmaker.delete_scene/5","type":"function"},{"doc":"Delete the SyncJob.","ref":"aws_iottwinmaker.html#delete_sync_job/4","title":"aws_iottwinmaker.delete_sync_job/4","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#delete_sync_job/5","title":"aws_iottwinmaker.delete_sync_job/5","type":"function"},{"doc":"Deletes a workspace.","ref":"aws_iottwinmaker.html#delete_workspace/3","title":"aws_iottwinmaker.delete_workspace/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#delete_workspace/4","title":"aws_iottwinmaker.delete_workspace/4","type":"function"},{"doc":"Run queries to access information from your knowledge graph of entities within individual workspaces.","ref":"aws_iottwinmaker.html#execute_query/2","title":"aws_iottwinmaker.execute_query/2","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#execute_query/3","title":"aws_iottwinmaker.execute_query/3","type":"function"},{"doc":"Retrieves information about a component type.","ref":"aws_iottwinmaker.html#get_component_type/3","title":"aws_iottwinmaker.get_component_type/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_component_type/5","title":"aws_iottwinmaker.get_component_type/5","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_component_type/6","title":"aws_iottwinmaker.get_component_type/6","type":"function"},{"doc":"Retrieves information about an entity.","ref":"aws_iottwinmaker.html#get_entity/3","title":"aws_iottwinmaker.get_entity/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_entity/5","title":"aws_iottwinmaker.get_entity/5","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_entity/6","title":"aws_iottwinmaker.get_entity/6","type":"function"},{"doc":"Gets the pricing plan.","ref":"aws_iottwinmaker.html#get_pricing_plan/1","title":"aws_iottwinmaker.get_pricing_plan/1","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_pricing_plan/3","title":"aws_iottwinmaker.get_pricing_plan/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_pricing_plan/4","title":"aws_iottwinmaker.get_pricing_plan/4","type":"function"},{"doc":"Gets the property values for a component, component type, entity, or workspace. You must specify a value for either componentName , componentTypeId , entityId , or workspaceId .","ref":"aws_iottwinmaker.html#get_property_value/3","title":"aws_iottwinmaker.get_property_value/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_property_value/4","title":"aws_iottwinmaker.get_property_value/4","type":"function"},{"doc":"Retrieves information about the history of a time series property value for a component, component type, entity, or workspace. You must specify a value for workspaceId . For entity-specific queries, specify values for componentName and entityId . For cross-entity quries, specify a value for componentTypeId .","ref":"aws_iottwinmaker.html#get_property_value_history/3","title":"aws_iottwinmaker.get_property_value_history/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_property_value_history/4","title":"aws_iottwinmaker.get_property_value_history/4","type":"function"},{"doc":"Retrieves information about a scene.","ref":"aws_iottwinmaker.html#get_scene/3","title":"aws_iottwinmaker.get_scene/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_scene/5","title":"aws_iottwinmaker.get_scene/5","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_scene/6","title":"aws_iottwinmaker.get_scene/6","type":"function"},{"doc":"Gets the SyncJob.","ref":"aws_iottwinmaker.html#get_sync_job/2","title":"aws_iottwinmaker.get_sync_job/2","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_sync_job/4","title":"aws_iottwinmaker.get_sync_job/4","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_sync_job/5","title":"aws_iottwinmaker.get_sync_job/5","type":"function"},{"doc":"Retrieves information about a workspace.","ref":"aws_iottwinmaker.html#get_workspace/2","title":"aws_iottwinmaker.get_workspace/2","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_workspace/4","title":"aws_iottwinmaker.get_workspace/4","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#get_workspace/5","title":"aws_iottwinmaker.get_workspace/5","type":"function"},{"doc":"Lists all component types in a workspace.","ref":"aws_iottwinmaker.html#list_component_types/3","title":"aws_iottwinmaker.list_component_types/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#list_component_types/4","title":"aws_iottwinmaker.list_component_types/4","type":"function"},{"doc":"Lists all entities in a workspace.","ref":"aws_iottwinmaker.html#list_entities/3","title":"aws_iottwinmaker.list_entities/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#list_entities/4","title":"aws_iottwinmaker.list_entities/4","type":"function"},{"doc":"Lists all scenes in a workspace.","ref":"aws_iottwinmaker.html#list_scenes/3","title":"aws_iottwinmaker.list_scenes/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#list_scenes/4","title":"aws_iottwinmaker.list_scenes/4","type":"function"},{"doc":"List all SyncJobs.","ref":"aws_iottwinmaker.html#list_sync_jobs/3","title":"aws_iottwinmaker.list_sync_jobs/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#list_sync_jobs/4","title":"aws_iottwinmaker.list_sync_jobs/4","type":"function"},{"doc":"Lists the sync resources.","ref":"aws_iottwinmaker.html#list_sync_resources/4","title":"aws_iottwinmaker.list_sync_resources/4","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#list_sync_resources/5","title":"aws_iottwinmaker.list_sync_resources/5","type":"function"},{"doc":"Lists all tags associated with a resource.","ref":"aws_iottwinmaker.html#list_tags_for_resource/2","title":"aws_iottwinmaker.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#list_tags_for_resource/3","title":"aws_iottwinmaker.list_tags_for_resource/3","type":"function"},{"doc":"Retrieves information about workspaces in the current account.","ref":"aws_iottwinmaker.html#list_workspaces/2","title":"aws_iottwinmaker.list_workspaces/2","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#list_workspaces/3","title":"aws_iottwinmaker.list_workspaces/3","type":"function"},{"doc":"Adds tags to a resource.","ref":"aws_iottwinmaker.html#tag_resource/2","title":"aws_iottwinmaker.tag_resource/2","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#tag_resource/3","title":"aws_iottwinmaker.tag_resource/3","type":"function"},{"doc":"Removes tags from a resource.","ref":"aws_iottwinmaker.html#untag_resource/2","title":"aws_iottwinmaker.untag_resource/2","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#untag_resource/3","title":"aws_iottwinmaker.untag_resource/3","type":"function"},{"doc":"Updates information in a component type.","ref":"aws_iottwinmaker.html#update_component_type/4","title":"aws_iottwinmaker.update_component_type/4","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#update_component_type/5","title":"aws_iottwinmaker.update_component_type/5","type":"function"},{"doc":"Updates an entity.","ref":"aws_iottwinmaker.html#update_entity/4","title":"aws_iottwinmaker.update_entity/4","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#update_entity/5","title":"aws_iottwinmaker.update_entity/5","type":"function"},{"doc":"Update the pricing plan.","ref":"aws_iottwinmaker.html#update_pricing_plan/2","title":"aws_iottwinmaker.update_pricing_plan/2","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#update_pricing_plan/3","title":"aws_iottwinmaker.update_pricing_plan/3","type":"function"},{"doc":"Updates a scene.","ref":"aws_iottwinmaker.html#update_scene/4","title":"aws_iottwinmaker.update_scene/4","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#update_scene/5","title":"aws_iottwinmaker.update_scene/5","type":"function"},{"doc":"Updates a workspace.","ref":"aws_iottwinmaker.html#update_workspace/3","title":"aws_iottwinmaker.update_workspace/3","type":"function"},{"doc":"","ref":"aws_iottwinmaker.html#update_workspace/4","title":"aws_iottwinmaker.update_workspace/4","type":"function"},{"doc":"Introduction The Amazon Interactive Video Service (IVS) API is REST compatible, using a standard HTTP API and an Amazon Web Services EventBridge event stream for responses. JSON is used for both requests and responses, including errors. The API is an Amazon Web Services regional service. For a list of supported regions and Amazon IVS HTTPS service endpoints, see the Amazon IVS page in the Amazon Web Services General Reference. All API request parameters and URLs are case sensitive. For a summary of notable documentation changes in each release, see Document History. Allowed Header Values Accept: application/json Accept-Encoding: gzip, deflate Content-Type: application/json Resources The following resources contain information about your IVS live stream (see Getting Started with Amazon IVS): Channel — Stores configuration data related to your live stream. You first create a channel and then use the channel’s stream key to start your live stream. See the Channel endpoints for more information. Stream key — An identifier assigned by Amazon IVS when you create a channel, which is then used to authorize streaming. See the StreamKey endpoints for more information. Treat the stream key like a secret, since it allows anyone to stream to the channel. Playback key pair — Video playback may be restricted using playback-authorization tokens, which use public-key encryption. A playback key pair is the public-private pair of keys used to sign and validate the playback-authorization token. See the PlaybackKeyPair endpoints for more information. Recording configuration — Stores configuration related to recording a live stream and where to store the recorded content. Multiple channels can reference the same recording configuration. See the Recording Configuration endpoints for more information. Tagging A tag is a metadata label that you assign to an Amazon Web Services resource. A tag comprises a key and a value, both set by you. For example, you might set a tag as topic:nature to label a particular video category. See Tagging Amazon Web Services Resources for more information, including restrictions that apply to tags and &quot;Tag naming limits and requirements&quot;; Amazon IVS has no service-specific constraints beyond what is documented there. Tags can help you identify and organize your Amazon Web Services resources. For example, you can use the same tag for different resources to indicate that they are related. You can also use tags to manage access (see Access Tags). The Amazon IVS API has these tag-related endpoints: TagResource , UntagResource , and ListTagsForResource . The following resources support tagging: Channels, Stream Keys, Playback Key Pairs, and Recording Configurations. At most 50 tags can be applied to a resource. Authentication versus Authorization Note the differences between these concepts: Authentication is about verifying identity. You need to be authenticated to sign Amazon IVS API requests. Authorization is about granting permissions. Your IAM roles need to have permissions for Amazon IVS API requests. In addition, authorization is needed to view Amazon IVS private channels. (Private channels are channels that are enabled for &quot;playback authorization.&quot;) Authentication All Amazon IVS API requests must be authenticated with a signature. The Amazon Web Services Command-Line Interface (CLI) and Amazon IVS Player SDKs take care of signing the underlying API calls for you. However, if your application calls the Amazon IVS API directly, it’s your responsibility to sign the requests. You generate a signature using valid Amazon Web Services credentials that have permission to perform the requested action. For example, you must sign PutMetadata requests with a signature generated from an IAM user account that has the ivs:PutMetadata permission. For more information: Authentication and generating signatures — See Authenticating Requests (Amazon Web Services Signature Version 4) in the Amazon Web Services General Reference. Managing Amazon IVS permissions — See Identity and Access Management on the Security page of the Amazon IVS User Guide. Amazon Resource Names (ARNs) ARNs uniquely identify AWS resources. An ARN is required when you need to specify a resource unambiguously across all of AWS, such as in IAM policies and API calls. For more information, see Amazon Resource Names in the AWS General Reference. Channel Endpoints CreateChannel — Creates a new channel and an associated stream key to start streaming. GetChannel — Gets the channel configuration for the specified channel ARN. BatchGetChannel — Performs GetChannel on multiple ARNs simultaneously. ListChannels — Gets summary information about all channels in your account, in the Amazon Web Services region where the API request is processed. This list can be filtered to match a specified name or recording-configuration ARN. Filters are mutually exclusive and cannot be used together. If you try to use both filters, you will get an error (409 Conflict Exception). UpdateChannel — Updates a channel's configuration. This does not affect an ongoing stream of this channel. You must stop and restart the stream for the changes to take effect. DeleteChannel — Deletes the specified channel. StreamKey Endpoints CreateStreamKey — Creates a stream key, used to initiate a stream, for the specified channel ARN. GetStreamKey — Gets stream key information for the specified ARN. BatchGetStreamKey — Performs GetStreamKey on multiple ARNs simultaneously. ListStreamKeys — Gets summary information about stream keys for the specified channel. DeleteStreamKey — Deletes the stream key for the specified ARN, so it can no longer be used to stream. Stream Endpoints GetStream — Gets information about the active (live) stream on a specified channel. GetStreamSession — Gets metadata on a specified stream. ListStreams — Gets summary information about live streams in your account, in the Amazon Web Services region where the API request is processed. ListStreamSessions — Gets a summary of current and previous streams for a specified channel in your account, in the AWS region where the API request is processed. StopStream — Disconnects the incoming RTMPS stream for the specified channel. Can be used in conjunction with DeleteStreamKey to prevent further streaming to a channel. PutMetadata — Inserts metadata into the active stream of the specified channel. At most 5 requests per second per channel are allowed, each with a maximum 1 KB payload. (If 5 TPS is not sufficient for your needs, we recommend batching your data into a single PutMetadata call.) At most 155 requests per second per account are allowed. PlaybackKeyPair Endpoints For more information, see Setting Up Private Channels in the Amazon IVS User Guide. ImportPlaybackKeyPair — Imports the public portion of a new key pair and returns its arn and fingerprint . The privateKey can then be used to generate viewer authorization tokens, to grant viewers access to private channels (channels enabled for playback authorization). GetPlaybackKeyPair — Gets a specified playback authorization key pair and returns the arn and fingerprint . The privateKey held by the caller can be used to generate viewer authorization tokens, to grant viewers access to private channels. ListPlaybackKeyPairs — Gets summary information about playback key pairs. DeletePlaybackKeyPair — Deletes a specified authorization key pair. This invalidates future viewer tokens generated using the key pair’s privateKey . RecordingConfiguration Endpoints CreateRecordingConfiguration — Creates a new recording configuration, used to enable recording to Amazon S3. GetRecordingConfiguration — Gets the recording-configuration metadata for the specified ARN. ListRecordingConfigurations — Gets summary information about all recording configurations in your account, in the Amazon Web Services region where the API request is processed. DeleteRecordingConfiguration — Deletes the recording configuration for the specified ARN. Amazon Web Services Tags Endpoints TagResource — Adds or updates tags for the Amazon Web Services resource with the specified ARN. UntagResource — Removes tags from the resource with the specified ARN. ListTagsForResource — Gets information about Amazon Web Services tags for the specified ARN.","ref":"aws_ivs.html","title":"aws_ivs","type":"module"},{"doc":"Performs GetChannel on multiple ARNs simultaneously.","ref":"aws_ivs.html#batch_get_channel/2","title":"aws_ivs.batch_get_channel/2","type":"function"},{"doc":"","ref":"aws_ivs.html#batch_get_channel/3","title":"aws_ivs.batch_get_channel/3","type":"function"},{"doc":"Performs GetStreamKey on multiple ARNs simultaneously.","ref":"aws_ivs.html#batch_get_stream_key/2","title":"aws_ivs.batch_get_stream_key/2","type":"function"},{"doc":"","ref":"aws_ivs.html#batch_get_stream_key/3","title":"aws_ivs.batch_get_stream_key/3","type":"function"},{"doc":"Creates a new channel and an associated stream key to start streaming.","ref":"aws_ivs.html#create_channel/2","title":"aws_ivs.create_channel/2","type":"function"},{"doc":"","ref":"aws_ivs.html#create_channel/3","title":"aws_ivs.create_channel/3","type":"function"},{"doc":"Creates a new recording configuration, used to enable recording to Amazon S3. Known issue: In the us-east-1 region, if you use the Amazon Web Services CLI to create a recording configuration, it returns success even if the S3 bucket is in a different region. In this case, the state of the recording configuration is CREATE_FAILED (instead of ACTIVE ). (In other regions, the CLI correctly returns failure if the bucket is in a different region.) Workaround: Ensure that your S3 bucket is in the same region as the recording configuration. If you create a recording configuration in a different region as your S3 bucket, delete that recording configuration and create a new one with an S3 bucket from the correct region.","ref":"aws_ivs.html#create_recording_configuration/2","title":"aws_ivs.create_recording_configuration/2","type":"function"},{"doc":"","ref":"aws_ivs.html#create_recording_configuration/3","title":"aws_ivs.create_recording_configuration/3","type":"function"},{"doc":"Creates a stream key, used to initiate a stream, for the specified channel ARN. Note that CreateChannel creates a stream key. If you subsequently use CreateStreamKey on the same channel, it will fail because a stream key already exists and there is a limit of 1 stream key per channel. To reset the stream key on a channel, use DeleteStreamKey and then CreateStreamKey.","ref":"aws_ivs.html#create_stream_key/2","title":"aws_ivs.create_stream_key/2","type":"function"},{"doc":"","ref":"aws_ivs.html#create_stream_key/3","title":"aws_ivs.create_stream_key/3","type":"function"},{"doc":"Deletes the specified channel and its associated stream keys. If you try to delete a live channel, you will get an error (409 ConflictException). To delete a channel that is live, call StopStream , wait for the Amazon EventBridge &quot;Stream End&quot; event (to verify that the stream's state was changed from Live to Offline), then call DeleteChannel. (See Using EventBridge with Amazon IVS.)","ref":"aws_ivs.html#delete_channel/2","title":"aws_ivs.delete_channel/2","type":"function"},{"doc":"","ref":"aws_ivs.html#delete_channel/3","title":"aws_ivs.delete_channel/3","type":"function"},{"doc":"Deletes a specified authorization key pair. This invalidates future viewer tokens generated using the key pair’s privateKey . For more information, see Setting Up Private Channels in the Amazon IVS User Guide.","ref":"aws_ivs.html#delete_playback_key_pair/2","title":"aws_ivs.delete_playback_key_pair/2","type":"function"},{"doc":"","ref":"aws_ivs.html#delete_playback_key_pair/3","title":"aws_ivs.delete_playback_key_pair/3","type":"function"},{"doc":"Deletes the recording configuration for the specified ARN. If you try to delete a recording configuration that is associated with a channel, you will get an error (409 ConflictException). To avoid this, for all channels that reference the recording configuration, first use UpdateChannel to set the recordingConfigurationArn field to an empty string, then use DeleteRecordingConfiguration.","ref":"aws_ivs.html#delete_recording_configuration/2","title":"aws_ivs.delete_recording_configuration/2","type":"function"},{"doc":"","ref":"aws_ivs.html#delete_recording_configuration/3","title":"aws_ivs.delete_recording_configuration/3","type":"function"},{"doc":"Deletes the stream key for the specified ARN, so it can no longer be used to stream.","ref":"aws_ivs.html#delete_stream_key/2","title":"aws_ivs.delete_stream_key/2","type":"function"},{"doc":"","ref":"aws_ivs.html#delete_stream_key/3","title":"aws_ivs.delete_stream_key/3","type":"function"},{"doc":"Gets the channel configuration for the specified channel ARN. See also BatchGetChannel .","ref":"aws_ivs.html#get_channel/2","title":"aws_ivs.get_channel/2","type":"function"},{"doc":"","ref":"aws_ivs.html#get_channel/3","title":"aws_ivs.get_channel/3","type":"function"},{"doc":"Gets a specified playback authorization key pair and returns the arn and fingerprint . The privateKey held by the caller can be used to generate viewer authorization tokens, to grant viewers access to private channels. For more information, see Setting Up Private Channels in the Amazon IVS User Guide.","ref":"aws_ivs.html#get_playback_key_pair/2","title":"aws_ivs.get_playback_key_pair/2","type":"function"},{"doc":"","ref":"aws_ivs.html#get_playback_key_pair/3","title":"aws_ivs.get_playback_key_pair/3","type":"function"},{"doc":"Gets the recording configuration for the specified ARN.","ref":"aws_ivs.html#get_recording_configuration/2","title":"aws_ivs.get_recording_configuration/2","type":"function"},{"doc":"","ref":"aws_ivs.html#get_recording_configuration/3","title":"aws_ivs.get_recording_configuration/3","type":"function"},{"doc":"Gets information about the active (live) stream on a specified channel.","ref":"aws_ivs.html#get_stream/2","title":"aws_ivs.get_stream/2","type":"function"},{"doc":"","ref":"aws_ivs.html#get_stream/3","title":"aws_ivs.get_stream/3","type":"function"},{"doc":"Gets stream-key information for a specified ARN.","ref":"aws_ivs.html#get_stream_key/2","title":"aws_ivs.get_stream_key/2","type":"function"},{"doc":"","ref":"aws_ivs.html#get_stream_key/3","title":"aws_ivs.get_stream_key/3","type":"function"},{"doc":"Gets metadata on a specified stream.","ref":"aws_ivs.html#get_stream_session/2","title":"aws_ivs.get_stream_session/2","type":"function"},{"doc":"","ref":"aws_ivs.html#get_stream_session/3","title":"aws_ivs.get_stream_session/3","type":"function"},{"doc":"Imports the public portion of a new key pair and returns its arn and fingerprint . The privateKey can then be used to generate viewer authorization tokens, to grant viewers access to private channels. For more information, see Setting Up Private Channels in the Amazon IVS User Guide.","ref":"aws_ivs.html#import_playback_key_pair/2","title":"aws_ivs.import_playback_key_pair/2","type":"function"},{"doc":"","ref":"aws_ivs.html#import_playback_key_pair/3","title":"aws_ivs.import_playback_key_pair/3","type":"function"},{"doc":"Gets summary information about all channels in your account, in the Amazon Web Services region where the API request is processed. This list can be filtered to match a specified name or recording-configuration ARN. Filters are mutually exclusive and cannot be used together. If you try to use both filters, you will get an error (409 ConflictException).","ref":"aws_ivs.html#list_channels/2","title":"aws_ivs.list_channels/2","type":"function"},{"doc":"","ref":"aws_ivs.html#list_channels/3","title":"aws_ivs.list_channels/3","type":"function"},{"doc":"Gets summary information about playback key pairs. For more information, see Setting Up Private Channels in the Amazon IVS User Guide.","ref":"aws_ivs.html#list_playback_key_pairs/2","title":"aws_ivs.list_playback_key_pairs/2","type":"function"},{"doc":"","ref":"aws_ivs.html#list_playback_key_pairs/3","title":"aws_ivs.list_playback_key_pairs/3","type":"function"},{"doc":"Gets summary information about all recording configurations in your account, in the Amazon Web Services region where the API request is processed.","ref":"aws_ivs.html#list_recording_configurations/2","title":"aws_ivs.list_recording_configurations/2","type":"function"},{"doc":"","ref":"aws_ivs.html#list_recording_configurations/3","title":"aws_ivs.list_recording_configurations/3","type":"function"},{"doc":"Gets summary information about stream keys for the specified channel.","ref":"aws_ivs.html#list_stream_keys/2","title":"aws_ivs.list_stream_keys/2","type":"function"},{"doc":"","ref":"aws_ivs.html#list_stream_keys/3","title":"aws_ivs.list_stream_keys/3","type":"function"},{"doc":"Gets a summary of current and previous streams for a specified channel in your account, in the AWS region where the API request is processed.","ref":"aws_ivs.html#list_stream_sessions/2","title":"aws_ivs.list_stream_sessions/2","type":"function"},{"doc":"","ref":"aws_ivs.html#list_stream_sessions/3","title":"aws_ivs.list_stream_sessions/3","type":"function"},{"doc":"Gets summary information about live streams in your account, in the Amazon Web Services region where the API request is processed.","ref":"aws_ivs.html#list_streams/2","title":"aws_ivs.list_streams/2","type":"function"},{"doc":"","ref":"aws_ivs.html#list_streams/3","title":"aws_ivs.list_streams/3","type":"function"},{"doc":"Gets information about Amazon Web Services tags for the specified ARN.","ref":"aws_ivs.html#list_tags_for_resource/2","title":"aws_ivs.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_ivs.html#list_tags_for_resource/4","title":"aws_ivs.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_ivs.html#list_tags_for_resource/5","title":"aws_ivs.list_tags_for_resource/5","type":"function"},{"doc":"Inserts metadata into the active stream of the specified channel. At most 5 requests per second per channel are allowed, each with a maximum 1 KB payload. (If 5 TPS is not sufficient for your needs, we recommend batching your data into a single PutMetadata call.) At most 155 requests per second per account are allowed. Also see Embedding Metadata within a Video Stream in the Amazon IVS User Guide.","ref":"aws_ivs.html#put_metadata/2","title":"aws_ivs.put_metadata/2","type":"function"},{"doc":"","ref":"aws_ivs.html#put_metadata/3","title":"aws_ivs.put_metadata/3","type":"function"},{"doc":"Disconnects the incoming RTMPS stream for the specified channel. Can be used in conjunction with DeleteStreamKey to prevent further streaming to a channel. Many streaming client-software libraries automatically reconnect a dropped RTMPS session, so to stop the stream permanently, you may want to first revoke the streamKey attached to the channel.","ref":"aws_ivs.html#stop_stream/2","title":"aws_ivs.stop_stream/2","type":"function"},{"doc":"","ref":"aws_ivs.html#stop_stream/3","title":"aws_ivs.stop_stream/3","type":"function"},{"doc":"Adds or updates tags for the Amazon Web Services resource with the specified ARN.","ref":"aws_ivs.html#tag_resource/3","title":"aws_ivs.tag_resource/3","type":"function"},{"doc":"","ref":"aws_ivs.html#tag_resource/4","title":"aws_ivs.tag_resource/4","type":"function"},{"doc":"Removes tags from the resource with the specified ARN.","ref":"aws_ivs.html#untag_resource/3","title":"aws_ivs.untag_resource/3","type":"function"},{"doc":"","ref":"aws_ivs.html#untag_resource/4","title":"aws_ivs.untag_resource/4","type":"function"},{"doc":"Updates a channel's configuration. This does not affect an ongoing stream of this channel. You must stop and restart the stream for the changes to take effect.","ref":"aws_ivs.html#update_channel/2","title":"aws_ivs.update_channel/2","type":"function"},{"doc":"","ref":"aws_ivs.html#update_channel/3","title":"aws_ivs.update_channel/3","type":"function"},{"doc":"Introduction The Amazon IVS Chat control-plane API enables you to create and manage Amazon IVS Chat resources. You also need to integrate with the Amazon IVS Chat Messaging API, to enable users to interact with chat rooms in real time. The API is an AWS regional service. For a list of supported regions and Amazon IVS Chat HTTPS service endpoints, see the Amazon IVS Chat information on the Amazon IVS page in the AWS General Reference. Notes on terminology: You create service applications using the Amazon IVS Chat API. We refer to these as applications. You create front-end client applications (browser and Android/iOS apps) using the Amazon IVS Chat Messaging API. We refer to these as clients. Resources The following resources are part of Amazon IVS Chat: LoggingConfiguration — A configuration that allows customers to store and record sent messages in a chat room. See the Logging Configuration endpoints for more information. Room — The central Amazon IVS Chat resource through which clients connect to and exchange chat messages. See the Room endpoints for more information. Tagging A tag is a metadata label that you assign to an AWS resource. A tag comprises a key and a value, both set by you. For example, you might set a tag as topic:nature to label a particular video category. See Tagging AWS Resources for more information, including restrictions that apply to tags and &quot;Tag naming limits and requirements&quot;; Amazon IVS Chat has no service-specific constraints beyond what is documented there. Tags can help you identify and organize your AWS resources. For example, you can use the same tag for different resources to indicate that they are related. You can also use tags to manage access (see Access Tags). The Amazon IVS Chat API has these tag-related endpoints: TagResource , UntagResource , and ListTagsForResource . The following resource supports tagging: Room. At most 50 tags can be applied to a resource. API Access Security Your Amazon IVS Chat applications (service applications and clients) must be authenticated and authorized to access Amazon IVS Chat resources. Note the differences between these concepts: Authentication is about verifying identity. Requests to the Amazon IVS Chat API must be signed to verify your identity. Authorization is about granting permissions. Your IAM roles need to have permissions for Amazon IVS Chat API requests. Users (viewers) connect to a room using secure access tokens that you create using the CreateChatToken endpoint through the AWS SDK. You call CreateChatToken for every user’s chat session, passing identity and authorization information about the user. Signing API Requests HTTP API requests must be signed with an AWS SigV4 signature using your AWS security credentials. The AWS Command Line Interface (CLI) and the AWS SDKs take care of signing the underlying API calls for you. However, if your application calls the Amazon IVS Chat HTTP API directly, it’s your responsibility to sign the requests. You generate a signature using valid AWS credentials for an IAM role that has permission to perform the requested action. For example, DeleteMessage requests must be made using an IAM role that has the ivschat:DeleteMessage permission. For more information: Authentication and generating signatures — See Authenticating Requests (Amazon Web Services Signature Version 4) in the Amazon Web Services General Reference. Managing Amazon IVS permissions — See Identity and Access Management on the Security page of the Amazon IVS User Guide. Amazon Resource Names (ARNs) ARNs uniquely identify AWS resources. An ARN is required when you need to specify a resource unambiguously across all of AWS, such as in IAM policies and API calls. For more information, see Amazon Resource Names in the AWS General Reference. Messaging Endpoints DeleteMessage — Sends an event to a specific room which directs clients to delete a specific message; that is, unrender it from view and delete it from the client’s chat history. This event’s EventName is aws:DELETE_MESSAGE . This replicates the DeleteMessage WebSocket operation in the Amazon IVS Chat Messaging API. DisconnectUser — Disconnects all connections using a specified user ID from a room. This replicates the DisconnectUser WebSocket operation in the Amazon IVS Chat Messaging API. SendEvent — Sends an event to a room. Use this within your application’s business logic to send events to clients of a room; e.g., to notify clients to change the way the chat UI is rendered. Chat Token Endpoint CreateChatToken — Creates an encrypted token that is used by a chat participant to establish an individual WebSocket chat connection to a room. When the token is used to connect to chat, the connection is valid for the session duration specified in the request. The token becomes invalid at the token-expiration timestamp included in the response. Room Endpoints CreateRoom — Creates a room that allows clients to connect and pass messages. DeleteRoom — Deletes the specified room. GetRoom — Gets the specified room. ListRooms — Gets summary information about all your rooms in the AWS region where the API request is processed. UpdateRoom — Updates a room’s configuration. Logging Configuration Endpoints CreateLoggingConfiguration — Creates a logging configuration that allows clients to store and record sent messages. DeleteLoggingConfiguration — Deletes the specified logging configuration. GetLoggingConfiguration — Gets the specified logging configuration. ListLoggingConfigurations — Gets summary information about all your logging configurations in the AWS region where the API request is processed. UpdateLoggingConfiguration — Updates a specified logging configuration. Tags Endpoints ListTagsForResource — Gets information about AWS tags for the specified ARN. TagResource — Adds or updates tags for the AWS resource with the specified ARN. UntagResource — Removes tags from the resource with the specified ARN. All the above are HTTP operations. There is a separate messaging API for managing Chat resources; see the Amazon IVS Chat Messaging API Reference.","ref":"aws_ivschat.html","title":"aws_ivschat","type":"module"},{"doc":"Creates an encrypted token that is used by a chat participant to establish an individual WebSocket chat connection to a room. When the token is used to connect to chat, the connection is valid for the session duration specified in the request. The token becomes invalid at the token-expiration timestamp included in the response. Use the capabilities field to permit an end user to send messages or moderate a room. The attributes field securely attaches structured data to the chat session; the data is included within each message sent by the end user and received by other participants in the room. Common use cases for attributes include passing end-user profile data like an icon, display name, colors, badges, and other display features. Encryption keys are owned by Amazon IVS Chat and never used directly by your application.","ref":"aws_ivschat.html#create_chat_token/2","title":"aws_ivschat.create_chat_token/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#create_chat_token/3","title":"aws_ivschat.create_chat_token/3","type":"function"},{"doc":"Creates a logging configuration that allows clients to store and record sent messages.","ref":"aws_ivschat.html#create_logging_configuration/2","title":"aws_ivschat.create_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#create_logging_configuration/3","title":"aws_ivschat.create_logging_configuration/3","type":"function"},{"doc":"Creates a room that allows clients to connect and pass messages.","ref":"aws_ivschat.html#create_room/2","title":"aws_ivschat.create_room/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#create_room/3","title":"aws_ivschat.create_room/3","type":"function"},{"doc":"Deletes the specified logging configuration.","ref":"aws_ivschat.html#delete_logging_configuration/2","title":"aws_ivschat.delete_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#delete_logging_configuration/3","title":"aws_ivschat.delete_logging_configuration/3","type":"function"},{"doc":"Sends an event to a specific room which directs clients to delete a specific message; that is, unrender it from view and delete it from the client’s chat history. This event’s EventName is aws:DELETE_MESSAGE . This replicates the DeleteMessage WebSocket operation in the Amazon IVS Chat Messaging API.","ref":"aws_ivschat.html#delete_message/2","title":"aws_ivschat.delete_message/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#delete_message/3","title":"aws_ivschat.delete_message/3","type":"function"},{"doc":"Deletes the specified room.","ref":"aws_ivschat.html#delete_room/2","title":"aws_ivschat.delete_room/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#delete_room/3","title":"aws_ivschat.delete_room/3","type":"function"},{"doc":"Disconnects all connections using a specified user ID from a room. This replicates the DisconnectUser WebSocket operation in the Amazon IVS Chat Messaging API.","ref":"aws_ivschat.html#disconnect_user/2","title":"aws_ivschat.disconnect_user/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#disconnect_user/3","title":"aws_ivschat.disconnect_user/3","type":"function"},{"doc":"Gets the specified logging configuration.","ref":"aws_ivschat.html#get_logging_configuration/2","title":"aws_ivschat.get_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#get_logging_configuration/3","title":"aws_ivschat.get_logging_configuration/3","type":"function"},{"doc":"Gets the specified room.","ref":"aws_ivschat.html#get_room/2","title":"aws_ivschat.get_room/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#get_room/3","title":"aws_ivschat.get_room/3","type":"function"},{"doc":"Gets summary information about all your logging configurations in the AWS region where the API request is processed.","ref":"aws_ivschat.html#list_logging_configurations/2","title":"aws_ivschat.list_logging_configurations/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#list_logging_configurations/3","title":"aws_ivschat.list_logging_configurations/3","type":"function"},{"doc":"Gets summary information about all your rooms in the AWS region where the API request is processed. Results are sorted in descending order of updateTime .","ref":"aws_ivschat.html#list_rooms/2","title":"aws_ivschat.list_rooms/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#list_rooms/3","title":"aws_ivschat.list_rooms/3","type":"function"},{"doc":"Gets information about AWS tags for the specified ARN.","ref":"aws_ivschat.html#list_tags_for_resource/2","title":"aws_ivschat.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#list_tags_for_resource/4","title":"aws_ivschat.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_ivschat.html#list_tags_for_resource/5","title":"aws_ivschat.list_tags_for_resource/5","type":"function"},{"doc":"Sends an event to a room. Use this within your application’s business logic to send events to clients of a room; e.g., to notify clients to change the way the chat UI is rendered.","ref":"aws_ivschat.html#send_event/2","title":"aws_ivschat.send_event/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#send_event/3","title":"aws_ivschat.send_event/3","type":"function"},{"doc":"Adds or updates tags for the AWS resource with the specified ARN.","ref":"aws_ivschat.html#tag_resource/3","title":"aws_ivschat.tag_resource/3","type":"function"},{"doc":"","ref":"aws_ivschat.html#tag_resource/4","title":"aws_ivschat.tag_resource/4","type":"function"},{"doc":"Removes tags from the resource with the specified ARN.","ref":"aws_ivschat.html#untag_resource/3","title":"aws_ivschat.untag_resource/3","type":"function"},{"doc":"","ref":"aws_ivschat.html#untag_resource/4","title":"aws_ivschat.untag_resource/4","type":"function"},{"doc":"Updates a specified logging configuration.","ref":"aws_ivschat.html#update_logging_configuration/2","title":"aws_ivschat.update_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#update_logging_configuration/3","title":"aws_ivschat.update_logging_configuration/3","type":"function"},{"doc":"Updates a room’s configuration.","ref":"aws_ivschat.html#update_room/2","title":"aws_ivschat.update_room/2","type":"function"},{"doc":"","ref":"aws_ivschat.html#update_room/3","title":"aws_ivschat.update_room/3","type":"function"},{"doc":"The operations for managing an Amazon MSK cluster.","ref":"aws_kafka.html","title":"aws_kafka","type":"module"},{"doc":"Associates one or more Scram Secrets with an Amazon MSK cluster.","ref":"aws_kafka.html#batch_associate_scram_secret/3","title":"aws_kafka.batch_associate_scram_secret/3","type":"function"},{"doc":"","ref":"aws_kafka.html#batch_associate_scram_secret/4","title":"aws_kafka.batch_associate_scram_secret/4","type":"function"},{"doc":"Disassociates one or more Scram Secrets from an Amazon MSK cluster.","ref":"aws_kafka.html#batch_disassociate_scram_secret/3","title":"aws_kafka.batch_disassociate_scram_secret/3","type":"function"},{"doc":"","ref":"aws_kafka.html#batch_disassociate_scram_secret/4","title":"aws_kafka.batch_disassociate_scram_secret/4","type":"function"},{"doc":"Creates a new MSK cluster.","ref":"aws_kafka.html#create_cluster/2","title":"aws_kafka.create_cluster/2","type":"function"},{"doc":"","ref":"aws_kafka.html#create_cluster/3","title":"aws_kafka.create_cluster/3","type":"function"},{"doc":"Creates a new Amazon MSK cluster of either the provisioned or the serverless type.","ref":"aws_kafka.html#create_cluster_v2/2","title":"aws_kafka.create_cluster_v2/2","type":"function"},{"doc":"","ref":"aws_kafka.html#create_cluster_v2/3","title":"aws_kafka.create_cluster_v2/3","type":"function"},{"doc":"Creates a new MSK configuration.","ref":"aws_kafka.html#create_configuration/2","title":"aws_kafka.create_configuration/2","type":"function"},{"doc":"","ref":"aws_kafka.html#create_configuration/3","title":"aws_kafka.create_configuration/3","type":"function"},{"doc":"Deletes the MSK cluster specified by the Amazon Resource Name (ARN) in the request.","ref":"aws_kafka.html#delete_cluster/3","title":"aws_kafka.delete_cluster/3","type":"function"},{"doc":"","ref":"aws_kafka.html#delete_cluster/4","title":"aws_kafka.delete_cluster/4","type":"function"},{"doc":"Deletes the specified MSK configuration. The configuration must be in the ACTIVE or DELETE_FAILED state.","ref":"aws_kafka.html#delete_configuration/3","title":"aws_kafka.delete_configuration/3","type":"function"},{"doc":"","ref":"aws_kafka.html#delete_configuration/4","title":"aws_kafka.delete_configuration/4","type":"function"},{"doc":"Returns a description of the MSK cluster whose Amazon Resource Name (ARN) is specified in the request.","ref":"aws_kafka.html#describe_cluster/2","title":"aws_kafka.describe_cluster/2","type":"function"},{"doc":"","ref":"aws_kafka.html#describe_cluster/4","title":"aws_kafka.describe_cluster/4","type":"function"},{"doc":"","ref":"aws_kafka.html#describe_cluster/5","title":"aws_kafka.describe_cluster/5","type":"function"},{"doc":"Returns a description of the cluster operation specified by the ARN.","ref":"aws_kafka.html#describe_cluster_operation/2","title":"aws_kafka.describe_cluster_operation/2","type":"function"},{"doc":"","ref":"aws_kafka.html#describe_cluster_operation/4","title":"aws_kafka.describe_cluster_operation/4","type":"function"},{"doc":"","ref":"aws_kafka.html#describe_cluster_operation/5","title":"aws_kafka.describe_cluster_operation/5","type":"function"},{"doc":"Returns a description of the MSK cluster of either the provisioned or the serverless type whose Amazon Resource Name (ARN) is specified in the request.","ref":"aws_kafka.html#describe_cluster_v2/2","title":"aws_kafka.describe_cluster_v2/2","type":"function"},{"doc":"","ref":"aws_kafka.html#describe_cluster_v2/4","title":"aws_kafka.describe_cluster_v2/4","type":"function"},{"doc":"","ref":"aws_kafka.html#describe_cluster_v2/5","title":"aws_kafka.describe_cluster_v2/5","type":"function"},{"doc":"Returns a description of this MSK configuration.","ref":"aws_kafka.html#describe_configuration/2","title":"aws_kafka.describe_configuration/2","type":"function"},{"doc":"","ref":"aws_kafka.html#describe_configuration/4","title":"aws_kafka.describe_configuration/4","type":"function"},{"doc":"","ref":"aws_kafka.html#describe_configuration/5","title":"aws_kafka.describe_configuration/5","type":"function"},{"doc":"Returns a description of this revision of the configuration.","ref":"aws_kafka.html#describe_configuration_revision/3","title":"aws_kafka.describe_configuration_revision/3","type":"function"},{"doc":"","ref":"aws_kafka.html#describe_configuration_revision/5","title":"aws_kafka.describe_configuration_revision/5","type":"function"},{"doc":"","ref":"aws_kafka.html#describe_configuration_revision/6","title":"aws_kafka.describe_configuration_revision/6","type":"function"},{"doc":"A list of brokers that a client application can use to bootstrap.","ref":"aws_kafka.html#get_bootstrap_brokers/2","title":"aws_kafka.get_bootstrap_brokers/2","type":"function"},{"doc":"","ref":"aws_kafka.html#get_bootstrap_brokers/4","title":"aws_kafka.get_bootstrap_brokers/4","type":"function"},{"doc":"","ref":"aws_kafka.html#get_bootstrap_brokers/5","title":"aws_kafka.get_bootstrap_brokers/5","type":"function"},{"doc":"Gets the Apache Kafka versions to which you can update the MSK cluster.","ref":"aws_kafka.html#get_compatible_kafka_versions/1","title":"aws_kafka.get_compatible_kafka_versions/1","type":"function"},{"doc":"","ref":"aws_kafka.html#get_compatible_kafka_versions/3","title":"aws_kafka.get_compatible_kafka_versions/3","type":"function"},{"doc":"","ref":"aws_kafka.html#get_compatible_kafka_versions/4","title":"aws_kafka.get_compatible_kafka_versions/4","type":"function"},{"doc":"Returns a list of all the operations that have been performed on the specified MSK cluster.","ref":"aws_kafka.html#list_cluster_operations/2","title":"aws_kafka.list_cluster_operations/2","type":"function"},{"doc":"","ref":"aws_kafka.html#list_cluster_operations/4","title":"aws_kafka.list_cluster_operations/4","type":"function"},{"doc":"","ref":"aws_kafka.html#list_cluster_operations/5","title":"aws_kafka.list_cluster_operations/5","type":"function"},{"doc":"Returns a list of all the MSK clusters in the current Region.","ref":"aws_kafka.html#list_clusters/1","title":"aws_kafka.list_clusters/1","type":"function"},{"doc":"","ref":"aws_kafka.html#list_clusters/3","title":"aws_kafka.list_clusters/3","type":"function"},{"doc":"","ref":"aws_kafka.html#list_clusters/4","title":"aws_kafka.list_clusters/4","type":"function"},{"doc":"Returns a list of all the MSK clusters in the current Region.","ref":"aws_kafka.html#list_clusters_v2/1","title":"aws_kafka.list_clusters_v2/1","type":"function"},{"doc":"","ref":"aws_kafka.html#list_clusters_v2/3","title":"aws_kafka.list_clusters_v2/3","type":"function"},{"doc":"","ref":"aws_kafka.html#list_clusters_v2/4","title":"aws_kafka.list_clusters_v2/4","type":"function"},{"doc":"Returns a list of all the revisions of an MSK configuration.","ref":"aws_kafka.html#list_configuration_revisions/2","title":"aws_kafka.list_configuration_revisions/2","type":"function"},{"doc":"","ref":"aws_kafka.html#list_configuration_revisions/4","title":"aws_kafka.list_configuration_revisions/4","type":"function"},{"doc":"","ref":"aws_kafka.html#list_configuration_revisions/5","title":"aws_kafka.list_configuration_revisions/5","type":"function"},{"doc":"Returns a list of all the MSK configurations in this Region.","ref":"aws_kafka.html#list_configurations/1","title":"aws_kafka.list_configurations/1","type":"function"},{"doc":"","ref":"aws_kafka.html#list_configurations/3","title":"aws_kafka.list_configurations/3","type":"function"},{"doc":"","ref":"aws_kafka.html#list_configurations/4","title":"aws_kafka.list_configurations/4","type":"function"},{"doc":"Returns a list of Apache Kafka versions.","ref":"aws_kafka.html#list_kafka_versions/1","title":"aws_kafka.list_kafka_versions/1","type":"function"},{"doc":"","ref":"aws_kafka.html#list_kafka_versions/3","title":"aws_kafka.list_kafka_versions/3","type":"function"},{"doc":"","ref":"aws_kafka.html#list_kafka_versions/4","title":"aws_kafka.list_kafka_versions/4","type":"function"},{"doc":"Returns a list of the broker nodes in the cluster.","ref":"aws_kafka.html#list_nodes/2","title":"aws_kafka.list_nodes/2","type":"function"},{"doc":"","ref":"aws_kafka.html#list_nodes/4","title":"aws_kafka.list_nodes/4","type":"function"},{"doc":"","ref":"aws_kafka.html#list_nodes/5","title":"aws_kafka.list_nodes/5","type":"function"},{"doc":"Returns a list of the Scram Secrets associated with an Amazon MSK cluster.","ref":"aws_kafka.html#list_scram_secrets/2","title":"aws_kafka.list_scram_secrets/2","type":"function"},{"doc":"","ref":"aws_kafka.html#list_scram_secrets/4","title":"aws_kafka.list_scram_secrets/4","type":"function"},{"doc":"","ref":"aws_kafka.html#list_scram_secrets/5","title":"aws_kafka.list_scram_secrets/5","type":"function"},{"doc":"Returns a list of the tags associated with the specified resource.","ref":"aws_kafka.html#list_tags_for_resource/2","title":"aws_kafka.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_kafka.html#list_tags_for_resource/4","title":"aws_kafka.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_kafka.html#list_tags_for_resource/5","title":"aws_kafka.list_tags_for_resource/5","type":"function"},{"doc":"Executes a reboot on a broker.","ref":"aws_kafka.html#reboot_broker/3","title":"aws_kafka.reboot_broker/3","type":"function"},{"doc":"","ref":"aws_kafka.html#reboot_broker/4","title":"aws_kafka.reboot_broker/4","type":"function"},{"doc":"Adds tags to the specified MSK resource.","ref":"aws_kafka.html#tag_resource/3","title":"aws_kafka.tag_resource/3","type":"function"},{"doc":"","ref":"aws_kafka.html#tag_resource/4","title":"aws_kafka.tag_resource/4","type":"function"},{"doc":"Removes the tags associated with the keys that are provided in the query.","ref":"aws_kafka.html#untag_resource/3","title":"aws_kafka.untag_resource/3","type":"function"},{"doc":"","ref":"aws_kafka.html#untag_resource/4","title":"aws_kafka.untag_resource/4","type":"function"},{"doc":"Updates the number of broker nodes in the cluster. You can use this operation to increase the number of brokers in an existing cluster. You can't decrease the number of brokers.","ref":"aws_kafka.html#update_broker_count/3","title":"aws_kafka.update_broker_count/3","type":"function"},{"doc":"","ref":"aws_kafka.html#update_broker_count/4","title":"aws_kafka.update_broker_count/4","type":"function"},{"doc":"Updates the EBS storage associated with MSK brokers.","ref":"aws_kafka.html#update_broker_storage/3","title":"aws_kafka.update_broker_storage/3","type":"function"},{"doc":"","ref":"aws_kafka.html#update_broker_storage/4","title":"aws_kafka.update_broker_storage/4","type":"function"},{"doc":"Updates all the brokers in the cluster to the specified type.","ref":"aws_kafka.html#update_broker_type/3","title":"aws_kafka.update_broker_type/3","type":"function"},{"doc":"","ref":"aws_kafka.html#update_broker_type/4","title":"aws_kafka.update_broker_type/4","type":"function"},{"doc":"Updates the cluster with the configuration that is specified in the request body.","ref":"aws_kafka.html#update_cluster_configuration/3","title":"aws_kafka.update_cluster_configuration/3","type":"function"},{"doc":"","ref":"aws_kafka.html#update_cluster_configuration/4","title":"aws_kafka.update_cluster_configuration/4","type":"function"},{"doc":"Updates the Apache Kafka version for the cluster.","ref":"aws_kafka.html#update_cluster_kafka_version/3","title":"aws_kafka.update_cluster_kafka_version/3","type":"function"},{"doc":"","ref":"aws_kafka.html#update_cluster_kafka_version/4","title":"aws_kafka.update_cluster_kafka_version/4","type":"function"},{"doc":"Updates an existing MSK configuration. The configuration must be in the Active state.","ref":"aws_kafka.html#update_configuration/3","title":"aws_kafka.update_configuration/3","type":"function"},{"doc":"","ref":"aws_kafka.html#update_configuration/4","title":"aws_kafka.update_configuration/4","type":"function"},{"doc":"Updates the connectivity configuration for the cluster.","ref":"aws_kafka.html#update_connectivity/3","title":"aws_kafka.update_connectivity/3","type":"function"},{"doc":"","ref":"aws_kafka.html#update_connectivity/4","title":"aws_kafka.update_connectivity/4","type":"function"},{"doc":"Updates the monitoring settings for the cluster. You can use this operation to specify which Apache Kafka metrics you want Amazon MSK to send to Amazon CloudWatch. You can also specify settings for open monitoring with Prometheus.","ref":"aws_kafka.html#update_monitoring/3","title":"aws_kafka.update_monitoring/3","type":"function"},{"doc":"","ref":"aws_kafka.html#update_monitoring/4","title":"aws_kafka.update_monitoring/4","type":"function"},{"doc":"You can use this operation to update the encrypting and authentication settings for an existing cluster.","ref":"aws_kafka.html#update_security/3","title":"aws_kafka.update_security/3","type":"function"},{"doc":"","ref":"aws_kafka.html#update_security/4","title":"aws_kafka.update_security/4","type":"function"},{"doc":"Updates cluster broker volume size (or) sets cluster storage mode to TIERED.","ref":"aws_kafka.html#update_storage/3","title":"aws_kafka.update_storage/3","type":"function"},{"doc":"","ref":"aws_kafka.html#update_storage/4","title":"aws_kafka.update_storage/4","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html","title":"aws_kafkaconnect","type":"module"},{"doc":"Creates a connector using the specified properties.","ref":"aws_kafkaconnect.html#create_connector/2","title":"aws_kafkaconnect.create_connector/2","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#create_connector/3","title":"aws_kafkaconnect.create_connector/3","type":"function"},{"doc":"Creates a custom plugin using the specified properties.","ref":"aws_kafkaconnect.html#create_custom_plugin/2","title":"aws_kafkaconnect.create_custom_plugin/2","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#create_custom_plugin/3","title":"aws_kafkaconnect.create_custom_plugin/3","type":"function"},{"doc":"Creates a worker configuration using the specified properties.","ref":"aws_kafkaconnect.html#create_worker_configuration/2","title":"aws_kafkaconnect.create_worker_configuration/2","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#create_worker_configuration/3","title":"aws_kafkaconnect.create_worker_configuration/3","type":"function"},{"doc":"Deletes the specified connector.","ref":"aws_kafkaconnect.html#delete_connector/3","title":"aws_kafkaconnect.delete_connector/3","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#delete_connector/4","title":"aws_kafkaconnect.delete_connector/4","type":"function"},{"doc":"Deletes a custom plugin.","ref":"aws_kafkaconnect.html#delete_custom_plugin/3","title":"aws_kafkaconnect.delete_custom_plugin/3","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#delete_custom_plugin/4","title":"aws_kafkaconnect.delete_custom_plugin/4","type":"function"},{"doc":"Returns summary information about the connector.","ref":"aws_kafkaconnect.html#describe_connector/2","title":"aws_kafkaconnect.describe_connector/2","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#describe_connector/4","title":"aws_kafkaconnect.describe_connector/4","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#describe_connector/5","title":"aws_kafkaconnect.describe_connector/5","type":"function"},{"doc":"A summary description of the custom plugin.","ref":"aws_kafkaconnect.html#describe_custom_plugin/2","title":"aws_kafkaconnect.describe_custom_plugin/2","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#describe_custom_plugin/4","title":"aws_kafkaconnect.describe_custom_plugin/4","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#describe_custom_plugin/5","title":"aws_kafkaconnect.describe_custom_plugin/5","type":"function"},{"doc":"Returns information about a worker configuration.","ref":"aws_kafkaconnect.html#describe_worker_configuration/2","title":"aws_kafkaconnect.describe_worker_configuration/2","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#describe_worker_configuration/4","title":"aws_kafkaconnect.describe_worker_configuration/4","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#describe_worker_configuration/5","title":"aws_kafkaconnect.describe_worker_configuration/5","type":"function"},{"doc":"Returns a list of all the connectors in this account and Region. The list is limited to connectors whose name starts with the specified prefix. The response also includes a description of each of the listed connectors.","ref":"aws_kafkaconnect.html#list_connectors/1","title":"aws_kafkaconnect.list_connectors/1","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#list_connectors/3","title":"aws_kafkaconnect.list_connectors/3","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#list_connectors/4","title":"aws_kafkaconnect.list_connectors/4","type":"function"},{"doc":"Returns a list of all of the custom plugins in this account and Region.","ref":"aws_kafkaconnect.html#list_custom_plugins/1","title":"aws_kafkaconnect.list_custom_plugins/1","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#list_custom_plugins/3","title":"aws_kafkaconnect.list_custom_plugins/3","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#list_custom_plugins/4","title":"aws_kafkaconnect.list_custom_plugins/4","type":"function"},{"doc":"Returns a list of all of the worker configurations in this account and Region.","ref":"aws_kafkaconnect.html#list_worker_configurations/1","title":"aws_kafkaconnect.list_worker_configurations/1","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#list_worker_configurations/3","title":"aws_kafkaconnect.list_worker_configurations/3","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#list_worker_configurations/4","title":"aws_kafkaconnect.list_worker_configurations/4","type":"function"},{"doc":"Updates the specified connector.","ref":"aws_kafkaconnect.html#update_connector/3","title":"aws_kafkaconnect.update_connector/3","type":"function"},{"doc":"","ref":"aws_kafkaconnect.html#update_connector/4","title":"aws_kafkaconnect.update_connector/4","type":"function"},{"doc":"Amazon Kendra is a service for indexing large document sets.","ref":"aws_kendra.html","title":"aws_kendra","type":"module"},{"doc":"Grants users or groups in your IAM Identity Center identity source access to your Amazon Kendra experience. You can create an Amazon Kendra experience such as a search application. For more information on creating a search application experience, see Building a search experience with no code.","ref":"aws_kendra.html#associate_entities_to_experience/2","title":"aws_kendra.associate_entities_to_experience/2","type":"function"},{"doc":"","ref":"aws_kendra.html#associate_entities_to_experience/3","title":"aws_kendra.associate_entities_to_experience/3","type":"function"},{"doc":"Defines the specific permissions of users or groups in your IAM Identity Center identity source with access to your Amazon Kendra experience. You can create an Amazon Kendra experience such as a search application. For more information on creating a search application experience, see Building a search experience with no code.","ref":"aws_kendra.html#associate_personas_to_entities/2","title":"aws_kendra.associate_personas_to_entities/2","type":"function"},{"doc":"","ref":"aws_kendra.html#associate_personas_to_entities/3","title":"aws_kendra.associate_personas_to_entities/3","type":"function"},{"doc":"Removes one or more documents from an index. The documents must have been added with the BatchPutDocument API. The documents are deleted asynchronously. You can see the progress of the deletion by using Amazon Web Services CloudWatch. Any error messages related to the processing of the batch are sent to you CloudWatch log.","ref":"aws_kendra.html#batch_delete_document/2","title":"aws_kendra.batch_delete_document/2","type":"function"},{"doc":"","ref":"aws_kendra.html#batch_delete_document/3","title":"aws_kendra.batch_delete_document/3","type":"function"},{"doc":"Returns the indexing status for one or more documents submitted with the BatchPutDocument API. When you use the BatchPutDocument API, documents are indexed asynchronously. You can use the BatchGetDocumentStatus API to get the current status of a list of documents so that you can determine if they have been successfully indexed. You can also use the BatchGetDocumentStatus API to check the status of the BatchDeleteDocument API. When a document is deleted from the index, Amazon Kendra returns NOT_FOUND as the status.","ref":"aws_kendra.html#batch_get_document_status/2","title":"aws_kendra.batch_get_document_status/2","type":"function"},{"doc":"","ref":"aws_kendra.html#batch_get_document_status/3","title":"aws_kendra.batch_get_document_status/3","type":"function"},{"doc":"Adds one or more documents to an index. The BatchPutDocument API enables you to ingest inline documents or a set of documents stored in an Amazon S3 bucket. Use this API to ingest your text and unstructured text into an index, add custom attributes to the documents, and to attach an access control list to the documents added to the index. The documents are indexed asynchronously. You can see the progress of the batch using Amazon Web Services CloudWatch. Any error messages related to processing the batch are sent to your Amazon Web Services CloudWatch log. For an example of ingesting inline documents using Python and Java SDKs, see Adding files directly to an index.","ref":"aws_kendra.html#batch_put_document/2","title":"aws_kendra.batch_put_document/2","type":"function"},{"doc":"","ref":"aws_kendra.html#batch_put_document/3","title":"aws_kendra.batch_put_document/3","type":"function"},{"doc":"Clears existing query suggestions from an index. This deletes existing suggestions only, not the queries in the query log. After you clear suggestions, Amazon Kendra learns new suggestions based on new queries added to the query log from the time you cleared suggestions. If you do not see any new suggestions, then please allow Amazon Kendra to collect enough queries to learn new suggestions. ClearQuerySuggestions is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#clear_query_suggestions/2","title":"aws_kendra.clear_query_suggestions/2","type":"function"},{"doc":"","ref":"aws_kendra.html#clear_query_suggestions/3","title":"aws_kendra.clear_query_suggestions/3","type":"function"},{"doc":"Creates an access configuration for your documents. This includes user and group access information for your documents. This is useful for user context filtering, where search results are filtered based on the user or their group access to documents. You can use this to re-configure your existing document level access control without indexing all of your documents again. For example, your index contains top-secret company documents that only certain employees or users should access. One of these users leaves the company or switches to a team that should be blocked from accessing top-secret documents. The user still has access to top-secret documents because the user had access when your documents were previously indexed. You can create a specific access control configuration for the user with deny access. You can later update the access control configuration to allow access if the user returns to the company and re-joins the 'top-secret' team. You can re-configure access control for your documents as circumstances change. To apply your access control configuration to certain documents, you call the BatchPutDocument API with the AccessControlConfigurationId included in the Document object. If you use an S3 bucket as a data source, you update the .metadata.json with the AccessControlConfigurationId and synchronize your data source. Amazon Kendra currently only supports access control configuration for S3 data sources and documents indexed using the BatchPutDocument API.","ref":"aws_kendra.html#create_access_control_configuration/2","title":"aws_kendra.create_access_control_configuration/2","type":"function"},{"doc":"","ref":"aws_kendra.html#create_access_control_configuration/3","title":"aws_kendra.create_access_control_configuration/3","type":"function"},{"doc":"Creates a data source connector that you want to use with an Amazon Kendra index. You specify a name, data source connector type and description for your data source. You also specify configuration information for the data source connector. CreateDataSource is a synchronous operation. The operation returns 200 if the data source was successfully created. Otherwise, an exception is raised. Amazon S3 and custom data sources are the only supported data sources in the Amazon Web Services GovCloud (US-West) region. For an example of creating an index and data source using the Python SDK, see Getting started with Python SDK. For an example of creating an index and data source using the Java SDK, see Getting started with Java SDK.","ref":"aws_kendra.html#create_data_source/2","title":"aws_kendra.create_data_source/2","type":"function"},{"doc":"","ref":"aws_kendra.html#create_data_source/3","title":"aws_kendra.create_data_source/3","type":"function"},{"doc":"Creates an Amazon Kendra experience such as a search application. For more information on creating a search application experience, including using the Python and Java SDKs, see Building a search experience with no code.","ref":"aws_kendra.html#create_experience/2","title":"aws_kendra.create_experience/2","type":"function"},{"doc":"","ref":"aws_kendra.html#create_experience/3","title":"aws_kendra.create_experience/3","type":"function"},{"doc":"Creates an new set of frequently asked question (FAQ) questions and answers. Adding FAQs to an index is an asynchronous operation. For an example of adding an FAQ to an index using Python and Java SDKs, see Using your FAQ file.","ref":"aws_kendra.html#create_faq/2","title":"aws_kendra.create_faq/2","type":"function"},{"doc":"","ref":"aws_kendra.html#create_faq/3","title":"aws_kendra.create_faq/3","type":"function"},{"doc":"Creates an Amazon Kendra index. Index creation is an asynchronous API. To determine if index creation has completed, check the Status field returned from a call to DescribeIndex . The Status field is set to ACTIVE when the index is ready to use. Once the index is active you can index your documents using the BatchPutDocument API or using one of the supported data sources. For an example of creating an index and data source using the Python SDK, see Getting started with Python SDK. For an example of creating an index and data source using the Java SDK, see Getting started with Java SDK.","ref":"aws_kendra.html#create_index/2","title":"aws_kendra.create_index/2","type":"function"},{"doc":"","ref":"aws_kendra.html#create_index/3","title":"aws_kendra.create_index/3","type":"function"},{"doc":"Creates a block list to exlcude certain queries from suggestions. Any query that contains words or phrases specified in the block list is blocked or filtered out from being shown as a suggestion. You need to provide the file location of your block list text file in your S3 bucket. In your text file, enter each block word or phrase on a separate line. For information on the current quota limits for block lists, see Quotas for Amazon Kendra. CreateQuerySuggestionsBlockList is currently not supported in the Amazon Web Services GovCloud (US-West) region. For an example of creating a block list for query suggestions using the Python SDK, see Query suggestions block list.","ref":"aws_kendra.html#create_query_suggestions_block_list/2","title":"aws_kendra.create_query_suggestions_block_list/2","type":"function"},{"doc":"","ref":"aws_kendra.html#create_query_suggestions_block_list/3","title":"aws_kendra.create_query_suggestions_block_list/3","type":"function"},{"doc":"Creates a thesaurus for an index. The thesaurus contains a list of synonyms in Solr format. For an example of adding a thesaurus file to an index, see Adding custom synonyms to an index.","ref":"aws_kendra.html#create_thesaurus/2","title":"aws_kendra.create_thesaurus/2","type":"function"},{"doc":"","ref":"aws_kendra.html#create_thesaurus/3","title":"aws_kendra.create_thesaurus/3","type":"function"},{"doc":"Deletes an access control configuration that you created for your documents in an index. This includes user and group access information for your documents. This is useful for user context filtering, where search results are filtered based on the user or their group access to documents.","ref":"aws_kendra.html#delete_access_control_configuration/2","title":"aws_kendra.delete_access_control_configuration/2","type":"function"},{"doc":"","ref":"aws_kendra.html#delete_access_control_configuration/3","title":"aws_kendra.delete_access_control_configuration/3","type":"function"},{"doc":"Deletes an Amazon Kendra data source connector. An exception is not thrown if the data source is already being deleted. While the data source is being deleted, the Status field returned by a call to the DescribeDataSource API is set to DELETING . For more information, see Deleting Data Sources.","ref":"aws_kendra.html#delete_data_source/2","title":"aws_kendra.delete_data_source/2","type":"function"},{"doc":"","ref":"aws_kendra.html#delete_data_source/3","title":"aws_kendra.delete_data_source/3","type":"function"},{"doc":"Deletes your Amazon Kendra experience such as a search application. For more information on creating a search application experience, see Building a search experience with no code.","ref":"aws_kendra.html#delete_experience/2","title":"aws_kendra.delete_experience/2","type":"function"},{"doc":"","ref":"aws_kendra.html#delete_experience/3","title":"aws_kendra.delete_experience/3","type":"function"},{"doc":"Removes an FAQ from an index.","ref":"aws_kendra.html#delete_faq/2","title":"aws_kendra.delete_faq/2","type":"function"},{"doc":"","ref":"aws_kendra.html#delete_faq/3","title":"aws_kendra.delete_faq/3","type":"function"},{"doc":"Deletes an existing Amazon Kendra index. An exception is not thrown if the index is already being deleted. While the index is being deleted, the Status field returned by a call to the DescribeIndex API is set to DELETING .","ref":"aws_kendra.html#delete_index/2","title":"aws_kendra.delete_index/2","type":"function"},{"doc":"","ref":"aws_kendra.html#delete_index/3","title":"aws_kendra.delete_index/3","type":"function"},{"doc":"Deletes a group so that all users and sub groups that belong to the group can no longer access documents only available to that group. For example, after deleting the group &quot;Summer Interns&quot;, all interns who belonged to that group no longer see intern-only documents in their search results. If you want to delete or replace users or sub groups of a group, you need to use the PutPrincipalMapping operation. For example, if a user in the group &quot;Engineering&quot; leaves the engineering team and another user takes their place, you provide an updated list of users or sub groups that belong to the &quot;Engineering&quot; group when calling PutPrincipalMapping . You can update your internal list of users or sub groups and input this list when calling PutPrincipalMapping . DeletePrincipalMapping is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#delete_principal_mapping/2","title":"aws_kendra.delete_principal_mapping/2","type":"function"},{"doc":"","ref":"aws_kendra.html#delete_principal_mapping/3","title":"aws_kendra.delete_principal_mapping/3","type":"function"},{"doc":"Deletes a block list used for query suggestions for an index. A deleted block list might not take effect right away. Amazon Kendra needs to refresh the entire suggestions list to add back the queries that were previously blocked. DeleteQuerySuggestionsBlockList is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#delete_query_suggestions_block_list/2","title":"aws_kendra.delete_query_suggestions_block_list/2","type":"function"},{"doc":"","ref":"aws_kendra.html#delete_query_suggestions_block_list/3","title":"aws_kendra.delete_query_suggestions_block_list/3","type":"function"},{"doc":"Deletes an existing Amazon Kendra thesaurus.","ref":"aws_kendra.html#delete_thesaurus/2","title":"aws_kendra.delete_thesaurus/2","type":"function"},{"doc":"","ref":"aws_kendra.html#delete_thesaurus/3","title":"aws_kendra.delete_thesaurus/3","type":"function"},{"doc":"Gets information about an access control configuration that you created for your documents in an index. This includes user and group access information for your documents. This is useful for user context filtering, where search results are filtered based on the user or their group access to documents.","ref":"aws_kendra.html#describe_access_control_configuration/2","title":"aws_kendra.describe_access_control_configuration/2","type":"function"},{"doc":"","ref":"aws_kendra.html#describe_access_control_configuration/3","title":"aws_kendra.describe_access_control_configuration/3","type":"function"},{"doc":"Gets information about an Amazon Kendra data source connector.","ref":"aws_kendra.html#describe_data_source/2","title":"aws_kendra.describe_data_source/2","type":"function"},{"doc":"","ref":"aws_kendra.html#describe_data_source/3","title":"aws_kendra.describe_data_source/3","type":"function"},{"doc":"Gets information about your Amazon Kendra experience such as a search application. For more information on creating a search application experience, see Building a search experience with no code.","ref":"aws_kendra.html#describe_experience/2","title":"aws_kendra.describe_experience/2","type":"function"},{"doc":"","ref":"aws_kendra.html#describe_experience/3","title":"aws_kendra.describe_experience/3","type":"function"},{"doc":"Gets information about an FAQ list.","ref":"aws_kendra.html#describe_faq/2","title":"aws_kendra.describe_faq/2","type":"function"},{"doc":"","ref":"aws_kendra.html#describe_faq/3","title":"aws_kendra.describe_faq/3","type":"function"},{"doc":"Gets information about an existing Amazon Kendra index.","ref":"aws_kendra.html#describe_index/2","title":"aws_kendra.describe_index/2","type":"function"},{"doc":"","ref":"aws_kendra.html#describe_index/3","title":"aws_kendra.describe_index/3","type":"function"},{"doc":"Describes the processing of PUT and DELETE actions for mapping users to their groups. This includes information on the status of actions currently processing or yet to be processed, when actions were last updated, when actions were received by Amazon Kendra, the latest action that should process and apply after other actions, and useful error messages if an action could not be processed. DescribePrincipalMapping is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#describe_principal_mapping/2","title":"aws_kendra.describe_principal_mapping/2","type":"function"},{"doc":"","ref":"aws_kendra.html#describe_principal_mapping/3","title":"aws_kendra.describe_principal_mapping/3","type":"function"},{"doc":"Gets information about a block list used for query suggestions for an index. This is used to check the current settings that are applied to a block list. DescribeQuerySuggestionsBlockList is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#describe_query_suggestions_block_list/2","title":"aws_kendra.describe_query_suggestions_block_list/2","type":"function"},{"doc":"","ref":"aws_kendra.html#describe_query_suggestions_block_list/3","title":"aws_kendra.describe_query_suggestions_block_list/3","type":"function"},{"doc":"Gets information on the settings of query suggestions for an index. This is used to check the current settings applied to query suggestions. DescribeQuerySuggestionsConfig is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#describe_query_suggestions_config/2","title":"aws_kendra.describe_query_suggestions_config/2","type":"function"},{"doc":"","ref":"aws_kendra.html#describe_query_suggestions_config/3","title":"aws_kendra.describe_query_suggestions_config/3","type":"function"},{"doc":"Gets information about an existing Amazon Kendra thesaurus.","ref":"aws_kendra.html#describe_thesaurus/2","title":"aws_kendra.describe_thesaurus/2","type":"function"},{"doc":"","ref":"aws_kendra.html#describe_thesaurus/3","title":"aws_kendra.describe_thesaurus/3","type":"function"},{"doc":"Prevents users or groups in your IAM Identity Center identity source from accessing your Amazon Kendra experience. You can create an Amazon Kendra experience such as a search application. For more information on creating a search application experience, see Building a search experience with no code.","ref":"aws_kendra.html#disassociate_entities_from_experience/2","title":"aws_kendra.disassociate_entities_from_experience/2","type":"function"},{"doc":"","ref":"aws_kendra.html#disassociate_entities_from_experience/3","title":"aws_kendra.disassociate_entities_from_experience/3","type":"function"},{"doc":"Removes the specific permissions of users or groups in your IAM Identity Center identity source with access to your Amazon Kendra experience. You can create an Amazon Kendra experience such as a search application. For more information on creating a search application experience, see Building a search experience with no code.","ref":"aws_kendra.html#disassociate_personas_from_entities/2","title":"aws_kendra.disassociate_personas_from_entities/2","type":"function"},{"doc":"","ref":"aws_kendra.html#disassociate_personas_from_entities/3","title":"aws_kendra.disassociate_personas_from_entities/3","type":"function"},{"doc":"Fetches the queries that are suggested to your users. GetQuerySuggestions is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#get_query_suggestions/2","title":"aws_kendra.get_query_suggestions/2","type":"function"},{"doc":"","ref":"aws_kendra.html#get_query_suggestions/3","title":"aws_kendra.get_query_suggestions/3","type":"function"},{"doc":"Retrieves search metrics data. The data provides a snapshot of how your users interact with your search application and how effective the application is.","ref":"aws_kendra.html#get_snapshots/2","title":"aws_kendra.get_snapshots/2","type":"function"},{"doc":"","ref":"aws_kendra.html#get_snapshots/3","title":"aws_kendra.get_snapshots/3","type":"function"},{"doc":"Lists one or more access control configurations for an index. This includes user and group access information for your documents. This is useful for user context filtering, where search results are filtered based on the user or their group access to documents.","ref":"aws_kendra.html#list_access_control_configurations/2","title":"aws_kendra.list_access_control_configurations/2","type":"function"},{"doc":"","ref":"aws_kendra.html#list_access_control_configurations/3","title":"aws_kendra.list_access_control_configurations/3","type":"function"},{"doc":"Gets statistics about synchronizing a data source connector.","ref":"aws_kendra.html#list_data_source_sync_jobs/2","title":"aws_kendra.list_data_source_sync_jobs/2","type":"function"},{"doc":"","ref":"aws_kendra.html#list_data_source_sync_jobs/3","title":"aws_kendra.list_data_source_sync_jobs/3","type":"function"},{"doc":"Lists the data source connectors that you have created.","ref":"aws_kendra.html#list_data_sources/2","title":"aws_kendra.list_data_sources/2","type":"function"},{"doc":"","ref":"aws_kendra.html#list_data_sources/3","title":"aws_kendra.list_data_sources/3","type":"function"},{"doc":"Lists specific permissions of users and groups with access to your Amazon Kendra experience.","ref":"aws_kendra.html#list_entity_personas/2","title":"aws_kendra.list_entity_personas/2","type":"function"},{"doc":"","ref":"aws_kendra.html#list_entity_personas/3","title":"aws_kendra.list_entity_personas/3","type":"function"},{"doc":"Lists users or groups in your IAM Identity Center identity source that are granted access to your Amazon Kendra experience. You can create an Amazon Kendra experience such as a search application. For more information on creating a search application experience, see Building a search experience with no code.","ref":"aws_kendra.html#list_experience_entities/2","title":"aws_kendra.list_experience_entities/2","type":"function"},{"doc":"","ref":"aws_kendra.html#list_experience_entities/3","title":"aws_kendra.list_experience_entities/3","type":"function"},{"doc":"Lists one or more Amazon Kendra experiences. You can create an Amazon Kendra experience such as a search application. For more information on creating a search application experience, see Building a search experience with no code.","ref":"aws_kendra.html#list_experiences/2","title":"aws_kendra.list_experiences/2","type":"function"},{"doc":"","ref":"aws_kendra.html#list_experiences/3","title":"aws_kendra.list_experiences/3","type":"function"},{"doc":"Gets a list of FAQ lists associated with an index.","ref":"aws_kendra.html#list_faqs/2","title":"aws_kendra.list_faqs/2","type":"function"},{"doc":"","ref":"aws_kendra.html#list_faqs/3","title":"aws_kendra.list_faqs/3","type":"function"},{"doc":"Provides a list of groups that are mapped to users before a given ordering or timestamp identifier. ListGroupsOlderThanOrderingId is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#list_groups_older_than_ordering_id/2","title":"aws_kendra.list_groups_older_than_ordering_id/2","type":"function"},{"doc":"","ref":"aws_kendra.html#list_groups_older_than_ordering_id/3","title":"aws_kendra.list_groups_older_than_ordering_id/3","type":"function"},{"doc":"Lists the Amazon Kendra indexes that you created.","ref":"aws_kendra.html#list_indices/2","title":"aws_kendra.list_indices/2","type":"function"},{"doc":"","ref":"aws_kendra.html#list_indices/3","title":"aws_kendra.list_indices/3","type":"function"},{"doc":"Lists the block lists used for query suggestions for an index. For information on the current quota limits for block lists, see Quotas for Amazon Kendra. ListQuerySuggestionsBlockLists is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#list_query_suggestions_block_lists/2","title":"aws_kendra.list_query_suggestions_block_lists/2","type":"function"},{"doc":"","ref":"aws_kendra.html#list_query_suggestions_block_lists/3","title":"aws_kendra.list_query_suggestions_block_lists/3","type":"function"},{"doc":"Gets a list of tags associated with a specified resource. Indexes, FAQs, and data sources can have tags associated with them.","ref":"aws_kendra.html#list_tags_for_resource/2","title":"aws_kendra.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_kendra.html#list_tags_for_resource/3","title":"aws_kendra.list_tags_for_resource/3","type":"function"},{"doc":"Lists the thesauri for an index.","ref":"aws_kendra.html#list_thesauri/2","title":"aws_kendra.list_thesauri/2","type":"function"},{"doc":"","ref":"aws_kendra.html#list_thesauri/3","title":"aws_kendra.list_thesauri/3","type":"function"},{"doc":"Maps users to their groups so that you only need to provide the user ID when you issue the query. You can also map sub groups to groups. For example, the group &quot;Company Intellectual Property Teams&quot; includes sub groups &quot;Research&quot; and &quot;Engineering&quot;. These sub groups include their own list of users or people who work in these teams. Only users who work in research and engineering, and therefore belong in the intellectual property group, can see top-secret company documents in their search results. This is useful for user context filtering, where search results are filtered based on the user or their group access to documents. For more information, see Filtering on user context. If more than five PUT actions for a group are currently processing, a validation exception is thrown. PutPrincipalMapping is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#put_principal_mapping/2","title":"aws_kendra.put_principal_mapping/2","type":"function"},{"doc":"","ref":"aws_kendra.html#put_principal_mapping/3","title":"aws_kendra.put_principal_mapping/3","type":"function"},{"doc":"Searches an active index. Use this API to search your documents using query. The Query API enables to do faceted search and to filter results based on document attributes. It also enables you to provide user context that Amazon Kendra uses to enforce document access control in the search results. Amazon Kendra searches your index for text content and question and answer (FAQ) content. By default the response contains three types of results. Relevant passages Matching FAQs Relevant documents You can specify that the query return only one type of result using the QueryResultTypeFilter parameter. Each query returns the 100 most relevant results.","ref":"aws_kendra.html#query/2","title":"aws_kendra.query/2","type":"function"},{"doc":"","ref":"aws_kendra.html#query/3","title":"aws_kendra.query/3","type":"function"},{"doc":"Starts a synchronization job for a data source connector. If a synchronization job is already in progress, Amazon Kendra returns a ResourceInUseException exception.","ref":"aws_kendra.html#start_data_source_sync_job/2","title":"aws_kendra.start_data_source_sync_job/2","type":"function"},{"doc":"","ref":"aws_kendra.html#start_data_source_sync_job/3","title":"aws_kendra.start_data_source_sync_job/3","type":"function"},{"doc":"Stops a synchronization job that is currently running. You can't stop a scheduled synchronization job.","ref":"aws_kendra.html#stop_data_source_sync_job/2","title":"aws_kendra.stop_data_source_sync_job/2","type":"function"},{"doc":"","ref":"aws_kendra.html#stop_data_source_sync_job/3","title":"aws_kendra.stop_data_source_sync_job/3","type":"function"},{"doc":"Enables you to provide feedback to Amazon Kendra to improve the performance of your index. SubmitFeedback is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#submit_feedback/2","title":"aws_kendra.submit_feedback/2","type":"function"},{"doc":"","ref":"aws_kendra.html#submit_feedback/3","title":"aws_kendra.submit_feedback/3","type":"function"},{"doc":"Adds the specified tag to the specified index, FAQ, or data source resource. If the tag already exists, the existing value is replaced with the new value.","ref":"aws_kendra.html#tag_resource/2","title":"aws_kendra.tag_resource/2","type":"function"},{"doc":"","ref":"aws_kendra.html#tag_resource/3","title":"aws_kendra.tag_resource/3","type":"function"},{"doc":"Removes a tag from an index, FAQ, or a data source.","ref":"aws_kendra.html#untag_resource/2","title":"aws_kendra.untag_resource/2","type":"function"},{"doc":"","ref":"aws_kendra.html#untag_resource/3","title":"aws_kendra.untag_resource/3","type":"function"},{"doc":"Updates an access control configuration for your documents in an index. This includes user and group access information for your documents. This is useful for user context filtering, where search results are filtered based on the user or their group access to documents. You can update an access control configuration you created without indexing all of your documents again. For example, your index contains top-secret company documents that only certain employees or users should access. You created an 'allow' access control configuration for one user who recently joined the 'top-secret' team, switching from a team with 'deny' access to top-secret documents. However, the user suddenly returns to their previous team and should no longer have access to top secret documents. You can update the access control configuration to re-configure access control for your documents as circumstances change. You call the BatchPutDocument API to apply the updated access control configuration, with the AccessControlConfigurationId included in the Document object. If you use an S3 bucket as a data source, you synchronize your data source to apply the AccessControlConfigurationId in the .metadata.json file. Amazon Kendra currently only supports access control configuration for S3 data sources and documents indexed using the BatchPutDocument API.","ref":"aws_kendra.html#update_access_control_configuration/2","title":"aws_kendra.update_access_control_configuration/2","type":"function"},{"doc":"","ref":"aws_kendra.html#update_access_control_configuration/3","title":"aws_kendra.update_access_control_configuration/3","type":"function"},{"doc":"Updates an existing Amazon Kendra data source connector.","ref":"aws_kendra.html#update_data_source/2","title":"aws_kendra.update_data_source/2","type":"function"},{"doc":"","ref":"aws_kendra.html#update_data_source/3","title":"aws_kendra.update_data_source/3","type":"function"},{"doc":"Updates your Amazon Kendra experience such as a search application. For more information on creating a search application experience, see Building a search experience with no code.","ref":"aws_kendra.html#update_experience/2","title":"aws_kendra.update_experience/2","type":"function"},{"doc":"","ref":"aws_kendra.html#update_experience/3","title":"aws_kendra.update_experience/3","type":"function"},{"doc":"Updates an existing Amazon Kendra index.","ref":"aws_kendra.html#update_index/2","title":"aws_kendra.update_index/2","type":"function"},{"doc":"","ref":"aws_kendra.html#update_index/3","title":"aws_kendra.update_index/3","type":"function"},{"doc":"Updates a block list used for query suggestions for an index. Updates to a block list might not take effect right away. Amazon Kendra needs to refresh the entire suggestions list to apply any updates to the block list. Other changes not related to the block list apply immediately. If a block list is updating, then you need to wait for the first update to finish before submitting another update. Amazon Kendra supports partial updates, so you only need to provide the fields you want to update. UpdateQuerySuggestionsBlockList is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#update_query_suggestions_block_list/2","title":"aws_kendra.update_query_suggestions_block_list/2","type":"function"},{"doc":"","ref":"aws_kendra.html#update_query_suggestions_block_list/3","title":"aws_kendra.update_query_suggestions_block_list/3","type":"function"},{"doc":"Updates the settings of query suggestions for an index. Amazon Kendra supports partial updates, so you only need to provide the fields you want to update. If an update is currently processing (i.e. 'happening'), you need to wait for the update to finish before making another update. Updates to query suggestions settings might not take effect right away. The time for your updated settings to take effect depends on the updates made and the number of search queries in your index. You can still enable/disable query suggestions at any time. UpdateQuerySuggestionsConfig is currently not supported in the Amazon Web Services GovCloud (US-West) region.","ref":"aws_kendra.html#update_query_suggestions_config/2","title":"aws_kendra.update_query_suggestions_config/2","type":"function"},{"doc":"","ref":"aws_kendra.html#update_query_suggestions_config/3","title":"aws_kendra.update_query_suggestions_config/3","type":"function"},{"doc":"Updates a thesaurus for an index.","ref":"aws_kendra.html#update_thesaurus/2","title":"aws_kendra.update_thesaurus/2","type":"function"},{"doc":"","ref":"aws_kendra.html#update_thesaurus/3","title":"aws_kendra.update_thesaurus/3","type":"function"},{"doc":"Amazon Kendra Intelligent Ranking uses Amazon Kendra semantic search capabilities to intelligently re-rank a search service's results.","ref":"aws_kendra_ranking.html","title":"aws_kendra_ranking","type":"module"},{"doc":"Creates a rescore execution plan. A rescore execution plan is an Amazon Kendra Intelligent Ranking resource used for provisioning the Rescore API. You set the number of capacity units that you require for Amazon Kendra Intelligent Ranking to rescore or re-rank a search service's results. For an example of using the CreateRescoreExecutionPlan API, including using the Python and Java SDKs, see Semantically ranking a search service's results.","ref":"aws_kendra_ranking.html#create_rescore_execution_plan/2","title":"aws_kendra_ranking.create_rescore_execution_plan/2","type":"function"},{"doc":"","ref":"aws_kendra_ranking.html#create_rescore_execution_plan/3","title":"aws_kendra_ranking.create_rescore_execution_plan/3","type":"function"},{"doc":"Deletes a rescore execution plan. A rescore execution plan is an Amazon Kendra Intelligent Ranking resource used for provisioning the Rescore API.","ref":"aws_kendra_ranking.html#delete_rescore_execution_plan/2","title":"aws_kendra_ranking.delete_rescore_execution_plan/2","type":"function"},{"doc":"","ref":"aws_kendra_ranking.html#delete_rescore_execution_plan/3","title":"aws_kendra_ranking.delete_rescore_execution_plan/3","type":"function"},{"doc":"Gets information about a rescore execution plan. A rescore execution plan is an Amazon Kendra Intelligent Ranking resource used for provisioning the Rescore API.","ref":"aws_kendra_ranking.html#describe_rescore_execution_plan/2","title":"aws_kendra_ranking.describe_rescore_execution_plan/2","type":"function"},{"doc":"","ref":"aws_kendra_ranking.html#describe_rescore_execution_plan/3","title":"aws_kendra_ranking.describe_rescore_execution_plan/3","type":"function"},{"doc":"Lists your rescore execution plans. A rescore execution plan is an Amazon Kendra Intelligent Ranking resource used for provisioning the Rescore API.","ref":"aws_kendra_ranking.html#list_rescore_execution_plans/2","title":"aws_kendra_ranking.list_rescore_execution_plans/2","type":"function"},{"doc":"","ref":"aws_kendra_ranking.html#list_rescore_execution_plans/3","title":"aws_kendra_ranking.list_rescore_execution_plans/3","type":"function"},{"doc":"Gets a list of tags associated with a specified resource. A rescore execution plan is an example of a resource that can have tags associated with it.","ref":"aws_kendra_ranking.html#list_tags_for_resource/2","title":"aws_kendra_ranking.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_kendra_ranking.html#list_tags_for_resource/3","title":"aws_kendra_ranking.list_tags_for_resource/3","type":"function"},{"doc":"Rescores or re-ranks search results from a search service such as OpenSearch (self managed). You use the semantic search capabilities of Amazon Kendra Intelligent Ranking to improve the search service's results.","ref":"aws_kendra_ranking.html#rescore/2","title":"aws_kendra_ranking.rescore/2","type":"function"},{"doc":"","ref":"aws_kendra_ranking.html#rescore/3","title":"aws_kendra_ranking.rescore/3","type":"function"},{"doc":"Adds a specified tag to a specified rescore execution plan. A rescore execution plan is an Amazon Kendra Intelligent Ranking resource used for provisioning the Rescore API. If the tag already exists, the existing value is replaced with the new value.","ref":"aws_kendra_ranking.html#tag_resource/2","title":"aws_kendra_ranking.tag_resource/2","type":"function"},{"doc":"","ref":"aws_kendra_ranking.html#tag_resource/3","title":"aws_kendra_ranking.tag_resource/3","type":"function"},{"doc":"Removes a tag from a rescore execution plan. A rescore execution plan is an Amazon Kendra Intelligent Ranking resource used for provisioning the Rescore operation.","ref":"aws_kendra_ranking.html#untag_resource/2","title":"aws_kendra_ranking.untag_resource/2","type":"function"},{"doc":"","ref":"aws_kendra_ranking.html#untag_resource/3","title":"aws_kendra_ranking.untag_resource/3","type":"function"},{"doc":"Updates a rescore execution plan. A rescore execution plan is an Amazon Kendra Intelligent Ranking resource used for provisioning the Rescore API. You can update the number of capacity units you require for Amazon Kendra Intelligent Ranking to rescore or re-rank a search service's results.","ref":"aws_kendra_ranking.html#update_rescore_execution_plan/2","title":"aws_kendra_ranking.update_rescore_execution_plan/2","type":"function"},{"doc":"","ref":"aws_kendra_ranking.html#update_rescore_execution_plan/3","title":"aws_kendra_ranking.update_rescore_execution_plan/3","type":"function"},{"doc":"Amazon Keyspaces (for Apache Cassandra) is a scalable, highly available, and managed Apache Cassandra-compatible database service. Amazon Keyspaces makes it easy to migrate, run, and scale Cassandra workloads in the Amazon Web Services Cloud. With just a few clicks on the Amazon Web Services Management Console or a few lines of code, you can create keyspaces and tables in Amazon Keyspaces, without deploying any infrastructure or installing software. In addition to supporting Cassandra Query Language (CQL) requests via open-source Cassandra drivers, Amazon Keyspaces supports data definition language (DDL) operations to manage keyspaces and tables using the Amazon Web Services SDK and CLI. This API reference describes the supported DDL operations in detail. For the list of all supported CQL APIs, see Supported Cassandra APIs, operations, and data types in Amazon Keyspaces in the Amazon Keyspaces Developer Guide. To learn how Amazon Keyspaces API actions are recorded with CloudTrail, see Amazon Keyspaces information in CloudTrail in the Amazon Keyspaces Developer Guide. For more information about Amazon Web Services APIs, for example how to implement retry logic or how to sign Amazon Web Services API requests, see Amazon Web Services APIs in the General Reference.","ref":"aws_keyspaces.html","title":"aws_keyspaces","type":"module"},{"doc":"The CreateKeyspace operation adds a new keyspace to your account. In an Amazon Web Services account, keyspace names must be unique within each Region. CreateKeyspace is an asynchronous operation. You can monitor the creation status of the new keyspace by using the GetKeyspace operation. For more information, see Creating keyspaces in the Amazon Keyspaces Developer Guide.","ref":"aws_keyspaces.html#create_keyspace/2","title":"aws_keyspaces.create_keyspace/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#create_keyspace/3","title":"aws_keyspaces.create_keyspace/3","type":"function"},{"doc":"The CreateTable operation adds a new table to the specified keyspace. Within a keyspace, table names must be unique. CreateTable is an asynchronous operation. When the request is received, the status of the table is set to CREATING . You can monitor the creation status of the new table by using the GetTable operation, which returns the current status of the table. You can start using a table when the status is ACTIVE . For more information, see Creating tables in the Amazon Keyspaces Developer Guide.","ref":"aws_keyspaces.html#create_table/2","title":"aws_keyspaces.create_table/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#create_table/3","title":"aws_keyspaces.create_table/3","type":"function"},{"doc":"The DeleteKeyspace operation deletes a keyspace and all of its tables.","ref":"aws_keyspaces.html#delete_keyspace/2","title":"aws_keyspaces.delete_keyspace/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#delete_keyspace/3","title":"aws_keyspaces.delete_keyspace/3","type":"function"},{"doc":"The DeleteTable operation deletes a table and all of its data. After a DeleteTable request is received, the specified table is in the DELETING state until Amazon Keyspaces completes the deletion. If the table is in the ACTIVE state, you can delete it. If a table is either in the CREATING or UPDATING states, then Amazon Keyspaces returns a ResourceInUseException . If the specified table does not exist, Amazon Keyspaces returns a ResourceNotFoundException . If the table is already in the DELETING state, no error is returned.","ref":"aws_keyspaces.html#delete_table/2","title":"aws_keyspaces.delete_table/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#delete_table/3","title":"aws_keyspaces.delete_table/3","type":"function"},{"doc":"Returns the name and the Amazon Resource Name (ARN) of the specified table.","ref":"aws_keyspaces.html#get_keyspace/2","title":"aws_keyspaces.get_keyspace/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#get_keyspace/3","title":"aws_keyspaces.get_keyspace/3","type":"function"},{"doc":"Returns information about the table, including the table's name and current status, the keyspace name, configuration settings, and metadata. To read table metadata using GetTable , Select action permissions for the table and system tables are required to complete the operation.","ref":"aws_keyspaces.html#get_table/2","title":"aws_keyspaces.get_table/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#get_table/3","title":"aws_keyspaces.get_table/3","type":"function"},{"doc":"Returns a list of keyspaces.","ref":"aws_keyspaces.html#list_keyspaces/2","title":"aws_keyspaces.list_keyspaces/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#list_keyspaces/3","title":"aws_keyspaces.list_keyspaces/3","type":"function"},{"doc":"Returns a list of tables for a specified keyspace.","ref":"aws_keyspaces.html#list_tables/2","title":"aws_keyspaces.list_tables/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#list_tables/3","title":"aws_keyspaces.list_tables/3","type":"function"},{"doc":"Returns a list of all tags associated with the specified Amazon Keyspaces resource.","ref":"aws_keyspaces.html#list_tags_for_resource/2","title":"aws_keyspaces.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#list_tags_for_resource/3","title":"aws_keyspaces.list_tags_for_resource/3","type":"function"},{"doc":"Restores the specified table to the specified point in time within the earliest_restorable_timestamp and the current time. For more information about restore points, see Time window for PITR continuous backups in the Amazon Keyspaces Developer Guide. Any number of users can execute up to 4 concurrent restores (any type of restore) in a given account. When you restore using point in time recovery, Amazon Keyspaces restores your source table's schema and data to the state based on the selected timestamp (day:hour:minute:second) to a new table. The Time to Live (TTL) settings are also restored to the state based on the selected timestamp. In addition to the table's schema, data, and TTL settings, RestoreTable restores the capacity mode, encryption, and point-in-time recovery settings from the source table. Unlike the table's schema data and TTL settings, which are restored based on the selected timestamp, these settings are always restored based on the table's settings as of the current time or when the table was deleted. You can also overwrite these settings during restore: • Read/write capacity mode • Provisioned throughput capacity settings • Point-in-time (PITR) settings • Tags For more information, see PITR restore settings in the Amazon Keyspaces Developer Guide. Note that the following settings are not restored, and you must configure them manually for the new table: • Automatic scaling policies (for tables that use provisioned capacity mode) • Identity and Access Management (IAM) policies • Amazon CloudWatch metrics and alarms","ref":"aws_keyspaces.html#restore_table/2","title":"aws_keyspaces.restore_table/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#restore_table/3","title":"aws_keyspaces.restore_table/3","type":"function"},{"doc":"Associates a set of tags with a Amazon Keyspaces resource. You can then activate these user-defined tags so that they appear on the Cost Management Console for cost allocation tracking. For more information, see Adding tags and labels to Amazon Keyspaces resources in the Amazon Keyspaces Developer Guide. For IAM policy examples that show how to control access to Amazon Keyspaces resources based on tags, see Amazon Keyspaces resource access based on tags in the Amazon Keyspaces Developer Guide.","ref":"aws_keyspaces.html#tag_resource/2","title":"aws_keyspaces.tag_resource/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#tag_resource/3","title":"aws_keyspaces.tag_resource/3","type":"function"},{"doc":"Removes the association of tags from a Amazon Keyspaces resource.","ref":"aws_keyspaces.html#untag_resource/2","title":"aws_keyspaces.untag_resource/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#untag_resource/3","title":"aws_keyspaces.untag_resource/3","type":"function"},{"doc":"Adds new columns to the table or updates one of the table's settings, for example capacity mode, encryption, point-in-time recovery, or ttl settings. Note that you can only update one specific table setting per update operation.","ref":"aws_keyspaces.html#update_table/2","title":"aws_keyspaces.update_table/2","type":"function"},{"doc":"","ref":"aws_keyspaces.html#update_table/3","title":"aws_keyspaces.update_table/3","type":"function"},{"doc":"Amazon Kinesis Data Streams Service API Reference Amazon Kinesis Data Streams is a managed service that scales elastically for real-time processing of streaming big data.","ref":"aws_kinesis.html","title":"aws_kinesis","type":"module"},{"doc":"Adds or updates tags for the specified Kinesis data stream. You can assign up to 50 tags to a data stream. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. If tags have already been assigned to the stream, AddTagsToStream overwrites any existing tags that correspond to the specified tag keys. AddTagsToStream has a limit of five transactions per second per account.","ref":"aws_kinesis.html#add_tags_to_stream/2","title":"aws_kinesis.add_tags_to_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#add_tags_to_stream/3","title":"aws_kinesis.add_tags_to_stream/3","type":"function"},{"doc":"Creates a Kinesis data stream. A stream captures and transports data records that are continuously emitted from different data sources or producers. Scale-out within a stream is explicitly supported by means of shards, which are uniquely identified groups of data records in a stream. You can create your data stream using either on-demand or provisioned capacity mode. Data streams with an on-demand mode require no capacity planning and automatically scale to handle gigabytes of write and read throughput per minute. With the on-demand mode, Kinesis Data Streams automatically manages the shards in order to provide the necessary throughput. For the data streams with a provisioned mode, you must specify the number of shards for the data stream. Each shard can support reads up to five transactions per second, up to a maximum data read total of 2 MiB per second. Each shard can support writes up to 1,000 records per second, up to a maximum data write total of 1 MiB per second. If the amount of data input increases or decreases, you can add or remove shards. The stream name identifies the stream. The name is scoped to the Amazon Web Services account used by the application. It is also scoped by Amazon Web Services Region. That is, two streams in two different accounts can have the same name, and two streams in the same account, but in two different Regions, can have the same name. CreateStream is an asynchronous operation. Upon receiving a CreateStream request, Kinesis Data Streams immediately returns and sets the stream status to CREATING . After the stream is created, Kinesis Data Streams sets the stream status to ACTIVE . You should perform read and write operations only on an ACTIVE stream. You receive a LimitExceededException when making a CreateStream request when you try to do one of the following: Have more than five streams in the CREATING state at any point in time. Create more shards than are authorized for your account. For the default shard limit for an Amazon Web Services account, see Amazon Kinesis Data Streams Limits in the Amazon Kinesis Data Streams Developer Guide. To increase this limit, contact Amazon Web Services Support. You can use DescribeStreamSummary to check the stream status, which is returned in StreamStatus . CreateStream has a limit of five transactions per second per account.","ref":"aws_kinesis.html#create_stream/2","title":"aws_kinesis.create_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#create_stream/3","title":"aws_kinesis.create_stream/3","type":"function"},{"doc":"Decreases the Kinesis data stream's retention period, which is the length of time data records are accessible after they are added to the stream. The minimum value of a stream's retention period is 24 hours. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. This operation may result in lost data. For example, if the stream's retention period is 48 hours and is decreased to 24 hours, any data already in the stream that is older than 24 hours is inaccessible.","ref":"aws_kinesis.html#decrease_stream_retention_period/2","title":"aws_kinesis.decrease_stream_retention_period/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#decrease_stream_retention_period/3","title":"aws_kinesis.decrease_stream_retention_period/3","type":"function"},{"doc":"Deletes a Kinesis data stream and all its shards and data. You must shut down any applications that are operating on the stream before you delete the stream. If an application attempts to operate on a deleted stream, it receives the exception ResourceNotFoundException . When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. If the stream is in the ACTIVE state, you can delete it. After a DeleteStream request, the specified stream is in the DELETING state until Kinesis Data Streams completes the deletion. Note: Kinesis Data Streams might continue to accept data read and write operations, such as PutRecord , PutRecords , and GetRecords , on a stream in the DELETING state until the stream deletion is complete. When you delete a stream, any shards in that stream are also deleted, and any tags are dissociated from the stream. You can use the DescribeStreamSummary operation to check the state of the stream, which is returned in StreamStatus . DeleteStream has a limit of five transactions per second per account.","ref":"aws_kinesis.html#delete_stream/2","title":"aws_kinesis.delete_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#delete_stream/3","title":"aws_kinesis.delete_stream/3","type":"function"},{"doc":"To deregister a consumer, provide its ARN. Alternatively, you can provide the ARN of the data stream and the name you gave the consumer when you registered it. You may also provide all three parameters, as long as they don't conflict with each other. If you don't know the name or ARN of the consumer that you want to deregister, you can use the ListStreamConsumers operation to get a list of the descriptions of all the consumers that are currently registered with a given data stream. The description of a consumer contains its name and ARN. This operation has a limit of five transactions per second per stream.","ref":"aws_kinesis.html#deregister_stream_consumer/2","title":"aws_kinesis.deregister_stream_consumer/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#deregister_stream_consumer/3","title":"aws_kinesis.deregister_stream_consumer/3","type":"function"},{"doc":"Describes the shard limits and usage for the account. If you update your account limits, the old limits might be returned for a few minutes. This operation has a limit of one transaction per second per account.","ref":"aws_kinesis.html#describe_limits/2","title":"aws_kinesis.describe_limits/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#describe_limits/3","title":"aws_kinesis.describe_limits/3","type":"function"},{"doc":"Describes the specified Kinesis data stream. This API has been revised. It's highly recommended that you use the DescribeStreamSummary API to get a summarized description of the specified Kinesis data stream and the ListShards API to list the shards in a specified data stream and obtain information about each shard. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. The information returned includes the stream name, Amazon Resource Name (ARN), creation time, enhanced metric configuration, and shard map. The shard map is an array of shard objects. For each shard object, there is the hash key and sequence number ranges that the shard spans, and the IDs of any earlier shards that played in a role in creating the shard. Every record ingested in the stream is identified by a sequence number, which is assigned when the record is put into the stream. You can limit the number of shards returned by each call. For more information, see Retrieving Shards from a Stream in the Amazon Kinesis Data Streams Developer Guide. There are no guarantees about the chronological order shards returned. To process shards in chronological order, use the ID of the parent shard to track the lineage to the oldest shard. This operation has a limit of 10 transactions per second per account.","ref":"aws_kinesis.html#describe_stream/2","title":"aws_kinesis.describe_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#describe_stream/3","title":"aws_kinesis.describe_stream/3","type":"function"},{"doc":"To get the description of a registered consumer, provide the ARN of the consumer. Alternatively, you can provide the ARN of the data stream and the name you gave the consumer when you registered it. You may also provide all three parameters, as long as they don't conflict with each other. If you don't know the name or ARN of the consumer that you want to describe, you can use the ListStreamConsumers operation to get a list of the descriptions of all the consumers that are currently registered with a given data stream. This operation has a limit of 20 transactions per second per stream.","ref":"aws_kinesis.html#describe_stream_consumer/2","title":"aws_kinesis.describe_stream_consumer/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#describe_stream_consumer/3","title":"aws_kinesis.describe_stream_consumer/3","type":"function"},{"doc":"Provides a summarized description of the specified Kinesis data stream without the shard list. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. The information returned includes the stream name, Amazon Resource Name (ARN), status, record retention period, approximate creation time, monitoring, encryption details, and open shard count. DescribeStreamSummary has a limit of 20 transactions per second per account.","ref":"aws_kinesis.html#describe_stream_summary/2","title":"aws_kinesis.describe_stream_summary/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#describe_stream_summary/3","title":"aws_kinesis.describe_stream_summary/3","type":"function"},{"doc":"Disables enhanced monitoring. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter.","ref":"aws_kinesis.html#disable_enhanced_monitoring/2","title":"aws_kinesis.disable_enhanced_monitoring/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#disable_enhanced_monitoring/3","title":"aws_kinesis.disable_enhanced_monitoring/3","type":"function"},{"doc":"Enables enhanced Kinesis data stream monitoring for shard-level metrics. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter.","ref":"aws_kinesis.html#enable_enhanced_monitoring/2","title":"aws_kinesis.enable_enhanced_monitoring/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#enable_enhanced_monitoring/3","title":"aws_kinesis.enable_enhanced_monitoring/3","type":"function"},{"doc":"Gets data records from a Kinesis data stream's shard. When invoking this API, it is recommended you use the StreamARN input parameter in addition to the ShardIterator parameter. Specify a shard iterator using the ShardIterator parameter. The shard iterator specifies the position in the shard from which you want to start reading data records sequentially. If there are no records available in the portion of the shard that the iterator points to, GetRecords returns an empty list. It might take multiple calls to get to a portion of the shard that contains records. You can scale by provisioning multiple shards per stream while considering service limits (for more information, see Amazon Kinesis Data Streams Limits in the Amazon Kinesis Data Streams Developer Guide). Your application should have one thread per shard, each reading continuously from its stream. To read from a stream continually, call GetRecords in a loop. Use GetShardIterator to get the shard iterator to specify in the first GetRecords call. GetRecords returns a new shard iterator in NextShardIterator . Specify the shard iterator returned in NextShardIterator in subsequent calls to GetRecords . If the shard has been closed, the shard iterator can't return more data and GetRecords returns null in NextShardIterator . You can terminate the loop when the shard is closed, or when the shard iterator reaches the record with the sequence number or other attribute that marks it as the last record to process. Each data record can be up to 1 MiB in size, and each shard can read up to 2 MiB per second. You can ensure that your calls don't exceed the maximum supported size or throughput by using the Limit parameter to specify the maximum number of records that GetRecords can return. Consider your average record size when determining this limit. The maximum number of records that can be returned per call is 10,000. The size of the data returned by GetRecords varies depending on the utilization of the shard. It is recommended that consumer applications retrieve records via the GetRecords command using the 5 TPS limit to remain caught up. Retrieving records less frequently can lead to consumer applications falling behind. The maximum size of data that GetRecords can return is 10 MiB. If a call returns this amount of data, subsequent calls made within the next 5 seconds throw ProvisionedThroughputExceededException . If there is insufficient provisioned throughput on the stream, subsequent calls made within the next 1 second throw ProvisionedThroughputExceededException . GetRecords doesn't return any data when it throws an exception. For this reason, we recommend that you wait 1 second between calls to GetRecords . However, it's possible that the application will get exceptions for longer than 1 second. To detect whether the application is falling behind in processing, you can use the MillisBehindLatest response attribute. You can also monitor the stream using CloudWatch metrics and other mechanisms (see Monitoring in the Amazon Kinesis Data Streams Developer Guide). Each Amazon Kinesis record includes a value, ApproximateArrivalTimestamp , that is set when a stream successfully receives and stores a record. This is commonly referred to as a server-side time stamp, whereas a client-side time stamp is set when a data producer creates or sends the record to a stream (a data producer is any data source putting data records into a stream, for example with PutRecords ). The time stamp has millisecond precision. There are no guarantees about the time stamp accuracy, or that the time stamp is always increasing. For example, records in a shard or across a stream might have time stamps that are out of order. This operation has a limit of five transactions per second per shard.","ref":"aws_kinesis.html#get_records/2","title":"aws_kinesis.get_records/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#get_records/3","title":"aws_kinesis.get_records/3","type":"function"},{"doc":"Gets an Amazon Kinesis shard iterator. A shard iterator expires 5 minutes after it is returned to the requester. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. A shard iterator specifies the shard position from which to start reading data records sequentially. The position is specified using the sequence number of a data record in a shard. A sequence number is the identifier associated with every record ingested in the stream, and is assigned when a record is put into the stream. Each stream has one or more shards. You must specify the shard iterator type. For example, you can set the ShardIteratorType parameter to read exactly from the position denoted by a specific sequence number by using the AT_SEQUENCE_NUMBER shard iterator type. Alternatively, the parameter can read right after the sequence number by using the AFTER_SEQUENCE_NUMBER shard iterator type, using sequence numbers returned by earlier calls to PutRecord , PutRecords , GetRecords , or DescribeStream . In the request, you can specify the shard iterator type AT_TIMESTAMP to read records from an arbitrary point in time, TRIM_HORIZON to cause ShardIterator to point to the last untrimmed record in the shard in the system (the oldest data record in the shard), or LATEST so that you always read the most recent data in the shard. When you read repeatedly from a stream, use a GetShardIterator request to get the first shard iterator for use in your first GetRecords request and for subsequent reads use the shard iterator returned by the GetRecords request in NextShardIterator . A new shard iterator is returned by every GetRecords request in NextShardIterator , which you use in the ShardIterator parameter of the next GetRecords request. If a GetShardIterator request is made too often, you receive a ProvisionedThroughputExceededException . For more information about throughput limits, see GetRecords , and Streams Limits in the Amazon Kinesis Data Streams Developer Guide. If the shard is closed, GetShardIterator returns a valid iterator for the last sequence number of the shard. A shard can be closed as a result of using SplitShard or MergeShards . GetShardIterator has a limit of five transactions per second per account per open shard.","ref":"aws_kinesis.html#get_shard_iterator/2","title":"aws_kinesis.get_shard_iterator/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#get_shard_iterator/3","title":"aws_kinesis.get_shard_iterator/3","type":"function"},{"doc":"Increases the Kinesis data stream's retention period, which is the length of time data records are accessible after they are added to the stream. The maximum value of a stream's retention period is 8760 hours (365 days). When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. If you choose a longer stream retention period, this operation increases the time period during which records that have not yet expired are accessible. However, it does not make previous, expired data (older than the stream's previous retention period) accessible after the operation has been called. For example, if a stream's retention period is set to 24 hours and is increased to 168 hours, any data that is older than 24 hours remains inaccessible to consumer applications.","ref":"aws_kinesis.html#increase_stream_retention_period/2","title":"aws_kinesis.increase_stream_retention_period/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#increase_stream_retention_period/3","title":"aws_kinesis.increase_stream_retention_period/3","type":"function"},{"doc":"Lists the shards in a stream and provides information about each shard. This operation has a limit of 1000 transactions per second per data stream. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. This action does not list expired shards. For information about expired shards, see Data Routing, Data Persistence, and Shard State after a Reshard. This API is a new operation that is used by the Amazon Kinesis Client Library (KCL). If you have a fine-grained IAM policy that only allows specific operations, you must update your policy to allow calls to this API. For more information, see Controlling Access to Amazon Kinesis Data Streams Resources Using IAM.","ref":"aws_kinesis.html#list_shards/2","title":"aws_kinesis.list_shards/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#list_shards/3","title":"aws_kinesis.list_shards/3","type":"function"},{"doc":"Lists the consumers registered to receive data from a stream using enhanced fan-out, and provides information about each consumer. This operation has a limit of 5 transactions per second per stream.","ref":"aws_kinesis.html#list_stream_consumers/2","title":"aws_kinesis.list_stream_consumers/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#list_stream_consumers/3","title":"aws_kinesis.list_stream_consumers/3","type":"function"},{"doc":"Lists your Kinesis data streams. The number of streams may be too large to return from a single call to ListStreams . You can limit the number of returned streams using the Limit parameter. If you do not specify a value for the Limit parameter, Kinesis Data Streams uses the default limit, which is currently 100. You can detect if there are more streams available to list by using the HasMoreStreams flag from the returned output. If there are more streams available, you can request more streams by using the name of the last stream returned by the ListStreams request in the ExclusiveStartStreamName parameter in a subsequent request to ListStreams . The group of stream names returned by the subsequent request is then added to the list. You can continue this process until all the stream names have been collected in the list. ListStreams has a limit of five transactions per second per account.","ref":"aws_kinesis.html#list_streams/2","title":"aws_kinesis.list_streams/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#list_streams/3","title":"aws_kinesis.list_streams/3","type":"function"},{"doc":"Lists the tags for the specified Kinesis data stream. This operation has a limit of five transactions per second per account. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter.","ref":"aws_kinesis.html#list_tags_for_stream/2","title":"aws_kinesis.list_tags_for_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#list_tags_for_stream/3","title":"aws_kinesis.list_tags_for_stream/3","type":"function"},{"doc":"Merges two adjacent shards in a Kinesis data stream and combines them into a single shard to reduce the stream's capacity to ingest and transport data. This API is only supported for the data streams with the provisioned capacity mode. Two shards are considered adjacent if the union of the hash key ranges for the two shards form a contiguous set with no gaps. For example, if you have two shards, one with a hash key range of 276...381 and the other with a hash key range of 382...454, then you could merge these two shards into a single shard that would have a hash key range of 276...454. After the merge, the single child shard receives data for all hash key values covered by the two parent shards. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. MergeShards is called when there is a need to reduce the overall capacity of a stream because of excess capacity that is not being used. You must specify the shard to be merged and the adjacent shard for a stream. For more information about merging shards, see Merge Two Shards in the Amazon Kinesis Data Streams Developer Guide. If the stream is in the ACTIVE state, you can call MergeShards . If a stream is in the CREATING , UPDATING , or DELETING state, MergeShards returns a ResourceInUseException . If the specified stream does not exist, MergeShards returns a ResourceNotFoundException . You can use DescribeStreamSummary to check the state of the stream, which is returned in StreamStatus . MergeShards is an asynchronous operation. Upon receiving a MergeShards request, Amazon Kinesis Data Streams immediately returns a response and sets the StreamStatus to UPDATING . After the operation is completed, Kinesis Data Streams sets the StreamStatus to ACTIVE . Read and write operations continue to work while the stream is in the UPDATING state. You use DescribeStreamSummary and the ListShards APIs to determine the shard IDs that are specified in the MergeShards request. If you try to operate on too many streams in parallel using CreateStream , DeleteStream , MergeShards , or SplitShard , you receive a LimitExceededException . MergeShards has a limit of five transactions per second per account.","ref":"aws_kinesis.html#merge_shards/2","title":"aws_kinesis.merge_shards/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#merge_shards/3","title":"aws_kinesis.merge_shards/3","type":"function"},{"doc":"Writes a single data record into an Amazon Kinesis data stream. Call PutRecord to send data into the stream for real-time ingestion and subsequent processing, one record at a time. Each shard can support writes up to 1,000 records per second, up to a maximum data write total of 1 MiB per second. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. You must specify the name of the stream that captures, stores, and transports the data; a partition key; and the data blob itself. The data blob can be any type of data; for example, a segment from a log file, geographic/location data, website clickstream data, and so on. The partition key is used by Kinesis Data Streams to distribute data across shards. Kinesis Data Streams segregates the data records that belong to a stream into multiple shards, using the partition key associated with each data record to determine the shard to which a given data record belongs. Partition keys are Unicode strings, with a maximum length limit of 256 characters for each key. An MD5 hash function is used to map partition keys to 128-bit integer values and to map associated data records to shards using the hash key ranges of the shards. You can override hashing the partition key to determine the shard by explicitly specifying a hash value using the ExplicitHashKey parameter. For more information, see Adding Data to a Stream in the Amazon Kinesis Data Streams Developer Guide. PutRecord returns the shard ID of where the data record was placed and the sequence number that was assigned to the data record. Sequence numbers increase over time and are specific to a shard within a stream, not across all shards within a stream. To guarantee strictly increasing ordering, write serially to a shard and use the SequenceNumberForOrdering parameter. For more information, see Adding Data to a Stream in the Amazon Kinesis Data Streams Developer Guide. After you write a record to a stream, you cannot modify that record or its order within the stream. If a PutRecord request cannot be processed because of insufficient provisioned throughput on the shard involved in the request, PutRecord throws ProvisionedThroughputExceededException . By default, data records are accessible for 24 hours from the time that they are added to a stream. You can use IncreaseStreamRetentionPeriod or DecreaseStreamRetentionPeriod to modify this retention period.","ref":"aws_kinesis.html#put_record/2","title":"aws_kinesis.put_record/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#put_record/3","title":"aws_kinesis.put_record/3","type":"function"},{"doc":"Writes multiple data records into a Kinesis data stream in a single call (also referred to as a PutRecords request). Use this operation to send data into the stream for data ingestion and processing. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. Each PutRecords request can support up to 500 records. Each record in the request can be as large as 1 MiB, up to a limit of 5 MiB for the entire request, including partition keys. Each shard can support writes up to 1,000 records per second, up to a maximum data write total of 1 MiB per second. You must specify the name of the stream that captures, stores, and transports the data; and an array of request Records , with each record in the array requiring a partition key and data blob. The record size limit applies to the total size of the partition key and data blob. The data blob can be any type of data; for example, a segment from a log file, geographic/location data, website clickstream data, and so on. The partition key is used by Kinesis Data Streams as input to a hash function that maps the partition key and associated data to a specific shard. An MD5 hash function is used to map partition keys to 128-bit integer values and to map associated data records to shards. As a result of this hashing mechanism, all data records with the same partition key map to the same shard within the stream. For more information, see Adding Data to a Stream in the Amazon Kinesis Data Streams Developer Guide. Each record in the Records array may include an optional parameter, ExplicitHashKey , which overrides the partition key to shard mapping. This parameter allows a data producer to determine explicitly the shard where the record is stored. For more information, see Adding Multiple Records with PutRecords in the Amazon Kinesis Data Streams Developer Guide. The PutRecords response includes an array of response Records . Each record in the response array directly correlates with a record in the request array using natural ordering, from the top to the bottom of the request and response. The response Records array always includes the same number of records as the request array. The response Records array includes both successfully and unsuccessfully processed records. Kinesis Data Streams attempts to process all records in each PutRecords request. A single record failure does not stop the processing of subsequent records. As a result, PutRecords doesn't guarantee the ordering of records. If you need to read records in the same order they are written to the stream, use PutRecord instead of PutRecords , and write to the same shard. A successfully processed record includes ShardId and SequenceNumber values. The ShardId parameter identifies the shard in the stream where the record is stored. The SequenceNumber parameter is an identifier assigned to the put record, unique to all records in the stream. An unsuccessfully processed record includes ErrorCode and ErrorMessage values. ErrorCode reflects the type of error and can be one of the following values: ProvisionedThroughputExceededException or InternalFailure . ErrorMessage provides more detailed information about the ProvisionedThroughputExceededException exception including the account ID, stream name, and shard ID of the record that was throttled. For more information about partially successful responses, see Adding Multiple Records with PutRecords in the Amazon Kinesis Data Streams Developer Guide. After you write a record to a stream, you cannot modify that record or its order within the stream. By default, data records are accessible for 24 hours from the time that they are added to a stream. You can use IncreaseStreamRetentionPeriod or DecreaseStreamRetentionPeriod to modify this retention period.","ref":"aws_kinesis.html#put_records/2","title":"aws_kinesis.put_records/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#put_records/3","title":"aws_kinesis.put_records/3","type":"function"},{"doc":"Registers a consumer with a Kinesis data stream. When you use this operation, the consumer you register can then call SubscribeToShard to receive data from the stream using enhanced fan-out, at a rate of up to 2 MiB per second for every shard you subscribe to. This rate is unaffected by the total number of consumers that read from the same stream. You can register up to 20 consumers per stream. A given consumer can only be registered with one stream at a time. For an example of how to use this operations, see Enhanced Fan-Out Using the Kinesis Data Streams API. The use of this operation has a limit of five transactions per second per account. Also, only 5 consumers can be created simultaneously. In other words, you cannot have more than 5 consumers in a CREATING status at the same time. Registering a 6th consumer while there are 5 in a CREATING status results in a LimitExceededException .","ref":"aws_kinesis.html#register_stream_consumer/2","title":"aws_kinesis.register_stream_consumer/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#register_stream_consumer/3","title":"aws_kinesis.register_stream_consumer/3","type":"function"},{"doc":"Removes tags from the specified Kinesis data stream. Removed tags are deleted and cannot be recovered after this operation successfully completes. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. If you specify a tag that does not exist, it is ignored. RemoveTagsFromStream has a limit of five transactions per second per account.","ref":"aws_kinesis.html#remove_tags_from_stream/2","title":"aws_kinesis.remove_tags_from_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#remove_tags_from_stream/3","title":"aws_kinesis.remove_tags_from_stream/3","type":"function"},{"doc":"Splits a shard into two new shards in the Kinesis data stream, to increase the stream's capacity to ingest and transport data. SplitShard is called when there is a need to increase the overall capacity of a stream because of an expected increase in the volume of data records being ingested. This API is only supported for the data streams with the provisioned capacity mode. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. You can also use SplitShard when a shard appears to be approaching its maximum utilization; for example, the producers sending data into the specific shard are suddenly sending more than previously anticipated. You can also call SplitShard to increase stream capacity, so that more Kinesis Data Streams applications can simultaneously read data from the stream for real-time processing. You must specify the shard to be split and the new hash key, which is the position in the shard where the shard gets split in two. In many cases, the new hash key might be the average of the beginning and ending hash key, but it can be any hash key value in the range being mapped into the shard. For more information, see Split a Shard in the Amazon Kinesis Data Streams Developer Guide. You can use DescribeStreamSummary and the ListShards APIs to determine the shard ID and hash key values for the ShardToSplit and NewStartingHashKey parameters that are specified in the SplitShard request. SplitShard is an asynchronous operation. Upon receiving a SplitShard request, Kinesis Data Streams immediately returns a response and sets the stream status to UPDATING . After the operation is completed, Kinesis Data Streams sets the stream status to ACTIVE . Read and write operations continue to work while the stream is in the UPDATING state. You can use DescribeStreamSummary to check the status of the stream, which is returned in StreamStatus . If the stream is in the ACTIVE state, you can call SplitShard . If the specified stream does not exist, DescribeStreamSummary returns a ResourceNotFoundException . If you try to create more shards than are authorized for your account, you receive a LimitExceededException . For the default shard limit for an Amazon Web Services account, see Kinesis Data Streams Limits in the Amazon Kinesis Data Streams Developer Guide. To increase this limit, contact Amazon Web Services Support. If you try to operate on too many streams simultaneously using CreateStream , DeleteStream , MergeShards , and/or SplitShard , you receive a LimitExceededException . SplitShard has a limit of five transactions per second per account.","ref":"aws_kinesis.html#split_shard/2","title":"aws_kinesis.split_shard/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#split_shard/3","title":"aws_kinesis.split_shard/3","type":"function"},{"doc":"Enables or updates server-side encryption using an Amazon Web Services KMS key for a specified stream. Starting encryption is an asynchronous operation. Upon receiving the request, Kinesis Data Streams returns immediately and sets the status of the stream to UPDATING . After the update is complete, Kinesis Data Streams sets the status of the stream back to ACTIVE . Updating or applying encryption normally takes a few seconds to complete, but it can take minutes. You can continue to read and write data to your stream while its status is UPDATING . Once the status of the stream is ACTIVE , encryption begins for records written to the stream. API Limits: You can successfully apply a new Amazon Web Services KMS key for server-side encryption 25 times in a rolling 24-hour period. Note: It can take up to 5 seconds after the stream is in an ACTIVE status before all records written to the stream are encrypted. After you enable encryption, you can verify that encryption is applied by inspecting the API response from PutRecord or PutRecords . When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter.","ref":"aws_kinesis.html#start_stream_encryption/2","title":"aws_kinesis.start_stream_encryption/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#start_stream_encryption/3","title":"aws_kinesis.start_stream_encryption/3","type":"function"},{"doc":"Disables server-side encryption for a specified stream. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. Stopping encryption is an asynchronous operation. Upon receiving the request, Kinesis Data Streams returns immediately and sets the status of the stream to UPDATING . After the update is complete, Kinesis Data Streams sets the status of the stream back to ACTIVE . Stopping encryption normally takes a few seconds to complete, but it can take minutes. You can continue to read and write data to your stream while its status is UPDATING . Once the status of the stream is ACTIVE , records written to the stream are no longer encrypted by Kinesis Data Streams. API Limits: You can successfully disable server-side encryption 25 times in a rolling 24-hour period. Note: It can take up to 5 seconds after the stream is in an ACTIVE status before all records written to the stream are no longer subject to encryption. After you disabled encryption, you can verify that encryption is not applied by inspecting the API response from PutRecord or PutRecords .","ref":"aws_kinesis.html#stop_stream_encryption/2","title":"aws_kinesis.stop_stream_encryption/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#stop_stream_encryption/3","title":"aws_kinesis.stop_stream_encryption/3","type":"function"},{"doc":"This operation establishes an HTTP/2 connection between the consumer you specify in the ConsumerARN parameter and the shard you specify in the ShardId parameter. After the connection is successfully established, Kinesis Data Streams pushes records from the shard to the consumer over this connection. Before you call this operation, call RegisterStreamConsumer to register the consumer with Kinesis Data Streams. When the SubscribeToShard call succeeds, your consumer starts receiving events of type SubscribeToShardEvent over the HTTP/2 connection for up to 5 minutes, after which time you need to call SubscribeToShard again to renew the subscription if you want to continue to receive records. You can make one call to SubscribeToShard per second per registered consumer per shard. For example, if you have a 4000 shard stream and two registered stream consumers, you can make one SubscribeToShard request per second for each combination of shard and registered consumer, allowing you to subscribe both consumers to all 4000 shards in one second. If you call SubscribeToShard again with the same ConsumerARN and ShardId within 5 seconds of a successful call, you'll get a ResourceInUseException . If you call SubscribeToShard 5 seconds or more after a successful call, the second call takes over the subscription and the previous connection expires or fails with a ResourceInUseException . For an example of how to use this operations, see Enhanced Fan-Out Using the Kinesis Data Streams API.","ref":"aws_kinesis.html#subscribe_to_shard/2","title":"aws_kinesis.subscribe_to_shard/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#subscribe_to_shard/3","title":"aws_kinesis.subscribe_to_shard/3","type":"function"},{"doc":"Updates the shard count of the specified stream to the specified number of shards. This API is only supported for the data streams with the provisioned capacity mode. When invoking this API, it is recommended you use the StreamARN input parameter rather than the StreamName input parameter. Updating the shard count is an asynchronous operation. Upon receiving the request, Kinesis Data Streams returns immediately and sets the status of the stream to UPDATING . After the update is complete, Kinesis Data Streams sets the status of the stream back to ACTIVE . Depending on the size of the stream, the scaling action could take a few minutes to complete. You can continue to read and write data to your stream while its status is UPDATING . To update the shard count, Kinesis Data Streams performs splits or merges on individual shards. This can cause short-lived shards to be created, in addition to the final shards. These short-lived shards count towards your total shard limit for your account in the Region. When using this operation, we recommend that you specify a target shard count that is a multiple of 25% (25%, 50%, 75%, 100%). You can specify any target value within your shard limit. However, if you specify a target that isn't a multiple of 25%, the scaling action might take longer to complete. This operation has the following default limits. By default, you cannot do the following: Scale more than ten times per rolling 24-hour period per stream Scale up to more than double your current shard count for a stream Scale down below half your current shard count for a stream Scale up to more than 10000 shards in a stream Scale a stream with more than 10000 shards down unless the result is less than 10000 shards Scale up to more than the shard limit for your account For the default limits for an Amazon Web Services account, see Streams Limits in the Amazon Kinesis Data Streams Developer Guide. To request an increase in the call rate limit, the shard limit for this API, or your overall shard limit, use the limits form.","ref":"aws_kinesis.html#update_shard_count/2","title":"aws_kinesis.update_shard_count/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#update_shard_count/3","title":"aws_kinesis.update_shard_count/3","type":"function"},{"doc":"Updates the capacity mode of the data stream. Currently, in Kinesis Data Streams, you can choose between an on-demand capacity mode and a provisioned capacity mode for your data stream.","ref":"aws_kinesis.html#update_stream_mode/2","title":"aws_kinesis.update_stream_mode/2","type":"function"},{"doc":"","ref":"aws_kinesis.html#update_stream_mode/3","title":"aws_kinesis.update_stream_mode/3","type":"function"},{"doc":"Amazon Kinesis Analytics Overview This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. This is the Amazon Kinesis Analytics v1 API Reference. The Amazon Kinesis Analytics Developer Guide provides additional information.","ref":"aws_kinesis_analytics.html","title":"aws_kinesis_analytics","type":"module"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Adds a CloudWatch log stream to monitor application configuration errors. For more information about using CloudWatch log streams with Amazon Kinesis Analytics applications, see Working with Amazon CloudWatch Logs.","ref":"aws_kinesis_analytics.html#add_application_cloud_watch_logging_option/2","title":"aws_kinesis_analytics.add_application_cloud_watch_logging_option/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#add_application_cloud_watch_logging_option/3","title":"aws_kinesis_analytics.add_application_cloud_watch_logging_option/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Adds a streaming source to your Amazon Kinesis application. For conceptual information, see Configuring Application Input. You can add a streaming source either when you create an application or you can use this operation to add a streaming source after you create an application. For more information, see CreateApplication. Any configuration update, including adding a streaming source using this operation, results in a new version of the application. You can use the DescribeApplication operation to find the current application version. This operation requires permissions to perform the kinesisanalytics:AddApplicationInput action.","ref":"aws_kinesis_analytics.html#add_application_input/2","title":"aws_kinesis_analytics.add_application_input/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#add_application_input/3","title":"aws_kinesis_analytics.add_application_input/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Adds an InputProcessingConfiguration to an application. An input processor preprocesses records on the input stream before the application's SQL code executes. Currently, the only input processor available is AWS Lambda.","ref":"aws_kinesis_analytics.html#add_application_input_processing_configuration/2","title":"aws_kinesis_analytics.add_application_input_processing_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#add_application_input_processing_configuration/3","title":"aws_kinesis_analytics.add_application_input_processing_configuration/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Adds an external destination to your Amazon Kinesis Analytics application. If you want Amazon Kinesis Analytics to deliver data from an in-application stream within your application to an external destination (such as an Amazon Kinesis stream, an Amazon Kinesis Firehose delivery stream, or an AWS Lambda function), you add the relevant configuration to your application using this operation. You can configure one or more outputs for your application. Each output configuration maps an in-application stream and an external destination. You can use one of the output configurations to deliver data from your in-application error stream to an external destination so that you can analyze the errors. For more information, see Understanding Application Output (Destination). Any configuration update, including adding a streaming source using this operation, results in a new version of the application. You can use the DescribeApplication operation to find the current application version. For the limits on the number of application inputs and outputs you can configure, see Limits. This operation requires permissions to perform the kinesisanalytics:AddApplicationOutput action.","ref":"aws_kinesis_analytics.html#add_application_output/2","title":"aws_kinesis_analytics.add_application_output/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#add_application_output/3","title":"aws_kinesis_analytics.add_application_output/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Adds a reference data source to an existing application. Amazon Kinesis Analytics reads reference data (that is, an Amazon S3 object) and creates an in-application table within your application. In the request, you provide the source (S3 bucket name and object key name), name of the in-application table to create, and the necessary mapping information that describes how data in Amazon S3 object maps to columns in the resulting in-application table. For conceptual information, see Configuring Application Input. For the limits on data sources you can add to your application, see Limits. This operation requires permissions to perform the kinesisanalytics:AddApplicationOutput action.","ref":"aws_kinesis_analytics.html#add_application_reference_data_source/2","title":"aws_kinesis_analytics.add_application_reference_data_source/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#add_application_reference_data_source/3","title":"aws_kinesis_analytics.add_application_reference_data_source/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Creates an Amazon Kinesis Analytics application. You can configure each application with one streaming source as input, application code to process the input, and up to three destinations where you want Amazon Kinesis Analytics to write the output data from your application. For an overview, see How it Works. In the input configuration, you map the streaming source to an in-application stream, which you can think of as a constantly updating table. In the mapping, you must provide a schema for the in-application stream and map each data column in the in-application stream to a data element in the streaming source. Your application code is one or more SQL statements that read input data, transform it, and generate output. Your application code can create one or more SQL artifacts like SQL streams or pumps. In the output configuration, you can configure the application to write data from in-application streams created in your applications to up to three destinations. To read data from your source stream or write data to destination streams, Amazon Kinesis Analytics needs your permissions. You grant these permissions by creating IAM roles. This operation requires permissions to perform the kinesisanalytics:CreateApplication action. For introductory exercises to create an Amazon Kinesis Analytics application, see Getting Started.","ref":"aws_kinesis_analytics.html#create_application/2","title":"aws_kinesis_analytics.create_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#create_application/3","title":"aws_kinesis_analytics.create_application/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Deletes the specified application. Amazon Kinesis Analytics halts application execution and deletes the application, including any application artifacts (such as in-application streams, reference table, and application code). This operation requires permissions to perform the kinesisanalytics:DeleteApplication action.","ref":"aws_kinesis_analytics.html#delete_application/2","title":"aws_kinesis_analytics.delete_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#delete_application/3","title":"aws_kinesis_analytics.delete_application/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Deletes a CloudWatch log stream from an application. For more information about using CloudWatch log streams with Amazon Kinesis Analytics applications, see Working with Amazon CloudWatch Logs.","ref":"aws_kinesis_analytics.html#delete_application_cloud_watch_logging_option/2","title":"aws_kinesis_analytics.delete_application_cloud_watch_logging_option/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#delete_application_cloud_watch_logging_option/3","title":"aws_kinesis_analytics.delete_application_cloud_watch_logging_option/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Deletes an InputProcessingConfiguration from an input.","ref":"aws_kinesis_analytics.html#delete_application_input_processing_configuration/2","title":"aws_kinesis_analytics.delete_application_input_processing_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#delete_application_input_processing_configuration/3","title":"aws_kinesis_analytics.delete_application_input_processing_configuration/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Deletes output destination configuration from your application configuration. Amazon Kinesis Analytics will no longer write data from the corresponding in-application stream to the external output destination. This operation requires permissions to perform the kinesisanalytics:DeleteApplicationOutput action.","ref":"aws_kinesis_analytics.html#delete_application_output/2","title":"aws_kinesis_analytics.delete_application_output/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#delete_application_output/3","title":"aws_kinesis_analytics.delete_application_output/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Deletes a reference data source configuration from the specified application configuration. If the application is running, Amazon Kinesis Analytics immediately removes the in-application table that you created using the AddApplicationReferenceDataSource operation. This operation requires permissions to perform the kinesisanalytics.DeleteApplicationReferenceDataSource action.","ref":"aws_kinesis_analytics.html#delete_application_reference_data_source/2","title":"aws_kinesis_analytics.delete_application_reference_data_source/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#delete_application_reference_data_source/3","title":"aws_kinesis_analytics.delete_application_reference_data_source/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Returns information about a specific Amazon Kinesis Analytics application. If you want to retrieve a list of all applications in your account, use the ListApplications operation. This operation requires permissions to perform the kinesisanalytics:DescribeApplication action. You can use DescribeApplication to get the current application versionId, which you need to call other operations such as Update .","ref":"aws_kinesis_analytics.html#describe_application/2","title":"aws_kinesis_analytics.describe_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#describe_application/3","title":"aws_kinesis_analytics.describe_application/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Infers a schema by evaluating sample records on the specified streaming source (Amazon Kinesis stream or Amazon Kinesis Firehose delivery stream) or S3 object. In the response, the operation returns the inferred schema and also the sample records that the operation used to infer the schema. You can use the inferred schema when configuring a streaming source for your application. For conceptual information, see Configuring Application Input. Note that when you create an application using the Amazon Kinesis Analytics console, the console uses this operation to infer a schema and show it in the console user interface. This operation requires permissions to perform the kinesisanalytics:DiscoverInputSchema action.","ref":"aws_kinesis_analytics.html#discover_input_schema/2","title":"aws_kinesis_analytics.discover_input_schema/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#discover_input_schema/3","title":"aws_kinesis_analytics.discover_input_schema/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Returns a list of Amazon Kinesis Analytics applications in your account. For each application, the response includes the application name, Amazon Resource Name (ARN), and status. If the response returns the HasMoreApplications value as true, you can send another request by adding the ExclusiveStartApplicationName in the request body, and set the value of this to the last application name from the previous response. If you want detailed information about a specific application, use DescribeApplication. This operation requires permissions to perform the kinesisanalytics:ListApplications action.","ref":"aws_kinesis_analytics.html#list_applications/2","title":"aws_kinesis_analytics.list_applications/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#list_applications/3","title":"aws_kinesis_analytics.list_applications/3","type":"function"},{"doc":"Retrieves the list of key-value tags assigned to the application. For more information, see Using Tagging.","ref":"aws_kinesis_analytics.html#list_tags_for_resource/2","title":"aws_kinesis_analytics.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#list_tags_for_resource/3","title":"aws_kinesis_analytics.list_tags_for_resource/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Starts the specified Amazon Kinesis Analytics application. After creating an application, you must exclusively call this operation to start your application. After the application starts, it begins consuming the input data, processes it, and writes the output to the configured destination. The application status must be READY for you to start an application. You can get the application status in the console or using the DescribeApplication operation. After you start the application, you can stop the application from processing the input by calling the StopApplication operation. This operation requires permissions to perform the kinesisanalytics:StartApplication action.","ref":"aws_kinesis_analytics.html#start_application/2","title":"aws_kinesis_analytics.start_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#start_application/3","title":"aws_kinesis_analytics.start_application/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Stops the application from processing input data. You can stop an application only if it is in the running state. You can use the DescribeApplication operation to find the application state. After the application is stopped, Amazon Kinesis Analytics stops reading data from the input, the application stops processing data, and there is no output written to the destination. This operation requires permissions to perform the kinesisanalytics:StopApplication action.","ref":"aws_kinesis_analytics.html#stop_application/2","title":"aws_kinesis_analytics.stop_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#stop_application/3","title":"aws_kinesis_analytics.stop_application/3","type":"function"},{"doc":"Adds one or more key-value tags to a Kinesis Analytics application. Note that the maximum number of application tags includes system tags. The maximum number of user-defined application tags is 50. For more information, see Using Tagging.","ref":"aws_kinesis_analytics.html#tag_resource/2","title":"aws_kinesis_analytics.tag_resource/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#tag_resource/3","title":"aws_kinesis_analytics.tag_resource/3","type":"function"},{"doc":"Removes one or more tags from a Kinesis Analytics application. For more information, see Using Tagging.","ref":"aws_kinesis_analytics.html#untag_resource/2","title":"aws_kinesis_analytics.untag_resource/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#untag_resource/3","title":"aws_kinesis_analytics.untag_resource/3","type":"function"},{"doc":"This documentation is for version 1 of the Amazon Kinesis Data Analytics API, which only supports SQL applications. Version 2 of the API supports SQL and Java applications. For more information about version 2, see Amazon Kinesis Data Analytics API V2 Documentation. Updates an existing Amazon Kinesis Analytics application. Using this API, you can update application code, input configuration, and output configuration. Note that Amazon Kinesis Analytics updates the CurrentApplicationVersionId each time you update your application. This operation requires permission for the kinesisanalytics:UpdateApplication action.","ref":"aws_kinesis_analytics.html#update_application/2","title":"aws_kinesis_analytics.update_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics.html#update_application/3","title":"aws_kinesis_analytics.update_application/3","type":"function"},{"doc":"Amazon Kinesis Data Analytics is a fully managed service that you can use to process and analyze streaming data using Java, SQL, or Scala. The service enables you to quickly author and run Java, SQL, or Scala code against streaming sources to perform time series analytics, feed real-time dashboards, and create real-time metrics.","ref":"aws_kinesis_analytics_v2.html","title":"aws_kinesis_analytics_v2","type":"module"},{"doc":"Adds an Amazon CloudWatch log stream to monitor application configuration errors.","ref":"aws_kinesis_analytics_v2.html#add_application_cloud_watch_logging_option/2","title":"aws_kinesis_analytics_v2.add_application_cloud_watch_logging_option/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#add_application_cloud_watch_logging_option/3","title":"aws_kinesis_analytics_v2.add_application_cloud_watch_logging_option/3","type":"function"},{"doc":"Adds a streaming source to your SQL-based Kinesis Data Analytics application. You can add a streaming source when you create an application, or you can use this operation to add a streaming source after you create an application. For more information, see CreateApplication . Any configuration update, including adding a streaming source using this operation, results in a new version of the application. You can use the DescribeApplication operation to find the current application version.","ref":"aws_kinesis_analytics_v2.html#add_application_input/2","title":"aws_kinesis_analytics_v2.add_application_input/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#add_application_input/3","title":"aws_kinesis_analytics_v2.add_application_input/3","type":"function"},{"doc":"Adds an InputProcessingConfiguration to a SQL-based Kinesis Data Analytics application. An input processor pre-processes records on the input stream before the application's SQL code executes. Currently, the only input processor available is Amazon Lambda.","ref":"aws_kinesis_analytics_v2.html#add_application_input_processing_configuration/2","title":"aws_kinesis_analytics_v2.add_application_input_processing_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#add_application_input_processing_configuration/3","title":"aws_kinesis_analytics_v2.add_application_input_processing_configuration/3","type":"function"},{"doc":"Adds an external destination to your SQL-based Kinesis Data Analytics application. If you want Kinesis Data Analytics to deliver data from an in-application stream within your application to an external destination (such as an Kinesis data stream, a Kinesis Data Firehose delivery stream, or an Amazon Lambda function), you add the relevant configuration to your application using this operation. You can configure one or more outputs for your application. Each output configuration maps an in-application stream and an external destination. You can use one of the output configurations to deliver data from your in-application error stream to an external destination so that you can analyze the errors. Any configuration update, including adding a streaming source using this operation, results in a new version of the application. You can use the DescribeApplication operation to find the current application version.","ref":"aws_kinesis_analytics_v2.html#add_application_output/2","title":"aws_kinesis_analytics_v2.add_application_output/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#add_application_output/3","title":"aws_kinesis_analytics_v2.add_application_output/3","type":"function"},{"doc":"Adds a reference data source to an existing SQL-based Kinesis Data Analytics application. Kinesis Data Analytics reads reference data (that is, an Amazon S3 object) and creates an in-application table within your application. In the request, you provide the source (S3 bucket name and object key name), name of the in-application table to create, and the necessary mapping information that describes how data in an Amazon S3 object maps to columns in the resulting in-application table.","ref":"aws_kinesis_analytics_v2.html#add_application_reference_data_source/2","title":"aws_kinesis_analytics_v2.add_application_reference_data_source/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#add_application_reference_data_source/3","title":"aws_kinesis_analytics_v2.add_application_reference_data_source/3","type":"function"},{"doc":"Adds a Virtual Private Cloud (VPC) configuration to the application. Applications can use VPCs to store and access resources securely. Note the following about VPC configurations for Kinesis Data Analytics applications: VPC configurations are not supported for SQL applications. When a VPC is added to a Kinesis Data Analytics application, the application can no longer be accessed from the Internet directly. To enable Internet access to the application, add an Internet gateway to your VPC.","ref":"aws_kinesis_analytics_v2.html#add_application_vpc_configuration/2","title":"aws_kinesis_analytics_v2.add_application_vpc_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#add_application_vpc_configuration/3","title":"aws_kinesis_analytics_v2.add_application_vpc_configuration/3","type":"function"},{"doc":"Creates a Kinesis Data Analytics application. For information about creating a Kinesis Data Analytics application, see Creating an Application.","ref":"aws_kinesis_analytics_v2.html#create_application/2","title":"aws_kinesis_analytics_v2.create_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#create_application/3","title":"aws_kinesis_analytics_v2.create_application/3","type":"function"},{"doc":"Creates and returns a URL that you can use to connect to an application's extension. The IAM role or user used to call this API defines the permissions to access the extension. After the presigned URL is created, no additional permission is required to access this URL. IAM authorization policies for this API are also enforced for every HTTP request that attempts to connect to the extension. You control the amount of time that the URL will be valid using the SessionExpirationDurationInSeconds parameter. If you do not provide this parameter, the returned URL is valid for twelve hours. The URL that you get from a call to CreateApplicationPresignedUrl must be used within 3 minutes to be valid. If you first try to use the URL after the 3-minute limit expires, the service returns an HTTP 403 Forbidden error.","ref":"aws_kinesis_analytics_v2.html#create_application_presigned_url/2","title":"aws_kinesis_analytics_v2.create_application_presigned_url/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#create_application_presigned_url/3","title":"aws_kinesis_analytics_v2.create_application_presigned_url/3","type":"function"},{"doc":"Creates a snapshot of the application's state data.","ref":"aws_kinesis_analytics_v2.html#create_application_snapshot/2","title":"aws_kinesis_analytics_v2.create_application_snapshot/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#create_application_snapshot/3","title":"aws_kinesis_analytics_v2.create_application_snapshot/3","type":"function"},{"doc":"Deletes the specified application. Kinesis Data Analytics halts application execution and deletes the application.","ref":"aws_kinesis_analytics_v2.html#delete_application/2","title":"aws_kinesis_analytics_v2.delete_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#delete_application/3","title":"aws_kinesis_analytics_v2.delete_application/3","type":"function"},{"doc":"Deletes an Amazon CloudWatch log stream from an Kinesis Data Analytics application.","ref":"aws_kinesis_analytics_v2.html#delete_application_cloud_watch_logging_option/2","title":"aws_kinesis_analytics_v2.delete_application_cloud_watch_logging_option/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#delete_application_cloud_watch_logging_option/3","title":"aws_kinesis_analytics_v2.delete_application_cloud_watch_logging_option/3","type":"function"},{"doc":"Deletes an InputProcessingConfiguration from an input.","ref":"aws_kinesis_analytics_v2.html#delete_application_input_processing_configuration/2","title":"aws_kinesis_analytics_v2.delete_application_input_processing_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#delete_application_input_processing_configuration/3","title":"aws_kinesis_analytics_v2.delete_application_input_processing_configuration/3","type":"function"},{"doc":"Deletes the output destination configuration from your SQL-based Kinesis Data Analytics application's configuration. Kinesis Data Analytics will no longer write data from the corresponding in-application stream to the external output destination.","ref":"aws_kinesis_analytics_v2.html#delete_application_output/2","title":"aws_kinesis_analytics_v2.delete_application_output/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#delete_application_output/3","title":"aws_kinesis_analytics_v2.delete_application_output/3","type":"function"},{"doc":"Deletes a reference data source configuration from the specified SQL-based Kinesis Data Analytics application's configuration. If the application is running, Kinesis Data Analytics immediately removes the in-application table that you created using the AddApplicationReferenceDataSource operation.","ref":"aws_kinesis_analytics_v2.html#delete_application_reference_data_source/2","title":"aws_kinesis_analytics_v2.delete_application_reference_data_source/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#delete_application_reference_data_source/3","title":"aws_kinesis_analytics_v2.delete_application_reference_data_source/3","type":"function"},{"doc":"Deletes a snapshot of application state.","ref":"aws_kinesis_analytics_v2.html#delete_application_snapshot/2","title":"aws_kinesis_analytics_v2.delete_application_snapshot/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#delete_application_snapshot/3","title":"aws_kinesis_analytics_v2.delete_application_snapshot/3","type":"function"},{"doc":"Removes a VPC configuration from a Kinesis Data Analytics application.","ref":"aws_kinesis_analytics_v2.html#delete_application_vpc_configuration/2","title":"aws_kinesis_analytics_v2.delete_application_vpc_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#delete_application_vpc_configuration/3","title":"aws_kinesis_analytics_v2.delete_application_vpc_configuration/3","type":"function"},{"doc":"Returns information about a specific Kinesis Data Analytics application. If you want to retrieve a list of all applications in your account, use the ListApplications operation.","ref":"aws_kinesis_analytics_v2.html#describe_application/2","title":"aws_kinesis_analytics_v2.describe_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#describe_application/3","title":"aws_kinesis_analytics_v2.describe_application/3","type":"function"},{"doc":"Returns information about a snapshot of application state data.","ref":"aws_kinesis_analytics_v2.html#describe_application_snapshot/2","title":"aws_kinesis_analytics_v2.describe_application_snapshot/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#describe_application_snapshot/3","title":"aws_kinesis_analytics_v2.describe_application_snapshot/3","type":"function"},{"doc":"Provides a detailed description of a specified version of the application. To see a list of all the versions of an application, invoke the ListApplicationVersions operation. This operation is supported only for Amazon Kinesis Data Analytics for Apache Flink.","ref":"aws_kinesis_analytics_v2.html#describe_application_version/2","title":"aws_kinesis_analytics_v2.describe_application_version/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#describe_application_version/3","title":"aws_kinesis_analytics_v2.describe_application_version/3","type":"function"},{"doc":"Infers a schema for a SQL-based Kinesis Data Analytics application by evaluating sample records on the specified streaming source (Kinesis data stream or Kinesis Data Firehose delivery stream) or Amazon S3 object. In the response, the operation returns the inferred schema and also the sample records that the operation used to infer the schema. You can use the inferred schema when configuring a streaming source for your application. When you create an application using the Kinesis Data Analytics console, the console uses this operation to infer a schema and show it in the console user interface.","ref":"aws_kinesis_analytics_v2.html#discover_input_schema/2","title":"aws_kinesis_analytics_v2.discover_input_schema/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#discover_input_schema/3","title":"aws_kinesis_analytics_v2.discover_input_schema/3","type":"function"},{"doc":"Lists information about the current application snapshots.","ref":"aws_kinesis_analytics_v2.html#list_application_snapshots/2","title":"aws_kinesis_analytics_v2.list_application_snapshots/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#list_application_snapshots/3","title":"aws_kinesis_analytics_v2.list_application_snapshots/3","type":"function"},{"doc":"Lists all the versions for the specified application, including versions that were rolled back. The response also includes a summary of the configuration associated with each version. To get the complete description of a specific application version, invoke the DescribeApplicationVersion operation. This operation is supported only for Amazon Kinesis Data Analytics for Apache Flink.","ref":"aws_kinesis_analytics_v2.html#list_application_versions/2","title":"aws_kinesis_analytics_v2.list_application_versions/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#list_application_versions/3","title":"aws_kinesis_analytics_v2.list_application_versions/3","type":"function"},{"doc":"Returns a list of Kinesis Data Analytics applications in your account. For each application, the response includes the application name, Amazon Resource Name (ARN), and status. If you want detailed information about a specific application, use DescribeApplication .","ref":"aws_kinesis_analytics_v2.html#list_applications/2","title":"aws_kinesis_analytics_v2.list_applications/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#list_applications/3","title":"aws_kinesis_analytics_v2.list_applications/3","type":"function"},{"doc":"Retrieves the list of key-value tags assigned to the application. For more information, see Using Tagging.","ref":"aws_kinesis_analytics_v2.html#list_tags_for_resource/2","title":"aws_kinesis_analytics_v2.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#list_tags_for_resource/3","title":"aws_kinesis_analytics_v2.list_tags_for_resource/3","type":"function"},{"doc":"Reverts the application to the previous running version. You can roll back an application if you suspect it is stuck in a transient status. You can roll back an application only if it is in the UPDATING or AUTOSCALING status. When you rollback an application, it loads state data from the last successful snapshot. If the application has no snapshots, Kinesis Data Analytics rejects the rollback request. This action is not supported for Kinesis Data Analytics for SQL applications.","ref":"aws_kinesis_analytics_v2.html#rollback_application/2","title":"aws_kinesis_analytics_v2.rollback_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#rollback_application/3","title":"aws_kinesis_analytics_v2.rollback_application/3","type":"function"},{"doc":"Starts the specified Kinesis Data Analytics application. After creating an application, you must exclusively call this operation to start your application.","ref":"aws_kinesis_analytics_v2.html#start_application/2","title":"aws_kinesis_analytics_v2.start_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#start_application/3","title":"aws_kinesis_analytics_v2.start_application/3","type":"function"},{"doc":"Stops the application from processing data. You can stop an application only if it is in the running status, unless you set the Force parameter to true . You can use the DescribeApplication operation to find the application status. Kinesis Data Analytics takes a snapshot when the application is stopped, unless Force is set to true .","ref":"aws_kinesis_analytics_v2.html#stop_application/2","title":"aws_kinesis_analytics_v2.stop_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#stop_application/3","title":"aws_kinesis_analytics_v2.stop_application/3","type":"function"},{"doc":"Adds one or more key-value tags to a Kinesis Data Analytics application. Note that the maximum number of application tags includes system tags. The maximum number of user-defined application tags is 50. For more information, see Using Tagging.","ref":"aws_kinesis_analytics_v2.html#tag_resource/2","title":"aws_kinesis_analytics_v2.tag_resource/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#tag_resource/3","title":"aws_kinesis_analytics_v2.tag_resource/3","type":"function"},{"doc":"Removes one or more tags from a Kinesis Data Analytics application. For more information, see Using Tagging.","ref":"aws_kinesis_analytics_v2.html#untag_resource/2","title":"aws_kinesis_analytics_v2.untag_resource/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#untag_resource/3","title":"aws_kinesis_analytics_v2.untag_resource/3","type":"function"},{"doc":"Updates an existing Kinesis Data Analytics application. Using this operation, you can update application code, input configuration, and output configuration. Kinesis Data Analytics updates the ApplicationVersionId each time you update your application. You cannot update the RuntimeEnvironment of an existing application. If you need to update an application's RuntimeEnvironment , you must delete the application and create it again.","ref":"aws_kinesis_analytics_v2.html#update_application/2","title":"aws_kinesis_analytics_v2.update_application/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#update_application/3","title":"aws_kinesis_analytics_v2.update_application/3","type":"function"},{"doc":"Updates the maintenance configuration of the Kinesis Data Analytics application. You can invoke this operation on an application that is in one of the two following states: READY or RUNNING . If you invoke it when the application is in a state other than these two states, it throws a ResourceInUseException . The service makes use of the updated configuration the next time it schedules maintenance for the application. If you invoke this operation after the service schedules maintenance, the service will apply the configuration update the next time it schedules maintenance for the application. This means that you might not see the maintenance configuration update applied to the maintenance process that follows a successful invocation of this operation, but to the following maintenance process instead. To see the current maintenance configuration of your application, invoke the DescribeApplication operation. For information about application maintenance, see Kinesis Data Analytics for Apache Flink Maintenance. This operation is supported only for Amazon Kinesis Data Analytics for Apache Flink.","ref":"aws_kinesis_analytics_v2.html#update_application_maintenance_configuration/2","title":"aws_kinesis_analytics_v2.update_application_maintenance_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_analytics_v2.html#update_application_maintenance_configuration/3","title":"aws_kinesis_analytics_v2.update_application_maintenance_configuration/3","type":"function"},{"doc":"","ref":"aws_kinesis_video.html","title":"aws_kinesis_video","type":"module"},{"doc":"Creates a signaling channel. CreateSignalingChannel is an asynchronous operation.","ref":"aws_kinesis_video.html#create_signaling_channel/2","title":"aws_kinesis_video.create_signaling_channel/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#create_signaling_channel/3","title":"aws_kinesis_video.create_signaling_channel/3","type":"function"},{"doc":"Creates a new Kinesis video stream. When you create a new stream, Kinesis Video Streams assigns it a version number. When you change the stream's metadata, Kinesis Video Streams updates the version. CreateStream is an asynchronous operation. For information about how the service works, see How it Works. You must have permissions for the KinesisVideo:CreateStream action.","ref":"aws_kinesis_video.html#create_stream/2","title":"aws_kinesis_video.create_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#create_stream/3","title":"aws_kinesis_video.create_stream/3","type":"function"},{"doc":"Deletes a specified signaling channel. DeleteSignalingChannel is an asynchronous operation. If you don't specify the channel's current version, the most recent version is deleted.","ref":"aws_kinesis_video.html#delete_signaling_channel/2","title":"aws_kinesis_video.delete_signaling_channel/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#delete_signaling_channel/3","title":"aws_kinesis_video.delete_signaling_channel/3","type":"function"},{"doc":"Deletes a Kinesis video stream and the data contained in the stream. This method marks the stream for deletion, and makes the data in the stream inaccessible immediately. To ensure that you have the latest version of the stream before deleting it, you can specify the stream version. Kinesis Video Streams assigns a version to each stream. When you update a stream, Kinesis Video Streams assigns a new version number. To get the latest stream version, use the DescribeStream API. This operation requires permission for the KinesisVideo:DeleteStream action.","ref":"aws_kinesis_video.html#delete_stream/2","title":"aws_kinesis_video.delete_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#delete_stream/3","title":"aws_kinesis_video.delete_stream/3","type":"function"},{"doc":"Describes a stream’s edge configuration that was set using the StartEdgeConfigurationUpdate API. Use this API to get the status of the configuration if the configuration is in sync with the Edge Agent.","ref":"aws_kinesis_video.html#describe_edge_configuration/2","title":"aws_kinesis_video.describe_edge_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#describe_edge_configuration/3","title":"aws_kinesis_video.describe_edge_configuration/3","type":"function"},{"doc":"Gets the ImageGenerationConfiguration for a given Kinesis video stream.","ref":"aws_kinesis_video.html#describe_image_generation_configuration/2","title":"aws_kinesis_video.describe_image_generation_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#describe_image_generation_configuration/3","title":"aws_kinesis_video.describe_image_generation_configuration/3","type":"function"},{"doc":"Returns the most current information about the stream. Either streamName or streamARN should be provided in the input. Returns the most current information about the stream. The streamName or streamARN should be provided in the input.","ref":"aws_kinesis_video.html#describe_mapped_resource_configuration/2","title":"aws_kinesis_video.describe_mapped_resource_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#describe_mapped_resource_configuration/3","title":"aws_kinesis_video.describe_mapped_resource_configuration/3","type":"function"},{"doc":"Returns the most current information about the channel. Specify the ChannelName or ChannelARN in the input.","ref":"aws_kinesis_video.html#describe_media_storage_configuration/2","title":"aws_kinesis_video.describe_media_storage_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#describe_media_storage_configuration/3","title":"aws_kinesis_video.describe_media_storage_configuration/3","type":"function"},{"doc":"Gets the NotificationConfiguration for a given Kinesis video stream.","ref":"aws_kinesis_video.html#describe_notification_configuration/2","title":"aws_kinesis_video.describe_notification_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#describe_notification_configuration/3","title":"aws_kinesis_video.describe_notification_configuration/3","type":"function"},{"doc":"Returns the most current information about the signaling channel. You must specify either the name or the Amazon Resource Name (ARN) of the channel that you want to describe.","ref":"aws_kinesis_video.html#describe_signaling_channel/2","title":"aws_kinesis_video.describe_signaling_channel/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#describe_signaling_channel/3","title":"aws_kinesis_video.describe_signaling_channel/3","type":"function"},{"doc":"Returns the most current information about the specified stream. You must specify either the StreamName or the StreamARN .","ref":"aws_kinesis_video.html#describe_stream/2","title":"aws_kinesis_video.describe_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#describe_stream/3","title":"aws_kinesis_video.describe_stream/3","type":"function"},{"doc":"Gets an endpoint for a specified stream for either reading or writing. Use this endpoint in your application to read from the specified stream (using the GetMedia or GetMediaForFragmentList operations) or write to it (using the PutMedia operation). The returned endpoint does not have the API name appended. The client needs to add the API name to the returned endpoint. In the request, specify the stream either by StreamName or StreamARN .","ref":"aws_kinesis_video.html#get_data_endpoint/2","title":"aws_kinesis_video.get_data_endpoint/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#get_data_endpoint/3","title":"aws_kinesis_video.get_data_endpoint/3","type":"function"},{"doc":"Provides an endpoint for the specified signaling channel to send and receive messages. This API uses the SingleMasterChannelEndpointConfiguration input parameter, which consists of the Protocols and Role properties. Protocols is used to determine the communication mechanism. For example, if you specify WSS as the protocol, this API produces a secure websocket endpoint. If you specify HTTPS as the protocol, this API generates an HTTPS endpoint. Role determines the messaging permissions. A MASTER role results in this API generating an endpoint that a client can use to communicate with any of the viewers on the channel. A VIEWER role results in this API generating an endpoint that a client can use to communicate only with a MASTER .","ref":"aws_kinesis_video.html#get_signaling_channel_endpoint/2","title":"aws_kinesis_video.get_signaling_channel_endpoint/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#get_signaling_channel_endpoint/3","title":"aws_kinesis_video.get_signaling_channel_endpoint/3","type":"function"},{"doc":"Returns an array of ChannelInfo objects. Each object describes a signaling channel. To retrieve only those channels that satisfy a specific condition, you can specify a ChannelNameCondition .","ref":"aws_kinesis_video.html#list_signaling_channels/2","title":"aws_kinesis_video.list_signaling_channels/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#list_signaling_channels/3","title":"aws_kinesis_video.list_signaling_channels/3","type":"function"},{"doc":"Returns an array of StreamInfo objects. Each object describes a stream. To retrieve only streams that satisfy a specific condition, you can specify a StreamNameCondition .","ref":"aws_kinesis_video.html#list_streams/2","title":"aws_kinesis_video.list_streams/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#list_streams/3","title":"aws_kinesis_video.list_streams/3","type":"function"},{"doc":"Returns a list of tags associated with the specified signaling channel.","ref":"aws_kinesis_video.html#list_tags_for_resource/2","title":"aws_kinesis_video.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#list_tags_for_resource/3","title":"aws_kinesis_video.list_tags_for_resource/3","type":"function"},{"doc":"Returns a list of tags associated with the specified stream. In the request, you must specify either the StreamName or the StreamARN .","ref":"aws_kinesis_video.html#list_tags_for_stream/2","title":"aws_kinesis_video.list_tags_for_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#list_tags_for_stream/3","title":"aws_kinesis_video.list_tags_for_stream/3","type":"function"},{"doc":"An asynchronous API that updates a stream’s existing edge configuration. The Kinesis Video Stream will sync the stream’s edge configuration with the Edge Agent IoT Greengrass component that runs on an IoT Hub Device, setup at your premise. The time to sync can vary and depends on the connectivity of the Hub Device. The SyncStatus will be updated as the edge configuration is acknowledged, and synced with the Edge Agent. If this API is invoked for the first time, a new edge configuration will be created for the stream, and the sync status will be set to SYNCING . You will have to wait for the sync status to reach a terminal state such as: IN_SYNC , or SYNC_FAILED , before using this API again. If you invoke this API during the syncing process, a ResourceInUseException will be thrown. The connectivity of the stream’s edge configuration and the Edge Agent will be retried for 15 minutes. After 15 minutes, the status will transition into the SYNC_FAILED state.","ref":"aws_kinesis_video.html#start_edge_configuration_update/2","title":"aws_kinesis_video.start_edge_configuration_update/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#start_edge_configuration_update/3","title":"aws_kinesis_video.start_edge_configuration_update/3","type":"function"},{"doc":"Adds one or more tags to a signaling channel. A tag is a key-value pair (the value is optional) that you can define and assign to Amazon Web Services resources. If you specify a tag that already exists, the tag value is replaced with the value that you specify in the request. For more information, see Using Cost Allocation Tags in the Billing and Cost Management and Cost Management User Guide.","ref":"aws_kinesis_video.html#tag_resource/2","title":"aws_kinesis_video.tag_resource/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#tag_resource/3","title":"aws_kinesis_video.tag_resource/3","type":"function"},{"doc":"Adds one or more tags to a stream. A tag is a key-value pair (the value is optional) that you can define and assign to Amazon Web Services resources. If you specify a tag that already exists, the tag value is replaced with the value that you specify in the request. For more information, see Using Cost Allocation Tags in the Billing and Cost Management and Cost Management User Guide. You must provide either the StreamName or the StreamARN . This operation requires permission for the KinesisVideo:TagStream action. A Kinesis video stream can support up to 50 tags.","ref":"aws_kinesis_video.html#tag_stream/2","title":"aws_kinesis_video.tag_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#tag_stream/3","title":"aws_kinesis_video.tag_stream/3","type":"function"},{"doc":"Removes one or more tags from a signaling channel. In the request, specify only a tag key or keys; don't specify the value. If you specify a tag key that does not exist, it's ignored.","ref":"aws_kinesis_video.html#untag_resource/2","title":"aws_kinesis_video.untag_resource/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#untag_resource/3","title":"aws_kinesis_video.untag_resource/3","type":"function"},{"doc":"Removes one or more tags from a stream. In the request, specify only a tag key or keys; don't specify the value. If you specify a tag key that does not exist, it's ignored. In the request, you must provide the StreamName or StreamARN .","ref":"aws_kinesis_video.html#untag_stream/2","title":"aws_kinesis_video.untag_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#untag_stream/3","title":"aws_kinesis_video.untag_stream/3","type":"function"},{"doc":"Increases or decreases the stream's data retention period by the value that you specify. To indicate whether you want to increase or decrease the data retention period, specify the Operation parameter in the request body. In the request, you must specify either the StreamName or the StreamARN . The retention period that you specify replaces the current value. This operation requires permission for the KinesisVideo:UpdateDataRetention action. Changing the data retention period affects the data in the stream as follows: If the data retention period is increased, existing data is retained for the new retention period. For example, if the data retention period is increased from one hour to seven hours, all existing data is retained for seven hours. If the data retention period is decreased, existing data is retained for the new retention period. For example, if the data retention period is decreased from seven hours to one hour, all existing data is retained for one hour, and any data older than one hour is deleted immediately.","ref":"aws_kinesis_video.html#update_data_retention/2","title":"aws_kinesis_video.update_data_retention/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#update_data_retention/3","title":"aws_kinesis_video.update_data_retention/3","type":"function"},{"doc":"Updates the StreamInfo and ImageProcessingConfiguration fields.","ref":"aws_kinesis_video.html#update_image_generation_configuration/2","title":"aws_kinesis_video.update_image_generation_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#update_image_generation_configuration/3","title":"aws_kinesis_video.update_image_generation_configuration/3","type":"function"},{"doc":"Associates a SignalingChannel to a stream to store the media. There are two signaling modes that can specified : If the StorageStatus is disabled, no data will be stored, and the StreamARN parameter will not be needed. If the StorageStatus is enabled, the data will be stored in the StreamARN provided.","ref":"aws_kinesis_video.html#update_media_storage_configuration/2","title":"aws_kinesis_video.update_media_storage_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#update_media_storage_configuration/3","title":"aws_kinesis_video.update_media_storage_configuration/3","type":"function"},{"doc":"Updates the notification information for a stream.","ref":"aws_kinesis_video.html#update_notification_configuration/2","title":"aws_kinesis_video.update_notification_configuration/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#update_notification_configuration/3","title":"aws_kinesis_video.update_notification_configuration/3","type":"function"},{"doc":"Updates the existing signaling channel. This is an asynchronous operation and takes time to complete. If the MessageTtlSeconds value is updated (either increased or reduced), it only applies to new messages sent via this channel after it's been updated. Existing messages are still expired as per the previous MessageTtlSeconds value.","ref":"aws_kinesis_video.html#update_signaling_channel/2","title":"aws_kinesis_video.update_signaling_channel/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#update_signaling_channel/3","title":"aws_kinesis_video.update_signaling_channel/3","type":"function"},{"doc":"Updates stream metadata, such as the device name and media type. You must provide the stream name or the Amazon Resource Name (ARN) of the stream. To make sure that you have the latest version of the stream before updating it, you can specify the stream version. Kinesis Video Streams assigns a version to each stream. When you update a stream, Kinesis Video Streams assigns a new version number. To get the latest stream version, use the DescribeStream API. UpdateStream is an asynchronous operation, and takes time to complete.","ref":"aws_kinesis_video.html#update_stream/2","title":"aws_kinesis_video.update_stream/2","type":"function"},{"doc":"","ref":"aws_kinesis_video.html#update_stream/3","title":"aws_kinesis_video.update_stream/3","type":"function"},{"doc":"","ref":"aws_kinesis_video_archived_media.html","title":"aws_kinesis_video_archived_media","type":"module"},{"doc":"Downloads an MP4 file (clip) containing the archived, on-demand media from the specified video stream over the specified time range. Both the StreamName and the StreamARN parameters are optional, but you must specify either the StreamName or the StreamARN when invoking this API operation. As a prerequisite to using GetCLip API, you must obtain an endpoint using GetDataEndpoint , specifying GET_CLIP for the `APIName parameter. ' An Amazon Kinesis video stream has the following requirements for providing data through MP4 : The media must contain h . 264 or h . 265 encoded video and , optionally , AAC or G . 711 encoded audio . Specifically , the codec ID of track 1 should be ` V_MPEG / ISO / AVC &#39; (for h.264) or V_MPEGH/ISO/HEVC (for H.265). Optionally, the codec ID of track 2 should be `A_AAC&#39; ( for AAC ) or A_MS / ACM ( for G . 711 ) . Data retention must be greater than 0 . The video track of each fragment must contain codec private data in the Advanced Video Coding ( AVC ) for H . 264 format and HEVC for H . 265 format . For more information , see MPEG - 4 specification ISO / IEC 14496 - 15 . For information about adapting stream data to a given format , see NAL Adaptation Flags . The audio track ( if present ) of each fragment must contain codec private data in the AAC format ( AAC specification ISO / IEC 13818 - 7 ) or the MS Wave format . You can monitor the amount of outgoing data by monitoring the ` GetClip . OutgoingBytes &#39; Amazon CloudWatch metric . For information about using CloudWatch to monitor Kinesis Video Streams , see Monitoring Kinesis Video Streams . For pricing information , see Amazon Kinesis Video Streams Pricing and AWS Pricing . Charges for outgoing AWS data apply .","ref":"aws_kinesis_video_archived_media.html#get_clip/2","title":"aws_kinesis_video_archived_media.get_clip/2","type":"function"},{"doc":"","ref":"aws_kinesis_video_archived_media.html#get_clip/3","title":"aws_kinesis_video_archived_media.get_clip/3","type":"function"},{"doc":"Retrieves an MPEG Dynamic Adaptive Streaming over HTTP (DASH) URL for the stream. You can then open the URL in a media player to view the stream contents. Both the StreamName and the StreamARN parameters are optional, but you must specify either the StreamName or the StreamARN when invoking this API operation. An Amazon Kinesis video stream has the following requirements for providing data through MPEG-DASH: The media must contain h.264 or h.265 encoded video and, optionally, AAC or G.711 encoded audio. Specifically, the codec ID of track 1 should be V_MPEG/ISO/AVC (for h.264) or V_MPEGH/ISO/HEVC (for H.265). Optionally, the codec ID of track 2 should be A_AAC (for AAC) or A_MS/ACM (for G.711). Data retention must be greater than 0. The video track of each fragment must contain codec private data in the Advanced Video Coding (AVC) for H.264 format and HEVC for H.265 format. For more information, see MPEG-4 specification ISO/IEC 14496-15. For information about adapting stream data to a given format, see NAL Adaptation Flags. The audio track (if present) of each fragment must contain codec private data in the AAC format (AAC specification ISO/IEC 13818-7) or the MS Wave format. The following procedure shows how to use MPEG-DASH with Kinesis Video Streams: Get an endpoint using GetDataEndpoint, specifying GET_DASH_STREAMING_SESSION_URL for the APIName parameter. Retrieve the MPEG-DASH URL using GetDASHStreamingSessionURL . Kinesis Video Streams creates an MPEG-DASH streaming session to be used for accessing content in a stream using the MPEG-DASH protocol. GetDASHStreamingSessionURL returns an authenticated URL (that includes an encrypted session token) for the session's MPEG-DASH manifest (the root resource needed for streaming with MPEG-DASH). Don't share or store this token where an unauthorized entity can access it. The token provides access to the content of the stream. Safeguard the token with the same measures that you use with your AWS credentials. The media that is made available through the manifest consists only of the requested stream, time range, and format. No other media data (such as frames outside the requested window or alternate bitrates) is made available. Provide the URL (containing the encrypted session token) for the MPEG-DASH manifest to a media player that supports the MPEG-DASH protocol. Kinesis Video Streams makes the initialization fragment and media fragments available through the manifest URL. The initialization fragment contains the codec private data for the stream, and other data needed to set up the video or audio decoder and renderer. The media fragments contain encoded video frames or encoded audio samples. The media player receives the authenticated URL and requests stream metadata and media data normally. When the media player requests data, it calls the following actions: GetDASHManifest: Retrieves an MPEG DASH manifest, which contains the metadata for the media that you want to playback. GetMP4InitFragment: Retrieves the MP4 initialization fragment. The media player typically loads the initialization fragment before loading any media fragments. This fragment contains the &quot; fytp &quot; and &quot; moov &quot; MP4 atoms, and the child atoms that are needed to initialize the media player decoder. The initialization fragment does not correspond to a fragment in a Kinesis video stream. It contains only the codec private data for the stream and respective track, which the media player needs to decode the media frames. GetMP4MediaFragment: Retrieves MP4 media fragments. These fragments contain the &quot; moof &quot; and &quot; mdat &quot; MP4 atoms and their child atoms, containing the encoded fragment's media frames and their timestamps. After the first media fragment is made available in a streaming session, any fragments that don't contain the same codec private data cause an error to be returned when those different media fragments are loaded. Therefore, the codec private data should not change between fragments in a session. This also means that the session fails if the fragments in a stream change from having only video to having both audio and video. Data retrieved with this action is billable. See Pricing for details. For restrictions that apply to MPEG-DASH sessions, see Kinesis Video Streams Limits. You can monitor the amount of data that the media player consumes by monitoring the GetMP4MediaFragment.OutgoingBytes Amazon CloudWatch metric. For information about using CloudWatch to monitor Kinesis Video Streams, see Monitoring Kinesis Video Streams. For pricing information, see Amazon Kinesis Video Streams Pricing and AWS Pricing. Charges for both HLS sessions and outgoing AWS data apply. For more information about HLS, see HTTP Live Streaming on the Apple Developer site. If an error is thrown after invoking a Kinesis Video Streams archived media API, in addition to the HTTP status code and the response body, it includes the following pieces of information: x-amz-ErrorType HTTP header – contains a more specific error type in addition to what the HTTP status code provides. x-amz-RequestId HTTP header – if you want to report an issue to AWS, the support team can better diagnose the problem if given the Request Id. Both the HTTP status code and the ErrorType header can be utilized to make programmatic decisions about whether errors are retry-able and under what conditions, as well as provide information on what actions the client programmer might need to take in order to successfully try again. For more information, see the Errors section at the bottom of this topic, as well as Common Errors.","ref":"aws_kinesis_video_archived_media.html#get_dash_streaming_session_url/2","title":"aws_kinesis_video_archived_media.get_dash_streaming_session_url/2","type":"function"},{"doc":"","ref":"aws_kinesis_video_archived_media.html#get_dash_streaming_session_url/3","title":"aws_kinesis_video_archived_media.get_dash_streaming_session_url/3","type":"function"},{"doc":"Retrieves an HTTP Live Streaming (HLS) URL for the stream. You can then open the URL in a browser or media player to view the stream contents. Both the StreamName and the StreamARN parameters are optional, but you must specify either the StreamName or the StreamARN when invoking this API operation. An Amazon Kinesis video stream has the following requirements for providing data through HLS: The media must contain h.264 or h.265 encoded video and, optionally, AAC encoded audio. Specifically, the codec ID of track 1 should be V_MPEG/ISO/AVC (for h.264) or V_MPEG/ISO/HEVC (for h.265). Optionally, the codec ID of track 2 should be A_AAC . Data retention must be greater than 0. The video track of each fragment must contain codec private data in the Advanced Video Coding (AVC) for H.264 format or HEVC for H.265 format (MPEG-4 specification ISO/IEC 14496-15). For information about adapting stream data to a given format, see NAL Adaptation Flags. The audio track (if present) of each fragment must contain codec private data in the AAC format (AAC specification ISO/IEC 13818-7). Kinesis Video Streams HLS sessions contain fragments in the fragmented MPEG-4 form (also called fMP4 or CMAF) or the MPEG-2 form (also called TS chunks, which the HLS specification also supports). For more information about HLS fragment types, see the HLS specification. The following procedure shows how to use HLS with Kinesis Video Streams: Get an endpoint using GetDataEndpoint, specifying GET_HLS_STREAMING_SESSION_URL for the APIName parameter. Retrieve the HLS URL using GetHLSStreamingSessionURL . Kinesis Video Streams creates an HLS streaming session to be used for accessing content in a stream using the HLS protocol. GetHLSStreamingSessionURL returns an authenticated URL (that includes an encrypted session token) for the session's HLS master playlist (the root resource needed for streaming with HLS). Don't share or store this token where an unauthorized entity could access it. The token provides access to the content of the stream. Safeguard the token with the same measures that you would use with your AWS credentials. The media that is made available through the playlist consists only of the requested stream, time range, and format. No other media data (such as frames outside the requested window or alternate bitrates) is made available. Provide the URL (containing the encrypted session token) for the HLS master playlist to a media player that supports the HLS protocol. Kinesis Video Streams makes the HLS media playlist, initialization fragment, and media fragments available through the master playlist URL. The initialization fragment contains the codec private data for the stream, and other data needed to set up the video or audio decoder and renderer. The media fragments contain H.264-encoded video frames or AAC-encoded audio samples. The media player receives the authenticated URL and requests stream metadata and media data normally. When the media player requests data, it calls the following actions: GetHLSMasterPlaylist: Retrieves an HLS master playlist, which contains a URL for the GetHLSMediaPlaylist action for each track, and additional metadata for the media player, including estimated bitrate and resolution. GetHLSMediaPlaylist: Retrieves an HLS media playlist, which contains a URL to access the MP4 initialization fragment with the GetMP4InitFragment action, and URLs to access the MP4 media fragments with the GetMP4MediaFragment actions. The HLS media playlist also contains metadata about the stream that the player needs to play it, such as whether the PlaybackMode is LIVE or ON_DEMAND . The HLS media playlist is typically static for sessions with a PlaybackType of ON_DEMAND . The HLS media playlist is continually updated with new fragments for sessions with a PlaybackType of LIVE . There is a distinct HLS media playlist for the video track and the audio track (if applicable) that contains MP4 media URLs for the specific track. GetMP4InitFragment: Retrieves the MP4 initialization fragment. The media player typically loads the initialization fragment before loading any media fragments. This fragment contains the &quot; fytp &quot; and &quot; moov &quot; MP4 atoms, and the child atoms that are needed to initialize the media player decoder. The initialization fragment does not correspond to a fragment in a Kinesis video stream. It contains only the codec private data for the stream and respective track, which the media player needs to decode the media frames. GetMP4MediaFragment: Retrieves MP4 media fragments. These fragments contain the &quot; moof &quot; and &quot; mdat &quot; MP4 atoms and their child atoms, containing the encoded fragment's media frames and their timestamps. After the first media fragment is made available in a streaming session, any fragments that don't contain the same codec private data cause an error to be returned when those different media fragments are loaded. Therefore, the codec private data should not change between fragments in a session. This also means that the session fails if the fragments in a stream change from having only video to having both audio and video. Data retrieved with this action is billable. See Pricing for details. GetTSFragment: Retrieves MPEG TS fragments containing both initialization and media data for all tracks in the stream. If the ContainerFormat is MPEG_TS , this API is used instead of GetMP4InitFragment and GetMP4MediaFragment to retrieve stream media. Data retrieved with this action is billable. For more information, see Kinesis Video Streams pricing. A streaming session URL must not be shared between players. The service might throttle a session if multiple media players are sharing it. For connection limits, see Kinesis Video Streams Limits. You can monitor the amount of data that the media player consumes by monitoring the GetMP4MediaFragment.OutgoingBytes Amazon CloudWatch metric. For information about using CloudWatch to monitor Kinesis Video Streams, see Monitoring Kinesis Video Streams. For pricing information, see Amazon Kinesis Video Streams Pricing and AWS Pricing. Charges for both HLS sessions and outgoing AWS data apply. For more information about HLS, see HTTP Live Streaming on the Apple Developer site. If an error is thrown after invoking a Kinesis Video Streams archived media API, in addition to the HTTP status code and the response body, it includes the following pieces of information: x-amz-ErrorType HTTP header – contains a more specific error type in addition to what the HTTP status code provides. x-amz-RequestId HTTP header – if you want to report an issue to AWS, the support team can better diagnose the problem if given the Request Id. Both the HTTP status code and the ErrorType header can be utilized to make programmatic decisions about whether errors are retry-able and under what conditions, as well as provide information on what actions the client programmer might need to take in order to successfully try again. For more information, see the Errors section at the bottom of this topic, as well as Common Errors.","ref":"aws_kinesis_video_archived_media.html#get_hls_streaming_session_url/2","title":"aws_kinesis_video_archived_media.get_hls_streaming_session_url/2","type":"function"},{"doc":"","ref":"aws_kinesis_video_archived_media.html#get_hls_streaming_session_url/3","title":"aws_kinesis_video_archived_media.get_hls_streaming_session_url/3","type":"function"},{"doc":"Retrieves a list of Images corresponding to each timestamp for a given time range, sampling interval, and image format configuration.","ref":"aws_kinesis_video_archived_media.html#get_images/2","title":"aws_kinesis_video_archived_media.get_images/2","type":"function"},{"doc":"","ref":"aws_kinesis_video_archived_media.html#get_images/3","title":"aws_kinesis_video_archived_media.get_images/3","type":"function"},{"doc":"Gets media for a list of fragments (specified by fragment number) from the archived data in an Amazon Kinesis video stream. You must first call the GetDataEndpoint API to get an endpoint. Then send the GetMediaForFragmentList requests to this endpoint using the --endpoint-url parameter. For limits, see Kinesis Video Streams Limits. If an error is thrown after invoking a Kinesis Video Streams archived media API, in addition to the HTTP status code and the response body, it includes the following pieces of information: x-amz-ErrorType HTTP header – contains a more specific error type in addition to what the HTTP status code provides. x-amz-RequestId HTTP header – if you want to report an issue to AWS, the support team can better diagnose the problem if given the Request Id. Both the HTTP status code and the ErrorType header can be utilized to make programmatic decisions about whether errors are retry-able and under what conditions, as well as provide information on what actions the client programmer might need to take in order to successfully try again. For more information, see the Errors section at the bottom of this topic, as well as Common Errors.","ref":"aws_kinesis_video_archived_media.html#get_media_for_fragment_list/2","title":"aws_kinesis_video_archived_media.get_media_for_fragment_list/2","type":"function"},{"doc":"","ref":"aws_kinesis_video_archived_media.html#get_media_for_fragment_list/3","title":"aws_kinesis_video_archived_media.get_media_for_fragment_list/3","type":"function"},{"doc":"Returns a list of Fragment objects from the specified stream and timestamp range within the archived data. Listing fragments is eventually consistent. This means that even if the producer receives an acknowledgment that a fragment is persisted, the result might not be returned immediately from a request to ListFragments . However, results are typically available in less than one second. You must first call the GetDataEndpoint API to get an endpoint. Then send the ListFragments requests to this endpoint using the --endpoint-url parameter. If an error is thrown after invoking a Kinesis Video Streams archived media API, in addition to the HTTP status code and the response body, it includes the following pieces of information: x-amz-ErrorType HTTP header – contains a more specific error type in addition to what the HTTP status code provides. x-amz-RequestId HTTP header – if you want to report an issue to AWS, the support team can better diagnose the problem if given the Request Id. Both the HTTP status code and the ErrorType header can be utilized to make programmatic decisions about whether errors are retry-able and under what conditions, as well as provide information on what actions the client programmer might need to take in order to successfully try again. For more information, see the Errors section at the bottom of this topic, as well as Common Errors.","ref":"aws_kinesis_video_archived_media.html#list_fragments/2","title":"aws_kinesis_video_archived_media.list_fragments/2","type":"function"},{"doc":"","ref":"aws_kinesis_video_archived_media.html#list_fragments/3","title":"aws_kinesis_video_archived_media.list_fragments/3","type":"function"},{"doc":"","ref":"aws_kinesis_video_media.html","title":"aws_kinesis_video_media","type":"module"},{"doc":"Use this API to retrieve media content from a Kinesis video stream. In the request, you identify the stream name or stream Amazon Resource Name (ARN), and the starting chunk. Kinesis Video Streams then returns a stream of chunks in order by fragment number. You must first call the GetDataEndpoint API to get an endpoint. Then send the GetMedia requests to this endpoint using the --endpoint-url parameter. When you put media data (fragments) on a stream, Kinesis Video Streams stores each incoming fragment and related metadata in what is called a &quot;chunk.&quot; For more information, see PutMedia. The GetMedia API returns a stream of these chunks starting from the chunk that you specify in the request. The following limits apply when using the GetMedia API: A client can call GetMedia up to five times per second per stream. Kinesis Video Streams sends media data at a rate of up to 25 megabytes per second (or 200 megabits per second) during a GetMedia session. If an error is thrown after invoking a Kinesis Video Streams media API, in addition to the HTTP status code and the response body, it includes the following pieces of information: x-amz-ErrorType HTTP header – contains a more specific error type in addition to what the HTTP status code provides. x-amz-RequestId HTTP header – if you want to report an issue to AWS, the support team can better diagnose the problem if given the Request Id. Both the HTTP status code and the ErrorType header can be utilized to make programmatic decisions about whether errors are retry-able and under what conditions, as well as provide information on what actions the client programmer might need to take in order to successfully try again. For more information, see the Errors section at the bottom of this topic, as well as Common Errors.","ref":"aws_kinesis_video_media.html#get_media/2","title":"aws_kinesis_video_media.get_media/2","type":"function"},{"doc":"","ref":"aws_kinesis_video_media.html#get_media/3","title":"aws_kinesis_video_media.get_media/3","type":"function"},{"doc":"Kinesis Video Streams Signaling Service is a intermediate service that establishes a communication channel for discovering peers, transmitting offers and answers in order to establish peer-to-peer connection in webRTC technology.","ref":"aws_kinesis_video_signaling.html","title":"aws_kinesis_video_signaling","type":"module"},{"doc":"Gets the Interactive Connectivity Establishment (ICE) server configuration information, including URIs, username, and password which can be used to configure the WebRTC connection. The ICE component uses this configuration information to setup the WebRTC connection, including authenticating with the Traversal Using Relays around NAT (TURN) relay server. TURN is a protocol that is used to improve the connectivity of peer-to-peer applications. By providing a cloud-based relay service, TURN ensures that a connection can be established even when one or more peers are incapable of a direct peer-to-peer connection. For more information, see A REST API For Access To TURN Services. You can invoke this API to establish a fallback mechanism in case either of the peers is unable to establish a direct peer-to-peer connection over a signaling channel. You must specify either a signaling channel ARN or the client ID in order to invoke this API.","ref":"aws_kinesis_video_signaling.html#get_ice_server_config/2","title":"aws_kinesis_video_signaling.get_ice_server_config/2","type":"function"},{"doc":"","ref":"aws_kinesis_video_signaling.html#get_ice_server_config/3","title":"aws_kinesis_video_signaling.get_ice_server_config/3","type":"function"},{"doc":"This API allows you to connect WebRTC-enabled devices with Alexa display devices. When invoked, it sends the Alexa Session Description Protocol (SDP) offer to the master peer. The offer is delivered as soon as the master is connected to the specified signaling channel. This API returns the SDP answer from the connected master. If the master is not connected to the signaling channel, redelivery requests are made until the message expires.","ref":"aws_kinesis_video_signaling.html#send_alexa_offer_to_master/2","title":"aws_kinesis_video_signaling.send_alexa_offer_to_master/2","type":"function"},{"doc":"","ref":"aws_kinesis_video_signaling.html#send_alexa_offer_to_master/3","title":"aws_kinesis_video_signaling.send_alexa_offer_to_master/3","type":"function"},{"doc":"","ref":"aws_kinesis_video_webrtc_storage.html","title":"aws_kinesis_video_webrtc_storage","type":"module"},{"doc":"Join the ongoing one way-video and/or multi-way audio WebRTC session as a video producing device for an input channel. If there’s no existing session for the channel, a new streaming session needs to be created, and the Amazon Resource Name (ARN) of the signaling channel must be provided. Currently for the SINGLE_MASTER type, a video producing device is able to ingest both audio and video media into a stream, while viewers can only ingest audio. Both a video producing device and viewers can join the session first, and wait for other participants. While participants are having peer to peer conversations through webRTC, the ingested media session will be stored into the Kinesis Video Stream. Multiple viewers are able to playback real-time media. Customers can also use existing Kinesis Video Streams features like HLS or DASH playback, Image generation, and more with ingested WebRTC media. Assume that only one video producing device client can be associated with a session for the channel. If more than one client joins the session of a specific channel as a video producing device, the most recent client request takes precedence.","ref":"aws_kinesis_video_webrtc_storage.html#join_storage_session/2","title":"aws_kinesis_video_webrtc_storage.join_storage_session/2","type":"function"},{"doc":"","ref":"aws_kinesis_video_webrtc_storage.html#join_storage_session/3","title":"aws_kinesis_video_webrtc_storage.join_storage_session/3","type":"function"},{"doc":"Key Management Service Key Management Service (KMS) is an encryption and key management web service. This guide describes the KMS operations that you can call programmatically. For general information about KMS, see the Key Management Service Developer Guide . KMS has replaced the term customer master key (CMK) with KMS key and KMS key. The concept has not changed. To prevent breaking changes, KMS is keeping some variations of this term. Amazon Web Services provides SDKs that consist of libraries and sample code for various programming languages and platforms (Java, Ruby, .Net, macOS, Android, etc.). The SDKs provide a convenient way to create programmatic access to KMS and other Amazon Web Services services. For example, the SDKs take care of tasks such as signing requests (see below), managing errors, and retrying requests automatically. For more information about the Amazon Web Services SDKs, including how to download and install them, see Tools for Amazon Web Services. We recommend that you use the Amazon Web Services SDKs to make programmatic API calls to KMS. If you need to use FIPS 140-2 validated cryptographic modules when communicating with Amazon Web Services, use the FIPS endpoint in your preferred Amazon Web Services Region. For more information about the available FIPS endpoints, see Service endpoints in the Key Management Service topic of the Amazon Web Services General Reference. All KMS API calls must be signed and be transmitted using Transport Layer Security (TLS). KMS recommends you always use the latest supported TLS version. Clients must also support cipher suites with Perfect Forward Secrecy (PFS) such as Ephemeral Diffie-Hellman (DHE) or Elliptic Curve Ephemeral Diffie-Hellman (ECDHE). Most modern systems such as Java 7 and later support these modes. Signing Requests Requests must be signed by using an access key ID and a secret access key. We strongly recommend that you do not use your Amazon Web Services account (root) access key ID and secret access key for everyday work with KMS. Instead, use the access key ID and secret access key for an IAM user. You can also use the Amazon Web Services Security Token Service to generate temporary security credentials that you can use to sign requests. All KMS operations require Signature Version 4. Logging API Requests KMS supports CloudTrail, a service that logs Amazon Web Services API calls and related events for your Amazon Web Services account and delivers them to an Amazon S3 bucket that you specify. By using the information collected by CloudTrail, you can determine what requests were made to KMS, who made the request, when it was made, and so on. To learn more about CloudTrail, including how to turn it on and find your log files, see the CloudTrail User Guide. Additional Resources For more information about credentials and request signing, see the following: Amazon Web Services Security Credentials - This topic provides general information about the types of credentials used to access Amazon Web Services. Temporary Security Credentials - This section of the IAM User Guide describes how to create and use temporary security credentials. Signature Version 4 Signing Process - This set of topics walks you through the process of signing a request using an access key ID and a secret access key. Commonly Used API Operations Of the API operations discussed in this guide, the following will prove the most useful for most applications. You will likely perform operations other than these, such as creating keys and assigning policies, by using the console. Encrypt Decrypt GenerateDataKey GenerateDataKeyWithoutPlaintext","ref":"aws_kms.html","title":"aws_kms","type":"module"},{"doc":"Cancels the deletion of a KMS key. When this operation succeeds, the key state of the KMS key is Disabled . To enable the KMS key, use EnableKey . For more information about scheduling and canceling deletion of a KMS key, see Deleting KMS keys in the Key Management Service Developer Guide. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:CancelKeyDeletion (key policy) Related operations: ScheduleKeyDeletion","ref":"aws_kms.html#cancel_key_deletion/2","title":"aws_kms.cancel_key_deletion/2","type":"function"},{"doc":"","ref":"aws_kms.html#cancel_key_deletion/3","title":"aws_kms.cancel_key_deletion/3","type":"function"},{"doc":"Connects or reconnects a custom key store to its backing key store. For an CloudHSM key store, ConnectCustomKeyStore connects the key store to its associated CloudHSM cluster. For an external key store, ConnectCustomKeyStore connects the key store to the external key store proxy that communicates with your external key manager. The custom key store must be connected before you can create KMS keys in the key store or use the KMS keys it contains. You can disconnect and reconnect a custom key store at any time. The connection process for a custom key store can take an extended amount of time to complete. This operation starts the connection process, but it does not wait for it to complete. When it succeeds, this operation quickly returns an HTTP 200 response and a JSON object with no properties. However, this response does not indicate that the custom key store is connected. To get the connection state of the custom key store, use the DescribeCustomKeyStores operation. This operation is part of the custom key stores feature in KMS, which combines the convenience and extensive integration of KMS with the isolation and control of a key store that you own and manage. The ConnectCustomKeyStore operation might fail for various reasons. To find the reason, use the DescribeCustomKeyStores operation and see the ConnectionErrorCode in the response. For help interpreting the ConnectionErrorCode , see CustomKeyStoresListEntry . To fix the failure, use the DisconnectCustomKeyStore operation to disconnect the custom key store, correct the error, use the UpdateCustomKeyStore operation if necessary, and then use ConnectCustomKeyStore again. CloudHSM key store During the connection process for an CloudHSM key store, KMS finds the CloudHSM cluster that is associated with the custom key store, creates the connection infrastructure, connects to the cluster, logs into the CloudHSM client as the kmsuser CU, and rotates its password. To connect an CloudHSM key store, its associated CloudHSM cluster must have at least one active HSM. To get the number of active HSMs in a cluster, use the DescribeClusters operation. To add HSMs to the cluster, use the CreateHsm operation. Also, the kmsuser crypto user (CU) must not be logged into the cluster. This prevents KMS from using this account to log in. If you are having trouble connecting or disconnecting a CloudHSM key store, see Troubleshooting an CloudHSM key store in the Key Management Service Developer Guide. External key store When you connect an external key store that uses public endpoint connectivity, KMS tests its ability to communicate with your external key manager by sending a request via the external key store proxy. When you connect to an external key store that uses VPC endpoint service connectivity, KMS establishes the networking elements that it needs to communicate with your external key manager via the external key store proxy. This includes creating an interface endpoint to the VPC endpoint service and a private hosted zone for traffic between KMS and the VPC endpoint service. To connect an external key store, KMS must be able to connect to the external key store proxy, the external key store proxy must be able to communicate with your external key manager, and the external key manager must be available for cryptographic operations. If you are having trouble connecting or disconnecting an external key store, see Troubleshooting an external key store in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a custom key store in a different Amazon Web Services account. Required permissions: kms:ConnectCustomKeyStore (IAM policy) Related operations CreateCustomKeyStore DeleteCustomKeyStore DescribeCustomKeyStores DisconnectCustomKeyStore UpdateCustomKeyStore","ref":"aws_kms.html#connect_custom_key_store/2","title":"aws_kms.connect_custom_key_store/2","type":"function"},{"doc":"","ref":"aws_kms.html#connect_custom_key_store/3","title":"aws_kms.connect_custom_key_store/3","type":"function"},{"doc":"Creates a friendly name for a KMS key. Adding, deleting, or updating an alias can allow or deny permission to the KMS key. For details, see ABAC for KMS in the Key Management Service Developer Guide. You can use an alias to identify a KMS key in the KMS console, in the DescribeKey operation and in cryptographic operations, such as Encrypt and GenerateDataKey . You can also change the KMS key that's associated with the alias ( UpdateAlias ) or delete the alias ( DeleteAlias ) at any time. These operations don't affect the underlying KMS key. You can associate the alias with any customer managed key in the same Amazon Web Services Region. Each alias is associated with only one KMS key at a time, but a KMS key can have multiple aliases. A valid KMS key is required. You can't create an alias without a KMS key. The alias must be unique in the account and Region, but you can have aliases with the same name in different Regions. For detailed information about aliases, see Using aliases in the Key Management Service Developer Guide. This operation does not return a response. To get the alias that you created, use the ListAliases operation. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on an alias in a different Amazon Web Services account. Required permissions kms:CreateAlias on the alias (IAM policy). kms:CreateAlias on the KMS key (key policy). For details, see Controlling access to aliases in the Key Management Service Developer Guide. Related operations: DeleteAlias ListAliases UpdateAlias","ref":"aws_kms.html#create_alias/2","title":"aws_kms.create_alias/2","type":"function"},{"doc":"","ref":"aws_kms.html#create_alias/3","title":"aws_kms.create_alias/3","type":"function"},{"doc":"Creates a custom key store backed by a key store that you own and manage. When you use a KMS key in a custom key store for a cryptographic operation, the cryptographic operation is actually performed in your key store using your keys. KMS supports CloudHSM key stores backed by an CloudHSM cluster and external key stores backed by an external key store proxy and external key manager outside of Amazon Web Services. This operation is part of the custom key stores feature in KMS, which combines the convenience and extensive integration of KMS with the isolation and control of a key store that you own and manage. Before you create the custom key store, the required elements must be in place and operational. We recommend that you use the test tools that KMS provides to verify the configuration your external key store proxy. For details about the required elements and verification tests, see Assemble the prerequisites (for CloudHSM key stores) or Assemble the prerequisites (for external key stores) in the Key Management Service Developer Guide. To create a custom key store, use the following parameters. To create an CloudHSM key store, specify the CustomKeyStoreName , CloudHsmClusterId , KeyStorePassword , and TrustAnchorCertificate . The CustomKeyStoreType parameter is optional for CloudHSM key stores. If you include it, set it to the default value, AWS_CLOUDHSM . For help with failures, see Troubleshooting an CloudHSM key store in the Key Management Service Developer Guide. To create an external key store, specify the CustomKeyStoreName and a CustomKeyStoreType of EXTERNAL_KEY_STORE . Also, specify values for XksProxyConnectivity , XksProxyAuthenticationCredential , XksProxyUriEndpoint , and XksProxyUriPath . If your XksProxyConnectivity value is VPC_ENDPOINT_SERVICE , specify the XksProxyVpcEndpointServiceName parameter. For help with failures, see Troubleshooting an external key store in the Key Management Service Developer Guide. For external key stores: Some external key managers provide a simpler method for creating an external key store. For details, see your external key manager documentation. When creating an external key store in the KMS console, you can upload a JSON-based proxy configuration file with the desired values. You cannot use a proxy configuration with the CreateCustomKeyStore operation. However, you can use the values in the file to help you determine the correct values for the CreateCustomKeyStore parameters. When the operation completes successfully, it returns the ID of the new custom key store. Before you can use your new custom key store, you need to use the ConnectCustomKeyStore operation to connect a new CloudHSM key store to its CloudHSM cluster, or to connect a new external key store to the external key store proxy for your external key manager. Even if you are not going to use your custom key store immediately, you might want to connect it to verify that all settings are correct and then disconnect it until you are ready to use it. For help with failures, see Troubleshooting a custom key store in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a custom key store in a different Amazon Web Services account. Required permissions: kms:CreateCustomKeyStore (IAM policy). Related operations: ConnectCustomKeyStore DeleteCustomKeyStore DescribeCustomKeyStores DisconnectCustomKeyStore UpdateCustomKeyStore","ref":"aws_kms.html#create_custom_key_store/2","title":"aws_kms.create_custom_key_store/2","type":"function"},{"doc":"","ref":"aws_kms.html#create_custom_key_store/3","title":"aws_kms.create_custom_key_store/3","type":"function"},{"doc":"Adds a grant to a KMS key. A grant is a policy instrument that allows Amazon Web Services principals to use KMS keys in cryptographic operations. It also can allow them to view a KMS key ( DescribeKey ) and create and manage grants. When authorizing access to a KMS key, grants are considered along with key policies and IAM policies. Grants are often used for temporary permissions because you can create one, use its permissions, and delete it without changing your key policies or IAM policies. For detailed information about grants, including grant terminology, see Grants in KMS in the Key Management Service Developer Guide . For examples of working with grants in several programming languages, see Programming grants. The CreateGrant operation returns a GrantToken and a GrantId . When you create, retire, or revoke a grant, there might be a brief delay, usually less than five minutes, until the grant is available throughout KMS. This state is known as eventual consistency. Once the grant has achieved eventual consistency, the grantee principal can use the permissions in the grant without identifying the grant. However, to use the permissions in the grant immediately, use the GrantToken that CreateGrant returns. For details, see Using a grant token in the Key Management Service Developer Guide . The CreateGrant operation also returns a GrantId . You can use the GrantId and a key identifier to identify the grant in the RetireGrant and RevokeGrant operations. To find the grant ID, use the ListGrants or ListRetirableGrants operations. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: Yes. To perform this operation on a KMS key in a different Amazon Web Services account, specify the key ARN in the value of the KeyId parameter. Required permissions: kms:CreateGrant (key policy) Related operations: ListGrants ListRetirableGrants RetireGrant RevokeGrant","ref":"aws_kms.html#create_grant/2","title":"aws_kms.create_grant/2","type":"function"},{"doc":"","ref":"aws_kms.html#create_grant/3","title":"aws_kms.create_grant/3","type":"function"},{"doc":"Creates a unique customer managed KMS key in your Amazon Web Services account and Region. You can use a KMS key in cryptographic operations, such as encryption and signing. Some Amazon Web Services services let you use KMS keys that you create and manage to protect your service resources. A KMS key is a logical representation of a cryptographic key. In addition to the key material used in cryptographic operations, a KMS key includes metadata, such as the key ID, key policy, creation date, description, and key state. For details, see Managing keys in the Key Management Service Developer Guide Use the parameters of CreateKey to specify the type of KMS key, the source of its key material, its key policy, description, tags, and other properties. KMS has replaced the term customer master key (CMK) with KMS key and KMS key. The concept has not changed. To prevent breaking changes, KMS is keeping some variations of this term. To create different types of KMS keys, use the following guidance: Symmetric encryption KMS key By default, CreateKey creates a symmetric encryption KMS key with key material that KMS generates. This is the basic and most widely used type of KMS key, and provides the best performance. To create a symmetric encryption KMS key, you don't need to specify any parameters. The default value for KeySpec , SYMMETRIC_DEFAULT , the default value for KeyUsage , ENCRYPT_DECRYPT , and the default value for Origin , AWS_KMS , create a symmetric encryption KMS key with KMS key material. If you need a key for basic encryption and decryption or you are creating a KMS key to protect your resources in an Amazon Web Services service, create a symmetric encryption KMS key. The key material in a symmetric encryption key never leaves KMS unencrypted. You can use a symmetric encryption KMS key to encrypt and decrypt data up to 4,096 bytes, but they are typically used to generate data keys and data keys pairs. For details, see GenerateDataKey and GenerateDataKeyPair . Asymmetric KMS keys To create an asymmetric KMS key, use the KeySpec parameter to specify the type of key material in the KMS key. Then, use the KeyUsage parameter to determine whether the KMS key will be used to encrypt and decrypt or sign and verify. You can't change these properties after the KMS key is created. Asymmetric KMS keys contain an RSA key pair, Elliptic Curve (ECC) key pair, or an SM2 key pair (China Regions only). The private key in an asymmetric KMS key never leaves KMS unencrypted. However, you can use the GetPublicKey operation to download the public key so it can be used outside of KMS. KMS keys with RSA or SM2 key pairs can be used to encrypt or decrypt data or sign and verify messages (but not both). KMS keys with ECC key pairs can be used only to sign and verify messages. For information about asymmetric KMS keys, see Asymmetric KMS keys in the Key Management Service Developer Guide. HMAC KMS key To create an HMAC KMS key, set the KeySpec parameter to a key spec value for HMAC KMS keys. Then set the KeyUsage parameter to GENERATE_VERIFY_MAC . You must set the key usage even though GENERATE_VERIFY_MAC is the only valid key usage value for HMAC KMS keys. You can't change these properties after the KMS key is created. HMAC KMS keys are symmetric keys that never leave KMS unencrypted. You can use HMAC keys to generate ( GenerateMac ) and verify ( VerifyMac ) HMAC codes for messages up to 4096 bytes. HMAC KMS keys are not supported in all Amazon Web Services Regions. If you try to create an HMAC KMS key in an Amazon Web Services Region in which HMAC keys are not supported, the CreateKey operation returns an UnsupportedOperationException . For a list of Regions in which HMAC KMS keys are supported, see HMAC keys in KMS in the Key Management Service Developer Guide. Multi-Region primary keys Imported key material To create a multi-Region primary key in the local Amazon Web Services Region, use the MultiRegion parameter with a value of True . To create a multi-Region replica key, that is, a KMS key with the same key ID and key material as a primary key, but in a different Amazon Web Services Region, use the ReplicateKey operation. To change a replica key to a primary key, and its primary key to a replica key, use the UpdatePrimaryRegion operation. You can create multi-Region KMS keys for all supported KMS key types: symmetric encryption KMS keys, HMAC KMS keys, asymmetric encryption KMS keys, and asymmetric signing KMS keys. You can also create multi-Region keys with imported key material. However, you can't create multi-Region keys in a custom key store. This operation supports multi-Region keys, an KMS feature that lets you create multiple interoperable KMS keys in different Amazon Web Services Regions. Because these KMS keys have the same key ID, key material, and other metadata, you can use them interchangeably to encrypt data in one Amazon Web Services Region and decrypt it in a different Amazon Web Services Region without re-encrypting the data or making a cross-Region call. For more information about multi-Region keys, see Multi-Region keys in KMS in the Key Management Service Developer Guide. To import your own key material into a KMS key, begin by creating a symmetric encryption KMS key with no key material. To do this, use the Origin parameter of CreateKey with a value of EXTERNAL . Next, use GetParametersForImport operation to get a public key and import token, and use the public key to encrypt your key material. Then, use ImportKeyMaterial with your import token to import the key material. For step-by-step instructions, see Importing Key Material in the Key Management Service Developer Guide . This feature supports only symmetric encryption KMS keys, including multi-Region symmetric encryption KMS keys. You cannot import key material into any other type of KMS key. To create a multi-Region primary key with imported key material, use the Origin parameter of CreateKey with a value of EXTERNAL and the MultiRegion parameter with a value of True . To create replicas of the multi-Region primary key, use the ReplicateKey operation. For instructions, see Importing key material into multi-Region keys. For more information about multi-Region keys, see Multi-Region keys in KMS in the Key Management Service Developer Guide. Custom key store A custom key store lets you protect your Amazon Web Services resources using keys in a backing key store that you own and manage. When you request a cryptographic operation with a KMS key in a custom key store, the operation is performed in the backing key store using its cryptographic keys. KMS supports CloudHSM key stores backed by an CloudHSM cluster and external key stores backed by an external key manager outside of Amazon Web Services. When you create a KMS key in an CloudHSM key store, KMS generates an encryption key in the CloudHSM cluster and associates it with the KMS key. When you create a KMS key in an external key store, you specify an existing encryption key in the external key manager. Some external key managers provide a simpler method for creating a KMS key in an external key store. For details, see your external key manager documentation. Before you create a KMS key in a custom key store, the ConnectionState of the key store must be CONNECTED . To connect the custom key store, use the ConnectCustomKeyStore operation. To find the ConnectionState , use the DescribeCustomKeyStores operation. To create a KMS key in a custom key store, use the CustomKeyStoreId . Use the default KeySpec value, SYMMETRIC_DEFAULT , and the default KeyUsage value, ENCRYPT_DECRYPT to create a symmetric encryption key. No other key type is supported in a custom key store. To create a KMS key in an CloudHSM key store, use the Origin parameter with a value of AWS_CLOUDHSM . The CloudHSM cluster that is associated with the custom key store must have at least two active HSMs in different Availability Zones in the Amazon Web Services Region. To create a KMS key in an external key store, use the Origin parameter with a value of EXTERNAL_KEY_STORE and an XksKeyId parameter that identifies an existing external key. Some external key managers provide a simpler method for creating a KMS key in an external key store. For details, see your external key manager documentation. Cross-account use: No. You cannot use this operation to create a KMS key in a different Amazon Web Services account. Required permissions: kms:CreateKey (IAM policy). To use the Tags parameter, kms:TagResource (IAM policy). For examples and information about related permissions, see Allow a user to create KMS keys in the Key Management Service Developer Guide. Related operations: DescribeKey ListKeys ScheduleKeyDeletion","ref":"aws_kms.html#create_key/2","title":"aws_kms.create_key/2","type":"function"},{"doc":"","ref":"aws_kms.html#create_key/3","title":"aws_kms.create_key/3","type":"function"},{"doc":"Decrypts ciphertext that was encrypted by a KMS key using any of the following operations: Encrypt GenerateDataKey GenerateDataKeyPair GenerateDataKeyWithoutPlaintext GenerateDataKeyPairWithoutPlaintext You can use this operation to decrypt ciphertext that was encrypted under a symmetric encryption KMS key or an asymmetric encryption KMS key. When the KMS key is asymmetric, you must specify the KMS key and the encryption algorithm that was used to encrypt the ciphertext. For information about asymmetric KMS keys, see Asymmetric KMS keys in the Key Management Service Developer Guide. The Decrypt operation also decrypts ciphertext that was encrypted outside of KMS by the public key in an KMS asymmetric KMS key. However, it cannot decrypt symmetric ciphertext produced by other libraries, such as the Amazon Web Services Encryption SDK or Amazon S3 client-side encryption. These libraries return a ciphertext format that is incompatible with KMS. If the ciphertext was encrypted under a symmetric encryption KMS key, the KeyId parameter is optional. KMS can get this information from metadata that it adds to the symmetric ciphertext blob. This feature adds durability to your implementation by ensuring that authorized users can decrypt ciphertext decades after it was encrypted, even if they've lost track of the key ID. However, specifying the KMS key is always recommended as a best practice. When you use the KeyId parameter to specify a KMS key, KMS only uses the KMS key you specify. If the ciphertext was encrypted under a different KMS key, the Decrypt operation fails. This practice ensures that you use the KMS key that you intend. Whenever possible, use key policies to give users permission to call the Decrypt operation on a particular KMS key, instead of using IAM policies. Otherwise, you might create an IAM user policy that gives the user Decrypt permission on all KMS keys. This user could decrypt ciphertext that was encrypted by KMS keys in other accounts if the key policy for the cross-account KMS key permits it. If you must use an IAM policy for Decrypt permissions, limit the user to particular KMS keys or particular trusted accounts. For details, see Best practices for IAM policies in the Key Management Service Developer Guide. Applications in Amazon Web Services Nitro Enclaves can call this operation by using the Amazon Web Services Nitro Enclaves Development Kit. For information about the supporting parameters, see How Amazon Web Services Nitro Enclaves use KMS in the Key Management Service Developer Guide. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: Yes. To perform this operation with a KMS key in a different Amazon Web Services account, specify the key ARN or alias ARN in the value of the KeyId parameter. Required permissions: kms:Decrypt (key policy) Related operations: Encrypt GenerateDataKey GenerateDataKeyPair ReEncrypt","ref":"aws_kms.html#decrypt/2","title":"aws_kms.decrypt/2","type":"function"},{"doc":"","ref":"aws_kms.html#decrypt/3","title":"aws_kms.decrypt/3","type":"function"},{"doc":"Deletes the specified alias. Adding, deleting, or updating an alias can allow or deny permission to the KMS key. For details, see ABAC for KMS in the Key Management Service Developer Guide. Because an alias is not a property of a KMS key, you can delete and change the aliases of a KMS key without affecting the KMS key. Also, aliases do not appear in the response from the DescribeKey operation. To get the aliases of all KMS keys, use the ListAliases operation. Each KMS key can have multiple aliases. To change the alias of a KMS key, use DeleteAlias to delete the current alias and CreateAlias to create a new alias. To associate an existing alias with a different KMS key, call UpdateAlias . Cross-account use: No. You cannot perform this operation on an alias in a different Amazon Web Services account. Required permissions kms:DeleteAlias on the alias (IAM policy). kms:DeleteAlias on the KMS key (key policy). For details, see Controlling access to aliases in the Key Management Service Developer Guide. Related operations: CreateAlias ListAliases UpdateAlias","ref":"aws_kms.html#delete_alias/2","title":"aws_kms.delete_alias/2","type":"function"},{"doc":"","ref":"aws_kms.html#delete_alias/3","title":"aws_kms.delete_alias/3","type":"function"},{"doc":"Deletes a custom key store. This operation does not affect any backing elements of the custom key store. It does not delete the CloudHSM cluster that is associated with an CloudHSM key store, or affect any users or keys in the cluster. For an external key store, it does not affect the external key store proxy, external key manager, or any external keys. This operation is part of the custom key stores feature in KMS, which combines the convenience and extensive integration of KMS with the isolation and control of a key store that you own and manage. The custom key store that you delete cannot contain any KMS keys. Before deleting the key store, verify that you will never need to use any of the KMS keys in the key store for any cryptographic operations. Then, use ScheduleKeyDeletion to delete the KMS keys from the key store. After the required waiting period expires and all KMS keys are deleted from the custom key store, use DisconnectCustomKeyStore to disconnect the key store from KMS. Then, you can delete the custom key store. For keys in an CloudHSM key store, the ScheduleKeyDeletion operation makes a best effort to delete the key material from the associated cluster. However, you might need to manually delete the orphaned key material from the cluster and its backups. KMS never creates, manages, or deletes cryptographic keys in the external key manager associated with an external key store. You must manage them using your external key manager tools. Instead of deleting the custom key store, consider using the DisconnectCustomKeyStore operation to disconnect the custom key store from its backing key store. While the key store is disconnected, you cannot create or use the KMS keys in the key store. But, you do not need to delete KMS keys and you can reconnect a disconnected custom key store at any time. If the operation succeeds, it returns a JSON object with no properties. Cross-account use: No. You cannot perform this operation on a custom key store in a different Amazon Web Services account. Required permissions: kms:DeleteCustomKeyStore (IAM policy) Related operations: ConnectCustomKeyStore CreateCustomKeyStore DescribeCustomKeyStores DisconnectCustomKeyStore UpdateCustomKeyStore","ref":"aws_kms.html#delete_custom_key_store/2","title":"aws_kms.delete_custom_key_store/2","type":"function"},{"doc":"","ref":"aws_kms.html#delete_custom_key_store/3","title":"aws_kms.delete_custom_key_store/3","type":"function"},{"doc":"Deletes key material that you previously imported. This operation makes the specified KMS key unusable. For more information about importing key material into KMS, see Importing Key Material in the Key Management Service Developer Guide. When the specified KMS key is in the PendingDeletion state, this operation does not change the KMS key's state. Otherwise, it changes the KMS key's state to PendingImport . After you delete key material, you can use ImportKeyMaterial to reimport the same key material into the KMS key. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:DeleteImportedKeyMaterial (key policy) Related operations: GetParametersForImport ImportKeyMaterial","ref":"aws_kms.html#delete_imported_key_material/2","title":"aws_kms.delete_imported_key_material/2","type":"function"},{"doc":"","ref":"aws_kms.html#delete_imported_key_material/3","title":"aws_kms.delete_imported_key_material/3","type":"function"},{"doc":"Gets information about custom key stores in the account and Region. This operation is part of the custom key stores feature in KMS, which combines the convenience and extensive integration of KMS with the isolation and control of a key store that you own and manage. By default, this operation returns information about all custom key stores in the account and Region. To get only information about a particular custom key store, use either the CustomKeyStoreName or CustomKeyStoreId parameter (but not both). To determine whether the custom key store is connected to its CloudHSM cluster or external key store proxy, use the ConnectionState element in the response. If an attempt to connect the custom key store failed, the ConnectionState value is FAILED and the ConnectionErrorCode element in the response indicates the cause of the failure. For help interpreting the ConnectionErrorCode , see CustomKeyStoresListEntry . Custom key stores have a DISCONNECTED connection state if the key store has never been connected or you used the DisconnectCustomKeyStore operation to disconnect it. Otherwise, the connection state is CONNECTED. If your custom key store connection state is CONNECTED but you are having trouble using it, verify that the backing store is active and available. For an CloudHSM key store, verify that the associated CloudHSM cluster is active and contains the minimum number of HSMs required for the operation, if any. For an external key store, verify that the external key store proxy and its associated external key manager are reachable and enabled. For help repairing your CloudHSM key store, see the Troubleshooting CloudHSM key stores. For help repairing your external key store, see the Troubleshooting external key stores. Both topics are in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a custom key store in a different Amazon Web Services account. Required permissions: kms:DescribeCustomKeyStores (IAM policy) Related operations: ConnectCustomKeyStore CreateCustomKeyStore DeleteCustomKeyStore DisconnectCustomKeyStore UpdateCustomKeyStore","ref":"aws_kms.html#describe_custom_key_stores/2","title":"aws_kms.describe_custom_key_stores/2","type":"function"},{"doc":"","ref":"aws_kms.html#describe_custom_key_stores/3","title":"aws_kms.describe_custom_key_stores/3","type":"function"},{"doc":"Provides detailed information about a KMS key. You can run DescribeKey on a customer managed key or an Amazon Web Services managed key. This detailed information includes the key ARN, creation date (and deletion date, if applicable), the key state, and the origin and expiration date (if any) of the key material. It includes fields, like KeySpec , that help you distinguish different types of KMS keys. It also displays the key usage (encryption, signing, or generating and verifying MACs) and the algorithms that the KMS key supports. For multi-Region keys, DescribeKey displays the primary key and all related replica keys. For KMS keys in CloudHSM key stores, it includes information about the key store, such as the key store ID and the CloudHSM cluster ID. For KMS keys in external key stores, it includes the custom key store ID and the ID of the external key. DescribeKey does not return the following information: Aliases associated with the KMS key. To get this information, use ListAliases . Whether automatic key rotation is enabled on the KMS key. To get this information, use GetKeyRotationStatus . Also, some key states prevent a KMS key from being automatically rotated. For details, see How Automatic Key Rotation Works in the Key Management Service Developer Guide. Tags on the KMS key. To get this information, use ListResourceTags . Key policies and grants on the KMS key. To get this information, use GetKeyPolicy and ListGrants . In general, DescribeKey is a non-mutating operation. It returns data about KMS keys, but doesn't change them. However, Amazon Web Services services use DescribeKey to create Amazon Web Services managed keys from a predefined Amazon Web Services alias with no key ID. Cross-account use: Yes. To perform this operation with a KMS key in a different Amazon Web Services account, specify the key ARN or alias ARN in the value of the KeyId parameter. Required permissions: kms:DescribeKey (key policy) Related operations: GetKeyPolicy GetKeyRotationStatus ListAliases ListGrants ListKeys ListResourceTags ListRetirableGrants","ref":"aws_kms.html#describe_key/2","title":"aws_kms.describe_key/2","type":"function"},{"doc":"","ref":"aws_kms.html#describe_key/3","title":"aws_kms.describe_key/3","type":"function"},{"doc":"Sets the state of a KMS key to disabled. This change temporarily prevents use of the KMS key for cryptographic operations. For more information about how key state affects the use of a KMS key, see Key states of KMS keys in the Key Management Service Developer Guide . The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:DisableKey (key policy) Related operations: EnableKey","ref":"aws_kms.html#disable_key/2","title":"aws_kms.disable_key/2","type":"function"},{"doc":"","ref":"aws_kms.html#disable_key/3","title":"aws_kms.disable_key/3","type":"function"},{"doc":"Disables automatic rotation of the key material of the specified symmetric encryption KMS key. Automatic key rotation is supported only on symmetric encryption KMS keys. You cannot enable automatic rotation of asymmetric KMS keys, HMAC KMS keys, KMS keys with imported key material, or KMS keys in a custom key store. To enable or disable automatic rotation of a set of related multi-Region keys, set the property on the primary key. You can enable ( EnableKeyRotation ) and disable automatic rotation of the key material in customer managed KMS keys. Key material rotation of Amazon Web Services managed KMS keys is not configurable. KMS always rotates the key material for every year. Rotation of Amazon Web Services owned KMS keys varies. In May 2022, KMS changed the rotation schedule for Amazon Web Services managed keys from every three years to every year. For details, see EnableKeyRotation . The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:DisableKeyRotation (key policy) Related operations: EnableKeyRotation GetKeyRotationStatus","ref":"aws_kms.html#disable_key_rotation/2","title":"aws_kms.disable_key_rotation/2","type":"function"},{"doc":"","ref":"aws_kms.html#disable_key_rotation/3","title":"aws_kms.disable_key_rotation/3","type":"function"},{"doc":"Disconnects the custom key store from its backing key store. This operation disconnects an CloudHSM key store from its associated CloudHSM cluster or disconnects an external key store from the external key store proxy that communicates with your external key manager. This operation is part of the custom key stores feature in KMS, which combines the convenience and extensive integration of KMS with the isolation and control of a key store that you own and manage. While a custom key store is disconnected, you can manage the custom key store and its KMS keys, but you cannot create or use its KMS keys. You can reconnect the custom key store at any time. While a custom key store is disconnected, all attempts to create KMS keys in the custom key store or to use existing KMS keys in cryptographic operations will fail. This action can prevent users from storing and accessing sensitive data. When you disconnect a custom key store, its ConnectionState changes to Disconnected . To find the connection state of a custom key store, use the DescribeCustomKeyStores operation. To reconnect a custom key store, use the ConnectCustomKeyStore operation. If the operation succeeds, it returns a JSON object with no properties. Cross-account use: No. You cannot perform this operation on a custom key store in a different Amazon Web Services account. Required permissions: kms:DisconnectCustomKeyStore (IAM policy) Related operations: ConnectCustomKeyStore CreateCustomKeyStore DeleteCustomKeyStore DescribeCustomKeyStores UpdateCustomKeyStore","ref":"aws_kms.html#disconnect_custom_key_store/2","title":"aws_kms.disconnect_custom_key_store/2","type":"function"},{"doc":"","ref":"aws_kms.html#disconnect_custom_key_store/3","title":"aws_kms.disconnect_custom_key_store/3","type":"function"},{"doc":"Sets the key state of a KMS key to enabled. This allows you to use the KMS key for cryptographic operations. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:EnableKey (key policy) Related operations: DisableKey","ref":"aws_kms.html#enable_key/2","title":"aws_kms.enable_key/2","type":"function"},{"doc":"","ref":"aws_kms.html#enable_key/3","title":"aws_kms.enable_key/3","type":"function"},{"doc":"Enables automatic rotation of the key material of the specified symmetric encryption KMS key. When you enable automatic rotation of acustomer managed KMS key, KMS rotates the key material of the KMS key one year (approximately 365 days) from the enable date and every year thereafter. You can monitor rotation of the key material for your KMS keys in CloudTrail and Amazon CloudWatch. To disable rotation of the key material in a customer managed KMS key, use the DisableKeyRotation operation. Automatic key rotation is supported only on symmetric encryption KMS keys. You cannot enable automatic rotation of asymmetric KMS keys, HMAC KMS keys, KMS keys with imported key material, or KMS keys in a custom key store. To enable or disable automatic rotation of a set of related multi-Region keys, set the property on the primary key. You cannot enable or disable automatic rotation Amazon Web Services managed KMS keys. KMS always rotates the key material of Amazon Web Services managed keys every year. Rotation of Amazon Web Services owned KMS keys varies. In May 2022, KMS changed the rotation schedule for Amazon Web Services managed keys from every three years (approximately 1,095 days) to every year (approximately 365 days). New Amazon Web Services managed keys are automatically rotated one year after they are created, and approximately every year thereafter. Existing Amazon Web Services managed keys are automatically rotated one year after their most recent rotation, and every year thereafter. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:EnableKeyRotation (key policy) Related operations: DisableKeyRotation GetKeyRotationStatus","ref":"aws_kms.html#enable_key_rotation/2","title":"aws_kms.enable_key_rotation/2","type":"function"},{"doc":"","ref":"aws_kms.html#enable_key_rotation/3","title":"aws_kms.enable_key_rotation/3","type":"function"},{"doc":"Encrypts plaintext of up to 4,096 bytes using a KMS key. You can use a symmetric or asymmetric KMS key with a KeyUsage of ENCRYPT_DECRYPT . You can use this operation to encrypt small amounts of arbitrary data, such as a personal identifier or database password, or other sensitive information. You don't need to use the Encrypt operation to encrypt a data key. The GenerateDataKey and GenerateDataKeyPair operations return a plaintext data key and an encrypted copy of that data key. If you use a symmetric encryption KMS key, you can use an encryption context to add additional security to your encryption operation. If you specify an EncryptionContext when encrypting data, you must specify the same encryption context (a case-sensitive exact match) when decrypting the data. Otherwise, the request to decrypt fails with an InvalidCiphertextException . For more information, see Encryption Context in the Key Management Service Developer Guide. If you specify an asymmetric KMS key, you must also specify the encryption algorithm. The algorithm must be compatible with the KMS key spec. When you use an asymmetric KMS key to encrypt or reencrypt data, be sure to record the KMS key and encryption algorithm that you choose. You will be required to provide the same KMS key and encryption algorithm when you decrypt the data. If the KMS key and algorithm do not match the values used to encrypt the data, the decrypt operation fails. You are not required to supply the key ID and encryption algorithm when you decrypt with symmetric encryption KMS keys because KMS stores this information in the ciphertext blob. KMS cannot store metadata in ciphertext generated with asymmetric keys. The standard format for asymmetric key ciphertext does not include configurable fields. The maximum size of the data that you can encrypt varies with the type of KMS key and the encryption algorithm that you choose. Symmetric encryption KMS keys SYMMETRIC_DEFAULT : 4096 bytes RSA_2048 RSAES_OAEP_SHA_1 : 214 bytes RSAES_OAEP_SHA_256 : 190 bytes RSA_3072 RSAES_OAEP_SHA_1 : 342 bytes RSAES_OAEP_SHA_256 : 318 bytes RSA_4096 RSAES_OAEP_SHA_1 : 470 bytes RSAES_OAEP_SHA_256 : 446 bytes SM2PKE : 1024 bytes (China Regions only) The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: Yes. To perform this operation with a KMS key in a different Amazon Web Services account, specify the key ARN or alias ARN in the value of the KeyId parameter. Required permissions: kms:Encrypt (key policy) Related operations: Decrypt GenerateDataKey GenerateDataKeyPair","ref":"aws_kms.html#encrypt/2","title":"aws_kms.encrypt/2","type":"function"},{"doc":"","ref":"aws_kms.html#encrypt/3","title":"aws_kms.encrypt/3","type":"function"},{"doc":"Returns a unique symmetric data key for use outside of KMS. This operation returns a plaintext copy of the data key and a copy that is encrypted under a symmetric encryption KMS key that you specify. The bytes in the plaintext key are random; they are not related to the caller or the KMS key. You can use the plaintext key to encrypt your data outside of KMS and store the encrypted data key with the encrypted data. To generate a data key, specify the symmetric encryption KMS key that will be used to encrypt the data key. You cannot use an asymmetric KMS key to encrypt data keys. To get the type of your KMS key, use the DescribeKey operation. You must also specify the length of the data key. Use either the KeySpec or NumberOfBytes parameters (but not both). For 128-bit and 256-bit data keys, use the KeySpec parameter. To generate an SM4 data key (China Regions only), specify a KeySpec value of AES_128 or NumberOfBytes value of 128 . The symmetric encryption key used in China Regions to encrypt your data key is an SM4 encryption key. To get only an encrypted copy of the data key, use GenerateDataKeyWithoutPlaintext . To generate an asymmetric data key pair, use the GenerateDataKeyPair or GenerateDataKeyPairWithoutPlaintext operation. To get a cryptographically secure random byte string, use GenerateRandom . You can use an optional encryption context to add additional security to the encryption operation. If you specify an EncryptionContext , you must specify the same encryption context (a case-sensitive exact match) when decrypting the encrypted data key. Otherwise, the request to decrypt fails with an InvalidCiphertextException . For more information, see Encryption Context in the Key Management Service Developer Guide. Applications in Amazon Web Services Nitro Enclaves can call this operation by using the Amazon Web Services Nitro Enclaves Development Kit. For information about the supporting parameters, see How Amazon Web Services Nitro Enclaves use KMS in the Key Management Service Developer Guide. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. How to use your data key We recommend that you use the following pattern to encrypt data locally in your application. You can write your own code or use a client-side encryption library, such as the Amazon Web Services Encryption SDK, the Amazon DynamoDB Encryption Client, or Amazon S3 client-side encryption to do these tasks for you. To encrypt data outside of KMS: Use the GenerateDataKey operation to get a data key. Use the plaintext data key (in the Plaintext field of the response) to encrypt your data outside of KMS. Then erase the plaintext data key from memory. Store the encrypted data key (in the CiphertextBlob field of the response) with the encrypted data. To decrypt data outside of KMS: Use the Decrypt operation to decrypt the encrypted data key. The operation returns a plaintext copy of the data key. Use the plaintext data key to decrypt data outside of KMS, then erase the plaintext data key from memory. Cross-account use: Yes. To perform this operation with a KMS key in a different Amazon Web Services account, specify the key ARN or alias ARN in the value of the KeyId parameter. Required permissions: kms:GenerateDataKey (key policy) Related operations: Decrypt Encrypt GenerateDataKeyPair GenerateDataKeyPairWithoutPlaintext GenerateDataKeyWithoutPlaintext","ref":"aws_kms.html#generate_data_key/2","title":"aws_kms.generate_data_key/2","type":"function"},{"doc":"","ref":"aws_kms.html#generate_data_key/3","title":"aws_kms.generate_data_key/3","type":"function"},{"doc":"Returns a unique asymmetric data key pair for use outside of KMS. This operation returns a plaintext public key, a plaintext private key, and a copy of the private key that is encrypted under the symmetric encryption KMS key you specify. You can use the data key pair to perform asymmetric cryptography and implement digital signatures outside of KMS. The bytes in the keys are random; they not related to the caller or to the KMS key that is used to encrypt the private key. You can use the public key that GenerateDataKeyPair returns to encrypt data or verify a signature outside of KMS. Then, store the encrypted private key with the data. When you are ready to decrypt data or sign a message, you can use the Decrypt operation to decrypt the encrypted private key. To generate a data key pair, you must specify a symmetric encryption KMS key to encrypt the private key in a data key pair. You cannot use an asymmetric KMS key or a KMS key in a custom key store. To get the type and origin of your KMS key, use the DescribeKey operation. Use the KeyPairSpec parameter to choose an RSA or Elliptic Curve (ECC) data key pair. In China Regions, you can also choose an SM2 data key pair. KMS recommends that you use ECC key pairs for signing, and use RSA and SM2 key pairs for either encryption or signing, but not both. However, KMS cannot enforce any restrictions on the use of data key pairs outside of KMS. If you are using the data key pair to encrypt data, or for any operation where you don't immediately need a private key, consider using the GenerateDataKeyPairWithoutPlaintext operation. GenerateDataKeyPairWithoutPlaintext returns a plaintext public key and an encrypted private key, but omits the plaintext private key that you need only to decrypt ciphertext or sign a message. Later, when you need to decrypt the data or sign a message, use the Decrypt operation to decrypt the encrypted private key in the data key pair. GenerateDataKeyPair returns a unique data key pair for each request. The bytes in the keys are random; they are not related to the caller or the KMS key that is used to encrypt the private key. The public key is a DER-encoded X.509 SubjectPublicKeyInfo, as specified in RFC 5280. The private key is a DER-encoded PKCS8 PrivateKeyInfo, as specified in RFC 5958. You can use an optional encryption context to add additional security to the encryption operation. If you specify an EncryptionContext , you must specify the same encryption context (a case-sensitive exact match) when decrypting the encrypted data key. Otherwise, the request to decrypt fails with an InvalidCiphertextException . For more information, see Encryption Context in the Key Management Service Developer Guide. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: Yes. To perform this operation with a KMS key in a different Amazon Web Services account, specify the key ARN or alias ARN in the value of the KeyId parameter. Required permissions: kms:GenerateDataKeyPair (key policy) Related operations: Decrypt Encrypt GenerateDataKey GenerateDataKeyPairWithoutPlaintext GenerateDataKeyWithoutPlaintext","ref":"aws_kms.html#generate_data_key_pair/2","title":"aws_kms.generate_data_key_pair/2","type":"function"},{"doc":"","ref":"aws_kms.html#generate_data_key_pair/3","title":"aws_kms.generate_data_key_pair/3","type":"function"},{"doc":"Returns a unique asymmetric data key pair for use outside of KMS. This operation returns a plaintext public key and a copy of the private key that is encrypted under the symmetric encryption KMS key you specify. Unlike GenerateDataKeyPair , this operation does not return a plaintext private key. The bytes in the keys are random; they are not related to the caller or to the KMS key that is used to encrypt the private key. You can use the public key that GenerateDataKeyPairWithoutPlaintext returns to encrypt data or verify a signature outside of KMS. Then, store the encrypted private key with the data. When you are ready to decrypt data or sign a message, you can use the Decrypt operation to decrypt the encrypted private key. To generate a data key pair, you must specify a symmetric encryption KMS key to encrypt the private key in a data key pair. You cannot use an asymmetric KMS key or a KMS key in a custom key store. To get the type and origin of your KMS key, use the DescribeKey operation. Use the KeyPairSpec parameter to choose an RSA or Elliptic Curve (ECC) data key pair. In China Regions, you can also choose an SM2 data key pair. KMS recommends that you use ECC key pairs for signing, and use RSA and SM2 key pairs for either encryption or signing, but not both. However, KMS cannot enforce any restrictions on the use of data key pairs outside of KMS. GenerateDataKeyPairWithoutPlaintext returns a unique data key pair for each request. The bytes in the key are not related to the caller or KMS key that is used to encrypt the private key. The public key is a DER-encoded X.509 SubjectPublicKeyInfo, as specified in RFC 5280. You can use an optional encryption context to add additional security to the encryption operation. If you specify an EncryptionContext , you must specify the same encryption context (a case-sensitive exact match) when decrypting the encrypted data key. Otherwise, the request to decrypt fails with an InvalidCiphertextException . For more information, see Encryption Context in the Key Management Service Developer Guide. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: Yes. To perform this operation with a KMS key in a different Amazon Web Services account, specify the key ARN or alias ARN in the value of the KeyId parameter. Required permissions: kms:GenerateDataKeyPairWithoutPlaintext (key policy) Related operations: Decrypt Encrypt GenerateDataKey GenerateDataKeyPair GenerateDataKeyWithoutPlaintext","ref":"aws_kms.html#generate_data_key_pair_without_plaintext/2","title":"aws_kms.generate_data_key_pair_without_plaintext/2","type":"function"},{"doc":"","ref":"aws_kms.html#generate_data_key_pair_without_plaintext/3","title":"aws_kms.generate_data_key_pair_without_plaintext/3","type":"function"},{"doc":"Returns a unique symmetric data key for use outside of KMS. This operation returns a data key that is encrypted under a symmetric encryption KMS key that you specify. The bytes in the key are random; they are not related to the caller or to the KMS key. GenerateDataKeyWithoutPlaintext is identical to the GenerateDataKey operation except that it does not return a plaintext copy of the data key. This operation is useful for systems that need to encrypt data at some point, but not immediately. When you need to encrypt the data, you call the Decrypt operation on the encrypted copy of the key. It's also useful in distributed systems with different levels of trust. For example, you might store encrypted data in containers. One component of your system creates new containers and stores an encrypted data key with each container. Then, a different component puts the data into the containers. That component first decrypts the data key, uses the plaintext data key to encrypt data, puts the encrypted data into the container, and then destroys the plaintext data key. In this system, the component that creates the containers never sees the plaintext data key. To request an asymmetric data key pair, use the GenerateDataKeyPair or GenerateDataKeyPairWithoutPlaintext operations. To generate a data key, you must specify the symmetric encryption KMS key that is used to encrypt the data key. You cannot use an asymmetric KMS key or a key in a custom key store to generate a data key. To get the type of your KMS key, use the DescribeKey operation. You must also specify the length of the data key. Use either the KeySpec or NumberOfBytes parameters (but not both). For 128-bit and 256-bit data keys, use the KeySpec parameter. To generate an SM4 data key (China Regions only), specify a KeySpec value of AES_128 or NumberOfBytes value of 128 . The symmetric encryption key used in China Regions to encrypt your data key is an SM4 encryption key. If the operation succeeds, you will find the encrypted copy of the data key in the CiphertextBlob field. You can use an optional encryption context to add additional security to the encryption operation. If you specify an EncryptionContext , you must specify the same encryption context (a case-sensitive exact match) when decrypting the encrypted data key. Otherwise, the request to decrypt fails with an InvalidCiphertextException . For more information, see Encryption Context in the Key Management Service Developer Guide. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: Yes. To perform this operation with a KMS key in a different Amazon Web Services account, specify the key ARN or alias ARN in the value of the KeyId parameter. Required permissions: kms:GenerateDataKeyWithoutPlaintext (key policy) Related operations: Decrypt Encrypt GenerateDataKey GenerateDataKeyPair GenerateDataKeyPairWithoutPlaintext","ref":"aws_kms.html#generate_data_key_without_plaintext/2","title":"aws_kms.generate_data_key_without_plaintext/2","type":"function"},{"doc":"","ref":"aws_kms.html#generate_data_key_without_plaintext/3","title":"aws_kms.generate_data_key_without_plaintext/3","type":"function"},{"doc":"Generates a hash-based message authentication code (HMAC) for a message using an HMAC KMS key and a MAC algorithm that the key supports. HMAC KMS keys and the HMAC algorithms that KMS uses conform to industry standards defined in RFC 2104. You can use value that GenerateMac returns in the VerifyMac operation to demonstrate that the original message has not changed. Also, because a secret key is used to create the hash, you can verify that the party that generated the hash has the required secret key. You can also use the raw result to implement HMAC-based algorithms such as key derivation functions. This operation is part of KMS support for HMAC KMS keys. For details, see HMAC keys in KMS in the Key Management Service Developer Guide . Best practices recommend that you limit the time during which any signing mechanism, including an HMAC, is effective. This deters an attack where the actor uses a signed message to establish validity repeatedly or long after the message is superseded. HMAC tags do not include a timestamp, but you can include a timestamp in the token or message to help you detect when its time to refresh the HMAC. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: Yes. To perform this operation with a KMS key in a different Amazon Web Services account, specify the key ARN or alias ARN in the value of the KeyId parameter. Required permissions: kms:GenerateMac (key policy) Related operations: VerifyMac","ref":"aws_kms.html#generate_mac/2","title":"aws_kms.generate_mac/2","type":"function"},{"doc":"","ref":"aws_kms.html#generate_mac/3","title":"aws_kms.generate_mac/3","type":"function"},{"doc":"Returns a random byte string that is cryptographically secure. You must use the NumberOfBytes parameter to specify the length of the random byte string. There is no default value for string length. By default, the random byte string is generated in KMS. To generate the byte string in the CloudHSM cluster associated with an CloudHSM key store, use the CustomKeyStoreId parameter. Applications in Amazon Web Services Nitro Enclaves can call this operation by using the Amazon Web Services Nitro Enclaves Development Kit. For information about the supporting parameters, see How Amazon Web Services Nitro Enclaves use KMS in the Key Management Service Developer Guide. For more information about entropy and random number generation, see Key Management Service Cryptographic Details. Cross-account use: Not applicable. GenerateRandom does not use any account-specific resources, such as KMS keys. Required permissions: kms:GenerateRandom (IAM policy)","ref":"aws_kms.html#generate_random/2","title":"aws_kms.generate_random/2","type":"function"},{"doc":"","ref":"aws_kms.html#generate_random/3","title":"aws_kms.generate_random/3","type":"function"},{"doc":"Gets a key policy attached to the specified KMS key. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:GetKeyPolicy (key policy) Related operations: PutKeyPolicy","ref":"aws_kms.html#get_key_policy/2","title":"aws_kms.get_key_policy/2","type":"function"},{"doc":"","ref":"aws_kms.html#get_key_policy/3","title":"aws_kms.get_key_policy/3","type":"function"},{"doc":"Gets a Boolean value that indicates whether automatic rotation of the key material is enabled for the specified KMS key. When you enable automatic rotation for customer managed KMS keys, KMS rotates the key material of the KMS key one year (approximately 365 days) from the enable date and every year thereafter. You can monitor rotation of the key material for your KMS keys in CloudTrail and Amazon CloudWatch. Automatic key rotation is supported only on symmetric encryption KMS keys. You cannot enable automatic rotation of asymmetric KMS keys, HMAC KMS keys, KMS keys with imported key material, or KMS keys in a custom key store. To enable or disable automatic rotation of a set of related multi-Region keys, set the property on the primary key.. You can enable ( EnableKeyRotation ) and disable automatic rotation ( DisableKeyRotation ) of the key material in customer managed KMS keys. Key material rotation of Amazon Web Services managed KMS keys is not configurable. KMS always rotates the key material in Amazon Web Services managed KMS keys every year. The key rotation status for Amazon Web Services managed KMS keys is always true . In May 2022, KMS changed the rotation schedule for Amazon Web Services managed keys from every three years to every year. For details, see EnableKeyRotation . The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Disabled: The key rotation status does not change when you disable a KMS key. However, while the KMS key is disabled, KMS does not rotate the key material. When you re-enable the KMS key, rotation resumes. If the key material in the re-enabled KMS key hasn't been rotated in one year, KMS rotates it immediately, and every year thereafter. If it's been less than a year since the key material in the re-enabled KMS key was rotated, the KMS key resumes its prior rotation schedule. Pending deletion: While a KMS key is pending deletion, its key rotation status is false and KMS does not rotate the key material. If you cancel the deletion, the original key rotation status returns to true . Cross-account use: Yes. To perform this operation on a KMS key in a different Amazon Web Services account, specify the key ARN in the value of the KeyId parameter. Required permissions: kms:GetKeyRotationStatus (key policy) Related operations: DisableKeyRotation EnableKeyRotation","ref":"aws_kms.html#get_key_rotation_status/2","title":"aws_kms.get_key_rotation_status/2","type":"function"},{"doc":"","ref":"aws_kms.html#get_key_rotation_status/3","title":"aws_kms.get_key_rotation_status/3","type":"function"},{"doc":"Returns the items you need to import key material into a symmetric encryption KMS key. For more information about importing key material into KMS, see Importing key material in the Key Management Service Developer Guide. This operation returns a public key and an import token. Use the public key to encrypt the symmetric key material. Store the import token to send with a subsequent ImportKeyMaterial request. You must specify the key ID of the symmetric encryption KMS key into which you will import key material. The KMS key Origin must be EXTERNAL . You must also specify the wrapping algorithm and type of wrapping key (public key) that you will use to encrypt the key material. You cannot perform this operation on an asymmetric KMS key, an HMAC KMS key, or on any KMS key in a different Amazon Web Services account. To import key material, you must use the public key and import token from the same response. These items are valid for 24 hours. The expiration date and time appear in the GetParametersForImport response. You cannot use an expired token in an ImportKeyMaterial request. If your key and token expire, send another GetParametersForImport request. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:GetParametersForImport (key policy) Related operations: ImportKeyMaterial DeleteImportedKeyMaterial","ref":"aws_kms.html#get_parameters_for_import/2","title":"aws_kms.get_parameters_for_import/2","type":"function"},{"doc":"","ref":"aws_kms.html#get_parameters_for_import/3","title":"aws_kms.get_parameters_for_import/3","type":"function"},{"doc":"Returns the public key of an asymmetric KMS key. Unlike the private key of a asymmetric KMS key, which never leaves KMS unencrypted, callers with kms:GetPublicKey permission can download the public key of an asymmetric KMS key. You can share the public key to allow others to encrypt messages and verify signatures outside of KMS. For information about asymmetric KMS keys, see Asymmetric KMS keys in the Key Management Service Developer Guide. You do not need to download the public key. Instead, you can use the public key within KMS by calling the Encrypt , ReEncrypt , or Verify operations with the identifier of an asymmetric KMS key. When you use the public key within KMS, you benefit from the authentication, authorization, and logging that are part of every KMS operation. You also reduce of risk of encrypting data that cannot be decrypted. These features are not effective outside of KMS. To help you use the public key safely outside of KMS, GetPublicKey returns important information about the public key in the response, including: KeySpec: The type of key material in the public key, such as RSA_4096 or ECC_NIST_P521 . KeyUsage: Whether the key is used for encryption or signing. EncryptionAlgorithms or SigningAlgorithms: A list of the encryption algorithms or the signing algorithms for the key. Although KMS cannot enforce these restrictions on external operations, it is crucial that you use this information to prevent the public key from being used improperly. For example, you can prevent a public signing key from being used encrypt data, or prevent a public key from being used with an encryption algorithm that is not supported by KMS. You can also avoid errors, such as using the wrong signing algorithm in a verification operation. To verify a signature outside of KMS with an SM2 public key (China Regions only), you must specify the distinguishing ID. By default, KMS uses 1234567812345678 as the distinguishing ID. For more information, see Offline verification with SM2 key pairs. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: Yes. To perform this operation with a KMS key in a different Amazon Web Services account, specify the key ARN or alias ARN in the value of the KeyId parameter. Required permissions: kms:GetPublicKey (key policy) Related operations: CreateKey","ref":"aws_kms.html#get_public_key/2","title":"aws_kms.get_public_key/2","type":"function"},{"doc":"","ref":"aws_kms.html#get_public_key/3","title":"aws_kms.get_public_key/3","type":"function"},{"doc":"Imports key material into an existing symmetric encryption KMS key that was created without key material. After you successfully import key material into a KMS key, you can reimport the same key material into that KMS key, but you cannot import different key material. You cannot perform this operation on an asymmetric KMS key, an HMAC KMS key, or on any KMS key in a different Amazon Web Services account. For more information about creating KMS keys with no key material and then importing key material, see Importing Key Material in the Key Management Service Developer Guide. Before using this operation, call GetParametersForImport . Its response includes a public key and an import token. Use the public key to encrypt the key material. Then, submit the import token from the same GetParametersForImport response. When calling this operation, you must specify the following values: The key ID or key ARN of a KMS key with no key material. Its Origin must be EXTERNAL . To create a KMS key with no key material, call CreateKey and set the value of its Origin parameter to EXTERNAL . To get the Origin of a KMS key, call DescribeKey .) The encrypted key material. To get the public key to encrypt the key material, call GetParametersForImport . The import token that GetParametersForImport returned. You must use a public key and token from the same GetParametersForImport response. Whether the key material expires ( ExpirationModel ) and, if so, when ( ValidTo ). If you set an expiration date, on the specified date, KMS deletes the key material from the KMS key, making the KMS key unusable. To use the KMS key in cryptographic operations again, you must reimport the same key material. The only way to change the expiration model or expiration date is by reimporting the same key material and specifying a new expiration date. When this operation is successful, the key state of the KMS key changes from PendingImport to Enabled , and you can use the KMS key. If this operation fails, use the exception to help determine the problem. If the error is related to the key material, the import token, or wrapping key, use GetParametersForImport to get a new public key and import token for the KMS key and repeat the import procedure. For help, see How To Import Key Material in the Key Management Service Developer Guide. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:ImportKeyMaterial (key policy) Related operations: DeleteImportedKeyMaterial GetParametersForImport","ref":"aws_kms.html#import_key_material/2","title":"aws_kms.import_key_material/2","type":"function"},{"doc":"","ref":"aws_kms.html#import_key_material/3","title":"aws_kms.import_key_material/3","type":"function"},{"doc":"Gets a list of aliases in the caller's Amazon Web Services account and region. For more information about aliases, see CreateAlias . By default, the ListAliases operation returns all aliases in the account and region. To get only the aliases associated with a particular KMS key, use the KeyId parameter. The ListAliases response can include aliases that you created and associated with your customer managed keys, and aliases that Amazon Web Services created and associated with Amazon Web Services managed keys in your account. You can recognize Amazon Web Services aliases because their names have the format aws/&amp;lt;service-name&amp;gt; , such as aws/dynamodb . The response might also include aliases that have no TargetKeyId field. These are predefined aliases that Amazon Web Services has created but has not yet associated with a KMS key. Aliases that Amazon Web Services creates in your account, including predefined aliases, do not count against your KMS aliases quota. Cross-account use: No. ListAliases does not return aliases in other Amazon Web Services accounts. Required permissions: kms:ListAliases (IAM policy) For details, see Controlling access to aliases in the Key Management Service Developer Guide. Related operations: CreateAlias DeleteAlias UpdateAlias","ref":"aws_kms.html#list_aliases/2","title":"aws_kms.list_aliases/2","type":"function"},{"doc":"","ref":"aws_kms.html#list_aliases/3","title":"aws_kms.list_aliases/3","type":"function"},{"doc":"Gets a list of all grants for the specified KMS key. You must specify the KMS key in all requests. You can filter the grant list by grant ID or grantee principal. For detailed information about grants, including grant terminology, see Grants in KMS in the Key Management Service Developer Guide . For examples of working with grants in several programming languages, see Programming grants. The GranteePrincipal field in the ListGrants response usually contains the user or role designated as the grantee principal in the grant. However, when the grantee principal in the grant is an Amazon Web Services service, the GranteePrincipal field contains the service principal, which might represent several different grantee principals. Cross-account use: Yes. To perform this operation on a KMS key in a different Amazon Web Services account, specify the key ARN in the value of the KeyId parameter. Required permissions: kms:ListGrants (key policy) Related operations: CreateGrant ListRetirableGrants RetireGrant RevokeGrant","ref":"aws_kms.html#list_grants/2","title":"aws_kms.list_grants/2","type":"function"},{"doc":"","ref":"aws_kms.html#list_grants/3","title":"aws_kms.list_grants/3","type":"function"},{"doc":"Gets the names of the key policies that are attached to a KMS key. This operation is designed to get policy names that you can use in a GetKeyPolicy operation. However, the only valid policy name is default . Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:ListKeyPolicies (key policy) Related operations: GetKeyPolicy PutKeyPolicy","ref":"aws_kms.html#list_key_policies/2","title":"aws_kms.list_key_policies/2","type":"function"},{"doc":"","ref":"aws_kms.html#list_key_policies/3","title":"aws_kms.list_key_policies/3","type":"function"},{"doc":"Gets a list of all KMS keys in the caller's Amazon Web Services account and Region. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:ListKeys (IAM policy) Related operations: CreateKey DescribeKey ListAliases ListResourceTags","ref":"aws_kms.html#list_keys/2","title":"aws_kms.list_keys/2","type":"function"},{"doc":"","ref":"aws_kms.html#list_keys/3","title":"aws_kms.list_keys/3","type":"function"},{"doc":"Returns all tags on the specified KMS key. For general information about tags, including the format and syntax, see Tagging Amazon Web Services resources in the Amazon Web Services General Reference. For information about using tags in KMS, see Tagging keys. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:ListResourceTags (key policy) Related operations: CreateKey ReplicateKey TagResource UntagResource","ref":"aws_kms.html#list_resource_tags/2","title":"aws_kms.list_resource_tags/2","type":"function"},{"doc":"","ref":"aws_kms.html#list_resource_tags/3","title":"aws_kms.list_resource_tags/3","type":"function"},{"doc":"Returns information about all grants in the Amazon Web Services account and Region that have the specified retiring principal. You can specify any principal in your Amazon Web Services account. The grants that are returned include grants for KMS keys in your Amazon Web Services account and other Amazon Web Services accounts. You might use this operation to determine which grants you may retire. To retire a grant, use the RetireGrant operation. For detailed information about grants, including grant terminology, see Grants in KMS in the Key Management Service Developer Guide . For examples of working with grants in several programming languages, see Programming grants. Cross-account use: You must specify a principal in your Amazon Web Services account. However, this operation can return grants in any Amazon Web Services account. You do not need kms:ListRetirableGrants permission (or any other additional permission) in any Amazon Web Services account other than your own. Required permissions: kms:ListRetirableGrants (IAM policy) in your Amazon Web Services account. Related operations: CreateGrant ListGrants RetireGrant RevokeGrant","ref":"aws_kms.html#list_retirable_grants/2","title":"aws_kms.list_retirable_grants/2","type":"function"},{"doc":"","ref":"aws_kms.html#list_retirable_grants/3","title":"aws_kms.list_retirable_grants/3","type":"function"},{"doc":"Attaches a key policy to the specified KMS key. For more information about key policies, see Key Policies in the Key Management Service Developer Guide. For help writing and formatting a JSON policy document, see the IAM JSON Policy Reference in the Identity and Access Management User Guide . For examples of adding a key policy in multiple programming languages, see Setting a key policy in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:PutKeyPolicy (key policy) Related operations: GetKeyPolicy","ref":"aws_kms.html#put_key_policy/2","title":"aws_kms.put_key_policy/2","type":"function"},{"doc":"","ref":"aws_kms.html#put_key_policy/3","title":"aws_kms.put_key_policy/3","type":"function"},{"doc":"Decrypts ciphertext and then reencrypts it entirely within KMS. You can use this operation to change the KMS key under which data is encrypted, such as when you manually rotate a KMS key or change the KMS key that protects a ciphertext. You can also use it to reencrypt ciphertext under the same KMS key, such as to change the encryption context of a ciphertext. The ReEncrypt operation can decrypt ciphertext that was encrypted by using a KMS key in an KMS operation, such as Encrypt or GenerateDataKey . It can also decrypt ciphertext that was encrypted by using the public key of an asymmetric KMS key outside of KMS. However, it cannot decrypt ciphertext produced by other libraries, such as the Amazon Web Services Encryption SDK or Amazon S3 client-side encryption. These libraries return a ciphertext format that is incompatible with KMS. When you use the ReEncrypt operation, you need to provide information for the decrypt operation and the subsequent encrypt operation. If your ciphertext was encrypted under an asymmetric KMS key, you must use the SourceKeyId parameter to identify the KMS key that encrypted the ciphertext. You must also supply the encryption algorithm that was used. This information is required to decrypt the data. If your ciphertext was encrypted under a symmetric encryption KMS key, the SourceKeyId parameter is optional. KMS can get this information from metadata that it adds to the symmetric ciphertext blob. This feature adds durability to your implementation by ensuring that authorized users can decrypt ciphertext decades after it was encrypted, even if they've lost track of the key ID. However, specifying the source KMS key is always recommended as a best practice. When you use the SourceKeyId parameter to specify a KMS key, KMS uses only the KMS key you specify. If the ciphertext was encrypted under a different KMS key, the ReEncrypt operation fails. This practice ensures that you use the KMS key that you intend. To reencrypt the data, you must use the DestinationKeyId parameter to specify the KMS key that re-encrypts the data after it is decrypted. If the destination KMS key is an asymmetric KMS key, you must also provide the encryption algorithm. The algorithm that you choose must be compatible with the KMS key. When you use an asymmetric KMS key to encrypt or reencrypt data, be sure to record the KMS key and encryption algorithm that you choose. You will be required to provide the same KMS key and encryption algorithm when you decrypt the data. If the KMS key and algorithm do not match the values used to encrypt the data, the decrypt operation fails. You are not required to supply the key ID and encryption algorithm when you decrypt with symmetric encryption KMS keys because KMS stores this information in the ciphertext blob. KMS cannot store metadata in ciphertext generated with asymmetric keys. The standard format for asymmetric key ciphertext does not include configurable fields. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: Yes. The source KMS key and destination KMS key can be in different Amazon Web Services accounts. Either or both KMS keys can be in a different account than the caller. To specify a KMS key in a different account, you must use its key ARN or alias ARN. Required permissions: kms:ReEncryptFrom permission on the source KMS key (key policy) kms:ReEncryptTo permission on the destination KMS key (key policy) To permit reencryption from or to a KMS key, include the &amp;quot;kms:ReEncrypt*&amp;quot; permission in your key policy. This permission is automatically included in the key policy when you use the console to create a KMS key. But you must include it manually when you create a KMS key programmatically or when you use the PutKeyPolicy operation to set a key policy. Related operations: Decrypt Encrypt GenerateDataKey GenerateDataKeyPair","ref":"aws_kms.html#re_encrypt/2","title":"aws_kms.re_encrypt/2","type":"function"},{"doc":"","ref":"aws_kms.html#re_encrypt/3","title":"aws_kms.re_encrypt/3","type":"function"},{"doc":"Replicates a multi-Region key into the specified Region. This operation creates a multi-Region replica key based on a multi-Region primary key in a different Region of the same Amazon Web Services partition. You can create multiple replicas of a primary key, but each must be in a different Region. To create a multi-Region primary key, use the CreateKey operation. This operation supports multi-Region keys, an KMS feature that lets you create multiple interoperable KMS keys in different Amazon Web Services Regions. Because these KMS keys have the same key ID, key material, and other metadata, you can use them interchangeably to encrypt data in one Amazon Web Services Region and decrypt it in a different Amazon Web Services Region without re-encrypting the data or making a cross-Region call. For more information about multi-Region keys, see Multi-Region keys in KMS in the Key Management Service Developer Guide. A replica key is a fully-functional KMS key that can be used independently of its primary and peer replica keys. A primary key and its replica keys share properties that make them interoperable. They have the same key ID and key material. They also have the same key spec, key usage, key material origin, and automatic key rotation status. KMS automatically synchronizes these shared properties among related multi-Region keys. All other properties of a replica key can differ, including its key policy, tags, aliases, and Key states of KMS keys. KMS pricing and quotas for KMS keys apply to each primary key and replica key. When this operation completes, the new replica key has a transient key state of Creating . This key state changes to Enabled (or PendingImport ) after a few seconds when the process of creating the new replica key is complete. While the key state is Creating , you can manage key, but you cannot yet use it in cryptographic operations. If you are creating and using the replica key programmatically, retry on KMSInvalidStateException or call DescribeKey to check its KeyState value before using it. For details about the Creating key state, see Key states of KMS keys in the Key Management Service Developer Guide. You cannot create more than one replica of a primary key in any Region. If the Region already includes a replica of the key you're trying to replicate, ReplicateKey returns an AlreadyExistsException error. If the key state of the existing replica is PendingDeletion , you can cancel the scheduled key deletion ( CancelKeyDeletion ) or wait for the key to be deleted. The new replica key you create will have the same shared properties as the original replica key. The CloudTrail log of a ReplicateKey operation records a ReplicateKey operation in the primary key's Region and a CreateKey operation in the replica key's Region. If you replicate a multi-Region primary key with imported key material, the replica key is created with no key material. You must import the same key material that you imported into the primary key. For details, see Importing key material into multi-Region keys in the Key Management Service Developer Guide. To convert a replica key to a primary key, use the UpdatePrimaryRegion operation. ReplicateKey uses different default values for the KeyPolicy and Tags parameters than those used in the KMS console. For details, see the parameter descriptions. Cross-account use: No. You cannot use this operation to create a replica key in a different Amazon Web Services account. Required permissions: kms:ReplicateKey on the primary key (in the primary key's Region). Include this permission in the primary key's key policy. kms:CreateKey in an IAM policy in the replica Region. To use the Tags parameter, kms:TagResource in an IAM policy in the replica Region. Related operations CreateKey UpdatePrimaryRegion","ref":"aws_kms.html#replicate_key/2","title":"aws_kms.replicate_key/2","type":"function"},{"doc":"","ref":"aws_kms.html#replicate_key/3","title":"aws_kms.replicate_key/3","type":"function"},{"doc":"Deletes a grant. Typically, you retire a grant when you no longer need its permissions. To identify the grant to retire, use a grant token, or both the grant ID and a key identifier (key ID or key ARN) of the KMS key. The CreateGrant operation returns both values. This operation can be called by the retiring principal for a grant, by the grantee principal if the grant allows the RetireGrant operation, and by the Amazon Web Services account in which the grant is created. It can also be called by principals to whom permission for retiring a grant is delegated. For details, see Retiring and revoking grants in the Key Management Service Developer Guide. For detailed information about grants, including grant terminology, see Grants in KMS in the Key Management Service Developer Guide . For examples of working with grants in several programming languages, see Programming grants. Cross-account use: Yes. You can retire a grant on a KMS key in a different Amazon Web Services account. Required permissions::Permission to retire a grant is determined primarily by the grant. For details, see Retiring and revoking grants in the Key Management Service Developer Guide. Related operations: CreateGrant ListGrants ListRetirableGrants RevokeGrant","ref":"aws_kms.html#retire_grant/2","title":"aws_kms.retire_grant/2","type":"function"},{"doc":"","ref":"aws_kms.html#retire_grant/3","title":"aws_kms.retire_grant/3","type":"function"},{"doc":"Deletes the specified grant. You revoke a grant to terminate the permissions that the grant allows. For more information, see Retiring and revoking grants in the Key Management Service Developer Guide . When you create, retire, or revoke a grant, there might be a brief delay, usually less than five minutes, until the grant is available throughout KMS. This state is known as eventual consistency. For details, see Eventual consistency in the Key Management Service Developer Guide . For detailed information about grants, including grant terminology, see Grants in KMS in the Key Management Service Developer Guide . For examples of working with grants in several programming languages, see Programming grants. Cross-account use: Yes. To perform this operation on a KMS key in a different Amazon Web Services account, specify the key ARN in the value of the KeyId parameter. Required permissions: kms:RevokeGrant (key policy). Related operations: CreateGrant ListGrants ListRetirableGrants RetireGrant","ref":"aws_kms.html#revoke_grant/2","title":"aws_kms.revoke_grant/2","type":"function"},{"doc":"","ref":"aws_kms.html#revoke_grant/3","title":"aws_kms.revoke_grant/3","type":"function"},{"doc":"Schedules the deletion of a KMS key. By default, KMS applies a waiting period of 30 days, but you can specify a waiting period of 7-30 days. When this operation is successful, the key state of the KMS key changes to PendingDeletion and the key can't be used in any cryptographic operations. It remains in this state for the duration of the waiting period. Before the waiting period ends, you can use CancelKeyDeletion to cancel the deletion of the KMS key. After the waiting period ends, KMS deletes the KMS key, its key material, and all KMS data associated with it, including all aliases that refer to it. Deleting a KMS key is a destructive and potentially dangerous operation. When a KMS key is deleted, all data that was encrypted under the KMS key is unrecoverable. (The only exception is a multi-Region replica key.) To prevent the use of a KMS key without deleting it, use DisableKey . You can schedule the deletion of a multi-Region primary key and its replica keys at any time. However, KMS will not delete a multi-Region primary key with existing replica keys. If you schedule the deletion of a primary key with replicas, its key state changes to PendingReplicaDeletion and it cannot be replicated or used in cryptographic operations. This status can continue indefinitely. When the last of its replicas keys is deleted (not just scheduled), the key state of the primary key changes to PendingDeletion and its waiting period ( PendingWindowInDays ) begins. For details, see Deleting multi-Region keys in the Key Management Service Developer Guide. When KMS deletes a KMS key from an CloudHSM key store, it makes a best effort to delete the associated key material from the associated CloudHSM cluster. However, you might need to manually delete the orphaned key material from the cluster and its backups. Deleting a KMS key from an external key store has no effect on the associated external key. However, for both types of custom key stores, deleting a KMS key is destructive and irreversible. You cannot decrypt ciphertext encrypted under the KMS key by using only its associated external key or CloudHSM key. Also, you cannot recreate a KMS key in an external key store by creating a new KMS key with the same key material. For more information about scheduling a KMS key for deletion, see Deleting KMS keys in the Key Management Service Developer Guide. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:ScheduleKeyDeletion (key policy) Related operations CancelKeyDeletion DisableKey","ref":"aws_kms.html#schedule_key_deletion/2","title":"aws_kms.schedule_key_deletion/2","type":"function"},{"doc":"","ref":"aws_kms.html#schedule_key_deletion/3","title":"aws_kms.schedule_key_deletion/3","type":"function"},{"doc":"Creates a digital signature for a message or message digest by using the private key in an asymmetric signing KMS key. To verify the signature, use the Verify operation, or use the public key in the same asymmetric KMS key outside of KMS. For information about asymmetric KMS keys, see Asymmetric KMS keys in the Key Management Service Developer Guide. Digital signatures are generated and verified by using asymmetric key pair, such as an RSA or ECC pair that is represented by an asymmetric KMS key. The key owner (or an authorized user) uses their private key to sign a message. Anyone with the public key can verify that the message was signed with that particular private key and that the message hasn't changed since it was signed. To use the Sign operation, provide the following information: Use the KeyId parameter to identify an asymmetric KMS key with a KeyUsage value of SIGN_VERIFY . To get the KeyUsage value of a KMS key, use the DescribeKey operation. The caller must have kms:Sign permission on the KMS key. Use the Message parameter to specify the message or message digest to sign. You can submit messages of up to 4096 bytes. To sign a larger message, generate a hash digest of the message, and then provide the hash digest in the Message parameter. To indicate whether the message is a full message or a digest, use the MessageType parameter. Choose a signing algorithm that is compatible with the KMS key. When signing a message, be sure to record the KMS key and the signing algorithm. This information is required to verify the signature. Best practices recommend that you limit the time during which any signature is effective. This deters an attack where the actor uses a signed message to establish validity repeatedly or long after the message is superseded. Signatures do not include a timestamp, but you can include a timestamp in the signed message to help you detect when its time to refresh the signature. To verify the signature that this operation generates, use the Verify operation. Or use the GetPublicKey operation to download the public key and then use the public key to verify the signature outside of KMS. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: Yes. To perform this operation with a KMS key in a different Amazon Web Services account, specify the key ARN or alias ARN in the value of the KeyId parameter. Required permissions: kms:Sign (key policy) Related operations: Verify","ref":"aws_kms.html#sign/2","title":"aws_kms.sign/2","type":"function"},{"doc":"","ref":"aws_kms.html#sign/3","title":"aws_kms.sign/3","type":"function"},{"doc":"Adds or edits tags on a customer managed key. Tagging or untagging a KMS key can allow or deny permission to the KMS key. For details, see ABAC for KMS in the Key Management Service Developer Guide. Each tag consists of a tag key and a tag value, both of which are case-sensitive strings. The tag value can be an empty (null) string. To add a tag, specify a new tag key and a tag value. To edit a tag, specify an existing tag key and a new tag value. You can use this operation to tag a customer managed key, but you cannot tag an Amazon Web Services managed key, an Amazon Web Services owned key, a custom key store, or an alias. You can also add tags to a KMS key while creating it ( CreateKey ) or replicating it ( ReplicateKey ). For information about using tags in KMS, see Tagging keys. For general information about tags, including the format and syntax, see Tagging Amazon Web Services resources in the Amazon Web Services General Reference. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:TagResource (key policy) Related operations CreateKey ListResourceTags ReplicateKey UntagResource","ref":"aws_kms.html#tag_resource/2","title":"aws_kms.tag_resource/2","type":"function"},{"doc":"","ref":"aws_kms.html#tag_resource/3","title":"aws_kms.tag_resource/3","type":"function"},{"doc":"Deletes tags from a customer managed key. To delete a tag, specify the tag key and the KMS key. Tagging or untagging a KMS key can allow or deny permission to the KMS key. For details, see ABAC for KMS in the Key Management Service Developer Guide. When it succeeds, the UntagResource operation doesn't return any output. Also, if the specified tag key isn't found on the KMS key, it doesn't throw an exception or return a response. To confirm that the operation worked, use the ListResourceTags operation. For information about using tags in KMS, see Tagging keys. For general information about tags, including the format and syntax, see Tagging Amazon Web Services resources in the Amazon Web Services General Reference. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:UntagResource (key policy) Related operations CreateKey ListResourceTags ReplicateKey TagResource","ref":"aws_kms.html#untag_resource/2","title":"aws_kms.untag_resource/2","type":"function"},{"doc":"","ref":"aws_kms.html#untag_resource/3","title":"aws_kms.untag_resource/3","type":"function"},{"doc":"Associates an existing KMS alias with a different KMS key. Each alias is associated with only one KMS key at a time, although a KMS key can have multiple aliases. The alias and the KMS key must be in the same Amazon Web Services account and Region. Adding, deleting, or updating an alias can allow or deny permission to the KMS key. For details, see ABAC for KMS in the Key Management Service Developer Guide. The current and new KMS key must be the same type (both symmetric or both asymmetric or both HMAC), and they must have the same key usage. This restriction prevents errors in code that uses aliases. If you must assign an alias to a different type of KMS key, use DeleteAlias to delete the old alias and CreateAlias to create a new alias. You cannot use UpdateAlias to change an alias name. To change an alias name, use DeleteAlias to delete the old alias and CreateAlias to create a new alias. Because an alias is not a property of a KMS key, you can create, update, and delete the aliases of a KMS key without affecting the KMS key. Also, aliases do not appear in the response from the DescribeKey operation. To get the aliases of all KMS keys in the account, use the ListAliases operation. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions kms:UpdateAlias on the alias (IAM policy). kms:UpdateAlias on the current KMS key (key policy). kms:UpdateAlias on the new KMS key (key policy). For details, see Controlling access to aliases in the Key Management Service Developer Guide. Related operations: CreateAlias DeleteAlias ListAliases","ref":"aws_kms.html#update_alias/2","title":"aws_kms.update_alias/2","type":"function"},{"doc":"","ref":"aws_kms.html#update_alias/3","title":"aws_kms.update_alias/3","type":"function"},{"doc":"Changes the properties of a custom key store. You can use this operation to change the properties of an CloudHSM key store or an external key store. Use the required CustomKeyStoreId parameter to identify the custom key store. Use the remaining optional parameters to change its properties. This operation does not return any property values. To verify the updated property values, use the DescribeCustomKeyStores operation. This operation is part of the custom key stores feature in KMS, which combines the convenience and extensive integration of KMS with the isolation and control of a key store that you own and manage. When updating the properties of an external key store, verify that the updated settings connect your key store, via the external key store proxy, to the same external key manager as the previous settings, or to a backup or snapshot of the external key manager with the same cryptographic keys. If the updated connection settings fail, you can fix them and retry, although an extended delay might disrupt Amazon Web Services services. However, if KMS permanently loses its access to cryptographic keys, ciphertext encrypted under those keys is unrecoverable. For external key stores: Some external key managers provide a simpler method for updating an external key store. For details, see your external key manager documentation. When updating an external key store in the KMS console, you can upload a JSON-based proxy configuration file with the desired values. You cannot upload the proxy configuration file to the UpdateCustomKeyStore operation. However, you can use the file to help you determine the correct values for the UpdateCustomKeyStore parameters. For an CloudHSM key store, you can use this operation to change the custom key store friendly name ( NewCustomKeyStoreName ), to tell KMS about a change to the kmsuser crypto user password ( KeyStorePassword ), or to associate the custom key store with a different, but related, CloudHSM cluster ( CloudHsmClusterId ). To update any property of an CloudHSM key store, the ConnectionState of the CloudHSM key store must be DISCONNECTED . For an external key store, you can use this operation to change the custom key store friendly name ( NewCustomKeyStoreName ), or to tell KMS about a change to the external key store proxy authentication credentials ( XksProxyAuthenticationCredential ), connection method ( XksProxyConnectivity ), external proxy endpoint ( XksProxyUriEndpoint ) and path ( XksProxyUriPath ). For external key stores with an XksProxyConnectivity of VPC_ENDPOINT_SERVICE , you can also update the Amazon VPC endpoint service name ( XksProxyVpcEndpointServiceName ). To update most properties of an external key store, the ConnectionState of the external key store must be DISCONNECTED . However, you can update the CustomKeyStoreName , XksProxyAuthenticationCredential , and XksProxyUriPath of an external key store when it is in the CONNECTED or DISCONNECTED state. If your update requires a DISCONNECTED state, before using UpdateCustomKeyStore , use the DisconnectCustomKeyStore operation to disconnect the custom key store. After the UpdateCustomKeyStore operation completes, use the ConnectCustomKeyStore to reconnect the custom key store. To find the ConnectionState of the custom key store, use the DescribeCustomKeyStores operation. Before updating the custom key store, verify that the new values allow KMS to connect the custom key store to its backing key store. For example, before you change the XksProxyUriPath value, verify that the external key store proxy is reachable at the new path. If the operation succeeds, it returns a JSON object with no properties. Cross-account use: No. You cannot perform this operation on a custom key store in a different Amazon Web Services account. Required permissions: kms:UpdateCustomKeyStore (IAM policy) Related operations: ConnectCustomKeyStore CreateCustomKeyStore DeleteCustomKeyStore DescribeCustomKeyStores DisconnectCustomKeyStore","ref":"aws_kms.html#update_custom_key_store/2","title":"aws_kms.update_custom_key_store/2","type":"function"},{"doc":"","ref":"aws_kms.html#update_custom_key_store/3","title":"aws_kms.update_custom_key_store/3","type":"function"},{"doc":"Updates the description of a KMS key. To see the description of a KMS key, use DescribeKey . The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: No. You cannot perform this operation on a KMS key in a different Amazon Web Services account. Required permissions: kms:UpdateKeyDescription (key policy) Related operations CreateKey DescribeKey","ref":"aws_kms.html#update_key_description/2","title":"aws_kms.update_key_description/2","type":"function"},{"doc":"","ref":"aws_kms.html#update_key_description/3","title":"aws_kms.update_key_description/3","type":"function"},{"doc":"Changes the primary key of a multi-Region key. This operation changes the replica key in the specified Region to a primary key and changes the former primary key to a replica key. For example, suppose you have a primary key in us-east-1 and a replica key in eu-west-2 . If you run UpdatePrimaryRegion with a PrimaryRegion value of eu-west-2 , the primary key is now the key in eu-west-2 , and the key in us-east-1 becomes a replica key. For details, see Updating the primary Region in the Key Management Service Developer Guide. This operation supports multi-Region keys, an KMS feature that lets you create multiple interoperable KMS keys in different Amazon Web Services Regions. Because these KMS keys have the same key ID, key material, and other metadata, you can use them interchangeably to encrypt data in one Amazon Web Services Region and decrypt it in a different Amazon Web Services Region without re-encrypting the data or making a cross-Region call. For more information about multi-Region keys, see Multi-Region keys in KMS in the Key Management Service Developer Guide. The primary key of a multi-Region key is the source for properties that are always shared by primary and replica keys, including the key material, key ID, key spec, key usage, key material origin, and automatic key rotation. It's the only key that can be replicated. You cannot delete the primary key until all replica keys are deleted. The key ID and primary Region that you specify uniquely identify the replica key that will become the primary key. The primary Region must already have a replica key. This operation does not create a KMS key in the specified Region. To find the replica keys, use the DescribeKey operation on the primary key or any replica key. To create a replica key, use the ReplicateKey operation. You can run this operation while using the affected multi-Region keys in cryptographic operations. This operation should not delay, interrupt, or cause failures in cryptographic operations. Even after this operation completes, the process of updating the primary Region might still be in progress for a few more seconds. Operations such as DescribeKey might display both the old and new primary keys as replicas. The old and new primary keys have a transient key state of Updating . The original key state is restored when the update is complete. While the key state is Updating , you can use the keys in cryptographic operations, but you cannot replicate the new primary key or perform certain management operations, such as enabling or disabling these keys. For details about the Updating key state, see Key states of KMS keys in the Key Management Service Developer Guide. This operation does not return any output. To verify that primary key is changed, use the DescribeKey operation. Cross-account use: No. You cannot use this operation in a different Amazon Web Services account. Required permissions: kms:UpdatePrimaryRegion on the current primary key (in the primary key's Region). Include this permission primary key's key policy. kms:UpdatePrimaryRegion on the current replica key (in the replica key's Region). Include this permission in the replica key's key policy. Related operations CreateKey ReplicateKey","ref":"aws_kms.html#update_primary_region/2","title":"aws_kms.update_primary_region/2","type":"function"},{"doc":"","ref":"aws_kms.html#update_primary_region/3","title":"aws_kms.update_primary_region/3","type":"function"},{"doc":"Verifies a digital signature that was generated by the Sign operation. Verification confirms that an authorized user signed the message with the specified KMS key and signing algorithm, and the message hasn't changed since it was signed. If the signature is verified, the value of the SignatureValid field in the response is True . If the signature verification fails, the Verify operation fails with an KMSInvalidSignatureException exception. A digital signature is generated by using the private key in an asymmetric KMS key. The signature is verified by using the public key in the same asymmetric KMS key. For information about asymmetric KMS keys, see Asymmetric KMS keys in the Key Management Service Developer Guide. To verify a digital signature, you can use the Verify operation. Specify the same asymmetric KMS key, message, and signing algorithm that were used to produce the signature. You can also verify the digital signature by using the public key of the KMS key outside of KMS. Use the GetPublicKey operation to download the public key in the asymmetric KMS key and then use the public key to verify the signature outside of KMS. The advantage of using the Verify operation is that it is performed within KMS. As a result, it's easy to call, the operation is performed within the FIPS boundary, it is logged in CloudTrail, and you can use key policy and IAM policy to determine who is authorized to use the KMS key to verify signatures. To verify a signature outside of KMS with an SM2 public key (China Regions only), you must specify the distinguishing ID. By default, KMS uses 1234567812345678 as the distinguishing ID. For more information, see Offline verification with SM2 key pairs. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: Yes. To perform this operation with a KMS key in a different Amazon Web Services account, specify the key ARN or alias ARN in the value of the KeyId parameter. Required permissions: kms:Verify (key policy) Related operations: Sign","ref":"aws_kms.html#verify/2","title":"aws_kms.verify/2","type":"function"},{"doc":"","ref":"aws_kms.html#verify/3","title":"aws_kms.verify/3","type":"function"},{"doc":"Verifies the hash-based message authentication code (HMAC) for a specified message, HMAC KMS key, and MAC algorithm. To verify the HMAC, VerifyMac computes an HMAC using the message, HMAC KMS key, and MAC algorithm that you specify, and compares the computed HMAC to the HMAC that you specify. If the HMACs are identical, the verification succeeds; otherwise, it fails. Verification indicates that the message hasn't changed since the HMAC was calculated, and the specified key was used to generate and verify the HMAC. HMAC KMS keys and the HMAC algorithms that KMS uses conform to industry standards defined in RFC 2104. This operation is part of KMS support for HMAC KMS keys. For details, see HMAC keys in KMS in the Key Management Service Developer Guide. The KMS key that you use for this operation must be in a compatible key state. For details, see Key states of KMS keys in the Key Management Service Developer Guide. Cross-account use: Yes. To perform this operation with a KMS key in a different Amazon Web Services account, specify the key ARN or alias ARN in the value of the KeyId parameter. Required permissions: kms:VerifyMac (key policy) Related operations: GenerateMac","ref":"aws_kms.html#verify_mac/2","title":"aws_kms.verify_mac/2","type":"function"},{"doc":"","ref":"aws_kms.html#verify_mac/3","title":"aws_kms.verify_mac/3","type":"function"},{"doc":"Lake Formation Defines the public endpoint for the Lake Formation service.","ref":"aws_lakeformation.html","title":"aws_lakeformation","type":"module"},{"doc":"Attaches one or more LF-tags to an existing resource.","ref":"aws_lakeformation.html#add_l_f_tags_to_resource/2","title":"aws_lakeformation.add_l_f_tags_to_resource/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#add_l_f_tags_to_resource/3","title":"aws_lakeformation.add_l_f_tags_to_resource/3","type":"function"},{"doc":"Allows a caller to assume an IAM role decorated as the SAML user specified in the SAML assertion included in the request. This decoration allows Lake Formation to enforce access policies against the SAML users and groups. This API operation requires SAML federation setup in the caller’s account as it can only be called with valid SAML assertions. Lake Formation does not scope down the permission of the assumed role. All permissions attached to the role via the SAML federation setup will be included in the role session. This decorated role is expected to access data in Amazon S3 by getting temporary access from Lake Formation which is authorized via the virtual API GetDataAccess . Therefore, all SAML roles that can be assumed via AssumeDecoratedRoleWithSAML must at a minimum include lakeformation:GetDataAccess in their role policies. A typical IAM policy attached to such a role would look as follows:","ref":"aws_lakeformation.html#assume_decorated_role_with_saml/2","title":"aws_lakeformation.assume_decorated_role_with_saml/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#assume_decorated_role_with_saml/3","title":"aws_lakeformation.assume_decorated_role_with_saml/3","type":"function"},{"doc":"Batch operation to grant permissions to the principal.","ref":"aws_lakeformation.html#batch_grant_permissions/2","title":"aws_lakeformation.batch_grant_permissions/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#batch_grant_permissions/3","title":"aws_lakeformation.batch_grant_permissions/3","type":"function"},{"doc":"Batch operation to revoke permissions from the principal.","ref":"aws_lakeformation.html#batch_revoke_permissions/2","title":"aws_lakeformation.batch_revoke_permissions/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#batch_revoke_permissions/3","title":"aws_lakeformation.batch_revoke_permissions/3","type":"function"},{"doc":"Attempts to cancel the specified transaction. Returns an exception if the transaction was previously committed.","ref":"aws_lakeformation.html#cancel_transaction/2","title":"aws_lakeformation.cancel_transaction/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#cancel_transaction/3","title":"aws_lakeformation.cancel_transaction/3","type":"function"},{"doc":"Attempts to commit the specified transaction. Returns an exception if the transaction was previously aborted. This API action is idempotent if called multiple times for the same transaction.","ref":"aws_lakeformation.html#commit_transaction/2","title":"aws_lakeformation.commit_transaction/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#commit_transaction/3","title":"aws_lakeformation.commit_transaction/3","type":"function"},{"doc":"Creates a data cell filter to allow one to grant access to certain columns on certain rows.","ref":"aws_lakeformation.html#create_data_cells_filter/2","title":"aws_lakeformation.create_data_cells_filter/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#create_data_cells_filter/3","title":"aws_lakeformation.create_data_cells_filter/3","type":"function"},{"doc":"Creates an LF-tag with the specified name and values.","ref":"aws_lakeformation.html#create_l_f_tag/2","title":"aws_lakeformation.create_l_f_tag/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#create_l_f_tag/3","title":"aws_lakeformation.create_l_f_tag/3","type":"function"},{"doc":"Deletes a data cell filter.","ref":"aws_lakeformation.html#delete_data_cells_filter/2","title":"aws_lakeformation.delete_data_cells_filter/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#delete_data_cells_filter/3","title":"aws_lakeformation.delete_data_cells_filter/3","type":"function"},{"doc":"Deletes the specified LF-tag given a key name. If the input parameter tag key was not found, then the operation will throw an exception. When you delete an LF-tag, the LFTagPolicy attached to the LF-tag becomes invalid. If the deleted LF-tag was still assigned to any resource, the tag policy attach to the deleted LF-tag will no longer be applied to the resource.","ref":"aws_lakeformation.html#delete_l_f_tag/2","title":"aws_lakeformation.delete_l_f_tag/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#delete_l_f_tag/3","title":"aws_lakeformation.delete_l_f_tag/3","type":"function"},{"doc":"For a specific governed table, provides a list of Amazon S3 objects that will be written during the current transaction and that can be automatically deleted if the transaction is canceled. Without this call, no Amazon S3 objects are automatically deleted when a transaction cancels. The Glue ETL library function write_dynamic_frame.from_catalog() includes an option to automatically call DeleteObjectsOnCancel before writes. For more information, see Rolling Back Amazon S3 Writes.","ref":"aws_lakeformation.html#delete_objects_on_cancel/2","title":"aws_lakeformation.delete_objects_on_cancel/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#delete_objects_on_cancel/3","title":"aws_lakeformation.delete_objects_on_cancel/3","type":"function"},{"doc":"Deregisters the resource as managed by the Data Catalog. When you deregister a path, Lake Formation removes the path from the inline policy attached to your service-linked role.","ref":"aws_lakeformation.html#deregister_resource/2","title":"aws_lakeformation.deregister_resource/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#deregister_resource/3","title":"aws_lakeformation.deregister_resource/3","type":"function"},{"doc":"Retrieves the current data access role for the given resource registered in Lake Formation.","ref":"aws_lakeformation.html#describe_resource/2","title":"aws_lakeformation.describe_resource/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#describe_resource/3","title":"aws_lakeformation.describe_resource/3","type":"function"},{"doc":"Returns the details of a single transaction.","ref":"aws_lakeformation.html#describe_transaction/2","title":"aws_lakeformation.describe_transaction/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#describe_transaction/3","title":"aws_lakeformation.describe_transaction/3","type":"function"},{"doc":"Indicates to the service that the specified transaction is still active and should not be treated as idle and aborted. Write transactions that remain idle for a long period are automatically aborted unless explicitly extended.","ref":"aws_lakeformation.html#extend_transaction/2","title":"aws_lakeformation.extend_transaction/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#extend_transaction/3","title":"aws_lakeformation.extend_transaction/3","type":"function"},{"doc":"Retrieves the list of the data lake administrators of a Lake Formation-managed data lake.","ref":"aws_lakeformation.html#get_data_lake_settings/2","title":"aws_lakeformation.get_data_lake_settings/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#get_data_lake_settings/3","title":"aws_lakeformation.get_data_lake_settings/3","type":"function"},{"doc":"Returns the Lake Formation permissions for a specified table or database resource located at a path in Amazon S3. GetEffectivePermissionsForPath will not return databases and tables if the catalog is encrypted.","ref":"aws_lakeformation.html#get_effective_permissions_for_path/2","title":"aws_lakeformation.get_effective_permissions_for_path/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#get_effective_permissions_for_path/3","title":"aws_lakeformation.get_effective_permissions_for_path/3","type":"function"},{"doc":"Returns an LF-tag definition.","ref":"aws_lakeformation.html#get_l_f_tag/2","title":"aws_lakeformation.get_l_f_tag/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#get_l_f_tag/3","title":"aws_lakeformation.get_l_f_tag/3","type":"function"},{"doc":"Returns the state of a query previously submitted. Clients are expected to poll GetQueryState to monitor the current state of the planning before retrieving the work units. A query state is only visible to the principal that made the initial call to StartQueryPlanning .","ref":"aws_lakeformation.html#get_query_state/2","title":"aws_lakeformation.get_query_state/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#get_query_state/3","title":"aws_lakeformation.get_query_state/3","type":"function"},{"doc":"Retrieves statistics on the planning and execution of a query.","ref":"aws_lakeformation.html#get_query_statistics/2","title":"aws_lakeformation.get_query_statistics/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#get_query_statistics/3","title":"aws_lakeformation.get_query_statistics/3","type":"function"},{"doc":"Returns the LF-tags applied to a resource.","ref":"aws_lakeformation.html#get_resource_l_f_tags/2","title":"aws_lakeformation.get_resource_l_f_tags/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#get_resource_l_f_tags/3","title":"aws_lakeformation.get_resource_l_f_tags/3","type":"function"},{"doc":"Returns the set of Amazon S3 objects that make up the specified governed table. A transaction ID or timestamp can be specified for time-travel queries.","ref":"aws_lakeformation.html#get_table_objects/2","title":"aws_lakeformation.get_table_objects/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#get_table_objects/3","title":"aws_lakeformation.get_table_objects/3","type":"function"},{"doc":"This API is identical to GetTemporaryTableCredentials except that this is used when the target Data Catalog resource is of type Partition. Lake Formation restricts the permission of the vended credentials with the same scope down policy which restricts access to a single Amazon S3 prefix.","ref":"aws_lakeformation.html#get_temporary_glue_partition_credentials/2","title":"aws_lakeformation.get_temporary_glue_partition_credentials/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#get_temporary_glue_partition_credentials/3","title":"aws_lakeformation.get_temporary_glue_partition_credentials/3","type":"function"},{"doc":"Allows a caller in a secure environment to assume a role with permission to access Amazon S3. In order to vend such credentials, Lake Formation assumes the role associated with a registered location, for example an Amazon S3 bucket, with a scope down policy which restricts the access to a single prefix.","ref":"aws_lakeformation.html#get_temporary_glue_table_credentials/2","title":"aws_lakeformation.get_temporary_glue_table_credentials/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#get_temporary_glue_table_credentials/3","title":"aws_lakeformation.get_temporary_glue_table_credentials/3","type":"function"},{"doc":"Returns the work units resulting from the query. Work units can be executed in any order and in parallel.","ref":"aws_lakeformation.html#get_work_unit_results/2","title":"aws_lakeformation.get_work_unit_results/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#get_work_unit_results/3","title":"aws_lakeformation.get_work_unit_results/3","type":"function"},{"doc":"Retrieves the work units generated by the StartQueryPlanning operation.","ref":"aws_lakeformation.html#get_work_units/2","title":"aws_lakeformation.get_work_units/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#get_work_units/3","title":"aws_lakeformation.get_work_units/3","type":"function"},{"doc":"Grants permissions to the principal to access metadata in the Data Catalog and data organized in underlying data storage such as Amazon S3. For information about permissions, see Security and Access Control to Metadata and Data.","ref":"aws_lakeformation.html#grant_permissions/2","title":"aws_lakeformation.grant_permissions/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#grant_permissions/3","title":"aws_lakeformation.grant_permissions/3","type":"function"},{"doc":"Lists all the data cell filters on a table.","ref":"aws_lakeformation.html#list_data_cells_filter/2","title":"aws_lakeformation.list_data_cells_filter/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#list_data_cells_filter/3","title":"aws_lakeformation.list_data_cells_filter/3","type":"function"},{"doc":"Lists LF-tags that the requester has permission to view.","ref":"aws_lakeformation.html#list_l_f_tags/2","title":"aws_lakeformation.list_l_f_tags/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#list_l_f_tags/3","title":"aws_lakeformation.list_l_f_tags/3","type":"function"},{"doc":"Returns a list of the principal permissions on the resource, filtered by the permissions of the caller. For example, if you are granted an ALTER permission, you are able to see only the principal permissions for ALTER. This operation returns only those permissions that have been explicitly granted. For information about permissions, see Security and Access Control to Metadata and Data.","ref":"aws_lakeformation.html#list_permissions/2","title":"aws_lakeformation.list_permissions/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#list_permissions/3","title":"aws_lakeformation.list_permissions/3","type":"function"},{"doc":"Lists the resources registered to be managed by the Data Catalog.","ref":"aws_lakeformation.html#list_resources/2","title":"aws_lakeformation.list_resources/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#list_resources/3","title":"aws_lakeformation.list_resources/3","type":"function"},{"doc":"Returns the configuration of all storage optimizers associated with a specified table.","ref":"aws_lakeformation.html#list_table_storage_optimizers/2","title":"aws_lakeformation.list_table_storage_optimizers/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#list_table_storage_optimizers/3","title":"aws_lakeformation.list_table_storage_optimizers/3","type":"function"},{"doc":"Returns metadata about transactions and their status. To prevent the response from growing indefinitely, only uncommitted transactions and those available for time-travel queries are returned. This operation can help you identify uncommitted transactions or to get information about transactions.","ref":"aws_lakeformation.html#list_transactions/2","title":"aws_lakeformation.list_transactions/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#list_transactions/3","title":"aws_lakeformation.list_transactions/3","type":"function"},{"doc":"Sets the list of data lake administrators who have admin privileges on all resources managed by Lake Formation. For more information on admin privileges, see Granting Lake Formation Permissions. This API replaces the current list of data lake admins with the new list being passed. To add an admin, fetch the current list and add the new admin to that list and pass that list in this API.","ref":"aws_lakeformation.html#put_data_lake_settings/2","title":"aws_lakeformation.put_data_lake_settings/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#put_data_lake_settings/3","title":"aws_lakeformation.put_data_lake_settings/3","type":"function"},{"doc":"Registers the resource as managed by the Data Catalog. To add or update data, Lake Formation needs read/write access to the chosen Amazon S3 path. Choose a role that you know has permission to do this, or choose the AWSServiceRoleForLakeFormationDataAccess service-linked role. When you register the first Amazon S3 path, the service-linked role and a new inline policy are created on your behalf. Lake Formation adds the first path to the inline policy and attaches it to the service-linked role. When you register subsequent paths, Lake Formation adds the path to the existing policy. The following request registers a new location and gives Lake Formation permission to use the service-linked role to access that location. ResourceArn = arn:aws:s3:::my-bucket UseServiceLinkedRole = true If UseServiceLinkedRole is not set to true, you must provide or set the RoleArn : arn:aws:iam::12345:role/my-data-access-role","ref":"aws_lakeformation.html#register_resource/2","title":"aws_lakeformation.register_resource/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#register_resource/3","title":"aws_lakeformation.register_resource/3","type":"function"},{"doc":"Removes an LF-tag from the resource. Only database, table, or tableWithColumns resource are allowed. To tag columns, use the column inclusion list in tableWithColumns to specify column input.","ref":"aws_lakeformation.html#remove_l_f_tags_from_resource/2","title":"aws_lakeformation.remove_l_f_tags_from_resource/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#remove_l_f_tags_from_resource/3","title":"aws_lakeformation.remove_l_f_tags_from_resource/3","type":"function"},{"doc":"Revokes permissions to the principal to access metadata in the Data Catalog and data organized in underlying data storage such as Amazon S3.","ref":"aws_lakeformation.html#revoke_permissions/2","title":"aws_lakeformation.revoke_permissions/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#revoke_permissions/3","title":"aws_lakeformation.revoke_permissions/3","type":"function"},{"doc":"This operation allows a search on DATABASE resources by TagCondition . This operation is used by admins who want to grant user permissions on certain TagConditions . Before making a grant, the admin can use SearchDatabasesByTags to find all resources where the given TagConditions are valid to verify whether the returned resources can be shared.","ref":"aws_lakeformation.html#search_databases_by_l_f_tags/2","title":"aws_lakeformation.search_databases_by_l_f_tags/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#search_databases_by_l_f_tags/3","title":"aws_lakeformation.search_databases_by_l_f_tags/3","type":"function"},{"doc":"This operation allows a search on TABLE resources by LFTag s. This will be used by admins who want to grant user permissions on certain LF-tags. Before making a grant, the admin can use SearchTablesByLFTags to find all resources where the given LFTag s are valid to verify whether the returned resources can be shared.","ref":"aws_lakeformation.html#search_tables_by_l_f_tags/2","title":"aws_lakeformation.search_tables_by_l_f_tags/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#search_tables_by_l_f_tags/3","title":"aws_lakeformation.search_tables_by_l_f_tags/3","type":"function"},{"doc":"Submits a request to process a query statement. This operation generates work units that can be retrieved with the GetWorkUnits operation as soon as the query state is WORKUNITS_AVAILABLE or FINISHED.","ref":"aws_lakeformation.html#start_query_planning/2","title":"aws_lakeformation.start_query_planning/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#start_query_planning/3","title":"aws_lakeformation.start_query_planning/3","type":"function"},{"doc":"Starts a new transaction and returns its transaction ID. Transaction IDs are opaque objects that you can use to identify a transaction.","ref":"aws_lakeformation.html#start_transaction/2","title":"aws_lakeformation.start_transaction/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#start_transaction/3","title":"aws_lakeformation.start_transaction/3","type":"function"},{"doc":"Updates the list of possible values for the specified LF-tag key. If the LF-tag does not exist, the operation throws an EntityNotFoundException. The values in the delete key values will be deleted from list of possible values. If any value in the delete key values is attached to a resource, then API errors out with a 400 Exception - &quot;Update not allowed&quot;. Untag the attribute before deleting the LF-tag key's value.","ref":"aws_lakeformation.html#update_l_f_tag/2","title":"aws_lakeformation.update_l_f_tag/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#update_l_f_tag/3","title":"aws_lakeformation.update_l_f_tag/3","type":"function"},{"doc":"Updates the data access role used for vending access to the given (registered) resource in Lake Formation.","ref":"aws_lakeformation.html#update_resource/2","title":"aws_lakeformation.update_resource/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#update_resource/3","title":"aws_lakeformation.update_resource/3","type":"function"},{"doc":"Updates the manifest of Amazon S3 objects that make up the specified governed table.","ref":"aws_lakeformation.html#update_table_objects/2","title":"aws_lakeformation.update_table_objects/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#update_table_objects/3","title":"aws_lakeformation.update_table_objects/3","type":"function"},{"doc":"Updates the configuration of the storage optimizers for a table.","ref":"aws_lakeformation.html#update_table_storage_optimizer/2","title":"aws_lakeformation.update_table_storage_optimizer/2","type":"function"},{"doc":"","ref":"aws_lakeformation.html#update_table_storage_optimizer/3","title":"aws_lakeformation.update_table_storage_optimizer/3","type":"function"},{"doc":"Lambda Overview Lambda is a compute service that lets you run code without provisioning or managing servers. Lambda runs your code on a high-availability compute infrastructure and performs all of the administration of the compute resources, including server and operating system maintenance, capacity provisioning and automatic scaling, code monitoring and logging. With Lambda, you can run code for virtually any type of application or backend service. For more information about the Lambda service, see What is Lambda in the Lambda Developer Guide. The Lambda API Reference provides information about each of the API methods, including details about the parameters in each API request and response. You can use Software Development Kits (SDKs), Integrated Development Environment (IDE) Toolkits, and command line tools to access the API. For installation instructions, see Tools for Amazon Web Services. For a list of Region-specific endpoints that Lambda supports, see Lambda endpoints and quotas in the Amazon Web Services General Reference.. When making the API calls, you will need to authenticate your request by providing a signature. Lambda supports signature version 4. For more information, see Signature Version 4 signing process in the Amazon Web Services General Reference.. CA certificates Because Amazon Web Services SDKs use the CA certificates from your computer, changes to the certificates on the Amazon Web Services servers can cause connection failures when you attempt to use an SDK. You can prevent these failures by keeping your computer's CA certificates and operating system up-to-date. If you encounter this issue in a corporate environment and do not manage your own computer, you might need to ask an administrator to assist with the update process. The following list shows minimum operating system and Java versions: Microsoft Windows versions that have updates from January 2005 or later installed contain at least one of the required CAs in their trust list. Mac OS X 10.4 with Java for Mac OS X 10.4 Release 5 (February 2007), Mac OS X 10.5 (October 2007), and later versions contain at least one of the required CAs in their trust list. Red Hat Enterprise Linux 5 (March 2007), 6, and 7 and CentOS 5, 6, and 7 all contain at least one of the required CAs in their default trusted CA list. Java 1.4.2_12 (May 2006), 5 Update 2 (March 2005), and all later versions, including Java 6 (December 2006), 7, and 8, contain at least one of the required CAs in their default trusted CA list. When accessing the Lambda management console or Lambda API endpoints, whether through browsers or programmatically, you will need to ensure your client machines support any of the following CAs: Amazon Root CA 1 Starfield Services Root Certificate Authority - G2 Starfield Class 2 Certification Authority Root certificates from the first two authorities are available from Amazon trust services, but keeping your computer up-to-date is the more straightforward solution. To learn more about ACM-provided certificates, see Amazon Web Services Certificate Manager FAQs.","ref":"aws_lambda.html","title":"aws_lambda","type":"module"},{"doc":"Adds permissions to the resource-based policy of a version of an Lambda layer. Use this action to grant layer usage permission to other accounts. You can grant permission to a single account, all accounts in an organization, or all Amazon Web Services accounts. To revoke permission, call RemoveLayerVersionPermission with the statement ID that you specified when you added it.","ref":"aws_lambda.html#add_layer_version_permission/4","title":"aws_lambda.add_layer_version_permission/4","type":"function"},{"doc":"","ref":"aws_lambda.html#add_layer_version_permission/5","title":"aws_lambda.add_layer_version_permission/5","type":"function"},{"doc":"Grants an Amazon Web Service, Amazon Web Services account, or Amazon Web Services organization permission to use a function. You can apply the policy at the function level, or specify a qualifier to restrict access to a single version or alias. If you use a qualifier, the invoker must use the full Amazon Resource Name (ARN) of that version or alias to invoke the function. Note: Lambda does not support adding policies to version $LATEST. To grant permission to another account, specify the account ID as the Principal . To grant permission to an organization defined in Organizations, specify the organization ID as the PrincipalOrgID . For Amazon Web Services, the principal is a domain-style identifier that the service defines, such as s3.amazonaws.com or sns.amazonaws.com . For Amazon Web Services, you can also specify the ARN of the associated resource as the SourceArn . If you grant permission to a service principal without specifying the source, other accounts could potentially configure resources in their account to invoke your Lambda function. This operation adds a statement to a resource-based permissions policy for the function. For more information about function policies, see Using resource-based policies for Lambda.","ref":"aws_lambda.html#add_permission/3","title":"aws_lambda.add_permission/3","type":"function"},{"doc":"","ref":"aws_lambda.html#add_permission/4","title":"aws_lambda.add_permission/4","type":"function"},{"doc":"Creates an alias for a Lambda function version. Use aliases to provide clients with a function identifier that you can update to invoke a different version. You can also map an alias to split invocation requests between two versions. Use the RoutingConfig parameter to specify a second version and the percentage of invocation requests that it receives.","ref":"aws_lambda.html#create_alias/3","title":"aws_lambda.create_alias/3","type":"function"},{"doc":"","ref":"aws_lambda.html#create_alias/4","title":"aws_lambda.create_alias/4","type":"function"},{"doc":"Creates a code signing configuration. A code signing configuration defines a list of allowed signing profiles and defines the code-signing validation policy (action to be taken if deployment validation checks fail).","ref":"aws_lambda.html#create_code_signing_config/2","title":"aws_lambda.create_code_signing_config/2","type":"function"},{"doc":"","ref":"aws_lambda.html#create_code_signing_config/3","title":"aws_lambda.create_code_signing_config/3","type":"function"},{"doc":"Creates a mapping between an event source and an Lambda function. Lambda reads items from the event source and invokes the function. For details about how to configure different event sources, see the following topics. Amazon DynamoDB Streams Amazon Kinesis Amazon SQS Amazon MQ and RabbitMQ Amazon MSK Apache Kafka The following error handling options are available only for stream sources (DynamoDB and Kinesis): BisectBatchOnFunctionError – If the function returns an error, split the batch in two and retry. DestinationConfig – Send discarded records to an Amazon SQS queue or Amazon SNS topic. MaximumRecordAgeInSeconds – Discard records older than the specified age. The default value is infinite (-1). When set to infinite (-1), failed records are retried until the record expires MaximumRetryAttempts – Discard records after the specified number of retries. The default value is infinite (-1). When set to infinite (-1), failed records are retried until the record expires. ParallelizationFactor – Process multiple batches from each shard concurrently. For information about which configuration parameters apply to each event source, see the following topics. Amazon DynamoDB Streams Amazon Kinesis Amazon SQS Amazon MQ and RabbitMQ Amazon MSK Apache Kafka","ref":"aws_lambda.html#create_event_source_mapping/2","title":"aws_lambda.create_event_source_mapping/2","type":"function"},{"doc":"","ref":"aws_lambda.html#create_event_source_mapping/3","title":"aws_lambda.create_event_source_mapping/3","type":"function"},{"doc":"Creates a Lambda function. To create a function, you need a deployment package and an execution role. The deployment package is a .zip file archive or container image that contains your function code. The execution role grants the function permission to use Amazon Web Services, such as Amazon CloudWatch Logs for log streaming and X-Ray for request tracing. If the deployment package is a container image, then you set the package type to Image . For a container image, the code property must include the URI of a container image in the Amazon ECR registry. You do not need to specify the handler and runtime properties. If the deployment package is a .zip file archive, then you set the package type to Zip . For a .zip file archive, the code property specifies the location of the .zip file. You must also specify the handler and runtime properties. The code in the deployment package must be compatible with the target instruction set architecture of the function ( x86-64 or arm64 ). If you do not specify the architecture, then the default value is x86-64 . When you create a function, Lambda provisions an instance of the function and its supporting resources. If your function connects to a VPC, this process can take a minute or so. During this time, you can't invoke or modify the function. The State , StateReason , and StateReasonCode fields in the response from GetFunctionConfiguration indicate when the function is ready to invoke. For more information, see Lambda function states. A function has an unpublished version, and can have published versions and aliases. The unpublished version changes when you update your function's code and configuration. A published version is a snapshot of your function code and configuration that can't be changed. An alias is a named resource that maps to a version, and can be changed to map to a different version. Use the Publish parameter to create version 1 of your function from its initial configuration. The other parameters let you configure version-specific and function-level settings. You can modify version-specific settings later with UpdateFunctionConfiguration . Function-level settings apply to both the unpublished and published versions of the function, and include tags ( TagResource ) and per-function concurrency limits ( PutFunctionConcurrency ). You can use code signing if your deployment package is a .zip file archive. To enable code signing for this function, specify the ARN of a code-signing configuration. When a user attempts to deploy a code package with UpdateFunctionCode , Lambda checks that the code package has a valid signature from a trusted publisher. The code-signing configuration includes set of signing profiles, which define the trusted publishers for this function. If another Amazon Web Services account or an Amazon Web Service invokes your function, use AddPermission to grant permission by creating a resource-based Identity and Access Management (IAM) policy. You can grant permissions at the function level, on a version, or on an alias. To invoke your function directly, use Invoke . To invoke your function in response to events in other Amazon Web Services, create an event source mapping ( CreateEventSourceMapping ), or configure a function trigger in the other service. For more information, see Invoking Lambda functions.","ref":"aws_lambda.html#create_function/2","title":"aws_lambda.create_function/2","type":"function"},{"doc":"","ref":"aws_lambda.html#create_function/3","title":"aws_lambda.create_function/3","type":"function"},{"doc":"Creates a Lambda function URL with the specified configuration parameters. A function URL is a dedicated HTTP(S) endpoint that you can use to invoke your function.","ref":"aws_lambda.html#create_function_url_config/3","title":"aws_lambda.create_function_url_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#create_function_url_config/4","title":"aws_lambda.create_function_url_config/4","type":"function"},{"doc":"Deletes a Lambda function alias.","ref":"aws_lambda.html#delete_alias/4","title":"aws_lambda.delete_alias/4","type":"function"},{"doc":"","ref":"aws_lambda.html#delete_alias/5","title":"aws_lambda.delete_alias/5","type":"function"},{"doc":"Deletes the code signing configuration. You can delete the code signing configuration only if no function is using it.","ref":"aws_lambda.html#delete_code_signing_config/3","title":"aws_lambda.delete_code_signing_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#delete_code_signing_config/4","title":"aws_lambda.delete_code_signing_config/4","type":"function"},{"doc":"Deletes an event source mapping. You can get the identifier of a mapping from the output of ListEventSourceMappings . When you delete an event source mapping, it enters a Deleting state and might not be completely deleted for several seconds.","ref":"aws_lambda.html#delete_event_source_mapping/3","title":"aws_lambda.delete_event_source_mapping/3","type":"function"},{"doc":"","ref":"aws_lambda.html#delete_event_source_mapping/4","title":"aws_lambda.delete_event_source_mapping/4","type":"function"},{"doc":"Deletes a Lambda function. To delete a specific function version, use the Qualifier parameter. Otherwise, all versions and aliases are deleted. To delete Lambda event source mappings that invoke a function, use DeleteEventSourceMapping . For Amazon Web Services and resources that invoke your function directly, delete the trigger in the service where you originally configured it.","ref":"aws_lambda.html#delete_function/3","title":"aws_lambda.delete_function/3","type":"function"},{"doc":"","ref":"aws_lambda.html#delete_function/4","title":"aws_lambda.delete_function/4","type":"function"},{"doc":"Removes the code signing configuration from the function.","ref":"aws_lambda.html#delete_function_code_signing_config/3","title":"aws_lambda.delete_function_code_signing_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#delete_function_code_signing_config/4","title":"aws_lambda.delete_function_code_signing_config/4","type":"function"},{"doc":"Removes a concurrent execution limit from a function.","ref":"aws_lambda.html#delete_function_concurrency/3","title":"aws_lambda.delete_function_concurrency/3","type":"function"},{"doc":"","ref":"aws_lambda.html#delete_function_concurrency/4","title":"aws_lambda.delete_function_concurrency/4","type":"function"},{"doc":"Deletes the configuration for asynchronous invocation for a function, version, or alias. To configure options for asynchronous invocation, use PutFunctionEventInvokeConfig .","ref":"aws_lambda.html#delete_function_event_invoke_config/3","title":"aws_lambda.delete_function_event_invoke_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#delete_function_event_invoke_config/4","title":"aws_lambda.delete_function_event_invoke_config/4","type":"function"},{"doc":"Deletes a Lambda function URL. When you delete a function URL, you can't recover it. Creating a new function URL results in a different URL address.","ref":"aws_lambda.html#delete_function_url_config/3","title":"aws_lambda.delete_function_url_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#delete_function_url_config/4","title":"aws_lambda.delete_function_url_config/4","type":"function"},{"doc":"Deletes a version of an Lambda layer. Deleted versions can no longer be viewed or added to functions. To avoid breaking functions, a copy of the version remains in Lambda until no functions refer to it.","ref":"aws_lambda.html#delete_layer_version/4","title":"aws_lambda.delete_layer_version/4","type":"function"},{"doc":"","ref":"aws_lambda.html#delete_layer_version/5","title":"aws_lambda.delete_layer_version/5","type":"function"},{"doc":"Deletes the provisioned concurrency configuration for a function.","ref":"aws_lambda.html#delete_provisioned_concurrency_config/3","title":"aws_lambda.delete_provisioned_concurrency_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#delete_provisioned_concurrency_config/4","title":"aws_lambda.delete_provisioned_concurrency_config/4","type":"function"},{"doc":"Retrieves details about your account's limits and usage in an Amazon Web Services Region.","ref":"aws_lambda.html#get_account_settings/1","title":"aws_lambda.get_account_settings/1","type":"function"},{"doc":"","ref":"aws_lambda.html#get_account_settings/3","title":"aws_lambda.get_account_settings/3","type":"function"},{"doc":"","ref":"aws_lambda.html#get_account_settings/4","title":"aws_lambda.get_account_settings/4","type":"function"},{"doc":"Returns details about a Lambda function alias.","ref":"aws_lambda.html#get_alias/3","title":"aws_lambda.get_alias/3","type":"function"},{"doc":"","ref":"aws_lambda.html#get_alias/5","title":"aws_lambda.get_alias/5","type":"function"},{"doc":"","ref":"aws_lambda.html#get_alias/6","title":"aws_lambda.get_alias/6","type":"function"},{"doc":"Returns information about the specified code signing configuration.","ref":"aws_lambda.html#get_code_signing_config/2","title":"aws_lambda.get_code_signing_config/2","type":"function"},{"doc":"","ref":"aws_lambda.html#get_code_signing_config/4","title":"aws_lambda.get_code_signing_config/4","type":"function"},{"doc":"","ref":"aws_lambda.html#get_code_signing_config/5","title":"aws_lambda.get_code_signing_config/5","type":"function"},{"doc":"Returns details about an event source mapping. You can get the identifier of a mapping from the output of ListEventSourceMappings .","ref":"aws_lambda.html#get_event_source_mapping/2","title":"aws_lambda.get_event_source_mapping/2","type":"function"},{"doc":"","ref":"aws_lambda.html#get_event_source_mapping/4","title":"aws_lambda.get_event_source_mapping/4","type":"function"},{"doc":"","ref":"aws_lambda.html#get_event_source_mapping/5","title":"aws_lambda.get_event_source_mapping/5","type":"function"},{"doc":"Returns information about the function or function version, with a link to download the deployment package that's valid for 10 minutes. If you specify a function version, only details that are specific to that version are returned.","ref":"aws_lambda.html#get_function/2","title":"aws_lambda.get_function/2","type":"function"},{"doc":"","ref":"aws_lambda.html#get_function/4","title":"aws_lambda.get_function/4","type":"function"},{"doc":"","ref":"aws_lambda.html#get_function/5","title":"aws_lambda.get_function/5","type":"function"},{"doc":"Returns the code signing configuration for the specified function.","ref":"aws_lambda.html#get_function_code_signing_config/2","title":"aws_lambda.get_function_code_signing_config/2","type":"function"},{"doc":"","ref":"aws_lambda.html#get_function_code_signing_config/4","title":"aws_lambda.get_function_code_signing_config/4","type":"function"},{"doc":"","ref":"aws_lambda.html#get_function_code_signing_config/5","title":"aws_lambda.get_function_code_signing_config/5","type":"function"},{"doc":"Returns details about the reserved concurrency configuration for a function. To set a concurrency limit for a function, use PutFunctionConcurrency .","ref":"aws_lambda.html#get_function_concurrency/2","title":"aws_lambda.get_function_concurrency/2","type":"function"},{"doc":"","ref":"aws_lambda.html#get_function_concurrency/4","title":"aws_lambda.get_function_concurrency/4","type":"function"},{"doc":"","ref":"aws_lambda.html#get_function_concurrency/5","title":"aws_lambda.get_function_concurrency/5","type":"function"},{"doc":"Returns the version-specific settings of a Lambda function or version. The output includes only options that can vary between versions of a function. To modify these settings, use UpdateFunctionConfiguration . To get all of a function's details, including function-level settings, use GetFunction .","ref":"aws_lambda.html#get_function_configuration/2","title":"aws_lambda.get_function_configuration/2","type":"function"},{"doc":"","ref":"aws_lambda.html#get_function_configuration/4","title":"aws_lambda.get_function_configuration/4","type":"function"},{"doc":"","ref":"aws_lambda.html#get_function_configuration/5","title":"aws_lambda.get_function_configuration/5","type":"function"},{"doc":"Retrieves the configuration for asynchronous invocation for a function, version, or alias. To configure options for asynchronous invocation, use PutFunctionEventInvokeConfig .","ref":"aws_lambda.html#get_function_event_invoke_config/2","title":"aws_lambda.get_function_event_invoke_config/2","type":"function"},{"doc":"","ref":"aws_lambda.html#get_function_event_invoke_config/4","title":"aws_lambda.get_function_event_invoke_config/4","type":"function"},{"doc":"","ref":"aws_lambda.html#get_function_event_invoke_config/5","title":"aws_lambda.get_function_event_invoke_config/5","type":"function"},{"doc":"Returns details about a Lambda function URL.","ref":"aws_lambda.html#get_function_url_config/2","title":"aws_lambda.get_function_url_config/2","type":"function"},{"doc":"","ref":"aws_lambda.html#get_function_url_config/4","title":"aws_lambda.get_function_url_config/4","type":"function"},{"doc":"","ref":"aws_lambda.html#get_function_url_config/5","title":"aws_lambda.get_function_url_config/5","type":"function"},{"doc":"Returns information about a version of an Lambda layer, with a link to download the layer archive that's valid for 10 minutes.","ref":"aws_lambda.html#get_layer_version/3","title":"aws_lambda.get_layer_version/3","type":"function"},{"doc":"","ref":"aws_lambda.html#get_layer_version/5","title":"aws_lambda.get_layer_version/5","type":"function"},{"doc":"","ref":"aws_lambda.html#get_layer_version/6","title":"aws_lambda.get_layer_version/6","type":"function"},{"doc":"Returns information about a version of an Lambda layer, with a link to download the layer archive that's valid for 10 minutes.","ref":"aws_lambda.html#get_layer_version_by_arn/2","title":"aws_lambda.get_layer_version_by_arn/2","type":"function"},{"doc":"","ref":"aws_lambda.html#get_layer_version_by_arn/4","title":"aws_lambda.get_layer_version_by_arn/4","type":"function"},{"doc":"","ref":"aws_lambda.html#get_layer_version_by_arn/5","title":"aws_lambda.get_layer_version_by_arn/5","type":"function"},{"doc":"Returns the permission policy for a version of an Lambda layer. For more information, see AddLayerVersionPermission .","ref":"aws_lambda.html#get_layer_version_policy/3","title":"aws_lambda.get_layer_version_policy/3","type":"function"},{"doc":"","ref":"aws_lambda.html#get_layer_version_policy/5","title":"aws_lambda.get_layer_version_policy/5","type":"function"},{"doc":"","ref":"aws_lambda.html#get_layer_version_policy/6","title":"aws_lambda.get_layer_version_policy/6","type":"function"},{"doc":"Returns the resource-based IAM policy for a function, version, or alias.","ref":"aws_lambda.html#get_policy/2","title":"aws_lambda.get_policy/2","type":"function"},{"doc":"","ref":"aws_lambda.html#get_policy/4","title":"aws_lambda.get_policy/4","type":"function"},{"doc":"","ref":"aws_lambda.html#get_policy/5","title":"aws_lambda.get_policy/5","type":"function"},{"doc":"Retrieves the provisioned concurrency configuration for a function's alias or version.","ref":"aws_lambda.html#get_provisioned_concurrency_config/3","title":"aws_lambda.get_provisioned_concurrency_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#get_provisioned_concurrency_config/5","title":"aws_lambda.get_provisioned_concurrency_config/5","type":"function"},{"doc":"","ref":"aws_lambda.html#get_provisioned_concurrency_config/6","title":"aws_lambda.get_provisioned_concurrency_config/6","type":"function"},{"doc":"Retrieves the runtime management configuration for a function's version. If the runtime update mode is Manual, this includes the ARN of the runtime version and the runtime update mode. If the runtime update mode is Auto or Function update, this includes the runtime update mode and null is returned for the ARN. For more information, see Runtime updates.","ref":"aws_lambda.html#get_runtime_management_config/2","title":"aws_lambda.get_runtime_management_config/2","type":"function"},{"doc":"","ref":"aws_lambda.html#get_runtime_management_config/4","title":"aws_lambda.get_runtime_management_config/4","type":"function"},{"doc":"","ref":"aws_lambda.html#get_runtime_management_config/5","title":"aws_lambda.get_runtime_management_config/5","type":"function"},{"doc":"Invokes a Lambda function. You can invoke a function synchronously (and wait for the response), or asynchronously. To invoke a function asynchronously, set InvocationType to Event . For synchronous invocation, details about the function response, including errors, are included in the response body and headers. For either invocation type, you can find more information in the execution log and trace. When an error occurs, your function may be invoked multiple times. Retry behavior varies by error type, client, event source, and invocation type. For example, if you invoke a function asynchronously and it returns an error, Lambda executes the function up to two more times. For more information, see Error handling and automatic retries in Lambda. For asynchronous invocation, Lambda adds events to a queue before sending them to your function. If your function does not have enough capacity to keep up with the queue, events may be lost. Occasionally, your function may receive the same event multiple times, even if no error occurs. To retain events that were not processed, configure your function with a dead-letter queue. The status code in the API response doesn't reflect function errors. Error codes are reserved for errors that prevent your function from executing, such as permissions errors, quota errors, or issues with your function's code and configuration. For example, Lambda returns TooManyRequestsException if running the function would cause you to exceed a concurrency limit at either the account level ( ConcurrentInvocationLimitExceeded ) or function level ( ReservedFunctionConcurrentInvocationLimitExceeded ). For functions with a long timeout, your client might disconnect during synchronous invocation while it waits for a response. Configure your HTTP client, SDK, firewall, proxy, or operating system to allow for long connections with timeout or keep-alive settings. This operation requires permission for the lambda:InvokeFunction action. For details on how to set up permissions for cross-account invocations, see Granting function access to other accounts.","ref":"aws_lambda.html#invoke/3","title":"aws_lambda.invoke/3","type":"function"},{"doc":"","ref":"aws_lambda.html#invoke/4","title":"aws_lambda.invoke/4","type":"function"},{"doc":"For asynchronous function invocation, use Invoke . Invokes a function asynchronously.","ref":"aws_lambda.html#invoke_async/3","title":"aws_lambda.invoke_async/3","type":"function"},{"doc":"","ref":"aws_lambda.html#invoke_async/4","title":"aws_lambda.invoke_async/4","type":"function"},{"doc":"Returns a list of aliases for a Lambda function.","ref":"aws_lambda.html#list_aliases/2","title":"aws_lambda.list_aliases/2","type":"function"},{"doc":"","ref":"aws_lambda.html#list_aliases/4","title":"aws_lambda.list_aliases/4","type":"function"},{"doc":"","ref":"aws_lambda.html#list_aliases/5","title":"aws_lambda.list_aliases/5","type":"function"},{"doc":"Returns a list of code signing configurations. A request returns up to 10,000 configurations per call. You can use the MaxItems parameter to return fewer configurations per call.","ref":"aws_lambda.html#list_code_signing_configs/1","title":"aws_lambda.list_code_signing_configs/1","type":"function"},{"doc":"","ref":"aws_lambda.html#list_code_signing_configs/3","title":"aws_lambda.list_code_signing_configs/3","type":"function"},{"doc":"","ref":"aws_lambda.html#list_code_signing_configs/4","title":"aws_lambda.list_code_signing_configs/4","type":"function"},{"doc":"Lists event source mappings. Specify an EventSourceArn to show only event source mappings for a single event source.","ref":"aws_lambda.html#list_event_source_mappings/1","title":"aws_lambda.list_event_source_mappings/1","type":"function"},{"doc":"","ref":"aws_lambda.html#list_event_source_mappings/3","title":"aws_lambda.list_event_source_mappings/3","type":"function"},{"doc":"","ref":"aws_lambda.html#list_event_source_mappings/4","title":"aws_lambda.list_event_source_mappings/4","type":"function"},{"doc":"Retrieves a list of configurations for asynchronous invocation for a function. To configure options for asynchronous invocation, use PutFunctionEventInvokeConfig .","ref":"aws_lambda.html#list_function_event_invoke_configs/2","title":"aws_lambda.list_function_event_invoke_configs/2","type":"function"},{"doc":"","ref":"aws_lambda.html#list_function_event_invoke_configs/4","title":"aws_lambda.list_function_event_invoke_configs/4","type":"function"},{"doc":"","ref":"aws_lambda.html#list_function_event_invoke_configs/5","title":"aws_lambda.list_function_event_invoke_configs/5","type":"function"},{"doc":"Returns a list of Lambda function URLs for the specified function.","ref":"aws_lambda.html#list_function_url_configs/2","title":"aws_lambda.list_function_url_configs/2","type":"function"},{"doc":"","ref":"aws_lambda.html#list_function_url_configs/4","title":"aws_lambda.list_function_url_configs/4","type":"function"},{"doc":"","ref":"aws_lambda.html#list_function_url_configs/5","title":"aws_lambda.list_function_url_configs/5","type":"function"},{"doc":"Returns a list of Lambda functions, with the version-specific configuration of each. Lambda returns up to 50 functions per call. Set FunctionVersion to ALL to include all published versions of each function in addition to the unpublished version. The ListFunctions operation returns a subset of the FunctionConfiguration fields. To get the additional fields (State, StateReasonCode, StateReason, LastUpdateStatus, LastUpdateStatusReason, LastUpdateStatusReasonCode, RuntimeVersionConfig) for a function or version, use GetFunction .","ref":"aws_lambda.html#list_functions/1","title":"aws_lambda.list_functions/1","type":"function"},{"doc":"","ref":"aws_lambda.html#list_functions/3","title":"aws_lambda.list_functions/3","type":"function"},{"doc":"","ref":"aws_lambda.html#list_functions/4","title":"aws_lambda.list_functions/4","type":"function"},{"doc":"List the functions that use the specified code signing configuration. You can use this method prior to deleting a code signing configuration, to verify that no functions are using it.","ref":"aws_lambda.html#list_functions_by_code_signing_config/2","title":"aws_lambda.list_functions_by_code_signing_config/2","type":"function"},{"doc":"","ref":"aws_lambda.html#list_functions_by_code_signing_config/4","title":"aws_lambda.list_functions_by_code_signing_config/4","type":"function"},{"doc":"","ref":"aws_lambda.html#list_functions_by_code_signing_config/5","title":"aws_lambda.list_functions_by_code_signing_config/5","type":"function"},{"doc":"Lists the versions of an Lambda layer. Versions that have been deleted aren't listed. Specify a runtime identifier to list only versions that indicate that they're compatible with that runtime. Specify a compatible architecture to include only layer versions that are compatible with that architecture.","ref":"aws_lambda.html#list_layer_versions/2","title":"aws_lambda.list_layer_versions/2","type":"function"},{"doc":"","ref":"aws_lambda.html#list_layer_versions/4","title":"aws_lambda.list_layer_versions/4","type":"function"},{"doc":"","ref":"aws_lambda.html#list_layer_versions/5","title":"aws_lambda.list_layer_versions/5","type":"function"},{"doc":"Lists Lambda layers and shows information about the latest version of each. Specify a runtime identifier to list only layers that indicate that they're compatible with that runtime. Specify a compatible architecture to include only layers that are compatible with that instruction set architecture.","ref":"aws_lambda.html#list_layers/1","title":"aws_lambda.list_layers/1","type":"function"},{"doc":"","ref":"aws_lambda.html#list_layers/3","title":"aws_lambda.list_layers/3","type":"function"},{"doc":"","ref":"aws_lambda.html#list_layers/4","title":"aws_lambda.list_layers/4","type":"function"},{"doc":"Retrieves a list of provisioned concurrency configurations for a function.","ref":"aws_lambda.html#list_provisioned_concurrency_configs/2","title":"aws_lambda.list_provisioned_concurrency_configs/2","type":"function"},{"doc":"","ref":"aws_lambda.html#list_provisioned_concurrency_configs/4","title":"aws_lambda.list_provisioned_concurrency_configs/4","type":"function"},{"doc":"","ref":"aws_lambda.html#list_provisioned_concurrency_configs/5","title":"aws_lambda.list_provisioned_concurrency_configs/5","type":"function"},{"doc":"Returns a function's tags. You can also view tags with GetFunction .","ref":"aws_lambda.html#list_tags/2","title":"aws_lambda.list_tags/2","type":"function"},{"doc":"","ref":"aws_lambda.html#list_tags/4","title":"aws_lambda.list_tags/4","type":"function"},{"doc":"","ref":"aws_lambda.html#list_tags/5","title":"aws_lambda.list_tags/5","type":"function"},{"doc":"Returns a list of versions, with the version-specific configuration of each. Lambda returns up to 50 versions per call.","ref":"aws_lambda.html#list_versions_by_function/2","title":"aws_lambda.list_versions_by_function/2","type":"function"},{"doc":"","ref":"aws_lambda.html#list_versions_by_function/4","title":"aws_lambda.list_versions_by_function/4","type":"function"},{"doc":"","ref":"aws_lambda.html#list_versions_by_function/5","title":"aws_lambda.list_versions_by_function/5","type":"function"},{"doc":"Creates an Lambda layer from a ZIP archive. Each time you call PublishLayerVersion with the same layer name, a new version is created. Add layers to your function with CreateFunction or UpdateFunctionConfiguration .","ref":"aws_lambda.html#publish_layer_version/3","title":"aws_lambda.publish_layer_version/3","type":"function"},{"doc":"","ref":"aws_lambda.html#publish_layer_version/4","title":"aws_lambda.publish_layer_version/4","type":"function"},{"doc":"Creates a version from the current code and configuration of a function. Use versions to create a snapshot of your function code and configuration that doesn't change. Lambda doesn't publish a version if the function's configuration and code haven't changed since the last version. Use UpdateFunctionCode or UpdateFunctionConfiguration to update the function before publishing a version. Clients can invoke versions directly or with an alias. To create an alias, use CreateAlias .","ref":"aws_lambda.html#publish_version/3","title":"aws_lambda.publish_version/3","type":"function"},{"doc":"","ref":"aws_lambda.html#publish_version/4","title":"aws_lambda.publish_version/4","type":"function"},{"doc":"Update the code signing configuration for the function. Changes to the code signing configuration take effect the next time a user tries to deploy a code package to the function.","ref":"aws_lambda.html#put_function_code_signing_config/3","title":"aws_lambda.put_function_code_signing_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#put_function_code_signing_config/4","title":"aws_lambda.put_function_code_signing_config/4","type":"function"},{"doc":"Sets the maximum number of simultaneous executions for a function, and reserves capacity for that concurrency level. Concurrency settings apply to the function as a whole, including all published versions and the unpublished version. Reserving concurrency both ensures that your function has capacity to process the specified number of events simultaneously, and prevents it from scaling beyond that level. Use GetFunction to see the current setting for a function. Use GetAccountSettings to see your Regional concurrency limit. You can reserve concurrency for as many functions as you like, as long as you leave at least 100 simultaneous executions unreserved for functions that aren't configured with a per-function limit. For more information, see Lambda function scaling.","ref":"aws_lambda.html#put_function_concurrency/3","title":"aws_lambda.put_function_concurrency/3","type":"function"},{"doc":"","ref":"aws_lambda.html#put_function_concurrency/4","title":"aws_lambda.put_function_concurrency/4","type":"function"},{"doc":"Configures options for asynchronous invocation on a function, version, or alias. If a configuration already exists for a function, version, or alias, this operation overwrites it. If you exclude any settings, they are removed. To set one option without affecting existing settings for other options, use UpdateFunctionEventInvokeConfig . By default, Lambda retries an asynchronous invocation twice if the function returns an error. It retains events in a queue for up to six hours. When an event fails all processing attempts or stays in the asynchronous invocation queue for too long, Lambda discards it. To retain discarded events, configure a dead-letter queue with UpdateFunctionConfiguration . To send an invocation record to a queue, topic, function, or event bus, specify a destination. You can configure separate destinations for successful invocations (on-success) and events that fail all processing attempts (on-failure). You can configure destinations in addition to or instead of a dead-letter queue.","ref":"aws_lambda.html#put_function_event_invoke_config/3","title":"aws_lambda.put_function_event_invoke_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#put_function_event_invoke_config/4","title":"aws_lambda.put_function_event_invoke_config/4","type":"function"},{"doc":"Adds a provisioned concurrency configuration to a function's alias or version.","ref":"aws_lambda.html#put_provisioned_concurrency_config/3","title":"aws_lambda.put_provisioned_concurrency_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#put_provisioned_concurrency_config/4","title":"aws_lambda.put_provisioned_concurrency_config/4","type":"function"},{"doc":"Sets the runtime management configuration for a function's version. For more information, see Runtime updates.","ref":"aws_lambda.html#put_runtime_management_config/3","title":"aws_lambda.put_runtime_management_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#put_runtime_management_config/4","title":"aws_lambda.put_runtime_management_config/4","type":"function"},{"doc":"Removes a statement from the permissions policy for a version of an Lambda layer. For more information, see AddLayerVersionPermission .","ref":"aws_lambda.html#remove_layer_version_permission/5","title":"aws_lambda.remove_layer_version_permission/5","type":"function"},{"doc":"","ref":"aws_lambda.html#remove_layer_version_permission/6","title":"aws_lambda.remove_layer_version_permission/6","type":"function"},{"doc":"Revokes function-use permission from an Amazon Web Service or another Amazon Web Services account. You can get the ID of the statement from the output of GetPolicy .","ref":"aws_lambda.html#remove_permission/4","title":"aws_lambda.remove_permission/4","type":"function"},{"doc":"","ref":"aws_lambda.html#remove_permission/5","title":"aws_lambda.remove_permission/5","type":"function"},{"doc":"Adds tags to a function.","ref":"aws_lambda.html#tag_resource/3","title":"aws_lambda.tag_resource/3","type":"function"},{"doc":"","ref":"aws_lambda.html#tag_resource/4","title":"aws_lambda.tag_resource/4","type":"function"},{"doc":"Removes tags from a function.","ref":"aws_lambda.html#untag_resource/3","title":"aws_lambda.untag_resource/3","type":"function"},{"doc":"","ref":"aws_lambda.html#untag_resource/4","title":"aws_lambda.untag_resource/4","type":"function"},{"doc":"Updates the configuration of a Lambda function alias.","ref":"aws_lambda.html#update_alias/4","title":"aws_lambda.update_alias/4","type":"function"},{"doc":"","ref":"aws_lambda.html#update_alias/5","title":"aws_lambda.update_alias/5","type":"function"},{"doc":"Update the code signing configuration. Changes to the code signing configuration take effect the next time a user tries to deploy a code package to the function.","ref":"aws_lambda.html#update_code_signing_config/3","title":"aws_lambda.update_code_signing_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#update_code_signing_config/4","title":"aws_lambda.update_code_signing_config/4","type":"function"},{"doc":"Updates an event source mapping. You can change the function that Lambda invokes, or pause invocation and resume later from the same location. For details about how to configure different event sources, see the following topics. Amazon DynamoDB Streams Amazon Kinesis Amazon SQS Amazon MQ and RabbitMQ Amazon MSK Apache Kafka The following error handling options are available only for stream sources (DynamoDB and Kinesis): BisectBatchOnFunctionError – If the function returns an error, split the batch in two and retry. DestinationConfig – Send discarded records to an Amazon SQS queue or Amazon SNS topic. MaximumRecordAgeInSeconds – Discard records older than the specified age. The default value is infinite (-1). When set to infinite (-1), failed records are retried until the record expires MaximumRetryAttempts – Discard records after the specified number of retries. The default value is infinite (-1). When set to infinite (-1), failed records are retried until the record expires. ParallelizationFactor – Process multiple batches from each shard concurrently. For information about which configuration parameters apply to each event source, see the following topics. Amazon DynamoDB Streams Amazon Kinesis Amazon SQS Amazon MQ and RabbitMQ Amazon MSK Apache Kafka","ref":"aws_lambda.html#update_event_source_mapping/3","title":"aws_lambda.update_event_source_mapping/3","type":"function"},{"doc":"","ref":"aws_lambda.html#update_event_source_mapping/4","title":"aws_lambda.update_event_source_mapping/4","type":"function"},{"doc":"Updates a Lambda function's code. If code signing is enabled for the function, the code package must be signed by a trusted publisher. For more information, see Configuring code signing for Lambda. If the function's package type is Image , then you must specify the code package in ImageUri as the URI of a container image in the Amazon ECR registry. If the function's package type is Zip , then you must specify the deployment package as a .zip file archive. Enter the Amazon S3 bucket and key of the code .zip file location. You can also provide the function code inline using the ZipFile field. The code in the deployment package must be compatible with the target instruction set architecture of the function ( x86-64 or arm64 ). The function's code is locked when you publish a version. You can't modify the code of a published version, only the unpublished version. For a function defined as a container image, Lambda resolves the image tag to an image digest. In Amazon ECR, if you update the image tag to a new image, Lambda does not automatically update the function.","ref":"aws_lambda.html#update_function_code/3","title":"aws_lambda.update_function_code/3","type":"function"},{"doc":"","ref":"aws_lambda.html#update_function_code/4","title":"aws_lambda.update_function_code/4","type":"function"},{"doc":"Modify the version-specific settings of a Lambda function. When you update a function, Lambda provisions an instance of the function and its supporting resources. If your function connects to a VPC, this process can take a minute. During this time, you can't modify the function, but you can still invoke it. The LastUpdateStatus , LastUpdateStatusReason , and LastUpdateStatusReasonCode fields in the response from GetFunctionConfiguration indicate when the update is complete and the function is processing events with the new configuration. For more information, see Lambda function states. These settings can vary between versions of a function and are locked when you publish a version. You can't modify the configuration of a published version, only the unpublished version. To configure function concurrency, use PutFunctionConcurrency . To grant invoke permissions to an Amazon Web Services account or Amazon Web Service, use AddPermission .","ref":"aws_lambda.html#update_function_configuration/3","title":"aws_lambda.update_function_configuration/3","type":"function"},{"doc":"","ref":"aws_lambda.html#update_function_configuration/4","title":"aws_lambda.update_function_configuration/4","type":"function"},{"doc":"Updates the configuration for asynchronous invocation for a function, version, or alias. To configure options for asynchronous invocation, use PutFunctionEventInvokeConfig .","ref":"aws_lambda.html#update_function_event_invoke_config/3","title":"aws_lambda.update_function_event_invoke_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#update_function_event_invoke_config/4","title":"aws_lambda.update_function_event_invoke_config/4","type":"function"},{"doc":"Updates the configuration for a Lambda function URL.","ref":"aws_lambda.html#update_function_url_config/3","title":"aws_lambda.update_function_url_config/3","type":"function"},{"doc":"","ref":"aws_lambda.html#update_function_url_config/4","title":"aws_lambda.update_function_url_config/4","type":"function"},{"doc":"Amazon Lex Build-Time Actions Amazon Lex is an AWS service for building conversational voice and text interfaces. Use these actions to create, update, and delete conversational bots for new and existing client applications.","ref":"aws_lex_model_building.html","title":"aws_lex_model_building","type":"module"},{"doc":"Creates a new version of the bot based on the $LATEST version. If the $LATEST version of this resource hasn't changed since you created the last version, Amazon Lex doesn't create a new version. It returns the last created version. You can update only the $LATEST version of the bot. You can't update the numbered versions that you create with the CreateBotVersion operation. When you create the first version of a bot, Amazon Lex sets the version to 1. Subsequent versions increment by 1. For more information, see versioning-intro . This operation requires permission for the lex:CreateBotVersion action.","ref":"aws_lex_model_building.html#create_bot_version/3","title":"aws_lex_model_building.create_bot_version/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#create_bot_version/4","title":"aws_lex_model_building.create_bot_version/4","type":"function"},{"doc":"Creates a new version of an intent based on the $LATEST version of the intent. If the $LATEST version of this intent hasn't changed since you last updated it, Amazon Lex doesn't create a new version. It returns the last version you created. You can update only the $LATEST version of the intent. You can't update the numbered versions that you create with the CreateIntentVersion operation. When you create a version of an intent, Amazon Lex sets the version to 1. Subsequent versions increment by 1. For more information, see versioning-intro . This operation requires permissions to perform the lex:CreateIntentVersion action.","ref":"aws_lex_model_building.html#create_intent_version/3","title":"aws_lex_model_building.create_intent_version/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#create_intent_version/4","title":"aws_lex_model_building.create_intent_version/4","type":"function"},{"doc":"Creates a new version of a slot type based on the $LATEST version of the specified slot type. If the $LATEST version of this resource has not changed since the last version that you created, Amazon Lex doesn't create a new version. It returns the last version that you created. You can update only the $LATEST version of a slot type. You can't update the numbered versions that you create with the CreateSlotTypeVersion operation. When you create a version of a slot type, Amazon Lex sets the version to 1. Subsequent versions increment by 1. For more information, see versioning-intro . This operation requires permissions for the lex:CreateSlotTypeVersion action.","ref":"aws_lex_model_building.html#create_slot_type_version/3","title":"aws_lex_model_building.create_slot_type_version/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#create_slot_type_version/4","title":"aws_lex_model_building.create_slot_type_version/4","type":"function"},{"doc":"Deletes all versions of the bot, including the $LATEST version. To delete a specific version of the bot, use the DeleteBotVersion operation. The DeleteBot operation doesn't immediately remove the bot schema. Instead, it is marked for deletion and removed later. Amazon Lex stores utterances indefinitely for improving the ability of your bot to respond to user inputs. These utterances are not removed when the bot is deleted. To remove the utterances, use the DeleteUtterances operation. If a bot has an alias, you can't delete it. Instead, the DeleteBot operation returns a ResourceInUseException exception that includes a reference to the alias that refers to the bot. To remove the reference to the bot, delete the alias. If you get the same exception again, delete the referring alias until the DeleteBot operation is successful. This operation requires permissions for the lex:DeleteBot action.","ref":"aws_lex_model_building.html#delete_bot/3","title":"aws_lex_model_building.delete_bot/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#delete_bot/4","title":"aws_lex_model_building.delete_bot/4","type":"function"},{"doc":"Deletes an alias for the specified bot. You can't delete an alias that is used in the association between a bot and a messaging channel. If an alias is used in a channel association, the DeleteBot operation returns a ResourceInUseException exception that includes a reference to the channel association that refers to the bot. You can remove the reference to the alias by deleting the channel association. If you get the same exception again, delete the referring association until the DeleteBotAlias operation is successful.","ref":"aws_lex_model_building.html#delete_bot_alias/4","title":"aws_lex_model_building.delete_bot_alias/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#delete_bot_alias/5","title":"aws_lex_model_building.delete_bot_alias/5","type":"function"},{"doc":"Deletes the association between an Amazon Lex bot and a messaging platform. This operation requires permission for the lex:DeleteBotChannelAssociation action.","ref":"aws_lex_model_building.html#delete_bot_channel_association/5","title":"aws_lex_model_building.delete_bot_channel_association/5","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#delete_bot_channel_association/6","title":"aws_lex_model_building.delete_bot_channel_association/6","type":"function"},{"doc":"Deletes a specific version of a bot. To delete all versions of a bot, use the DeleteBot operation. This operation requires permissions for the lex:DeleteBotVersion action.","ref":"aws_lex_model_building.html#delete_bot_version/4","title":"aws_lex_model_building.delete_bot_version/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#delete_bot_version/5","title":"aws_lex_model_building.delete_bot_version/5","type":"function"},{"doc":"Deletes all versions of the intent, including the $LATEST version. To delete a specific version of the intent, use the DeleteIntentVersion operation. You can delete a version of an intent only if it is not referenced. To delete an intent that is referred to in one or more bots (see how-it-works ), you must remove those references first. If you get the ResourceInUseException exception, it provides an example reference that shows where the intent is referenced. To remove the reference to the intent, either update the bot or delete it. If you get the same exception when you attempt to delete the intent again, repeat until the intent has no references and the call to DeleteIntent is successful. This operation requires permission for the lex:DeleteIntent action.","ref":"aws_lex_model_building.html#delete_intent/3","title":"aws_lex_model_building.delete_intent/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#delete_intent/4","title":"aws_lex_model_building.delete_intent/4","type":"function"},{"doc":"Deletes a specific version of an intent. To delete all versions of a intent, use the DeleteIntent operation. This operation requires permissions for the lex:DeleteIntentVersion action.","ref":"aws_lex_model_building.html#delete_intent_version/4","title":"aws_lex_model_building.delete_intent_version/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#delete_intent_version/5","title":"aws_lex_model_building.delete_intent_version/5","type":"function"},{"doc":"Deletes all versions of the slot type, including the $LATEST version. To delete a specific version of the slot type, use the DeleteSlotTypeVersion operation. You can delete a version of a slot type only if it is not referenced. To delete a slot type that is referred to in one or more intents, you must remove those references first. If you get the ResourceInUseException exception, the exception provides an example reference that shows the intent where the slot type is referenced. To remove the reference to the slot type, either update the intent or delete it. If you get the same exception when you attempt to delete the slot type again, repeat until the slot type has no references and the DeleteSlotType call is successful. This operation requires permission for the lex:DeleteSlotType action.","ref":"aws_lex_model_building.html#delete_slot_type/3","title":"aws_lex_model_building.delete_slot_type/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#delete_slot_type/4","title":"aws_lex_model_building.delete_slot_type/4","type":"function"},{"doc":"Deletes a specific version of a slot type. To delete all versions of a slot type, use the DeleteSlotType operation. This operation requires permissions for the lex:DeleteSlotTypeVersion action.","ref":"aws_lex_model_building.html#delete_slot_type_version/4","title":"aws_lex_model_building.delete_slot_type_version/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#delete_slot_type_version/5","title":"aws_lex_model_building.delete_slot_type_version/5","type":"function"},{"doc":"Deletes stored utterances. Amazon Lex stores the utterances that users send to your bot. Utterances are stored for 15 days for use with the GetUtterancesView operation, and then stored indefinitely for use in improving the ability of your bot to respond to user input. Use the DeleteUtterances operation to manually delete stored utterances for a specific user. When you use the DeleteUtterances operation, utterances stored for improving your bot's ability to respond to user input are deleted immediately. Utterances stored for use with the GetUtterancesView operation are deleted after 15 days. This operation requires permissions for the lex:DeleteUtterances action.","ref":"aws_lex_model_building.html#delete_utterances/4","title":"aws_lex_model_building.delete_utterances/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#delete_utterances/5","title":"aws_lex_model_building.delete_utterances/5","type":"function"},{"doc":"Returns metadata information for a specific bot. You must provide the bot name and the bot version or alias. This operation requires permissions for the lex:GetBot action.","ref":"aws_lex_model_building.html#get_bot/3","title":"aws_lex_model_building.get_bot/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bot/5","title":"aws_lex_model_building.get_bot/5","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bot/6","title":"aws_lex_model_building.get_bot/6","type":"function"},{"doc":"Returns information about an Amazon Lex bot alias. For more information about aliases, see versioning-aliases . This operation requires permissions for the lex:GetBotAlias action.","ref":"aws_lex_model_building.html#get_bot_alias/3","title":"aws_lex_model_building.get_bot_alias/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bot_alias/5","title":"aws_lex_model_building.get_bot_alias/5","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bot_alias/6","title":"aws_lex_model_building.get_bot_alias/6","type":"function"},{"doc":"Returns a list of aliases for a specified Amazon Lex bot. This operation requires permissions for the lex:GetBotAliases action.","ref":"aws_lex_model_building.html#get_bot_aliases/2","title":"aws_lex_model_building.get_bot_aliases/2","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bot_aliases/4","title":"aws_lex_model_building.get_bot_aliases/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bot_aliases/5","title":"aws_lex_model_building.get_bot_aliases/5","type":"function"},{"doc":"Returns information about the association between an Amazon Lex bot and a messaging platform. This operation requires permissions for the lex:GetBotChannelAssociation action.","ref":"aws_lex_model_building.html#get_bot_channel_association/4","title":"aws_lex_model_building.get_bot_channel_association/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bot_channel_association/6","title":"aws_lex_model_building.get_bot_channel_association/6","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bot_channel_association/7","title":"aws_lex_model_building.get_bot_channel_association/7","type":"function"},{"doc":"Returns a list of all of the channels associated with the specified bot. The GetBotChannelAssociations operation requires permissions for the lex:GetBotChannelAssociations action.","ref":"aws_lex_model_building.html#get_bot_channel_associations/3","title":"aws_lex_model_building.get_bot_channel_associations/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bot_channel_associations/5","title":"aws_lex_model_building.get_bot_channel_associations/5","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bot_channel_associations/6","title":"aws_lex_model_building.get_bot_channel_associations/6","type":"function"},{"doc":"Gets information about all of the versions of a bot. The GetBotVersions operation returns a BotMetadata object for each version of a bot. For example, if a bot has three numbered versions, the GetBotVersions operation returns four BotMetadata objects in the response, one for each numbered version and one for the $LATEST version. The GetBotVersions operation always returns at least one version, the $LATEST version. This operation requires permissions for the lex:GetBotVersions action.","ref":"aws_lex_model_building.html#get_bot_versions/2","title":"aws_lex_model_building.get_bot_versions/2","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bot_versions/4","title":"aws_lex_model_building.get_bot_versions/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bot_versions/5","title":"aws_lex_model_building.get_bot_versions/5","type":"function"},{"doc":"Returns bot information as follows: If you provide the nameContains field, the response includes information for the $LATEST version of all bots whose name contains the specified string. If you don't specify the nameContains field, the operation returns information about the $LATEST version of all of your bots. This operation requires permission for the lex:GetBots action.","ref":"aws_lex_model_building.html#get_bots/1","title":"aws_lex_model_building.get_bots/1","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bots/3","title":"aws_lex_model_building.get_bots/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_bots/4","title":"aws_lex_model_building.get_bots/4","type":"function"},{"doc":"Returns information about a built-in intent. This operation requires permission for the lex:GetBuiltinIntent action.","ref":"aws_lex_model_building.html#get_builtin_intent/2","title":"aws_lex_model_building.get_builtin_intent/2","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_builtin_intent/4","title":"aws_lex_model_building.get_builtin_intent/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_builtin_intent/5","title":"aws_lex_model_building.get_builtin_intent/5","type":"function"},{"doc":"Gets a list of built-in intents that meet the specified criteria. This operation requires permission for the lex:GetBuiltinIntents action.","ref":"aws_lex_model_building.html#get_builtin_intents/1","title":"aws_lex_model_building.get_builtin_intents/1","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_builtin_intents/3","title":"aws_lex_model_building.get_builtin_intents/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_builtin_intents/4","title":"aws_lex_model_building.get_builtin_intents/4","type":"function"},{"doc":"Gets a list of built-in slot types that meet the specified criteria. For a list of built-in slot types, see Slot Type Reference in the Alexa Skills Kit. This operation requires permission for the lex:GetBuiltInSlotTypes action.","ref":"aws_lex_model_building.html#get_builtin_slot_types/1","title":"aws_lex_model_building.get_builtin_slot_types/1","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_builtin_slot_types/3","title":"aws_lex_model_building.get_builtin_slot_types/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_builtin_slot_types/4","title":"aws_lex_model_building.get_builtin_slot_types/4","type":"function"},{"doc":"Exports the contents of a Amazon Lex resource in a specified format.","ref":"aws_lex_model_building.html#get_export/5","title":"aws_lex_model_building.get_export/5","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_export/7","title":"aws_lex_model_building.get_export/7","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_export/8","title":"aws_lex_model_building.get_export/8","type":"function"},{"doc":"Gets information about an import job started with the StartImport operation.","ref":"aws_lex_model_building.html#get_import/2","title":"aws_lex_model_building.get_import/2","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_import/4","title":"aws_lex_model_building.get_import/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_import/5","title":"aws_lex_model_building.get_import/5","type":"function"},{"doc":"Returns information about an intent. In addition to the intent name, you must specify the intent version. This operation requires permissions to perform the lex:GetIntent action.","ref":"aws_lex_model_building.html#get_intent/3","title":"aws_lex_model_building.get_intent/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_intent/5","title":"aws_lex_model_building.get_intent/5","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_intent/6","title":"aws_lex_model_building.get_intent/6","type":"function"},{"doc":"Gets information about all of the versions of an intent. The GetIntentVersions operation returns an IntentMetadata object for each version of an intent. For example, if an intent has three numbered versions, the GetIntentVersions operation returns four IntentMetadata objects in the response, one for each numbered version and one for the $LATEST version. The GetIntentVersions operation always returns at least one version, the $LATEST version. This operation requires permissions for the lex:GetIntentVersions action.","ref":"aws_lex_model_building.html#get_intent_versions/2","title":"aws_lex_model_building.get_intent_versions/2","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_intent_versions/4","title":"aws_lex_model_building.get_intent_versions/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_intent_versions/5","title":"aws_lex_model_building.get_intent_versions/5","type":"function"},{"doc":"Returns intent information as follows: If you specify the nameContains field, returns the $LATEST version of all intents that contain the specified string. If you don't specify the nameContains field, returns information about the $LATEST version of all intents. The operation requires permission for the lex:GetIntents action.","ref":"aws_lex_model_building.html#get_intents/1","title":"aws_lex_model_building.get_intents/1","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_intents/3","title":"aws_lex_model_building.get_intents/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_intents/4","title":"aws_lex_model_building.get_intents/4","type":"function"},{"doc":"Provides details about an ongoing or complete migration from an Amazon Lex V1 bot to an Amazon Lex V2 bot. Use this operation to view the migration alerts and warnings related to the migration.","ref":"aws_lex_model_building.html#get_migration/2","title":"aws_lex_model_building.get_migration/2","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_migration/4","title":"aws_lex_model_building.get_migration/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_migration/5","title":"aws_lex_model_building.get_migration/5","type":"function"},{"doc":"Gets a list of migrations between Amazon Lex V1 and Amazon Lex V2.","ref":"aws_lex_model_building.html#get_migrations/1","title":"aws_lex_model_building.get_migrations/1","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_migrations/3","title":"aws_lex_model_building.get_migrations/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_migrations/4","title":"aws_lex_model_building.get_migrations/4","type":"function"},{"doc":"Returns information about a specific version of a slot type. In addition to specifying the slot type name, you must specify the slot type version. This operation requires permissions for the lex:GetSlotType action.","ref":"aws_lex_model_building.html#get_slot_type/3","title":"aws_lex_model_building.get_slot_type/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_slot_type/5","title":"aws_lex_model_building.get_slot_type/5","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_slot_type/6","title":"aws_lex_model_building.get_slot_type/6","type":"function"},{"doc":"Gets information about all versions of a slot type. The GetSlotTypeVersions operation returns a SlotTypeMetadata object for each version of a slot type. For example, if a slot type has three numbered versions, the GetSlotTypeVersions operation returns four SlotTypeMetadata objects in the response, one for each numbered version and one for the $LATEST version. The GetSlotTypeVersions operation always returns at least one version, the $LATEST version. This operation requires permissions for the lex:GetSlotTypeVersions action.","ref":"aws_lex_model_building.html#get_slot_type_versions/2","title":"aws_lex_model_building.get_slot_type_versions/2","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_slot_type_versions/4","title":"aws_lex_model_building.get_slot_type_versions/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_slot_type_versions/5","title":"aws_lex_model_building.get_slot_type_versions/5","type":"function"},{"doc":"Returns slot type information as follows: If you specify the nameContains field, returns the $LATEST version of all slot types that contain the specified string. If you don't specify the nameContains field, returns information about the $LATEST version of all slot types. The operation requires permission for the lex:GetSlotTypes action.","ref":"aws_lex_model_building.html#get_slot_types/1","title":"aws_lex_model_building.get_slot_types/1","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_slot_types/3","title":"aws_lex_model_building.get_slot_types/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_slot_types/4","title":"aws_lex_model_building.get_slot_types/4","type":"function"},{"doc":"Use the GetUtterancesView operation to get information about the utterances that your users have made to your bot. You can use this list to tune the utterances that your bot responds to. For example, say that you have created a bot to order flowers. After your users have used your bot for a while, use the GetUtterancesView operation to see the requests that they have made and whether they have been successful. You might find that the utterance &quot;I want flowers&quot; is not being recognized. You could add this utterance to the OrderFlowers intent so that your bot recognizes that utterance. After you publish a new version of a bot, you can get information about the old version and the new so that you can compare the performance across the two versions. Utterance statistics are generated once a day. Data is available for the last 15 days. You can request information for up to 5 versions of your bot in each request. Amazon Lex returns the most frequent utterances received by the bot in the last 15 days. The response contains information about a maximum of 100 utterances for each version. If you set childDirected field to true when you created your bot, if you are using slot obfuscation with one or more slots, or if you opted out of participating in improving Amazon Lex, utterances are not available. This operation requires permissions for the lex:GetUtterancesView action.","ref":"aws_lex_model_building.html#get_utterances_view/4","title":"aws_lex_model_building.get_utterances_view/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_utterances_view/6","title":"aws_lex_model_building.get_utterances_view/6","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#get_utterances_view/7","title":"aws_lex_model_building.get_utterances_view/7","type":"function"},{"doc":"Gets a list of tags associated with the specified resource. Only bots, bot aliases, and bot channels can have tags associated with them.","ref":"aws_lex_model_building.html#list_tags_for_resource/2","title":"aws_lex_model_building.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#list_tags_for_resource/4","title":"aws_lex_model_building.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#list_tags_for_resource/5","title":"aws_lex_model_building.list_tags_for_resource/5","type":"function"},{"doc":"Creates an Amazon Lex conversational bot or replaces an existing bot. When you create or update a bot you are only required to specify a name, a locale, and whether the bot is directed toward children under age 13. You can use this to add intents later, or to remove intents from an existing bot. When you create a bot with the minimum information, the bot is created or updated but Amazon Lex returns the response `FAILED . You can build the bot after you add one or more intents. For more information about Amazon Lex bots, see how-it-works . ' If you specify the name of an existing bot , the fields in the request replace the existing values in the ` $L ATEST &#39; version of the bot. Amazon Lex removes any fields that you don&#39; t provide values for in the request , except for the ` idleTTLInSeconds &#39; and `privacySettings&#39; fields , which are set to their default values . If you don &#39;t specify values for required fields, Amazon Lex throws an exception. This operation requires permissions for the `lex:PutBot&#39; action . For more information , see ` security - iam &#39; .","ref":"aws_lex_model_building.html#put_bot/3","title":"aws_lex_model_building.put_bot/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#put_bot/4","title":"aws_lex_model_building.put_bot/4","type":"function"},{"doc":"Creates an alias for the specified version of the bot or replaces an alias for the specified bot. To change the version of the bot that the alias points to, replace the alias. For more information about aliases, see versioning-aliases . This operation requires permissions for the lex:PutBotAlias action.","ref":"aws_lex_model_building.html#put_bot_alias/4","title":"aws_lex_model_building.put_bot_alias/4","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#put_bot_alias/5","title":"aws_lex_model_building.put_bot_alias/5","type":"function"},{"doc":"Creates an intent or replaces an existing intent. To define the interaction between the user and your bot, you use one or more intents. For a pizza ordering bot, for example, you would create an OrderPizza intent. To create an intent or replace an existing intent, you must provide the following: Intent name. For example, OrderPizza . Sample utterances. For example, &quot;Can I order a pizza, please.&quot; and &quot;I want to order a pizza.&quot; Information to be gathered. You specify slot types for the information that your bot will request from the user. You can specify standard slot types, such as a date or a time, or custom slot types such as the size and crust of a pizza. How the intent will be fulfilled. You can provide a Lambda function or configure the intent to return the intent information to the client application. If you use a Lambda function, when all of the intent information is available, Amazon Lex invokes your Lambda function. If you configure your intent to return the intent information to the client application. You can specify other optional information in the request, such as: A confirmation prompt to ask the user to confirm an intent. For example, &quot;Shall I order your pizza?&quot; A conclusion statement to send to the user after the intent has been fulfilled. For example, &quot;I placed your pizza order.&quot; A follow-up prompt that asks the user for additional activity. For example, asking &quot;Do you want to order a drink with your pizza?&quot; If you specify an existing intent name to update the intent, Amazon Lex replaces the values in the $LATEST version of the intent with the values in the request. Amazon Lex removes fields that you don't provide in the request. If you don't specify the required fields, Amazon Lex throws an exception. When you update the $LATEST version of an intent, the status field of any bot that uses the $LATEST version of the intent is set to NOT_BUILT . For more information, see how-it-works . This operation requires permissions for the lex:PutIntent action.","ref":"aws_lex_model_building.html#put_intent/3","title":"aws_lex_model_building.put_intent/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#put_intent/4","title":"aws_lex_model_building.put_intent/4","type":"function"},{"doc":"Creates a custom slot type or replaces an existing custom slot type. To create a custom slot type, specify a name for the slot type and a set of enumeration values, which are the values that a slot of this type can assume. For more information, see how-it-works . If you specify the name of an existing slot type, the fields in the request replace the existing values in the $LATEST version of the slot type. Amazon Lex removes the fields that you don't provide in the request. If you don't specify required fields, Amazon Lex throws an exception. When you update the $LATEST version of a slot type, if a bot uses the $LATEST version of an intent that contains the slot type, the bot's status field is set to NOT_BUILT . This operation requires permissions for the lex:PutSlotType action.","ref":"aws_lex_model_building.html#put_slot_type/3","title":"aws_lex_model_building.put_slot_type/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#put_slot_type/4","title":"aws_lex_model_building.put_slot_type/4","type":"function"},{"doc":"Starts a job to import a resource to Amazon Lex.","ref":"aws_lex_model_building.html#start_import/2","title":"aws_lex_model_building.start_import/2","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#start_import/3","title":"aws_lex_model_building.start_import/3","type":"function"},{"doc":"Starts migrating a bot from Amazon Lex V1 to Amazon Lex V2. Migrate your bot when you want to take advantage of the new features of Amazon Lex V2. For more information, see Migrating a bot in the Amazon Lex developer guide.","ref":"aws_lex_model_building.html#start_migration/2","title":"aws_lex_model_building.start_migration/2","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#start_migration/3","title":"aws_lex_model_building.start_migration/3","type":"function"},{"doc":"Adds the specified tags to the specified resource. If a tag key already exists, the existing value is replaced with the new value.","ref":"aws_lex_model_building.html#tag_resource/3","title":"aws_lex_model_building.tag_resource/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#tag_resource/4","title":"aws_lex_model_building.tag_resource/4","type":"function"},{"doc":"Removes tags from a bot, bot alias or bot channel.","ref":"aws_lex_model_building.html#untag_resource/3","title":"aws_lex_model_building.untag_resource/3","type":"function"},{"doc":"","ref":"aws_lex_model_building.html#untag_resource/4","title":"aws_lex_model_building.untag_resource/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html","title":"aws_lex_models_v2","type":"module"},{"doc":"Create a batch of custom vocabulary items for a given bot locale's custom vocabulary.","ref":"aws_lex_models_v2.html#batch_create_custom_vocabulary_item/5","title":"aws_lex_models_v2.batch_create_custom_vocabulary_item/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#batch_create_custom_vocabulary_item/6","title":"aws_lex_models_v2.batch_create_custom_vocabulary_item/6","type":"function"},{"doc":"Delete a batch of custom vocabulary items for a given bot locale's custom vocabulary.","ref":"aws_lex_models_v2.html#batch_delete_custom_vocabulary_item/5","title":"aws_lex_models_v2.batch_delete_custom_vocabulary_item/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#batch_delete_custom_vocabulary_item/6","title":"aws_lex_models_v2.batch_delete_custom_vocabulary_item/6","type":"function"},{"doc":"Update a batch of custom vocabulary items for a given bot locale's custom vocabulary.","ref":"aws_lex_models_v2.html#batch_update_custom_vocabulary_item/5","title":"aws_lex_models_v2.batch_update_custom_vocabulary_item/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#batch_update_custom_vocabulary_item/6","title":"aws_lex_models_v2.batch_update_custom_vocabulary_item/6","type":"function"},{"doc":"Builds a bot, its intents, and its slot types into a specific locale. A bot can be built into multiple locales. At runtime the locale is used to choose a specific build of the bot.","ref":"aws_lex_models_v2.html#build_bot_locale/5","title":"aws_lex_models_v2.build_bot_locale/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#build_bot_locale/6","title":"aws_lex_models_v2.build_bot_locale/6","type":"function"},{"doc":"Creates an Amazon Lex conversational bot.","ref":"aws_lex_models_v2.html#create_bot/2","title":"aws_lex_models_v2.create_bot/2","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#create_bot/3","title":"aws_lex_models_v2.create_bot/3","type":"function"},{"doc":"Creates an alias for the specified version of a bot. Use an alias to enable you to change the version of a bot without updating applications that use the bot. For example, you can create an alias called &quot;PROD&quot; that your applications use to call the Amazon Lex bot.","ref":"aws_lex_models_v2.html#create_bot_alias/3","title":"aws_lex_models_v2.create_bot_alias/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#create_bot_alias/4","title":"aws_lex_models_v2.create_bot_alias/4","type":"function"},{"doc":"Creates a locale in the bot. The locale contains the intents and slot types that the bot uses in conversations with users in the specified language and locale. You must add a locale to a bot before you can add intents and slot types to the bot.","ref":"aws_lex_models_v2.html#create_bot_locale/4","title":"aws_lex_models_v2.create_bot_locale/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#create_bot_locale/5","title":"aws_lex_models_v2.create_bot_locale/5","type":"function"},{"doc":"Creates a new version of the bot based on the DRAFT version. If the DRAFT version of this resource hasn't changed since you created the last version, Amazon Lex doesn't create a new version, it returns the last created version. When you create the first version of a bot, Amazon Lex sets the version to 1. Subsequent versions increment by 1.","ref":"aws_lex_models_v2.html#create_bot_version/3","title":"aws_lex_models_v2.create_bot_version/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#create_bot_version/4","title":"aws_lex_models_v2.create_bot_version/4","type":"function"},{"doc":"Creates a zip archive containing the contents of a bot or a bot locale. The archive contains a directory structure that contains JSON files that define the bot. You can create an archive that contains the complete definition of a bot, or you can specify that the archive contain only the definition of a single bot locale. For more information about exporting bots, and about the structure of the export archive, see Importing and exporting bots","ref":"aws_lex_models_v2.html#create_export/2","title":"aws_lex_models_v2.create_export/2","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#create_export/3","title":"aws_lex_models_v2.create_export/3","type":"function"},{"doc":"Creates an intent. To define the interaction between the user and your bot, you define one or more intents. For example, for a pizza ordering bot you would create an OrderPizza intent. When you create an intent, you must provide a name. You can optionally provide the following: Sample utterances. For example, &quot;I want to order a pizza&quot; and &quot;Can I order a pizza.&quot; You can't provide utterances for built-in intents. Information to be gathered. You specify slots for the information that you bot requests from the user. You can specify standard slot types, such as date and time, or custom slot types for your application. How the intent is fulfilled. You can provide a Lambda function or configure the intent to return the intent information to your client application. If you use a Lambda function, Amazon Lex invokes the function when all of the intent information is available. A confirmation prompt to send to the user to confirm an intent. For example, &quot;Shall I order your pizza?&quot; A conclusion statement to send to the user after the intent is fulfilled. For example, &quot;I ordered your pizza.&quot; A follow-up prompt that asks the user for additional activity. For example, &quot;Do you want a drink with your pizza?&quot;","ref":"aws_lex_models_v2.html#create_intent/5","title":"aws_lex_models_v2.create_intent/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#create_intent/6","title":"aws_lex_models_v2.create_intent/6","type":"function"},{"doc":"Creates a new resource policy with the specified policy statements.","ref":"aws_lex_models_v2.html#create_resource_policy/3","title":"aws_lex_models_v2.create_resource_policy/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#create_resource_policy/4","title":"aws_lex_models_v2.create_resource_policy/4","type":"function"},{"doc":"Adds a new resource policy statement to a bot or bot alias. If a resource policy exists, the statement is added to the current resource policy. If a policy doesn't exist, a new policy is created. You can't create a resource policy statement that allows cross-account access.","ref":"aws_lex_models_v2.html#create_resource_policy_statement/3","title":"aws_lex_models_v2.create_resource_policy_statement/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#create_resource_policy_statement/4","title":"aws_lex_models_v2.create_resource_policy_statement/4","type":"function"},{"doc":"Creates a slot in an intent. A slot is a variable needed to fulfill an intent. For example, an OrderPizza intent might need slots for size, crust, and number of pizzas. For each slot, you define one or more utterances that Amazon Lex uses to elicit a response from the user.","ref":"aws_lex_models_v2.html#create_slot/6","title":"aws_lex_models_v2.create_slot/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#create_slot/7","title":"aws_lex_models_v2.create_slot/7","type":"function"},{"doc":"Creates a custom slot type To create a custom slot type, specify a name for the slot type and a set of enumeration values, the values that a slot of this type can assume.","ref":"aws_lex_models_v2.html#create_slot_type/5","title":"aws_lex_models_v2.create_slot_type/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#create_slot_type/6","title":"aws_lex_models_v2.create_slot_type/6","type":"function"},{"doc":"Gets a pre-signed S3 write URL that you use to upload the zip archive when importing a bot or a bot locale.","ref":"aws_lex_models_v2.html#create_upload_url/2","title":"aws_lex_models_v2.create_upload_url/2","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#create_upload_url/3","title":"aws_lex_models_v2.create_upload_url/3","type":"function"},{"doc":"Deletes all versions of a bot, including the Draft version. To delete a specific version, use the DeleteBotVersion operation. When you delete a bot, all of the resources contained in the bot are also deleted. Deleting a bot removes all locales, intents, slot, and slot types defined for the bot. If a bot has an alias, the DeleteBot operation returns a ResourceInUseException exception. If you want to delete the bot and the alias, set the skipResourceInUseCheck parameter to true .","ref":"aws_lex_models_v2.html#delete_bot/3","title":"aws_lex_models_v2.delete_bot/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_bot/4","title":"aws_lex_models_v2.delete_bot/4","type":"function"},{"doc":"Deletes the specified bot alias.","ref":"aws_lex_models_v2.html#delete_bot_alias/4","title":"aws_lex_models_v2.delete_bot_alias/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_bot_alias/5","title":"aws_lex_models_v2.delete_bot_alias/5","type":"function"},{"doc":"Removes a locale from a bot. When you delete a locale, all intents, slots, and slot types defined for the locale are also deleted.","ref":"aws_lex_models_v2.html#delete_bot_locale/5","title":"aws_lex_models_v2.delete_bot_locale/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_bot_locale/6","title":"aws_lex_models_v2.delete_bot_locale/6","type":"function"},{"doc":"Deletes a specific version of a bot. To delete all versions of a bot, use the DeleteBot operation.","ref":"aws_lex_models_v2.html#delete_bot_version/4","title":"aws_lex_models_v2.delete_bot_version/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_bot_version/5","title":"aws_lex_models_v2.delete_bot_version/5","type":"function"},{"doc":"Removes a custom vocabulary from the specified locale in the specified bot.","ref":"aws_lex_models_v2.html#delete_custom_vocabulary/5","title":"aws_lex_models_v2.delete_custom_vocabulary/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_custom_vocabulary/6","title":"aws_lex_models_v2.delete_custom_vocabulary/6","type":"function"},{"doc":"Removes a previous export and the associated files stored in an S3 bucket.","ref":"aws_lex_models_v2.html#delete_export/3","title":"aws_lex_models_v2.delete_export/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_export/4","title":"aws_lex_models_v2.delete_export/4","type":"function"},{"doc":"Removes a previous import and the associated file stored in an S3 bucket.","ref":"aws_lex_models_v2.html#delete_import/3","title":"aws_lex_models_v2.delete_import/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_import/4","title":"aws_lex_models_v2.delete_import/4","type":"function"},{"doc":"Removes the specified intent. Deleting an intent also deletes the slots associated with the intent.","ref":"aws_lex_models_v2.html#delete_intent/6","title":"aws_lex_models_v2.delete_intent/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_intent/7","title":"aws_lex_models_v2.delete_intent/7","type":"function"},{"doc":"Removes an existing policy from a bot or bot alias. If the resource doesn't have a policy attached, Amazon Lex returns an exception.","ref":"aws_lex_models_v2.html#delete_resource_policy/3","title":"aws_lex_models_v2.delete_resource_policy/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_resource_policy/4","title":"aws_lex_models_v2.delete_resource_policy/4","type":"function"},{"doc":"Deletes a policy statement from a resource policy. If you delete the last statement from a policy, the policy is deleted. If you specify a statement ID that doesn't exist in the policy, or if the bot or bot alias doesn't have a policy attached, Amazon Lex returns an exception.","ref":"aws_lex_models_v2.html#delete_resource_policy_statement/4","title":"aws_lex_models_v2.delete_resource_policy_statement/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_resource_policy_statement/5","title":"aws_lex_models_v2.delete_resource_policy_statement/5","type":"function"},{"doc":"Deletes the specified slot from an intent.","ref":"aws_lex_models_v2.html#delete_slot/7","title":"aws_lex_models_v2.delete_slot/7","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_slot/8","title":"aws_lex_models_v2.delete_slot/8","type":"function"},{"doc":"Deletes a slot type from a bot locale. If a slot is using the slot type, Amazon Lex throws a ResourceInUseException exception. To avoid the exception, set the skipResourceInUseCheck parameter to true .","ref":"aws_lex_models_v2.html#delete_slot_type/6","title":"aws_lex_models_v2.delete_slot_type/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_slot_type/7","title":"aws_lex_models_v2.delete_slot_type/7","type":"function"},{"doc":"Deletes stored utterances. Amazon Lex stores the utterances that users send to your bot. Utterances are stored for 15 days for use with the ListAggregatedUtterances operation, and then stored indefinitely for use in improving the ability of your bot to respond to user input.. Use the DeleteUtterances operation to manually delete utterances for a specific session. When you use the DeleteUtterances operation, utterances stored for improving your bot's ability to respond to user input are deleted immediately. Utterances stored for use with the ListAggregatedUtterances operation are deleted after 15 days.","ref":"aws_lex_models_v2.html#delete_utterances/3","title":"aws_lex_models_v2.delete_utterances/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#delete_utterances/4","title":"aws_lex_models_v2.delete_utterances/4","type":"function"},{"doc":"Provides metadata information about a bot.","ref":"aws_lex_models_v2.html#describe_bot/2","title":"aws_lex_models_v2.describe_bot/2","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_bot/4","title":"aws_lex_models_v2.describe_bot/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_bot/5","title":"aws_lex_models_v2.describe_bot/5","type":"function"},{"doc":"Get information about a specific bot alias.","ref":"aws_lex_models_v2.html#describe_bot_alias/3","title":"aws_lex_models_v2.describe_bot_alias/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_bot_alias/5","title":"aws_lex_models_v2.describe_bot_alias/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_bot_alias/6","title":"aws_lex_models_v2.describe_bot_alias/6","type":"function"},{"doc":"Describes the settings that a bot has for a specific locale.","ref":"aws_lex_models_v2.html#describe_bot_locale/4","title":"aws_lex_models_v2.describe_bot_locale/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_bot_locale/6","title":"aws_lex_models_v2.describe_bot_locale/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_bot_locale/7","title":"aws_lex_models_v2.describe_bot_locale/7","type":"function"},{"doc":"Provides metadata information about a bot recommendation. This information will enable you to get a description on the request inputs, to download associated transcripts after processing is complete, and to download intents and slot-types generated by the bot recommendation.","ref":"aws_lex_models_v2.html#describe_bot_recommendation/5","title":"aws_lex_models_v2.describe_bot_recommendation/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_bot_recommendation/7","title":"aws_lex_models_v2.describe_bot_recommendation/7","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_bot_recommendation/8","title":"aws_lex_models_v2.describe_bot_recommendation/8","type":"function"},{"doc":"Provides metadata about a version of a bot.","ref":"aws_lex_models_v2.html#describe_bot_version/3","title":"aws_lex_models_v2.describe_bot_version/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_bot_version/5","title":"aws_lex_models_v2.describe_bot_version/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_bot_version/6","title":"aws_lex_models_v2.describe_bot_version/6","type":"function"},{"doc":"Provides metadata information about a custom vocabulary.","ref":"aws_lex_models_v2.html#describe_custom_vocabulary_metadata/4","title":"aws_lex_models_v2.describe_custom_vocabulary_metadata/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_custom_vocabulary_metadata/6","title":"aws_lex_models_v2.describe_custom_vocabulary_metadata/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_custom_vocabulary_metadata/7","title":"aws_lex_models_v2.describe_custom_vocabulary_metadata/7","type":"function"},{"doc":"Gets information about a specific export.","ref":"aws_lex_models_v2.html#describe_export/2","title":"aws_lex_models_v2.describe_export/2","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_export/4","title":"aws_lex_models_v2.describe_export/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_export/5","title":"aws_lex_models_v2.describe_export/5","type":"function"},{"doc":"Gets information about a specific import.","ref":"aws_lex_models_v2.html#describe_import/2","title":"aws_lex_models_v2.describe_import/2","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_import/4","title":"aws_lex_models_v2.describe_import/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_import/5","title":"aws_lex_models_v2.describe_import/5","type":"function"},{"doc":"Returns metadata about an intent.","ref":"aws_lex_models_v2.html#describe_intent/5","title":"aws_lex_models_v2.describe_intent/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_intent/7","title":"aws_lex_models_v2.describe_intent/7","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_intent/8","title":"aws_lex_models_v2.describe_intent/8","type":"function"},{"doc":"Gets the resource policy and policy revision for a bot or bot alias.","ref":"aws_lex_models_v2.html#describe_resource_policy/2","title":"aws_lex_models_v2.describe_resource_policy/2","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_resource_policy/4","title":"aws_lex_models_v2.describe_resource_policy/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_resource_policy/5","title":"aws_lex_models_v2.describe_resource_policy/5","type":"function"},{"doc":"Gets metadata information about a slot.","ref":"aws_lex_models_v2.html#describe_slot/6","title":"aws_lex_models_v2.describe_slot/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_slot/8","title":"aws_lex_models_v2.describe_slot/8","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_slot/9","title":"aws_lex_models_v2.describe_slot/9","type":"function"},{"doc":"Gets metadata information about a slot type.","ref":"aws_lex_models_v2.html#describe_slot_type/5","title":"aws_lex_models_v2.describe_slot_type/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_slot_type/7","title":"aws_lex_models_v2.describe_slot_type/7","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#describe_slot_type/8","title":"aws_lex_models_v2.describe_slot_type/8","type":"function"},{"doc":"Provides a list of utterances that users have sent to the bot. Utterances are aggregated by the text of the utterance. For example, all instances where customers used the phrase &quot;I want to order pizza&quot; are aggregated into the same line in the response. You can see both detected utterances and missed utterances. A detected utterance is where the bot properly recognized the utterance and activated the associated intent. A missed utterance was not recognized by the bot and didn't activate an intent. Utterances can be aggregated for a bot alias or for a bot version, but not both at the same time. Utterances statistics are not generated under the following conditions: The childDirected field was set to true when the bot was created. You are using slot obfuscation with one or more slots. You opted out of participating in improving Amazon Lex.","ref":"aws_lex_models_v2.html#list_aggregated_utterances/3","title":"aws_lex_models_v2.list_aggregated_utterances/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_aggregated_utterances/4","title":"aws_lex_models_v2.list_aggregated_utterances/4","type":"function"},{"doc":"Gets a list of aliases for the specified bot.","ref":"aws_lex_models_v2.html#list_bot_aliases/3","title":"aws_lex_models_v2.list_bot_aliases/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_bot_aliases/4","title":"aws_lex_models_v2.list_bot_aliases/4","type":"function"},{"doc":"Gets a list of locales for the specified bot.","ref":"aws_lex_models_v2.html#list_bot_locales/4","title":"aws_lex_models_v2.list_bot_locales/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_bot_locales/5","title":"aws_lex_models_v2.list_bot_locales/5","type":"function"},{"doc":"Get a list of bot recommendations that meet the specified criteria.","ref":"aws_lex_models_v2.html#list_bot_recommendations/5","title":"aws_lex_models_v2.list_bot_recommendations/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_bot_recommendations/6","title":"aws_lex_models_v2.list_bot_recommendations/6","type":"function"},{"doc":"Gets information about all of the versions of a bot. The ListBotVersions operation returns a summary of each version of a bot. For example, if a bot has three numbered versions, the ListBotVersions operation returns for summaries, one for each numbered version and one for the DRAFT version. The ListBotVersions operation always returns at least one version, the DRAFT version.","ref":"aws_lex_models_v2.html#list_bot_versions/3","title":"aws_lex_models_v2.list_bot_versions/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_bot_versions/4","title":"aws_lex_models_v2.list_bot_versions/4","type":"function"},{"doc":"Gets a list of available bots.","ref":"aws_lex_models_v2.html#list_bots/2","title":"aws_lex_models_v2.list_bots/2","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_bots/3","title":"aws_lex_models_v2.list_bots/3","type":"function"},{"doc":"Gets a list of built-in intents provided by Amazon Lex that you can use in your bot. To use a built-in intent as a the base for your own intent, include the built-in intent signature in the parentIntentSignature parameter when you call the CreateIntent operation. For more information, see CreateIntent.","ref":"aws_lex_models_v2.html#list_built_in_intents/3","title":"aws_lex_models_v2.list_built_in_intents/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_built_in_intents/4","title":"aws_lex_models_v2.list_built_in_intents/4","type":"function"},{"doc":"Gets a list of built-in slot types that meet the specified criteria.","ref":"aws_lex_models_v2.html#list_built_in_slot_types/3","title":"aws_lex_models_v2.list_built_in_slot_types/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_built_in_slot_types/4","title":"aws_lex_models_v2.list_built_in_slot_types/4","type":"function"},{"doc":"Paginated list of custom vocabulary items for a given bot locale's custom vocabulary.","ref":"aws_lex_models_v2.html#list_custom_vocabulary_items/5","title":"aws_lex_models_v2.list_custom_vocabulary_items/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_custom_vocabulary_items/6","title":"aws_lex_models_v2.list_custom_vocabulary_items/6","type":"function"},{"doc":"Lists the exports for a bot, bot locale, or custom vocabulary. Exports are kept in the list for 7 days.","ref":"aws_lex_models_v2.html#list_exports/2","title":"aws_lex_models_v2.list_exports/2","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_exports/3","title":"aws_lex_models_v2.list_exports/3","type":"function"},{"doc":"Lists the imports for a bot, bot locale, or custom vocabulary. Imports are kept in the list for 7 days.","ref":"aws_lex_models_v2.html#list_imports/2","title":"aws_lex_models_v2.list_imports/2","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_imports/3","title":"aws_lex_models_v2.list_imports/3","type":"function"},{"doc":"Get a list of intents that meet the specified criteria.","ref":"aws_lex_models_v2.html#list_intents/5","title":"aws_lex_models_v2.list_intents/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_intents/6","title":"aws_lex_models_v2.list_intents/6","type":"function"},{"doc":"Gets a list of recommended intents provided by the bot recommendation that you can use in your bot. Intents in the response are ordered by relevance.","ref":"aws_lex_models_v2.html#list_recommended_intents/6","title":"aws_lex_models_v2.list_recommended_intents/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_recommended_intents/7","title":"aws_lex_models_v2.list_recommended_intents/7","type":"function"},{"doc":"Gets a list of slot types that match the specified criteria.","ref":"aws_lex_models_v2.html#list_slot_types/5","title":"aws_lex_models_v2.list_slot_types/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_slot_types/6","title":"aws_lex_models_v2.list_slot_types/6","type":"function"},{"doc":"Gets a list of slots that match the specified criteria.","ref":"aws_lex_models_v2.html#list_slots/6","title":"aws_lex_models_v2.list_slots/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_slots/7","title":"aws_lex_models_v2.list_slots/7","type":"function"},{"doc":"Gets a list of tags associated with a resource. Only bots, bot aliases, and bot channels can have tags associated with them.","ref":"aws_lex_models_v2.html#list_tags_for_resource/2","title":"aws_lex_models_v2.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_tags_for_resource/4","title":"aws_lex_models_v2.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#list_tags_for_resource/5","title":"aws_lex_models_v2.list_tags_for_resource/5","type":"function"},{"doc":"Search for associated transcripts that meet the specified criteria.","ref":"aws_lex_models_v2.html#search_associated_transcripts/6","title":"aws_lex_models_v2.search_associated_transcripts/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#search_associated_transcripts/7","title":"aws_lex_models_v2.search_associated_transcripts/7","type":"function"},{"doc":"Use this to provide your transcript data, and to start the bot recommendation process.","ref":"aws_lex_models_v2.html#start_bot_recommendation/5","title":"aws_lex_models_v2.start_bot_recommendation/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#start_bot_recommendation/6","title":"aws_lex_models_v2.start_bot_recommendation/6","type":"function"},{"doc":"Starts importing a bot, bot locale, or custom vocabulary from a zip archive that you uploaded to an S3 bucket.","ref":"aws_lex_models_v2.html#start_import/2","title":"aws_lex_models_v2.start_import/2","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#start_import/3","title":"aws_lex_models_v2.start_import/3","type":"function"},{"doc":"Stop an already running Bot Recommendation request.","ref":"aws_lex_models_v2.html#stop_bot_recommendation/6","title":"aws_lex_models_v2.stop_bot_recommendation/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#stop_bot_recommendation/7","title":"aws_lex_models_v2.stop_bot_recommendation/7","type":"function"},{"doc":"Adds the specified tags to the specified resource. If a tag key already exists, the existing value is replaced with the new value.","ref":"aws_lex_models_v2.html#tag_resource/3","title":"aws_lex_models_v2.tag_resource/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#tag_resource/4","title":"aws_lex_models_v2.tag_resource/4","type":"function"},{"doc":"Removes tags from a bot, bot alias, or bot channel.","ref":"aws_lex_models_v2.html#untag_resource/3","title":"aws_lex_models_v2.untag_resource/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#untag_resource/4","title":"aws_lex_models_v2.untag_resource/4","type":"function"},{"doc":"Updates the configuration of an existing bot.","ref":"aws_lex_models_v2.html#update_bot/3","title":"aws_lex_models_v2.update_bot/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#update_bot/4","title":"aws_lex_models_v2.update_bot/4","type":"function"},{"doc":"Updates the configuration of an existing bot alias.","ref":"aws_lex_models_v2.html#update_bot_alias/4","title":"aws_lex_models_v2.update_bot_alias/4","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#update_bot_alias/5","title":"aws_lex_models_v2.update_bot_alias/5","type":"function"},{"doc":"Updates the settings that a bot has for a specific locale.","ref":"aws_lex_models_v2.html#update_bot_locale/5","title":"aws_lex_models_v2.update_bot_locale/5","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#update_bot_locale/6","title":"aws_lex_models_v2.update_bot_locale/6","type":"function"},{"doc":"Updates an existing bot recommendation request.","ref":"aws_lex_models_v2.html#update_bot_recommendation/6","title":"aws_lex_models_v2.update_bot_recommendation/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#update_bot_recommendation/7","title":"aws_lex_models_v2.update_bot_recommendation/7","type":"function"},{"doc":"Updates the password used to protect an export zip archive. The password is not required. If you don't supply a password, Amazon Lex generates a zip file that is not protected by a password. This is the archive that is available at the pre-signed S3 URL provided by the DescribeExport operation.","ref":"aws_lex_models_v2.html#update_export/3","title":"aws_lex_models_v2.update_export/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#update_export/4","title":"aws_lex_models_v2.update_export/4","type":"function"},{"doc":"Updates the settings for an intent.","ref":"aws_lex_models_v2.html#update_intent/6","title":"aws_lex_models_v2.update_intent/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#update_intent/7","title":"aws_lex_models_v2.update_intent/7","type":"function"},{"doc":"Replaces the existing resource policy for a bot or bot alias with a new one. If the policy doesn't exist, Amazon Lex returns an exception.","ref":"aws_lex_models_v2.html#update_resource_policy/3","title":"aws_lex_models_v2.update_resource_policy/3","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#update_resource_policy/4","title":"aws_lex_models_v2.update_resource_policy/4","type":"function"},{"doc":"Updates the settings for a slot.","ref":"aws_lex_models_v2.html#update_slot/7","title":"aws_lex_models_v2.update_slot/7","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#update_slot/8","title":"aws_lex_models_v2.update_slot/8","type":"function"},{"doc":"Updates the configuration of an existing slot type.","ref":"aws_lex_models_v2.html#update_slot_type/6","title":"aws_lex_models_v2.update_slot_type/6","type":"function"},{"doc":"","ref":"aws_lex_models_v2.html#update_slot_type/7","title":"aws_lex_models_v2.update_slot_type/7","type":"function"},{"doc":"Amazon Lex provides both build and runtime endpoints. Each endpoint provides a set of operations (API). Your conversational bot uses the runtime API to understand user utterances (user input text or voice). For example, suppose a user says &quot;I want pizza&quot;, your bot sends this input to Amazon Lex using the runtime API. Amazon Lex recognizes that the user request is for the OrderPizza intent (one of the intents defined in the bot). Then Amazon Lex engages in user conversation on behalf of the bot to elicit required information (slot values, such as pizza size and crust type), and then performs fulfillment activity (that you configured when you created the bot). You use the build-time API to create and manage your Amazon Lex bot. For a list of build-time operations, see the build-time API, .","ref":"aws_lex_runtime.html","title":"aws_lex_runtime","type":"module"},{"doc":"Removes session information for a specified bot, alias, and user ID.","ref":"aws_lex_runtime.html#delete_session/5","title":"aws_lex_runtime.delete_session/5","type":"function"},{"doc":"","ref":"aws_lex_runtime.html#delete_session/6","title":"aws_lex_runtime.delete_session/6","type":"function"},{"doc":"Returns session information for a specified bot, alias, and user ID.","ref":"aws_lex_runtime.html#get_session/4","title":"aws_lex_runtime.get_session/4","type":"function"},{"doc":"","ref":"aws_lex_runtime.html#get_session/6","title":"aws_lex_runtime.get_session/6","type":"function"},{"doc":"","ref":"aws_lex_runtime.html#get_session/7","title":"aws_lex_runtime.get_session/7","type":"function"},{"doc":"Sends user input (text or speech) to Amazon Lex. Clients use this API to send text and audio requests to Amazon Lex at runtime. Amazon Lex interprets the user input using the machine learning model that it built for the bot. The PostContent operation supports audio input at 8kHz and 16kHz. You can use 8kHz audio to achieve higher speech recognition accuracy in telephone audio applications. In response, Amazon Lex returns the next message to convey to the user. Consider the following example messages: For a user input &quot;I would like a pizza,&quot; Amazon Lex might return a response with a message eliciting slot data (for example, PizzaSize ): &quot;What size pizza would you like?&quot;. After the user provides all of the pizza order information, Amazon Lex might return a response with a message to get user confirmation: &quot;Order the pizza?&quot;. After the user replies &quot;Yes&quot; to the confirmation prompt, Amazon Lex might return a conclusion statement: &quot;Thank you, your cheese pizza has been ordered.&quot;. Not all Amazon Lex messages require a response from the user. For example, conclusion statements do not require a response. Some messages require only a yes or no response. In addition to the message , Amazon Lex provides additional context about the message in the response that you can use to enhance client behavior, such as displaying the appropriate client user interface. Consider the following examples: If the message is to elicit slot data, Amazon Lex returns the following context information: x-amz-lex-dialog-state header set to ElicitSlot x-amz-lex-intent-name header set to the intent name in the current context x-amz-lex-slot-to-elicit header set to the slot name for which the message is eliciting information x-amz-lex-slots header set to a map of slots configured for the intent with their current values If the message is a confirmation prompt, the x-amz-lex-dialog-state header is set to Confirmation and the x-amz-lex-slot-to-elicit header is omitted. If the message is a clarification prompt configured for the intent, indicating that the user intent is not understood, the x-amz-dialog-state header is set to ElicitIntent and the x-amz-slot-to-elicit header is omitted. In addition, Amazon Lex also returns your application-specific sessionAttributes . For more information, see Managing Conversation Context.","ref":"aws_lex_runtime.html#post_content/5","title":"aws_lex_runtime.post_content/5","type":"function"},{"doc":"","ref":"aws_lex_runtime.html#post_content/6","title":"aws_lex_runtime.post_content/6","type":"function"},{"doc":"Sends user input to Amazon Lex. Client applications can use this API to send requests to Amazon Lex at runtime. Amazon Lex then interprets the user input using the machine learning model it built for the bot. In response, Amazon Lex returns the next message to convey to the user an optional responseCard to display. Consider the following example messages: For a user input &quot;I would like a pizza&quot;, Amazon Lex might return a response with a message eliciting slot data (for example, PizzaSize): &quot;What size pizza would you like?&quot; After the user provides all of the pizza order information, Amazon Lex might return a response with a message to obtain user confirmation &quot;Proceed with the pizza order?&quot;. After the user replies to a confirmation prompt with a &quot;yes&quot;, Amazon Lex might return a conclusion statement: &quot;Thank you, your cheese pizza has been ordered.&quot;. Not all Amazon Lex messages require a user response. For example, a conclusion statement does not require a response. Some messages require only a &quot;yes&quot; or &quot;no&quot; user response. In addition to the message , Amazon Lex provides additional context about the message in the response that you might use to enhance client behavior, for example, to display the appropriate client user interface. These are the slotToElicit , dialogState , intentName , and slots fields in the response. Consider the following examples: If the message is to elicit slot data, Amazon Lex returns the following context information: dialogState set to ElicitSlot intentName set to the intent name in the current context slotToElicit set to the slot name for which the message is eliciting information slots set to a map of slots, configured for the intent, with currently known values If the message is a confirmation prompt, the dialogState is set to ConfirmIntent and SlotToElicit is set to null. If the message is a clarification prompt (configured for the intent) that indicates that user intent is not understood, the dialogState is set to ElicitIntent and slotToElicit is set to null. In addition, Amazon Lex also returns your application-specific sessionAttributes . For more information, see Managing Conversation Context.","ref":"aws_lex_runtime.html#post_text/5","title":"aws_lex_runtime.post_text/5","type":"function"},{"doc":"","ref":"aws_lex_runtime.html#post_text/6","title":"aws_lex_runtime.post_text/6","type":"function"},{"doc":"Creates a new session or modifies an existing session with an Amazon Lex bot. Use this operation to enable your application to set the state of the bot. For more information, see Managing Sessions.","ref":"aws_lex_runtime.html#put_session/5","title":"aws_lex_runtime.put_session/5","type":"function"},{"doc":"","ref":"aws_lex_runtime.html#put_session/6","title":"aws_lex_runtime.put_session/6","type":"function"},{"doc":"This section contains documentation for the Amazon Lex V2 Runtime V2 API operations.","ref":"aws_lex_runtime_v2.html","title":"aws_lex_runtime_v2","type":"module"},{"doc":"Removes session information for a specified bot, alias, and user ID. You can use this operation to restart a conversation with a bot. When you remove a session, the entire history of the session is removed so that you can start again. You don't need to delete a session. Sessions have a time limit and will expire. Set the session time limit when you create the bot. The default is 5 minutes, but you can specify anything between 1 minute and 24 hours. If you specify a bot or alias ID that doesn't exist, you receive a BadRequestException. If the locale doesn't exist in the bot, or if the locale hasn't been enables for the alias, you receive a BadRequestException .","ref":"aws_lex_runtime_v2.html#delete_session/6","title":"aws_lex_runtime_v2.delete_session/6","type":"function"},{"doc":"","ref":"aws_lex_runtime_v2.html#delete_session/7","title":"aws_lex_runtime_v2.delete_session/7","type":"function"},{"doc":"Returns session information for a specified bot, alias, and user. For example, you can use this operation to retrieve session information for a user that has left a long-running session in use. If the bot, alias, or session identifier doesn't exist, Amazon Lex V2 returns a BadRequestException . If the locale doesn't exist or is not enabled for the alias, you receive a BadRequestException .","ref":"aws_lex_runtime_v2.html#get_session/5","title":"aws_lex_runtime_v2.get_session/5","type":"function"},{"doc":"","ref":"aws_lex_runtime_v2.html#get_session/7","title":"aws_lex_runtime_v2.get_session/7","type":"function"},{"doc":"","ref":"aws_lex_runtime_v2.html#get_session/8","title":"aws_lex_runtime_v2.get_session/8","type":"function"},{"doc":"Creates a new session or modifies an existing session with an Amazon Lex V2 bot. Use this operation to enable your application to set the state of the bot.","ref":"aws_lex_runtime_v2.html#put_session/6","title":"aws_lex_runtime_v2.put_session/6","type":"function"},{"doc":"","ref":"aws_lex_runtime_v2.html#put_session/7","title":"aws_lex_runtime_v2.put_session/7","type":"function"},{"doc":"Sends user input to Amazon Lex V2. Client applications use this API to send requests to Amazon Lex V2 at runtime. Amazon Lex V2 then interprets the user input using the machine learning model that it build for the bot. In response, Amazon Lex V2 returns the next message to convey to the user and an optional response card to display. If the optional post-fulfillment response is specified, the messages are returned as follows. For more information, see PostFulfillmentStatusSpecification. Success message - Returned if the Lambda function completes successfully and the intent state is fulfilled or ready fulfillment if the message is present. Failed message - The failed message is returned if the Lambda function throws an exception or if the Lambda function returns a failed intent state without a message. Timeout message - If you don't configure a timeout message and a timeout, and the Lambda function doesn't return within 30 seconds, the timeout message is returned. If you configure a timeout, the timeout message is returned when the period times out. For more information, see Completion message.","ref":"aws_lex_runtime_v2.html#recognize_text/6","title":"aws_lex_runtime_v2.recognize_text/6","type":"function"},{"doc":"","ref":"aws_lex_runtime_v2.html#recognize_text/7","title":"aws_lex_runtime_v2.recognize_text/7","type":"function"},{"doc":"Sends user input to Amazon Lex V2. You can send text or speech. Clients use this API to send text and audio requests to Amazon Lex V2 at runtime. Amazon Lex V2 interprets the user input using the machine learning model built for the bot. The following request fields must be compressed with gzip and then base64 encoded before you send them to Amazon Lex V2. requestAttributes sessionState The following response fields are compressed using gzip and then base64 encoded by Amazon Lex V2. Before you can use these fields, you must decode and decompress them. inputTranscript interpretations messages requestAttributes sessionState The example contains a Java application that compresses and encodes a Java object to send to Amazon Lex V2, and a second that decodes and decompresses a response from Amazon Lex V2. If the optional post-fulfillment response is specified, the messages are returned as follows. For more information, see PostFulfillmentStatusSpecification. Success message - Returned if the Lambda function completes successfully and the intent state is fulfilled or ready fulfillment if the message is present. Failed message - The failed message is returned if the Lambda function throws an exception or if the Lambda function returns a failed intent state without a message. Timeout message - If you don't configure a timeout message and a timeout, and the Lambda function doesn't return within 30 seconds, the timeout message is returned. If you configure a timeout, the timeout message is returned when the period times out. For more information, see Completion message.","ref":"aws_lex_runtime_v2.html#recognize_utterance/6","title":"aws_lex_runtime_v2.recognize_utterance/6","type":"function"},{"doc":"","ref":"aws_lex_runtime_v2.html#recognize_utterance/7","title":"aws_lex_runtime_v2.recognize_utterance/7","type":"function"},{"doc":"Starts an HTTP/2 bidirectional event stream that enables you to send audio, text, or DTMF input in real time. After your application starts a conversation, users send input to Amazon Lex V2 as a stream of events. Amazon Lex V2 processes the incoming events and responds with streaming text or audio events. Audio input must be in the following format: audio/lpcm sample-rate=8000 sample-size-bits=16 channel-count=1; is-big-endian=false . If the optional post-fulfillment response is specified, the messages are returned as follows. For more information, see PostFulfillmentStatusSpecification. Success message - Returned if the Lambda function completes successfully and the intent state is fulfilled or ready fulfillment if the message is present. Failed message - The failed message is returned if the Lambda function throws an exception or if the Lambda function returns a failed intent state without a message. Timeout message - If you don't configure a timeout message and a timeout, and the Lambda function doesn't return within 30 seconds, the timeout message is returned. If you configure a timeout, the timeout message is returned when the period times out. For more information, see Completion message. If the optional update message is configured, it is played at the specified frequency while the Lambda function is running and the update message state is active. If the fulfillment update message is not active, the Lambda function runs with a 30 second timeout. For more information, see Update message The StartConversation operation is supported only in the following SDKs: AWS SDK for C++ AWS SDK for Java V2 AWS SDK for Ruby V3","ref":"aws_lex_runtime_v2.html#start_conversation/6","title":"aws_lex_runtime_v2.start_conversation/6","type":"function"},{"doc":"","ref":"aws_lex_runtime_v2.html#start_conversation/7","title":"aws_lex_runtime_v2.start_conversation/7","type":"function"},{"doc":"License Manager makes it easier to manage licenses from software vendors across multiple Amazon Web Services accounts and on-premises servers.","ref":"aws_license_manager.html","title":"aws_license_manager","type":"module"},{"doc":"Accepts the specified grant.","ref":"aws_license_manager.html#accept_grant/2","title":"aws_license_manager.accept_grant/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#accept_grant/3","title":"aws_license_manager.accept_grant/3","type":"function"},{"doc":"Checks in the specified license. Check in a license when it is no longer in use.","ref":"aws_license_manager.html#check_in_license/2","title":"aws_license_manager.check_in_license/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#check_in_license/3","title":"aws_license_manager.check_in_license/3","type":"function"},{"doc":"Checks out the specified license for offline use.","ref":"aws_license_manager.html#checkout_borrow_license/2","title":"aws_license_manager.checkout_borrow_license/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#checkout_borrow_license/3","title":"aws_license_manager.checkout_borrow_license/3","type":"function"},{"doc":"Checks out the specified license. If the account that created the license is the same that is performing the check out, you must specify the account as the beneficiary.","ref":"aws_license_manager.html#checkout_license/2","title":"aws_license_manager.checkout_license/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#checkout_license/3","title":"aws_license_manager.checkout_license/3","type":"function"},{"doc":"Creates a grant for the specified license. A grant shares the use of license entitlements with specific Amazon Web Services accounts.","ref":"aws_license_manager.html#create_grant/2","title":"aws_license_manager.create_grant/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#create_grant/3","title":"aws_license_manager.create_grant/3","type":"function"},{"doc":"Creates a new version of the specified grant.","ref":"aws_license_manager.html#create_grant_version/2","title":"aws_license_manager.create_grant_version/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#create_grant_version/3","title":"aws_license_manager.create_grant_version/3","type":"function"},{"doc":"Creates a license.","ref":"aws_license_manager.html#create_license/2","title":"aws_license_manager.create_license/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#create_license/3","title":"aws_license_manager.create_license/3","type":"function"},{"doc":"Creates a license configuration. A license configuration is an abstraction of a customer license agreement that can be consumed and enforced by License Manager. Components include specifications for the license type (licensing by instance, socket, CPU, or vCPU), allowed tenancy (shared tenancy, Dedicated Instance, Dedicated Host, or all of these), license affinity to host (how long a license must be associated with a host), and the number of licenses purchased and used.","ref":"aws_license_manager.html#create_license_configuration/2","title":"aws_license_manager.create_license_configuration/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#create_license_configuration/3","title":"aws_license_manager.create_license_configuration/3","type":"function"},{"doc":"Creates a new license conversion task.","ref":"aws_license_manager.html#create_license_conversion_task_for_resource/2","title":"aws_license_manager.create_license_conversion_task_for_resource/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#create_license_conversion_task_for_resource/3","title":"aws_license_manager.create_license_conversion_task_for_resource/3","type":"function"},{"doc":"Creates a report generator.","ref":"aws_license_manager.html#create_license_manager_report_generator/2","title":"aws_license_manager.create_license_manager_report_generator/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#create_license_manager_report_generator/3","title":"aws_license_manager.create_license_manager_report_generator/3","type":"function"},{"doc":"Creates a new version of the specified license.","ref":"aws_license_manager.html#create_license_version/2","title":"aws_license_manager.create_license_version/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#create_license_version/3","title":"aws_license_manager.create_license_version/3","type":"function"},{"doc":"Creates a long-lived token. A refresh token is a JWT token used to get an access token. With an access token, you can call AssumeRoleWithWebIdentity to get role credentials that you can use to call License Manager to manage the specified license.","ref":"aws_license_manager.html#create_token/2","title":"aws_license_manager.create_token/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#create_token/3","title":"aws_license_manager.create_token/3","type":"function"},{"doc":"Deletes the specified grant.","ref":"aws_license_manager.html#delete_grant/2","title":"aws_license_manager.delete_grant/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#delete_grant/3","title":"aws_license_manager.delete_grant/3","type":"function"},{"doc":"Deletes the specified license.","ref":"aws_license_manager.html#delete_license/2","title":"aws_license_manager.delete_license/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#delete_license/3","title":"aws_license_manager.delete_license/3","type":"function"},{"doc":"Deletes the specified license configuration. You cannot delete a license configuration that is in use.","ref":"aws_license_manager.html#delete_license_configuration/2","title":"aws_license_manager.delete_license_configuration/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#delete_license_configuration/3","title":"aws_license_manager.delete_license_configuration/3","type":"function"},{"doc":"Deletes the specified report generator. This action deletes the report generator, which stops it from generating future reports. The action cannot be reversed. It has no effect on the previous reports from this generator.","ref":"aws_license_manager.html#delete_license_manager_report_generator/2","title":"aws_license_manager.delete_license_manager_report_generator/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#delete_license_manager_report_generator/3","title":"aws_license_manager.delete_license_manager_report_generator/3","type":"function"},{"doc":"Deletes the specified token. Must be called in the license home Region.","ref":"aws_license_manager.html#delete_token/2","title":"aws_license_manager.delete_token/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#delete_token/3","title":"aws_license_manager.delete_token/3","type":"function"},{"doc":"Extends the expiration date for license consumption.","ref":"aws_license_manager.html#extend_license_consumption/2","title":"aws_license_manager.extend_license_consumption/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#extend_license_consumption/3","title":"aws_license_manager.extend_license_consumption/3","type":"function"},{"doc":"Gets a temporary access token to use with AssumeRoleWithWebIdentity. Access tokens are valid for one hour.","ref":"aws_license_manager.html#get_access_token/2","title":"aws_license_manager.get_access_token/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#get_access_token/3","title":"aws_license_manager.get_access_token/3","type":"function"},{"doc":"Gets detailed information about the specified grant.","ref":"aws_license_manager.html#get_grant/2","title":"aws_license_manager.get_grant/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#get_grant/3","title":"aws_license_manager.get_grant/3","type":"function"},{"doc":"Gets detailed information about the specified license.","ref":"aws_license_manager.html#get_license/2","title":"aws_license_manager.get_license/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#get_license/3","title":"aws_license_manager.get_license/3","type":"function"},{"doc":"Gets detailed information about the specified license configuration.","ref":"aws_license_manager.html#get_license_configuration/2","title":"aws_license_manager.get_license_configuration/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#get_license_configuration/3","title":"aws_license_manager.get_license_configuration/3","type":"function"},{"doc":"Gets information about the specified license type conversion task.","ref":"aws_license_manager.html#get_license_conversion_task/2","title":"aws_license_manager.get_license_conversion_task/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#get_license_conversion_task/3","title":"aws_license_manager.get_license_conversion_task/3","type":"function"},{"doc":"Gets information about the specified report generator.","ref":"aws_license_manager.html#get_license_manager_report_generator/2","title":"aws_license_manager.get_license_manager_report_generator/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#get_license_manager_report_generator/3","title":"aws_license_manager.get_license_manager_report_generator/3","type":"function"},{"doc":"Gets detailed information about the usage of the specified license.","ref":"aws_license_manager.html#get_license_usage/2","title":"aws_license_manager.get_license_usage/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#get_license_usage/3","title":"aws_license_manager.get_license_usage/3","type":"function"},{"doc":"Gets the License Manager settings for the current Region.","ref":"aws_license_manager.html#get_service_settings/2","title":"aws_license_manager.get_service_settings/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#get_service_settings/3","title":"aws_license_manager.get_service_settings/3","type":"function"},{"doc":"Lists the resource associations for the specified license configuration. Resource associations need not consume licenses from a license configuration. For example, an AMI or a stopped instance might not consume a license (depending on the license rules).","ref":"aws_license_manager.html#list_associations_for_license_configuration/2","title":"aws_license_manager.list_associations_for_license_configuration/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_associations_for_license_configuration/3","title":"aws_license_manager.list_associations_for_license_configuration/3","type":"function"},{"doc":"Lists the grants distributed for the specified license.","ref":"aws_license_manager.html#list_distributed_grants/2","title":"aws_license_manager.list_distributed_grants/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_distributed_grants/3","title":"aws_license_manager.list_distributed_grants/3","type":"function"},{"doc":"Lists the license configuration operations that failed.","ref":"aws_license_manager.html#list_failures_for_license_configuration_operations/2","title":"aws_license_manager.list_failures_for_license_configuration_operations/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_failures_for_license_configuration_operations/3","title":"aws_license_manager.list_failures_for_license_configuration_operations/3","type":"function"},{"doc":"Lists the license configurations for your account.","ref":"aws_license_manager.html#list_license_configurations/2","title":"aws_license_manager.list_license_configurations/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_license_configurations/3","title":"aws_license_manager.list_license_configurations/3","type":"function"},{"doc":"Lists the license type conversion tasks for your account.","ref":"aws_license_manager.html#list_license_conversion_tasks/2","title":"aws_license_manager.list_license_conversion_tasks/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_license_conversion_tasks/3","title":"aws_license_manager.list_license_conversion_tasks/3","type":"function"},{"doc":"Lists the report generators for your account.","ref":"aws_license_manager.html#list_license_manager_report_generators/2","title":"aws_license_manager.list_license_manager_report_generators/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_license_manager_report_generators/3","title":"aws_license_manager.list_license_manager_report_generators/3","type":"function"},{"doc":"Describes the license configurations for the specified resource.","ref":"aws_license_manager.html#list_license_specifications_for_resource/2","title":"aws_license_manager.list_license_specifications_for_resource/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_license_specifications_for_resource/3","title":"aws_license_manager.list_license_specifications_for_resource/3","type":"function"},{"doc":"Lists all versions of the specified license.","ref":"aws_license_manager.html#list_license_versions/2","title":"aws_license_manager.list_license_versions/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_license_versions/3","title":"aws_license_manager.list_license_versions/3","type":"function"},{"doc":"Lists the licenses for your account.","ref":"aws_license_manager.html#list_licenses/2","title":"aws_license_manager.list_licenses/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_licenses/3","title":"aws_license_manager.list_licenses/3","type":"function"},{"doc":"Lists grants that are received but not accepted.","ref":"aws_license_manager.html#list_received_grants/2","title":"aws_license_manager.list_received_grants/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_received_grants/3","title":"aws_license_manager.list_received_grants/3","type":"function"},{"doc":"Lists the grants received for all accounts in the organization.","ref":"aws_license_manager.html#list_received_grants_for_organization/2","title":"aws_license_manager.list_received_grants_for_organization/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_received_grants_for_organization/3","title":"aws_license_manager.list_received_grants_for_organization/3","type":"function"},{"doc":"Lists received licenses.","ref":"aws_license_manager.html#list_received_licenses/2","title":"aws_license_manager.list_received_licenses/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_received_licenses/3","title":"aws_license_manager.list_received_licenses/3","type":"function"},{"doc":"Lists the licenses received for all accounts in the organization.","ref":"aws_license_manager.html#list_received_licenses_for_organization/2","title":"aws_license_manager.list_received_licenses_for_organization/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_received_licenses_for_organization/3","title":"aws_license_manager.list_received_licenses_for_organization/3","type":"function"},{"doc":"Lists resources managed using Systems Manager inventory.","ref":"aws_license_manager.html#list_resource_inventory/2","title":"aws_license_manager.list_resource_inventory/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_resource_inventory/3","title":"aws_license_manager.list_resource_inventory/3","type":"function"},{"doc":"Lists the tags for the specified license configuration.","ref":"aws_license_manager.html#list_tags_for_resource/2","title":"aws_license_manager.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_tags_for_resource/3","title":"aws_license_manager.list_tags_for_resource/3","type":"function"},{"doc":"Lists your tokens.","ref":"aws_license_manager.html#list_tokens/2","title":"aws_license_manager.list_tokens/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_tokens/3","title":"aws_license_manager.list_tokens/3","type":"function"},{"doc":"Lists all license usage records for a license configuration, displaying license consumption details by resource at a selected point in time. Use this action to audit the current license consumption for any license inventory and configuration.","ref":"aws_license_manager.html#list_usage_for_license_configuration/2","title":"aws_license_manager.list_usage_for_license_configuration/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#list_usage_for_license_configuration/3","title":"aws_license_manager.list_usage_for_license_configuration/3","type":"function"},{"doc":"Rejects the specified grant.","ref":"aws_license_manager.html#reject_grant/2","title":"aws_license_manager.reject_grant/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#reject_grant/3","title":"aws_license_manager.reject_grant/3","type":"function"},{"doc":"Adds the specified tags to the specified license configuration.","ref":"aws_license_manager.html#tag_resource/2","title":"aws_license_manager.tag_resource/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#tag_resource/3","title":"aws_license_manager.tag_resource/3","type":"function"},{"doc":"Removes the specified tags from the specified license configuration.","ref":"aws_license_manager.html#untag_resource/2","title":"aws_license_manager.untag_resource/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#untag_resource/3","title":"aws_license_manager.untag_resource/3","type":"function"},{"doc":"Modifies the attributes of an existing license configuration.","ref":"aws_license_manager.html#update_license_configuration/2","title":"aws_license_manager.update_license_configuration/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#update_license_configuration/3","title":"aws_license_manager.update_license_configuration/3","type":"function"},{"doc":"Updates a report generator. After you make changes to a report generator, it starts generating new reports within 60 minutes of being updated.","ref":"aws_license_manager.html#update_license_manager_report_generator/2","title":"aws_license_manager.update_license_manager_report_generator/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#update_license_manager_report_generator/3","title":"aws_license_manager.update_license_manager_report_generator/3","type":"function"},{"doc":"Adds or removes the specified license configurations for the specified Amazon Web Services resource. You can update the license specifications of AMIs, instances, and hosts. You cannot update the license specifications for launch templates and CloudFormation templates, as they send license configurations to the operation that creates the resource.","ref":"aws_license_manager.html#update_license_specifications_for_resource/2","title":"aws_license_manager.update_license_specifications_for_resource/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#update_license_specifications_for_resource/3","title":"aws_license_manager.update_license_specifications_for_resource/3","type":"function"},{"doc":"Updates License Manager settings for the current Region.","ref":"aws_license_manager.html#update_service_settings/2","title":"aws_license_manager.update_service_settings/2","type":"function"},{"doc":"","ref":"aws_license_manager.html#update_service_settings/3","title":"aws_license_manager.update_service_settings/3","type":"function"},{"doc":"With License Manager, you can discover and track your commercial Linux subscriptions on running Amazon EC2 instances.","ref":"aws_license_manager_linux_subscriptions.html","title":"aws_license_manager_linux_subscriptions","type":"module"},{"doc":"Lists the Linux subscriptions service settings.","ref":"aws_license_manager_linux_subscriptions.html#get_service_settings/2","title":"aws_license_manager_linux_subscriptions.get_service_settings/2","type":"function"},{"doc":"","ref":"aws_license_manager_linux_subscriptions.html#get_service_settings/3","title":"aws_license_manager_linux_subscriptions.get_service_settings/3","type":"function"},{"doc":"Lists the running Amazon EC2 instances that were discovered with commercial Linux subscriptions.","ref":"aws_license_manager_linux_subscriptions.html#list_linux_subscription_instances/2","title":"aws_license_manager_linux_subscriptions.list_linux_subscription_instances/2","type":"function"},{"doc":"","ref":"aws_license_manager_linux_subscriptions.html#list_linux_subscription_instances/3","title":"aws_license_manager_linux_subscriptions.list_linux_subscription_instances/3","type":"function"},{"doc":"Lists the Linux subscriptions that have been discovered. If you have linked your organization, the returned results will include data aggregated across your accounts in Organizations.","ref":"aws_license_manager_linux_subscriptions.html#list_linux_subscriptions/2","title":"aws_license_manager_linux_subscriptions.list_linux_subscriptions/2","type":"function"},{"doc":"","ref":"aws_license_manager_linux_subscriptions.html#list_linux_subscriptions/3","title":"aws_license_manager_linux_subscriptions.list_linux_subscriptions/3","type":"function"},{"doc":"Updates the service settings for Linux subscriptions.","ref":"aws_license_manager_linux_subscriptions.html#update_service_settings/2","title":"aws_license_manager_linux_subscriptions.update_service_settings/2","type":"function"},{"doc":"","ref":"aws_license_manager_linux_subscriptions.html#update_service_settings/3","title":"aws_license_manager_linux_subscriptions.update_service_settings/3","type":"function"},{"doc":"With License Manager, you can create user-based subscriptions to utilize licensed software with a per user subscription fee on Amazon EC2 instances.","ref":"aws_license_manager_user_subscriptions.html","title":"aws_license_manager_user_subscriptions","type":"module"},{"doc":"Associates the user to an EC2 instance to utilize user-based subscriptions. Your estimated bill for charges on the number of users and related costs will take 48 hours to appear for billing periods that haven't closed (marked as Pending billing status) in Amazon Web Services Billing. For more information, see Viewing your monthly charges in the Amazon Web Services Billing User Guide.","ref":"aws_license_manager_user_subscriptions.html#associate_user/2","title":"aws_license_manager_user_subscriptions.associate_user/2","type":"function"},{"doc":"","ref":"aws_license_manager_user_subscriptions.html#associate_user/3","title":"aws_license_manager_user_subscriptions.associate_user/3","type":"function"},{"doc":"Deregisters the identity provider from providing user-based subscriptions.","ref":"aws_license_manager_user_subscriptions.html#deregister_identity_provider/2","title":"aws_license_manager_user_subscriptions.deregister_identity_provider/2","type":"function"},{"doc":"","ref":"aws_license_manager_user_subscriptions.html#deregister_identity_provider/3","title":"aws_license_manager_user_subscriptions.deregister_identity_provider/3","type":"function"},{"doc":"Disassociates the user from an EC2 instance providing user-based subscriptions.","ref":"aws_license_manager_user_subscriptions.html#disassociate_user/2","title":"aws_license_manager_user_subscriptions.disassociate_user/2","type":"function"},{"doc":"","ref":"aws_license_manager_user_subscriptions.html#disassociate_user/3","title":"aws_license_manager_user_subscriptions.disassociate_user/3","type":"function"},{"doc":"Lists the identity providers for user-based subscriptions.","ref":"aws_license_manager_user_subscriptions.html#list_identity_providers/2","title":"aws_license_manager_user_subscriptions.list_identity_providers/2","type":"function"},{"doc":"","ref":"aws_license_manager_user_subscriptions.html#list_identity_providers/3","title":"aws_license_manager_user_subscriptions.list_identity_providers/3","type":"function"},{"doc":"Lists the EC2 instances providing user-based subscriptions.","ref":"aws_license_manager_user_subscriptions.html#list_instances/2","title":"aws_license_manager_user_subscriptions.list_instances/2","type":"function"},{"doc":"","ref":"aws_license_manager_user_subscriptions.html#list_instances/3","title":"aws_license_manager_user_subscriptions.list_instances/3","type":"function"},{"doc":"Lists the user-based subscription products available from an identity provider.","ref":"aws_license_manager_user_subscriptions.html#list_product_subscriptions/2","title":"aws_license_manager_user_subscriptions.list_product_subscriptions/2","type":"function"},{"doc":"","ref":"aws_license_manager_user_subscriptions.html#list_product_subscriptions/3","title":"aws_license_manager_user_subscriptions.list_product_subscriptions/3","type":"function"},{"doc":"Lists user associations for an identity provider.","ref":"aws_license_manager_user_subscriptions.html#list_user_associations/2","title":"aws_license_manager_user_subscriptions.list_user_associations/2","type":"function"},{"doc":"","ref":"aws_license_manager_user_subscriptions.html#list_user_associations/3","title":"aws_license_manager_user_subscriptions.list_user_associations/3","type":"function"},{"doc":"Registers an identity provider for user-based subscriptions.","ref":"aws_license_manager_user_subscriptions.html#register_identity_provider/2","title":"aws_license_manager_user_subscriptions.register_identity_provider/2","type":"function"},{"doc":"","ref":"aws_license_manager_user_subscriptions.html#register_identity_provider/3","title":"aws_license_manager_user_subscriptions.register_identity_provider/3","type":"function"},{"doc":"Starts a product subscription for a user with the specified identity provider. Your estimated bill for charges on the number of users and related costs will take 48 hours to appear for billing periods that haven't closed (marked as Pending billing status) in Amazon Web Services Billing. For more information, see Viewing your monthly charges in the Amazon Web Services Billing User Guide.","ref":"aws_license_manager_user_subscriptions.html#start_product_subscription/2","title":"aws_license_manager_user_subscriptions.start_product_subscription/2","type":"function"},{"doc":"","ref":"aws_license_manager_user_subscriptions.html#start_product_subscription/3","title":"aws_license_manager_user_subscriptions.start_product_subscription/3","type":"function"},{"doc":"Stops a product subscription for a user with the specified identity provider.","ref":"aws_license_manager_user_subscriptions.html#stop_product_subscription/2","title":"aws_license_manager_user_subscriptions.stop_product_subscription/2","type":"function"},{"doc":"","ref":"aws_license_manager_user_subscriptions.html#stop_product_subscription/3","title":"aws_license_manager_user_subscriptions.stop_product_subscription/3","type":"function"},{"doc":"Updates additional product configuration settings for the registered identity provider.","ref":"aws_license_manager_user_subscriptions.html#update_identity_provider_settings/2","title":"aws_license_manager_user_subscriptions.update_identity_provider_settings/2","type":"function"},{"doc":"","ref":"aws_license_manager_user_subscriptions.html#update_identity_provider_settings/3","title":"aws_license_manager_user_subscriptions.update_identity_provider_settings/3","type":"function"},{"doc":"Amazon Lightsail is the easiest way to get started with Amazon Web Services (Amazon Web Services) for developers who need to build websites or web applications. It includes everything you need to launch your project quickly - instances (virtual private servers), container services, storage buckets, managed databases, SSD-based block storage, static IP addresses, load balancers, content delivery network (CDN) distributions, DNS management of registered domains, and resource snapshots (backups) - for a low, predictable monthly price. You can manage your Lightsail resources using the Lightsail console, Lightsail API, Command Line Interface (CLI), or SDKs. For more information about Lightsail concepts and tasks, see the Amazon Lightsail Developer Guide. This API Reference provides detailed information about the actions, data types, parameters, and errors of the Lightsail service. For more information about the supported Amazon Web Services Regions, endpoints, and service quotas of the Lightsail service, see Amazon Lightsail Endpoints and Quotas in the Amazon Web Services General Reference.","ref":"aws_lightsail.html","title":"aws_lightsail","type":"module"},{"doc":"Allocates a static IP address.","ref":"aws_lightsail.html#allocate_static_ip/2","title":"aws_lightsail.allocate_static_ip/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#allocate_static_ip/3","title":"aws_lightsail.allocate_static_ip/3","type":"function"},{"doc":"Attaches an SSL/TLS certificate to your Amazon Lightsail content delivery network (CDN) distribution. After the certificate is attached, your distribution accepts HTTPS traffic for all of the domains that are associated with the certificate. Use the CreateCertificate action to create a certificate that you can attach to your distribution. Only certificates created in the us-east-1 Amazon Web Services Region can be attached to Lightsail distributions. Lightsail distributions are global resources that can reference an origin in any Amazon Web Services Region, and distribute its content globally. However, all distributions are located in the us-east-1 Region.","ref":"aws_lightsail.html#attach_certificate_to_distribution/2","title":"aws_lightsail.attach_certificate_to_distribution/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#attach_certificate_to_distribution/3","title":"aws_lightsail.attach_certificate_to_distribution/3","type":"function"},{"doc":"Attaches a block storage disk to a running or stopped Lightsail instance and exposes it to the instance with the specified disk name. The attach disk operation supports tag-based access control via resource tags applied to the resource identified by disk name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#attach_disk/2","title":"aws_lightsail.attach_disk/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#attach_disk/3","title":"aws_lightsail.attach_disk/3","type":"function"},{"doc":"Attaches one or more Lightsail instances to a load balancer. After some time, the instances are attached to the load balancer and the health check status is available. The attach instances to load balancer operation supports tag-based access control via resource tags applied to the resource identified by load balancer name . For more information, see the Lightsail Developer Guide.","ref":"aws_lightsail.html#attach_instances_to_load_balancer/2","title":"aws_lightsail.attach_instances_to_load_balancer/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#attach_instances_to_load_balancer/3","title":"aws_lightsail.attach_instances_to_load_balancer/3","type":"function"},{"doc":"Attaches a Transport Layer Security (TLS) certificate to your load balancer. TLS is just an updated, more secure version of Secure Socket Layer (SSL). Once you create and validate your certificate, you can attach it to your load balancer. You can also use this API to rotate the certificates on your account. Use the AttachLoadBalancerTlsCertificate action with the non-attached certificate, and it will replace the existing one and become the attached certificate. The AttachLoadBalancerTlsCertificate operation supports tag-based access control via resource tags applied to the resource identified by load balancer name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#attach_load_balancer_tls_certificate/2","title":"aws_lightsail.attach_load_balancer_tls_certificate/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#attach_load_balancer_tls_certificate/3","title":"aws_lightsail.attach_load_balancer_tls_certificate/3","type":"function"},{"doc":"Attaches a static IP address to a specific Amazon Lightsail instance.","ref":"aws_lightsail.html#attach_static_ip/2","title":"aws_lightsail.attach_static_ip/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#attach_static_ip/3","title":"aws_lightsail.attach_static_ip/3","type":"function"},{"doc":"Closes ports for a specific Amazon Lightsail instance. The CloseInstancePublicPorts action supports tag-based access control via resource tags applied to the resource identified by instanceName . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#close_instance_public_ports/2","title":"aws_lightsail.close_instance_public_ports/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#close_instance_public_ports/3","title":"aws_lightsail.close_instance_public_ports/3","type":"function"},{"doc":"Copies a manual snapshot of an instance or disk as another manual snapshot, or copies an automatic snapshot of an instance or disk as a manual snapshot. This operation can also be used to copy a manual or automatic snapshot of an instance or a disk from one Amazon Web Services Region to another in Amazon Lightsail. When copying a manual snapshot, be sure to define the source region , source snapshot name , and target snapshot name parameters. When copying an automatic snapshot, be sure to define the source region , source resource name , target snapshot name , and either the restore date or the use latest restorable auto snapshot parameters.","ref":"aws_lightsail.html#copy_snapshot/2","title":"aws_lightsail.copy_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#copy_snapshot/3","title":"aws_lightsail.copy_snapshot/3","type":"function"},{"doc":"Creates an Amazon Lightsail bucket. A bucket is a cloud storage resource available in the Lightsail object storage service. Use buckets to store objects such as data and its descriptive metadata. For more information about buckets, see Buckets in Amazon Lightsail in the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_bucket/2","title":"aws_lightsail.create_bucket/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_bucket/3","title":"aws_lightsail.create_bucket/3","type":"function"},{"doc":"Creates a new access key for the specified Amazon Lightsail bucket. Access keys consist of an access key ID and corresponding secret access key. Access keys grant full programmatic access to the specified bucket and its objects. You can have a maximum of two access keys per bucket. Use the GetBucketAccessKeys action to get a list of current access keys for a specific bucket. For more information about access keys, see Creating access keys for a bucket in Amazon Lightsail in the Amazon Lightsail Developer Guide. The secretAccessKey value is returned only in response to the CreateBucketAccessKey action. You can get a secret access key only when you first create an access key; you cannot get the secret access key later. If you lose the secret access key, you must create a new access key.","ref":"aws_lightsail.html#create_bucket_access_key/2","title":"aws_lightsail.create_bucket_access_key/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_bucket_access_key/3","title":"aws_lightsail.create_bucket_access_key/3","type":"function"},{"doc":"Creates an SSL/TLS certificate for an Amazon Lightsail content delivery network (CDN) distribution and a container service. After the certificate is valid, use the AttachCertificateToDistribution action to use the certificate and its domains with your distribution. Or use the UpdateContainerService action to use the certificate and its domains with your container service. Only certificates created in the us-east-1 Amazon Web Services Region can be attached to Lightsail distributions. Lightsail distributions are global resources that can reference an origin in any Amazon Web Services Region, and distribute its content globally. However, all distributions are located in the us-east-1 Region.","ref":"aws_lightsail.html#create_certificate/2","title":"aws_lightsail.create_certificate/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_certificate/3","title":"aws_lightsail.create_certificate/3","type":"function"},{"doc":"Creates an AWS CloudFormation stack, which creates a new Amazon EC2 instance from an exported Amazon Lightsail snapshot. This operation results in a CloudFormation stack record that can be used to track the AWS CloudFormation stack created. Use the get cloud formation stack records operation to get a list of the CloudFormation stacks created. Wait until after your new Amazon EC2 instance is created before running the create cloud formation stack operation again with the same export snapshot record.","ref":"aws_lightsail.html#create_cloud_formation_stack/2","title":"aws_lightsail.create_cloud_formation_stack/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_cloud_formation_stack/3","title":"aws_lightsail.create_cloud_formation_stack/3","type":"function"},{"doc":"Creates an email or SMS text message contact method. A contact method is used to send you notifications about your Amazon Lightsail resources. You can add one email address and one mobile phone number contact method in each Amazon Web Services Region. However, SMS text messaging is not supported in some Amazon Web Services Regions, and SMS text messages cannot be sent to some countries/regions. For more information, see Notifications in Amazon Lightsail.","ref":"aws_lightsail.html#create_contact_method/2","title":"aws_lightsail.create_contact_method/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_contact_method/3","title":"aws_lightsail.create_contact_method/3","type":"function"},{"doc":"Creates an Amazon Lightsail container service. A Lightsail container service is a compute resource to which you can deploy containers. For more information, see Container services in Amazon Lightsail in the Lightsail Dev Guide.","ref":"aws_lightsail.html#create_container_service/2","title":"aws_lightsail.create_container_service/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_container_service/3","title":"aws_lightsail.create_container_service/3","type":"function"},{"doc":"Creates a deployment for your Amazon Lightsail container service. A deployment specifies the containers that will be launched on the container service and their settings, such as the ports to open, the environment variables to apply, and the launch command to run. It also specifies the container that will serve as the public endpoint of the deployment and its settings, such as the HTTP or HTTPS port to use, and the health check configuration. You can deploy containers to your container service using container images from a public registry such as Amazon ECR Public, or from your local machine. For more information, see Creating container images for your Amazon Lightsail container services in the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_container_service_deployment/2","title":"aws_lightsail.create_container_service_deployment/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_container_service_deployment/3","title":"aws_lightsail.create_container_service_deployment/3","type":"function"},{"doc":"Creates a temporary set of log in credentials that you can use to log in to the Docker process on your local machine. After you're logged in, you can use the native Docker commands to push your local container images to the container image registry of your Amazon Lightsail account so that you can use them with your Lightsail container service. The log in credentials expire 12 hours after they are created, at which point you will need to create a new set of log in credentials. You can only push container images to the container service registry of your Lightsail account. You cannot pull container images or perform any other container image management actions on the container service registry. After you push your container images to the container image registry of your Lightsail account, use the RegisterContainerImage action to register the pushed images to a specific Lightsail container service. This action is not required if you install and use the Lightsail Control (lightsailctl) plugin to push container images to your Lightsail container service. For more information, see Pushing and managing container images on your Amazon Lightsail container services in the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_container_service_registry_login/2","title":"aws_lightsail.create_container_service_registry_login/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_container_service_registry_login/3","title":"aws_lightsail.create_container_service_registry_login/3","type":"function"},{"doc":"Creates a block storage disk that can be attached to an Amazon Lightsail instance in the same Availability Zone (e.g., us-east-2a ). The create disk operation supports tag-based access control via request tags. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_disk/2","title":"aws_lightsail.create_disk/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_disk/3","title":"aws_lightsail.create_disk/3","type":"function"},{"doc":"Creates a block storage disk from a manual or automatic snapshot of a disk. The resulting disk can be attached to an Amazon Lightsail instance in the same Availability Zone (e.g., us-east-2a ). The create disk from snapshot operation supports tag-based access control via request tags and resource tags applied to the resource identified by disk snapshot name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_disk_from_snapshot/2","title":"aws_lightsail.create_disk_from_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_disk_from_snapshot/3","title":"aws_lightsail.create_disk_from_snapshot/3","type":"function"},{"doc":"Creates a snapshot of a block storage disk. You can use snapshots for backups, to make copies of disks, and to save data before shutting down a Lightsail instance. You can take a snapshot of an attached disk that is in use; however, snapshots only capture data that has been written to your disk at the time the snapshot command is issued. This may exclude any data that has been cached by any applications or the operating system. If you can pause any file systems on the disk long enough to take a snapshot, your snapshot should be complete. Nevertheless, if you cannot pause all file writes to the disk, you should unmount the disk from within the Lightsail instance, issue the create disk snapshot command, and then remount the disk to ensure a consistent and complete snapshot. You may remount and use your disk while the snapshot status is pending. You can also use this operation to create a snapshot of an instance's system volume. You might want to do this, for example, to recover data from the system volume of a botched instance or to create a backup of the system volume like you would for a block storage disk. To create a snapshot of a system volume, just define the instance name parameter when issuing the snapshot command, and a snapshot of the defined instance's system volume will be created. After the snapshot is available, you can create a block storage disk from the snapshot and attach it to a running instance to access the data on the disk. The create disk snapshot operation supports tag-based access control via request tags. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_disk_snapshot/2","title":"aws_lightsail.create_disk_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_disk_snapshot/3","title":"aws_lightsail.create_disk_snapshot/3","type":"function"},{"doc":"Creates an Amazon Lightsail content delivery network (CDN) distribution. A distribution is a globally distributed network of caching servers that improve the performance of your website or web application hosted on a Lightsail instance. For more information, see Content delivery networks in Amazon Lightsail.","ref":"aws_lightsail.html#create_distribution/2","title":"aws_lightsail.create_distribution/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_distribution/3","title":"aws_lightsail.create_distribution/3","type":"function"},{"doc":"Creates a domain resource for the specified domain (e.g., example.com). The create domain operation supports tag-based access control via request tags. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_domain/2","title":"aws_lightsail.create_domain/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_domain/3","title":"aws_lightsail.create_domain/3","type":"function"},{"doc":"Creates one of the following domain name system (DNS) records in a domain DNS zone: Address (A), canonical name (CNAME), mail exchanger (MX), name server (NS), start of authority (SOA), service locator (SRV), or text (TXT). The create domain entry operation supports tag-based access control via resource tags applied to the resource identified by domain name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_domain_entry/2","title":"aws_lightsail.create_domain_entry/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_domain_entry/3","title":"aws_lightsail.create_domain_entry/3","type":"function"},{"doc":"Creates a snapshot of a specific virtual private server, or instance. You can use a snapshot to create a new instance that is based on that snapshot. The create instance snapshot operation supports tag-based access control via request tags. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_instance_snapshot/2","title":"aws_lightsail.create_instance_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_instance_snapshot/3","title":"aws_lightsail.create_instance_snapshot/3","type":"function"},{"doc":"Creates one or more Amazon Lightsail instances. The create instances operation supports tag-based access control via request tags. For more information, see the Lightsail Developer Guide.","ref":"aws_lightsail.html#create_instances/2","title":"aws_lightsail.create_instances/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_instances/3","title":"aws_lightsail.create_instances/3","type":"function"},{"doc":"Creates one or more new instances from a manual or automatic snapshot of an instance. The create instances from snapshot operation supports tag-based access control via request tags and resource tags applied to the resource identified by instance snapshot name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_instances_from_snapshot/2","title":"aws_lightsail.create_instances_from_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_instances_from_snapshot/3","title":"aws_lightsail.create_instances_from_snapshot/3","type":"function"},{"doc":"Creates a custom SSH key pair that you can use with an Amazon Lightsail instance. Use the DownloadDefaultKeyPair action to create a Lightsail default key pair in an Amazon Web Services Region where a default key pair does not currently exist. The create key pair operation supports tag-based access control via request tags. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_key_pair/2","title":"aws_lightsail.create_key_pair/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_key_pair/3","title":"aws_lightsail.create_key_pair/3","type":"function"},{"doc":"Creates a Lightsail load balancer. To learn more about deciding whether to load balance your application, see Configure your Lightsail instances for load balancing. You can create up to 5 load balancers per AWS Region in your account. When you create a load balancer, you can specify a unique name and port settings. To change additional load balancer settings, use the UpdateLoadBalancerAttribute operation. The create load balancer operation supports tag-based access control via request tags. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_load_balancer/2","title":"aws_lightsail.create_load_balancer/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_load_balancer/3","title":"aws_lightsail.create_load_balancer/3","type":"function"},{"doc":"Creates an SSL/TLS certificate for an Amazon Lightsail load balancer. TLS is just an updated, more secure version of Secure Socket Layer (SSL). The CreateLoadBalancerTlsCertificate operation supports tag-based access control via resource tags applied to the resource identified by load balancer name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_load_balancer_tls_certificate/2","title":"aws_lightsail.create_load_balancer_tls_certificate/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_load_balancer_tls_certificate/3","title":"aws_lightsail.create_load_balancer_tls_certificate/3","type":"function"},{"doc":"Creates a new database in Amazon Lightsail. The create relational database operation supports tag-based access control via request tags. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_relational_database/2","title":"aws_lightsail.create_relational_database/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_relational_database/3","title":"aws_lightsail.create_relational_database/3","type":"function"},{"doc":"Creates a new database from an existing database snapshot in Amazon Lightsail. You can create a new database from a snapshot in if something goes wrong with your original database, or to change it to a different plan, such as a high availability or standard plan. The create relational database from snapshot operation supports tag-based access control via request tags and resource tags applied to the resource identified by relationalDatabaseSnapshotName. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_relational_database_from_snapshot/2","title":"aws_lightsail.create_relational_database_from_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_relational_database_from_snapshot/3","title":"aws_lightsail.create_relational_database_from_snapshot/3","type":"function"},{"doc":"Creates a snapshot of your database in Amazon Lightsail. You can use snapshots for backups, to make copies of a database, and to save data before deleting a database. The create relational database snapshot operation supports tag-based access control via request tags. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#create_relational_database_snapshot/2","title":"aws_lightsail.create_relational_database_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#create_relational_database_snapshot/3","title":"aws_lightsail.create_relational_database_snapshot/3","type":"function"},{"doc":"Deletes an alarm. An alarm is used to monitor a single metric for one of your resources. When a metric condition is met, the alarm can notify you by email, SMS text message, and a banner displayed on the Amazon Lightsail console. For more information, see Alarms in Amazon Lightsail.","ref":"aws_lightsail.html#delete_alarm/2","title":"aws_lightsail.delete_alarm/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_alarm/3","title":"aws_lightsail.delete_alarm/3","type":"function"},{"doc":"Deletes an automatic snapshot of an instance or disk. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_auto_snapshot/2","title":"aws_lightsail.delete_auto_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_auto_snapshot/3","title":"aws_lightsail.delete_auto_snapshot/3","type":"function"},{"doc":"Deletes a Amazon Lightsail bucket. When you delete your bucket, the bucket name is released and can be reused for a new bucket in your account or another Amazon Web Services account.","ref":"aws_lightsail.html#delete_bucket/2","title":"aws_lightsail.delete_bucket/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_bucket/3","title":"aws_lightsail.delete_bucket/3","type":"function"},{"doc":"Deletes an access key for the specified Amazon Lightsail bucket. We recommend that you delete an access key if the secret access key is compromised. For more information about access keys, see Creating access keys for a bucket in Amazon Lightsail in the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_bucket_access_key/2","title":"aws_lightsail.delete_bucket_access_key/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_bucket_access_key/3","title":"aws_lightsail.delete_bucket_access_key/3","type":"function"},{"doc":"Deletes an SSL/TLS certificate for your Amazon Lightsail content delivery network (CDN) distribution. Certificates that are currently attached to a distribution cannot be deleted. Use the DetachCertificateFromDistribution action to detach a certificate from a distribution.","ref":"aws_lightsail.html#delete_certificate/2","title":"aws_lightsail.delete_certificate/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_certificate/3","title":"aws_lightsail.delete_certificate/3","type":"function"},{"doc":"Deletes a contact method. A contact method is used to send you notifications about your Amazon Lightsail resources. You can add one email address and one mobile phone number contact method in each Amazon Web Services Region. However, SMS text messaging is not supported in some Amazon Web Services Regions, and SMS text messages cannot be sent to some countries/regions. For more information, see Notifications in Amazon Lightsail.","ref":"aws_lightsail.html#delete_contact_method/2","title":"aws_lightsail.delete_contact_method/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_contact_method/3","title":"aws_lightsail.delete_contact_method/3","type":"function"},{"doc":"Deletes a container image that is registered to your Amazon Lightsail container service.","ref":"aws_lightsail.html#delete_container_image/2","title":"aws_lightsail.delete_container_image/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_container_image/3","title":"aws_lightsail.delete_container_image/3","type":"function"},{"doc":"Deletes your Amazon Lightsail container service.","ref":"aws_lightsail.html#delete_container_service/2","title":"aws_lightsail.delete_container_service/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_container_service/3","title":"aws_lightsail.delete_container_service/3","type":"function"},{"doc":"Deletes the specified block storage disk. The disk must be in the available state (not attached to a Lightsail instance). The disk may remain in the deleting state for several minutes. The delete disk operation supports tag-based access control via resource tags applied to the resource identified by disk name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_disk/2","title":"aws_lightsail.delete_disk/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_disk/3","title":"aws_lightsail.delete_disk/3","type":"function"},{"doc":"Deletes the specified disk snapshot. When you make periodic snapshots of a disk, the snapshots are incremental, and only the blocks on the device that have changed since your last snapshot are saved in the new snapshot. When you delete a snapshot, only the data not needed for any other snapshot is removed. So regardless of which prior snapshots have been deleted, all active snapshots will have access to all the information needed to restore the disk. The delete disk snapshot operation supports tag-based access control via resource tags applied to the resource identified by disk snapshot name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_disk_snapshot/2","title":"aws_lightsail.delete_disk_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_disk_snapshot/3","title":"aws_lightsail.delete_disk_snapshot/3","type":"function"},{"doc":"Deletes your Amazon Lightsail content delivery network (CDN) distribution.","ref":"aws_lightsail.html#delete_distribution/2","title":"aws_lightsail.delete_distribution/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_distribution/3","title":"aws_lightsail.delete_distribution/3","type":"function"},{"doc":"Deletes the specified domain recordset and all of its domain records. The delete domain operation supports tag-based access control via resource tags applied to the resource identified by domain name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_domain/2","title":"aws_lightsail.delete_domain/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_domain/3","title":"aws_lightsail.delete_domain/3","type":"function"},{"doc":"Deletes a specific domain entry. The delete domain entry operation supports tag-based access control via resource tags applied to the resource identified by domain name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_domain_entry/2","title":"aws_lightsail.delete_domain_entry/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_domain_entry/3","title":"aws_lightsail.delete_domain_entry/3","type":"function"},{"doc":"Deletes an Amazon Lightsail instance. The delete instance operation supports tag-based access control via resource tags applied to the resource identified by instance name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_instance/2","title":"aws_lightsail.delete_instance/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_instance/3","title":"aws_lightsail.delete_instance/3","type":"function"},{"doc":"Deletes a specific snapshot of a virtual private server (or instance). The delete instance snapshot operation supports tag-based access control via resource tags applied to the resource identified by instance snapshot name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_instance_snapshot/2","title":"aws_lightsail.delete_instance_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_instance_snapshot/3","title":"aws_lightsail.delete_instance_snapshot/3","type":"function"},{"doc":"Deletes the specified key pair by removing the public key from Amazon Lightsail. You can delete key pairs that were created using the ImportKeyPair and CreateKeyPair actions, as well as the Lightsail default key pair. A new default key pair will not be created unless you launch an instance without specifying a custom key pair, or you call the DownloadDefaultKeyPair API. The delete key pair operation supports tag-based access control via resource tags applied to the resource identified by key pair name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_key_pair/2","title":"aws_lightsail.delete_key_pair/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_key_pair/3","title":"aws_lightsail.delete_key_pair/3","type":"function"},{"doc":"Deletes the known host key or certificate used by the Amazon Lightsail browser-based SSH or RDP clients to authenticate an instance. This operation enables the Lightsail browser-based SSH or RDP clients to connect to the instance after a host key mismatch. Perform this operation only if you were expecting the host key or certificate mismatch or if you are familiar with the new host key or certificate on the instance. For more information, see Troubleshooting connection issues when using the Amazon Lightsail browser-based SSH or RDP client.","ref":"aws_lightsail.html#delete_known_host_keys/2","title":"aws_lightsail.delete_known_host_keys/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_known_host_keys/3","title":"aws_lightsail.delete_known_host_keys/3","type":"function"},{"doc":"Deletes a Lightsail load balancer and all its associated SSL/TLS certificates. Once the load balancer is deleted, you will need to create a new load balancer, create a new certificate, and verify domain ownership again. The delete load balancer operation supports tag-based access control via resource tags applied to the resource identified by load balancer name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_load_balancer/2","title":"aws_lightsail.delete_load_balancer/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_load_balancer/3","title":"aws_lightsail.delete_load_balancer/3","type":"function"},{"doc":"Deletes an SSL/TLS certificate associated with a Lightsail load balancer. The DeleteLoadBalancerTlsCertificate operation supports tag-based access control via resource tags applied to the resource identified by load balancer name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_load_balancer_tls_certificate/2","title":"aws_lightsail.delete_load_balancer_tls_certificate/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_load_balancer_tls_certificate/3","title":"aws_lightsail.delete_load_balancer_tls_certificate/3","type":"function"},{"doc":"Deletes a database in Amazon Lightsail. The delete relational database operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_relational_database/2","title":"aws_lightsail.delete_relational_database/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_relational_database/3","title":"aws_lightsail.delete_relational_database/3","type":"function"},{"doc":"Deletes a database snapshot in Amazon Lightsail. The delete relational database snapshot operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#delete_relational_database_snapshot/2","title":"aws_lightsail.delete_relational_database_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#delete_relational_database_snapshot/3","title":"aws_lightsail.delete_relational_database_snapshot/3","type":"function"},{"doc":"Detaches an SSL/TLS certificate from your Amazon Lightsail content delivery network (CDN) distribution. After the certificate is detached, your distribution stops accepting traffic for all of the domains that are associated with the certificate.","ref":"aws_lightsail.html#detach_certificate_from_distribution/2","title":"aws_lightsail.detach_certificate_from_distribution/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#detach_certificate_from_distribution/3","title":"aws_lightsail.detach_certificate_from_distribution/3","type":"function"},{"doc":"Detaches a stopped block storage disk from a Lightsail instance. Make sure to unmount any file systems on the device within your operating system before stopping the instance and detaching the disk. The detach disk operation supports tag-based access control via resource tags applied to the resource identified by disk name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#detach_disk/2","title":"aws_lightsail.detach_disk/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#detach_disk/3","title":"aws_lightsail.detach_disk/3","type":"function"},{"doc":"Detaches the specified instances from a Lightsail load balancer. This operation waits until the instances are no longer needed before they are detached from the load balancer. The detach instances from load balancer operation supports tag-based access control via resource tags applied to the resource identified by load balancer name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#detach_instances_from_load_balancer/2","title":"aws_lightsail.detach_instances_from_load_balancer/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#detach_instances_from_load_balancer/3","title":"aws_lightsail.detach_instances_from_load_balancer/3","type":"function"},{"doc":"Detaches a static IP from the Amazon Lightsail instance to which it is attached.","ref":"aws_lightsail.html#detach_static_ip/2","title":"aws_lightsail.detach_static_ip/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#detach_static_ip/3","title":"aws_lightsail.detach_static_ip/3","type":"function"},{"doc":"Disables an add-on for an Amazon Lightsail resource. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#disable_add_on/2","title":"aws_lightsail.disable_add_on/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#disable_add_on/3","title":"aws_lightsail.disable_add_on/3","type":"function"},{"doc":"Downloads the regional Amazon Lightsail default key pair. This action also creates a Lightsail default key pair if a default key pair does not currently exist in the Amazon Web Services Region.","ref":"aws_lightsail.html#download_default_key_pair/2","title":"aws_lightsail.download_default_key_pair/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#download_default_key_pair/3","title":"aws_lightsail.download_default_key_pair/3","type":"function"},{"doc":"Enables or modifies an add-on for an Amazon Lightsail resource. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#enable_add_on/2","title":"aws_lightsail.enable_add_on/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#enable_add_on/3","title":"aws_lightsail.enable_add_on/3","type":"function"},{"doc":"Exports an Amazon Lightsail instance or block storage disk snapshot to Amazon Elastic Compute Cloud (Amazon EC2). This operation results in an export snapshot record that can be used with the create cloud formation stack operation to create new Amazon EC2 instances. Exported instance snapshots appear in Amazon EC2 as Amazon Machine Images (AMIs), and the instance system disk appears as an Amazon Elastic Block Store (Amazon EBS) volume. Exported disk snapshots appear in Amazon EC2 as Amazon EBS volumes. Snapshots are exported to the same Amazon Web Services Region in Amazon EC2 as the source Lightsail snapshot. The export snapshot operation supports tag-based access control via resource tags applied to the resource identified by source snapshot name . For more information, see the Amazon Lightsail Developer Guide. Use the get instance snapshots or get disk snapshots operations to get a list of snapshots that you can export to Amazon EC2.","ref":"aws_lightsail.html#export_snapshot/2","title":"aws_lightsail.export_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#export_snapshot/3","title":"aws_lightsail.export_snapshot/3","type":"function"},{"doc":"Returns the names of all active (not deleted) resources.","ref":"aws_lightsail.html#get_active_names/2","title":"aws_lightsail.get_active_names/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_active_names/3","title":"aws_lightsail.get_active_names/3","type":"function"},{"doc":"Returns information about the configured alarms. Specify an alarm name in your request to return information about a specific alarm, or specify a monitored resource name to return information about all alarms for a specific resource. An alarm is used to monitor a single metric for one of your resources. When a metric condition is met, the alarm can notify you by email, SMS text message, and a banner displayed on the Amazon Lightsail console. For more information, see Alarms in Amazon Lightsail.","ref":"aws_lightsail.html#get_alarms/2","title":"aws_lightsail.get_alarms/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_alarms/3","title":"aws_lightsail.get_alarms/3","type":"function"},{"doc":"Returns the available automatic snapshots for an instance or disk. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#get_auto_snapshots/2","title":"aws_lightsail.get_auto_snapshots/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_auto_snapshots/3","title":"aws_lightsail.get_auto_snapshots/3","type":"function"},{"doc":"Returns the list of available instance images, or blueprints. You can use a blueprint to create a new instance already running a specific operating system, as well as a preinstalled app or development stack. The software each instance is running depends on the blueprint image you choose. Use active blueprints when creating new instances. Inactive blueprints are listed to support customers with existing instances and are not necessarily available to create new instances. Blueprints are marked inactive when they become outdated due to operating system updates or new application releases.","ref":"aws_lightsail.html#get_blueprints/2","title":"aws_lightsail.get_blueprints/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_blueprints/3","title":"aws_lightsail.get_blueprints/3","type":"function"},{"doc":"Returns the existing access key IDs for the specified Amazon Lightsail bucket. This action does not return the secret access key value of an access key. You can get a secret access key only when you create it from the response of the CreateBucketAccessKey action. If you lose the secret access key, you must create a new access key.","ref":"aws_lightsail.html#get_bucket_access_keys/2","title":"aws_lightsail.get_bucket_access_keys/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_bucket_access_keys/3","title":"aws_lightsail.get_bucket_access_keys/3","type":"function"},{"doc":"Returns the bundles that you can apply to a Amazon Lightsail bucket. The bucket bundle specifies the monthly cost, storage quota, and data transfer quota for a bucket. Use the UpdateBucketBundle action to update the bundle for a bucket.","ref":"aws_lightsail.html#get_bucket_bundles/2","title":"aws_lightsail.get_bucket_bundles/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_bucket_bundles/3","title":"aws_lightsail.get_bucket_bundles/3","type":"function"},{"doc":"Returns the data points of a specific metric for an Amazon Lightsail bucket. Metrics report the utilization of a bucket. View and collect metric data regularly to monitor the number of objects stored in a bucket (including object versions) and the storage space used by those objects.","ref":"aws_lightsail.html#get_bucket_metric_data/2","title":"aws_lightsail.get_bucket_metric_data/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_bucket_metric_data/3","title":"aws_lightsail.get_bucket_metric_data/3","type":"function"},{"doc":"Returns information about one or more Amazon Lightsail buckets. The information returned includes the synchronization status of the Amazon Simple Storage Service (Amazon S3) account-level block public access feature for your Lightsail buckets. For more information about buckets, see Buckets in Amazon Lightsail in the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#get_buckets/2","title":"aws_lightsail.get_buckets/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_buckets/3","title":"aws_lightsail.get_buckets/3","type":"function"},{"doc":"Returns the bundles that you can apply to an Amazon Lightsail instance when you create it. A bundle describes the specifications of an instance, such as the monthly cost, amount of memory, the number of vCPUs, amount of storage space, and monthly network data transfer quota. Bundles are referred to as instance plans in the Lightsail console.","ref":"aws_lightsail.html#get_bundles/2","title":"aws_lightsail.get_bundles/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_bundles/3","title":"aws_lightsail.get_bundles/3","type":"function"},{"doc":"Returns information about one or more Amazon Lightsail SSL/TLS certificates. To get a summary of a certificate, ommit includeCertificateDetails from your request. The response will include only the certificate Amazon Resource Name (ARN), certificate name, domain name, and tags.","ref":"aws_lightsail.html#get_certificates/2","title":"aws_lightsail.get_certificates/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_certificates/3","title":"aws_lightsail.get_certificates/3","type":"function"},{"doc":"Returns the CloudFormation stack record created as a result of the create cloud formation stack operation. An AWS CloudFormation stack is used to create a new Amazon EC2 instance from an exported Lightsail snapshot.","ref":"aws_lightsail.html#get_cloud_formation_stack_records/2","title":"aws_lightsail.get_cloud_formation_stack_records/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_cloud_formation_stack_records/3","title":"aws_lightsail.get_cloud_formation_stack_records/3","type":"function"},{"doc":"Returns information about the configured contact methods. Specify a protocol in your request to return information about a specific contact method. A contact method is used to send you notifications about your Amazon Lightsail resources. You can add one email address and one mobile phone number contact method in each Amazon Web Services Region. However, SMS text messaging is not supported in some Amazon Web Services Regions, and SMS text messages cannot be sent to some countries/regions. For more information, see Notifications in Amazon Lightsail.","ref":"aws_lightsail.html#get_contact_methods/2","title":"aws_lightsail.get_contact_methods/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_contact_methods/3","title":"aws_lightsail.get_contact_methods/3","type":"function"},{"doc":"Returns information about Amazon Lightsail containers, such as the current version of the Lightsail Control (lightsailctl) plugin.","ref":"aws_lightsail.html#get_container_api_metadata/2","title":"aws_lightsail.get_container_api_metadata/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_container_api_metadata/3","title":"aws_lightsail.get_container_api_metadata/3","type":"function"},{"doc":"Returns the container images that are registered to your Amazon Lightsail container service. If you created a deployment on your Lightsail container service that uses container images from a public registry like Docker Hub, those images are not returned as part of this action. Those images are not registered to your Lightsail container service.","ref":"aws_lightsail.html#get_container_images/2","title":"aws_lightsail.get_container_images/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_container_images/3","title":"aws_lightsail.get_container_images/3","type":"function"},{"doc":"Returns the log events of a container of your Amazon Lightsail container service. If your container service has more than one node (i.e., a scale greater than 1), then the log events that are returned for the specified container are merged from all nodes on your container service. Container logs are retained for a certain amount of time. For more information, see Amazon Lightsail endpoints and quotas in the Amazon Web Services General Reference.","ref":"aws_lightsail.html#get_container_log/2","title":"aws_lightsail.get_container_log/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_container_log/3","title":"aws_lightsail.get_container_log/3","type":"function"},{"doc":"Returns the deployments for your Amazon Lightsail container service A deployment specifies the settings, such as the ports and launch command, of containers that are deployed to your container service. The deployments are ordered by version in ascending order. The newest version is listed at the top of the response. A set number of deployments are kept before the oldest one is replaced with the newest one. For more information, see Amazon Lightsail endpoints and quotas in the Amazon Web Services General Reference.","ref":"aws_lightsail.html#get_container_service_deployments/2","title":"aws_lightsail.get_container_service_deployments/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_container_service_deployments/3","title":"aws_lightsail.get_container_service_deployments/3","type":"function"},{"doc":"Returns the data points of a specific metric of your Amazon Lightsail container service. Metrics report the utilization of your resources. Monitor and collect metric data regularly to maintain the reliability, availability, and performance of your resources.","ref":"aws_lightsail.html#get_container_service_metric_data/2","title":"aws_lightsail.get_container_service_metric_data/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_container_service_metric_data/3","title":"aws_lightsail.get_container_service_metric_data/3","type":"function"},{"doc":"Returns the list of powers that can be specified for your Amazon Lightsail container services. The power specifies the amount of memory, the number of vCPUs, and the base price of the container service.","ref":"aws_lightsail.html#get_container_service_powers/2","title":"aws_lightsail.get_container_service_powers/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_container_service_powers/3","title":"aws_lightsail.get_container_service_powers/3","type":"function"},{"doc":"Returns information about one or more of your Amazon Lightsail container services.","ref":"aws_lightsail.html#get_container_services/2","title":"aws_lightsail.get_container_services/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_container_services/3","title":"aws_lightsail.get_container_services/3","type":"function"},{"doc":"Returns information about a specific block storage disk.","ref":"aws_lightsail.html#get_disk/2","title":"aws_lightsail.get_disk/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_disk/3","title":"aws_lightsail.get_disk/3","type":"function"},{"doc":"Returns information about a specific block storage disk snapshot.","ref":"aws_lightsail.html#get_disk_snapshot/2","title":"aws_lightsail.get_disk_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_disk_snapshot/3","title":"aws_lightsail.get_disk_snapshot/3","type":"function"},{"doc":"Returns information about all block storage disk snapshots in your AWS account and region.","ref":"aws_lightsail.html#get_disk_snapshots/2","title":"aws_lightsail.get_disk_snapshots/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_disk_snapshots/3","title":"aws_lightsail.get_disk_snapshots/3","type":"function"},{"doc":"Returns information about all block storage disks in your AWS account and region.","ref":"aws_lightsail.html#get_disks/2","title":"aws_lightsail.get_disks/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_disks/3","title":"aws_lightsail.get_disks/3","type":"function"},{"doc":"Returns the bundles that can be applied to your Amazon Lightsail content delivery network (CDN) distributions. A distribution bundle specifies the monthly network transfer quota and monthly cost of your distribution.","ref":"aws_lightsail.html#get_distribution_bundles/2","title":"aws_lightsail.get_distribution_bundles/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_distribution_bundles/3","title":"aws_lightsail.get_distribution_bundles/3","type":"function"},{"doc":"Returns the timestamp and status of the last cache reset of a specific Amazon Lightsail content delivery network (CDN) distribution.","ref":"aws_lightsail.html#get_distribution_latest_cache_reset/2","title":"aws_lightsail.get_distribution_latest_cache_reset/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_distribution_latest_cache_reset/3","title":"aws_lightsail.get_distribution_latest_cache_reset/3","type":"function"},{"doc":"Returns the data points of a specific metric for an Amazon Lightsail content delivery network (CDN) distribution. Metrics report the utilization of your resources, and the error counts generated by them. Monitor and collect metric data regularly to maintain the reliability, availability, and performance of your resources.","ref":"aws_lightsail.html#get_distribution_metric_data/2","title":"aws_lightsail.get_distribution_metric_data/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_distribution_metric_data/3","title":"aws_lightsail.get_distribution_metric_data/3","type":"function"},{"doc":"Returns information about one or more of your Amazon Lightsail content delivery network (CDN) distributions.","ref":"aws_lightsail.html#get_distributions/2","title":"aws_lightsail.get_distributions/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_distributions/3","title":"aws_lightsail.get_distributions/3","type":"function"},{"doc":"Returns information about a specific domain recordset.","ref":"aws_lightsail.html#get_domain/2","title":"aws_lightsail.get_domain/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_domain/3","title":"aws_lightsail.get_domain/3","type":"function"},{"doc":"Returns a list of all domains in the user's account.","ref":"aws_lightsail.html#get_domains/2","title":"aws_lightsail.get_domains/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_domains/3","title":"aws_lightsail.get_domains/3","type":"function"},{"doc":"Returns all export snapshot records created as a result of the export snapshot operation. An export snapshot record can be used to create a new Amazon EC2 instance and its related resources with the CreateCloudFormationStack action.","ref":"aws_lightsail.html#get_export_snapshot_records/2","title":"aws_lightsail.get_export_snapshot_records/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_export_snapshot_records/3","title":"aws_lightsail.get_export_snapshot_records/3","type":"function"},{"doc":"Returns information about a specific Amazon Lightsail instance, which is a virtual private server.","ref":"aws_lightsail.html#get_instance/2","title":"aws_lightsail.get_instance/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_instance/3","title":"aws_lightsail.get_instance/3","type":"function"},{"doc":"Returns temporary SSH keys you can use to connect to a specific virtual private server, or instance. The get instance access details operation supports tag-based access control via resource tags applied to the resource identified by instance name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#get_instance_access_details/2","title":"aws_lightsail.get_instance_access_details/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_instance_access_details/3","title":"aws_lightsail.get_instance_access_details/3","type":"function"},{"doc":"Returns the data points for the specified Amazon Lightsail instance metric, given an instance name. Metrics report the utilization of your resources, and the error counts generated by them. Monitor and collect metric data regularly to maintain the reliability, availability, and performance of your resources.","ref":"aws_lightsail.html#get_instance_metric_data/2","title":"aws_lightsail.get_instance_metric_data/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_instance_metric_data/3","title":"aws_lightsail.get_instance_metric_data/3","type":"function"},{"doc":"Returns the firewall port states for a specific Amazon Lightsail instance, the IP addresses allowed to connect to the instance through the ports, and the protocol.","ref":"aws_lightsail.html#get_instance_port_states/2","title":"aws_lightsail.get_instance_port_states/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_instance_port_states/3","title":"aws_lightsail.get_instance_port_states/3","type":"function"},{"doc":"Returns information about a specific instance snapshot.","ref":"aws_lightsail.html#get_instance_snapshot/2","title":"aws_lightsail.get_instance_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_instance_snapshot/3","title":"aws_lightsail.get_instance_snapshot/3","type":"function"},{"doc":"Returns all instance snapshots for the user's account.","ref":"aws_lightsail.html#get_instance_snapshots/2","title":"aws_lightsail.get_instance_snapshots/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_instance_snapshots/3","title":"aws_lightsail.get_instance_snapshots/3","type":"function"},{"doc":"Returns the state of a specific instance. Works on one instance at a time.","ref":"aws_lightsail.html#get_instance_state/2","title":"aws_lightsail.get_instance_state/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_instance_state/3","title":"aws_lightsail.get_instance_state/3","type":"function"},{"doc":"Returns information about all Amazon Lightsail virtual private servers, or instances.","ref":"aws_lightsail.html#get_instances/2","title":"aws_lightsail.get_instances/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_instances/3","title":"aws_lightsail.get_instances/3","type":"function"},{"doc":"Returns information about a specific key pair.","ref":"aws_lightsail.html#get_key_pair/2","title":"aws_lightsail.get_key_pair/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_key_pair/3","title":"aws_lightsail.get_key_pair/3","type":"function"},{"doc":"Returns information about all key pairs in the user's account.","ref":"aws_lightsail.html#get_key_pairs/2","title":"aws_lightsail.get_key_pairs/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_key_pairs/3","title":"aws_lightsail.get_key_pairs/3","type":"function"},{"doc":"Returns information about the specified Lightsail load balancer.","ref":"aws_lightsail.html#get_load_balancer/2","title":"aws_lightsail.get_load_balancer/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_load_balancer/3","title":"aws_lightsail.get_load_balancer/3","type":"function"},{"doc":"Returns information about health metrics for your Lightsail load balancer. Metrics report the utilization of your resources, and the error counts generated by them. Monitor and collect metric data regularly to maintain the reliability, availability, and performance of your resources.","ref":"aws_lightsail.html#get_load_balancer_metric_data/2","title":"aws_lightsail.get_load_balancer_metric_data/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_load_balancer_metric_data/3","title":"aws_lightsail.get_load_balancer_metric_data/3","type":"function"},{"doc":"Returns information about the TLS certificates that are associated with the specified Lightsail load balancer. TLS is just an updated, more secure version of Secure Socket Layer (SSL). You can have a maximum of 2 certificates associated with a Lightsail load balancer. One is active and the other is inactive.","ref":"aws_lightsail.html#get_load_balancer_tls_certificates/2","title":"aws_lightsail.get_load_balancer_tls_certificates/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_load_balancer_tls_certificates/3","title":"aws_lightsail.get_load_balancer_tls_certificates/3","type":"function"},{"doc":"Returns a list of TLS security policies that you can apply to Lightsail load balancers. For more information about load balancer TLS security policies, see Configuring TLS security policies on your Amazon Lightsail load balancers in the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#get_load_balancer_tls_policies/2","title":"aws_lightsail.get_load_balancer_tls_policies/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_load_balancer_tls_policies/3","title":"aws_lightsail.get_load_balancer_tls_policies/3","type":"function"},{"doc":"Returns information about all load balancers in an account.","ref":"aws_lightsail.html#get_load_balancers/2","title":"aws_lightsail.get_load_balancers/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_load_balancers/3","title":"aws_lightsail.get_load_balancers/3","type":"function"},{"doc":"Returns information about a specific operation. Operations include events such as when you create an instance, allocate a static IP, attach a static IP, and so on.","ref":"aws_lightsail.html#get_operation/2","title":"aws_lightsail.get_operation/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_operation/3","title":"aws_lightsail.get_operation/3","type":"function"},{"doc":"Returns information about all operations. Results are returned from oldest to newest, up to a maximum of 200. Results can be paged by making each subsequent call to GetOperations use the maximum (last) statusChangedAt value from the previous request.","ref":"aws_lightsail.html#get_operations/2","title":"aws_lightsail.get_operations/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_operations/3","title":"aws_lightsail.get_operations/3","type":"function"},{"doc":"Gets operations for a specific resource (e.g., an instance or a static IP).","ref":"aws_lightsail.html#get_operations_for_resource/2","title":"aws_lightsail.get_operations_for_resource/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_operations_for_resource/3","title":"aws_lightsail.get_operations_for_resource/3","type":"function"},{"doc":"Returns a list of all valid regions for Amazon Lightsail. Use the include availability zones parameter to also return the Availability Zones in a region.","ref":"aws_lightsail.html#get_regions/2","title":"aws_lightsail.get_regions/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_regions/3","title":"aws_lightsail.get_regions/3","type":"function"},{"doc":"Returns information about a specific database in Amazon Lightsail.","ref":"aws_lightsail.html#get_relational_database/2","title":"aws_lightsail.get_relational_database/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_relational_database/3","title":"aws_lightsail.get_relational_database/3","type":"function"},{"doc":"Returns a list of available database blueprints in Amazon Lightsail. A blueprint describes the major engine version of a database. You can use a blueprint ID to create a new database that runs a specific database engine.","ref":"aws_lightsail.html#get_relational_database_blueprints/2","title":"aws_lightsail.get_relational_database_blueprints/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_relational_database_blueprints/3","title":"aws_lightsail.get_relational_database_blueprints/3","type":"function"},{"doc":"Returns the list of bundles that are available in Amazon Lightsail. A bundle describes the performance specifications for a database. You can use a bundle ID to create a new database with explicit performance specifications.","ref":"aws_lightsail.html#get_relational_database_bundles/2","title":"aws_lightsail.get_relational_database_bundles/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_relational_database_bundles/3","title":"aws_lightsail.get_relational_database_bundles/3","type":"function"},{"doc":"Returns a list of events for a specific database in Amazon Lightsail.","ref":"aws_lightsail.html#get_relational_database_events/2","title":"aws_lightsail.get_relational_database_events/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_relational_database_events/3","title":"aws_lightsail.get_relational_database_events/3","type":"function"},{"doc":"Returns a list of log events for a database in Amazon Lightsail.","ref":"aws_lightsail.html#get_relational_database_log_events/2","title":"aws_lightsail.get_relational_database_log_events/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_relational_database_log_events/3","title":"aws_lightsail.get_relational_database_log_events/3","type":"function"},{"doc":"Returns a list of available log streams for a specific database in Amazon Lightsail.","ref":"aws_lightsail.html#get_relational_database_log_streams/2","title":"aws_lightsail.get_relational_database_log_streams/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_relational_database_log_streams/3","title":"aws_lightsail.get_relational_database_log_streams/3","type":"function"},{"doc":"Returns the current, previous, or pending versions of the master user password for a Lightsail database. The GetRelationalDatabaseMasterUserPassword operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName.","ref":"aws_lightsail.html#get_relational_database_master_user_password/2","title":"aws_lightsail.get_relational_database_master_user_password/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_relational_database_master_user_password/3","title":"aws_lightsail.get_relational_database_master_user_password/3","type":"function"},{"doc":"Returns the data points of the specified metric for a database in Amazon Lightsail. Metrics report the utilization of your resources, and the error counts generated by them. Monitor and collect metric data regularly to maintain the reliability, availability, and performance of your resources.","ref":"aws_lightsail.html#get_relational_database_metric_data/2","title":"aws_lightsail.get_relational_database_metric_data/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_relational_database_metric_data/3","title":"aws_lightsail.get_relational_database_metric_data/3","type":"function"},{"doc":"Returns all of the runtime parameters offered by the underlying database software, or engine, for a specific database in Amazon Lightsail. In addition to the parameter names and values, this operation returns other information about each parameter. This information includes whether changes require a reboot, whether the parameter is modifiable, the allowed values, and the data types.","ref":"aws_lightsail.html#get_relational_database_parameters/2","title":"aws_lightsail.get_relational_database_parameters/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_relational_database_parameters/3","title":"aws_lightsail.get_relational_database_parameters/3","type":"function"},{"doc":"Returns information about a specific database snapshot in Amazon Lightsail.","ref":"aws_lightsail.html#get_relational_database_snapshot/2","title":"aws_lightsail.get_relational_database_snapshot/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_relational_database_snapshot/3","title":"aws_lightsail.get_relational_database_snapshot/3","type":"function"},{"doc":"Returns information about all of your database snapshots in Amazon Lightsail.","ref":"aws_lightsail.html#get_relational_database_snapshots/2","title":"aws_lightsail.get_relational_database_snapshots/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_relational_database_snapshots/3","title":"aws_lightsail.get_relational_database_snapshots/3","type":"function"},{"doc":"Returns information about all of your databases in Amazon Lightsail.","ref":"aws_lightsail.html#get_relational_databases/2","title":"aws_lightsail.get_relational_databases/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_relational_databases/3","title":"aws_lightsail.get_relational_databases/3","type":"function"},{"doc":"Returns information about an Amazon Lightsail static IP.","ref":"aws_lightsail.html#get_static_ip/2","title":"aws_lightsail.get_static_ip/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_static_ip/3","title":"aws_lightsail.get_static_ip/3","type":"function"},{"doc":"Returns information about all static IPs in the user's account.","ref":"aws_lightsail.html#get_static_ips/2","title":"aws_lightsail.get_static_ips/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#get_static_ips/3","title":"aws_lightsail.get_static_ips/3","type":"function"},{"doc":"Imports a public SSH key from a specific key pair.","ref":"aws_lightsail.html#import_key_pair/2","title":"aws_lightsail.import_key_pair/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#import_key_pair/3","title":"aws_lightsail.import_key_pair/3","type":"function"},{"doc":"Returns a Boolean value indicating whether your Lightsail VPC is peered.","ref":"aws_lightsail.html#is_vpc_peered/2","title":"aws_lightsail.is_vpc_peered/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#is_vpc_peered/3","title":"aws_lightsail.is_vpc_peered/3","type":"function"},{"doc":"Opens ports for a specific Amazon Lightsail instance, and specifies the IP addresses allowed to connect to the instance through the ports, and the protocol. The OpenInstancePublicPorts action supports tag-based access control via resource tags applied to the resource identified by instanceName . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#open_instance_public_ports/2","title":"aws_lightsail.open_instance_public_ports/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#open_instance_public_ports/3","title":"aws_lightsail.open_instance_public_ports/3","type":"function"},{"doc":"Peers the Lightsail VPC with the user's default VPC.","ref":"aws_lightsail.html#peer_vpc/2","title":"aws_lightsail.peer_vpc/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#peer_vpc/3","title":"aws_lightsail.peer_vpc/3","type":"function"},{"doc":"Creates or updates an alarm, and associates it with the specified metric. An alarm is used to monitor a single metric for one of your resources. When a metric condition is met, the alarm can notify you by email, SMS text message, and a banner displayed on the Amazon Lightsail console. For more information, see Alarms in Amazon Lightsail. When this action creates an alarm, the alarm state is immediately set to INSUFFICIENT_DATA . The alarm is then evaluated and its state is set appropriately. Any actions associated with the new state are then executed. When you update an existing alarm, its state is left unchanged, but the update completely overwrites the previous configuration of the alarm. The alarm is then evaluated with the updated configuration.","ref":"aws_lightsail.html#put_alarm/2","title":"aws_lightsail.put_alarm/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#put_alarm/3","title":"aws_lightsail.put_alarm/3","type":"function"},{"doc":"Opens ports for a specific Amazon Lightsail instance, and specifies the IP addresses allowed to connect to the instance through the ports, and the protocol. This action also closes all currently open ports that are not included in the request. Include all of the ports and the protocols you want to open in your PutInstancePublicPorts request. Or use the OpenInstancePublicPorts action to open ports without closing currently open ports. The PutInstancePublicPorts action supports tag-based access control via resource tags applied to the resource identified by instanceName . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#put_instance_public_ports/2","title":"aws_lightsail.put_instance_public_ports/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#put_instance_public_ports/3","title":"aws_lightsail.put_instance_public_ports/3","type":"function"},{"doc":"Restarts a specific instance. The reboot instance operation supports tag-based access control via resource tags applied to the resource identified by instance name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#reboot_instance/2","title":"aws_lightsail.reboot_instance/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#reboot_instance/3","title":"aws_lightsail.reboot_instance/3","type":"function"},{"doc":"Restarts a specific database in Amazon Lightsail. The reboot relational database operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#reboot_relational_database/2","title":"aws_lightsail.reboot_relational_database/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#reboot_relational_database/3","title":"aws_lightsail.reboot_relational_database/3","type":"function"},{"doc":"Registers a container image to your Amazon Lightsail container service. This action is not required if you install and use the Lightsail Control (lightsailctl) plugin to push container images to your Lightsail container service. For more information, see Pushing and managing container images on your Amazon Lightsail container services in the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#register_container_image/2","title":"aws_lightsail.register_container_image/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#register_container_image/3","title":"aws_lightsail.register_container_image/3","type":"function"},{"doc":"Deletes a specific static IP from your account.","ref":"aws_lightsail.html#release_static_ip/2","title":"aws_lightsail.release_static_ip/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#release_static_ip/3","title":"aws_lightsail.release_static_ip/3","type":"function"},{"doc":"Deletes currently cached content from your Amazon Lightsail content delivery network (CDN) distribution. After resetting the cache, the next time a content request is made, your distribution pulls, serves, and caches it from the origin.","ref":"aws_lightsail.html#reset_distribution_cache/2","title":"aws_lightsail.reset_distribution_cache/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#reset_distribution_cache/3","title":"aws_lightsail.reset_distribution_cache/3","type":"function"},{"doc":"Sends a verification request to an email contact method to ensure it's owned by the requester. SMS contact methods don't need to be verified. A contact method is used to send you notifications about your Amazon Lightsail resources. You can add one email address and one mobile phone number contact method in each Amazon Web Services Region. However, SMS text messaging is not supported in some Amazon Web Services Regions, and SMS text messages cannot be sent to some countries/regions. For more information, see Notifications in Amazon Lightsail. A verification request is sent to the contact method when you initially create it. Use this action to send another verification request if a previous verification request was deleted, or has expired. Notifications are not sent to an email contact method until after it is verified, and confirmed as valid.","ref":"aws_lightsail.html#send_contact_method_verification/2","title":"aws_lightsail.send_contact_method_verification/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#send_contact_method_verification/3","title":"aws_lightsail.send_contact_method_verification/3","type":"function"},{"doc":"Sets the IP address type for an Amazon Lightsail resource. Use this action to enable dual-stack for a resource, which enables IPv4 and IPv6 for the specified resource. Alternately, you can use this action to disable dual-stack, and enable IPv4 only.","ref":"aws_lightsail.html#set_ip_address_type/2","title":"aws_lightsail.set_ip_address_type/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#set_ip_address_type/3","title":"aws_lightsail.set_ip_address_type/3","type":"function"},{"doc":"Sets the Amazon Lightsail resources that can access the specified Lightsail bucket. Lightsail buckets currently support setting access for Lightsail instances in the same Amazon Web Services Region.","ref":"aws_lightsail.html#set_resource_access_for_bucket/2","title":"aws_lightsail.set_resource_access_for_bucket/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#set_resource_access_for_bucket/3","title":"aws_lightsail.set_resource_access_for_bucket/3","type":"function"},{"doc":"Starts a specific Amazon Lightsail instance from a stopped state. To restart an instance, use the reboot instance operation. When you start a stopped instance, Lightsail assigns a new public IP address to the instance. To use the same IP address after stopping and starting an instance, create a static IP address and attach it to the instance. For more information, see the Amazon Lightsail Developer Guide. The start instance operation supports tag-based access control via resource tags applied to the resource identified by instance name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#start_instance/2","title":"aws_lightsail.start_instance/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#start_instance/3","title":"aws_lightsail.start_instance/3","type":"function"},{"doc":"Starts a specific database from a stopped state in Amazon Lightsail. To restart a database, use the reboot relational database operation. The start relational database operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#start_relational_database/2","title":"aws_lightsail.start_relational_database/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#start_relational_database/3","title":"aws_lightsail.start_relational_database/3","type":"function"},{"doc":"Stops a specific Amazon Lightsail instance that is currently running. When you start a stopped instance, Lightsail assigns a new public IP address to the instance. To use the same IP address after stopping and starting an instance, create a static IP address and attach it to the instance. For more information, see the Amazon Lightsail Developer Guide. The stop instance operation supports tag-based access control via resource tags applied to the resource identified by instance name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#stop_instance/2","title":"aws_lightsail.stop_instance/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#stop_instance/3","title":"aws_lightsail.stop_instance/3","type":"function"},{"doc":"Stops a specific database that is currently running in Amazon Lightsail. The stop relational database operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#stop_relational_database/2","title":"aws_lightsail.stop_relational_database/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#stop_relational_database/3","title":"aws_lightsail.stop_relational_database/3","type":"function"},{"doc":"Adds one or more tags to the specified Amazon Lightsail resource. Each resource can have a maximum of 50 tags. Each tag consists of a key and an optional value. Tag keys must be unique per resource. For more information about tags, see the Amazon Lightsail Developer Guide. The tag resource operation supports tag-based access control via request tags and resource tags applied to the resource identified by resource name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#tag_resource/2","title":"aws_lightsail.tag_resource/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#tag_resource/3","title":"aws_lightsail.tag_resource/3","type":"function"},{"doc":"Tests an alarm by displaying a banner on the Amazon Lightsail console. If a notification trigger is configured for the specified alarm, the test also sends a notification to the notification protocol ( Email and/or SMS ) configured for the alarm. An alarm is used to monitor a single metric for one of your resources. When a metric condition is met, the alarm can notify you by email, SMS text message, and a banner displayed on the Amazon Lightsail console. For more information, see Alarms in Amazon Lightsail.","ref":"aws_lightsail.html#test_alarm/2","title":"aws_lightsail.test_alarm/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#test_alarm/3","title":"aws_lightsail.test_alarm/3","type":"function"},{"doc":"Unpeers the Lightsail VPC from the user's default VPC.","ref":"aws_lightsail.html#unpeer_vpc/2","title":"aws_lightsail.unpeer_vpc/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#unpeer_vpc/3","title":"aws_lightsail.unpeer_vpc/3","type":"function"},{"doc":"Deletes the specified set of tag keys and their values from the specified Amazon Lightsail resource. The untag resource operation supports tag-based access control via request tags and resource tags applied to the resource identified by resource name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#untag_resource/2","title":"aws_lightsail.untag_resource/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#untag_resource/3","title":"aws_lightsail.untag_resource/3","type":"function"},{"doc":"Updates an existing Amazon Lightsail bucket. Use this action to update the configuration of an existing bucket, such as versioning, public accessibility, and the Amazon Web Services accounts that can access the bucket.","ref":"aws_lightsail.html#update_bucket/2","title":"aws_lightsail.update_bucket/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#update_bucket/3","title":"aws_lightsail.update_bucket/3","type":"function"},{"doc":"Updates the bundle, or storage plan, of an existing Amazon Lightsail bucket. A bucket bundle specifies the monthly cost, storage space, and data transfer quota for a bucket. You can update a bucket's bundle only one time within a monthly Amazon Web Services billing cycle. To determine if you can update a bucket's bundle, use the GetBuckets action. The ableToUpdateBundle parameter in the response will indicate whether you can currently update a bucket's bundle. Update a bucket's bundle if it's consistently going over its storage space or data transfer quota, or if a bucket's usage is consistently in the lower range of its storage space or data transfer quota. Due to the unpredictable usage fluctuations that a bucket might experience, we strongly recommend that you update a bucket's bundle only as a long-term strategy, instead of as a short-term, monthly cost-cutting measure. Choose a bucket bundle that will provide the bucket with ample storage space and data transfer for a long time to come.","ref":"aws_lightsail.html#update_bucket_bundle/2","title":"aws_lightsail.update_bucket_bundle/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#update_bucket_bundle/3","title":"aws_lightsail.update_bucket_bundle/3","type":"function"},{"doc":"Updates the configuration of your Amazon Lightsail container service, such as its power, scale, and public domain names.","ref":"aws_lightsail.html#update_container_service/2","title":"aws_lightsail.update_container_service/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#update_container_service/3","title":"aws_lightsail.update_container_service/3","type":"function"},{"doc":"Updates an existing Amazon Lightsail content delivery network (CDN) distribution. Use this action to update the configuration of your existing distribution.","ref":"aws_lightsail.html#update_distribution/2","title":"aws_lightsail.update_distribution/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#update_distribution/3","title":"aws_lightsail.update_distribution/3","type":"function"},{"doc":"Updates the bundle of your Amazon Lightsail content delivery network (CDN) distribution. A distribution bundle specifies the monthly network transfer quota and monthly cost of your distribution. Update your distribution's bundle if your distribution is going over its monthly network transfer quota and is incurring an overage fee. You can update your distribution's bundle only one time within your monthly Amazon Web Services billing cycle. To determine if you can update your distribution's bundle, use the GetDistributions action. The ableToUpdateBundle parameter in the result will indicate whether you can currently update your distribution's bundle.","ref":"aws_lightsail.html#update_distribution_bundle/2","title":"aws_lightsail.update_distribution_bundle/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#update_distribution_bundle/3","title":"aws_lightsail.update_distribution_bundle/3","type":"function"},{"doc":"Updates a domain recordset after it is created. The update domain entry operation supports tag-based access control via resource tags applied to the resource identified by domain name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#update_domain_entry/2","title":"aws_lightsail.update_domain_entry/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#update_domain_entry/3","title":"aws_lightsail.update_domain_entry/3","type":"function"},{"doc":"Modifies the Amazon Lightsail instance metadata parameters on a running or stopped instance. When you modify the parameters on a running instance, the GetInstance or GetInstances API operation initially responds with a state of pending . After the parameter modifications are successfully applied, the state changes to applied in subsequent GetInstance or GetInstances API calls. For more information, see Use IMDSv2 with an Amazon Lightsail instance in the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#update_instance_metadata_options/2","title":"aws_lightsail.update_instance_metadata_options/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#update_instance_metadata_options/3","title":"aws_lightsail.update_instance_metadata_options/3","type":"function"},{"doc":"Updates the specified attribute for a load balancer. You can only update one attribute at a time. The update load balancer attribute operation supports tag-based access control via resource tags applied to the resource identified by load balancer name . For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#update_load_balancer_attribute/2","title":"aws_lightsail.update_load_balancer_attribute/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#update_load_balancer_attribute/3","title":"aws_lightsail.update_load_balancer_attribute/3","type":"function"},{"doc":"Allows the update of one or more attributes of a database in Amazon Lightsail. Updates are applied immediately, or in cases where the updates could result in an outage, are applied during the database's predefined maintenance window. The update relational database operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#update_relational_database/2","title":"aws_lightsail.update_relational_database/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#update_relational_database/3","title":"aws_lightsail.update_relational_database/3","type":"function"},{"doc":"Allows the update of one or more parameters of a database in Amazon Lightsail. Parameter updates don't cause outages; therefore, their application is not subject to the preferred maintenance window. However, there are two ways in which parameter updates are applied: dynamic or pending-reboot . Parameters marked with a dynamic apply type are applied immediately. Parameters marked with a pending-reboot apply type are applied only after the database is rebooted using the reboot relational database operation. The update relational database parameters operation supports tag-based access control via resource tags applied to the resource identified by relationalDatabaseName. For more information, see the Amazon Lightsail Developer Guide.","ref":"aws_lightsail.html#update_relational_database_parameters/2","title":"aws_lightsail.update_relational_database_parameters/2","type":"function"},{"doc":"","ref":"aws_lightsail.html#update_relational_database_parameters/3","title":"aws_lightsail.update_relational_database_parameters/3","type":"function"},{"doc":"&quot;Suite of geospatial services including Maps, Places, Routes, Tracking, and Geofencing&quot;","ref":"aws_location.html","title":"aws_location","type":"module"},{"doc":"Creates an association between a geofence collection and a tracker resource. This allows the tracker resource to communicate location data to the linked geofence collection. You can associate up to five geofence collections to each tracker resource. Currently not supported — Cross-account configurations, such as creating associations between a tracker resource in one account and a geofence collection in another account.","ref":"aws_location.html#associate_tracker_consumer/3","title":"aws_location.associate_tracker_consumer/3","type":"function"},{"doc":"","ref":"aws_location.html#associate_tracker_consumer/4","title":"aws_location.associate_tracker_consumer/4","type":"function"},{"doc":"Deletes the position history of one or more devices from a tracker resource.","ref":"aws_location.html#batch_delete_device_position_history/3","title":"aws_location.batch_delete_device_position_history/3","type":"function"},{"doc":"","ref":"aws_location.html#batch_delete_device_position_history/4","title":"aws_location.batch_delete_device_position_history/4","type":"function"},{"doc":"Deletes a batch of geofences from a geofence collection. This operation deletes the resource permanently.","ref":"aws_location.html#batch_delete_geofence/3","title":"aws_location.batch_delete_geofence/3","type":"function"},{"doc":"","ref":"aws_location.html#batch_delete_geofence/4","title":"aws_location.batch_delete_geofence/4","type":"function"},{"doc":"Evaluates device positions against the geofence geometries from a given geofence collection. This operation always returns an empty response because geofences are asynchronously evaluated. The evaluation determines if the device has entered or exited a geofenced area, and then publishes one of the following events to Amazon EventBridge: ENTER if Amazon Location determines that the tracked device has entered a geofenced area. EXIT if Amazon Location determines that the tracked device has exited a geofenced area. The last geofence that a device was observed within is tracked for 30 days after the most recent device position update. Geofence evaluation uses the given device position. It does not account for the optional Accuracy of a DevicePositionUpdate . The DeviceID is used as a string to represent the device. You do not need to have a Tracker associated with the DeviceID .","ref":"aws_location.html#batch_evaluate_geofences/3","title":"aws_location.batch_evaluate_geofences/3","type":"function"},{"doc":"","ref":"aws_location.html#batch_evaluate_geofences/4","title":"aws_location.batch_evaluate_geofences/4","type":"function"},{"doc":"Lists the latest device positions for requested devices.","ref":"aws_location.html#batch_get_device_position/3","title":"aws_location.batch_get_device_position/3","type":"function"},{"doc":"","ref":"aws_location.html#batch_get_device_position/4","title":"aws_location.batch_get_device_position/4","type":"function"},{"doc":"A batch request for storing geofence geometries into a given geofence collection, or updates the geometry of an existing geofence if a geofence ID is included in the request.","ref":"aws_location.html#batch_put_geofence/3","title":"aws_location.batch_put_geofence/3","type":"function"},{"doc":"","ref":"aws_location.html#batch_put_geofence/4","title":"aws_location.batch_put_geofence/4","type":"function"},{"doc":"Uploads position update data for one or more devices to a tracker resource. Amazon Location uses the data when it reports the last known device position and position history. Amazon Location retains location data for 30 days. Position updates are handled based on the PositionFiltering property of the tracker. When PositionFiltering is set to TimeBased , updates are evaluated against linked geofence collections, and location data is stored at a maximum of one position per 30 second interval. If your update frequency is more often than every 30 seconds, only one update per 30 seconds is stored for each unique device ID. When PositionFiltering is set to DistanceBased filtering, location data is stored and evaluated against linked geofence collections only if the device has moved more than 30 m (98.4 ft). When PositionFiltering is set to AccuracyBased filtering, location data is stored and evaluated against linked geofence collections only if the device has moved more than the measured accuracy. For example, if two consecutive updates from a device have a horizontal accuracy of 5 m and 10 m, the second update is neither stored or evaluated if the device has moved less than 15 m. If PositionFiltering is set to AccuracyBased filtering, Amazon Location uses the default value { &amp;quot;Horizontal&amp;quot;: 0} when accuracy is not provided on a DevicePositionUpdate .","ref":"aws_location.html#batch_update_device_position/3","title":"aws_location.batch_update_device_position/3","type":"function"},{"doc":"","ref":"aws_location.html#batch_update_device_position/4","title":"aws_location.batch_update_device_position/4","type":"function"},{"doc":"Calculates a route given the following required parameters: DeparturePosition and DestinationPosition . Requires that you first create a route calculator resource. By default, a request that doesn't specify a departure time uses the best time of day to travel with the best traffic conditions when calculating the route. Additional options include: Specifying a departure time using either DepartureTime or DepartNow . This calculates a route based on predictive traffic data at the given time. You can't specify both DepartureTime and DepartNow in a single request. Specifying both parameters returns a validation error. Specifying a travel mode using TravelMode sets the transportation mode used to calculate the routes. This also lets you specify additional route preferences in CarModeOptions if traveling by Car , or TruckModeOptions if traveling by Truck . If you specify walking for the travel mode and your data provider is Esri, the start and destination must be within 40km.","ref":"aws_location.html#calculate_route/3","title":"aws_location.calculate_route/3","type":"function"},{"doc":"","ref":"aws_location.html#calculate_route/4","title":"aws_location.calculate_route/4","type":"function"},{"doc":"Calculates a route matrix given the following required parameters: DeparturePositions and DestinationPositions . CalculateRouteMatrix calculates routes and returns the travel time and travel distance from each departure position to each destination position in the request. For example, given departure positions A and B, and destination positions X and Y, CalculateRouteMatrix will return time and distance for routes from A to X, A to Y, B to X, and B to Y (in that order). The number of results returned (and routes calculated) will be the number of DeparturePositions times the number of DestinationPositions . Your account is charged for each route calculated, not the number of requests. Requires that you first create a route calculator resource. By default, a request that doesn't specify a departure time uses the best time of day to travel with the best traffic conditions when calculating routes. Additional options include: Specifying a departure time using either DepartureTime or DepartNow . This calculates routes based on predictive traffic data at the given time. You can't specify both DepartureTime and DepartNow in a single request. Specifying both parameters returns a validation error. Specifying a travel mode using TravelMode sets the transportation mode used to calculate the routes. This also lets you specify additional route preferences in CarModeOptions if traveling by Car , or TruckModeOptions if traveling by Truck .","ref":"aws_location.html#calculate_route_matrix/3","title":"aws_location.calculate_route_matrix/3","type":"function"},{"doc":"","ref":"aws_location.html#calculate_route_matrix/4","title":"aws_location.calculate_route_matrix/4","type":"function"},{"doc":"Creates a geofence collection, which manages and stores geofences.","ref":"aws_location.html#create_geofence_collection/2","title":"aws_location.create_geofence_collection/2","type":"function"},{"doc":"","ref":"aws_location.html#create_geofence_collection/3","title":"aws_location.create_geofence_collection/3","type":"function"},{"doc":"Creates a map resource in your AWS account, which provides map tiles of different styles sourced from global location data providers. If your application is tracking or routing assets you use in your business, such as delivery vehicles or employees, you must not use Esri as your geolocation provider. See section 82 of the AWS service terms for more details.","ref":"aws_location.html#create_map/2","title":"aws_location.create_map/2","type":"function"},{"doc":"","ref":"aws_location.html#create_map/3","title":"aws_location.create_map/3","type":"function"},{"doc":"Creates a place index resource in your AWS account. Use a place index resource to geocode addresses and other text queries by using the SearchPlaceIndexForText operation, and reverse geocode coordinates by using the SearchPlaceIndexForPosition operation, and enable autosuggestions by using the SearchPlaceIndexForSuggestions operation. If your application is tracking or routing assets you use in your business, such as delivery vehicles or employees, you must not use Esri as your geolocation provider. See section 82 of the AWS service terms for more details.","ref":"aws_location.html#create_place_index/2","title":"aws_location.create_place_index/2","type":"function"},{"doc":"","ref":"aws_location.html#create_place_index/3","title":"aws_location.create_place_index/3","type":"function"},{"doc":"Creates a route calculator resource in your AWS account. You can send requests to a route calculator resource to estimate travel time, distance, and get directions. A route calculator sources traffic and road network data from your chosen data provider. If your application is tracking or routing assets you use in your business, such as delivery vehicles or employees, you must not use Esri as your geolocation provider. See section 82 of the AWS service terms for more details.","ref":"aws_location.html#create_route_calculator/2","title":"aws_location.create_route_calculator/2","type":"function"},{"doc":"","ref":"aws_location.html#create_route_calculator/3","title":"aws_location.create_route_calculator/3","type":"function"},{"doc":"Creates a tracker resource in your AWS account, which lets you retrieve current and historical location of devices.","ref":"aws_location.html#create_tracker/2","title":"aws_location.create_tracker/2","type":"function"},{"doc":"","ref":"aws_location.html#create_tracker/3","title":"aws_location.create_tracker/3","type":"function"},{"doc":"Deletes a geofence collection from your AWS account. This operation deletes the resource permanently. If the geofence collection is the target of a tracker resource, the devices will no longer be monitored.","ref":"aws_location.html#delete_geofence_collection/3","title":"aws_location.delete_geofence_collection/3","type":"function"},{"doc":"","ref":"aws_location.html#delete_geofence_collection/4","title":"aws_location.delete_geofence_collection/4","type":"function"},{"doc":"Deletes a map resource from your AWS account. This operation deletes the resource permanently. If the map is being used in an application, the map may not render.","ref":"aws_location.html#delete_map/3","title":"aws_location.delete_map/3","type":"function"},{"doc":"","ref":"aws_location.html#delete_map/4","title":"aws_location.delete_map/4","type":"function"},{"doc":"Deletes a place index resource from your AWS account. This operation deletes the resource permanently.","ref":"aws_location.html#delete_place_index/3","title":"aws_location.delete_place_index/3","type":"function"},{"doc":"","ref":"aws_location.html#delete_place_index/4","title":"aws_location.delete_place_index/4","type":"function"},{"doc":"Deletes a route calculator resource from your AWS account. This operation deletes the resource permanently.","ref":"aws_location.html#delete_route_calculator/3","title":"aws_location.delete_route_calculator/3","type":"function"},{"doc":"","ref":"aws_location.html#delete_route_calculator/4","title":"aws_location.delete_route_calculator/4","type":"function"},{"doc":"Deletes a tracker resource from your AWS account. This operation deletes the resource permanently. If the tracker resource is in use, you may encounter an error. Make sure that the target resource isn't a dependency for your applications.","ref":"aws_location.html#delete_tracker/3","title":"aws_location.delete_tracker/3","type":"function"},{"doc":"","ref":"aws_location.html#delete_tracker/4","title":"aws_location.delete_tracker/4","type":"function"},{"doc":"Retrieves the geofence collection details.","ref":"aws_location.html#describe_geofence_collection/2","title":"aws_location.describe_geofence_collection/2","type":"function"},{"doc":"","ref":"aws_location.html#describe_geofence_collection/4","title":"aws_location.describe_geofence_collection/4","type":"function"},{"doc":"","ref":"aws_location.html#describe_geofence_collection/5","title":"aws_location.describe_geofence_collection/5","type":"function"},{"doc":"Retrieves the map resource details.","ref":"aws_location.html#describe_map/2","title":"aws_location.describe_map/2","type":"function"},{"doc":"","ref":"aws_location.html#describe_map/4","title":"aws_location.describe_map/4","type":"function"},{"doc":"","ref":"aws_location.html#describe_map/5","title":"aws_location.describe_map/5","type":"function"},{"doc":"Retrieves the place index resource details.","ref":"aws_location.html#describe_place_index/2","title":"aws_location.describe_place_index/2","type":"function"},{"doc":"","ref":"aws_location.html#describe_place_index/4","title":"aws_location.describe_place_index/4","type":"function"},{"doc":"","ref":"aws_location.html#describe_place_index/5","title":"aws_location.describe_place_index/5","type":"function"},{"doc":"Retrieves the route calculator resource details.","ref":"aws_location.html#describe_route_calculator/2","title":"aws_location.describe_route_calculator/2","type":"function"},{"doc":"","ref":"aws_location.html#describe_route_calculator/4","title":"aws_location.describe_route_calculator/4","type":"function"},{"doc":"","ref":"aws_location.html#describe_route_calculator/5","title":"aws_location.describe_route_calculator/5","type":"function"},{"doc":"Retrieves the tracker resource details.","ref":"aws_location.html#describe_tracker/2","title":"aws_location.describe_tracker/2","type":"function"},{"doc":"","ref":"aws_location.html#describe_tracker/4","title":"aws_location.describe_tracker/4","type":"function"},{"doc":"","ref":"aws_location.html#describe_tracker/5","title":"aws_location.describe_tracker/5","type":"function"},{"doc":"Removes the association between a tracker resource and a geofence collection. Once you unlink a tracker resource from a geofence collection, the tracker positions will no longer be automatically evaluated against geofences.","ref":"aws_location.html#disassociate_tracker_consumer/4","title":"aws_location.disassociate_tracker_consumer/4","type":"function"},{"doc":"","ref":"aws_location.html#disassociate_tracker_consumer/5","title":"aws_location.disassociate_tracker_consumer/5","type":"function"},{"doc":"Retrieves a device's most recent position according to its sample time. Device positions are deleted after 30 days.","ref":"aws_location.html#get_device_position/3","title":"aws_location.get_device_position/3","type":"function"},{"doc":"","ref":"aws_location.html#get_device_position/5","title":"aws_location.get_device_position/5","type":"function"},{"doc":"","ref":"aws_location.html#get_device_position/6","title":"aws_location.get_device_position/6","type":"function"},{"doc":"Retrieves the device position history from a tracker resource within a specified range of time. Device positions are deleted after 30 days.","ref":"aws_location.html#get_device_position_history/4","title":"aws_location.get_device_position_history/4","type":"function"},{"doc":"","ref":"aws_location.html#get_device_position_history/5","title":"aws_location.get_device_position_history/5","type":"function"},{"doc":"Retrieves the geofence details from a geofence collection.","ref":"aws_location.html#get_geofence/3","title":"aws_location.get_geofence/3","type":"function"},{"doc":"","ref":"aws_location.html#get_geofence/5","title":"aws_location.get_geofence/5","type":"function"},{"doc":"","ref":"aws_location.html#get_geofence/6","title":"aws_location.get_geofence/6","type":"function"},{"doc":"Retrieves glyphs used to display labels on a map.","ref":"aws_location.html#get_map_glyphs/4","title":"aws_location.get_map_glyphs/4","type":"function"},{"doc":"","ref":"aws_location.html#get_map_glyphs/6","title":"aws_location.get_map_glyphs/6","type":"function"},{"doc":"","ref":"aws_location.html#get_map_glyphs/7","title":"aws_location.get_map_glyphs/7","type":"function"},{"doc":"Retrieves the sprite sheet corresponding to a map resource. The sprite sheet is a PNG image paired with a JSON document describing the offsets of individual icons that will be displayed on a rendered map.","ref":"aws_location.html#get_map_sprites/3","title":"aws_location.get_map_sprites/3","type":"function"},{"doc":"","ref":"aws_location.html#get_map_sprites/5","title":"aws_location.get_map_sprites/5","type":"function"},{"doc":"","ref":"aws_location.html#get_map_sprites/6","title":"aws_location.get_map_sprites/6","type":"function"},{"doc":"Retrieves the map style descriptor from a map resource. The style descriptor contains speciﬁcations on how features render on a map. For example, what data to display, what order to display the data in, and the style for the data. Style descriptors follow the Mapbox Style Specification.","ref":"aws_location.html#get_map_style_descriptor/2","title":"aws_location.get_map_style_descriptor/2","type":"function"},{"doc":"","ref":"aws_location.html#get_map_style_descriptor/4","title":"aws_location.get_map_style_descriptor/4","type":"function"},{"doc":"","ref":"aws_location.html#get_map_style_descriptor/5","title":"aws_location.get_map_style_descriptor/5","type":"function"},{"doc":"Retrieves a vector data tile from the map resource. Map tiles are used by clients to render a map. they're addressed using a grid arrangement with an X coordinate, Y coordinate, and Z (zoom) level. The origin (0, 0) is the top left of the map. Increasing the zoom level by 1 doubles both the X and Y dimensions, so a tile containing data for the entire world at (0/0/0) will be split into 4 tiles at zoom 1 (1/0/0, 1/0/1, 1/1/0, 1/1/1).","ref":"aws_location.html#get_map_tile/5","title":"aws_location.get_map_tile/5","type":"function"},{"doc":"","ref":"aws_location.html#get_map_tile/7","title":"aws_location.get_map_tile/7","type":"function"},{"doc":"","ref":"aws_location.html#get_map_tile/8","title":"aws_location.get_map_tile/8","type":"function"},{"doc":"Finds a place by its unique ID. A PlaceId is returned by other search operations. A PlaceId is valid only if all of the following are the same in the original search request and the call to GetPlace . Customer AWS account AWS Region Data provider specified in the place index resource","ref":"aws_location.html#get_place/3","title":"aws_location.get_place/3","type":"function"},{"doc":"","ref":"aws_location.html#get_place/5","title":"aws_location.get_place/5","type":"function"},{"doc":"","ref":"aws_location.html#get_place/6","title":"aws_location.get_place/6","type":"function"},{"doc":"A batch request to retrieve all device positions.","ref":"aws_location.html#list_device_positions/3","title":"aws_location.list_device_positions/3","type":"function"},{"doc":"","ref":"aws_location.html#list_device_positions/4","title":"aws_location.list_device_positions/4","type":"function"},{"doc":"Lists geofence collections in your AWS account.","ref":"aws_location.html#list_geofence_collections/2","title":"aws_location.list_geofence_collections/2","type":"function"},{"doc":"","ref":"aws_location.html#list_geofence_collections/3","title":"aws_location.list_geofence_collections/3","type":"function"},{"doc":"Lists geofences stored in a given geofence collection.","ref":"aws_location.html#list_geofences/3","title":"aws_location.list_geofences/3","type":"function"},{"doc":"","ref":"aws_location.html#list_geofences/4","title":"aws_location.list_geofences/4","type":"function"},{"doc":"Lists map resources in your AWS account.","ref":"aws_location.html#list_maps/2","title":"aws_location.list_maps/2","type":"function"},{"doc":"","ref":"aws_location.html#list_maps/3","title":"aws_location.list_maps/3","type":"function"},{"doc":"Lists place index resources in your AWS account.","ref":"aws_location.html#list_place_indexes/2","title":"aws_location.list_place_indexes/2","type":"function"},{"doc":"","ref":"aws_location.html#list_place_indexes/3","title":"aws_location.list_place_indexes/3","type":"function"},{"doc":"Lists route calculator resources in your AWS account.","ref":"aws_location.html#list_route_calculators/2","title":"aws_location.list_route_calculators/2","type":"function"},{"doc":"","ref":"aws_location.html#list_route_calculators/3","title":"aws_location.list_route_calculators/3","type":"function"},{"doc":"Returns a list of tags that are applied to the specified Amazon Location resource.","ref":"aws_location.html#list_tags_for_resource/2","title":"aws_location.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_location.html#list_tags_for_resource/4","title":"aws_location.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_location.html#list_tags_for_resource/5","title":"aws_location.list_tags_for_resource/5","type":"function"},{"doc":"Lists geofence collections currently associated to the given tracker resource.","ref":"aws_location.html#list_tracker_consumers/3","title":"aws_location.list_tracker_consumers/3","type":"function"},{"doc":"","ref":"aws_location.html#list_tracker_consumers/4","title":"aws_location.list_tracker_consumers/4","type":"function"},{"doc":"Lists tracker resources in your AWS account.","ref":"aws_location.html#list_trackers/2","title":"aws_location.list_trackers/2","type":"function"},{"doc":"","ref":"aws_location.html#list_trackers/3","title":"aws_location.list_trackers/3","type":"function"},{"doc":"Stores a geofence geometry in a given geofence collection, or updates the geometry of an existing geofence if a geofence ID is included in the request.","ref":"aws_location.html#put_geofence/4","title":"aws_location.put_geofence/4","type":"function"},{"doc":"","ref":"aws_location.html#put_geofence/5","title":"aws_location.put_geofence/5","type":"function"},{"doc":"Reverse geocodes a given coordinate and returns a legible address. Allows you to search for Places or points of interest near a given position.","ref":"aws_location.html#search_place_index_for_position/3","title":"aws_location.search_place_index_for_position/3","type":"function"},{"doc":"","ref":"aws_location.html#search_place_index_for_position/4","title":"aws_location.search_place_index_for_position/4","type":"function"},{"doc":"Generates suggestions for addresses and points of interest based on partial or misspelled free-form text. This operation is also known as autocomplete, autosuggest, or fuzzy matching. Optional parameters let you narrow your search results by bounding box or country, or bias your search toward a specific position on the globe. You can search for suggested place names near a specified position by using BiasPosition , or filter results within a bounding box by using FilterBBox . These parameters are mutually exclusive; using both BiasPosition and FilterBBox in the same command returns an error.","ref":"aws_location.html#search_place_index_for_suggestions/3","title":"aws_location.search_place_index_for_suggestions/3","type":"function"},{"doc":"","ref":"aws_location.html#search_place_index_for_suggestions/4","title":"aws_location.search_place_index_for_suggestions/4","type":"function"},{"doc":"Geocodes free-form text, such as an address, name, city, or region to allow you to search for Places or points of interest. Optional parameters let you narrow your search results by bounding box or country, or bias your search toward a specific position on the globe. You can search for places near a given position using BiasPosition , or filter results within a bounding box using FilterBBox . Providing both parameters simultaneously returns an error. Search results are returned in order of highest to lowest relevance.","ref":"aws_location.html#search_place_index_for_text/3","title":"aws_location.search_place_index_for_text/3","type":"function"},{"doc":"","ref":"aws_location.html#search_place_index_for_text/4","title":"aws_location.search_place_index_for_text/4","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified Amazon Location Service resource. Tags can help you organize and categorize your resources. You can also use them to scope user permissions, by granting a user permission to access or change only resources with certain tag values. You can use the TagResource operation with an Amazon Location Service resource that already has tags. If you specify a new tag key for the resource, this tag is appended to the tags already associated with the resource. If you specify a tag key that's already associated with the resource, the new tag value that you specify replaces the previous value for that tag. You can associate up to 50 tags with a resource.","ref":"aws_location.html#tag_resource/3","title":"aws_location.tag_resource/3","type":"function"},{"doc":"","ref":"aws_location.html#tag_resource/4","title":"aws_location.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from the specified Amazon Location resource.","ref":"aws_location.html#untag_resource/3","title":"aws_location.untag_resource/3","type":"function"},{"doc":"","ref":"aws_location.html#untag_resource/4","title":"aws_location.untag_resource/4","type":"function"},{"doc":"Updates the specified properties of a given geofence collection.","ref":"aws_location.html#update_geofence_collection/3","title":"aws_location.update_geofence_collection/3","type":"function"},{"doc":"","ref":"aws_location.html#update_geofence_collection/4","title":"aws_location.update_geofence_collection/4","type":"function"},{"doc":"Updates the specified properties of a given map resource.","ref":"aws_location.html#update_map/3","title":"aws_location.update_map/3","type":"function"},{"doc":"","ref":"aws_location.html#update_map/4","title":"aws_location.update_map/4","type":"function"},{"doc":"Updates the specified properties of a given place index resource.","ref":"aws_location.html#update_place_index/3","title":"aws_location.update_place_index/3","type":"function"},{"doc":"","ref":"aws_location.html#update_place_index/4","title":"aws_location.update_place_index/4","type":"function"},{"doc":"Updates the specified properties for a given route calculator resource.","ref":"aws_location.html#update_route_calculator/3","title":"aws_location.update_route_calculator/3","type":"function"},{"doc":"","ref":"aws_location.html#update_route_calculator/4","title":"aws_location.update_route_calculator/4","type":"function"},{"doc":"Updates the specified properties of a given tracker resource.","ref":"aws_location.html#update_tracker/3","title":"aws_location.update_tracker/3","type":"function"},{"doc":"","ref":"aws_location.html#update_tracker/4","title":"aws_location.update_tracker/4","type":"function"},{"doc":"Amazon Lookout for Equipment is a machine learning service that uses advanced analytics to identify anomalies in machines from sensor data for use in predictive maintenance.","ref":"aws_lookoutequipment.html","title":"aws_lookoutequipment","type":"module"},{"doc":"Creates a container for a collection of data being ingested for analysis. The dataset contains the metadata describing where the data is and what the data actually looks like. In other words, it contains the location of the data source, the data schema, and other information. A dataset also contains any tags associated with the ingested data.","ref":"aws_lookoutequipment.html#create_dataset/2","title":"aws_lookoutequipment.create_dataset/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#create_dataset/3","title":"aws_lookoutequipment.create_dataset/3","type":"function"},{"doc":"Creates a scheduled inference. Scheduling an inference is setting up a continuous real-time inference plan to analyze new measurement data. When setting up the schedule, you provide an S3 bucket location for the input data, assign it a delimiter between separate entries in the data, set an offset delay if desired, and set the frequency of inferencing. You must also provide an S3 bucket location for the output data.","ref":"aws_lookoutequipment.html#create_inference_scheduler/2","title":"aws_lookoutequipment.create_inference_scheduler/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#create_inference_scheduler/3","title":"aws_lookoutequipment.create_inference_scheduler/3","type":"function"},{"doc":"Creates a label for an event.","ref":"aws_lookoutequipment.html#create_label/2","title":"aws_lookoutequipment.create_label/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#create_label/3","title":"aws_lookoutequipment.create_label/3","type":"function"},{"doc":"Creates a group of labels.","ref":"aws_lookoutequipment.html#create_label_group/2","title":"aws_lookoutequipment.create_label_group/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#create_label_group/3","title":"aws_lookoutequipment.create_label_group/3","type":"function"},{"doc":"Creates an ML model for data inference. A machine-learning (ML) model is a mathematical model that finds patterns in your data. In Amazon Lookout for Equipment, the model learns the patterns of normal behavior and detects abnormal behavior that could be potential equipment failure (or maintenance events). The models are made by analyzing normal data and abnormalities in machine behavior that have already occurred. Your model is trained using a portion of the data from your dataset and uses that data to learn patterns of normal behavior and abnormal patterns that lead to equipment failure. Another portion of the data is used to evaluate the model's accuracy.","ref":"aws_lookoutequipment.html#create_model/2","title":"aws_lookoutequipment.create_model/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#create_model/3","title":"aws_lookoutequipment.create_model/3","type":"function"},{"doc":"Deletes a dataset and associated artifacts. The operation will check to see if any inference scheduler or data ingestion job is currently using the dataset, and if there isn't, the dataset, its metadata, and any associated data stored in S3 will be deleted. This does not affect any models that used this dataset for training and evaluation, but does prevent it from being used in the future.","ref":"aws_lookoutequipment.html#delete_dataset/2","title":"aws_lookoutequipment.delete_dataset/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#delete_dataset/3","title":"aws_lookoutequipment.delete_dataset/3","type":"function"},{"doc":"Deletes an inference scheduler that has been set up. Already processed output results are not affected.","ref":"aws_lookoutequipment.html#delete_inference_scheduler/2","title":"aws_lookoutequipment.delete_inference_scheduler/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#delete_inference_scheduler/3","title":"aws_lookoutequipment.delete_inference_scheduler/3","type":"function"},{"doc":"Deletes a label.","ref":"aws_lookoutequipment.html#delete_label/2","title":"aws_lookoutequipment.delete_label/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#delete_label/3","title":"aws_lookoutequipment.delete_label/3","type":"function"},{"doc":"Deletes a group of labels.","ref":"aws_lookoutequipment.html#delete_label_group/2","title":"aws_lookoutequipment.delete_label_group/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#delete_label_group/3","title":"aws_lookoutequipment.delete_label_group/3","type":"function"},{"doc":"Deletes an ML model currently available for Amazon Lookout for Equipment. This will prevent it from being used with an inference scheduler, even one that is already set up.","ref":"aws_lookoutequipment.html#delete_model/2","title":"aws_lookoutequipment.delete_model/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#delete_model/3","title":"aws_lookoutequipment.delete_model/3","type":"function"},{"doc":"Provides information on a specific data ingestion job such as creation time, dataset ARN, and status.","ref":"aws_lookoutequipment.html#describe_data_ingestion_job/2","title":"aws_lookoutequipment.describe_data_ingestion_job/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#describe_data_ingestion_job/3","title":"aws_lookoutequipment.describe_data_ingestion_job/3","type":"function"},{"doc":"Provides a JSON description of the data in each time series dataset, including names, column names, and data types.","ref":"aws_lookoutequipment.html#describe_dataset/2","title":"aws_lookoutequipment.describe_dataset/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#describe_dataset/3","title":"aws_lookoutequipment.describe_dataset/3","type":"function"},{"doc":"Specifies information about the inference scheduler being used, including name, model, status, and associated metadata","ref":"aws_lookoutequipment.html#describe_inference_scheduler/2","title":"aws_lookoutequipment.describe_inference_scheduler/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#describe_inference_scheduler/3","title":"aws_lookoutequipment.describe_inference_scheduler/3","type":"function"},{"doc":"Returns the name of the label.","ref":"aws_lookoutequipment.html#describe_label/2","title":"aws_lookoutequipment.describe_label/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#describe_label/3","title":"aws_lookoutequipment.describe_label/3","type":"function"},{"doc":"Returns information about the label group.","ref":"aws_lookoutequipment.html#describe_label_group/2","title":"aws_lookoutequipment.describe_label_group/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#describe_label_group/3","title":"aws_lookoutequipment.describe_label_group/3","type":"function"},{"doc":"Provides a JSON containing the overall information about a specific ML model, including model name and ARN, dataset, training and evaluation information, status, and so on.","ref":"aws_lookoutequipment.html#describe_model/2","title":"aws_lookoutequipment.describe_model/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#describe_model/3","title":"aws_lookoutequipment.describe_model/3","type":"function"},{"doc":"Provides a list of all data ingestion jobs, including dataset name and ARN, S3 location of the input data, status, and so on.","ref":"aws_lookoutequipment.html#list_data_ingestion_jobs/2","title":"aws_lookoutequipment.list_data_ingestion_jobs/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#list_data_ingestion_jobs/3","title":"aws_lookoutequipment.list_data_ingestion_jobs/3","type":"function"},{"doc":"Lists all datasets currently available in your account, filtering on the dataset name.","ref":"aws_lookoutequipment.html#list_datasets/2","title":"aws_lookoutequipment.list_datasets/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#list_datasets/3","title":"aws_lookoutequipment.list_datasets/3","type":"function"},{"doc":"Lists all inference events that have been found for the specified inference scheduler.","ref":"aws_lookoutequipment.html#list_inference_events/2","title":"aws_lookoutequipment.list_inference_events/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#list_inference_events/3","title":"aws_lookoutequipment.list_inference_events/3","type":"function"},{"doc":"Lists all inference executions that have been performed by the specified inference scheduler.","ref":"aws_lookoutequipment.html#list_inference_executions/2","title":"aws_lookoutequipment.list_inference_executions/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#list_inference_executions/3","title":"aws_lookoutequipment.list_inference_executions/3","type":"function"},{"doc":"Retrieves a list of all inference schedulers currently available for your account.","ref":"aws_lookoutequipment.html#list_inference_schedulers/2","title":"aws_lookoutequipment.list_inference_schedulers/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#list_inference_schedulers/3","title":"aws_lookoutequipment.list_inference_schedulers/3","type":"function"},{"doc":"Returns a list of the label groups.","ref":"aws_lookoutequipment.html#list_label_groups/2","title":"aws_lookoutequipment.list_label_groups/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#list_label_groups/3","title":"aws_lookoutequipment.list_label_groups/3","type":"function"},{"doc":"Provides a list of labels.","ref":"aws_lookoutequipment.html#list_labels/2","title":"aws_lookoutequipment.list_labels/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#list_labels/3","title":"aws_lookoutequipment.list_labels/3","type":"function"},{"doc":"Generates a list of all models in the account, including model name and ARN, dataset, and status.","ref":"aws_lookoutequipment.html#list_models/2","title":"aws_lookoutequipment.list_models/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#list_models/3","title":"aws_lookoutequipment.list_models/3","type":"function"},{"doc":"Lists statistics about the data collected for each of the sensors that have been successfully ingested in the particular dataset. Can also be used to retreive Sensor Statistics for a previous ingestion job.","ref":"aws_lookoutequipment.html#list_sensor_statistics/2","title":"aws_lookoutequipment.list_sensor_statistics/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#list_sensor_statistics/3","title":"aws_lookoutequipment.list_sensor_statistics/3","type":"function"},{"doc":"Lists all the tags for a specified resource, including key and value.","ref":"aws_lookoutequipment.html#list_tags_for_resource/2","title":"aws_lookoutequipment.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#list_tags_for_resource/3","title":"aws_lookoutequipment.list_tags_for_resource/3","type":"function"},{"doc":"Starts a data ingestion job. Amazon Lookout for Equipment returns the job status.","ref":"aws_lookoutequipment.html#start_data_ingestion_job/2","title":"aws_lookoutequipment.start_data_ingestion_job/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#start_data_ingestion_job/3","title":"aws_lookoutequipment.start_data_ingestion_job/3","type":"function"},{"doc":"Starts an inference scheduler.","ref":"aws_lookoutequipment.html#start_inference_scheduler/2","title":"aws_lookoutequipment.start_inference_scheduler/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#start_inference_scheduler/3","title":"aws_lookoutequipment.start_inference_scheduler/3","type":"function"},{"doc":"Stops an inference scheduler.","ref":"aws_lookoutequipment.html#stop_inference_scheduler/2","title":"aws_lookoutequipment.stop_inference_scheduler/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#stop_inference_scheduler/3","title":"aws_lookoutequipment.stop_inference_scheduler/3","type":"function"},{"doc":"Associates a given tag to a resource in your account. A tag is a key-value pair which can be added to an Amazon Lookout for Equipment resource as metadata. Tags can be used for organizing your resources as well as helping you to search and filter by tag. Multiple tags can be added to a resource, either when you create it, or later. Up to 50 tags can be associated with each resource.","ref":"aws_lookoutequipment.html#tag_resource/2","title":"aws_lookoutequipment.tag_resource/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#tag_resource/3","title":"aws_lookoutequipment.tag_resource/3","type":"function"},{"doc":"Removes a specific tag from a given resource. The tag is specified by its key.","ref":"aws_lookoutequipment.html#untag_resource/2","title":"aws_lookoutequipment.untag_resource/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#untag_resource/3","title":"aws_lookoutequipment.untag_resource/3","type":"function"},{"doc":"Updates an inference scheduler.","ref":"aws_lookoutequipment.html#update_inference_scheduler/2","title":"aws_lookoutequipment.update_inference_scheduler/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#update_inference_scheduler/3","title":"aws_lookoutequipment.update_inference_scheduler/3","type":"function"},{"doc":"Updates the label group.","ref":"aws_lookoutequipment.html#update_label_group/2","title":"aws_lookoutequipment.update_label_group/2","type":"function"},{"doc":"","ref":"aws_lookoutequipment.html#update_label_group/3","title":"aws_lookoutequipment.update_label_group/3","type":"function"},{"doc":"This is the Amazon Lookout for Metrics API Reference. For an introduction to the service with tutorials for getting started, visit Amazon Lookout for Metrics Developer Guide.","ref":"aws_lookoutmetrics.html","title":"aws_lookoutmetrics","type":"module"},{"doc":"Activates an anomaly detector.","ref":"aws_lookoutmetrics.html#activate_anomaly_detector/2","title":"aws_lookoutmetrics.activate_anomaly_detector/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#activate_anomaly_detector/3","title":"aws_lookoutmetrics.activate_anomaly_detector/3","type":"function"},{"doc":"Runs a backtest for anomaly detection for the specified resource.","ref":"aws_lookoutmetrics.html#back_test_anomaly_detector/2","title":"aws_lookoutmetrics.back_test_anomaly_detector/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#back_test_anomaly_detector/3","title":"aws_lookoutmetrics.back_test_anomaly_detector/3","type":"function"},{"doc":"Creates an alert for an anomaly detector.","ref":"aws_lookoutmetrics.html#create_alert/2","title":"aws_lookoutmetrics.create_alert/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#create_alert/3","title":"aws_lookoutmetrics.create_alert/3","type":"function"},{"doc":"Creates an anomaly detector.","ref":"aws_lookoutmetrics.html#create_anomaly_detector/2","title":"aws_lookoutmetrics.create_anomaly_detector/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#create_anomaly_detector/3","title":"aws_lookoutmetrics.create_anomaly_detector/3","type":"function"},{"doc":"Creates a dataset.","ref":"aws_lookoutmetrics.html#create_metric_set/2","title":"aws_lookoutmetrics.create_metric_set/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#create_metric_set/3","title":"aws_lookoutmetrics.create_metric_set/3","type":"function"},{"doc":"Deactivates an anomaly detector.","ref":"aws_lookoutmetrics.html#deactivate_anomaly_detector/2","title":"aws_lookoutmetrics.deactivate_anomaly_detector/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#deactivate_anomaly_detector/3","title":"aws_lookoutmetrics.deactivate_anomaly_detector/3","type":"function"},{"doc":"Deletes an alert.","ref":"aws_lookoutmetrics.html#delete_alert/2","title":"aws_lookoutmetrics.delete_alert/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#delete_alert/3","title":"aws_lookoutmetrics.delete_alert/3","type":"function"},{"doc":"Deletes a detector. Deleting an anomaly detector will delete all of its corresponding resources including any configured datasets and alerts.","ref":"aws_lookoutmetrics.html#delete_anomaly_detector/2","title":"aws_lookoutmetrics.delete_anomaly_detector/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#delete_anomaly_detector/3","title":"aws_lookoutmetrics.delete_anomaly_detector/3","type":"function"},{"doc":"Describes an alert. Amazon Lookout for Metrics API actions are eventually consistent. If you do a read operation on a resource immediately after creating or modifying it, use retries to allow time for the write operation to complete.","ref":"aws_lookoutmetrics.html#describe_alert/2","title":"aws_lookoutmetrics.describe_alert/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#describe_alert/3","title":"aws_lookoutmetrics.describe_alert/3","type":"function"},{"doc":"Returns information about the status of the specified anomaly detection jobs.","ref":"aws_lookoutmetrics.html#describe_anomaly_detection_executions/2","title":"aws_lookoutmetrics.describe_anomaly_detection_executions/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#describe_anomaly_detection_executions/3","title":"aws_lookoutmetrics.describe_anomaly_detection_executions/3","type":"function"},{"doc":"Describes a detector. Amazon Lookout for Metrics API actions are eventually consistent. If you do a read operation on a resource immediately after creating or modifying it, use retries to allow time for the write operation to complete.","ref":"aws_lookoutmetrics.html#describe_anomaly_detector/2","title":"aws_lookoutmetrics.describe_anomaly_detector/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#describe_anomaly_detector/3","title":"aws_lookoutmetrics.describe_anomaly_detector/3","type":"function"},{"doc":"Describes a dataset. Amazon Lookout for Metrics API actions are eventually consistent. If you do a read operation on a resource immediately after creating or modifying it, use retries to allow time for the write operation to complete.","ref":"aws_lookoutmetrics.html#describe_metric_set/2","title":"aws_lookoutmetrics.describe_metric_set/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#describe_metric_set/3","title":"aws_lookoutmetrics.describe_metric_set/3","type":"function"},{"doc":"Detects an Amazon S3 dataset's file format, interval, and offset.","ref":"aws_lookoutmetrics.html#detect_metric_set_config/2","title":"aws_lookoutmetrics.detect_metric_set_config/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#detect_metric_set_config/3","title":"aws_lookoutmetrics.detect_metric_set_config/3","type":"function"},{"doc":"Returns details about a group of anomalous metrics.","ref":"aws_lookoutmetrics.html#get_anomaly_group/2","title":"aws_lookoutmetrics.get_anomaly_group/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#get_anomaly_group/3","title":"aws_lookoutmetrics.get_anomaly_group/3","type":"function"},{"doc":"Returns details about the requested data quality metrics.","ref":"aws_lookoutmetrics.html#get_data_quality_metrics/2","title":"aws_lookoutmetrics.get_data_quality_metrics/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#get_data_quality_metrics/3","title":"aws_lookoutmetrics.get_data_quality_metrics/3","type":"function"},{"doc":"Get feedback for an anomaly group.","ref":"aws_lookoutmetrics.html#get_feedback/2","title":"aws_lookoutmetrics.get_feedback/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#get_feedback/3","title":"aws_lookoutmetrics.get_feedback/3","type":"function"},{"doc":"Returns a selection of sample records from an Amazon S3 datasource.","ref":"aws_lookoutmetrics.html#get_sample_data/2","title":"aws_lookoutmetrics.get_sample_data/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#get_sample_data/3","title":"aws_lookoutmetrics.get_sample_data/3","type":"function"},{"doc":"Lists the alerts attached to a detector. Amazon Lookout for Metrics API actions are eventually consistent. If you do a read operation on a resource immediately after creating or modifying it, use retries to allow time for the write operation to complete.","ref":"aws_lookoutmetrics.html#list_alerts/2","title":"aws_lookoutmetrics.list_alerts/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#list_alerts/3","title":"aws_lookoutmetrics.list_alerts/3","type":"function"},{"doc":"Lists the detectors in the current AWS Region. Amazon Lookout for Metrics API actions are eventually consistent. If you do a read operation on a resource immediately after creating or modifying it, use retries to allow time for the write operation to complete.","ref":"aws_lookoutmetrics.html#list_anomaly_detectors/2","title":"aws_lookoutmetrics.list_anomaly_detectors/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#list_anomaly_detectors/3","title":"aws_lookoutmetrics.list_anomaly_detectors/3","type":"function"},{"doc":"Returns a list of measures that are potential causes or effects of an anomaly group.","ref":"aws_lookoutmetrics.html#list_anomaly_group_related_metrics/2","title":"aws_lookoutmetrics.list_anomaly_group_related_metrics/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#list_anomaly_group_related_metrics/3","title":"aws_lookoutmetrics.list_anomaly_group_related_metrics/3","type":"function"},{"doc":"Returns a list of anomaly groups.","ref":"aws_lookoutmetrics.html#list_anomaly_group_summaries/2","title":"aws_lookoutmetrics.list_anomaly_group_summaries/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#list_anomaly_group_summaries/3","title":"aws_lookoutmetrics.list_anomaly_group_summaries/3","type":"function"},{"doc":"Gets a list of anomalous metrics for a measure in an anomaly group.","ref":"aws_lookoutmetrics.html#list_anomaly_group_time_series/2","title":"aws_lookoutmetrics.list_anomaly_group_time_series/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#list_anomaly_group_time_series/3","title":"aws_lookoutmetrics.list_anomaly_group_time_series/3","type":"function"},{"doc":"Lists the datasets in the current AWS Region. Amazon Lookout for Metrics API actions are eventually consistent. If you do a read operation on a resource immediately after creating or modifying it, use retries to allow time for the write operation to complete.","ref":"aws_lookoutmetrics.html#list_metric_sets/2","title":"aws_lookoutmetrics.list_metric_sets/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#list_metric_sets/3","title":"aws_lookoutmetrics.list_metric_sets/3","type":"function"},{"doc":"Gets a list of tags for a detector, dataset, or alert.","ref":"aws_lookoutmetrics.html#list_tags_for_resource/2","title":"aws_lookoutmetrics.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#list_tags_for_resource/4","title":"aws_lookoutmetrics.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#list_tags_for_resource/5","title":"aws_lookoutmetrics.list_tags_for_resource/5","type":"function"},{"doc":"Add feedback for an anomalous metric.","ref":"aws_lookoutmetrics.html#put_feedback/2","title":"aws_lookoutmetrics.put_feedback/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#put_feedback/3","title":"aws_lookoutmetrics.put_feedback/3","type":"function"},{"doc":"Adds tags to a detector, dataset, or alert.","ref":"aws_lookoutmetrics.html#tag_resource/3","title":"aws_lookoutmetrics.tag_resource/3","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#tag_resource/4","title":"aws_lookoutmetrics.tag_resource/4","type":"function"},{"doc":"Removes tags from a detector, dataset, or alert.","ref":"aws_lookoutmetrics.html#untag_resource/3","title":"aws_lookoutmetrics.untag_resource/3","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#untag_resource/4","title":"aws_lookoutmetrics.untag_resource/4","type":"function"},{"doc":"Make changes to an existing alert.","ref":"aws_lookoutmetrics.html#update_alert/2","title":"aws_lookoutmetrics.update_alert/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#update_alert/3","title":"aws_lookoutmetrics.update_alert/3","type":"function"},{"doc":"Updates a detector. After activation, you can only change a detector's ingestion delay and description.","ref":"aws_lookoutmetrics.html#update_anomaly_detector/2","title":"aws_lookoutmetrics.update_anomaly_detector/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#update_anomaly_detector/3","title":"aws_lookoutmetrics.update_anomaly_detector/3","type":"function"},{"doc":"Updates a dataset.","ref":"aws_lookoutmetrics.html#update_metric_set/2","title":"aws_lookoutmetrics.update_metric_set/2","type":"function"},{"doc":"","ref":"aws_lookoutmetrics.html#update_metric_set/3","title":"aws_lookoutmetrics.update_metric_set/3","type":"function"},{"doc":"This is the Amazon Lookout for Vision API Reference. It provides descriptions of actions, data types, common parameters, and common errors. Amazon Lookout for Vision enables you to find visual defects in industrial products, accurately and at scale. It uses computer vision to identify missing components in an industrial product, damage to vehicles or structures, irregularities in production lines, and even minuscule defects in silicon wafers — or any other physical item where quality is important such as a missing capacitor on printed circuit boards.","ref":"aws_lookoutvision.html","title":"aws_lookoutvision","type":"module"},{"doc":"Creates a new dataset in an Amazon Lookout for Vision project. CreateDataset can create a training or a test dataset from a valid dataset source ( DatasetSource ). If you want a single dataset project, specify train for the value of DatasetType . To have a project with separate training and test datasets, call CreateDataset twice. On the first call, specify train for the value of DatasetType . On the second call, specify test for the value of DatasetType . This operation requires permissions to perform the lookoutvision:CreateDataset operation.","ref":"aws_lookoutvision.html#create_dataset/3","title":"aws_lookoutvision.create_dataset/3","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#create_dataset/4","title":"aws_lookoutvision.create_dataset/4","type":"function"},{"doc":"Creates a new version of a model within an an Amazon Lookout for Vision project. CreateModel is an asynchronous operation in which Amazon Lookout for Vision trains, tests, and evaluates a new version of a model. To get the current status, check the Status field returned in the response from DescribeModel . If the project has a single dataset, Amazon Lookout for Vision internally splits the dataset to create a training and a test dataset. If the project has a training and a test dataset, Lookout for Vision uses the respective datasets to train and test the model. After training completes, the evaluation metrics are stored at the location specified in OutputConfig . This operation requires permissions to perform the lookoutvision:CreateModel operation. If you want to tag your model, you also require permission to the lookoutvision:TagResource operation.","ref":"aws_lookoutvision.html#create_model/3","title":"aws_lookoutvision.create_model/3","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#create_model/4","title":"aws_lookoutvision.create_model/4","type":"function"},{"doc":"Creates an empty Amazon Lookout for Vision project. After you create the project, add a dataset by calling CreateDataset . This operation requires permissions to perform the lookoutvision:CreateProject operation.","ref":"aws_lookoutvision.html#create_project/2","title":"aws_lookoutvision.create_project/2","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#create_project/3","title":"aws_lookoutvision.create_project/3","type":"function"},{"doc":"Deletes an existing Amazon Lookout for Vision dataset . If your the project has a single dataset, you must create a new dataset before you can create a model. If you project has a training dataset and a test dataset consider the following. If you delete the test dataset, your project reverts to a single dataset project. If you then train the model, Amazon Lookout for Vision internally splits the remaining dataset into a training and test dataset. If you delete the training dataset, you must create a training dataset before you can create a model. This operation requires permissions to perform the lookoutvision:DeleteDataset operation.","ref":"aws_lookoutvision.html#delete_dataset/4","title":"aws_lookoutvision.delete_dataset/4","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#delete_dataset/5","title":"aws_lookoutvision.delete_dataset/5","type":"function"},{"doc":"Deletes an Amazon Lookout for Vision model. You can't delete a running model. To stop a running model, use the StopModel operation. It might take a few seconds to delete a model. To determine if a model has been deleted, call ListModels and check if the version of the model ( ModelVersion ) is in the Models array. This operation requires permissions to perform the lookoutvision:DeleteModel operation.","ref":"aws_lookoutvision.html#delete_model/4","title":"aws_lookoutvision.delete_model/4","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#delete_model/5","title":"aws_lookoutvision.delete_model/5","type":"function"},{"doc":"Deletes an Amazon Lookout for Vision project. To delete a project, you must first delete each version of the model associated with the project. To delete a model use the DeleteModel operation. You also have to delete the dataset(s) associated with the model. For more information, see DeleteDataset . The images referenced by the training and test datasets aren't deleted. This operation requires permissions to perform the lookoutvision:DeleteProject operation.","ref":"aws_lookoutvision.html#delete_project/3","title":"aws_lookoutvision.delete_project/3","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#delete_project/4","title":"aws_lookoutvision.delete_project/4","type":"function"},{"doc":"Describe an Amazon Lookout for Vision dataset. This operation requires permissions to perform the lookoutvision:DescribeDataset operation.","ref":"aws_lookoutvision.html#describe_dataset/3","title":"aws_lookoutvision.describe_dataset/3","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#describe_dataset/5","title":"aws_lookoutvision.describe_dataset/5","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#describe_dataset/6","title":"aws_lookoutvision.describe_dataset/6","type":"function"},{"doc":"Describes a version of an Amazon Lookout for Vision model. This operation requires permissions to perform the lookoutvision:DescribeModel operation.","ref":"aws_lookoutvision.html#describe_model/3","title":"aws_lookoutvision.describe_model/3","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#describe_model/5","title":"aws_lookoutvision.describe_model/5","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#describe_model/6","title":"aws_lookoutvision.describe_model/6","type":"function"},{"doc":"Describes an Amazon Lookout for Vision model packaging job. This operation requires permissions to perform the lookoutvision:DescribeModelPackagingJob operation. For more information, see Using your Amazon Lookout for Vision model on an edge device in the Amazon Lookout for Vision Developer Guide.","ref":"aws_lookoutvision.html#describe_model_packaging_job/3","title":"aws_lookoutvision.describe_model_packaging_job/3","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#describe_model_packaging_job/5","title":"aws_lookoutvision.describe_model_packaging_job/5","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#describe_model_packaging_job/6","title":"aws_lookoutvision.describe_model_packaging_job/6","type":"function"},{"doc":"Describes an Amazon Lookout for Vision project. This operation requires permissions to perform the lookoutvision:DescribeProject operation.","ref":"aws_lookoutvision.html#describe_project/2","title":"aws_lookoutvision.describe_project/2","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#describe_project/4","title":"aws_lookoutvision.describe_project/4","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#describe_project/5","title":"aws_lookoutvision.describe_project/5","type":"function"},{"doc":"Detects anomalies in an image that you supply. The response from DetectAnomalies includes a boolean prediction that the image contains one or more anomalies and a confidence value for the prediction. If the model is an image segmentation model, the response also includes segmentation information for each type of anomaly found in the image. Before calling DetectAnomalies , you must first start your model with the StartModel operation. You are charged for the amount of time, in minutes, that a model runs and for the number of anomaly detection units that your model uses. If you are not using a model, use the StopModel operation to stop your model. For more information, see Detecting anomalies in an image in the Amazon Lookout for Vision developer guide. This operation requires permissions to perform the lookoutvision:DetectAnomalies operation.","ref":"aws_lookoutvision.html#detect_anomalies/4","title":"aws_lookoutvision.detect_anomalies/4","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#detect_anomalies/5","title":"aws_lookoutvision.detect_anomalies/5","type":"function"},{"doc":"Lists the JSON Lines within a dataset. An Amazon Lookout for Vision JSON Line contains the anomaly information for a single image, including the image location and the assigned label. This operation requires permissions to perform the lookoutvision:ListDatasetEntries operation.","ref":"aws_lookoutvision.html#list_dataset_entries/3","title":"aws_lookoutvision.list_dataset_entries/3","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#list_dataset_entries/5","title":"aws_lookoutvision.list_dataset_entries/5","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#list_dataset_entries/6","title":"aws_lookoutvision.list_dataset_entries/6","type":"function"},{"doc":"Lists the model packaging jobs created for an Amazon Lookout for Vision project. This operation requires permissions to perform the lookoutvision:ListModelPackagingJobs operation. For more information, see Using your Amazon Lookout for Vision model on an edge device in the Amazon Lookout for Vision Developer Guide.","ref":"aws_lookoutvision.html#list_model_packaging_jobs/2","title":"aws_lookoutvision.list_model_packaging_jobs/2","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#list_model_packaging_jobs/4","title":"aws_lookoutvision.list_model_packaging_jobs/4","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#list_model_packaging_jobs/5","title":"aws_lookoutvision.list_model_packaging_jobs/5","type":"function"},{"doc":"Lists the versions of a model in an Amazon Lookout for Vision project. The ListModels operation is eventually consistent. Recent calls to CreateModel might take a while to appear in the response from ListProjects . This operation requires permissions to perform the lookoutvision:ListModels operation.","ref":"aws_lookoutvision.html#list_models/2","title":"aws_lookoutvision.list_models/2","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#list_models/4","title":"aws_lookoutvision.list_models/4","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#list_models/5","title":"aws_lookoutvision.list_models/5","type":"function"},{"doc":"Lists the Amazon Lookout for Vision projects in your AWS account that are in the AWS Region in which you call ListProjects . The ListProjects operation is eventually consistent. Recent calls to CreateProject and DeleteProject might take a while to appear in the response from ListProjects . This operation requires permissions to perform the lookoutvision:ListProjects operation.","ref":"aws_lookoutvision.html#list_projects/1","title":"aws_lookoutvision.list_projects/1","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#list_projects/3","title":"aws_lookoutvision.list_projects/3","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#list_projects/4","title":"aws_lookoutvision.list_projects/4","type":"function"},{"doc":"Returns a list of tags attached to the specified Amazon Lookout for Vision model. This operation requires permissions to perform the lookoutvision:ListTagsForResource operation.","ref":"aws_lookoutvision.html#list_tags_for_resource/2","title":"aws_lookoutvision.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#list_tags_for_resource/4","title":"aws_lookoutvision.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#list_tags_for_resource/5","title":"aws_lookoutvision.list_tags_for_resource/5","type":"function"},{"doc":"Starts the running of the version of an Amazon Lookout for Vision model. Starting a model takes a while to complete. To check the current state of the model, use DescribeModel . A model is ready to use when its status is HOSTED . Once the model is running, you can detect custom labels in new images by calling DetectAnomalies . You are charged for the amount of time that the model is running. To stop a running model, call StopModel . This operation requires permissions to perform the lookoutvision:StartModel operation.","ref":"aws_lookoutvision.html#start_model/4","title":"aws_lookoutvision.start_model/4","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#start_model/5","title":"aws_lookoutvision.start_model/5","type":"function"},{"doc":"Starts an Amazon Lookout for Vision model packaging job. A model packaging job creates an AWS IoT Greengrass component for a Lookout for Vision model. You can use the component to deploy your model to an edge device managed by Greengrass. Use the DescribeModelPackagingJob API to determine the current status of the job. The model packaging job is complete if the value of Status is SUCCEEDED . To deploy the component to the target device, use the component name and component version with the AWS IoT Greengrass CreateDeployment API. This operation requires the following permissions: lookoutvision:StartModelPackagingJob s3:PutObject s3:GetBucketLocation kms:GenerateDataKey greengrass:CreateComponentVersion greengrass:DescribeComponent (Optional) greengrass:TagResource . Only required if you want to tag the component. For more information, see Using your Amazon Lookout for Vision model on an edge device in the Amazon Lookout for Vision Developer Guide.","ref":"aws_lookoutvision.html#start_model_packaging_job/3","title":"aws_lookoutvision.start_model_packaging_job/3","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#start_model_packaging_job/4","title":"aws_lookoutvision.start_model_packaging_job/4","type":"function"},{"doc":"Stops the hosting of a running model. The operation might take a while to complete. To check the current status, call DescribeModel . After the model hosting stops, the Status of the model is TRAINED . This operation requires permissions to perform the lookoutvision:StopModel operation.","ref":"aws_lookoutvision.html#stop_model/4","title":"aws_lookoutvision.stop_model/4","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#stop_model/5","title":"aws_lookoutvision.stop_model/5","type":"function"},{"doc":"Adds one or more key-value tags to an Amazon Lookout for Vision model. For more information, see Tagging a model in the Amazon Lookout for Vision Developer Guide. This operation requires permissions to perform the lookoutvision:TagResource operation.","ref":"aws_lookoutvision.html#tag_resource/3","title":"aws_lookoutvision.tag_resource/3","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#tag_resource/4","title":"aws_lookoutvision.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from an Amazon Lookout for Vision model. For more information, see Tagging a model in the Amazon Lookout for Vision Developer Guide. This operation requires permissions to perform the lookoutvision:UntagResource operation.","ref":"aws_lookoutvision.html#untag_resource/3","title":"aws_lookoutvision.untag_resource/3","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#untag_resource/4","title":"aws_lookoutvision.untag_resource/4","type":"function"},{"doc":"Adds or updates one or more JSON Line entries in a dataset. A JSON Line includes information about an image used for training or testing an Amazon Lookout for Vision model. To update an existing JSON Line, use the source-ref field to identify the JSON Line. The JSON line that you supply replaces the existing JSON line. Any existing annotations that are not in the new JSON line are removed from the dataset. For more information, see Defining JSON lines for anomaly classification in the Amazon Lookout for Vision Developer Guide. The images you reference in the source-ref field of a JSON line, must be in the same S3 bucket as the existing images in the dataset. Updating a dataset might take a while to complete. To check the current status, call DescribeDataset and check the Status field in the response. This operation requires permissions to perform the lookoutvision:UpdateDatasetEntries operation.","ref":"aws_lookoutvision.html#update_dataset_entries/4","title":"aws_lookoutvision.update_dataset_entries/4","type":"function"},{"doc":"","ref":"aws_lookoutvision.html#update_dataset_entries/5","title":"aws_lookoutvision.update_dataset_entries/5","type":"function"},{"doc":"Amazon Web Services Mainframe Modernization provides tools and resources to help you plan and implement migration and modernization from mainframes to Amazon Web Services managed runtime environments. It provides tools for analyzing existing mainframe applications, developing or updating mainframe applications using COBOL or PL/I, and implementing an automated pipeline for continuous integration and continuous delivery (CI/CD) of the applications.","ref":"aws_m2.html","title":"aws_m2","type":"module"},{"doc":"Cancels the running of a specific batch job execution.","ref":"aws_m2.html#cancel_batch_job_execution/4","title":"aws_m2.cancel_batch_job_execution/4","type":"function"},{"doc":"","ref":"aws_m2.html#cancel_batch_job_execution/5","title":"aws_m2.cancel_batch_job_execution/5","type":"function"},{"doc":"Creates a new application with given parameters. Requires an existing runtime environment and application definition file.","ref":"aws_m2.html#create_application/2","title":"aws_m2.create_application/2","type":"function"},{"doc":"","ref":"aws_m2.html#create_application/3","title":"aws_m2.create_application/3","type":"function"},{"doc":"Starts a data set import task for a specific application.","ref":"aws_m2.html#create_data_set_import_task/3","title":"aws_m2.create_data_set_import_task/3","type":"function"},{"doc":"","ref":"aws_m2.html#create_data_set_import_task/4","title":"aws_m2.create_data_set_import_task/4","type":"function"},{"doc":"Creates and starts a deployment to deploy an application into a runtime environment.","ref":"aws_m2.html#create_deployment/3","title":"aws_m2.create_deployment/3","type":"function"},{"doc":"","ref":"aws_m2.html#create_deployment/4","title":"aws_m2.create_deployment/4","type":"function"},{"doc":"Creates a runtime environment for a given runtime engine.","ref":"aws_m2.html#create_environment/2","title":"aws_m2.create_environment/2","type":"function"},{"doc":"","ref":"aws_m2.html#create_environment/3","title":"aws_m2.create_environment/3","type":"function"},{"doc":"Deletes a specific application. You cannot delete a running application.","ref":"aws_m2.html#delete_application/3","title":"aws_m2.delete_application/3","type":"function"},{"doc":"","ref":"aws_m2.html#delete_application/4","title":"aws_m2.delete_application/4","type":"function"},{"doc":"Deletes a specific application from the specific runtime environment where it was previously deployed. You cannot delete a runtime environment using DeleteEnvironment if any application has ever been deployed to it. This API removes the association of the application with the runtime environment so you can delete the environment smoothly.","ref":"aws_m2.html#delete_application_from_environment/4","title":"aws_m2.delete_application_from_environment/4","type":"function"},{"doc":"","ref":"aws_m2.html#delete_application_from_environment/5","title":"aws_m2.delete_application_from_environment/5","type":"function"},{"doc":"Deletes a specific runtime environment. The environment cannot contain deployed applications. If it does, you must delete those applications before you delete the environment.","ref":"aws_m2.html#delete_environment/3","title":"aws_m2.delete_environment/3","type":"function"},{"doc":"","ref":"aws_m2.html#delete_environment/4","title":"aws_m2.delete_environment/4","type":"function"},{"doc":"Describes the details of a specific application.","ref":"aws_m2.html#get_application/2","title":"aws_m2.get_application/2","type":"function"},{"doc":"","ref":"aws_m2.html#get_application/4","title":"aws_m2.get_application/4","type":"function"},{"doc":"","ref":"aws_m2.html#get_application/5","title":"aws_m2.get_application/5","type":"function"},{"doc":"Returns details about a specific version of a specific application.","ref":"aws_m2.html#get_application_version/3","title":"aws_m2.get_application_version/3","type":"function"},{"doc":"","ref":"aws_m2.html#get_application_version/5","title":"aws_m2.get_application_version/5","type":"function"},{"doc":"","ref":"aws_m2.html#get_application_version/6","title":"aws_m2.get_application_version/6","type":"function"},{"doc":"Gets the details of a specific batch job execution for a specific application.","ref":"aws_m2.html#get_batch_job_execution/3","title":"aws_m2.get_batch_job_execution/3","type":"function"},{"doc":"","ref":"aws_m2.html#get_batch_job_execution/5","title":"aws_m2.get_batch_job_execution/5","type":"function"},{"doc":"","ref":"aws_m2.html#get_batch_job_execution/6","title":"aws_m2.get_batch_job_execution/6","type":"function"},{"doc":"Gets the details of a specific data set.","ref":"aws_m2.html#get_data_set_details/3","title":"aws_m2.get_data_set_details/3","type":"function"},{"doc":"","ref":"aws_m2.html#get_data_set_details/5","title":"aws_m2.get_data_set_details/5","type":"function"},{"doc":"","ref":"aws_m2.html#get_data_set_details/6","title":"aws_m2.get_data_set_details/6","type":"function"},{"doc":"Gets the status of a data set import task initiated with the CreateDataSetImportTask operation.","ref":"aws_m2.html#get_data_set_import_task/3","title":"aws_m2.get_data_set_import_task/3","type":"function"},{"doc":"","ref":"aws_m2.html#get_data_set_import_task/5","title":"aws_m2.get_data_set_import_task/5","type":"function"},{"doc":"","ref":"aws_m2.html#get_data_set_import_task/6","title":"aws_m2.get_data_set_import_task/6","type":"function"},{"doc":"Gets details of a specific deployment with a given deployment identifier.","ref":"aws_m2.html#get_deployment/3","title":"aws_m2.get_deployment/3","type":"function"},{"doc":"","ref":"aws_m2.html#get_deployment/5","title":"aws_m2.get_deployment/5","type":"function"},{"doc":"","ref":"aws_m2.html#get_deployment/6","title":"aws_m2.get_deployment/6","type":"function"},{"doc":"Describes a specific runtime environment.","ref":"aws_m2.html#get_environment/2","title":"aws_m2.get_environment/2","type":"function"},{"doc":"","ref":"aws_m2.html#get_environment/4","title":"aws_m2.get_environment/4","type":"function"},{"doc":"","ref":"aws_m2.html#get_environment/5","title":"aws_m2.get_environment/5","type":"function"},{"doc":"Returns a list of the application versions for a specific application.","ref":"aws_m2.html#list_application_versions/2","title":"aws_m2.list_application_versions/2","type":"function"},{"doc":"","ref":"aws_m2.html#list_application_versions/4","title":"aws_m2.list_application_versions/4","type":"function"},{"doc":"","ref":"aws_m2.html#list_application_versions/5","title":"aws_m2.list_application_versions/5","type":"function"},{"doc":"Lists the applications associated with a specific Amazon Web Services account. You can provide the unique identifier of a specific runtime environment in a query parameter to see all applications associated with that environment.","ref":"aws_m2.html#list_applications/1","title":"aws_m2.list_applications/1","type":"function"},{"doc":"","ref":"aws_m2.html#list_applications/3","title":"aws_m2.list_applications/3","type":"function"},{"doc":"","ref":"aws_m2.html#list_applications/4","title":"aws_m2.list_applications/4","type":"function"},{"doc":"Lists all the available batch job definitions based on the batch job resources uploaded during the application creation. You can use the batch job definitions in the list to start a batch job.","ref":"aws_m2.html#list_batch_job_definitions/2","title":"aws_m2.list_batch_job_definitions/2","type":"function"},{"doc":"","ref":"aws_m2.html#list_batch_job_definitions/4","title":"aws_m2.list_batch_job_definitions/4","type":"function"},{"doc":"","ref":"aws_m2.html#list_batch_job_definitions/5","title":"aws_m2.list_batch_job_definitions/5","type":"function"},{"doc":"Lists historical, current, and scheduled batch job executions for a specific application.","ref":"aws_m2.html#list_batch_job_executions/2","title":"aws_m2.list_batch_job_executions/2","type":"function"},{"doc":"","ref":"aws_m2.html#list_batch_job_executions/4","title":"aws_m2.list_batch_job_executions/4","type":"function"},{"doc":"","ref":"aws_m2.html#list_batch_job_executions/5","title":"aws_m2.list_batch_job_executions/5","type":"function"},{"doc":"Lists the data set imports for the specified application.","ref":"aws_m2.html#list_data_set_import_history/2","title":"aws_m2.list_data_set_import_history/2","type":"function"},{"doc":"","ref":"aws_m2.html#list_data_set_import_history/4","title":"aws_m2.list_data_set_import_history/4","type":"function"},{"doc":"","ref":"aws_m2.html#list_data_set_import_history/5","title":"aws_m2.list_data_set_import_history/5","type":"function"},{"doc":"Lists the data sets imported for a specific application. In Amazon Web Services Mainframe Modernization, data sets are associated with applications deployed on runtime environments. This is known as importing data sets. Currently, Amazon Web Services Mainframe Modernization can import data sets into catalogs using CreateDataSetImportTask.","ref":"aws_m2.html#list_data_sets/2","title":"aws_m2.list_data_sets/2","type":"function"},{"doc":"","ref":"aws_m2.html#list_data_sets/4","title":"aws_m2.list_data_sets/4","type":"function"},{"doc":"","ref":"aws_m2.html#list_data_sets/5","title":"aws_m2.list_data_sets/5","type":"function"},{"doc":"Returns a list of all deployments of a specific application. A deployment is a combination of a specific application and a specific version of that application. Each deployment is mapped to a particular application version.","ref":"aws_m2.html#list_deployments/2","title":"aws_m2.list_deployments/2","type":"function"},{"doc":"","ref":"aws_m2.html#list_deployments/4","title":"aws_m2.list_deployments/4","type":"function"},{"doc":"","ref":"aws_m2.html#list_deployments/5","title":"aws_m2.list_deployments/5","type":"function"},{"doc":"Lists the available engine versions.","ref":"aws_m2.html#list_engine_versions/1","title":"aws_m2.list_engine_versions/1","type":"function"},{"doc":"","ref":"aws_m2.html#list_engine_versions/3","title":"aws_m2.list_engine_versions/3","type":"function"},{"doc":"","ref":"aws_m2.html#list_engine_versions/4","title":"aws_m2.list_engine_versions/4","type":"function"},{"doc":"Lists the runtime environments.","ref":"aws_m2.html#list_environments/1","title":"aws_m2.list_environments/1","type":"function"},{"doc":"","ref":"aws_m2.html#list_environments/3","title":"aws_m2.list_environments/3","type":"function"},{"doc":"","ref":"aws_m2.html#list_environments/4","title":"aws_m2.list_environments/4","type":"function"},{"doc":"Lists the tags for the specified resource.","ref":"aws_m2.html#list_tags_for_resource/2","title":"aws_m2.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_m2.html#list_tags_for_resource/4","title":"aws_m2.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_m2.html#list_tags_for_resource/5","title":"aws_m2.list_tags_for_resource/5","type":"function"},{"doc":"Starts an application that is currently stopped.","ref":"aws_m2.html#start_application/3","title":"aws_m2.start_application/3","type":"function"},{"doc":"","ref":"aws_m2.html#start_application/4","title":"aws_m2.start_application/4","type":"function"},{"doc":"Starts a batch job and returns the unique identifier of this execution of the batch job. The associated application must be running in order to start the batch job.","ref":"aws_m2.html#start_batch_job/3","title":"aws_m2.start_batch_job/3","type":"function"},{"doc":"","ref":"aws_m2.html#start_batch_job/4","title":"aws_m2.start_batch_job/4","type":"function"},{"doc":"Stops a running application.","ref":"aws_m2.html#stop_application/3","title":"aws_m2.stop_application/3","type":"function"},{"doc":"","ref":"aws_m2.html#stop_application/4","title":"aws_m2.stop_application/4","type":"function"},{"doc":"Adds one or more tags to the specified resource.","ref":"aws_m2.html#tag_resource/3","title":"aws_m2.tag_resource/3","type":"function"},{"doc":"","ref":"aws_m2.html#tag_resource/4","title":"aws_m2.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from the specified resource.","ref":"aws_m2.html#untag_resource/3","title":"aws_m2.untag_resource/3","type":"function"},{"doc":"","ref":"aws_m2.html#untag_resource/4","title":"aws_m2.untag_resource/4","type":"function"},{"doc":"Updates an application and creates a new version.","ref":"aws_m2.html#update_application/3","title":"aws_m2.update_application/3","type":"function"},{"doc":"","ref":"aws_m2.html#update_application/4","title":"aws_m2.update_application/4","type":"function"},{"doc":"Updates the configuration details for a specific runtime environment.","ref":"aws_m2.html#update_environment/3","title":"aws_m2.update_environment/3","type":"function"},{"doc":"","ref":"aws_m2.html#update_environment/4","title":"aws_m2.update_environment/4","type":"function"},{"doc":"Definition of the public APIs exposed by Amazon Machine Learning","ref":"aws_machine_learning.html","title":"aws_machine_learning","type":"module"},{"doc":"Adds one or more tags to an object, up to a limit of 10. Each tag consists of a key and an optional value. If you add a tag using a key that is already associated with the ML object, AddTags updates the tag's value.","ref":"aws_machine_learning.html#add_tags/2","title":"aws_machine_learning.add_tags/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#add_tags/3","title":"aws_machine_learning.add_tags/3","type":"function"},{"doc":"Generates predictions for a group of observations. The observations to process exist in one or more data files referenced by a DataSource . This operation creates a new BatchPrediction , and uses an MLModel and the data files referenced by the DataSource as information sources. CreateBatchPrediction is an asynchronous operation. In response to CreateBatchPrediction , Amazon Machine Learning (Amazon ML) immediately returns and sets the BatchPrediction status to PENDING . After the BatchPrediction completes, Amazon ML sets the status to COMPLETED . You can poll for status updates by using the GetBatchPrediction operation and checking the Status parameter of the result. After the COMPLETED status appears, the results are available in the location specified by the OutputUri parameter.","ref":"aws_machine_learning.html#create_batch_prediction/2","title":"aws_machine_learning.create_batch_prediction/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#create_batch_prediction/3","title":"aws_machine_learning.create_batch_prediction/3","type":"function"},{"doc":"Creates a DataSource object from an Amazon Relational Database Service (Amazon RDS). A DataSource references data that can be used to perform CreateMLModel , CreateEvaluation , or CreateBatchPrediction operations. CreateDataSourceFromRDS is an asynchronous operation. In response to CreateDataSourceFromRDS , Amazon Machine Learning (Amazon ML) immediately returns and sets the DataSource status to PENDING . After the DataSource is created and ready for use, Amazon ML sets the Status parameter to COMPLETED . DataSource in the COMPLETED or PENDING state can be used only to perform &amp;gt;CreateMLModel &gt;, CreateEvaluation , or CreateBatchPrediction operations. If Amazon ML cannot accept the input source, it sets the Status parameter to FAILED and includes an error message in the Message attribute of the GetDataSource operation response.","ref":"aws_machine_learning.html#create_data_source_from_rds/2","title":"aws_machine_learning.create_data_source_from_rds/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#create_data_source_from_rds/3","title":"aws_machine_learning.create_data_source_from_rds/3","type":"function"},{"doc":"Creates a DataSource from a database hosted on an Amazon Redshift cluster. A DataSource references data that can be used to perform either CreateMLModel , CreateEvaluation , or CreateBatchPrediction operations. CreateDataSourceFromRedshift is an asynchronous operation. In response to CreateDataSourceFromRedshift , Amazon Machine Learning (Amazon ML) immediately returns and sets the DataSource status to PENDING . After the DataSource is created and ready for use, Amazon ML sets the Status parameter to COMPLETED . DataSource in COMPLETED or PENDING states can be used to perform only CreateMLModel , CreateEvaluation , or CreateBatchPrediction operations. If Amazon ML can't accept the input source, it sets the Status parameter to FAILED and includes an error message in the Message attribute of the GetDataSource operation response. The observations should be contained in the database hosted on an Amazon Redshift cluster and should be specified by a SelectSqlQuery query. Amazon ML executes an Unload command in Amazon Redshift to transfer the result set of the SelectSqlQuery query to S3StagingLocation . After the DataSource has been created, it's ready for use in evaluations and batch predictions. If you plan to use the DataSource to train an MLModel , the DataSource also requires a recipe. A recipe describes how each input variable will be used in training an MLModel . Will the variable be included or excluded from training? Will the variable be manipulated; for example, will it be combined with another variable or will it be split apart into word combinations? The recipe provides answers to these questions. You can't change an existing datasource, but you can copy and modify the settings from an existing Amazon Redshift datasource to create a new datasource. To do so, call GetDataSource for an existing datasource and copy the values to a CreateDataSource call. Change the settings that you want to change and make sure that all required fields have the appropriate values.","ref":"aws_machine_learning.html#create_data_source_from_redshift/2","title":"aws_machine_learning.create_data_source_from_redshift/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#create_data_source_from_redshift/3","title":"aws_machine_learning.create_data_source_from_redshift/3","type":"function"},{"doc":"Creates a DataSource object. A DataSource references data that can be used to perform CreateMLModel , CreateEvaluation , or CreateBatchPrediction operations. CreateDataSourceFromS3 is an asynchronous operation. In response to CreateDataSourceFromS3 , Amazon Machine Learning (Amazon ML) immediately returns and sets the DataSource status to PENDING . After the DataSource has been created and is ready for use, Amazon ML sets the Status parameter to COMPLETED . DataSource in the COMPLETED or PENDING state can be used to perform only CreateMLModel , CreateEvaluation or CreateBatchPrediction operations. If Amazon ML can't accept the input source, it sets the Status parameter to FAILED and includes an error message in the Message attribute of the GetDataSource operation response. The observation data used in a DataSource should be ready to use; that is, it should have a consistent structure, and missing data values should be kept to a minimum. The observation data must reside in one or more .csv files in an Amazon Simple Storage Service (Amazon S3) location, along with a schema that describes the data items by name and type. The same schema must be used for all of the data files referenced by the DataSource . After the DataSource has been created, it's ready to use in evaluations and batch predictions. If you plan to use the DataSource to train an MLModel , the DataSource also needs a recipe. A recipe describes how each input variable will be used in training an MLModel . Will the variable be included or excluded from training? Will the variable be manipulated; for example, will it be combined with another variable or will it be split apart into word combinations? The recipe provides answers to these questions.","ref":"aws_machine_learning.html#create_data_source_from_s3/2","title":"aws_machine_learning.create_data_source_from_s3/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#create_data_source_from_s3/3","title":"aws_machine_learning.create_data_source_from_s3/3","type":"function"},{"doc":"Creates a new Evaluation of an MLModel . An MLModel is evaluated on a set of observations associated to a DataSource . Like a DataSource for an MLModel , the DataSource for an Evaluation contains values for the Target Variable . The Evaluation compares the predicted result for each observation to the actual outcome and provides a summary so that you know how effective the MLModel functions on the test data. Evaluation generates a relevant performance metric, such as BinaryAUC, RegressionRMSE or MulticlassAvgFScore based on the corresponding MLModelType : BINARY , REGRESSION or MULTICLASS . CreateEvaluation is an asynchronous operation. In response to CreateEvaluation , Amazon Machine Learning (Amazon ML) immediately returns and sets the evaluation status to PENDING . After the Evaluation is created and ready for use, Amazon ML sets the status to COMPLETED . You can use the GetEvaluation operation to check progress of the evaluation during the creation operation.","ref":"aws_machine_learning.html#create_evaluation/2","title":"aws_machine_learning.create_evaluation/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#create_evaluation/3","title":"aws_machine_learning.create_evaluation/3","type":"function"},{"doc":"Creates a new MLModel using the DataSource and the recipe as information sources. An MLModel is nearly immutable. Users can update only the MLModelName and the ScoreThreshold in an MLModel without creating a new MLModel . CreateMLModel is an asynchronous operation. In response to CreateMLModel , Amazon Machine Learning (Amazon ML) immediately returns and sets the MLModel status to PENDING . After the MLModel has been created and ready is for use, Amazon ML sets the status to COMPLETED . You can use the GetMLModel operation to check the progress of the MLModel during the creation operation. CreateMLModel requires a DataSource with computed statistics, which can be created by setting ComputeStatistics to true in CreateDataSourceFromRDS , CreateDataSourceFromS3 , or CreateDataSourceFromRedshift operations.","ref":"aws_machine_learning.html#create_ml_model/2","title":"aws_machine_learning.create_ml_model/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#create_ml_model/3","title":"aws_machine_learning.create_ml_model/3","type":"function"},{"doc":"Creates a real-time endpoint for the MLModel . The endpoint contains the URI of the MLModel ; that is, the location to send real-time prediction requests for the specified MLModel .","ref":"aws_machine_learning.html#create_realtime_endpoint/2","title":"aws_machine_learning.create_realtime_endpoint/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#create_realtime_endpoint/3","title":"aws_machine_learning.create_realtime_endpoint/3","type":"function"},{"doc":"Assigns the DELETED status to a BatchPrediction , rendering it unusable. After using the DeleteBatchPrediction operation, you can use the GetBatchPrediction operation to verify that the status of the BatchPrediction changed to DELETED. Caution: The result of the DeleteBatchPrediction operation is irreversible.","ref":"aws_machine_learning.html#delete_batch_prediction/2","title":"aws_machine_learning.delete_batch_prediction/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#delete_batch_prediction/3","title":"aws_machine_learning.delete_batch_prediction/3","type":"function"},{"doc":"Assigns the DELETED status to a DataSource , rendering it unusable. After using the DeleteDataSource operation, you can use the GetDataSource operation to verify that the status of the DataSource changed to DELETED. Caution: The results of the DeleteDataSource operation are irreversible.","ref":"aws_machine_learning.html#delete_data_source/2","title":"aws_machine_learning.delete_data_source/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#delete_data_source/3","title":"aws_machine_learning.delete_data_source/3","type":"function"},{"doc":"Assigns the DELETED status to an Evaluation , rendering it unusable. After invoking the DeleteEvaluation operation, you can use the GetEvaluation operation to verify that the status of the Evaluation changed to DELETED . Caution: The results of the DeleteEvaluation operation are irreversible.","ref":"aws_machine_learning.html#delete_evaluation/2","title":"aws_machine_learning.delete_evaluation/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#delete_evaluation/3","title":"aws_machine_learning.delete_evaluation/3","type":"function"},{"doc":"Assigns the DELETED status to an MLModel , rendering it unusable. After using the DeleteMLModel operation, you can use the GetMLModel operation to verify that the status of the MLModel changed to DELETED. Caution: The result of the DeleteMLModel operation is irreversible.","ref":"aws_machine_learning.html#delete_ml_model/2","title":"aws_machine_learning.delete_ml_model/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#delete_ml_model/3","title":"aws_machine_learning.delete_ml_model/3","type":"function"},{"doc":"Deletes a real time endpoint of an MLModel .","ref":"aws_machine_learning.html#delete_realtime_endpoint/2","title":"aws_machine_learning.delete_realtime_endpoint/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#delete_realtime_endpoint/3","title":"aws_machine_learning.delete_realtime_endpoint/3","type":"function"},{"doc":"Deletes the specified tags associated with an ML object. After this operation is complete, you can't recover deleted tags. If you specify a tag that doesn't exist, Amazon ML ignores it.","ref":"aws_machine_learning.html#delete_tags/2","title":"aws_machine_learning.delete_tags/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#delete_tags/3","title":"aws_machine_learning.delete_tags/3","type":"function"},{"doc":"Returns a list of BatchPrediction operations that match the search criteria in the request.","ref":"aws_machine_learning.html#describe_batch_predictions/2","title":"aws_machine_learning.describe_batch_predictions/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#describe_batch_predictions/3","title":"aws_machine_learning.describe_batch_predictions/3","type":"function"},{"doc":"Returns a list of DataSource that match the search criteria in the request.","ref":"aws_machine_learning.html#describe_data_sources/2","title":"aws_machine_learning.describe_data_sources/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#describe_data_sources/3","title":"aws_machine_learning.describe_data_sources/3","type":"function"},{"doc":"Returns a list of DescribeEvaluations that match the search criteria in the request.","ref":"aws_machine_learning.html#describe_evaluations/2","title":"aws_machine_learning.describe_evaluations/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#describe_evaluations/3","title":"aws_machine_learning.describe_evaluations/3","type":"function"},{"doc":"Returns a list of MLModel that match the search criteria in the request.","ref":"aws_machine_learning.html#describe_ml_models/2","title":"aws_machine_learning.describe_ml_models/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#describe_ml_models/3","title":"aws_machine_learning.describe_ml_models/3","type":"function"},{"doc":"Describes one or more of the tags for your Amazon ML object.","ref":"aws_machine_learning.html#describe_tags/2","title":"aws_machine_learning.describe_tags/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#describe_tags/3","title":"aws_machine_learning.describe_tags/3","type":"function"},{"doc":"Returns a BatchPrediction that includes detailed metadata, status, and data file information for a Batch Prediction request.","ref":"aws_machine_learning.html#get_batch_prediction/2","title":"aws_machine_learning.get_batch_prediction/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#get_batch_prediction/3","title":"aws_machine_learning.get_batch_prediction/3","type":"function"},{"doc":"Returns a DataSource that includes metadata and data file information, as well as the current status of the DataSource . GetDataSource provides results in normal or verbose format. The verbose format adds the schema description and the list of files pointed to by the DataSource to the normal format.","ref":"aws_machine_learning.html#get_data_source/2","title":"aws_machine_learning.get_data_source/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#get_data_source/3","title":"aws_machine_learning.get_data_source/3","type":"function"},{"doc":"Returns an Evaluation that includes metadata as well as the current status of the Evaluation .","ref":"aws_machine_learning.html#get_evaluation/2","title":"aws_machine_learning.get_evaluation/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#get_evaluation/3","title":"aws_machine_learning.get_evaluation/3","type":"function"},{"doc":"Returns an MLModel that includes detailed metadata, data source information, and the current status of the MLModel . GetMLModel provides results in normal or verbose format.","ref":"aws_machine_learning.html#get_ml_model/2","title":"aws_machine_learning.get_ml_model/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#get_ml_model/3","title":"aws_machine_learning.get_ml_model/3","type":"function"},{"doc":"Generates a prediction for the observation using the specified ML Model . Note: Not all response parameters will be populated. Whether a response parameter is populated depends on the type of model requested.","ref":"aws_machine_learning.html#predict/2","title":"aws_machine_learning.predict/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#predict/3","title":"aws_machine_learning.predict/3","type":"function"},{"doc":"Updates the BatchPredictionName of a BatchPrediction . You can use the GetBatchPrediction operation to view the contents of the updated data element.","ref":"aws_machine_learning.html#update_batch_prediction/2","title":"aws_machine_learning.update_batch_prediction/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#update_batch_prediction/3","title":"aws_machine_learning.update_batch_prediction/3","type":"function"},{"doc":"Updates the DataSourceName of a DataSource . You can use the GetDataSource operation to view the contents of the updated data element.","ref":"aws_machine_learning.html#update_data_source/2","title":"aws_machine_learning.update_data_source/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#update_data_source/3","title":"aws_machine_learning.update_data_source/3","type":"function"},{"doc":"Updates the EvaluationName of an Evaluation . You can use the GetEvaluation operation to view the contents of the updated data element.","ref":"aws_machine_learning.html#update_evaluation/2","title":"aws_machine_learning.update_evaluation/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#update_evaluation/3","title":"aws_machine_learning.update_evaluation/3","type":"function"},{"doc":"Updates the MLModelName and the ScoreThreshold of an MLModel . You can use the GetMLModel operation to view the contents of the updated data element.","ref":"aws_machine_learning.html#update_ml_model/2","title":"aws_machine_learning.update_ml_model/2","type":"function"},{"doc":"","ref":"aws_machine_learning.html#update_ml_model/3","title":"aws_machine_learning.update_ml_model/3","type":"function"},{"doc":"Definition of the public APIs exposed by Amazon Machine Learning","ref":"aws_machinelearning.html","title":"aws_machinelearning","type":"module"},{"doc":"Adds one or more tags to an object, up to a limit of 10. Each tag consists of a key and an optional value. If you add a tag using a key that is already associated with the ML object, AddTags updates the tag's value.","ref":"aws_machinelearning.html#add_tags/2","title":"aws_machinelearning.add_tags/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#add_tags/3","title":"aws_machinelearning.add_tags/3","type":"function"},{"doc":"Generates predictions for a group of observations. The observations to process exist in one or more data files referenced by a DataSource . This operation creates a new BatchPrediction , and uses an MLModel and the data files referenced by the DataSource as information sources. CreateBatchPrediction is an asynchronous operation. In response to CreateBatchPrediction , Amazon Machine Learning (Amazon ML) immediately returns and sets the BatchPrediction status to PENDING . After the BatchPrediction completes, Amazon ML sets the status to COMPLETED . You can poll for status updates by using the GetBatchPrediction operation and checking the Status parameter of the result. After the COMPLETED status appears, the results are available in the location specified by the OutputUri parameter.","ref":"aws_machinelearning.html#create_batch_prediction/2","title":"aws_machinelearning.create_batch_prediction/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#create_batch_prediction/3","title":"aws_machinelearning.create_batch_prediction/3","type":"function"},{"doc":"Creates a DataSource object from an Amazon Relational Database Service (Amazon RDS). A DataSource references data that can be used to perform CreateMLModel , CreateEvaluation , or CreateBatchPrediction operations. CreateDataSourceFromRDS is an asynchronous operation. In response to CreateDataSourceFromRDS , Amazon Machine Learning (Amazon ML) immediately returns and sets the DataSource status to PENDING . After the DataSource is created and ready for use, Amazon ML sets the Status parameter to COMPLETED . DataSource in the COMPLETED or PENDING state can be used only to perform &gt;CreateMLModel &gt;, CreateEvaluation , or CreateBatchPrediction operations. If Amazon ML cannot accept the input source, it sets the Status parameter to FAILED and includes an error message in the Message attribute of the GetDataSource operation response.","ref":"aws_machinelearning.html#create_data_source_from_rds/2","title":"aws_machinelearning.create_data_source_from_rds/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#create_data_source_from_rds/3","title":"aws_machinelearning.create_data_source_from_rds/3","type":"function"},{"doc":"Creates a DataSource from a database hosted on an Amazon Redshift cluster. A DataSource references data that can be used to perform either CreateMLModel , CreateEvaluation , or CreateBatchPrediction operations. CreateDataSourceFromRedshift is an asynchronous operation. In response to CreateDataSourceFromRedshift , Amazon Machine Learning (Amazon ML) immediately returns and sets the DataSource status to PENDING . After the DataSource is created and ready for use, Amazon ML sets the Status parameter to COMPLETED . DataSource in COMPLETED or PENDING states can be used to perform only CreateMLModel , CreateEvaluation , or CreateBatchPrediction operations. If Amazon ML can't accept the input source, it sets the Status parameter to FAILED and includes an error message in the Message attribute of the GetDataSource operation response. The observations should be contained in the database hosted on an Amazon Redshift cluster and should be specified by a SelectSqlQuery query. Amazon ML executes an Unload command in Amazon Redshift to transfer the result set of the SelectSqlQuery query to S3StagingLocation . After the DataSource has been created, it's ready for use in evaluations and batch predictions. If you plan to use the DataSource to train an MLModel , the DataSource also requires a recipe. A recipe describes how each input variable will be used in training an MLModel . Will the variable be included or excluded from training? Will the variable be manipulated; for example, will it be combined with another variable or will it be split apart into word combinations? The recipe provides answers to these questions. You can't change an existing datasource, but you can copy and modify the settings from an existing Amazon Redshift datasource to create a new datasource. To do so, call GetDataSource for an existing datasource and copy the values to a CreateDataSource call. Change the settings that you want to change and make sure that all required fields have the appropriate values.","ref":"aws_machinelearning.html#create_data_source_from_redshift/2","title":"aws_machinelearning.create_data_source_from_redshift/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#create_data_source_from_redshift/3","title":"aws_machinelearning.create_data_source_from_redshift/3","type":"function"},{"doc":"Creates a DataSource object. A DataSource references data that can be used to perform CreateMLModel , CreateEvaluation , or CreateBatchPrediction operations. CreateDataSourceFromS3 is an asynchronous operation. In response to CreateDataSourceFromS3 , Amazon Machine Learning (Amazon ML) immediately returns and sets the DataSource status to PENDING . After the DataSource has been created and is ready for use, Amazon ML sets the Status parameter to COMPLETED . DataSource in the COMPLETED or PENDING state can be used to perform only CreateMLModel , CreateEvaluation or CreateBatchPrediction operations. If Amazon ML can't accept the input source, it sets the Status parameter to FAILED and includes an error message in the Message attribute of the GetDataSource operation response. The observation data used in a DataSource should be ready to use; that is, it should have a consistent structure, and missing data values should be kept to a minimum. The observation data must reside in one or more .csv files in an Amazon Simple Storage Service (Amazon S3) location, along with a schema that describes the data items by name and type. The same schema must be used for all of the data files referenced by the DataSource . After the DataSource has been created, it's ready to use in evaluations and batch predictions. If you plan to use the DataSource to train an MLModel , the DataSource also needs a recipe. A recipe describes how each input variable will be used in training an MLModel . Will the variable be included or excluded from training? Will the variable be manipulated; for example, will it be combined with another variable or will it be split apart into word combinations? The recipe provides answers to these questions.","ref":"aws_machinelearning.html#create_data_source_from_s3/2","title":"aws_machinelearning.create_data_source_from_s3/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#create_data_source_from_s3/3","title":"aws_machinelearning.create_data_source_from_s3/3","type":"function"},{"doc":"Creates a new Evaluation of an MLModel . An MLModel is evaluated on a set of observations associated to a DataSource . Like a DataSource for an MLModel , the DataSource for an Evaluation contains values for the Target Variable . The Evaluation compares the predicted result for each observation to the actual outcome and provides a summary so that you know how effective the MLModel functions on the test data. Evaluation generates a relevant performance metric, such as BinaryAUC, RegressionRMSE or MulticlassAvgFScore based on the corresponding MLModelType : BINARY , REGRESSION or MULTICLASS . CreateEvaluation is an asynchronous operation. In response to CreateEvaluation , Amazon Machine Learning (Amazon ML) immediately returns and sets the evaluation status to PENDING . After the Evaluation is created and ready for use, Amazon ML sets the status to COMPLETED . You can use the GetEvaluation operation to check progress of the evaluation during the creation operation.","ref":"aws_machinelearning.html#create_evaluation/2","title":"aws_machinelearning.create_evaluation/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#create_evaluation/3","title":"aws_machinelearning.create_evaluation/3","type":"function"},{"doc":"Creates a new MLModel using the DataSource and the recipe as information sources. An MLModel is nearly immutable. Users can update only the MLModelName and the ScoreThreshold in an MLModel without creating a new MLModel . CreateMLModel is an asynchronous operation. In response to CreateMLModel , Amazon Machine Learning (Amazon ML) immediately returns and sets the MLModel status to PENDING . After the MLModel has been created and ready is for use, Amazon ML sets the status to COMPLETED . You can use the GetMLModel operation to check the progress of the MLModel during the creation operation. CreateMLModel requires a DataSource with computed statistics, which can be created by setting ComputeStatistics to true in CreateDataSourceFromRDS , CreateDataSourceFromS3 , or CreateDataSourceFromRedshift operations.","ref":"aws_machinelearning.html#create_ml_model/2","title":"aws_machinelearning.create_ml_model/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#create_ml_model/3","title":"aws_machinelearning.create_ml_model/3","type":"function"},{"doc":"Creates a real-time endpoint for the MLModel . The endpoint contains the URI of the MLModel ; that is, the location to send real-time prediction requests for the specified MLModel .","ref":"aws_machinelearning.html#create_realtime_endpoint/2","title":"aws_machinelearning.create_realtime_endpoint/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#create_realtime_endpoint/3","title":"aws_machinelearning.create_realtime_endpoint/3","type":"function"},{"doc":"Assigns the DELETED status to a BatchPrediction , rendering it unusable. After using the DeleteBatchPrediction operation, you can use the GetBatchPrediction operation to verify that the status of the BatchPrediction changed to DELETED. Caution: The result of the DeleteBatchPrediction operation is irreversible.","ref":"aws_machinelearning.html#delete_batch_prediction/2","title":"aws_machinelearning.delete_batch_prediction/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#delete_batch_prediction/3","title":"aws_machinelearning.delete_batch_prediction/3","type":"function"},{"doc":"Assigns the DELETED status to a DataSource , rendering it unusable. After using the DeleteDataSource operation, you can use the GetDataSource operation to verify that the status of the DataSource changed to DELETED. Caution: The results of the DeleteDataSource operation are irreversible.","ref":"aws_machinelearning.html#delete_data_source/2","title":"aws_machinelearning.delete_data_source/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#delete_data_source/3","title":"aws_machinelearning.delete_data_source/3","type":"function"},{"doc":"Assigns the DELETED status to an Evaluation , rendering it unusable. After invoking the DeleteEvaluation operation, you can use the GetEvaluation operation to verify that the status of the Evaluation changed to DELETED . Caution The results of the DeleteEvaluation operation are irreversible.","ref":"aws_machinelearning.html#delete_evaluation/2","title":"aws_machinelearning.delete_evaluation/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#delete_evaluation/3","title":"aws_machinelearning.delete_evaluation/3","type":"function"},{"doc":"Assigns the DELETED status to an MLModel , rendering it unusable. After using the DeleteMLModel operation, you can use the GetMLModel operation to verify that the status of the MLModel changed to DELETED. Caution: The result of the DeleteMLModel operation is irreversible.","ref":"aws_machinelearning.html#delete_ml_model/2","title":"aws_machinelearning.delete_ml_model/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#delete_ml_model/3","title":"aws_machinelearning.delete_ml_model/3","type":"function"},{"doc":"Deletes a real time endpoint of an MLModel .","ref":"aws_machinelearning.html#delete_realtime_endpoint/2","title":"aws_machinelearning.delete_realtime_endpoint/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#delete_realtime_endpoint/3","title":"aws_machinelearning.delete_realtime_endpoint/3","type":"function"},{"doc":"Deletes the specified tags associated with an ML object. After this operation is complete, you can't recover deleted tags. If you specify a tag that doesn't exist, Amazon ML ignores it.","ref":"aws_machinelearning.html#delete_tags/2","title":"aws_machinelearning.delete_tags/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#delete_tags/3","title":"aws_machinelearning.delete_tags/3","type":"function"},{"doc":"Returns a list of BatchPrediction operations that match the search criteria in the request.","ref":"aws_machinelearning.html#describe_batch_predictions/2","title":"aws_machinelearning.describe_batch_predictions/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#describe_batch_predictions/3","title":"aws_machinelearning.describe_batch_predictions/3","type":"function"},{"doc":"Returns a list of DataSource that match the search criteria in the request.","ref":"aws_machinelearning.html#describe_data_sources/2","title":"aws_machinelearning.describe_data_sources/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#describe_data_sources/3","title":"aws_machinelearning.describe_data_sources/3","type":"function"},{"doc":"Returns a list of DescribeEvaluations that match the search criteria in the request.","ref":"aws_machinelearning.html#describe_evaluations/2","title":"aws_machinelearning.describe_evaluations/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#describe_evaluations/3","title":"aws_machinelearning.describe_evaluations/3","type":"function"},{"doc":"Returns a list of MLModel that match the search criteria in the request.","ref":"aws_machinelearning.html#describe_ml_models/2","title":"aws_machinelearning.describe_ml_models/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#describe_ml_models/3","title":"aws_machinelearning.describe_ml_models/3","type":"function"},{"doc":"Describes one or more of the tags for your Amazon ML object.","ref":"aws_machinelearning.html#describe_tags/2","title":"aws_machinelearning.describe_tags/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#describe_tags/3","title":"aws_machinelearning.describe_tags/3","type":"function"},{"doc":"Returns a BatchPrediction that includes detailed metadata, status, and data file information for a Batch Prediction request.","ref":"aws_machinelearning.html#get_batch_prediction/2","title":"aws_machinelearning.get_batch_prediction/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#get_batch_prediction/3","title":"aws_machinelearning.get_batch_prediction/3","type":"function"},{"doc":"Returns a DataSource that includes metadata and data file information, as well as the current status of the DataSource . GetDataSource provides results in normal or verbose format. The verbose format adds the schema description and the list of files pointed to by the DataSource to the normal format.","ref":"aws_machinelearning.html#get_data_source/2","title":"aws_machinelearning.get_data_source/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#get_data_source/3","title":"aws_machinelearning.get_data_source/3","type":"function"},{"doc":"Returns an Evaluation that includes metadata as well as the current status of the Evaluation .","ref":"aws_machinelearning.html#get_evaluation/2","title":"aws_machinelearning.get_evaluation/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#get_evaluation/3","title":"aws_machinelearning.get_evaluation/3","type":"function"},{"doc":"Returns an MLModel that includes detailed metadata, data source information, and the current status of the MLModel . GetMLModel provides results in normal or verbose format.","ref":"aws_machinelearning.html#get_ml_model/2","title":"aws_machinelearning.get_ml_model/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#get_ml_model/3","title":"aws_machinelearning.get_ml_model/3","type":"function"},{"doc":"Generates a prediction for the observation using the specified ML Model . Note Not all response parameters will be populated. Whether a response parameter is populated depends on the type of model requested.","ref":"aws_machinelearning.html#predict/2","title":"aws_machinelearning.predict/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#predict/3","title":"aws_machinelearning.predict/3","type":"function"},{"doc":"Updates the BatchPredictionName of a BatchPrediction . You can use the GetBatchPrediction operation to view the contents of the updated data element.","ref":"aws_machinelearning.html#update_batch_prediction/2","title":"aws_machinelearning.update_batch_prediction/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#update_batch_prediction/3","title":"aws_machinelearning.update_batch_prediction/3","type":"function"},{"doc":"Updates the DataSourceName of a DataSource . You can use the GetDataSource operation to view the contents of the updated data element.","ref":"aws_machinelearning.html#update_data_source/2","title":"aws_machinelearning.update_data_source/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#update_data_source/3","title":"aws_machinelearning.update_data_source/3","type":"function"},{"doc":"Updates the EvaluationName of an Evaluation . You can use the GetEvaluation operation to view the contents of the updated data element.","ref":"aws_machinelearning.html#update_evaluation/2","title":"aws_machinelearning.update_evaluation/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#update_evaluation/3","title":"aws_machinelearning.update_evaluation/3","type":"function"},{"doc":"Updates the MLModelName and the ScoreThreshold of an MLModel . You can use the GetMLModel operation to view the contents of the updated data element.","ref":"aws_machinelearning.html#update_ml_model/2","title":"aws_machinelearning.update_ml_model/2","type":"function"},{"doc":"","ref":"aws_machinelearning.html#update_ml_model/3","title":"aws_machinelearning.update_ml_model/3","type":"function"},{"doc":"Amazon Macie Classic Amazon Macie Classic has been discontinued and is no longer available. A new Amazon Macie is now available with significant design improvements and additional features, at a lower price and in most Amazon Web Services Regions. We encourage you to take advantage of the new and improved features, and benefit from the reduced cost. To learn about features and pricing for the new Macie, see Amazon Macie. To learn how to use the new Macie, see the Amazon Macie User Guide.","ref":"aws_macie.html","title":"aws_macie","type":"module"},{"doc":"(Discontinued) Associates a specified Amazon Web Services account with Amazon Macie Classic as a member account.","ref":"aws_macie.html#associate_member_account/2","title":"aws_macie.associate_member_account/2","type":"function"},{"doc":"","ref":"aws_macie.html#associate_member_account/3","title":"aws_macie.associate_member_account/3","type":"function"},{"doc":"(Discontinued) Associates specified S3 resources with Amazon Macie Classic for monitoring and data classification. If memberAccountId isn't specified, the action associates specified S3 resources with Macie Classic for the current Macie Classic administrator account. If memberAccountId is specified, the action associates specified S3 resources with Macie Classic for the specified member account.","ref":"aws_macie.html#associate_s3_resources/2","title":"aws_macie.associate_s3_resources/2","type":"function"},{"doc":"","ref":"aws_macie.html#associate_s3_resources/3","title":"aws_macie.associate_s3_resources/3","type":"function"},{"doc":"(Discontinued) Removes the specified member account from Amazon Macie Classic.","ref":"aws_macie.html#disassociate_member_account/2","title":"aws_macie.disassociate_member_account/2","type":"function"},{"doc":"","ref":"aws_macie.html#disassociate_member_account/3","title":"aws_macie.disassociate_member_account/3","type":"function"},{"doc":"(Discontinued) Removes specified S3 resources from being monitored by Amazon Macie Classic. If memberAccountId isn't specified, the action removes specified S3 resources from Macie Classic for the current Macie Classic administrator account. If memberAccountId is specified, the action removes specified S3 resources from Macie Classic for the specified member account.","ref":"aws_macie.html#disassociate_s3_resources/2","title":"aws_macie.disassociate_s3_resources/2","type":"function"},{"doc":"","ref":"aws_macie.html#disassociate_s3_resources/3","title":"aws_macie.disassociate_s3_resources/3","type":"function"},{"doc":"(Discontinued) Lists all Amazon Macie Classic member accounts for the current Macie Classic administrator account.","ref":"aws_macie.html#list_member_accounts/2","title":"aws_macie.list_member_accounts/2","type":"function"},{"doc":"","ref":"aws_macie.html#list_member_accounts/3","title":"aws_macie.list_member_accounts/3","type":"function"},{"doc":"(Discontinued) Lists all the S3 resources associated with Amazon Macie Classic. If memberAccountId isn't specified, the action lists the S3 resources associated with Macie Classic for the current Macie Classic administrator account. If memberAccountId is specified, the action lists the S3 resources associated with Macie Classic for the specified member account.","ref":"aws_macie.html#list_s3_resources/2","title":"aws_macie.list_s3_resources/2","type":"function"},{"doc":"","ref":"aws_macie.html#list_s3_resources/3","title":"aws_macie.list_s3_resources/3","type":"function"},{"doc":"(Discontinued) Updates the classification types for the specified S3 resources. If memberAccountId isn't specified, the action updates the classification types of the S3 resources associated with Amazon Macie Classic for the current Macie Classic administrator account. If memberAccountId is specified, the action updates the classification types of the S3 resources associated with Macie Classic for the specified member account.","ref":"aws_macie.html#update_s3_resources/2","title":"aws_macie.update_s3_resources/2","type":"function"},{"doc":"","ref":"aws_macie.html#update_s3_resources/3","title":"aws_macie.update_s3_resources/3","type":"function"},{"doc":"Amazon Macie is a fully managed data security and data privacy service that uses machine learning and pattern matching to help you discover and protect your sensitive data in AWS. Macie automates the discovery of sensitive data, such as PII and intellectual property, to provide you with insight into the data that your organization stores in AWS. Macie also provides an inventory of your Amazon S3 buckets, which it continually monitors for you. If Macie detects sensitive data or potential data access issues, it generates detailed findings for you to review and act upon as necessary.","ref":"aws_macie2.html","title":"aws_macie2","type":"module"},{"doc":"Accepts an Amazon Macie membership invitation that was received from a specific account.","ref":"aws_macie2.html#accept_invitation/2","title":"aws_macie2.accept_invitation/2","type":"function"},{"doc":"","ref":"aws_macie2.html#accept_invitation/3","title":"aws_macie2.accept_invitation/3","type":"function"},{"doc":"Retrieves information about one or more custom data identifiers.","ref":"aws_macie2.html#batch_get_custom_data_identifiers/2","title":"aws_macie2.batch_get_custom_data_identifiers/2","type":"function"},{"doc":"","ref":"aws_macie2.html#batch_get_custom_data_identifiers/3","title":"aws_macie2.batch_get_custom_data_identifiers/3","type":"function"},{"doc":"Creates and defines the settings for an allow list.","ref":"aws_macie2.html#create_allow_list/2","title":"aws_macie2.create_allow_list/2","type":"function"},{"doc":"","ref":"aws_macie2.html#create_allow_list/3","title":"aws_macie2.create_allow_list/3","type":"function"},{"doc":"Creates and defines the settings for a classification job.","ref":"aws_macie2.html#create_classification_job/2","title":"aws_macie2.create_classification_job/2","type":"function"},{"doc":"","ref":"aws_macie2.html#create_classification_job/3","title":"aws_macie2.create_classification_job/3","type":"function"},{"doc":"Creates and defines the criteria and other settings for a custom data identifier.","ref":"aws_macie2.html#create_custom_data_identifier/2","title":"aws_macie2.create_custom_data_identifier/2","type":"function"},{"doc":"","ref":"aws_macie2.html#create_custom_data_identifier/3","title":"aws_macie2.create_custom_data_identifier/3","type":"function"},{"doc":"Creates and defines the criteria and other settings for a findings filter.","ref":"aws_macie2.html#create_findings_filter/2","title":"aws_macie2.create_findings_filter/2","type":"function"},{"doc":"","ref":"aws_macie2.html#create_findings_filter/3","title":"aws_macie2.create_findings_filter/3","type":"function"},{"doc":"Sends an Amazon Macie membership invitation to one or more accounts.","ref":"aws_macie2.html#create_invitations/2","title":"aws_macie2.create_invitations/2","type":"function"},{"doc":"","ref":"aws_macie2.html#create_invitations/3","title":"aws_macie2.create_invitations/3","type":"function"},{"doc":"Associates an account with an Amazon Macie administrator account.","ref":"aws_macie2.html#create_member/2","title":"aws_macie2.create_member/2","type":"function"},{"doc":"","ref":"aws_macie2.html#create_member/3","title":"aws_macie2.create_member/3","type":"function"},{"doc":"Creates sample findings.","ref":"aws_macie2.html#create_sample_findings/2","title":"aws_macie2.create_sample_findings/2","type":"function"},{"doc":"","ref":"aws_macie2.html#create_sample_findings/3","title":"aws_macie2.create_sample_findings/3","type":"function"},{"doc":"Declines Amazon Macie membership invitations that were received from specific accounts.","ref":"aws_macie2.html#decline_invitations/2","title":"aws_macie2.decline_invitations/2","type":"function"},{"doc":"","ref":"aws_macie2.html#decline_invitations/3","title":"aws_macie2.decline_invitations/3","type":"function"},{"doc":"Deletes an allow list.","ref":"aws_macie2.html#delete_allow_list/3","title":"aws_macie2.delete_allow_list/3","type":"function"},{"doc":"","ref":"aws_macie2.html#delete_allow_list/4","title":"aws_macie2.delete_allow_list/4","type":"function"},{"doc":"Soft deletes a custom data identifier.","ref":"aws_macie2.html#delete_custom_data_identifier/3","title":"aws_macie2.delete_custom_data_identifier/3","type":"function"},{"doc":"","ref":"aws_macie2.html#delete_custom_data_identifier/4","title":"aws_macie2.delete_custom_data_identifier/4","type":"function"},{"doc":"Deletes a findings filter.","ref":"aws_macie2.html#delete_findings_filter/3","title":"aws_macie2.delete_findings_filter/3","type":"function"},{"doc":"","ref":"aws_macie2.html#delete_findings_filter/4","title":"aws_macie2.delete_findings_filter/4","type":"function"},{"doc":"Deletes Amazon Macie membership invitations that were received from specific accounts.","ref":"aws_macie2.html#delete_invitations/2","title":"aws_macie2.delete_invitations/2","type":"function"},{"doc":"","ref":"aws_macie2.html#delete_invitations/3","title":"aws_macie2.delete_invitations/3","type":"function"},{"doc":"Deletes the association between an Amazon Macie administrator account and an account.","ref":"aws_macie2.html#delete_member/3","title":"aws_macie2.delete_member/3","type":"function"},{"doc":"","ref":"aws_macie2.html#delete_member/4","title":"aws_macie2.delete_member/4","type":"function"},{"doc":"Retrieves (queries) statistical data and other information about one or more S3 buckets that Amazon Macie monitors and analyzes for an account.","ref":"aws_macie2.html#describe_buckets/2","title":"aws_macie2.describe_buckets/2","type":"function"},{"doc":"","ref":"aws_macie2.html#describe_buckets/3","title":"aws_macie2.describe_buckets/3","type":"function"},{"doc":"Retrieves the status and settings for a classification job.","ref":"aws_macie2.html#describe_classification_job/2","title":"aws_macie2.describe_classification_job/2","type":"function"},{"doc":"","ref":"aws_macie2.html#describe_classification_job/4","title":"aws_macie2.describe_classification_job/4","type":"function"},{"doc":"","ref":"aws_macie2.html#describe_classification_job/5","title":"aws_macie2.describe_classification_job/5","type":"function"},{"doc":"Retrieves the Amazon Macie configuration settings for an organization in Organizations.","ref":"aws_macie2.html#describe_organization_configuration/1","title":"aws_macie2.describe_organization_configuration/1","type":"function"},{"doc":"","ref":"aws_macie2.html#describe_organization_configuration/3","title":"aws_macie2.describe_organization_configuration/3","type":"function"},{"doc":"","ref":"aws_macie2.html#describe_organization_configuration/4","title":"aws_macie2.describe_organization_configuration/4","type":"function"},{"doc":"Disables Amazon Macie and deletes all settings and resources for a Macie account.","ref":"aws_macie2.html#disable_macie/2","title":"aws_macie2.disable_macie/2","type":"function"},{"doc":"","ref":"aws_macie2.html#disable_macie/3","title":"aws_macie2.disable_macie/3","type":"function"},{"doc":"Disables an account as the delegated Amazon Macie administrator account for an organization in Organizations.","ref":"aws_macie2.html#disable_organization_admin_account/2","title":"aws_macie2.disable_organization_admin_account/2","type":"function"},{"doc":"","ref":"aws_macie2.html#disable_organization_admin_account/3","title":"aws_macie2.disable_organization_admin_account/3","type":"function"},{"doc":"Disassociates a member account from its Amazon Macie administrator account.","ref":"aws_macie2.html#disassociate_from_administrator_account/2","title":"aws_macie2.disassociate_from_administrator_account/2","type":"function"},{"doc":"","ref":"aws_macie2.html#disassociate_from_administrator_account/3","title":"aws_macie2.disassociate_from_administrator_account/3","type":"function"},{"doc":"(Deprecated) Disassociates a member account from its Amazon Macie administrator account. This operation has been replaced by the DisassociateFromAdministratorAccount operation.","ref":"aws_macie2.html#disassociate_from_master_account/2","title":"aws_macie2.disassociate_from_master_account/2","type":"function"},{"doc":"","ref":"aws_macie2.html#disassociate_from_master_account/3","title":"aws_macie2.disassociate_from_master_account/3","type":"function"},{"doc":"Disassociates an Amazon Macie administrator account from a member account.","ref":"aws_macie2.html#disassociate_member/3","title":"aws_macie2.disassociate_member/3","type":"function"},{"doc":"","ref":"aws_macie2.html#disassociate_member/4","title":"aws_macie2.disassociate_member/4","type":"function"},{"doc":"Enables Amazon Macie and specifies the configuration settings for a Macie account.","ref":"aws_macie2.html#enable_macie/2","title":"aws_macie2.enable_macie/2","type":"function"},{"doc":"","ref":"aws_macie2.html#enable_macie/3","title":"aws_macie2.enable_macie/3","type":"function"},{"doc":"Designates an account as the delegated Amazon Macie administrator account for an organization in Organizations.","ref":"aws_macie2.html#enable_organization_admin_account/2","title":"aws_macie2.enable_organization_admin_account/2","type":"function"},{"doc":"","ref":"aws_macie2.html#enable_organization_admin_account/3","title":"aws_macie2.enable_organization_admin_account/3","type":"function"},{"doc":"Retrieves information about the Amazon Macie administrator account for an account.","ref":"aws_macie2.html#get_administrator_account/1","title":"aws_macie2.get_administrator_account/1","type":"function"},{"doc":"","ref":"aws_macie2.html#get_administrator_account/3","title":"aws_macie2.get_administrator_account/3","type":"function"},{"doc":"","ref":"aws_macie2.html#get_administrator_account/4","title":"aws_macie2.get_administrator_account/4","type":"function"},{"doc":"Retrieves the settings and status of an allow list.","ref":"aws_macie2.html#get_allow_list/2","title":"aws_macie2.get_allow_list/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_allow_list/4","title":"aws_macie2.get_allow_list/4","type":"function"},{"doc":"","ref":"aws_macie2.html#get_allow_list/5","title":"aws_macie2.get_allow_list/5","type":"function"},{"doc":"Retrieves the configuration settings and status of automated sensitive data discovery for an account.","ref":"aws_macie2.html#get_automated_discovery_configuration/1","title":"aws_macie2.get_automated_discovery_configuration/1","type":"function"},{"doc":"","ref":"aws_macie2.html#get_automated_discovery_configuration/3","title":"aws_macie2.get_automated_discovery_configuration/3","type":"function"},{"doc":"","ref":"aws_macie2.html#get_automated_discovery_configuration/4","title":"aws_macie2.get_automated_discovery_configuration/4","type":"function"},{"doc":"Retrieves (queries) aggregated statistical data about all the S3 buckets that Amazon Macie monitors and analyzes for an account.","ref":"aws_macie2.html#get_bucket_statistics/2","title":"aws_macie2.get_bucket_statistics/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_bucket_statistics/3","title":"aws_macie2.get_bucket_statistics/3","type":"function"},{"doc":"Retrieves the configuration settings for storing data classification results.","ref":"aws_macie2.html#get_classification_export_configuration/1","title":"aws_macie2.get_classification_export_configuration/1","type":"function"},{"doc":"","ref":"aws_macie2.html#get_classification_export_configuration/3","title":"aws_macie2.get_classification_export_configuration/3","type":"function"},{"doc":"","ref":"aws_macie2.html#get_classification_export_configuration/4","title":"aws_macie2.get_classification_export_configuration/4","type":"function"},{"doc":"Retrieves the classification scope settings for an account.","ref":"aws_macie2.html#get_classification_scope/2","title":"aws_macie2.get_classification_scope/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_classification_scope/4","title":"aws_macie2.get_classification_scope/4","type":"function"},{"doc":"","ref":"aws_macie2.html#get_classification_scope/5","title":"aws_macie2.get_classification_scope/5","type":"function"},{"doc":"Retrieves the criteria and other settings for a custom data identifier.","ref":"aws_macie2.html#get_custom_data_identifier/2","title":"aws_macie2.get_custom_data_identifier/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_custom_data_identifier/4","title":"aws_macie2.get_custom_data_identifier/4","type":"function"},{"doc":"","ref":"aws_macie2.html#get_custom_data_identifier/5","title":"aws_macie2.get_custom_data_identifier/5","type":"function"},{"doc":"Retrieves (queries) aggregated statistical data about findings.","ref":"aws_macie2.html#get_finding_statistics/2","title":"aws_macie2.get_finding_statistics/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_finding_statistics/3","title":"aws_macie2.get_finding_statistics/3","type":"function"},{"doc":"Retrieves the details of one or more findings.","ref":"aws_macie2.html#get_findings/2","title":"aws_macie2.get_findings/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_findings/3","title":"aws_macie2.get_findings/3","type":"function"},{"doc":"Retrieves the criteria and other settings for a findings filter.","ref":"aws_macie2.html#get_findings_filter/2","title":"aws_macie2.get_findings_filter/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_findings_filter/4","title":"aws_macie2.get_findings_filter/4","type":"function"},{"doc":"","ref":"aws_macie2.html#get_findings_filter/5","title":"aws_macie2.get_findings_filter/5","type":"function"},{"doc":"Retrieves the configuration settings for publishing findings to Security Hub.","ref":"aws_macie2.html#get_findings_publication_configuration/1","title":"aws_macie2.get_findings_publication_configuration/1","type":"function"},{"doc":"","ref":"aws_macie2.html#get_findings_publication_configuration/3","title":"aws_macie2.get_findings_publication_configuration/3","type":"function"},{"doc":"","ref":"aws_macie2.html#get_findings_publication_configuration/4","title":"aws_macie2.get_findings_publication_configuration/4","type":"function"},{"doc":"Retrieves the count of Amazon Macie membership invitations that were received by an account.","ref":"aws_macie2.html#get_invitations_count/1","title":"aws_macie2.get_invitations_count/1","type":"function"},{"doc":"","ref":"aws_macie2.html#get_invitations_count/3","title":"aws_macie2.get_invitations_count/3","type":"function"},{"doc":"","ref":"aws_macie2.html#get_invitations_count/4","title":"aws_macie2.get_invitations_count/4","type":"function"},{"doc":"Retrieves the status and configuration settings for an Amazon Macie account.","ref":"aws_macie2.html#get_macie_session/1","title":"aws_macie2.get_macie_session/1","type":"function"},{"doc":"","ref":"aws_macie2.html#get_macie_session/3","title":"aws_macie2.get_macie_session/3","type":"function"},{"doc":"","ref":"aws_macie2.html#get_macie_session/4","title":"aws_macie2.get_macie_session/4","type":"function"},{"doc":"(Deprecated) Retrieves information about the Amazon Macie administrator account for an account. This operation has been replaced by the GetAdministratorAccount operation.","ref":"aws_macie2.html#get_master_account/1","title":"aws_macie2.get_master_account/1","type":"function"},{"doc":"","ref":"aws_macie2.html#get_master_account/3","title":"aws_macie2.get_master_account/3","type":"function"},{"doc":"","ref":"aws_macie2.html#get_master_account/4","title":"aws_macie2.get_master_account/4","type":"function"},{"doc":"Retrieves information about an account that's associated with an Amazon Macie administrator account.","ref":"aws_macie2.html#get_member/2","title":"aws_macie2.get_member/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_member/4","title":"aws_macie2.get_member/4","type":"function"},{"doc":"","ref":"aws_macie2.html#get_member/5","title":"aws_macie2.get_member/5","type":"function"},{"doc":"Retrieves (queries) sensitive data discovery statistics and the sensitivity score for an S3 bucket.","ref":"aws_macie2.html#get_resource_profile/2","title":"aws_macie2.get_resource_profile/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_resource_profile/4","title":"aws_macie2.get_resource_profile/4","type":"function"},{"doc":"","ref":"aws_macie2.html#get_resource_profile/5","title":"aws_macie2.get_resource_profile/5","type":"function"},{"doc":"Retrieves the status and configuration settings for retrieving occurrences of sensitive data reported by findings.","ref":"aws_macie2.html#get_reveal_configuration/1","title":"aws_macie2.get_reveal_configuration/1","type":"function"},{"doc":"","ref":"aws_macie2.html#get_reveal_configuration/3","title":"aws_macie2.get_reveal_configuration/3","type":"function"},{"doc":"","ref":"aws_macie2.html#get_reveal_configuration/4","title":"aws_macie2.get_reveal_configuration/4","type":"function"},{"doc":"Retrieves occurrences of sensitive data reported by a finding.","ref":"aws_macie2.html#get_sensitive_data_occurrences/2","title":"aws_macie2.get_sensitive_data_occurrences/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_sensitive_data_occurrences/4","title":"aws_macie2.get_sensitive_data_occurrences/4","type":"function"},{"doc":"","ref":"aws_macie2.html#get_sensitive_data_occurrences/5","title":"aws_macie2.get_sensitive_data_occurrences/5","type":"function"},{"doc":"Checks whether occurrences of sensitive data can be retrieved for a finding.","ref":"aws_macie2.html#get_sensitive_data_occurrences_availability/2","title":"aws_macie2.get_sensitive_data_occurrences_availability/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_sensitive_data_occurrences_availability/4","title":"aws_macie2.get_sensitive_data_occurrences_availability/4","type":"function"},{"doc":"","ref":"aws_macie2.html#get_sensitive_data_occurrences_availability/5","title":"aws_macie2.get_sensitive_data_occurrences_availability/5","type":"function"},{"doc":"Retrieves the settings for the sensitivity inspection template for an account.","ref":"aws_macie2.html#get_sensitivity_inspection_template/2","title":"aws_macie2.get_sensitivity_inspection_template/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_sensitivity_inspection_template/4","title":"aws_macie2.get_sensitivity_inspection_template/4","type":"function"},{"doc":"","ref":"aws_macie2.html#get_sensitivity_inspection_template/5","title":"aws_macie2.get_sensitivity_inspection_template/5","type":"function"},{"doc":"Retrieves (queries) quotas and aggregated usage data for one or more accounts.","ref":"aws_macie2.html#get_usage_statistics/2","title":"aws_macie2.get_usage_statistics/2","type":"function"},{"doc":"","ref":"aws_macie2.html#get_usage_statistics/3","title":"aws_macie2.get_usage_statistics/3","type":"function"},{"doc":"Retrieves (queries) aggregated usage data for an account.","ref":"aws_macie2.html#get_usage_totals/1","title":"aws_macie2.get_usage_totals/1","type":"function"},{"doc":"","ref":"aws_macie2.html#get_usage_totals/3","title":"aws_macie2.get_usage_totals/3","type":"function"},{"doc":"","ref":"aws_macie2.html#get_usage_totals/4","title":"aws_macie2.get_usage_totals/4","type":"function"},{"doc":"Retrieves a subset of information about all the allow lists for an account.","ref":"aws_macie2.html#list_allow_lists/1","title":"aws_macie2.list_allow_lists/1","type":"function"},{"doc":"","ref":"aws_macie2.html#list_allow_lists/3","title":"aws_macie2.list_allow_lists/3","type":"function"},{"doc":"","ref":"aws_macie2.html#list_allow_lists/4","title":"aws_macie2.list_allow_lists/4","type":"function"},{"doc":"Retrieves a subset of information about one or more classification jobs.","ref":"aws_macie2.html#list_classification_jobs/2","title":"aws_macie2.list_classification_jobs/2","type":"function"},{"doc":"","ref":"aws_macie2.html#list_classification_jobs/3","title":"aws_macie2.list_classification_jobs/3","type":"function"},{"doc":"Retrieves a subset of information about the classification scope for an account.","ref":"aws_macie2.html#list_classification_scopes/1","title":"aws_macie2.list_classification_scopes/1","type":"function"},{"doc":"","ref":"aws_macie2.html#list_classification_scopes/3","title":"aws_macie2.list_classification_scopes/3","type":"function"},{"doc":"","ref":"aws_macie2.html#list_classification_scopes/4","title":"aws_macie2.list_classification_scopes/4","type":"function"},{"doc":"Retrieves a subset of information about all the custom data identifiers for an account.","ref":"aws_macie2.html#list_custom_data_identifiers/2","title":"aws_macie2.list_custom_data_identifiers/2","type":"function"},{"doc":"","ref":"aws_macie2.html#list_custom_data_identifiers/3","title":"aws_macie2.list_custom_data_identifiers/3","type":"function"},{"doc":"Retrieves a subset of information about one or more findings.","ref":"aws_macie2.html#list_findings/2","title":"aws_macie2.list_findings/2","type":"function"},{"doc":"","ref":"aws_macie2.html#list_findings/3","title":"aws_macie2.list_findings/3","type":"function"},{"doc":"Retrieves a subset of information about all the findings filters for an account.","ref":"aws_macie2.html#list_findings_filters/1","title":"aws_macie2.list_findings_filters/1","type":"function"},{"doc":"","ref":"aws_macie2.html#list_findings_filters/3","title":"aws_macie2.list_findings_filters/3","type":"function"},{"doc":"","ref":"aws_macie2.html#list_findings_filters/4","title":"aws_macie2.list_findings_filters/4","type":"function"},{"doc":"Retrieves information about the Amazon Macie membership invitations that were received by an account.","ref":"aws_macie2.html#list_invitations/1","title":"aws_macie2.list_invitations/1","type":"function"},{"doc":"","ref":"aws_macie2.html#list_invitations/3","title":"aws_macie2.list_invitations/3","type":"function"},{"doc":"","ref":"aws_macie2.html#list_invitations/4","title":"aws_macie2.list_invitations/4","type":"function"},{"doc":"Retrieves information about all the managed data identifiers that Amazon Macie currently provides.","ref":"aws_macie2.html#list_managed_data_identifiers/2","title":"aws_macie2.list_managed_data_identifiers/2","type":"function"},{"doc":"","ref":"aws_macie2.html#list_managed_data_identifiers/3","title":"aws_macie2.list_managed_data_identifiers/3","type":"function"},{"doc":"Retrieves information about the accounts that are associated with an Amazon Macie administrator account.","ref":"aws_macie2.html#list_members/1","title":"aws_macie2.list_members/1","type":"function"},{"doc":"","ref":"aws_macie2.html#list_members/3","title":"aws_macie2.list_members/3","type":"function"},{"doc":"","ref":"aws_macie2.html#list_members/4","title":"aws_macie2.list_members/4","type":"function"},{"doc":"Retrieves information about the delegated Amazon Macie administrator account for an organization in Organizations.","ref":"aws_macie2.html#list_organization_admin_accounts/1","title":"aws_macie2.list_organization_admin_accounts/1","type":"function"},{"doc":"","ref":"aws_macie2.html#list_organization_admin_accounts/3","title":"aws_macie2.list_organization_admin_accounts/3","type":"function"},{"doc":"","ref":"aws_macie2.html#list_organization_admin_accounts/4","title":"aws_macie2.list_organization_admin_accounts/4","type":"function"},{"doc":"Retrieves information about objects that were selected from an S3 bucket for automated sensitive data discovery.","ref":"aws_macie2.html#list_resource_profile_artifacts/2","title":"aws_macie2.list_resource_profile_artifacts/2","type":"function"},{"doc":"","ref":"aws_macie2.html#list_resource_profile_artifacts/4","title":"aws_macie2.list_resource_profile_artifacts/4","type":"function"},{"doc":"","ref":"aws_macie2.html#list_resource_profile_artifacts/5","title":"aws_macie2.list_resource_profile_artifacts/5","type":"function"},{"doc":"Retrieves information about the types and amount of sensitive data that Amazon Macie found in an S3 bucket.","ref":"aws_macie2.html#list_resource_profile_detections/2","title":"aws_macie2.list_resource_profile_detections/2","type":"function"},{"doc":"","ref":"aws_macie2.html#list_resource_profile_detections/4","title":"aws_macie2.list_resource_profile_detections/4","type":"function"},{"doc":"","ref":"aws_macie2.html#list_resource_profile_detections/5","title":"aws_macie2.list_resource_profile_detections/5","type":"function"},{"doc":"Retrieves a subset of information about the sensitivity inspection template for an account.","ref":"aws_macie2.html#list_sensitivity_inspection_templates/1","title":"aws_macie2.list_sensitivity_inspection_templates/1","type":"function"},{"doc":"","ref":"aws_macie2.html#list_sensitivity_inspection_templates/3","title":"aws_macie2.list_sensitivity_inspection_templates/3","type":"function"},{"doc":"","ref":"aws_macie2.html#list_sensitivity_inspection_templates/4","title":"aws_macie2.list_sensitivity_inspection_templates/4","type":"function"},{"doc":"Retrieves the tags (keys and values) that are associated with an Amazon Macie resource.","ref":"aws_macie2.html#list_tags_for_resource/2","title":"aws_macie2.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_macie2.html#list_tags_for_resource/4","title":"aws_macie2.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_macie2.html#list_tags_for_resource/5","title":"aws_macie2.list_tags_for_resource/5","type":"function"},{"doc":"Creates or updates the configuration settings for storing data classification results.","ref":"aws_macie2.html#put_classification_export_configuration/2","title":"aws_macie2.put_classification_export_configuration/2","type":"function"},{"doc":"","ref":"aws_macie2.html#put_classification_export_configuration/3","title":"aws_macie2.put_classification_export_configuration/3","type":"function"},{"doc":"Updates the configuration settings for publishing findings to Security Hub.","ref":"aws_macie2.html#put_findings_publication_configuration/2","title":"aws_macie2.put_findings_publication_configuration/2","type":"function"},{"doc":"","ref":"aws_macie2.html#put_findings_publication_configuration/3","title":"aws_macie2.put_findings_publication_configuration/3","type":"function"},{"doc":"Retrieves (queries) statistical data and other information about Amazon Web Services resources that Amazon Macie monitors and analyzes.","ref":"aws_macie2.html#search_resources/2","title":"aws_macie2.search_resources/2","type":"function"},{"doc":"","ref":"aws_macie2.html#search_resources/3","title":"aws_macie2.search_resources/3","type":"function"},{"doc":"Adds or updates one or more tags (keys and values) that are associated with an Amazon Macie resource.","ref":"aws_macie2.html#tag_resource/3","title":"aws_macie2.tag_resource/3","type":"function"},{"doc":"","ref":"aws_macie2.html#tag_resource/4","title":"aws_macie2.tag_resource/4","type":"function"},{"doc":"Tests a custom data identifier.","ref":"aws_macie2.html#test_custom_data_identifier/2","title":"aws_macie2.test_custom_data_identifier/2","type":"function"},{"doc":"","ref":"aws_macie2.html#test_custom_data_identifier/3","title":"aws_macie2.test_custom_data_identifier/3","type":"function"},{"doc":"Removes one or more tags (keys and values) from an Amazon Macie resource.","ref":"aws_macie2.html#untag_resource/3","title":"aws_macie2.untag_resource/3","type":"function"},{"doc":"","ref":"aws_macie2.html#untag_resource/4","title":"aws_macie2.untag_resource/4","type":"function"},{"doc":"Updates the settings for an allow list.","ref":"aws_macie2.html#update_allow_list/3","title":"aws_macie2.update_allow_list/3","type":"function"},{"doc":"","ref":"aws_macie2.html#update_allow_list/4","title":"aws_macie2.update_allow_list/4","type":"function"},{"doc":"Enables or disables automated sensitive data discovery for an account.","ref":"aws_macie2.html#update_automated_discovery_configuration/2","title":"aws_macie2.update_automated_discovery_configuration/2","type":"function"},{"doc":"","ref":"aws_macie2.html#update_automated_discovery_configuration/3","title":"aws_macie2.update_automated_discovery_configuration/3","type":"function"},{"doc":"Changes the status of a classification job.","ref":"aws_macie2.html#update_classification_job/3","title":"aws_macie2.update_classification_job/3","type":"function"},{"doc":"","ref":"aws_macie2.html#update_classification_job/4","title":"aws_macie2.update_classification_job/4","type":"function"},{"doc":"Updates the classification scope settings for an account.","ref":"aws_macie2.html#update_classification_scope/3","title":"aws_macie2.update_classification_scope/3","type":"function"},{"doc":"","ref":"aws_macie2.html#update_classification_scope/4","title":"aws_macie2.update_classification_scope/4","type":"function"},{"doc":"Updates the criteria and other settings for a findings filter.","ref":"aws_macie2.html#update_findings_filter/3","title":"aws_macie2.update_findings_filter/3","type":"function"},{"doc":"","ref":"aws_macie2.html#update_findings_filter/4","title":"aws_macie2.update_findings_filter/4","type":"function"},{"doc":"Suspends or re-enables Amazon Macie, or updates the configuration settings for a Macie account.","ref":"aws_macie2.html#update_macie_session/2","title":"aws_macie2.update_macie_session/2","type":"function"},{"doc":"","ref":"aws_macie2.html#update_macie_session/3","title":"aws_macie2.update_macie_session/3","type":"function"},{"doc":"Enables an Amazon Macie administrator to suspend or re-enable Macie for a member account.","ref":"aws_macie2.html#update_member_session/3","title":"aws_macie2.update_member_session/3","type":"function"},{"doc":"","ref":"aws_macie2.html#update_member_session/4","title":"aws_macie2.update_member_session/4","type":"function"},{"doc":"Updates the Amazon Macie configuration settings for an organization in Organizations.","ref":"aws_macie2.html#update_organization_configuration/2","title":"aws_macie2.update_organization_configuration/2","type":"function"},{"doc":"","ref":"aws_macie2.html#update_organization_configuration/3","title":"aws_macie2.update_organization_configuration/3","type":"function"},{"doc":"Updates the sensitivity score for an S3 bucket.","ref":"aws_macie2.html#update_resource_profile/2","title":"aws_macie2.update_resource_profile/2","type":"function"},{"doc":"","ref":"aws_macie2.html#update_resource_profile/3","title":"aws_macie2.update_resource_profile/3","type":"function"},{"doc":"Updates the sensitivity scoring settings for an S3 bucket.","ref":"aws_macie2.html#update_resource_profile_detections/2","title":"aws_macie2.update_resource_profile_detections/2","type":"function"},{"doc":"","ref":"aws_macie2.html#update_resource_profile_detections/3","title":"aws_macie2.update_resource_profile_detections/3","type":"function"},{"doc":"Updates the status and configuration settings for retrieving occurrences of sensitive data reported by findings.","ref":"aws_macie2.html#update_reveal_configuration/2","title":"aws_macie2.update_reveal_configuration/2","type":"function"},{"doc":"","ref":"aws_macie2.html#update_reveal_configuration/3","title":"aws_macie2.update_reveal_configuration/3","type":"function"},{"doc":"Updates the settings for the sensitivity inspection template for an account.","ref":"aws_macie2.html#update_sensitivity_inspection_template/3","title":"aws_macie2.update_sensitivity_inspection_template/3","type":"function"},{"doc":"","ref":"aws_macie2.html#update_sensitivity_inspection_template/4","title":"aws_macie2.update_sensitivity_inspection_template/4","type":"function"},{"doc":"Amazon Managed Blockchain is a fully managed service for creating and managing blockchain networks using open-source frameworks. Blockchain allows you to build applications where multiple parties can securely and transparently run transactions and share data without the need for a trusted, central authority. Managed Blockchain supports the Hyperledger Fabric and Ethereum open-source frameworks. Because of fundamental differences between the frameworks, some API actions or data types may only apply in the context of one framework and not the other. For example, actions related to Hyperledger Fabric network members such as CreateMember and DeleteMember don't apply to Ethereum. The description for each action indicates the framework or frameworks to which it applies. Data types and properties that apply only in the context of a particular framework are similarly indicated.","ref":"aws_managedblockchain.html","title":"aws_managedblockchain","type":"module"},{"doc":"The token based access feature is in preview release for Ethereum on Amazon Managed Blockchain and is subject to change. We recommend that you use this feature only with test scenarios, and not in production environments. Creates a new accessor for use with Managed Blockchain Ethereum nodes. An accessor object is a container that has the information required for token based access to your Ethereum nodes.","ref":"aws_managedblockchain.html#create_accessor/2","title":"aws_managedblockchain.create_accessor/2","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#create_accessor/3","title":"aws_managedblockchain.create_accessor/3","type":"function"},{"doc":"Creates a member within a Managed Blockchain network. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#create_member/3","title":"aws_managedblockchain.create_member/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#create_member/4","title":"aws_managedblockchain.create_member/4","type":"function"},{"doc":"Creates a new blockchain network using Amazon Managed Blockchain. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#create_network/2","title":"aws_managedblockchain.create_network/2","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#create_network/3","title":"aws_managedblockchain.create_network/3","type":"function"},{"doc":"Creates a node on the specified blockchain network. Applies to Hyperledger Fabric and Ethereum.","ref":"aws_managedblockchain.html#create_node/3","title":"aws_managedblockchain.create_node/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#create_node/4","title":"aws_managedblockchain.create_node/4","type":"function"},{"doc":"Creates a proposal for a change to the network that other members of the network can vote on, for example, a proposal to add a new member to the network. Any member can create a proposal. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#create_proposal/3","title":"aws_managedblockchain.create_proposal/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#create_proposal/4","title":"aws_managedblockchain.create_proposal/4","type":"function"},{"doc":"The token based access feature is in preview release for Ethereum on Amazon Managed Blockchain and is subject to change. We recommend that you use this feature only with test scenarios, and not in production environments. Deletes an accessor that your Amazon Web Services account owns. An accessor object is a container that has the information required for token based access to your Ethereum nodes including, the BILLING_TOKEN . After an accessor is deleted, the status of the accessor changes from AVAILABLE to PENDING_DELETION . An accessor in the PENDING_DELETION state can’t be used for new WebSocket requests or HTTP requests. However, WebSocket connections that were initiated while the accessor was in the AVAILABLE state remain open until they expire (up to 2 hours).","ref":"aws_managedblockchain.html#delete_accessor/3","title":"aws_managedblockchain.delete_accessor/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#delete_accessor/4","title":"aws_managedblockchain.delete_accessor/4","type":"function"},{"doc":"Deletes a member. Deleting a member removes the member and all associated resources from the network. DeleteMember can only be called for a specified MemberId if the principal performing the action is associated with the Amazon Web Services account that owns the member. In all other cases, the DeleteMember action is carried out as the result of an approved proposal to remove a member. If MemberId is the last member in a network specified by the last Amazon Web Services account, the network is deleted also. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#delete_member/4","title":"aws_managedblockchain.delete_member/4","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#delete_member/5","title":"aws_managedblockchain.delete_member/5","type":"function"},{"doc":"Deletes a node that your Amazon Web Services account owns. All data on the node is lost and cannot be recovered. Applies to Hyperledger Fabric and Ethereum.","ref":"aws_managedblockchain.html#delete_node/4","title":"aws_managedblockchain.delete_node/4","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#delete_node/5","title":"aws_managedblockchain.delete_node/5","type":"function"},{"doc":"The token based access feature is in preview release for Ethereum on Amazon Managed Blockchain and is subject to change. We recommend that you use this feature only with test scenarios, and not in production environments. Returns detailed information about an accessor. An accessor object is a container that has the information required for token based access to your Ethereum nodes.","ref":"aws_managedblockchain.html#get_accessor/2","title":"aws_managedblockchain.get_accessor/2","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#get_accessor/4","title":"aws_managedblockchain.get_accessor/4","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#get_accessor/5","title":"aws_managedblockchain.get_accessor/5","type":"function"},{"doc":"Returns detailed information about a member. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#get_member/3","title":"aws_managedblockchain.get_member/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#get_member/5","title":"aws_managedblockchain.get_member/5","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#get_member/6","title":"aws_managedblockchain.get_member/6","type":"function"},{"doc":"Returns detailed information about a network. Applies to Hyperledger Fabric and Ethereum.","ref":"aws_managedblockchain.html#get_network/2","title":"aws_managedblockchain.get_network/2","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#get_network/4","title":"aws_managedblockchain.get_network/4","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#get_network/5","title":"aws_managedblockchain.get_network/5","type":"function"},{"doc":"Returns detailed information about a node. Applies to Hyperledger Fabric and Ethereum.","ref":"aws_managedblockchain.html#get_node/3","title":"aws_managedblockchain.get_node/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#get_node/5","title":"aws_managedblockchain.get_node/5","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#get_node/6","title":"aws_managedblockchain.get_node/6","type":"function"},{"doc":"Returns detailed information about a proposal. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#get_proposal/3","title":"aws_managedblockchain.get_proposal/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#get_proposal/5","title":"aws_managedblockchain.get_proposal/5","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#get_proposal/6","title":"aws_managedblockchain.get_proposal/6","type":"function"},{"doc":"The token based access feature is in preview release for Ethereum on Amazon Managed Blockchain and is subject to change. We recommend that you use this feature only with test scenarios, and not in production environments. Returns a list of the accessors and their properties. Accessor objects are containers that have the information required for token based access to your Ethereum nodes.","ref":"aws_managedblockchain.html#list_accessors/1","title":"aws_managedblockchain.list_accessors/1","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_accessors/3","title":"aws_managedblockchain.list_accessors/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_accessors/4","title":"aws_managedblockchain.list_accessors/4","type":"function"},{"doc":"Returns a list of all invitations for the current Amazon Web Services account. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#list_invitations/1","title":"aws_managedblockchain.list_invitations/1","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_invitations/3","title":"aws_managedblockchain.list_invitations/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_invitations/4","title":"aws_managedblockchain.list_invitations/4","type":"function"},{"doc":"Returns a list of the members in a network and properties of their configurations. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#list_members/2","title":"aws_managedblockchain.list_members/2","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_members/4","title":"aws_managedblockchain.list_members/4","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_members/5","title":"aws_managedblockchain.list_members/5","type":"function"},{"doc":"Returns information about the networks in which the current Amazon Web Services account participates. Applies to Hyperledger Fabric and Ethereum.","ref":"aws_managedblockchain.html#list_networks/1","title":"aws_managedblockchain.list_networks/1","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_networks/3","title":"aws_managedblockchain.list_networks/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_networks/4","title":"aws_managedblockchain.list_networks/4","type":"function"},{"doc":"Returns information about the nodes within a network. Applies to Hyperledger Fabric and Ethereum.","ref":"aws_managedblockchain.html#list_nodes/2","title":"aws_managedblockchain.list_nodes/2","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_nodes/4","title":"aws_managedblockchain.list_nodes/4","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_nodes/5","title":"aws_managedblockchain.list_nodes/5","type":"function"},{"doc":"Returns the list of votes for a specified proposal, including the value of each vote and the unique identifier of the member that cast the vote. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#list_proposal_votes/3","title":"aws_managedblockchain.list_proposal_votes/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_proposal_votes/5","title":"aws_managedblockchain.list_proposal_votes/5","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_proposal_votes/6","title":"aws_managedblockchain.list_proposal_votes/6","type":"function"},{"doc":"Returns a list of proposals for the network. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#list_proposals/2","title":"aws_managedblockchain.list_proposals/2","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_proposals/4","title":"aws_managedblockchain.list_proposals/4","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_proposals/5","title":"aws_managedblockchain.list_proposals/5","type":"function"},{"doc":"Returns a list of tags for the specified resource. Each tag consists of a key and optional value. For more information about tags, see Tagging Resources in the Amazon Managed Blockchain Ethereum Developer Guide, or Tagging Resources in the Amazon Managed Blockchain Hyperledger Fabric Developer Guide.","ref":"aws_managedblockchain.html#list_tags_for_resource/2","title":"aws_managedblockchain.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_tags_for_resource/4","title":"aws_managedblockchain.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#list_tags_for_resource/5","title":"aws_managedblockchain.list_tags_for_resource/5","type":"function"},{"doc":"Rejects an invitation to join a network. This action can be called by a principal in an Amazon Web Services account that has received an invitation to create a member and join a network. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#reject_invitation/3","title":"aws_managedblockchain.reject_invitation/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#reject_invitation/4","title":"aws_managedblockchain.reject_invitation/4","type":"function"},{"doc":"Adds or overwrites the specified tags for the specified Amazon Managed Blockchain resource. Each tag consists of a key and optional value. When you specify a tag key that already exists, the tag value is overwritten with the new value. Use UntagResource to remove tag keys. A resource can have up to 50 tags. If you try to create more than 50 tags for a resource, your request fails and returns an error. For more information about tags, see Tagging Resources in the Amazon Managed Blockchain Ethereum Developer Guide, or Tagging Resources in the Amazon Managed Blockchain Hyperledger Fabric Developer Guide.","ref":"aws_managedblockchain.html#tag_resource/3","title":"aws_managedblockchain.tag_resource/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#tag_resource/4","title":"aws_managedblockchain.tag_resource/4","type":"function"},{"doc":"Removes the specified tags from the Amazon Managed Blockchain resource. For more information about tags, see Tagging Resources in the Amazon Managed Blockchain Ethereum Developer Guide, or Tagging Resources in the Amazon Managed Blockchain Hyperledger Fabric Developer Guide.","ref":"aws_managedblockchain.html#untag_resource/3","title":"aws_managedblockchain.untag_resource/3","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#untag_resource/4","title":"aws_managedblockchain.untag_resource/4","type":"function"},{"doc":"Updates a member configuration with new parameters. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#update_member/4","title":"aws_managedblockchain.update_member/4","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#update_member/5","title":"aws_managedblockchain.update_member/5","type":"function"},{"doc":"Updates a node configuration with new parameters. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#update_node/4","title":"aws_managedblockchain.update_node/4","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#update_node/5","title":"aws_managedblockchain.update_node/5","type":"function"},{"doc":"Casts a vote for a specified ProposalId on behalf of a member. The member to vote as, specified by VoterMemberId , must be in the same Amazon Web Services account as the principal that calls the action. Applies only to Hyperledger Fabric.","ref":"aws_managedblockchain.html#vote_on_proposal/4","title":"aws_managedblockchain.vote_on_proposal/4","type":"function"},{"doc":"","ref":"aws_managedblockchain.html#vote_on_proposal/5","title":"aws_managedblockchain.vote_on_proposal/5","type":"function"},{"doc":"Catalog API actions allow you to manage your entities through list, describe, and update capabilities. An entity can be a product or an offer on AWS Marketplace. You can automate your entity update process by integrating the AWS Marketplace Catalog API with your AWS Marketplace product build or deployment pipelines. You can also create your own applications on top of the Catalog API to manage your products on AWS Marketplace.","ref":"aws_marketplace_catalog.html","title":"aws_marketplace_catalog","type":"module"},{"doc":"Used to cancel an open change request. Must be sent before the status of the request changes to APPLYING , the final stage of completing your change request. You can describe a change during the 60-day request history retention period for API calls.","ref":"aws_marketplace_catalog.html#cancel_change_set/2","title":"aws_marketplace_catalog.cancel_change_set/2","type":"function"},{"doc":"","ref":"aws_marketplace_catalog.html#cancel_change_set/3","title":"aws_marketplace_catalog.cancel_change_set/3","type":"function"},{"doc":"Provides information about a given change set.","ref":"aws_marketplace_catalog.html#describe_change_set/3","title":"aws_marketplace_catalog.describe_change_set/3","type":"function"},{"doc":"","ref":"aws_marketplace_catalog.html#describe_change_set/5","title":"aws_marketplace_catalog.describe_change_set/5","type":"function"},{"doc":"","ref":"aws_marketplace_catalog.html#describe_change_set/6","title":"aws_marketplace_catalog.describe_change_set/6","type":"function"},{"doc":"Returns the metadata and content of the entity.","ref":"aws_marketplace_catalog.html#describe_entity/3","title":"aws_marketplace_catalog.describe_entity/3","type":"function"},{"doc":"","ref":"aws_marketplace_catalog.html#describe_entity/5","title":"aws_marketplace_catalog.describe_entity/5","type":"function"},{"doc":"","ref":"aws_marketplace_catalog.html#describe_entity/6","title":"aws_marketplace_catalog.describe_entity/6","type":"function"},{"doc":"Returns the list of change sets owned by the account being used to make the call. You can filter this list by providing any combination of entityId , ChangeSetName , and status. If you provide more than one filter, the API operation applies a logical AND between the filters. You can describe a change during the 60-day request history retention period for API calls.","ref":"aws_marketplace_catalog.html#list_change_sets/2","title":"aws_marketplace_catalog.list_change_sets/2","type":"function"},{"doc":"","ref":"aws_marketplace_catalog.html#list_change_sets/3","title":"aws_marketplace_catalog.list_change_sets/3","type":"function"},{"doc":"Provides the list of entities of a given type.","ref":"aws_marketplace_catalog.html#list_entities/2","title":"aws_marketplace_catalog.list_entities/2","type":"function"},{"doc":"","ref":"aws_marketplace_catalog.html#list_entities/3","title":"aws_marketplace_catalog.list_entities/3","type":"function"},{"doc":"Lists all tags that have been added to a resource (either an entity or change set).","ref":"aws_marketplace_catalog.html#list_tags_for_resource/2","title":"aws_marketplace_catalog.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_marketplace_catalog.html#list_tags_for_resource/3","title":"aws_marketplace_catalog.list_tags_for_resource/3","type":"function"},{"doc":"Allows you to request changes for your entities. Within a single ChangeSet , you can't start the same change type against the same entity multiple times. Additionally, when a ChangeSet is running, all the entities targeted by the different changes are locked until the change set has completed (either succeeded, cancelled, or failed). If you try to start a change set containing a change against an entity that is already locked, you will receive a ResourceInUseException error. For example, you can't start the ChangeSet described in the example later in this topic because it contains two changes to run the same change type ( AddRevisions ) against the same entity ( entity-id@1 ). For more information about working with change sets, see Working with change sets.","ref":"aws_marketplace_catalog.html#start_change_set/2","title":"aws_marketplace_catalog.start_change_set/2","type":"function"},{"doc":"","ref":"aws_marketplace_catalog.html#start_change_set/3","title":"aws_marketplace_catalog.start_change_set/3","type":"function"},{"doc":"Tags a resource (either an entity or change set).","ref":"aws_marketplace_catalog.html#tag_resource/2","title":"aws_marketplace_catalog.tag_resource/2","type":"function"},{"doc":"","ref":"aws_marketplace_catalog.html#tag_resource/3","title":"aws_marketplace_catalog.tag_resource/3","type":"function"},{"doc":"Removes a tag or list of tags from a resource (either an entity or change set).","ref":"aws_marketplace_catalog.html#untag_resource/2","title":"aws_marketplace_catalog.untag_resource/2","type":"function"},{"doc":"","ref":"aws_marketplace_catalog.html#untag_resource/3","title":"aws_marketplace_catalog.untag_resource/3","type":"function"},{"doc":"Provides AWS Marketplace business intelligence data on-demand.","ref":"aws_marketplace_commerce_analytics.html","title":"aws_marketplace_commerce_analytics","type":"module"},{"doc":"Given a data set type and data set publication date, asynchronously publishes the requested data set to the specified S3 bucket and notifies the specified SNS topic once the data is available. Returns a unique request identifier that can be used to correlate requests with notifications from the SNS topic. Data sets will be published in comma-separated values (CSV) format with the file name {data_set_type}_YYYY-MM-DD.csv. If a file with the same name already exists (e.g. if the same data set is requested twice), the original file will be overwritten by the new file. Requires a Role with an attached permissions policy providing Allow permissions for the following actions: s3:PutObject, s3:GetBucketLocation, sns:GetTopicAttributes, sns:Publish, iam:GetRolePolicy.","ref":"aws_marketplace_commerce_analytics.html#generate_data_set/2","title":"aws_marketplace_commerce_analytics.generate_data_set/2","type":"function"},{"doc":"","ref":"aws_marketplace_commerce_analytics.html#generate_data_set/3","title":"aws_marketplace_commerce_analytics.generate_data_set/3","type":"function"},{"doc":"Given a data set type and a from date, asynchronously publishes the requested customer support data to the specified S3 bucket and notifies the specified SNS topic once the data is available. Returns a unique request identifier that can be used to correlate requests with notifications from the SNS topic. Data sets will be published in comma-separated values (CSV) format with the file name {data_set_type}_YYYY-MM-DD'T'HH-mm-ss'Z'.csv. If a file with the same name already exists (e.g. if the same data set is requested twice), the original file will be overwritten by the new file. Requires a Role with an attached permissions policy providing Allow permissions for the following actions: s3:PutObject, s3:GetBucketLocation, sns:GetTopicAttributes, sns:Publish, iam:GetRolePolicy.","ref":"aws_marketplace_commerce_analytics.html#start_support_data_export/2","title":"aws_marketplace_commerce_analytics.start_support_data_export/2","type":"function"},{"doc":"","ref":"aws_marketplace_commerce_analytics.html#start_support_data_export/3","title":"aws_marketplace_commerce_analytics.start_support_data_export/3","type":"function"},{"doc":"AWS Marketplace Entitlement Service This reference provides descriptions of the AWS Marketplace Entitlement Service API. AWS Marketplace Entitlement Service is used to determine the entitlement of a customer to a given product. An entitlement represents capacity in a product owned by the customer. For example, a customer might own some number of users or seats in an SaaS application or some amount of data capacity in a multi-tenant database. Getting Entitlement Records GetEntitlements- Gets the entitlements for a Marketplace product.","ref":"aws_marketplace_entitlement.html","title":"aws_marketplace_entitlement","type":"module"},{"doc":"GetEntitlements retrieves entitlement values for a given product. The results can be filtered based on customer identifier or product dimensions.","ref":"aws_marketplace_entitlement.html#get_entitlements/2","title":"aws_marketplace_entitlement.get_entitlements/2","type":"function"},{"doc":"","ref":"aws_marketplace_entitlement.html#get_entitlements/3","title":"aws_marketplace_entitlement.get_entitlements/3","type":"function"},{"doc":"AWS Marketplace Metering Service This reference provides descriptions of the low-level AWS Marketplace Metering Service API. AWS Marketplace sellers can use this API to submit usage data for custom usage dimensions. For information on the permissions you need to use this API, see AWS Marketplace metering and entitlement API permissions in the AWS Marketplace Seller Guide. Submitting Metering Records MeterUsage - Submits the metering record for an AWS Marketplace product. MeterUsage is called from an EC2 instance or a container running on EKS or ECS. BatchMeterUsage - Submits the metering record for a set of customers. BatchMeterUsage is called from a software-as-a-service (SaaS) application. Accepting New Customers ResolveCustomer - Called by a SaaS application during the registration process. When a buyer visits your website during the registration process, the buyer submits a Registration Token through the browser. The Registration Token is resolved through this API to obtain a CustomerIdentifier along with the CustomerAWSAccountId and ProductCode . Entitlement and Metering for Paid Container Products Paid container software products sold through AWS Marketplace must integrate with the AWS Marketplace Metering Service and call the RegisterUsage operation for software entitlement and metering. Free and BYOL products for Amazon ECS or Amazon EKS aren't required to call RegisterUsage , but you can do so if you want to receive usage data in your seller reports. For more information on using the RegisterUsage operation, see Container-Based Products. BatchMeterUsage API calls are captured by AWS CloudTrail. You can use Cloudtrail to verify that the SaaS metering records that you sent are accurate by searching for records with the eventName of BatchMeterUsage . You can also use CloudTrail to audit records over time. For more information, see the AWS CloudTrail User Guide.","ref":"aws_marketplace_metering.html","title":"aws_marketplace_metering","type":"module"},{"doc":"BatchMeterUsage is called from a SaaS application listed on AWS Marketplace to post metering records for a set of customers. For identical requests, the API is idempotent; requests can be retried with the same records or a subset of the input records. Every request to BatchMeterUsage is for one product. If you need to meter usage for multiple products, you must make multiple calls to BatchMeterUsage . Usage records are expected to be submitted as quickly as possible after the event that is being recorded, and are not accepted more than 6 hours after the event. BatchMeterUsage can process up to 25 UsageRecords at a time. A UsageRecord can optionally include multiple usage allocations, to provide customers with usage data split into buckets by tags that you define (or allow the customer to define). BatchMeterUsage returns a list of UsageRecordResult objects, showing the result for each UsageRecord , as well as a list of UnprocessedRecords , indicating errors in the service side that you should retry. BatchMeterUsage requests must be less than 1MB in size. For an example of using BatchMeterUsage , see BatchMeterUsage code example in the AWS Marketplace Seller Guide.","ref":"aws_marketplace_metering.html#batch_meter_usage/2","title":"aws_marketplace_metering.batch_meter_usage/2","type":"function"},{"doc":"","ref":"aws_marketplace_metering.html#batch_meter_usage/3","title":"aws_marketplace_metering.batch_meter_usage/3","type":"function"},{"doc":"API to emit metering records. For identical requests, the API is idempotent. It simply returns the metering record ID. MeterUsage is authenticated on the buyer's AWS account using credentials from the EC2 instance, ECS task, or EKS pod. MeterUsage can optionally include multiple usage allocations, to provide customers with usage data split into buckets by tags that you define (or allow the customer to define). Usage records are expected to be submitted as quickly as possible after the event that is being recorded, and are not accepted more than 6 hours after the event.","ref":"aws_marketplace_metering.html#meter_usage/2","title":"aws_marketplace_metering.meter_usage/2","type":"function"},{"doc":"","ref":"aws_marketplace_metering.html#meter_usage/3","title":"aws_marketplace_metering.meter_usage/3","type":"function"},{"doc":"Paid container software products sold through AWS Marketplace must integrate with the AWS Marketplace Metering Service and call the RegisterUsage operation for software entitlement and metering. Free and BYOL products for Amazon ECS or Amazon EKS aren't required to call RegisterUsage , but you may choose to do so if you would like to receive usage data in your seller reports. The sections below explain the behavior of RegisterUsage . RegisterUsage performs two primary functions: metering and entitlement. Entitlement: RegisterUsage allows you to verify that the customer running your paid software is subscribed to your product on AWS Marketplace, enabling you to guard against unauthorized use. Your container image that integrates with RegisterUsage is only required to guard against unauthorized use at container startup, as such a CustomerNotSubscribedException or PlatformNotSupportedException will only be thrown on the initial call to RegisterUsage . Subsequent calls from the same Amazon ECS task instance (e.g. task-id) or Amazon EKS pod will not throw a CustomerNotSubscribedException , even if the customer unsubscribes while the Amazon ECS task or Amazon EKS pod is still running. Metering: RegisterUsage meters software use per ECS task, per hour, or per pod for Amazon EKS with usage prorated to the second. A minimum of 1 minute of usage applies to tasks that are short lived. For example, if a customer has a 10 node Amazon ECS or Amazon EKS cluster and a service configured as a Daemon Set, then Amazon ECS or Amazon EKS will launch a task on all 10 cluster nodes and the customer will be charged: (10 * hourly_rate). Metering for software use is automatically handled by the AWS Marketplace Metering Control Plane -- your software is not required to perform any metering specific actions, other than call RegisterUsage once for metering of software use to commence. The AWS Marketplace Metering Control Plane will also continue to bill customers for running ECS tasks and Amazon EKS pods, regardless of the customers subscription state, removing the need for your software to perform entitlement checks at runtime.","ref":"aws_marketplace_metering.html#register_usage/2","title":"aws_marketplace_metering.register_usage/2","type":"function"},{"doc":"","ref":"aws_marketplace_metering.html#register_usage/3","title":"aws_marketplace_metering.register_usage/3","type":"function"},{"doc":"ResolveCustomer is called by a SaaS application during the registration process. When a buyer visits your website during the registration process, the buyer submits a registration token through their browser. The registration token is resolved through this API to obtain a CustomerIdentifier along with the CustomerAWSAccountId and ProductCode . The API needs to called from the seller account id used to publish the SaaS application to successfully resolve the token. For an example of using ResolveCustomer , see ResolveCustomer code example in the AWS Marketplace Seller Guide.","ref":"aws_marketplace_metering.html#resolve_customer/2","title":"aws_marketplace_metering.resolve_customer/2","type":"function"},{"doc":"","ref":"aws_marketplace_metering.html#resolve_customer/3","title":"aws_marketplace_metering.resolve_customer/3","type":"function"},{"doc":"API for AWS Elemental MediaConnect","ref":"aws_mediaconnect.html","title":"aws_mediaconnect","type":"module"},{"doc":"Adds media streams to an existing flow. After you add a media stream to a flow, you can associate it with a source and/or an output that uses the ST 2110 JPEG XS or CDI protocol.","ref":"aws_mediaconnect.html#add_flow_media_streams/3","title":"aws_mediaconnect.add_flow_media_streams/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#add_flow_media_streams/4","title":"aws_mediaconnect.add_flow_media_streams/4","type":"function"},{"doc":"Adds outputs to an existing flow. You can create up to 50 outputs per flow.","ref":"aws_mediaconnect.html#add_flow_outputs/3","title":"aws_mediaconnect.add_flow_outputs/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#add_flow_outputs/4","title":"aws_mediaconnect.add_flow_outputs/4","type":"function"},{"doc":"Adds Sources to flow","ref":"aws_mediaconnect.html#add_flow_sources/3","title":"aws_mediaconnect.add_flow_sources/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#add_flow_sources/4","title":"aws_mediaconnect.add_flow_sources/4","type":"function"},{"doc":"Adds VPC interfaces to flow","ref":"aws_mediaconnect.html#add_flow_vpc_interfaces/3","title":"aws_mediaconnect.add_flow_vpc_interfaces/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#add_flow_vpc_interfaces/4","title":"aws_mediaconnect.add_flow_vpc_interfaces/4","type":"function"},{"doc":"Creates a new flow. The request must include one source. The request optionally can include outputs (up to 50) and entitlements (up to 50).","ref":"aws_mediaconnect.html#create_flow/2","title":"aws_mediaconnect.create_flow/2","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#create_flow/3","title":"aws_mediaconnect.create_flow/3","type":"function"},{"doc":"Deletes a flow. Before you can delete a flow, you must stop the flow.","ref":"aws_mediaconnect.html#delete_flow/3","title":"aws_mediaconnect.delete_flow/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#delete_flow/4","title":"aws_mediaconnect.delete_flow/4","type":"function"},{"doc":"Displays the details of a flow. The response includes the flow ARN, name, and Availability Zone, as well as details about the source, outputs, and entitlements.","ref":"aws_mediaconnect.html#describe_flow/2","title":"aws_mediaconnect.describe_flow/2","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#describe_flow/4","title":"aws_mediaconnect.describe_flow/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#describe_flow/5","title":"aws_mediaconnect.describe_flow/5","type":"function"},{"doc":"Displays the details of an offering. The response includes the offering description, duration, outbound bandwidth, price, and Amazon Resource Name (ARN).","ref":"aws_mediaconnect.html#describe_offering/2","title":"aws_mediaconnect.describe_offering/2","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#describe_offering/4","title":"aws_mediaconnect.describe_offering/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#describe_offering/5","title":"aws_mediaconnect.describe_offering/5","type":"function"},{"doc":"Displays the details of a reservation. The response includes the reservation name, state, start date and time, and the details of the offering that make up the rest of the reservation (such as price, duration, and outbound bandwidth).","ref":"aws_mediaconnect.html#describe_reservation/2","title":"aws_mediaconnect.describe_reservation/2","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#describe_reservation/4","title":"aws_mediaconnect.describe_reservation/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#describe_reservation/5","title":"aws_mediaconnect.describe_reservation/5","type":"function"},{"doc":"Grants entitlements to an existing flow.","ref":"aws_mediaconnect.html#grant_flow_entitlements/3","title":"aws_mediaconnect.grant_flow_entitlements/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#grant_flow_entitlements/4","title":"aws_mediaconnect.grant_flow_entitlements/4","type":"function"},{"doc":"Displays a list of all entitlements that have been granted to this account. This request returns 20 results per page.","ref":"aws_mediaconnect.html#list_entitlements/1","title":"aws_mediaconnect.list_entitlements/1","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#list_entitlements/3","title":"aws_mediaconnect.list_entitlements/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#list_entitlements/4","title":"aws_mediaconnect.list_entitlements/4","type":"function"},{"doc":"Displays a list of flows that are associated with this account. This request returns a paginated result.","ref":"aws_mediaconnect.html#list_flows/1","title":"aws_mediaconnect.list_flows/1","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#list_flows/3","title":"aws_mediaconnect.list_flows/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#list_flows/4","title":"aws_mediaconnect.list_flows/4","type":"function"},{"doc":"Displays a list of all offerings that are available to this account in the current AWS Region. If you have an active reservation (which means you've purchased an offering that has already started and hasn't expired yet), your account isn't eligible for other offerings.","ref":"aws_mediaconnect.html#list_offerings/1","title":"aws_mediaconnect.list_offerings/1","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#list_offerings/3","title":"aws_mediaconnect.list_offerings/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#list_offerings/4","title":"aws_mediaconnect.list_offerings/4","type":"function"},{"doc":"Displays a list of all reservations that have been purchased by this account in the current AWS Region. This list includes all reservations in all states (such as active and expired).","ref":"aws_mediaconnect.html#list_reservations/1","title":"aws_mediaconnect.list_reservations/1","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#list_reservations/3","title":"aws_mediaconnect.list_reservations/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#list_reservations/4","title":"aws_mediaconnect.list_reservations/4","type":"function"},{"doc":"List all tags on an AWS Elemental MediaConnect resource","ref":"aws_mediaconnect.html#list_tags_for_resource/2","title":"aws_mediaconnect.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#list_tags_for_resource/4","title":"aws_mediaconnect.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#list_tags_for_resource/5","title":"aws_mediaconnect.list_tags_for_resource/5","type":"function"},{"doc":"Submits a request to purchase an offering. If you already have an active reservation, you can't purchase another offering.","ref":"aws_mediaconnect.html#purchase_offering/3","title":"aws_mediaconnect.purchase_offering/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#purchase_offering/4","title":"aws_mediaconnect.purchase_offering/4","type":"function"},{"doc":"Removes a media stream from a flow. This action is only available if the media stream is not associated with a source or output.","ref":"aws_mediaconnect.html#remove_flow_media_stream/4","title":"aws_mediaconnect.remove_flow_media_stream/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#remove_flow_media_stream/5","title":"aws_mediaconnect.remove_flow_media_stream/5","type":"function"},{"doc":"Removes an output from an existing flow. This request can be made only on an output that does not have an entitlement associated with it. If the output has an entitlement, you must revoke the entitlement instead. When an entitlement is revoked from a flow, the service automatically removes the associated output.","ref":"aws_mediaconnect.html#remove_flow_output/4","title":"aws_mediaconnect.remove_flow_output/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#remove_flow_output/5","title":"aws_mediaconnect.remove_flow_output/5","type":"function"},{"doc":"Removes a source from an existing flow. This request can be made only if there is more than one source on the flow.","ref":"aws_mediaconnect.html#remove_flow_source/4","title":"aws_mediaconnect.remove_flow_source/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#remove_flow_source/5","title":"aws_mediaconnect.remove_flow_source/5","type":"function"},{"doc":"Removes a VPC Interface from an existing flow. This request can be made only on a VPC interface that does not have a Source or Output associated with it. If the VPC interface is referenced by a Source or Output, you must first delete or update the Source or Output to no longer reference the VPC interface.","ref":"aws_mediaconnect.html#remove_flow_vpc_interface/4","title":"aws_mediaconnect.remove_flow_vpc_interface/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#remove_flow_vpc_interface/5","title":"aws_mediaconnect.remove_flow_vpc_interface/5","type":"function"},{"doc":"Revokes an entitlement from a flow. Once an entitlement is revoked, the content becomes unavailable to the subscriber and the associated output is removed.","ref":"aws_mediaconnect.html#revoke_flow_entitlement/4","title":"aws_mediaconnect.revoke_flow_entitlement/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#revoke_flow_entitlement/5","title":"aws_mediaconnect.revoke_flow_entitlement/5","type":"function"},{"doc":"Starts a flow.","ref":"aws_mediaconnect.html#start_flow/3","title":"aws_mediaconnect.start_flow/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#start_flow/4","title":"aws_mediaconnect.start_flow/4","type":"function"},{"doc":"Stops a flow.","ref":"aws_mediaconnect.html#stop_flow/3","title":"aws_mediaconnect.stop_flow/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#stop_flow/4","title":"aws_mediaconnect.stop_flow/4","type":"function"},{"doc":"Associates the specified tags to a resource with the specified resourceArn. If existing tags on a resource are not specified in the request parameters, they are not changed. When a resource is deleted, the tags associated with that resource are deleted as well.","ref":"aws_mediaconnect.html#tag_resource/3","title":"aws_mediaconnect.tag_resource/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#tag_resource/4","title":"aws_mediaconnect.tag_resource/4","type":"function"},{"doc":"Deletes specified tags from a resource.","ref":"aws_mediaconnect.html#untag_resource/3","title":"aws_mediaconnect.untag_resource/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#untag_resource/4","title":"aws_mediaconnect.untag_resource/4","type":"function"},{"doc":"Updates flow","ref":"aws_mediaconnect.html#update_flow/3","title":"aws_mediaconnect.update_flow/3","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#update_flow/4","title":"aws_mediaconnect.update_flow/4","type":"function"},{"doc":"You can change an entitlement's description, subscribers, and encryption. If you change the subscribers, the service will remove the outputs that are are used by the subscribers that are removed.","ref":"aws_mediaconnect.html#update_flow_entitlement/4","title":"aws_mediaconnect.update_flow_entitlement/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#update_flow_entitlement/5","title":"aws_mediaconnect.update_flow_entitlement/5","type":"function"},{"doc":"Updates an existing media stream.","ref":"aws_mediaconnect.html#update_flow_media_stream/4","title":"aws_mediaconnect.update_flow_media_stream/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#update_flow_media_stream/5","title":"aws_mediaconnect.update_flow_media_stream/5","type":"function"},{"doc":"Updates an existing flow output.","ref":"aws_mediaconnect.html#update_flow_output/4","title":"aws_mediaconnect.update_flow_output/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#update_flow_output/5","title":"aws_mediaconnect.update_flow_output/5","type":"function"},{"doc":"Updates the source of a flow.","ref":"aws_mediaconnect.html#update_flow_source/4","title":"aws_mediaconnect.update_flow_source/4","type":"function"},{"doc":"","ref":"aws_mediaconnect.html#update_flow_source/5","title":"aws_mediaconnect.update_flow_source/5","type":"function"},{"doc":"AWS Elemental MediaConvert","ref":"aws_mediaconvert.html","title":"aws_mediaconvert","type":"module"},{"doc":"Associates an AWS Certificate Manager (ACM) Amazon Resource Name (ARN) with AWS Elemental MediaConvert.","ref":"aws_mediaconvert.html#associate_certificate/2","title":"aws_mediaconvert.associate_certificate/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#associate_certificate/3","title":"aws_mediaconvert.associate_certificate/3","type":"function"},{"doc":"Permanently cancel a job. Once you have canceled a job, you can't start it again.","ref":"aws_mediaconvert.html#cancel_job/3","title":"aws_mediaconvert.cancel_job/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#cancel_job/4","title":"aws_mediaconvert.cancel_job/4","type":"function"},{"doc":"Create a new transcoding job. For information about jobs and job settings, see the User Guide at http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html","ref":"aws_mediaconvert.html#create_job/2","title":"aws_mediaconvert.create_job/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#create_job/3","title":"aws_mediaconvert.create_job/3","type":"function"},{"doc":"Create a new job template. For information about job templates see the User Guide at http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html","ref":"aws_mediaconvert.html#create_job_template/2","title":"aws_mediaconvert.create_job_template/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#create_job_template/3","title":"aws_mediaconvert.create_job_template/3","type":"function"},{"doc":"Create a new preset. For information about job templates see the User Guide at http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html","ref":"aws_mediaconvert.html#create_preset/2","title":"aws_mediaconvert.create_preset/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#create_preset/3","title":"aws_mediaconvert.create_preset/3","type":"function"},{"doc":"Create a new transcoding queue. For information about queues, see Working With Queues in the User Guide at https://docs.aws.amazon.com/mediaconvert/latest/ug/working-with-queues.html","ref":"aws_mediaconvert.html#create_queue/2","title":"aws_mediaconvert.create_queue/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#create_queue/3","title":"aws_mediaconvert.create_queue/3","type":"function"},{"doc":"Permanently delete a job template you have created.","ref":"aws_mediaconvert.html#delete_job_template/3","title":"aws_mediaconvert.delete_job_template/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#delete_job_template/4","title":"aws_mediaconvert.delete_job_template/4","type":"function"},{"doc":"Permanently delete a policy that you created.","ref":"aws_mediaconvert.html#delete_policy/2","title":"aws_mediaconvert.delete_policy/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#delete_policy/3","title":"aws_mediaconvert.delete_policy/3","type":"function"},{"doc":"Permanently delete a preset you have created.","ref":"aws_mediaconvert.html#delete_preset/3","title":"aws_mediaconvert.delete_preset/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#delete_preset/4","title":"aws_mediaconvert.delete_preset/4","type":"function"},{"doc":"Permanently delete a queue you have created.","ref":"aws_mediaconvert.html#delete_queue/3","title":"aws_mediaconvert.delete_queue/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#delete_queue/4","title":"aws_mediaconvert.delete_queue/4","type":"function"},{"doc":"Send an request with an empty body to the regional API endpoint to get your account API endpoint.","ref":"aws_mediaconvert.html#describe_endpoints/2","title":"aws_mediaconvert.describe_endpoints/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#describe_endpoints/3","title":"aws_mediaconvert.describe_endpoints/3","type":"function"},{"doc":"Removes an association between the Amazon Resource Name (ARN) of an AWS Certificate Manager (ACM) certificate and an AWS Elemental MediaConvert resource.","ref":"aws_mediaconvert.html#disassociate_certificate/3","title":"aws_mediaconvert.disassociate_certificate/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#disassociate_certificate/4","title":"aws_mediaconvert.disassociate_certificate/4","type":"function"},{"doc":"Retrieve the JSON for a specific completed transcoding job.","ref":"aws_mediaconvert.html#get_job/2","title":"aws_mediaconvert.get_job/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#get_job/4","title":"aws_mediaconvert.get_job/4","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#get_job/5","title":"aws_mediaconvert.get_job/5","type":"function"},{"doc":"Retrieve the JSON for a specific job template.","ref":"aws_mediaconvert.html#get_job_template/2","title":"aws_mediaconvert.get_job_template/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#get_job_template/4","title":"aws_mediaconvert.get_job_template/4","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#get_job_template/5","title":"aws_mediaconvert.get_job_template/5","type":"function"},{"doc":"Retrieve the JSON for your policy.","ref":"aws_mediaconvert.html#get_policy/1","title":"aws_mediaconvert.get_policy/1","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#get_policy/3","title":"aws_mediaconvert.get_policy/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#get_policy/4","title":"aws_mediaconvert.get_policy/4","type":"function"},{"doc":"Retrieve the JSON for a specific preset.","ref":"aws_mediaconvert.html#get_preset/2","title":"aws_mediaconvert.get_preset/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#get_preset/4","title":"aws_mediaconvert.get_preset/4","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#get_preset/5","title":"aws_mediaconvert.get_preset/5","type":"function"},{"doc":"Retrieve the JSON for a specific queue.","ref":"aws_mediaconvert.html#get_queue/2","title":"aws_mediaconvert.get_queue/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#get_queue/4","title":"aws_mediaconvert.get_queue/4","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#get_queue/5","title":"aws_mediaconvert.get_queue/5","type":"function"},{"doc":"Retrieve a JSON array of up to twenty of your job templates. This will return the templates themselves, not just a list of them. To retrieve the next twenty templates, use the nextToken string returned with the array","ref":"aws_mediaconvert.html#list_job_templates/1","title":"aws_mediaconvert.list_job_templates/1","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#list_job_templates/3","title":"aws_mediaconvert.list_job_templates/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#list_job_templates/4","title":"aws_mediaconvert.list_job_templates/4","type":"function"},{"doc":"Retrieve a JSON array of up to twenty of your most recently created jobs. This array includes in-process, completed, and errored jobs. This will return the jobs themselves, not just a list of the jobs. To retrieve the twenty next most recent jobs, use the nextToken string returned with the array.","ref":"aws_mediaconvert.html#list_jobs/1","title":"aws_mediaconvert.list_jobs/1","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#list_jobs/3","title":"aws_mediaconvert.list_jobs/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#list_jobs/4","title":"aws_mediaconvert.list_jobs/4","type":"function"},{"doc":"Retrieve a JSON array of up to twenty of your presets. This will return the presets themselves, not just a list of them. To retrieve the next twenty presets, use the nextToken string returned with the array.","ref":"aws_mediaconvert.html#list_presets/1","title":"aws_mediaconvert.list_presets/1","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#list_presets/3","title":"aws_mediaconvert.list_presets/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#list_presets/4","title":"aws_mediaconvert.list_presets/4","type":"function"},{"doc":"Retrieve a JSON array of up to twenty of your queues. This will return the queues themselves, not just a list of them. To retrieve the next twenty queues, use the nextToken string returned with the array.","ref":"aws_mediaconvert.html#list_queues/1","title":"aws_mediaconvert.list_queues/1","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#list_queues/3","title":"aws_mediaconvert.list_queues/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#list_queues/4","title":"aws_mediaconvert.list_queues/4","type":"function"},{"doc":"Retrieve the tags for a MediaConvert resource.","ref":"aws_mediaconvert.html#list_tags_for_resource/2","title":"aws_mediaconvert.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#list_tags_for_resource/4","title":"aws_mediaconvert.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#list_tags_for_resource/5","title":"aws_mediaconvert.list_tags_for_resource/5","type":"function"},{"doc":"Create or change your policy. For more information about policies, see the user guide at http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html","ref":"aws_mediaconvert.html#put_policy/2","title":"aws_mediaconvert.put_policy/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#put_policy/3","title":"aws_mediaconvert.put_policy/3","type":"function"},{"doc":"Add tags to a MediaConvert queue, preset, or job template. For information about tagging, see the User Guide at https://docs.aws.amazon.com/mediaconvert/latest/ug/tagging-resources.html","ref":"aws_mediaconvert.html#tag_resource/2","title":"aws_mediaconvert.tag_resource/2","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#tag_resource/3","title":"aws_mediaconvert.tag_resource/3","type":"function"},{"doc":"Remove tags from a MediaConvert queue, preset, or job template. For information about tagging, see the User Guide at https://docs.aws.amazon.com/mediaconvert/latest/ug/tagging-resources.html","ref":"aws_mediaconvert.html#untag_resource/3","title":"aws_mediaconvert.untag_resource/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#untag_resource/4","title":"aws_mediaconvert.untag_resource/4","type":"function"},{"doc":"Modify one of your existing job templates.","ref":"aws_mediaconvert.html#update_job_template/3","title":"aws_mediaconvert.update_job_template/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#update_job_template/4","title":"aws_mediaconvert.update_job_template/4","type":"function"},{"doc":"Modify one of your existing presets.","ref":"aws_mediaconvert.html#update_preset/3","title":"aws_mediaconvert.update_preset/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#update_preset/4","title":"aws_mediaconvert.update_preset/4","type":"function"},{"doc":"Modify one of your existing queues.","ref":"aws_mediaconvert.html#update_queue/3","title":"aws_mediaconvert.update_queue/3","type":"function"},{"doc":"","ref":"aws_mediaconvert.html#update_queue/4","title":"aws_mediaconvert.update_queue/4","type":"function"},{"doc":"API for AWS Elemental MediaLive","ref":"aws_medialive.html","title":"aws_medialive","type":"module"},{"doc":"Accept an incoming input device transfer. The ownership of the device will transfer to your AWS account.","ref":"aws_medialive.html#accept_input_device_transfer/3","title":"aws_medialive.accept_input_device_transfer/3","type":"function"},{"doc":"","ref":"aws_medialive.html#accept_input_device_transfer/4","title":"aws_medialive.accept_input_device_transfer/4","type":"function"},{"doc":"Starts delete of resources.","ref":"aws_medialive.html#batch_delete/2","title":"aws_medialive.batch_delete/2","type":"function"},{"doc":"","ref":"aws_medialive.html#batch_delete/3","title":"aws_medialive.batch_delete/3","type":"function"},{"doc":"Starts existing resources","ref":"aws_medialive.html#batch_start/2","title":"aws_medialive.batch_start/2","type":"function"},{"doc":"","ref":"aws_medialive.html#batch_start/3","title":"aws_medialive.batch_start/3","type":"function"},{"doc":"Stops running resources","ref":"aws_medialive.html#batch_stop/2","title":"aws_medialive.batch_stop/2","type":"function"},{"doc":"","ref":"aws_medialive.html#batch_stop/3","title":"aws_medialive.batch_stop/3","type":"function"},{"doc":"Update a channel schedule","ref":"aws_medialive.html#batch_update_schedule/3","title":"aws_medialive.batch_update_schedule/3","type":"function"},{"doc":"","ref":"aws_medialive.html#batch_update_schedule/4","title":"aws_medialive.batch_update_schedule/4","type":"function"},{"doc":"Cancel an input device transfer that you have requested.","ref":"aws_medialive.html#cancel_input_device_transfer/3","title":"aws_medialive.cancel_input_device_transfer/3","type":"function"},{"doc":"","ref":"aws_medialive.html#cancel_input_device_transfer/4","title":"aws_medialive.cancel_input_device_transfer/4","type":"function"},{"doc":"Send a request to claim an AWS Elemental device that you have purchased from a third-party vendor. After the request succeeds, you will own the device.","ref":"aws_medialive.html#claim_device/2","title":"aws_medialive.claim_device/2","type":"function"},{"doc":"","ref":"aws_medialive.html#claim_device/3","title":"aws_medialive.claim_device/3","type":"function"},{"doc":"Creates a new channel","ref":"aws_medialive.html#create_channel/2","title":"aws_medialive.create_channel/2","type":"function"},{"doc":"","ref":"aws_medialive.html#create_channel/3","title":"aws_medialive.create_channel/3","type":"function"},{"doc":"Create an input","ref":"aws_medialive.html#create_input/2","title":"aws_medialive.create_input/2","type":"function"},{"doc":"","ref":"aws_medialive.html#create_input/3","title":"aws_medialive.create_input/3","type":"function"},{"doc":"Creates a Input Security Group","ref":"aws_medialive.html#create_input_security_group/2","title":"aws_medialive.create_input_security_group/2","type":"function"},{"doc":"","ref":"aws_medialive.html#create_input_security_group/3","title":"aws_medialive.create_input_security_group/3","type":"function"},{"doc":"Create a new multiplex.","ref":"aws_medialive.html#create_multiplex/2","title":"aws_medialive.create_multiplex/2","type":"function"},{"doc":"","ref":"aws_medialive.html#create_multiplex/3","title":"aws_medialive.create_multiplex/3","type":"function"},{"doc":"Create a new program in the multiplex.","ref":"aws_medialive.html#create_multiplex_program/3","title":"aws_medialive.create_multiplex_program/3","type":"function"},{"doc":"","ref":"aws_medialive.html#create_multiplex_program/4","title":"aws_medialive.create_multiplex_program/4","type":"function"},{"doc":"Create a partner input","ref":"aws_medialive.html#create_partner_input/3","title":"aws_medialive.create_partner_input/3","type":"function"},{"doc":"","ref":"aws_medialive.html#create_partner_input/4","title":"aws_medialive.create_partner_input/4","type":"function"},{"doc":"Create tags for a resource","ref":"aws_medialive.html#create_tags/3","title":"aws_medialive.create_tags/3","type":"function"},{"doc":"","ref":"aws_medialive.html#create_tags/4","title":"aws_medialive.create_tags/4","type":"function"},{"doc":"Starts deletion of channel. The associated outputs are also deleted.","ref":"aws_medialive.html#delete_channel/3","title":"aws_medialive.delete_channel/3","type":"function"},{"doc":"","ref":"aws_medialive.html#delete_channel/4","title":"aws_medialive.delete_channel/4","type":"function"},{"doc":"Deletes the input end point","ref":"aws_medialive.html#delete_input/3","title":"aws_medialive.delete_input/3","type":"function"},{"doc":"","ref":"aws_medialive.html#delete_input/4","title":"aws_medialive.delete_input/4","type":"function"},{"doc":"Deletes an Input Security Group","ref":"aws_medialive.html#delete_input_security_group/3","title":"aws_medialive.delete_input_security_group/3","type":"function"},{"doc":"","ref":"aws_medialive.html#delete_input_security_group/4","title":"aws_medialive.delete_input_security_group/4","type":"function"},{"doc":"Delete a multiplex. The multiplex must be idle.","ref":"aws_medialive.html#delete_multiplex/3","title":"aws_medialive.delete_multiplex/3","type":"function"},{"doc":"","ref":"aws_medialive.html#delete_multiplex/4","title":"aws_medialive.delete_multiplex/4","type":"function"},{"doc":"Delete a program from a multiplex.","ref":"aws_medialive.html#delete_multiplex_program/4","title":"aws_medialive.delete_multiplex_program/4","type":"function"},{"doc":"","ref":"aws_medialive.html#delete_multiplex_program/5","title":"aws_medialive.delete_multiplex_program/5","type":"function"},{"doc":"Delete an expired reservation.","ref":"aws_medialive.html#delete_reservation/3","title":"aws_medialive.delete_reservation/3","type":"function"},{"doc":"","ref":"aws_medialive.html#delete_reservation/4","title":"aws_medialive.delete_reservation/4","type":"function"},{"doc":"Delete all schedule actions on a channel.","ref":"aws_medialive.html#delete_schedule/3","title":"aws_medialive.delete_schedule/3","type":"function"},{"doc":"","ref":"aws_medialive.html#delete_schedule/4","title":"aws_medialive.delete_schedule/4","type":"function"},{"doc":"Removes tags for a resource","ref":"aws_medialive.html#delete_tags/3","title":"aws_medialive.delete_tags/3","type":"function"},{"doc":"","ref":"aws_medialive.html#delete_tags/4","title":"aws_medialive.delete_tags/4","type":"function"},{"doc":"Gets details about a channel","ref":"aws_medialive.html#describe_channel/2","title":"aws_medialive.describe_channel/2","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_channel/4","title":"aws_medialive.describe_channel/4","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_channel/5","title":"aws_medialive.describe_channel/5","type":"function"},{"doc":"Produces details about an input","ref":"aws_medialive.html#describe_input/2","title":"aws_medialive.describe_input/2","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_input/4","title":"aws_medialive.describe_input/4","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_input/5","title":"aws_medialive.describe_input/5","type":"function"},{"doc":"Gets the details for the input device","ref":"aws_medialive.html#describe_input_device/2","title":"aws_medialive.describe_input_device/2","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_input_device/4","title":"aws_medialive.describe_input_device/4","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_input_device/5","title":"aws_medialive.describe_input_device/5","type":"function"},{"doc":"Get the latest thumbnail data for the input device.","ref":"aws_medialive.html#describe_input_device_thumbnail/3","title":"aws_medialive.describe_input_device_thumbnail/3","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_input_device_thumbnail/5","title":"aws_medialive.describe_input_device_thumbnail/5","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_input_device_thumbnail/6","title":"aws_medialive.describe_input_device_thumbnail/6","type":"function"},{"doc":"Produces a summary of an Input Security Group","ref":"aws_medialive.html#describe_input_security_group/2","title":"aws_medialive.describe_input_security_group/2","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_input_security_group/4","title":"aws_medialive.describe_input_security_group/4","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_input_security_group/5","title":"aws_medialive.describe_input_security_group/5","type":"function"},{"doc":"Gets details about a multiplex.","ref":"aws_medialive.html#describe_multiplex/2","title":"aws_medialive.describe_multiplex/2","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_multiplex/4","title":"aws_medialive.describe_multiplex/4","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_multiplex/5","title":"aws_medialive.describe_multiplex/5","type":"function"},{"doc":"Get the details for a program in a multiplex.","ref":"aws_medialive.html#describe_multiplex_program/3","title":"aws_medialive.describe_multiplex_program/3","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_multiplex_program/5","title":"aws_medialive.describe_multiplex_program/5","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_multiplex_program/6","title":"aws_medialive.describe_multiplex_program/6","type":"function"},{"doc":"Get details for an offering.","ref":"aws_medialive.html#describe_offering/2","title":"aws_medialive.describe_offering/2","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_offering/4","title":"aws_medialive.describe_offering/4","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_offering/5","title":"aws_medialive.describe_offering/5","type":"function"},{"doc":"Get details for a reservation.","ref":"aws_medialive.html#describe_reservation/2","title":"aws_medialive.describe_reservation/2","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_reservation/4","title":"aws_medialive.describe_reservation/4","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_reservation/5","title":"aws_medialive.describe_reservation/5","type":"function"},{"doc":"Get a channel schedule","ref":"aws_medialive.html#describe_schedule/2","title":"aws_medialive.describe_schedule/2","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_schedule/4","title":"aws_medialive.describe_schedule/4","type":"function"},{"doc":"","ref":"aws_medialive.html#describe_schedule/5","title":"aws_medialive.describe_schedule/5","type":"function"},{"doc":"Produces list of channels that have been created","ref":"aws_medialive.html#list_channels/1","title":"aws_medialive.list_channels/1","type":"function"},{"doc":"","ref":"aws_medialive.html#list_channels/3","title":"aws_medialive.list_channels/3","type":"function"},{"doc":"","ref":"aws_medialive.html#list_channels/4","title":"aws_medialive.list_channels/4","type":"function"},{"doc":"List input devices that are currently being transferred. List input devices that you are transferring from your AWS account or input devices that another AWS account is transferring to you.","ref":"aws_medialive.html#list_input_device_transfers/2","title":"aws_medialive.list_input_device_transfers/2","type":"function"},{"doc":"","ref":"aws_medialive.html#list_input_device_transfers/4","title":"aws_medialive.list_input_device_transfers/4","type":"function"},{"doc":"","ref":"aws_medialive.html#list_input_device_transfers/5","title":"aws_medialive.list_input_device_transfers/5","type":"function"},{"doc":"List input devices","ref":"aws_medialive.html#list_input_devices/1","title":"aws_medialive.list_input_devices/1","type":"function"},{"doc":"","ref":"aws_medialive.html#list_input_devices/3","title":"aws_medialive.list_input_devices/3","type":"function"},{"doc":"","ref":"aws_medialive.html#list_input_devices/4","title":"aws_medialive.list_input_devices/4","type":"function"},{"doc":"Produces a list of Input Security Groups for an account","ref":"aws_medialive.html#list_input_security_groups/1","title":"aws_medialive.list_input_security_groups/1","type":"function"},{"doc":"","ref":"aws_medialive.html#list_input_security_groups/3","title":"aws_medialive.list_input_security_groups/3","type":"function"},{"doc":"","ref":"aws_medialive.html#list_input_security_groups/4","title":"aws_medialive.list_input_security_groups/4","type":"function"},{"doc":"Produces list of inputs that have been created","ref":"aws_medialive.html#list_inputs/1","title":"aws_medialive.list_inputs/1","type":"function"},{"doc":"","ref":"aws_medialive.html#list_inputs/3","title":"aws_medialive.list_inputs/3","type":"function"},{"doc":"","ref":"aws_medialive.html#list_inputs/4","title":"aws_medialive.list_inputs/4","type":"function"},{"doc":"List the programs that currently exist for a specific multiplex.","ref":"aws_medialive.html#list_multiplex_programs/2","title":"aws_medialive.list_multiplex_programs/2","type":"function"},{"doc":"","ref":"aws_medialive.html#list_multiplex_programs/4","title":"aws_medialive.list_multiplex_programs/4","type":"function"},{"doc":"","ref":"aws_medialive.html#list_multiplex_programs/5","title":"aws_medialive.list_multiplex_programs/5","type":"function"},{"doc":"Retrieve a list of the existing multiplexes.","ref":"aws_medialive.html#list_multiplexes/1","title":"aws_medialive.list_multiplexes/1","type":"function"},{"doc":"","ref":"aws_medialive.html#list_multiplexes/3","title":"aws_medialive.list_multiplexes/3","type":"function"},{"doc":"","ref":"aws_medialive.html#list_multiplexes/4","title":"aws_medialive.list_multiplexes/4","type":"function"},{"doc":"List offerings available for purchase.","ref":"aws_medialive.html#list_offerings/1","title":"aws_medialive.list_offerings/1","type":"function"},{"doc":"","ref":"aws_medialive.html#list_offerings/3","title":"aws_medialive.list_offerings/3","type":"function"},{"doc":"","ref":"aws_medialive.html#list_offerings/4","title":"aws_medialive.list_offerings/4","type":"function"},{"doc":"List purchased reservations.","ref":"aws_medialive.html#list_reservations/1","title":"aws_medialive.list_reservations/1","type":"function"},{"doc":"","ref":"aws_medialive.html#list_reservations/3","title":"aws_medialive.list_reservations/3","type":"function"},{"doc":"","ref":"aws_medialive.html#list_reservations/4","title":"aws_medialive.list_reservations/4","type":"function"},{"doc":"Produces list of tags that have been created for a resource","ref":"aws_medialive.html#list_tags_for_resource/2","title":"aws_medialive.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_medialive.html#list_tags_for_resource/4","title":"aws_medialive.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_medialive.html#list_tags_for_resource/5","title":"aws_medialive.list_tags_for_resource/5","type":"function"},{"doc":"Purchase an offering and create a reservation.","ref":"aws_medialive.html#purchase_offering/3","title":"aws_medialive.purchase_offering/3","type":"function"},{"doc":"","ref":"aws_medialive.html#purchase_offering/4","title":"aws_medialive.purchase_offering/4","type":"function"},{"doc":"Send a reboot command to the specified input device. The device will begin rebooting within a few seconds of sending the command. When the reboot is complete, the device’s connection status will change to connected.","ref":"aws_medialive.html#reboot_input_device/3","title":"aws_medialive.reboot_input_device/3","type":"function"},{"doc":"","ref":"aws_medialive.html#reboot_input_device/4","title":"aws_medialive.reboot_input_device/4","type":"function"},{"doc":"Reject the transfer of the specified input device to your AWS account.","ref":"aws_medialive.html#reject_input_device_transfer/3","title":"aws_medialive.reject_input_device_transfer/3","type":"function"},{"doc":"","ref":"aws_medialive.html#reject_input_device_transfer/4","title":"aws_medialive.reject_input_device_transfer/4","type":"function"},{"doc":"Starts an existing channel","ref":"aws_medialive.html#start_channel/3","title":"aws_medialive.start_channel/3","type":"function"},{"doc":"","ref":"aws_medialive.html#start_channel/4","title":"aws_medialive.start_channel/4","type":"function"},{"doc":"Start a maintenance window for the specified input device. Starting a maintenance window will give the device up to two hours to install software. If the device was streaming prior to the maintenance, it will resume streaming when the software is fully installed. Devices automatically install updates while they are powered on and their MediaLive channels are stopped. A maintenance window allows you to update a device without having to stop MediaLive channels that use the device. The device must remain powered on and connected to the internet for the duration of the maintenance.","ref":"aws_medialive.html#start_input_device_maintenance_window/3","title":"aws_medialive.start_input_device_maintenance_window/3","type":"function"},{"doc":"","ref":"aws_medialive.html#start_input_device_maintenance_window/4","title":"aws_medialive.start_input_device_maintenance_window/4","type":"function"},{"doc":"Start (run) the multiplex. Starting the multiplex does not start the channels. You must explicitly start each channel.","ref":"aws_medialive.html#start_multiplex/3","title":"aws_medialive.start_multiplex/3","type":"function"},{"doc":"","ref":"aws_medialive.html#start_multiplex/4","title":"aws_medialive.start_multiplex/4","type":"function"},{"doc":"Stops a running channel","ref":"aws_medialive.html#stop_channel/3","title":"aws_medialive.stop_channel/3","type":"function"},{"doc":"","ref":"aws_medialive.html#stop_channel/4","title":"aws_medialive.stop_channel/4","type":"function"},{"doc":"Stops a running multiplex. If the multiplex isn't running, this action has no effect.","ref":"aws_medialive.html#stop_multiplex/3","title":"aws_medialive.stop_multiplex/3","type":"function"},{"doc":"","ref":"aws_medialive.html#stop_multiplex/4","title":"aws_medialive.stop_multiplex/4","type":"function"},{"doc":"Start an input device transfer to another AWS account. After you make the request, the other account must accept or reject the transfer.","ref":"aws_medialive.html#transfer_input_device/3","title":"aws_medialive.transfer_input_device/3","type":"function"},{"doc":"","ref":"aws_medialive.html#transfer_input_device/4","title":"aws_medialive.transfer_input_device/4","type":"function"},{"doc":"Updates a channel.","ref":"aws_medialive.html#update_channel/3","title":"aws_medialive.update_channel/3","type":"function"},{"doc":"","ref":"aws_medialive.html#update_channel/4","title":"aws_medialive.update_channel/4","type":"function"},{"doc":"Changes the class of the channel.","ref":"aws_medialive.html#update_channel_class/3","title":"aws_medialive.update_channel_class/3","type":"function"},{"doc":"","ref":"aws_medialive.html#update_channel_class/4","title":"aws_medialive.update_channel_class/4","type":"function"},{"doc":"Updates an input.","ref":"aws_medialive.html#update_input/3","title":"aws_medialive.update_input/3","type":"function"},{"doc":"","ref":"aws_medialive.html#update_input/4","title":"aws_medialive.update_input/4","type":"function"},{"doc":"Updates the parameters for the input device.","ref":"aws_medialive.html#update_input_device/3","title":"aws_medialive.update_input_device/3","type":"function"},{"doc":"","ref":"aws_medialive.html#update_input_device/4","title":"aws_medialive.update_input_device/4","type":"function"},{"doc":"Update an Input Security Group's Whilelists.","ref":"aws_medialive.html#update_input_security_group/3","title":"aws_medialive.update_input_security_group/3","type":"function"},{"doc":"","ref":"aws_medialive.html#update_input_security_group/4","title":"aws_medialive.update_input_security_group/4","type":"function"},{"doc":"Updates a multiplex.","ref":"aws_medialive.html#update_multiplex/3","title":"aws_medialive.update_multiplex/3","type":"function"},{"doc":"","ref":"aws_medialive.html#update_multiplex/4","title":"aws_medialive.update_multiplex/4","type":"function"},{"doc":"Update a program in a multiplex.","ref":"aws_medialive.html#update_multiplex_program/4","title":"aws_medialive.update_multiplex_program/4","type":"function"},{"doc":"","ref":"aws_medialive.html#update_multiplex_program/5","title":"aws_medialive.update_multiplex_program/5","type":"function"},{"doc":"Update reservation.","ref":"aws_medialive.html#update_reservation/3","title":"aws_medialive.update_reservation/3","type":"function"},{"doc":"","ref":"aws_medialive.html#update_reservation/4","title":"aws_medialive.update_reservation/4","type":"function"},{"doc":"AWS Elemental MediaPackage","ref":"aws_mediapackage.html","title":"aws_mediapackage","type":"module"},{"doc":"Changes the Channel's properities to configure log subscription","ref":"aws_mediapackage.html#configure_logs/3","title":"aws_mediapackage.configure_logs/3","type":"function"},{"doc":"","ref":"aws_mediapackage.html#configure_logs/4","title":"aws_mediapackage.configure_logs/4","type":"function"},{"doc":"Creates a new Channel.","ref":"aws_mediapackage.html#create_channel/2","title":"aws_mediapackage.create_channel/2","type":"function"},{"doc":"","ref":"aws_mediapackage.html#create_channel/3","title":"aws_mediapackage.create_channel/3","type":"function"},{"doc":"Creates a new HarvestJob record.","ref":"aws_mediapackage.html#create_harvest_job/2","title":"aws_mediapackage.create_harvest_job/2","type":"function"},{"doc":"","ref":"aws_mediapackage.html#create_harvest_job/3","title":"aws_mediapackage.create_harvest_job/3","type":"function"},{"doc":"Creates a new OriginEndpoint record.","ref":"aws_mediapackage.html#create_origin_endpoint/2","title":"aws_mediapackage.create_origin_endpoint/2","type":"function"},{"doc":"","ref":"aws_mediapackage.html#create_origin_endpoint/3","title":"aws_mediapackage.create_origin_endpoint/3","type":"function"},{"doc":"Deletes an existing Channel.","ref":"aws_mediapackage.html#delete_channel/3","title":"aws_mediapackage.delete_channel/3","type":"function"},{"doc":"","ref":"aws_mediapackage.html#delete_channel/4","title":"aws_mediapackage.delete_channel/4","type":"function"},{"doc":"Deletes an existing OriginEndpoint.","ref":"aws_mediapackage.html#delete_origin_endpoint/3","title":"aws_mediapackage.delete_origin_endpoint/3","type":"function"},{"doc":"","ref":"aws_mediapackage.html#delete_origin_endpoint/4","title":"aws_mediapackage.delete_origin_endpoint/4","type":"function"},{"doc":"Gets details about a Channel.","ref":"aws_mediapackage.html#describe_channel/2","title":"aws_mediapackage.describe_channel/2","type":"function"},{"doc":"","ref":"aws_mediapackage.html#describe_channel/4","title":"aws_mediapackage.describe_channel/4","type":"function"},{"doc":"","ref":"aws_mediapackage.html#describe_channel/5","title":"aws_mediapackage.describe_channel/5","type":"function"},{"doc":"Gets details about an existing HarvestJob.","ref":"aws_mediapackage.html#describe_harvest_job/2","title":"aws_mediapackage.describe_harvest_job/2","type":"function"},{"doc":"","ref":"aws_mediapackage.html#describe_harvest_job/4","title":"aws_mediapackage.describe_harvest_job/4","type":"function"},{"doc":"","ref":"aws_mediapackage.html#describe_harvest_job/5","title":"aws_mediapackage.describe_harvest_job/5","type":"function"},{"doc":"Gets details about an existing OriginEndpoint.","ref":"aws_mediapackage.html#describe_origin_endpoint/2","title":"aws_mediapackage.describe_origin_endpoint/2","type":"function"},{"doc":"","ref":"aws_mediapackage.html#describe_origin_endpoint/4","title":"aws_mediapackage.describe_origin_endpoint/4","type":"function"},{"doc":"","ref":"aws_mediapackage.html#describe_origin_endpoint/5","title":"aws_mediapackage.describe_origin_endpoint/5","type":"function"},{"doc":"Returns a collection of Channels.","ref":"aws_mediapackage.html#list_channels/1","title":"aws_mediapackage.list_channels/1","type":"function"},{"doc":"","ref":"aws_mediapackage.html#list_channels/3","title":"aws_mediapackage.list_channels/3","type":"function"},{"doc":"","ref":"aws_mediapackage.html#list_channels/4","title":"aws_mediapackage.list_channels/4","type":"function"},{"doc":"Returns a collection of HarvestJob records.","ref":"aws_mediapackage.html#list_harvest_jobs/1","title":"aws_mediapackage.list_harvest_jobs/1","type":"function"},{"doc":"","ref":"aws_mediapackage.html#list_harvest_jobs/3","title":"aws_mediapackage.list_harvest_jobs/3","type":"function"},{"doc":"","ref":"aws_mediapackage.html#list_harvest_jobs/4","title":"aws_mediapackage.list_harvest_jobs/4","type":"function"},{"doc":"Returns a collection of OriginEndpoint records.","ref":"aws_mediapackage.html#list_origin_endpoints/1","title":"aws_mediapackage.list_origin_endpoints/1","type":"function"},{"doc":"","ref":"aws_mediapackage.html#list_origin_endpoints/3","title":"aws_mediapackage.list_origin_endpoints/3","type":"function"},{"doc":"","ref":"aws_mediapackage.html#list_origin_endpoints/4","title":"aws_mediapackage.list_origin_endpoints/4","type":"function"},{"doc":"","ref":"aws_mediapackage.html#list_tags_for_resource/2","title":"aws_mediapackage.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_mediapackage.html#list_tags_for_resource/4","title":"aws_mediapackage.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_mediapackage.html#list_tags_for_resource/5","title":"aws_mediapackage.list_tags_for_resource/5","type":"function"},{"doc":"Changes the Channel's first IngestEndpoint's username and password. WARNING - This API is deprecated. Please use RotateIngestEndpointCredentials instead","ref":"aws_mediapackage.html#rotate_channel_credentials/3","title":"aws_mediapackage.rotate_channel_credentials/3","type":"function"},{"doc":"","ref":"aws_mediapackage.html#rotate_channel_credentials/4","title":"aws_mediapackage.rotate_channel_credentials/4","type":"function"},{"doc":"Rotate the IngestEndpoint's username and password, as specified by the IngestEndpoint's id.","ref":"aws_mediapackage.html#rotate_ingest_endpoint_credentials/4","title":"aws_mediapackage.rotate_ingest_endpoint_credentials/4","type":"function"},{"doc":"","ref":"aws_mediapackage.html#rotate_ingest_endpoint_credentials/5","title":"aws_mediapackage.rotate_ingest_endpoint_credentials/5","type":"function"},{"doc":"","ref":"aws_mediapackage.html#tag_resource/3","title":"aws_mediapackage.tag_resource/3","type":"function"},{"doc":"","ref":"aws_mediapackage.html#tag_resource/4","title":"aws_mediapackage.tag_resource/4","type":"function"},{"doc":"","ref":"aws_mediapackage.html#untag_resource/3","title":"aws_mediapackage.untag_resource/3","type":"function"},{"doc":"","ref":"aws_mediapackage.html#untag_resource/4","title":"aws_mediapackage.untag_resource/4","type":"function"},{"doc":"Updates an existing Channel.","ref":"aws_mediapackage.html#update_channel/3","title":"aws_mediapackage.update_channel/3","type":"function"},{"doc":"","ref":"aws_mediapackage.html#update_channel/4","title":"aws_mediapackage.update_channel/4","type":"function"},{"doc":"Updates an existing OriginEndpoint.","ref":"aws_mediapackage.html#update_origin_endpoint/3","title":"aws_mediapackage.update_origin_endpoint/3","type":"function"},{"doc":"","ref":"aws_mediapackage.html#update_origin_endpoint/4","title":"aws_mediapackage.update_origin_endpoint/4","type":"function"},{"doc":"AWS Elemental MediaPackage VOD","ref":"aws_mediapackage_vod.html","title":"aws_mediapackage_vod","type":"module"},{"doc":"Changes the packaging group's properities to configure log subscription","ref":"aws_mediapackage_vod.html#configure_logs/3","title":"aws_mediapackage_vod.configure_logs/3","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#configure_logs/4","title":"aws_mediapackage_vod.configure_logs/4","type":"function"},{"doc":"Creates a new MediaPackage VOD Asset resource.","ref":"aws_mediapackage_vod.html#create_asset/2","title":"aws_mediapackage_vod.create_asset/2","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#create_asset/3","title":"aws_mediapackage_vod.create_asset/3","type":"function"},{"doc":"Creates a new MediaPackage VOD PackagingConfiguration resource.","ref":"aws_mediapackage_vod.html#create_packaging_configuration/2","title":"aws_mediapackage_vod.create_packaging_configuration/2","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#create_packaging_configuration/3","title":"aws_mediapackage_vod.create_packaging_configuration/3","type":"function"},{"doc":"Creates a new MediaPackage VOD PackagingGroup resource.","ref":"aws_mediapackage_vod.html#create_packaging_group/2","title":"aws_mediapackage_vod.create_packaging_group/2","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#create_packaging_group/3","title":"aws_mediapackage_vod.create_packaging_group/3","type":"function"},{"doc":"Deletes an existing MediaPackage VOD Asset resource.","ref":"aws_mediapackage_vod.html#delete_asset/3","title":"aws_mediapackage_vod.delete_asset/3","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#delete_asset/4","title":"aws_mediapackage_vod.delete_asset/4","type":"function"},{"doc":"Deletes a MediaPackage VOD PackagingConfiguration resource.","ref":"aws_mediapackage_vod.html#delete_packaging_configuration/3","title":"aws_mediapackage_vod.delete_packaging_configuration/3","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#delete_packaging_configuration/4","title":"aws_mediapackage_vod.delete_packaging_configuration/4","type":"function"},{"doc":"Deletes a MediaPackage VOD PackagingGroup resource.","ref":"aws_mediapackage_vod.html#delete_packaging_group/3","title":"aws_mediapackage_vod.delete_packaging_group/3","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#delete_packaging_group/4","title":"aws_mediapackage_vod.delete_packaging_group/4","type":"function"},{"doc":"Returns a description of a MediaPackage VOD Asset resource.","ref":"aws_mediapackage_vod.html#describe_asset/2","title":"aws_mediapackage_vod.describe_asset/2","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#describe_asset/4","title":"aws_mediapackage_vod.describe_asset/4","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#describe_asset/5","title":"aws_mediapackage_vod.describe_asset/5","type":"function"},{"doc":"Returns a description of a MediaPackage VOD PackagingConfiguration resource.","ref":"aws_mediapackage_vod.html#describe_packaging_configuration/2","title":"aws_mediapackage_vod.describe_packaging_configuration/2","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#describe_packaging_configuration/4","title":"aws_mediapackage_vod.describe_packaging_configuration/4","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#describe_packaging_configuration/5","title":"aws_mediapackage_vod.describe_packaging_configuration/5","type":"function"},{"doc":"Returns a description of a MediaPackage VOD PackagingGroup resource.","ref":"aws_mediapackage_vod.html#describe_packaging_group/2","title":"aws_mediapackage_vod.describe_packaging_group/2","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#describe_packaging_group/4","title":"aws_mediapackage_vod.describe_packaging_group/4","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#describe_packaging_group/5","title":"aws_mediapackage_vod.describe_packaging_group/5","type":"function"},{"doc":"Returns a collection of MediaPackage VOD Asset resources.","ref":"aws_mediapackage_vod.html#list_assets/1","title":"aws_mediapackage_vod.list_assets/1","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#list_assets/3","title":"aws_mediapackage_vod.list_assets/3","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#list_assets/4","title":"aws_mediapackage_vod.list_assets/4","type":"function"},{"doc":"Returns a collection of MediaPackage VOD PackagingConfiguration resources.","ref":"aws_mediapackage_vod.html#list_packaging_configurations/1","title":"aws_mediapackage_vod.list_packaging_configurations/1","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#list_packaging_configurations/3","title":"aws_mediapackage_vod.list_packaging_configurations/3","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#list_packaging_configurations/4","title":"aws_mediapackage_vod.list_packaging_configurations/4","type":"function"},{"doc":"Returns a collection of MediaPackage VOD PackagingGroup resources.","ref":"aws_mediapackage_vod.html#list_packaging_groups/1","title":"aws_mediapackage_vod.list_packaging_groups/1","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#list_packaging_groups/3","title":"aws_mediapackage_vod.list_packaging_groups/3","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#list_packaging_groups/4","title":"aws_mediapackage_vod.list_packaging_groups/4","type":"function"},{"doc":"Returns a list of the tags assigned to the specified resource.","ref":"aws_mediapackage_vod.html#list_tags_for_resource/2","title":"aws_mediapackage_vod.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#list_tags_for_resource/4","title":"aws_mediapackage_vod.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#list_tags_for_resource/5","title":"aws_mediapackage_vod.list_tags_for_resource/5","type":"function"},{"doc":"Adds tags to the specified resource. You can specify one or more tags to add.","ref":"aws_mediapackage_vod.html#tag_resource/3","title":"aws_mediapackage_vod.tag_resource/3","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#tag_resource/4","title":"aws_mediapackage_vod.tag_resource/4","type":"function"},{"doc":"Removes tags from the specified resource. You can specify one or more tags to remove.","ref":"aws_mediapackage_vod.html#untag_resource/3","title":"aws_mediapackage_vod.untag_resource/3","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#untag_resource/4","title":"aws_mediapackage_vod.untag_resource/4","type":"function"},{"doc":"Updates a specific packaging group. You can't change the id attribute or any other system-generated attributes.","ref":"aws_mediapackage_vod.html#update_packaging_group/3","title":"aws_mediapackage_vod.update_packaging_group/3","type":"function"},{"doc":"","ref":"aws_mediapackage_vod.html#update_packaging_group/4","title":"aws_mediapackage_vod.update_packaging_group/4","type":"function"},{"doc":"An AWS Elemental MediaStore container is a namespace that holds folders and objects. You use a container endpoint to create, read, and delete objects.","ref":"aws_mediastore.html","title":"aws_mediastore","type":"module"},{"doc":"Creates a storage container to hold objects. A container is similar to a bucket in the Amazon S3 service.","ref":"aws_mediastore.html#create_container/2","title":"aws_mediastore.create_container/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#create_container/3","title":"aws_mediastore.create_container/3","type":"function"},{"doc":"Deletes the specified container. Before you make a DeleteContainer request, delete any objects in the container or in any folders in the container. You can delete only empty containers.","ref":"aws_mediastore.html#delete_container/2","title":"aws_mediastore.delete_container/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#delete_container/3","title":"aws_mediastore.delete_container/3","type":"function"},{"doc":"Deletes the access policy that is associated with the specified container.","ref":"aws_mediastore.html#delete_container_policy/2","title":"aws_mediastore.delete_container_policy/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#delete_container_policy/3","title":"aws_mediastore.delete_container_policy/3","type":"function"},{"doc":"Deletes the cross-origin resource sharing (CORS) configuration information that is set for the container. To use this operation, you must have permission to perform the MediaStore:DeleteCorsPolicy action. The container owner has this permission by default and can grant this permission to others.","ref":"aws_mediastore.html#delete_cors_policy/2","title":"aws_mediastore.delete_cors_policy/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#delete_cors_policy/3","title":"aws_mediastore.delete_cors_policy/3","type":"function"},{"doc":"Removes an object lifecycle policy from a container. It takes up to 20 minutes for the change to take effect.","ref":"aws_mediastore.html#delete_lifecycle_policy/2","title":"aws_mediastore.delete_lifecycle_policy/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#delete_lifecycle_policy/3","title":"aws_mediastore.delete_lifecycle_policy/3","type":"function"},{"doc":"Deletes the metric policy that is associated with the specified container. If there is no metric policy associated with the container, MediaStore doesn't send metrics to CloudWatch.","ref":"aws_mediastore.html#delete_metric_policy/2","title":"aws_mediastore.delete_metric_policy/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#delete_metric_policy/3","title":"aws_mediastore.delete_metric_policy/3","type":"function"},{"doc":"Retrieves the properties of the requested container. This request is commonly used to retrieve the endpoint of a container. An endpoint is a value assigned by the service when a new container is created. A container's endpoint does not change after it has been assigned. The DescribeContainer request returns a single Container object based on ContainerName . To return all Container objects that are associated with a specified AWS account, use ListContainers .","ref":"aws_mediastore.html#describe_container/2","title":"aws_mediastore.describe_container/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#describe_container/3","title":"aws_mediastore.describe_container/3","type":"function"},{"doc":"Retrieves the access policy for the specified container. For information about the data that is included in an access policy, see the AWS Identity and Access Management User Guide.","ref":"aws_mediastore.html#get_container_policy/2","title":"aws_mediastore.get_container_policy/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#get_container_policy/3","title":"aws_mediastore.get_container_policy/3","type":"function"},{"doc":"Returns the cross-origin resource sharing (CORS) configuration information that is set for the container. To use this operation, you must have permission to perform the MediaStore:GetCorsPolicy action. By default, the container owner has this permission and can grant it to others.","ref":"aws_mediastore.html#get_cors_policy/2","title":"aws_mediastore.get_cors_policy/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#get_cors_policy/3","title":"aws_mediastore.get_cors_policy/3","type":"function"},{"doc":"Retrieves the object lifecycle policy that is assigned to a container.","ref":"aws_mediastore.html#get_lifecycle_policy/2","title":"aws_mediastore.get_lifecycle_policy/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#get_lifecycle_policy/3","title":"aws_mediastore.get_lifecycle_policy/3","type":"function"},{"doc":"Returns the metric policy for the specified container.","ref":"aws_mediastore.html#get_metric_policy/2","title":"aws_mediastore.get_metric_policy/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#get_metric_policy/3","title":"aws_mediastore.get_metric_policy/3","type":"function"},{"doc":"Lists the properties of all containers in AWS Elemental MediaStore. You can query to receive all the containers in one response. Or you can include the MaxResults parameter to receive a limited number of containers in each response. In this case, the response includes a token. To get the next set of containers, send the command again, this time with the NextToken parameter (with the returned token as its value). The next set of responses appears, with a token if there are still more containers to receive. See also DescribeContainer , which gets the properties of one container.","ref":"aws_mediastore.html#list_containers/2","title":"aws_mediastore.list_containers/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#list_containers/3","title":"aws_mediastore.list_containers/3","type":"function"},{"doc":"Returns a list of the tags assigned to the specified container.","ref":"aws_mediastore.html#list_tags_for_resource/2","title":"aws_mediastore.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#list_tags_for_resource/3","title":"aws_mediastore.list_tags_for_resource/3","type":"function"},{"doc":"Creates an access policy for the specified container to restrict the users and clients that can access it. For information about the data that is included in an access policy, see the AWS Identity and Access Management User Guide. For this release of the REST API, you can create only one policy for a container. If you enter PutContainerPolicy twice, the second command modifies the existing policy.","ref":"aws_mediastore.html#put_container_policy/2","title":"aws_mediastore.put_container_policy/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#put_container_policy/3","title":"aws_mediastore.put_container_policy/3","type":"function"},{"doc":"Sets the cross-origin resource sharing (CORS) configuration on a container so that the container can service cross-origin requests. For example, you might want to enable a request whose origin is http://www.example.com to access your AWS Elemental MediaStore container at my.example.container.com by using the browser's XMLHttpRequest capability. To enable CORS on a container, you attach a CORS policy to the container. In the CORS policy, you configure rules that identify origins and the HTTP methods that can be executed on your container. The policy can contain up to 398,000 characters. You can add up to 100 rules to a CORS policy. If more than one rule applies, the service uses the first applicable rule listed. To learn more about CORS, see Cross-Origin Resource Sharing (CORS) in AWS Elemental MediaStore.","ref":"aws_mediastore.html#put_cors_policy/2","title":"aws_mediastore.put_cors_policy/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#put_cors_policy/3","title":"aws_mediastore.put_cors_policy/3","type":"function"},{"doc":"Writes an object lifecycle policy to a container. If the container already has an object lifecycle policy, the service replaces the existing policy with the new policy. It takes up to 20 minutes for the change to take effect. For information about how to construct an object lifecycle policy, see Components of an Object Lifecycle Policy.","ref":"aws_mediastore.html#put_lifecycle_policy/2","title":"aws_mediastore.put_lifecycle_policy/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#put_lifecycle_policy/3","title":"aws_mediastore.put_lifecycle_policy/3","type":"function"},{"doc":"The metric policy that you want to add to the container. A metric policy allows AWS Elemental MediaStore to send metrics to Amazon CloudWatch. It takes up to 20 minutes for the new policy to take effect.","ref":"aws_mediastore.html#put_metric_policy/2","title":"aws_mediastore.put_metric_policy/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#put_metric_policy/3","title":"aws_mediastore.put_metric_policy/3","type":"function"},{"doc":"Starts access logging on the specified container. When you enable access logging on a container, MediaStore delivers access logs for objects stored in that container to Amazon CloudWatch Logs.","ref":"aws_mediastore.html#start_access_logging/2","title":"aws_mediastore.start_access_logging/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#start_access_logging/3","title":"aws_mediastore.start_access_logging/3","type":"function"},{"doc":"Stops access logging on the specified container. When you stop access logging on a container, MediaStore stops sending access logs to Amazon CloudWatch Logs. These access logs are not saved and are not retrievable.","ref":"aws_mediastore.html#stop_access_logging/2","title":"aws_mediastore.stop_access_logging/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#stop_access_logging/3","title":"aws_mediastore.stop_access_logging/3","type":"function"},{"doc":"Adds tags to the specified AWS Elemental MediaStore container. Tags are key:value pairs that you can associate with AWS resources. For example, the tag key might be &quot;customer&quot; and the tag value might be &quot;companyA.&quot; You can specify one or more tags to add to each container. You can add up to 50 tags to each container. For more information about tagging, including naming and usage conventions, see Tagging Resources in MediaStore.","ref":"aws_mediastore.html#tag_resource/2","title":"aws_mediastore.tag_resource/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#tag_resource/3","title":"aws_mediastore.tag_resource/3","type":"function"},{"doc":"Removes tags from the specified container. You can specify one or more tags to remove.","ref":"aws_mediastore.html#untag_resource/2","title":"aws_mediastore.untag_resource/2","type":"function"},{"doc":"","ref":"aws_mediastore.html#untag_resource/3","title":"aws_mediastore.untag_resource/3","type":"function"},{"doc":"An AWS Elemental MediaStore asset is an object, similar to an object in the Amazon S3 service. Objects are the fundamental entities that are stored in AWS Elemental MediaStore.","ref":"aws_mediastore_data.html","title":"aws_mediastore_data","type":"module"},{"doc":"Deletes an object at the specified path.","ref":"aws_mediastore_data.html#delete_object/3","title":"aws_mediastore_data.delete_object/3","type":"function"},{"doc":"","ref":"aws_mediastore_data.html#delete_object/4","title":"aws_mediastore_data.delete_object/4","type":"function"},{"doc":"Gets the headers for an object at the specified path.","ref":"aws_mediastore_data.html#describe_object/3","title":"aws_mediastore_data.describe_object/3","type":"function"},{"doc":"","ref":"aws_mediastore_data.html#describe_object/4","title":"aws_mediastore_data.describe_object/4","type":"function"},{"doc":"Downloads the object at the specified path. If the object’s upload availability is set to streaming , AWS Elemental MediaStore downloads the object even if it’s still uploading the object.","ref":"aws_mediastore_data.html#get_object/2","title":"aws_mediastore_data.get_object/2","type":"function"},{"doc":"","ref":"aws_mediastore_data.html#get_object/4","title":"aws_mediastore_data.get_object/4","type":"function"},{"doc":"","ref":"aws_mediastore_data.html#get_object/5","title":"aws_mediastore_data.get_object/5","type":"function"},{"doc":"Provides a list of metadata entries about folders and objects in the specified folder.","ref":"aws_mediastore_data.html#list_items/1","title":"aws_mediastore_data.list_items/1","type":"function"},{"doc":"","ref":"aws_mediastore_data.html#list_items/3","title":"aws_mediastore_data.list_items/3","type":"function"},{"doc":"","ref":"aws_mediastore_data.html#list_items/4","title":"aws_mediastore_data.list_items/4","type":"function"},{"doc":"Uploads an object to the specified path. Object sizes are limited to 25 MB for standard upload availability and 10 MB for streaming upload availability.","ref":"aws_mediastore_data.html#put_object/3","title":"aws_mediastore_data.put_object/3","type":"function"},{"doc":"","ref":"aws_mediastore_data.html#put_object/4","title":"aws_mediastore_data.put_object/4","type":"function"},{"doc":"Use the AWS Elemental MediaTailor SDKs and CLI to configure scalable ad insertion and linear channels. With MediaTailor, you can assemble existing content into a linear stream and serve targeted ads to viewers while maintaining broadcast quality in over-the-top (OTT) video applications. For information about using the service, including detailed information about the settings covered in this guide, see the AWS Elemental MediaTailor User Guide. Through the SDKs and the CLI you manage AWS Elemental MediaTailor configurations and channels the same as you do through the console. For example, you specify ad insertion behavior and mapping information for the origin server and the ad decision server (ADS).","ref":"aws_mediatailor.html","title":"aws_mediatailor","type":"module"},{"doc":"Configures Amazon CloudWatch log settings for a channel.","ref":"aws_mediatailor.html#configure_logs_for_channel/2","title":"aws_mediatailor.configure_logs_for_channel/2","type":"function"},{"doc":"","ref":"aws_mediatailor.html#configure_logs_for_channel/3","title":"aws_mediatailor.configure_logs_for_channel/3","type":"function"},{"doc":"Amazon CloudWatch log settings for a playback configuration.","ref":"aws_mediatailor.html#configure_logs_for_playback_configuration/2","title":"aws_mediatailor.configure_logs_for_playback_configuration/2","type":"function"},{"doc":"","ref":"aws_mediatailor.html#configure_logs_for_playback_configuration/3","title":"aws_mediatailor.configure_logs_for_playback_configuration/3","type":"function"},{"doc":"Creates a channel. For information about MediaTailor channels, see Working with channels in the MediaTailor User Guide.","ref":"aws_mediatailor.html#create_channel/3","title":"aws_mediatailor.create_channel/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#create_channel/4","title":"aws_mediatailor.create_channel/4","type":"function"},{"doc":"The live source configuration.","ref":"aws_mediatailor.html#create_live_source/4","title":"aws_mediatailor.create_live_source/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#create_live_source/5","title":"aws_mediatailor.create_live_source/5","type":"function"},{"doc":"Creates a prefetch schedule for a playback configuration. A prefetch schedule allows you to tell MediaTailor to fetch and prepare certain ads before an ad break happens. For more information about ad prefetching, see Using ad prefetching in the MediaTailor User Guide.","ref":"aws_mediatailor.html#create_prefetch_schedule/4","title":"aws_mediatailor.create_prefetch_schedule/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#create_prefetch_schedule/5","title":"aws_mediatailor.create_prefetch_schedule/5","type":"function"},{"doc":"Creates a program within a channel. For information about programs, see Working with programs in the MediaTailor User Guide.","ref":"aws_mediatailor.html#create_program/4","title":"aws_mediatailor.create_program/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#create_program/5","title":"aws_mediatailor.create_program/5","type":"function"},{"doc":"Creates a source location. A source location is a container for sources. For more information about source locations, see Working with source locations in the MediaTailor User Guide.","ref":"aws_mediatailor.html#create_source_location/3","title":"aws_mediatailor.create_source_location/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#create_source_location/4","title":"aws_mediatailor.create_source_location/4","type":"function"},{"doc":"The VOD source configuration parameters.","ref":"aws_mediatailor.html#create_vod_source/4","title":"aws_mediatailor.create_vod_source/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#create_vod_source/5","title":"aws_mediatailor.create_vod_source/5","type":"function"},{"doc":"Deletes a channel. For information about MediaTailor channels, see Working with channels in the MediaTailor User Guide.","ref":"aws_mediatailor.html#delete_channel/3","title":"aws_mediatailor.delete_channel/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#delete_channel/4","title":"aws_mediatailor.delete_channel/4","type":"function"},{"doc":"The channel policy to delete.","ref":"aws_mediatailor.html#delete_channel_policy/3","title":"aws_mediatailor.delete_channel_policy/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#delete_channel_policy/4","title":"aws_mediatailor.delete_channel_policy/4","type":"function"},{"doc":"The live source to delete.","ref":"aws_mediatailor.html#delete_live_source/4","title":"aws_mediatailor.delete_live_source/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#delete_live_source/5","title":"aws_mediatailor.delete_live_source/5","type":"function"},{"doc":"Deletes a playback configuration. For information about MediaTailor configurations, see Working with configurations in AWS Elemental MediaTailor.","ref":"aws_mediatailor.html#delete_playback_configuration/3","title":"aws_mediatailor.delete_playback_configuration/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#delete_playback_configuration/4","title":"aws_mediatailor.delete_playback_configuration/4","type":"function"},{"doc":"Deletes a prefetch schedule for a specific playback configuration. If you call DeletePrefetchSchedule on an expired prefetch schedule, MediaTailor returns an HTTP 404 status code. For more information about ad prefetching, see Using ad prefetching in the MediaTailor User Guide.","ref":"aws_mediatailor.html#delete_prefetch_schedule/4","title":"aws_mediatailor.delete_prefetch_schedule/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#delete_prefetch_schedule/5","title":"aws_mediatailor.delete_prefetch_schedule/5","type":"function"},{"doc":"Deletes a program within a channel. For information about programs, see Working with programs in the MediaTailor User Guide.","ref":"aws_mediatailor.html#delete_program/4","title":"aws_mediatailor.delete_program/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#delete_program/5","title":"aws_mediatailor.delete_program/5","type":"function"},{"doc":"Deletes a source location. A source location is a container for sources. For more information about source locations, see Working with source locations in the MediaTailor User Guide.","ref":"aws_mediatailor.html#delete_source_location/3","title":"aws_mediatailor.delete_source_location/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#delete_source_location/4","title":"aws_mediatailor.delete_source_location/4","type":"function"},{"doc":"The video on demand (VOD) source to delete.","ref":"aws_mediatailor.html#delete_vod_source/4","title":"aws_mediatailor.delete_vod_source/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#delete_vod_source/5","title":"aws_mediatailor.delete_vod_source/5","type":"function"},{"doc":"Describes a channel. For information about MediaTailor channels, see Working with channels in the MediaTailor User Guide.","ref":"aws_mediatailor.html#describe_channel/2","title":"aws_mediatailor.describe_channel/2","type":"function"},{"doc":"","ref":"aws_mediatailor.html#describe_channel/4","title":"aws_mediatailor.describe_channel/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#describe_channel/5","title":"aws_mediatailor.describe_channel/5","type":"function"},{"doc":"The live source to describe.","ref":"aws_mediatailor.html#describe_live_source/3","title":"aws_mediatailor.describe_live_source/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#describe_live_source/5","title":"aws_mediatailor.describe_live_source/5","type":"function"},{"doc":"","ref":"aws_mediatailor.html#describe_live_source/6","title":"aws_mediatailor.describe_live_source/6","type":"function"},{"doc":"Describes a program within a channel. For information about programs, see Working with programs in the MediaTailor User Guide.","ref":"aws_mediatailor.html#describe_program/3","title":"aws_mediatailor.describe_program/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#describe_program/5","title":"aws_mediatailor.describe_program/5","type":"function"},{"doc":"","ref":"aws_mediatailor.html#describe_program/6","title":"aws_mediatailor.describe_program/6","type":"function"},{"doc":"Describes a source location. A source location is a container for sources. For more information about source locations, see Working with source locations in the MediaTailor User Guide.","ref":"aws_mediatailor.html#describe_source_location/2","title":"aws_mediatailor.describe_source_location/2","type":"function"},{"doc":"","ref":"aws_mediatailor.html#describe_source_location/4","title":"aws_mediatailor.describe_source_location/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#describe_source_location/5","title":"aws_mediatailor.describe_source_location/5","type":"function"},{"doc":"Provides details about a specific video on demand (VOD) source in a specific source location.","ref":"aws_mediatailor.html#describe_vod_source/3","title":"aws_mediatailor.describe_vod_source/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#describe_vod_source/5","title":"aws_mediatailor.describe_vod_source/5","type":"function"},{"doc":"","ref":"aws_mediatailor.html#describe_vod_source/6","title":"aws_mediatailor.describe_vod_source/6","type":"function"},{"doc":"Returns the channel's IAM policy. IAM policies are used to control access to your channel.","ref":"aws_mediatailor.html#get_channel_policy/2","title":"aws_mediatailor.get_channel_policy/2","type":"function"},{"doc":"","ref":"aws_mediatailor.html#get_channel_policy/4","title":"aws_mediatailor.get_channel_policy/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#get_channel_policy/5","title":"aws_mediatailor.get_channel_policy/5","type":"function"},{"doc":"Retrieves information about your channel's schedule.","ref":"aws_mediatailor.html#get_channel_schedule/2","title":"aws_mediatailor.get_channel_schedule/2","type":"function"},{"doc":"","ref":"aws_mediatailor.html#get_channel_schedule/4","title":"aws_mediatailor.get_channel_schedule/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#get_channel_schedule/5","title":"aws_mediatailor.get_channel_schedule/5","type":"function"},{"doc":"Retrieves a playback configuration. For information about MediaTailor configurations, see Working with configurations in AWS Elemental MediaTailor.","ref":"aws_mediatailor.html#get_playback_configuration/2","title":"aws_mediatailor.get_playback_configuration/2","type":"function"},{"doc":"","ref":"aws_mediatailor.html#get_playback_configuration/4","title":"aws_mediatailor.get_playback_configuration/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#get_playback_configuration/5","title":"aws_mediatailor.get_playback_configuration/5","type":"function"},{"doc":"Retrieves a prefetch schedule for a playback configuration. A prefetch schedule allows you to tell MediaTailor to fetch and prepare certain ads before an ad break happens. For more information about ad prefetching, see Using ad prefetching in the MediaTailor User Guide.","ref":"aws_mediatailor.html#get_prefetch_schedule/3","title":"aws_mediatailor.get_prefetch_schedule/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#get_prefetch_schedule/5","title":"aws_mediatailor.get_prefetch_schedule/5","type":"function"},{"doc":"","ref":"aws_mediatailor.html#get_prefetch_schedule/6","title":"aws_mediatailor.get_prefetch_schedule/6","type":"function"},{"doc":"Lists the alerts that are associated with a MediaTailor channel assembly resource.","ref":"aws_mediatailor.html#list_alerts/2","title":"aws_mediatailor.list_alerts/2","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_alerts/4","title":"aws_mediatailor.list_alerts/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_alerts/5","title":"aws_mediatailor.list_alerts/5","type":"function"},{"doc":"Retrieves information about the channels that are associated with the current AWS account.","ref":"aws_mediatailor.html#list_channels/1","title":"aws_mediatailor.list_channels/1","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_channels/3","title":"aws_mediatailor.list_channels/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_channels/4","title":"aws_mediatailor.list_channels/4","type":"function"},{"doc":"Lists the live sources contained in a source location. A source represents a piece of content.","ref":"aws_mediatailor.html#list_live_sources/2","title":"aws_mediatailor.list_live_sources/2","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_live_sources/4","title":"aws_mediatailor.list_live_sources/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_live_sources/5","title":"aws_mediatailor.list_live_sources/5","type":"function"},{"doc":"Retrieves existing playback configurations. For information about MediaTailor configurations, see Working with Configurations in AWS Elemental MediaTailor.","ref":"aws_mediatailor.html#list_playback_configurations/1","title":"aws_mediatailor.list_playback_configurations/1","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_playback_configurations/3","title":"aws_mediatailor.list_playback_configurations/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_playback_configurations/4","title":"aws_mediatailor.list_playback_configurations/4","type":"function"},{"doc":"Lists the prefetch schedules for a playback configuration.","ref":"aws_mediatailor.html#list_prefetch_schedules/3","title":"aws_mediatailor.list_prefetch_schedules/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_prefetch_schedules/4","title":"aws_mediatailor.list_prefetch_schedules/4","type":"function"},{"doc":"Lists the source locations for a channel. A source location defines the host server URL, and contains a list of sources.","ref":"aws_mediatailor.html#list_source_locations/1","title":"aws_mediatailor.list_source_locations/1","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_source_locations/3","title":"aws_mediatailor.list_source_locations/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_source_locations/4","title":"aws_mediatailor.list_source_locations/4","type":"function"},{"doc":"A list of tags that are associated with this resource. Tags are key-value pairs that you can associate with Amazon resources to help with organization, access control, and cost tracking. For more information, see Tagging AWS Elemental MediaTailor Resources.","ref":"aws_mediatailor.html#list_tags_for_resource/2","title":"aws_mediatailor.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_tags_for_resource/4","title":"aws_mediatailor.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_tags_for_resource/5","title":"aws_mediatailor.list_tags_for_resource/5","type":"function"},{"doc":"Lists the VOD sources contained in a source location. A source represents a piece of content.","ref":"aws_mediatailor.html#list_vod_sources/2","title":"aws_mediatailor.list_vod_sources/2","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_vod_sources/4","title":"aws_mediatailor.list_vod_sources/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#list_vod_sources/5","title":"aws_mediatailor.list_vod_sources/5","type":"function"},{"doc":"Creates an IAM policy for the channel. IAM policies are used to control access to your channel.","ref":"aws_mediatailor.html#put_channel_policy/3","title":"aws_mediatailor.put_channel_policy/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#put_channel_policy/4","title":"aws_mediatailor.put_channel_policy/4","type":"function"},{"doc":"Creates a playback configuration. For information about MediaTailor configurations, see Working with configurations in AWS Elemental MediaTailor.","ref":"aws_mediatailor.html#put_playback_configuration/2","title":"aws_mediatailor.put_playback_configuration/2","type":"function"},{"doc":"","ref":"aws_mediatailor.html#put_playback_configuration/3","title":"aws_mediatailor.put_playback_configuration/3","type":"function"},{"doc":"Starts a channel. For information about MediaTailor channels, see Working with channels in the MediaTailor User Guide.","ref":"aws_mediatailor.html#start_channel/3","title":"aws_mediatailor.start_channel/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#start_channel/4","title":"aws_mediatailor.start_channel/4","type":"function"},{"doc":"Stops a channel. For information about MediaTailor channels, see Working with channels in the MediaTailor User Guide.","ref":"aws_mediatailor.html#stop_channel/3","title":"aws_mediatailor.stop_channel/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#stop_channel/4","title":"aws_mediatailor.stop_channel/4","type":"function"},{"doc":"The resource to tag. Tags are key-value pairs that you can associate with Amazon resources to help with organization, access control, and cost tracking. For more information, see Tagging AWS Elemental MediaTailor Resources.","ref":"aws_mediatailor.html#tag_resource/3","title":"aws_mediatailor.tag_resource/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#tag_resource/4","title":"aws_mediatailor.tag_resource/4","type":"function"},{"doc":"The resource to untag.","ref":"aws_mediatailor.html#untag_resource/3","title":"aws_mediatailor.untag_resource/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#untag_resource/4","title":"aws_mediatailor.untag_resource/4","type":"function"},{"doc":"Updates a channel. For information about MediaTailor channels, see Working with channels in the MediaTailor User Guide.","ref":"aws_mediatailor.html#update_channel/3","title":"aws_mediatailor.update_channel/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#update_channel/4","title":"aws_mediatailor.update_channel/4","type":"function"},{"doc":"Updates a live source's configuration.","ref":"aws_mediatailor.html#update_live_source/4","title":"aws_mediatailor.update_live_source/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#update_live_source/5","title":"aws_mediatailor.update_live_source/5","type":"function"},{"doc":"Updates a program within a channel.","ref":"aws_mediatailor.html#update_program/4","title":"aws_mediatailor.update_program/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#update_program/5","title":"aws_mediatailor.update_program/5","type":"function"},{"doc":"Updates a source location. A source location is a container for sources. For more information about source locations, see Working with source locations in the MediaTailor User Guide.","ref":"aws_mediatailor.html#update_source_location/3","title":"aws_mediatailor.update_source_location/3","type":"function"},{"doc":"","ref":"aws_mediatailor.html#update_source_location/4","title":"aws_mediatailor.update_source_location/4","type":"function"},{"doc":"Updates a VOD source's configuration.","ref":"aws_mediatailor.html#update_vod_source/4","title":"aws_mediatailor.update_vod_source/4","type":"function"},{"doc":"","ref":"aws_mediatailor.html#update_vod_source/5","title":"aws_mediatailor.update_vod_source/5","type":"function"},{"doc":"MemoryDB for Redis is a fully managed, Redis-compatible, in-memory database that delivers ultra-fast performance and Multi-AZ durability for modern applications built using microservices architectures. MemoryDB stores the entire database in-memory, enabling low latency and high throughput data access. It is compatible with Redis, a popular open source data store, enabling you to leverage Redis’ flexible and friendly data structures, APIs, and commands.","ref":"aws_memorydb.html","title":"aws_memorydb","type":"module"},{"doc":"Apply the service update to a list of clusters supplied. For more information on service updates and applying them, see Applying the service updates.","ref":"aws_memorydb.html#batch_update_cluster/2","title":"aws_memorydb.batch_update_cluster/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#batch_update_cluster/3","title":"aws_memorydb.batch_update_cluster/3","type":"function"},{"doc":"Makes a copy of an existing snapshot.","ref":"aws_memorydb.html#copy_snapshot/2","title":"aws_memorydb.copy_snapshot/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#copy_snapshot/3","title":"aws_memorydb.copy_snapshot/3","type":"function"},{"doc":"Creates an Access Control List. For more information, see Authenticating users with Access Contol Lists (ACLs).","ref":"aws_memorydb.html#create_acl/2","title":"aws_memorydb.create_acl/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#create_acl/3","title":"aws_memorydb.create_acl/3","type":"function"},{"doc":"Creates a cluster. All nodes in the cluster run the same protocol-compliant engine software.","ref":"aws_memorydb.html#create_cluster/2","title":"aws_memorydb.create_cluster/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#create_cluster/3","title":"aws_memorydb.create_cluster/3","type":"function"},{"doc":"Creates a new MemoryDB parameter group. A parameter group is a collection of parameters and their values that are applied to all of the nodes in any cluster. For more information, see Configuring engine parameters using parameter groups.","ref":"aws_memorydb.html#create_parameter_group/2","title":"aws_memorydb.create_parameter_group/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#create_parameter_group/3","title":"aws_memorydb.create_parameter_group/3","type":"function"},{"doc":"Creates a copy of an entire cluster at a specific moment in time.","ref":"aws_memorydb.html#create_snapshot/2","title":"aws_memorydb.create_snapshot/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#create_snapshot/3","title":"aws_memorydb.create_snapshot/3","type":"function"},{"doc":"Creates a subnet group. A subnet group is a collection of subnets (typically private) that you can designate for your clusters running in an Amazon Virtual Private Cloud (VPC) environment. When you create a cluster in an Amazon VPC, you must specify a subnet group. MemoryDB uses that subnet group to choose a subnet and IP addresses within that subnet to associate with your nodes. For more information, see Subnets and subnet groups.","ref":"aws_memorydb.html#create_subnet_group/2","title":"aws_memorydb.create_subnet_group/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#create_subnet_group/3","title":"aws_memorydb.create_subnet_group/3","type":"function"},{"doc":"Creates a MemoryDB user. For more information, see Authenticating users with Access Contol Lists (ACLs).","ref":"aws_memorydb.html#create_user/2","title":"aws_memorydb.create_user/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#create_user/3","title":"aws_memorydb.create_user/3","type":"function"},{"doc":"Deletes an Access Control List. The ACL must first be disassociated from the cluster before it can be deleted. For more information, see Authenticating users with Access Contol Lists (ACLs).","ref":"aws_memorydb.html#delete_acl/2","title":"aws_memorydb.delete_acl/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#delete_acl/3","title":"aws_memorydb.delete_acl/3","type":"function"},{"doc":"Deletes a cluster. It also deletes all associated nodes and node endpoints","ref":"aws_memorydb.html#delete_cluster/2","title":"aws_memorydb.delete_cluster/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#delete_cluster/3","title":"aws_memorydb.delete_cluster/3","type":"function"},{"doc":"Deletes the specified parameter group. You cannot delete a parameter group if it is associated with any clusters. You cannot delete the default parameter groups in your account.","ref":"aws_memorydb.html#delete_parameter_group/2","title":"aws_memorydb.delete_parameter_group/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#delete_parameter_group/3","title":"aws_memorydb.delete_parameter_group/3","type":"function"},{"doc":"Deletes an existing snapshot. When you receive a successful response from this operation, MemoryDB immediately begins deleting the snapshot; you cannot cancel or revert this operation.","ref":"aws_memorydb.html#delete_snapshot/2","title":"aws_memorydb.delete_snapshot/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#delete_snapshot/3","title":"aws_memorydb.delete_snapshot/3","type":"function"},{"doc":"Deletes a subnet group. You cannot delete a default subnet group or one that is associated with any clusters.","ref":"aws_memorydb.html#delete_subnet_group/2","title":"aws_memorydb.delete_subnet_group/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#delete_subnet_group/3","title":"aws_memorydb.delete_subnet_group/3","type":"function"},{"doc":"Deletes a user. The user will be removed from all ACLs and in turn removed from all clusters.","ref":"aws_memorydb.html#delete_user/2","title":"aws_memorydb.delete_user/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#delete_user/3","title":"aws_memorydb.delete_user/3","type":"function"},{"doc":"Returns a list of ACLs","ref":"aws_memorydb.html#describe_acls/2","title":"aws_memorydb.describe_acls/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#describe_acls/3","title":"aws_memorydb.describe_acls/3","type":"function"},{"doc":"Returns information about all provisioned clusters if no cluster identifier is specified, or about a specific cluster if a cluster name is supplied.","ref":"aws_memorydb.html#describe_clusters/2","title":"aws_memorydb.describe_clusters/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#describe_clusters/3","title":"aws_memorydb.describe_clusters/3","type":"function"},{"doc":"Returns a list of the available Redis engine versions.","ref":"aws_memorydb.html#describe_engine_versions/2","title":"aws_memorydb.describe_engine_versions/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#describe_engine_versions/3","title":"aws_memorydb.describe_engine_versions/3","type":"function"},{"doc":"Returns events related to clusters, security groups, and parameter groups. You can obtain events specific to a particular cluster, security group, or parameter group by providing the name as a parameter. By default, only the events occurring within the last hour are returned; however, you can retrieve up to 14 days' worth of events if necessary.","ref":"aws_memorydb.html#describe_events/2","title":"aws_memorydb.describe_events/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#describe_events/3","title":"aws_memorydb.describe_events/3","type":"function"},{"doc":"Returns a list of parameter group descriptions. If a parameter group name is specified, the list contains only the descriptions for that group.","ref":"aws_memorydb.html#describe_parameter_groups/2","title":"aws_memorydb.describe_parameter_groups/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#describe_parameter_groups/3","title":"aws_memorydb.describe_parameter_groups/3","type":"function"},{"doc":"Returns the detailed parameter list for a particular parameter group.","ref":"aws_memorydb.html#describe_parameters/2","title":"aws_memorydb.describe_parameters/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#describe_parameters/3","title":"aws_memorydb.describe_parameters/3","type":"function"},{"doc":"Returns information about reserved nodes for this account, or about a specified reserved node.","ref":"aws_memorydb.html#describe_reserved_nodes/2","title":"aws_memorydb.describe_reserved_nodes/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#describe_reserved_nodes/3","title":"aws_memorydb.describe_reserved_nodes/3","type":"function"},{"doc":"Lists available reserved node offerings.","ref":"aws_memorydb.html#describe_reserved_nodes_offerings/2","title":"aws_memorydb.describe_reserved_nodes_offerings/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#describe_reserved_nodes_offerings/3","title":"aws_memorydb.describe_reserved_nodes_offerings/3","type":"function"},{"doc":"Returns details of the service updates","ref":"aws_memorydb.html#describe_service_updates/2","title":"aws_memorydb.describe_service_updates/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#describe_service_updates/3","title":"aws_memorydb.describe_service_updates/3","type":"function"},{"doc":"Returns information about cluster snapshots. By default, DescribeSnapshots lists all of your snapshots; it can optionally describe a single snapshot, or just the snapshots associated with a particular cluster.","ref":"aws_memorydb.html#describe_snapshots/2","title":"aws_memorydb.describe_snapshots/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#describe_snapshots/3","title":"aws_memorydb.describe_snapshots/3","type":"function"},{"doc":"Returns a list of subnet group descriptions. If a subnet group name is specified, the list contains only the description of that group.","ref":"aws_memorydb.html#describe_subnet_groups/2","title":"aws_memorydb.describe_subnet_groups/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#describe_subnet_groups/3","title":"aws_memorydb.describe_subnet_groups/3","type":"function"},{"doc":"Returns a list of users.","ref":"aws_memorydb.html#describe_users/2","title":"aws_memorydb.describe_users/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#describe_users/3","title":"aws_memorydb.describe_users/3","type":"function"},{"doc":"Used to failover a shard. This API is designed for testing the behavior of your application in case of MemoryDB failover. It is not designed to be used as a production-level tool for initiating a failover to overcome a problem you may have with the cluster. Moreover, in certain conditions such as large scale operational events, Amazon may block this API.","ref":"aws_memorydb.html#failover_shard/2","title":"aws_memorydb.failover_shard/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#failover_shard/3","title":"aws_memorydb.failover_shard/3","type":"function"},{"doc":"Lists all available node types that you can scale to from your cluster's current node type. When you use the UpdateCluster operation to scale your cluster, the value of the NodeType parameter must be one of the node types returned by this operation.","ref":"aws_memorydb.html#list_allowed_node_type_updates/2","title":"aws_memorydb.list_allowed_node_type_updates/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#list_allowed_node_type_updates/3","title":"aws_memorydb.list_allowed_node_type_updates/3","type":"function"},{"doc":"Lists all tags currently on a named resource. A tag is a key-value pair where the key and value are case-sensitive. You can use tags to categorize and track your MemoryDB resources. For more information, see Tagging your MemoryDB resources","ref":"aws_memorydb.html#list_tags/2","title":"aws_memorydb.list_tags/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#list_tags/3","title":"aws_memorydb.list_tags/3","type":"function"},{"doc":"Allows you to purchase a reserved node offering. Reserved nodes are not eligible for cancellation and are non-refundable.","ref":"aws_memorydb.html#purchase_reserved_nodes_offering/2","title":"aws_memorydb.purchase_reserved_nodes_offering/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#purchase_reserved_nodes_offering/3","title":"aws_memorydb.purchase_reserved_nodes_offering/3","type":"function"},{"doc":"Modifies the parameters of a parameter group to the engine or system default value. You can reset specific parameters by submitting a list of parameter names. To reset the entire parameter group, specify the AllParameters and ParameterGroupName parameters.","ref":"aws_memorydb.html#reset_parameter_group/2","title":"aws_memorydb.reset_parameter_group/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#reset_parameter_group/3","title":"aws_memorydb.reset_parameter_group/3","type":"function"},{"doc":"A tag is a key-value pair where the key and value are case-sensitive. You can use tags to categorize and track all your MemoryDB resources. When you add or remove tags on clusters, those actions will be replicated to all nodes in the cluster. For more information, see Resource-level permissions. For example, you can use cost-allocation tags to your MemoryDB resources, Amazon generates a cost allocation report as a comma-separated value (CSV) file with your usage and costs aggregated by your tags. You can apply tags that represent business categories (such as cost centers, application names, or owners) to organize your costs across multiple services. For more information, see Using Cost Allocation Tags.","ref":"aws_memorydb.html#tag_resource/2","title":"aws_memorydb.tag_resource/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#tag_resource/3","title":"aws_memorydb.tag_resource/3","type":"function"},{"doc":"Use this operation to remove tags on a resource","ref":"aws_memorydb.html#untag_resource/2","title":"aws_memorydb.untag_resource/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#untag_resource/3","title":"aws_memorydb.untag_resource/3","type":"function"},{"doc":"Changes the list of users that belong to the Access Control List.","ref":"aws_memorydb.html#update_acl/2","title":"aws_memorydb.update_acl/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#update_acl/3","title":"aws_memorydb.update_acl/3","type":"function"},{"doc":"Modifies the settings for a cluster. You can use this operation to change one or more cluster configuration settings by specifying the settings and the new values.","ref":"aws_memorydb.html#update_cluster/2","title":"aws_memorydb.update_cluster/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#update_cluster/3","title":"aws_memorydb.update_cluster/3","type":"function"},{"doc":"Updates the parameters of a parameter group. You can modify up to 20 parameters in a single request by submitting a list parameter name and value pairs.","ref":"aws_memorydb.html#update_parameter_group/2","title":"aws_memorydb.update_parameter_group/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#update_parameter_group/3","title":"aws_memorydb.update_parameter_group/3","type":"function"},{"doc":"Updates a subnet group. For more information, see Updating a subnet group","ref":"aws_memorydb.html#update_subnet_group/2","title":"aws_memorydb.update_subnet_group/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#update_subnet_group/3","title":"aws_memorydb.update_subnet_group/3","type":"function"},{"doc":"Changes user password(s) and/or access string.","ref":"aws_memorydb.html#update_user/2","title":"aws_memorydb.update_user/2","type":"function"},{"doc":"","ref":"aws_memorydb.html#update_user/3","title":"aws_memorydb.update_user/3","type":"function"},{"doc":"The Application Migration Service service.","ref":"aws_mgn.html","title":"aws_mgn","type":"module"},{"doc":"Archive application.","ref":"aws_mgn.html#archive_application/2","title":"aws_mgn.archive_application/2","type":"function"},{"doc":"","ref":"aws_mgn.html#archive_application/3","title":"aws_mgn.archive_application/3","type":"function"},{"doc":"Archive wave.","ref":"aws_mgn.html#archive_wave/2","title":"aws_mgn.archive_wave/2","type":"function"},{"doc":"","ref":"aws_mgn.html#archive_wave/3","title":"aws_mgn.archive_wave/3","type":"function"},{"doc":"Associate applications to wave.","ref":"aws_mgn.html#associate_applications/2","title":"aws_mgn.associate_applications/2","type":"function"},{"doc":"","ref":"aws_mgn.html#associate_applications/3","title":"aws_mgn.associate_applications/3","type":"function"},{"doc":"Associate source servers to application.","ref":"aws_mgn.html#associate_source_servers/2","title":"aws_mgn.associate_source_servers/2","type":"function"},{"doc":"","ref":"aws_mgn.html#associate_source_servers/3","title":"aws_mgn.associate_source_servers/3","type":"function"},{"doc":"Allows the user to set the SourceServer.LifeCycle.state property for specific Source Server IDs to one of the following: READY_FOR_TEST or READY_FOR_CUTOVER. This command only works if the Source Server is already launchable (dataReplicationInfo.lagDuration is not null.)","ref":"aws_mgn.html#change_server_life_cycle_state/2","title":"aws_mgn.change_server_life_cycle_state/2","type":"function"},{"doc":"","ref":"aws_mgn.html#change_server_life_cycle_state/3","title":"aws_mgn.change_server_life_cycle_state/3","type":"function"},{"doc":"Create application.","ref":"aws_mgn.html#create_application/2","title":"aws_mgn.create_application/2","type":"function"},{"doc":"","ref":"aws_mgn.html#create_application/3","title":"aws_mgn.create_application/3","type":"function"},{"doc":"Creates a new Launch Configuration Template.","ref":"aws_mgn.html#create_launch_configuration_template/2","title":"aws_mgn.create_launch_configuration_template/2","type":"function"},{"doc":"","ref":"aws_mgn.html#create_launch_configuration_template/3","title":"aws_mgn.create_launch_configuration_template/3","type":"function"},{"doc":"Creates a new ReplicationConfigurationTemplate.","ref":"aws_mgn.html#create_replication_configuration_template/2","title":"aws_mgn.create_replication_configuration_template/2","type":"function"},{"doc":"","ref":"aws_mgn.html#create_replication_configuration_template/3","title":"aws_mgn.create_replication_configuration_template/3","type":"function"},{"doc":"Create wave.","ref":"aws_mgn.html#create_wave/2","title":"aws_mgn.create_wave/2","type":"function"},{"doc":"","ref":"aws_mgn.html#create_wave/3","title":"aws_mgn.create_wave/3","type":"function"},{"doc":"Delete application.","ref":"aws_mgn.html#delete_application/2","title":"aws_mgn.delete_application/2","type":"function"},{"doc":"","ref":"aws_mgn.html#delete_application/3","title":"aws_mgn.delete_application/3","type":"function"},{"doc":"Deletes a single Job by ID.","ref":"aws_mgn.html#delete_job/2","title":"aws_mgn.delete_job/2","type":"function"},{"doc":"","ref":"aws_mgn.html#delete_job/3","title":"aws_mgn.delete_job/3","type":"function"},{"doc":"Deletes a single Launch Configuration Template by ID.","ref":"aws_mgn.html#delete_launch_configuration_template/2","title":"aws_mgn.delete_launch_configuration_template/2","type":"function"},{"doc":"","ref":"aws_mgn.html#delete_launch_configuration_template/3","title":"aws_mgn.delete_launch_configuration_template/3","type":"function"},{"doc":"Deletes a single Replication Configuration Template by ID","ref":"aws_mgn.html#delete_replication_configuration_template/2","title":"aws_mgn.delete_replication_configuration_template/2","type":"function"},{"doc":"","ref":"aws_mgn.html#delete_replication_configuration_template/3","title":"aws_mgn.delete_replication_configuration_template/3","type":"function"},{"doc":"Deletes a single source server by ID.","ref":"aws_mgn.html#delete_source_server/2","title":"aws_mgn.delete_source_server/2","type":"function"},{"doc":"","ref":"aws_mgn.html#delete_source_server/3","title":"aws_mgn.delete_source_server/3","type":"function"},{"doc":"Deletes a given vCenter client by ID.","ref":"aws_mgn.html#delete_vcenter_client/2","title":"aws_mgn.delete_vcenter_client/2","type":"function"},{"doc":"","ref":"aws_mgn.html#delete_vcenter_client/3","title":"aws_mgn.delete_vcenter_client/3","type":"function"},{"doc":"Delete wave.","ref":"aws_mgn.html#delete_wave/2","title":"aws_mgn.delete_wave/2","type":"function"},{"doc":"","ref":"aws_mgn.html#delete_wave/3","title":"aws_mgn.delete_wave/3","type":"function"},{"doc":"Retrieves detailed job log items with paging.","ref":"aws_mgn.html#describe_job_log_items/2","title":"aws_mgn.describe_job_log_items/2","type":"function"},{"doc":"","ref":"aws_mgn.html#describe_job_log_items/3","title":"aws_mgn.describe_job_log_items/3","type":"function"},{"doc":"Returns a list of Jobs. Use the JobsID and fromDate and toData filters to limit which jobs are returned. The response is sorted by creationDataTime - latest date first. Jobs are normally created by the StartTest, StartCutover, and TerminateTargetInstances APIs. Jobs are also created by DiagnosticLaunch and TerminateDiagnosticInstances, which are APIs available only to *Support* and only used in response to relevant support tickets.","ref":"aws_mgn.html#describe_jobs/2","title":"aws_mgn.describe_jobs/2","type":"function"},{"doc":"","ref":"aws_mgn.html#describe_jobs/3","title":"aws_mgn.describe_jobs/3","type":"function"},{"doc":"Lists all Launch Configuration Templates, filtered by Launch Configuration Template IDs","ref":"aws_mgn.html#describe_launch_configuration_templates/2","title":"aws_mgn.describe_launch_configuration_templates/2","type":"function"},{"doc":"","ref":"aws_mgn.html#describe_launch_configuration_templates/3","title":"aws_mgn.describe_launch_configuration_templates/3","type":"function"},{"doc":"Lists all ReplicationConfigurationTemplates, filtered by Source Server IDs.","ref":"aws_mgn.html#describe_replication_configuration_templates/2","title":"aws_mgn.describe_replication_configuration_templates/2","type":"function"},{"doc":"","ref":"aws_mgn.html#describe_replication_configuration_templates/3","title":"aws_mgn.describe_replication_configuration_templates/3","type":"function"},{"doc":"Retrieves all SourceServers or multiple SourceServers by ID.","ref":"aws_mgn.html#describe_source_servers/2","title":"aws_mgn.describe_source_servers/2","type":"function"},{"doc":"","ref":"aws_mgn.html#describe_source_servers/3","title":"aws_mgn.describe_source_servers/3","type":"function"},{"doc":"Returns a list of the installed vCenter clients.","ref":"aws_mgn.html#describe_vcenter_clients/1","title":"aws_mgn.describe_vcenter_clients/1","type":"function"},{"doc":"","ref":"aws_mgn.html#describe_vcenter_clients/3","title":"aws_mgn.describe_vcenter_clients/3","type":"function"},{"doc":"","ref":"aws_mgn.html#describe_vcenter_clients/4","title":"aws_mgn.describe_vcenter_clients/4","type":"function"},{"doc":"Disassociate applications from wave.","ref":"aws_mgn.html#disassociate_applications/2","title":"aws_mgn.disassociate_applications/2","type":"function"},{"doc":"","ref":"aws_mgn.html#disassociate_applications/3","title":"aws_mgn.disassociate_applications/3","type":"function"},{"doc":"Disassociate source servers from application.","ref":"aws_mgn.html#disassociate_source_servers/2","title":"aws_mgn.disassociate_source_servers/2","type":"function"},{"doc":"","ref":"aws_mgn.html#disassociate_source_servers/3","title":"aws_mgn.disassociate_source_servers/3","type":"function"},{"doc":"Disconnects specific Source Servers from Application Migration Service. Data replication is stopped immediately. All AWS resources created by Application Migration Service for enabling the replication of these source servers will be terminated / deleted within 90 minutes. Launched Test or Cutover instances will NOT be terminated. If the agent on the source server has not been prevented from communicating with the Application Migration Service service, then it will receive a command to uninstall itself (within approximately 10 minutes). The following properties of the SourceServer will be changed immediately: dataReplicationInfo.dataReplicationState will be set to DISCONNECTED; The totalStorageBytes property for each of dataReplicationInfo.replicatedDisks will be set to zero; dataReplicationInfo.lagDuration and dataReplicationInfo.lagDuration will be nullified.","ref":"aws_mgn.html#disconnect_from_service/2","title":"aws_mgn.disconnect_from_service/2","type":"function"},{"doc":"","ref":"aws_mgn.html#disconnect_from_service/3","title":"aws_mgn.disconnect_from_service/3","type":"function"},{"doc":"Finalizes the cutover immediately for specific Source Servers. All AWS resources created by Application Migration Service for enabling the replication of these source servers will be terminated / deleted within 90 minutes. Launched Test or Cutover instances will NOT be terminated. The AWS Replication Agent will receive a command to uninstall itself (within 10 minutes). The following properties of the SourceServer will be changed immediately: dataReplicationInfo.dataReplicationState will be changed to DISCONNECTED; The SourceServer.lifeCycle.state will be changed to CUTOVER; The totalStorageBytes property fo each of dataReplicationInfo.replicatedDisks will be set to zero; dataReplicationInfo.lagDuration and dataReplicationInfo.lagDuration will be nullified.","ref":"aws_mgn.html#finalize_cutover/2","title":"aws_mgn.finalize_cutover/2","type":"function"},{"doc":"","ref":"aws_mgn.html#finalize_cutover/3","title":"aws_mgn.finalize_cutover/3","type":"function"},{"doc":"Lists all LaunchConfigurations available, filtered by Source Server IDs.","ref":"aws_mgn.html#get_launch_configuration/2","title":"aws_mgn.get_launch_configuration/2","type":"function"},{"doc":"","ref":"aws_mgn.html#get_launch_configuration/3","title":"aws_mgn.get_launch_configuration/3","type":"function"},{"doc":"Lists all ReplicationConfigurations, filtered by Source Server ID.","ref":"aws_mgn.html#get_replication_configuration/2","title":"aws_mgn.get_replication_configuration/2","type":"function"},{"doc":"","ref":"aws_mgn.html#get_replication_configuration/3","title":"aws_mgn.get_replication_configuration/3","type":"function"},{"doc":"Initialize Application Migration Service.","ref":"aws_mgn.html#initialize_service/2","title":"aws_mgn.initialize_service/2","type":"function"},{"doc":"","ref":"aws_mgn.html#initialize_service/3","title":"aws_mgn.initialize_service/3","type":"function"},{"doc":"Retrieves all applications or multiple applications by ID.","ref":"aws_mgn.html#list_applications/2","title":"aws_mgn.list_applications/2","type":"function"},{"doc":"","ref":"aws_mgn.html#list_applications/3","title":"aws_mgn.list_applications/3","type":"function"},{"doc":"List source server post migration custom actions.","ref":"aws_mgn.html#list_source_server_actions/2","title":"aws_mgn.list_source_server_actions/2","type":"function"},{"doc":"","ref":"aws_mgn.html#list_source_server_actions/3","title":"aws_mgn.list_source_server_actions/3","type":"function"},{"doc":"List all tags for your Application Migration Service resources.","ref":"aws_mgn.html#list_tags_for_resource/2","title":"aws_mgn.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_mgn.html#list_tags_for_resource/4","title":"aws_mgn.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_mgn.html#list_tags_for_resource/5","title":"aws_mgn.list_tags_for_resource/5","type":"function"},{"doc":"List template post migration custom actions.","ref":"aws_mgn.html#list_template_actions/2","title":"aws_mgn.list_template_actions/2","type":"function"},{"doc":"","ref":"aws_mgn.html#list_template_actions/3","title":"aws_mgn.list_template_actions/3","type":"function"},{"doc":"Retrieves all waves or multiple waves by ID.","ref":"aws_mgn.html#list_waves/2","title":"aws_mgn.list_waves/2","type":"function"},{"doc":"","ref":"aws_mgn.html#list_waves/3","title":"aws_mgn.list_waves/3","type":"function"},{"doc":"Archives specific Source Servers by setting the SourceServer.isArchived property to true for specified SourceServers by ID. This command only works for SourceServers with a lifecycle. state which equals DISCONNECTED or CUTOVER.","ref":"aws_mgn.html#mark_as_archived/2","title":"aws_mgn.mark_as_archived/2","type":"function"},{"doc":"","ref":"aws_mgn.html#mark_as_archived/3","title":"aws_mgn.mark_as_archived/3","type":"function"},{"doc":"Put source server post migration custom action.","ref":"aws_mgn.html#put_source_server_action/2","title":"aws_mgn.put_source_server_action/2","type":"function"},{"doc":"","ref":"aws_mgn.html#put_source_server_action/3","title":"aws_mgn.put_source_server_action/3","type":"function"},{"doc":"Put template post migration custom action.","ref":"aws_mgn.html#put_template_action/2","title":"aws_mgn.put_template_action/2","type":"function"},{"doc":"","ref":"aws_mgn.html#put_template_action/3","title":"aws_mgn.put_template_action/3","type":"function"},{"doc":"Remove source server post migration custom action.","ref":"aws_mgn.html#remove_source_server_action/2","title":"aws_mgn.remove_source_server_action/2","type":"function"},{"doc":"","ref":"aws_mgn.html#remove_source_server_action/3","title":"aws_mgn.remove_source_server_action/3","type":"function"},{"doc":"Remove template post migration custom action.","ref":"aws_mgn.html#remove_template_action/2","title":"aws_mgn.remove_template_action/2","type":"function"},{"doc":"","ref":"aws_mgn.html#remove_template_action/3","title":"aws_mgn.remove_template_action/3","type":"function"},{"doc":"Causes the data replication initiation sequence to begin immediately upon next Handshake for specified SourceServer IDs, regardless of when the previous initiation started. This command will not work if the SourceServer is not stalled or is in a DISCONNECTED or STOPPED state.","ref":"aws_mgn.html#retry_data_replication/2","title":"aws_mgn.retry_data_replication/2","type":"function"},{"doc":"","ref":"aws_mgn.html#retry_data_replication/3","title":"aws_mgn.retry_data_replication/3","type":"function"},{"doc":"Launches a Cutover Instance for specific Source Servers. This command starts a LAUNCH job whose initiatedBy property is StartCutover and changes the SourceServer.lifeCycle.state property to CUTTING_OVER.","ref":"aws_mgn.html#start_cutover/2","title":"aws_mgn.start_cutover/2","type":"function"},{"doc":"","ref":"aws_mgn.html#start_cutover/3","title":"aws_mgn.start_cutover/3","type":"function"},{"doc":"Starts replication for SNAPSHOT_SHIPPING agents.","ref":"aws_mgn.html#start_replication/2","title":"aws_mgn.start_replication/2","type":"function"},{"doc":"","ref":"aws_mgn.html#start_replication/3","title":"aws_mgn.start_replication/3","type":"function"},{"doc":"Launches a Test Instance for specific Source Servers. This command starts a LAUNCH job whose initiatedBy property is StartTest and changes the SourceServer.lifeCycle.state property to TESTING.","ref":"aws_mgn.html#start_test/2","title":"aws_mgn.start_test/2","type":"function"},{"doc":"","ref":"aws_mgn.html#start_test/3","title":"aws_mgn.start_test/3","type":"function"},{"doc":"Adds or overwrites only the specified tags for the specified Application Migration Service resource or resources. When you specify an existing tag key, the value is overwritten with the new value. Each resource can have a maximum of 50 tags. Each tag consists of a key and optional value.","ref":"aws_mgn.html#tag_resource/3","title":"aws_mgn.tag_resource/3","type":"function"},{"doc":"","ref":"aws_mgn.html#tag_resource/4","title":"aws_mgn.tag_resource/4","type":"function"},{"doc":"Starts a job that terminates specific launched EC2 Test and Cutover instances. This command will not work for any Source Server with a lifecycle.state of TESTING, CUTTING_OVER, or CUTOVER.","ref":"aws_mgn.html#terminate_target_instances/2","title":"aws_mgn.terminate_target_instances/2","type":"function"},{"doc":"","ref":"aws_mgn.html#terminate_target_instances/3","title":"aws_mgn.terminate_target_instances/3","type":"function"},{"doc":"Unarchive application.","ref":"aws_mgn.html#unarchive_application/2","title":"aws_mgn.unarchive_application/2","type":"function"},{"doc":"","ref":"aws_mgn.html#unarchive_application/3","title":"aws_mgn.unarchive_application/3","type":"function"},{"doc":"Unarchive wave.","ref":"aws_mgn.html#unarchive_wave/2","title":"aws_mgn.unarchive_wave/2","type":"function"},{"doc":"","ref":"aws_mgn.html#unarchive_wave/3","title":"aws_mgn.unarchive_wave/3","type":"function"},{"doc":"Deletes the specified set of tags from the specified set of Application Migration Service resources.","ref":"aws_mgn.html#untag_resource/3","title":"aws_mgn.untag_resource/3","type":"function"},{"doc":"","ref":"aws_mgn.html#untag_resource/4","title":"aws_mgn.untag_resource/4","type":"function"},{"doc":"Update application.","ref":"aws_mgn.html#update_application/2","title":"aws_mgn.update_application/2","type":"function"},{"doc":"","ref":"aws_mgn.html#update_application/3","title":"aws_mgn.update_application/3","type":"function"},{"doc":"Updates multiple LaunchConfigurations by Source Server ID.","ref":"aws_mgn.html#update_launch_configuration/2","title":"aws_mgn.update_launch_configuration/2","type":"function"},{"doc":"","ref":"aws_mgn.html#update_launch_configuration/3","title":"aws_mgn.update_launch_configuration/3","type":"function"},{"doc":"Updates an existing Launch Configuration Template by ID.","ref":"aws_mgn.html#update_launch_configuration_template/2","title":"aws_mgn.update_launch_configuration_template/2","type":"function"},{"doc":"","ref":"aws_mgn.html#update_launch_configuration_template/3","title":"aws_mgn.update_launch_configuration_template/3","type":"function"},{"doc":"Allows you to update multiple ReplicationConfigurations by Source Server ID.","ref":"aws_mgn.html#update_replication_configuration/2","title":"aws_mgn.update_replication_configuration/2","type":"function"},{"doc":"","ref":"aws_mgn.html#update_replication_configuration/3","title":"aws_mgn.update_replication_configuration/3","type":"function"},{"doc":"Updates multiple ReplicationConfigurationTemplates by ID.","ref":"aws_mgn.html#update_replication_configuration_template/2","title":"aws_mgn.update_replication_configuration_template/2","type":"function"},{"doc":"","ref":"aws_mgn.html#update_replication_configuration_template/3","title":"aws_mgn.update_replication_configuration_template/3","type":"function"},{"doc":"Allows you to change between the AGENT_BASED replication type and the SNAPSHOT_SHIPPING replication type.","ref":"aws_mgn.html#update_source_server_replication_type/2","title":"aws_mgn.update_source_server_replication_type/2","type":"function"},{"doc":"","ref":"aws_mgn.html#update_source_server_replication_type/3","title":"aws_mgn.update_source_server_replication_type/3","type":"function"},{"doc":"Update wave.","ref":"aws_mgn.html#update_wave/2","title":"aws_mgn.update_wave/2","type":"function"},{"doc":"","ref":"aws_mgn.html#update_wave/3","title":"aws_mgn.update_wave/3","type":"function"},{"doc":"The AWS Migration Hub API methods help to obtain server and application migration status and integrate your resource-specific migration tool by providing a programmatic interface to Migration Hub. Remember that you must set your AWS Migration Hub home region before you call any of these APIs, or a HomeRegionNotSetException error will be returned. Also, you must make the API calls while in your home region.","ref":"aws_migration_hub.html","title":"aws_migration_hub","type":"module"},{"doc":"Associates a created artifact of an AWS cloud resource, the target receiving the migration, with the migration task performed by a migration tool. This API has the following traits: Migration tools can call the AssociateCreatedArtifact operation to indicate which AWS artifact is associated with a migration task. The created artifact name must be provided in ARN (Amazon Resource Name) format which will contain information about type and region; for example: arn:aws:ec2:us-east-1:488216288981:image/ami-6d0ba87b . Examples of the AWS resource behind the created artifact are, AMI's, EC2 instance, or DMS endpoint, etc.","ref":"aws_migration_hub.html#associate_created_artifact/2","title":"aws_migration_hub.associate_created_artifact/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#associate_created_artifact/3","title":"aws_migration_hub.associate_created_artifact/3","type":"function"},{"doc":"Associates a discovered resource ID from Application Discovery Service with a migration task.","ref":"aws_migration_hub.html#associate_discovered_resource/2","title":"aws_migration_hub.associate_discovered_resource/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#associate_discovered_resource/3","title":"aws_migration_hub.associate_discovered_resource/3","type":"function"},{"doc":"Creates a progress update stream which is an AWS resource used for access control as well as a namespace for migration task names that is implicitly linked to your AWS account. It must uniquely identify the migration tool as it is used for all updates made by the tool; however, it does not need to be unique for each AWS account because it is scoped to the AWS account.","ref":"aws_migration_hub.html#create_progress_update_stream/2","title":"aws_migration_hub.create_progress_update_stream/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#create_progress_update_stream/3","title":"aws_migration_hub.create_progress_update_stream/3","type":"function"},{"doc":"Deletes a progress update stream, including all of its tasks, which was previously created as an AWS resource used for access control. This API has the following traits: The only parameter needed for DeleteProgressUpdateStream is the stream name (same as a CreateProgressUpdateStream call). The call will return, and a background process will asynchronously delete the stream and all of its resources (tasks, associated resources, resource attributes, created artifacts). If the stream takes time to be deleted, it might still show up on a ListProgressUpdateStreams call. CreateProgressUpdateStream , ImportMigrationTask , NotifyMigrationTaskState , and all Associate[*] APIs related to the tasks belonging to the stream will throw &quot;InvalidInputException&quot; if the stream of the same name is in the process of being deleted. Once the stream and all of its resources are deleted, CreateProgressUpdateStream for a stream of the same name will succeed, and that stream will be an entirely new logical resource (without any resources associated with the old stream).","ref":"aws_migration_hub.html#delete_progress_update_stream/2","title":"aws_migration_hub.delete_progress_update_stream/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#delete_progress_update_stream/3","title":"aws_migration_hub.delete_progress_update_stream/3","type":"function"},{"doc":"Gets the migration status of an application.","ref":"aws_migration_hub.html#describe_application_state/2","title":"aws_migration_hub.describe_application_state/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#describe_application_state/3","title":"aws_migration_hub.describe_application_state/3","type":"function"},{"doc":"Retrieves a list of all attributes associated with a specific migration task.","ref":"aws_migration_hub.html#describe_migration_task/2","title":"aws_migration_hub.describe_migration_task/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#describe_migration_task/3","title":"aws_migration_hub.describe_migration_task/3","type":"function"},{"doc":"Disassociates a created artifact of an AWS resource with a migration task performed by a migration tool that was previously associated. This API has the following traits: A migration user can call the DisassociateCreatedArtifacts operation to disassociate a created AWS Artifact from a migration task. The created artifact name must be provided in ARN (Amazon Resource Name) format which will contain information about type and region; for example: arn:aws:ec2:us-east-1:488216288981:image/ami-6d0ba87b . Examples of the AWS resource behind the created artifact are, AMI's, EC2 instance, or RDS instance, etc.","ref":"aws_migration_hub.html#disassociate_created_artifact/2","title":"aws_migration_hub.disassociate_created_artifact/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#disassociate_created_artifact/3","title":"aws_migration_hub.disassociate_created_artifact/3","type":"function"},{"doc":"Disassociate an Application Discovery Service discovered resource from a migration task.","ref":"aws_migration_hub.html#disassociate_discovered_resource/2","title":"aws_migration_hub.disassociate_discovered_resource/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#disassociate_discovered_resource/3","title":"aws_migration_hub.disassociate_discovered_resource/3","type":"function"},{"doc":"Registers a new migration task which represents a server, database, etc., being migrated to AWS by a migration tool. This API is a prerequisite to calling the NotifyMigrationTaskState API as the migration tool must first register the migration task with Migration Hub.","ref":"aws_migration_hub.html#import_migration_task/2","title":"aws_migration_hub.import_migration_task/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#import_migration_task/3","title":"aws_migration_hub.import_migration_task/3","type":"function"},{"doc":"Lists all the migration statuses for your applications. If you use the optional ApplicationIds parameter, only the migration statuses for those applications will be returned.","ref":"aws_migration_hub.html#list_application_states/2","title":"aws_migration_hub.list_application_states/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#list_application_states/3","title":"aws_migration_hub.list_application_states/3","type":"function"},{"doc":"Lists the created artifacts attached to a given migration task in an update stream. This API has the following traits: Gets the list of the created artifacts while migration is taking place. Shows the artifacts created by the migration tool that was associated by the AssociateCreatedArtifact API. Lists created artifacts in a paginated interface.","ref":"aws_migration_hub.html#list_created_artifacts/2","title":"aws_migration_hub.list_created_artifacts/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#list_created_artifacts/3","title":"aws_migration_hub.list_created_artifacts/3","type":"function"},{"doc":"Lists discovered resources associated with the given MigrationTask .","ref":"aws_migration_hub.html#list_discovered_resources/2","title":"aws_migration_hub.list_discovered_resources/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#list_discovered_resources/3","title":"aws_migration_hub.list_discovered_resources/3","type":"function"},{"doc":"Lists all, or filtered by resource name, migration tasks associated with the user account making this call. This API has the following traits: Can show a summary list of the most recent migration tasks. Can show a summary list of migration tasks associated with a given discovered resource. Lists migration tasks in a paginated interface.","ref":"aws_migration_hub.html#list_migration_tasks/2","title":"aws_migration_hub.list_migration_tasks/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#list_migration_tasks/3","title":"aws_migration_hub.list_migration_tasks/3","type":"function"},{"doc":"Lists progress update streams associated with the user account making this call.","ref":"aws_migration_hub.html#list_progress_update_streams/2","title":"aws_migration_hub.list_progress_update_streams/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#list_progress_update_streams/3","title":"aws_migration_hub.list_progress_update_streams/3","type":"function"},{"doc":"Sets the migration state of an application. For a given application identified by the value passed to ApplicationId , its status is set or updated by passing one of three values to Status : NOT_STARTED | IN_PROGRESS | COMPLETED .","ref":"aws_migration_hub.html#notify_application_state/2","title":"aws_migration_hub.notify_application_state/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#notify_application_state/3","title":"aws_migration_hub.notify_application_state/3","type":"function"},{"doc":"Notifies Migration Hub of the current status, progress, or other detail regarding a migration task. This API has the following traits: Migration tools will call the NotifyMigrationTaskState API to share the latest progress and status. MigrationTaskName is used for addressing updates to the correct target. ProgressUpdateStream is used for access control and to provide a namespace for each migration tool.","ref":"aws_migration_hub.html#notify_migration_task_state/2","title":"aws_migration_hub.notify_migration_task_state/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#notify_migration_task_state/3","title":"aws_migration_hub.notify_migration_task_state/3","type":"function"},{"doc":"Provides identifying details of the resource being migrated so that it can be associated in the Application Discovery Service repository. This association occurs asynchronously after PutResourceAttributes returns. Keep in mind that subsequent calls to PutResourceAttributes will override previously stored attributes. For example, if it is first called with a MAC address, but later, it is desired to add an IP address, it will then be required to call it with both the IP and MAC addresses to prevent overriding the MAC address. Note the instructions regarding the special use case of the ResourceAttributeList parameter when specifying any &quot;VM&quot; related value. Because this is an asynchronous call, it will always return 200, whether an association occurs or not. To confirm if an association was found based on the provided details, call ListDiscoveredResources .","ref":"aws_migration_hub.html#put_resource_attributes/2","title":"aws_migration_hub.put_resource_attributes/2","type":"function"},{"doc":"","ref":"aws_migration_hub.html#put_resource_attributes/3","title":"aws_migration_hub.put_resource_attributes/3","type":"function"},{"doc":"Amazon Web Services Migration Hub Refactor Spaces This API reference provides descriptions, syntax, and other details about each of the actions and data types for Amazon Web Services Migration Hub Refactor Spaces (Refactor Spaces). The topic for each action shows the API request parameters and the response. Alternatively, you can use one of the Amazon Web Services SDKs to access an API that is tailored to the programming language or platform that you're using. For more information, see Amazon Web Services SDKs. To share Refactor Spaces environments with other Amazon Web Services accounts or with Organizations and their OUs, use Resource Access Manager's CreateResourceShare API. See CreateResourceShare in the Amazon Web Services RAM API Reference.","ref":"aws_migration_hub_refactor_spaces.html","title":"aws_migration_hub_refactor_spaces","type":"module"},{"doc":"Creates an Amazon Web Services Migration Hub Refactor Spaces application. The account that owns the environment also owns the applications created inside the environment, regardless of the account that creates the application. Refactor Spaces provisions an Amazon API Gateway, API Gateway VPC link, and Network Load Balancer for the application proxy inside your account.","ref":"aws_migration_hub_refactor_spaces.html#create_application/3","title":"aws_migration_hub_refactor_spaces.create_application/3","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#create_application/4","title":"aws_migration_hub_refactor_spaces.create_application/4","type":"function"},{"doc":"Creates an Amazon Web Services Migration Hub Refactor Spaces environment. The caller owns the environment resource, and all Refactor Spaces applications, services, and routes created within the environment. They are referred to as the environment owner. The environment owner has cross-account visibility and control of Refactor Spaces resources that are added to the environment by other accounts that the environment is shared with. When creating an environment with a network fabric type of TRANSIT_GATEWAY , Refactor Spaces provisions a transit gateway in your account.","ref":"aws_migration_hub_refactor_spaces.html#create_environment/2","title":"aws_migration_hub_refactor_spaces.create_environment/2","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#create_environment/3","title":"aws_migration_hub_refactor_spaces.create_environment/3","type":"function"},{"doc":"Creates an Amazon Web Services Migration Hub Refactor Spaces route. The account owner of the service resource is always the environment owner, regardless of which account creates the route. Routes target a service in the application. If an application does not have any routes, then the first route must be created as a DEFAULT RouteType . When created, the default route defaults to an active state so state is not a required input. However, like all other state values the state of the default route can be updated after creation, but only when all other routes are also inactive. Conversely, no route can be active without the default route also being active. When you create a route, Refactor Spaces configures the Amazon API Gateway to send traffic to the target service as follows: If the service has a URL endpoint, and the endpoint resolves to a private IP address, Refactor Spaces routes traffic using the API Gateway VPC link. If the service has a URL endpoint, and the endpoint resolves to a public IP address, Refactor Spaces routes traffic over the public internet. If the service has an Lambda function endpoint, then Refactor Spaces configures the Lambda function's resource policy to allow the application's API Gateway to invoke the function. A one-time health check is performed on the service when either the route is updated from inactive to active, or when it is created with an active state. If the health check fails, the route transitions the route state to FAILED , an error code of SERVICE_ENDPOINT_HEALTH_CHECK_FAILURE is provided, and no traffic is sent to the service. For Lambda functions, the Lambda function state is checked. If the function is not active, the function configuration is updated so that Lambda resources are provisioned. If the Lambda state is Failed , then the route creation fails. For more information, see the GetFunctionConfiguration's State response parameter in the Lambda Developer Guide. For Lambda endpoints, a check is performed to determine that a Lambda function with the specified ARN exists. If it does not exist, the health check fails. For public URLs, a connection is opened to the public endpoint. If the URL is not reachable, the health check fails. Refactor Spaces automatically resolves the public Domain Name System (DNS) names that are set in CreateServiceRequest$UrlEndpoint when you create a service. The DNS names resolve when the DNS time-to-live (TTL) expires, or every 60 seconds for TTLs less than 60 seconds. This periodic DNS resolution ensures that the route configuration remains up-to-date. For private URLS, a target group is created on the Elastic Load Balancing and the target group health check is run. The HealthCheckProtocol , HealthCheckPort , and HealthCheckPath are the same protocol, port, and path specified in the URL or health URL, if used. All other settings use the default values, as described in Health checks for your target groups. The health check is considered successful if at least one target within the target group transitions to a healthy state. Services can have HTTP or HTTPS URL endpoints. For HTTPS URLs, publicly-signed certificates are supported. Private Certificate Authorities (CAs) are permitted only if the CA's domain is also publicly resolvable.","ref":"aws_migration_hub_refactor_spaces.html#create_route/4","title":"aws_migration_hub_refactor_spaces.create_route/4","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#create_route/5","title":"aws_migration_hub_refactor_spaces.create_route/5","type":"function"},{"doc":"Creates an Amazon Web Services Migration Hub Refactor Spaces service. The account owner of the service is always the environment owner, regardless of which account in the environment creates the service. Services have either a URL endpoint in a virtual private cloud (VPC), or a Lambda function endpoint. If an Amazon Web Services resource is launched in a service VPC, and you want it to be accessible to all of an environment’s services with VPCs and routes, apply the RefactorSpacesSecurityGroup to the resource. Alternatively, to add more cross-account constraints, apply your own security group.","ref":"aws_migration_hub_refactor_spaces.html#create_service/4","title":"aws_migration_hub_refactor_spaces.create_service/4","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#create_service/5","title":"aws_migration_hub_refactor_spaces.create_service/5","type":"function"},{"doc":"Deletes an Amazon Web Services Migration Hub Refactor Spaces application. Before you can delete an application, you must first delete any services or routes within the application.","ref":"aws_migration_hub_refactor_spaces.html#delete_application/4","title":"aws_migration_hub_refactor_spaces.delete_application/4","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#delete_application/5","title":"aws_migration_hub_refactor_spaces.delete_application/5","type":"function"},{"doc":"Deletes an Amazon Web Services Migration Hub Refactor Spaces environment. Before you can delete an environment, you must first delete any applications and services within the environment.","ref":"aws_migration_hub_refactor_spaces.html#delete_environment/3","title":"aws_migration_hub_refactor_spaces.delete_environment/3","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#delete_environment/4","title":"aws_migration_hub_refactor_spaces.delete_environment/4","type":"function"},{"doc":"Deletes the resource policy set for the environment.","ref":"aws_migration_hub_refactor_spaces.html#delete_resource_policy/3","title":"aws_migration_hub_refactor_spaces.delete_resource_policy/3","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#delete_resource_policy/4","title":"aws_migration_hub_refactor_spaces.delete_resource_policy/4","type":"function"},{"doc":"Deletes an Amazon Web Services Migration Hub Refactor Spaces route.","ref":"aws_migration_hub_refactor_spaces.html#delete_route/5","title":"aws_migration_hub_refactor_spaces.delete_route/5","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#delete_route/6","title":"aws_migration_hub_refactor_spaces.delete_route/6","type":"function"},{"doc":"Deletes an Amazon Web Services Migration Hub Refactor Spaces service.","ref":"aws_migration_hub_refactor_spaces.html#delete_service/5","title":"aws_migration_hub_refactor_spaces.delete_service/5","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#delete_service/6","title":"aws_migration_hub_refactor_spaces.delete_service/6","type":"function"},{"doc":"Gets an Amazon Web Services Migration Hub Refactor Spaces application.","ref":"aws_migration_hub_refactor_spaces.html#get_application/3","title":"aws_migration_hub_refactor_spaces.get_application/3","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#get_application/5","title":"aws_migration_hub_refactor_spaces.get_application/5","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#get_application/6","title":"aws_migration_hub_refactor_spaces.get_application/6","type":"function"},{"doc":"Gets an Amazon Web Services Migration Hub Refactor Spaces environment.","ref":"aws_migration_hub_refactor_spaces.html#get_environment/2","title":"aws_migration_hub_refactor_spaces.get_environment/2","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#get_environment/4","title":"aws_migration_hub_refactor_spaces.get_environment/4","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#get_environment/5","title":"aws_migration_hub_refactor_spaces.get_environment/5","type":"function"},{"doc":"Gets the resource-based permission policy that is set for the given environment.","ref":"aws_migration_hub_refactor_spaces.html#get_resource_policy/2","title":"aws_migration_hub_refactor_spaces.get_resource_policy/2","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#get_resource_policy/4","title":"aws_migration_hub_refactor_spaces.get_resource_policy/4","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#get_resource_policy/5","title":"aws_migration_hub_refactor_spaces.get_resource_policy/5","type":"function"},{"doc":"Gets an Amazon Web Services Migration Hub Refactor Spaces route.","ref":"aws_migration_hub_refactor_spaces.html#get_route/4","title":"aws_migration_hub_refactor_spaces.get_route/4","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#get_route/6","title":"aws_migration_hub_refactor_spaces.get_route/6","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#get_route/7","title":"aws_migration_hub_refactor_spaces.get_route/7","type":"function"},{"doc":"Gets an Amazon Web Services Migration Hub Refactor Spaces service.","ref":"aws_migration_hub_refactor_spaces.html#get_service/4","title":"aws_migration_hub_refactor_spaces.get_service/4","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#get_service/6","title":"aws_migration_hub_refactor_spaces.get_service/6","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#get_service/7","title":"aws_migration_hub_refactor_spaces.get_service/7","type":"function"},{"doc":"Lists all the Amazon Web Services Migration Hub Refactor Spaces applications within an environment.","ref":"aws_migration_hub_refactor_spaces.html#list_applications/2","title":"aws_migration_hub_refactor_spaces.list_applications/2","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#list_applications/4","title":"aws_migration_hub_refactor_spaces.list_applications/4","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#list_applications/5","title":"aws_migration_hub_refactor_spaces.list_applications/5","type":"function"},{"doc":"Lists all Amazon Web Services Migration Hub Refactor Spaces service virtual private clouds (VPCs) that are part of the environment.","ref":"aws_migration_hub_refactor_spaces.html#list_environment_vpcs/2","title":"aws_migration_hub_refactor_spaces.list_environment_vpcs/2","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#list_environment_vpcs/4","title":"aws_migration_hub_refactor_spaces.list_environment_vpcs/4","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#list_environment_vpcs/5","title":"aws_migration_hub_refactor_spaces.list_environment_vpcs/5","type":"function"},{"doc":"Lists Amazon Web Services Migration Hub Refactor Spaces environments owned by a caller account or shared with the caller account.","ref":"aws_migration_hub_refactor_spaces.html#list_environments/1","title":"aws_migration_hub_refactor_spaces.list_environments/1","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#list_environments/3","title":"aws_migration_hub_refactor_spaces.list_environments/3","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#list_environments/4","title":"aws_migration_hub_refactor_spaces.list_environments/4","type":"function"},{"doc":"Lists all the Amazon Web Services Migration Hub Refactor Spaces routes within an application.","ref":"aws_migration_hub_refactor_spaces.html#list_routes/3","title":"aws_migration_hub_refactor_spaces.list_routes/3","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#list_routes/5","title":"aws_migration_hub_refactor_spaces.list_routes/5","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#list_routes/6","title":"aws_migration_hub_refactor_spaces.list_routes/6","type":"function"},{"doc":"Lists all the Amazon Web Services Migration Hub Refactor Spaces services within an application.","ref":"aws_migration_hub_refactor_spaces.html#list_services/3","title":"aws_migration_hub_refactor_spaces.list_services/3","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#list_services/5","title":"aws_migration_hub_refactor_spaces.list_services/5","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#list_services/6","title":"aws_migration_hub_refactor_spaces.list_services/6","type":"function"},{"doc":"Lists the tags of a resource. The caller account must be the same as the resource’s OwnerAccountId . Listing tags in other accounts is not supported.","ref":"aws_migration_hub_refactor_spaces.html#list_tags_for_resource/2","title":"aws_migration_hub_refactor_spaces.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#list_tags_for_resource/4","title":"aws_migration_hub_refactor_spaces.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#list_tags_for_resource/5","title":"aws_migration_hub_refactor_spaces.list_tags_for_resource/5","type":"function"},{"doc":"Attaches a resource-based permission policy to the Amazon Web Services Migration Hub Refactor Spaces environment. The policy must contain the same actions and condition statements as the arn:aws:ram::aws:permission/AWSRAMDefaultPermissionRefactorSpacesEnvironment permission in Resource Access Manager. The policy must not contain new lines or blank lines.","ref":"aws_migration_hub_refactor_spaces.html#put_resource_policy/2","title":"aws_migration_hub_refactor_spaces.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#put_resource_policy/3","title":"aws_migration_hub_refactor_spaces.put_resource_policy/3","type":"function"},{"doc":"Removes the tags of a given resource. Tags are metadata which can be used to manage a resource. To tag a resource, the caller account must be the same as the resource’s OwnerAccountId . Tagging resources in other accounts is not supported. Amazon Web Services Migration Hub Refactor Spaces does not propagate tags to orchestrated resources, such as an environment’s transit gateway.","ref":"aws_migration_hub_refactor_spaces.html#tag_resource/3","title":"aws_migration_hub_refactor_spaces.tag_resource/3","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#tag_resource/4","title":"aws_migration_hub_refactor_spaces.tag_resource/4","type":"function"},{"doc":"Adds to or modifies the tags of the given resource. Tags are metadata which can be used to manage a resource. To untag a resource, the caller account must be the same as the resource’s OwnerAccountId . Untagging resources across accounts is not supported.","ref":"aws_migration_hub_refactor_spaces.html#untag_resource/3","title":"aws_migration_hub_refactor_spaces.untag_resource/3","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#untag_resource/4","title":"aws_migration_hub_refactor_spaces.untag_resource/4","type":"function"},{"doc":"Updates an Amazon Web Services Migration Hub Refactor Spaces route.","ref":"aws_migration_hub_refactor_spaces.html#update_route/5","title":"aws_migration_hub_refactor_spaces.update_route/5","type":"function"},{"doc":"","ref":"aws_migration_hub_refactor_spaces.html#update_route/6","title":"aws_migration_hub_refactor_spaces.update_route/6","type":"function"},{"doc":"The AWS Migration Hub home region APIs are available specifically for working with your Migration Hub home region. You can use these APIs to determine a home region, as well as to create and work with controls that describe the home region. You must make API calls for write actions (create, notify, associate, disassociate, import, or put) while in your home region, or a HomeRegionNotSetException error is returned. API calls for read actions (list, describe, stop, and delete) are permitted outside of your home region. If you call a write API outside the home region, an InvalidInputException is returned. You can call GetHomeRegion action to obtain the account's Migration Hub home region. For specific API usage, see the sections that follow in this AWS Migration Hub Home Region API reference.","ref":"aws_migrationhub_config.html","title":"aws_migrationhub_config","type":"module"},{"doc":"This API sets up the home region for the calling account only.","ref":"aws_migrationhub_config.html#create_home_region_control/2","title":"aws_migrationhub_config.create_home_region_control/2","type":"function"},{"doc":"","ref":"aws_migrationhub_config.html#create_home_region_control/3","title":"aws_migrationhub_config.create_home_region_control/3","type":"function"},{"doc":"This API permits filtering on the ControlId and HomeRegion fields.","ref":"aws_migrationhub_config.html#describe_home_region_controls/2","title":"aws_migrationhub_config.describe_home_region_controls/2","type":"function"},{"doc":"","ref":"aws_migrationhub_config.html#describe_home_region_controls/3","title":"aws_migrationhub_config.describe_home_region_controls/3","type":"function"},{"doc":"Returns the calling account’s home region, if configured. This API is used by other AWS services to determine the regional endpoint for calling AWS Application Discovery Service and Migration Hub. You must call GetHomeRegion at least once before you call any other AWS Application Discovery Service and AWS Migration Hub APIs, to obtain the account's Migration Hub home region.","ref":"aws_migrationhub_config.html#get_home_region/2","title":"aws_migrationhub_config.get_home_region/2","type":"function"},{"doc":"","ref":"aws_migrationhub_config.html#get_home_region/3","title":"aws_migrationhub_config.get_home_region/3","type":"function"},{"doc":"This API reference provides descriptions, syntax, and other details about each of the actions and data types for AWS Migration Hub Orchestrator. he topic for each action shows the API request parameters and the response. Alternatively, you can use one of the AWS SDKs to access an API that is tailored to the programming language or platform that you're using.","ref":"aws_migrationhuborchestrator.html","title":"aws_migrationhuborchestrator","type":"module"},{"doc":"Create a workflow to orchestrate your migrations.","ref":"aws_migrationhuborchestrator.html#create_workflow/2","title":"aws_migrationhuborchestrator.create_workflow/2","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#create_workflow/3","title":"aws_migrationhuborchestrator.create_workflow/3","type":"function"},{"doc":"Create a step in the migration workflow.","ref":"aws_migrationhuborchestrator.html#create_workflow_step/2","title":"aws_migrationhuborchestrator.create_workflow_step/2","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#create_workflow_step/3","title":"aws_migrationhuborchestrator.create_workflow_step/3","type":"function"},{"doc":"Create a step group in a migration workflow.","ref":"aws_migrationhuborchestrator.html#create_workflow_step_group/2","title":"aws_migrationhuborchestrator.create_workflow_step_group/2","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#create_workflow_step_group/3","title":"aws_migrationhuborchestrator.create_workflow_step_group/3","type":"function"},{"doc":"Delete a migration workflow. You must pause a running workflow in Migration Hub Orchestrator console to delete it.","ref":"aws_migrationhuborchestrator.html#delete_workflow/3","title":"aws_migrationhuborchestrator.delete_workflow/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#delete_workflow/4","title":"aws_migrationhuborchestrator.delete_workflow/4","type":"function"},{"doc":"Delete a step in a migration workflow. Pause the workflow to delete a running step.","ref":"aws_migrationhuborchestrator.html#delete_workflow_step/3","title":"aws_migrationhuborchestrator.delete_workflow_step/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#delete_workflow_step/4","title":"aws_migrationhuborchestrator.delete_workflow_step/4","type":"function"},{"doc":"Delete a step group in a migration workflow.","ref":"aws_migrationhuborchestrator.html#delete_workflow_step_group/3","title":"aws_migrationhuborchestrator.delete_workflow_step_group/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#delete_workflow_step_group/4","title":"aws_migrationhuborchestrator.delete_workflow_step_group/4","type":"function"},{"doc":"Get the template you want to use for creating a migration workflow.","ref":"aws_migrationhuborchestrator.html#get_template/2","title":"aws_migrationhuborchestrator.get_template/2","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#get_template/4","title":"aws_migrationhuborchestrator.get_template/4","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#get_template/5","title":"aws_migrationhuborchestrator.get_template/5","type":"function"},{"doc":"Get a specific step in a template.","ref":"aws_migrationhuborchestrator.html#get_template_step/4","title":"aws_migrationhuborchestrator.get_template_step/4","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#get_template_step/6","title":"aws_migrationhuborchestrator.get_template_step/6","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#get_template_step/7","title":"aws_migrationhuborchestrator.get_template_step/7","type":"function"},{"doc":"Get a step group in a template.","ref":"aws_migrationhuborchestrator.html#get_template_step_group/3","title":"aws_migrationhuborchestrator.get_template_step_group/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#get_template_step_group/5","title":"aws_migrationhuborchestrator.get_template_step_group/5","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#get_template_step_group/6","title":"aws_migrationhuborchestrator.get_template_step_group/6","type":"function"},{"doc":"Get migration workflow.","ref":"aws_migrationhuborchestrator.html#get_workflow/2","title":"aws_migrationhuborchestrator.get_workflow/2","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#get_workflow/4","title":"aws_migrationhuborchestrator.get_workflow/4","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#get_workflow/5","title":"aws_migrationhuborchestrator.get_workflow/5","type":"function"},{"doc":"Get a step in the migration workflow.","ref":"aws_migrationhuborchestrator.html#get_workflow_step/4","title":"aws_migrationhuborchestrator.get_workflow_step/4","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#get_workflow_step/6","title":"aws_migrationhuborchestrator.get_workflow_step/6","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#get_workflow_step/7","title":"aws_migrationhuborchestrator.get_workflow_step/7","type":"function"},{"doc":"Get the step group of a migration workflow.","ref":"aws_migrationhuborchestrator.html#get_workflow_step_group/3","title":"aws_migrationhuborchestrator.get_workflow_step_group/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#get_workflow_step_group/5","title":"aws_migrationhuborchestrator.get_workflow_step_group/5","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#get_workflow_step_group/6","title":"aws_migrationhuborchestrator.get_workflow_step_group/6","type":"function"},{"doc":"List AWS Migration Hub Orchestrator plugins.","ref":"aws_migrationhuborchestrator.html#list_plugins/1","title":"aws_migrationhuborchestrator.list_plugins/1","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_plugins/3","title":"aws_migrationhuborchestrator.list_plugins/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_plugins/4","title":"aws_migrationhuborchestrator.list_plugins/4","type":"function"},{"doc":"List the tags added to a resource.","ref":"aws_migrationhuborchestrator.html#list_tags_for_resource/2","title":"aws_migrationhuborchestrator.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_tags_for_resource/4","title":"aws_migrationhuborchestrator.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_tags_for_resource/5","title":"aws_migrationhuborchestrator.list_tags_for_resource/5","type":"function"},{"doc":"List the step groups in a template.","ref":"aws_migrationhuborchestrator.html#list_template_step_groups/2","title":"aws_migrationhuborchestrator.list_template_step_groups/2","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_template_step_groups/4","title":"aws_migrationhuborchestrator.list_template_step_groups/4","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_template_step_groups/5","title":"aws_migrationhuborchestrator.list_template_step_groups/5","type":"function"},{"doc":"List the steps in a template.","ref":"aws_migrationhuborchestrator.html#list_template_steps/3","title":"aws_migrationhuborchestrator.list_template_steps/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_template_steps/5","title":"aws_migrationhuborchestrator.list_template_steps/5","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_template_steps/6","title":"aws_migrationhuborchestrator.list_template_steps/6","type":"function"},{"doc":"List the templates available in Migration Hub Orchestrator to create a migration workflow.","ref":"aws_migrationhuborchestrator.html#list_templates/1","title":"aws_migrationhuborchestrator.list_templates/1","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_templates/3","title":"aws_migrationhuborchestrator.list_templates/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_templates/4","title":"aws_migrationhuborchestrator.list_templates/4","type":"function"},{"doc":"List the step groups in a migration workflow.","ref":"aws_migrationhuborchestrator.html#list_workflow_step_groups/2","title":"aws_migrationhuborchestrator.list_workflow_step_groups/2","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_workflow_step_groups/4","title":"aws_migrationhuborchestrator.list_workflow_step_groups/4","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_workflow_step_groups/5","title":"aws_migrationhuborchestrator.list_workflow_step_groups/5","type":"function"},{"doc":"List the steps in a workflow.","ref":"aws_migrationhuborchestrator.html#list_workflow_steps/3","title":"aws_migrationhuborchestrator.list_workflow_steps/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_workflow_steps/5","title":"aws_migrationhuborchestrator.list_workflow_steps/5","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_workflow_steps/6","title":"aws_migrationhuborchestrator.list_workflow_steps/6","type":"function"},{"doc":"List the migration workflows.","ref":"aws_migrationhuborchestrator.html#list_workflows/1","title":"aws_migrationhuborchestrator.list_workflows/1","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_workflows/3","title":"aws_migrationhuborchestrator.list_workflows/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#list_workflows/4","title":"aws_migrationhuborchestrator.list_workflows/4","type":"function"},{"doc":"Retry a failed step in a migration workflow.","ref":"aws_migrationhuborchestrator.html#retry_workflow_step/3","title":"aws_migrationhuborchestrator.retry_workflow_step/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#retry_workflow_step/4","title":"aws_migrationhuborchestrator.retry_workflow_step/4","type":"function"},{"doc":"Start a migration workflow.","ref":"aws_migrationhuborchestrator.html#start_workflow/3","title":"aws_migrationhuborchestrator.start_workflow/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#start_workflow/4","title":"aws_migrationhuborchestrator.start_workflow/4","type":"function"},{"doc":"Stop an ongoing migration workflow.","ref":"aws_migrationhuborchestrator.html#stop_workflow/3","title":"aws_migrationhuborchestrator.stop_workflow/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#stop_workflow/4","title":"aws_migrationhuborchestrator.stop_workflow/4","type":"function"},{"doc":"Tag a resource by specifying its Amazon Resource Name (ARN).","ref":"aws_migrationhuborchestrator.html#tag_resource/3","title":"aws_migrationhuborchestrator.tag_resource/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#tag_resource/4","title":"aws_migrationhuborchestrator.tag_resource/4","type":"function"},{"doc":"Deletes the tags for a resource.","ref":"aws_migrationhuborchestrator.html#untag_resource/3","title":"aws_migrationhuborchestrator.untag_resource/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#untag_resource/4","title":"aws_migrationhuborchestrator.untag_resource/4","type":"function"},{"doc":"Update a migration workflow.","ref":"aws_migrationhuborchestrator.html#update_workflow/3","title":"aws_migrationhuborchestrator.update_workflow/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#update_workflow/4","title":"aws_migrationhuborchestrator.update_workflow/4","type":"function"},{"doc":"Update a step in a migration workflow.","ref":"aws_migrationhuborchestrator.html#update_workflow_step/3","title":"aws_migrationhuborchestrator.update_workflow_step/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#update_workflow_step/4","title":"aws_migrationhuborchestrator.update_workflow_step/4","type":"function"},{"doc":"Update the step group in a migration workflow.","ref":"aws_migrationhuborchestrator.html#update_workflow_step_group/3","title":"aws_migrationhuborchestrator.update_workflow_step_group/3","type":"function"},{"doc":"","ref":"aws_migrationhuborchestrator.html#update_workflow_step_group/4","title":"aws_migrationhuborchestrator.update_workflow_step_group/4","type":"function"},{"doc":"Migration Hub Strategy Recommendations &lt;p&gt;This API reference provides descriptions, syntax, and other details about each of the actions and data types for Migration Hub Strategy Recommendations (Strategy Recommendations). The topic for each action shows the API request parameters and the response. Alternatively, you can use one of the AWS SDKs to access an API that is tailored to the programming language or platform that you're using. For more information, see &lt;a href=&quot;http://aws.amazon.com/tools/#SDKs&quot;&gt;AWS SDKs&lt;/a&gt;.&lt;/p&gt;","ref":"aws_migrationhubstrategy.html","title":"aws_migrationhubstrategy","type":"module"},{"doc":"Retrieves details about an application component.","ref":"aws_migrationhubstrategy.html#get_application_component_details/2","title":"aws_migrationhubstrategy.get_application_component_details/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_application_component_details/4","title":"aws_migrationhubstrategy.get_application_component_details/4","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_application_component_details/5","title":"aws_migrationhubstrategy.get_application_component_details/5","type":"function"},{"doc":"Retrieves a list of all the recommended strategies and tools for an application component running on a server.","ref":"aws_migrationhubstrategy.html#get_application_component_strategies/2","title":"aws_migrationhubstrategy.get_application_component_strategies/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_application_component_strategies/4","title":"aws_migrationhubstrategy.get_application_component_strategies/4","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_application_component_strategies/5","title":"aws_migrationhubstrategy.get_application_component_strategies/5","type":"function"},{"doc":"Retrieves the status of an on-going assessment.","ref":"aws_migrationhubstrategy.html#get_assessment/2","title":"aws_migrationhubstrategy.get_assessment/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_assessment/4","title":"aws_migrationhubstrategy.get_assessment/4","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_assessment/5","title":"aws_migrationhubstrategy.get_assessment/5","type":"function"},{"doc":"Retrieves the details about a specific import task.","ref":"aws_migrationhubstrategy.html#get_import_file_task/2","title":"aws_migrationhubstrategy.get_import_file_task/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_import_file_task/4","title":"aws_migrationhubstrategy.get_import_file_task/4","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_import_file_task/5","title":"aws_migrationhubstrategy.get_import_file_task/5","type":"function"},{"doc":"Retrieve the latest ID of a specific assessment task.","ref":"aws_migrationhubstrategy.html#get_latest_assessment_id/1","title":"aws_migrationhubstrategy.get_latest_assessment_id/1","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_latest_assessment_id/3","title":"aws_migrationhubstrategy.get_latest_assessment_id/3","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_latest_assessment_id/4","title":"aws_migrationhubstrategy.get_latest_assessment_id/4","type":"function"},{"doc":"Retrieves your migration and modernization preferences.","ref":"aws_migrationhubstrategy.html#get_portfolio_preferences/1","title":"aws_migrationhubstrategy.get_portfolio_preferences/1","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_portfolio_preferences/3","title":"aws_migrationhubstrategy.get_portfolio_preferences/3","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_portfolio_preferences/4","title":"aws_migrationhubstrategy.get_portfolio_preferences/4","type":"function"},{"doc":"Retrieves overall summary including the number of servers to rehost and the overall number of anti-patterns.","ref":"aws_migrationhubstrategy.html#get_portfolio_summary/1","title":"aws_migrationhubstrategy.get_portfolio_summary/1","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_portfolio_summary/3","title":"aws_migrationhubstrategy.get_portfolio_summary/3","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_portfolio_summary/4","title":"aws_migrationhubstrategy.get_portfolio_summary/4","type":"function"},{"doc":"Retrieves detailed information about the specified recommendation report.","ref":"aws_migrationhubstrategy.html#get_recommendation_report_details/2","title":"aws_migrationhubstrategy.get_recommendation_report_details/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_recommendation_report_details/4","title":"aws_migrationhubstrategy.get_recommendation_report_details/4","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_recommendation_report_details/5","title":"aws_migrationhubstrategy.get_recommendation_report_details/5","type":"function"},{"doc":"Retrieves detailed information about a specified server.","ref":"aws_migrationhubstrategy.html#get_server_details/2","title":"aws_migrationhubstrategy.get_server_details/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_server_details/4","title":"aws_migrationhubstrategy.get_server_details/4","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_server_details/5","title":"aws_migrationhubstrategy.get_server_details/5","type":"function"},{"doc":"Retrieves recommended strategies and tools for the specified server.","ref":"aws_migrationhubstrategy.html#get_server_strategies/2","title":"aws_migrationhubstrategy.get_server_strategies/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_server_strategies/4","title":"aws_migrationhubstrategy.get_server_strategies/4","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#get_server_strategies/5","title":"aws_migrationhubstrategy.get_server_strategies/5","type":"function"},{"doc":"Retrieves a list of all the application components (processes).","ref":"aws_migrationhubstrategy.html#list_application_components/2","title":"aws_migrationhubstrategy.list_application_components/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#list_application_components/3","title":"aws_migrationhubstrategy.list_application_components/3","type":"function"},{"doc":"Retrieves a list of all the installed collectors.","ref":"aws_migrationhubstrategy.html#list_collectors/1","title":"aws_migrationhubstrategy.list_collectors/1","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#list_collectors/3","title":"aws_migrationhubstrategy.list_collectors/3","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#list_collectors/4","title":"aws_migrationhubstrategy.list_collectors/4","type":"function"},{"doc":"Retrieves a list of all the imports performed.","ref":"aws_migrationhubstrategy.html#list_import_file_task/1","title":"aws_migrationhubstrategy.list_import_file_task/1","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#list_import_file_task/3","title":"aws_migrationhubstrategy.list_import_file_task/3","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#list_import_file_task/4","title":"aws_migrationhubstrategy.list_import_file_task/4","type":"function"},{"doc":"Returns a list of all the servers.","ref":"aws_migrationhubstrategy.html#list_servers/2","title":"aws_migrationhubstrategy.list_servers/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#list_servers/3","title":"aws_migrationhubstrategy.list_servers/3","type":"function"},{"doc":"Saves the specified migration and modernization preferences.","ref":"aws_migrationhubstrategy.html#put_portfolio_preferences/2","title":"aws_migrationhubstrategy.put_portfolio_preferences/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#put_portfolio_preferences/3","title":"aws_migrationhubstrategy.put_portfolio_preferences/3","type":"function"},{"doc":"Starts the assessment of an on-premises environment.","ref":"aws_migrationhubstrategy.html#start_assessment/2","title":"aws_migrationhubstrategy.start_assessment/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#start_assessment/3","title":"aws_migrationhubstrategy.start_assessment/3","type":"function"},{"doc":"Starts a file import.","ref":"aws_migrationhubstrategy.html#start_import_file_task/2","title":"aws_migrationhubstrategy.start_import_file_task/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#start_import_file_task/3","title":"aws_migrationhubstrategy.start_import_file_task/3","type":"function"},{"doc":"Starts generating a recommendation report.","ref":"aws_migrationhubstrategy.html#start_recommendation_report_generation/2","title":"aws_migrationhubstrategy.start_recommendation_report_generation/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#start_recommendation_report_generation/3","title":"aws_migrationhubstrategy.start_recommendation_report_generation/3","type":"function"},{"doc":"Stops the assessment of an on-premises environment.","ref":"aws_migrationhubstrategy.html#stop_assessment/2","title":"aws_migrationhubstrategy.stop_assessment/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#stop_assessment/3","title":"aws_migrationhubstrategy.stop_assessment/3","type":"function"},{"doc":"Updates the configuration of an application component.","ref":"aws_migrationhubstrategy.html#update_application_component_config/2","title":"aws_migrationhubstrategy.update_application_component_config/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#update_application_component_config/3","title":"aws_migrationhubstrategy.update_application_component_config/3","type":"function"},{"doc":"Updates the configuration of the specified server.","ref":"aws_migrationhubstrategy.html#update_server_config/2","title":"aws_migrationhubstrategy.update_server_config/2","type":"function"},{"doc":"","ref":"aws_migrationhubstrategy.html#update_server_config/3","title":"aws_migrationhubstrategy.update_server_config/3","type":"function"},{"doc":"AWS Mobile Service provides mobile app and website developers with capabilities required to configure AWS resources and bootstrap their developer desktop projects with the necessary SDKs, constants, tools and samples to make use of those resources.","ref":"aws_mobile.html","title":"aws_mobile","type":"module"},{"doc":"Creates an AWS Mobile Hub project.","ref":"aws_mobile.html#create_project/2","title":"aws_mobile.create_project/2","type":"function"},{"doc":"","ref":"aws_mobile.html#create_project/3","title":"aws_mobile.create_project/3","type":"function"},{"doc":"Delets a project in AWS Mobile Hub.","ref":"aws_mobile.html#delete_project/3","title":"aws_mobile.delete_project/3","type":"function"},{"doc":"","ref":"aws_mobile.html#delete_project/4","title":"aws_mobile.delete_project/4","type":"function"},{"doc":"Get the bundle details for the requested bundle id.","ref":"aws_mobile.html#describe_bundle/2","title":"aws_mobile.describe_bundle/2","type":"function"},{"doc":"","ref":"aws_mobile.html#describe_bundle/4","title":"aws_mobile.describe_bundle/4","type":"function"},{"doc":"","ref":"aws_mobile.html#describe_bundle/5","title":"aws_mobile.describe_bundle/5","type":"function"},{"doc":"Gets details about a project in AWS Mobile Hub.","ref":"aws_mobile.html#describe_project/2","title":"aws_mobile.describe_project/2","type":"function"},{"doc":"","ref":"aws_mobile.html#describe_project/4","title":"aws_mobile.describe_project/4","type":"function"},{"doc":"","ref":"aws_mobile.html#describe_project/5","title":"aws_mobile.describe_project/5","type":"function"},{"doc":"Generates customized software development kit (SDK) and or tool packages used to integrate mobile web or mobile app clients with backend AWS resources.","ref":"aws_mobile.html#export_bundle/3","title":"aws_mobile.export_bundle/3","type":"function"},{"doc":"","ref":"aws_mobile.html#export_bundle/4","title":"aws_mobile.export_bundle/4","type":"function"},{"doc":"Exports project configuration to a snapshot which can be downloaded and shared. Note that mobile app push credentials are encrypted in exported projects, so they can only be shared successfully within the same AWS account.","ref":"aws_mobile.html#export_project/3","title":"aws_mobile.export_project/3","type":"function"},{"doc":"","ref":"aws_mobile.html#export_project/4","title":"aws_mobile.export_project/4","type":"function"},{"doc":"List all available bundles.","ref":"aws_mobile.html#list_bundles/1","title":"aws_mobile.list_bundles/1","type":"function"},{"doc":"","ref":"aws_mobile.html#list_bundles/3","title":"aws_mobile.list_bundles/3","type":"function"},{"doc":"","ref":"aws_mobile.html#list_bundles/4","title":"aws_mobile.list_bundles/4","type":"function"},{"doc":"Lists projects in AWS Mobile Hub.","ref":"aws_mobile.html#list_projects/1","title":"aws_mobile.list_projects/1","type":"function"},{"doc":"","ref":"aws_mobile.html#list_projects/3","title":"aws_mobile.list_projects/3","type":"function"},{"doc":"","ref":"aws_mobile.html#list_projects/4","title":"aws_mobile.list_projects/4","type":"function"},{"doc":"Update an existing project.","ref":"aws_mobile.html#update_project/2","title":"aws_mobile.update_project/2","type":"function"},{"doc":"","ref":"aws_mobile.html#update_project/3","title":"aws_mobile.update_project/3","type":"function"},{"doc":"Amazon Mobile Analytics is a service for collecting, visualizing, and understanding app usage data at scale.","ref":"aws_mobile_analytics.html","title":"aws_mobile_analytics","type":"module"},{"doc":"The PutEvents operation records one or more events. You can have up to 1,500 unique custom events per app, any combination of up to 40 attributes and metrics per custom event, and any number of attribute or metric values.","ref":"aws_mobile_analytics.html#put_events/2","title":"aws_mobile_analytics.put_events/2","type":"function"},{"doc":"","ref":"aws_mobile_analytics.html#put_events/3","title":"aws_mobile_analytics.put_events/3","type":"function"},{"doc":"Amazon Mobile Analytics is a service for collecting, visualizing, and understanding app usage data at scale.","ref":"aws_mobileanalytics.html","title":"aws_mobileanalytics","type":"module"},{"doc":"The PutEvents operation records one or more events. You can have up to 1,500 unique custom events per app, any combination of up to 40 attributes and metrics per custom event, and any number of attribute or metric values.","ref":"aws_mobileanalytics.html#put_events/2","title":"aws_mobileanalytics.put_events/2","type":"function"},{"doc":"","ref":"aws_mobileanalytics.html#put_events/3","title":"aws_mobileanalytics.put_events/3","type":"function"},{"doc":"Amazon MQ is a managed message broker service for Apache ActiveMQ and RabbitMQ that makes it easy to set up and operate message brokers in the cloud. A message broker allows software applications and components to communicate using various programming languages, operating systems, and formal messaging protocols.","ref":"aws_mq.html","title":"aws_mq","type":"module"},{"doc":"Creates a broker. Note: This API is asynchronous. To create a broker, you must either use the AmazonMQFullAccess IAM policy or include the following EC2 permissions in your IAM policy. ec2:CreateNetworkInterface This permission is required to allow Amazon MQ to create an elastic network interface (ENI) on behalf of your account. ec2:CreateNetworkInterfacePermission This permission is required to attach the ENI to the broker instance. ec2:DeleteNetworkInterface ec2:DeleteNetworkInterfacePermission ec2:DetachNetworkInterface ec2:DescribeInternetGateways ec2:DescribeNetworkInterfaces ec2:DescribeNetworkInterfacePermissions ec2:DescribeRouteTables ec2:DescribeSecurityGroups ec2:DescribeSubnets ec2:DescribeVpcs For more information, see Create an IAM User and Get Your AWS Credentials and Never Modify or Delete the Amazon MQ Elastic Network Interface in the Amazon MQ Developer Guide.","ref":"aws_mq.html#create_broker/2","title":"aws_mq.create_broker/2","type":"function"},{"doc":"","ref":"aws_mq.html#create_broker/3","title":"aws_mq.create_broker/3","type":"function"},{"doc":"Creates a new configuration for the specified configuration name. Amazon MQ uses the default configuration (the engine type and version).","ref":"aws_mq.html#create_configuration/2","title":"aws_mq.create_configuration/2","type":"function"},{"doc":"","ref":"aws_mq.html#create_configuration/3","title":"aws_mq.create_configuration/3","type":"function"},{"doc":"Add a tag to a resource.","ref":"aws_mq.html#create_tags/3","title":"aws_mq.create_tags/3","type":"function"},{"doc":"","ref":"aws_mq.html#create_tags/4","title":"aws_mq.create_tags/4","type":"function"},{"doc":"Creates an ActiveMQ user.","ref":"aws_mq.html#create_user/4","title":"aws_mq.create_user/4","type":"function"},{"doc":"","ref":"aws_mq.html#create_user/5","title":"aws_mq.create_user/5","type":"function"},{"doc":"Deletes a broker. Note: This API is asynchronous.","ref":"aws_mq.html#delete_broker/3","title":"aws_mq.delete_broker/3","type":"function"},{"doc":"","ref":"aws_mq.html#delete_broker/4","title":"aws_mq.delete_broker/4","type":"function"},{"doc":"Removes a tag from a resource.","ref":"aws_mq.html#delete_tags/3","title":"aws_mq.delete_tags/3","type":"function"},{"doc":"","ref":"aws_mq.html#delete_tags/4","title":"aws_mq.delete_tags/4","type":"function"},{"doc":"Deletes an ActiveMQ user.","ref":"aws_mq.html#delete_user/4","title":"aws_mq.delete_user/4","type":"function"},{"doc":"","ref":"aws_mq.html#delete_user/5","title":"aws_mq.delete_user/5","type":"function"},{"doc":"Returns information about the specified broker.","ref":"aws_mq.html#describe_broker/2","title":"aws_mq.describe_broker/2","type":"function"},{"doc":"","ref":"aws_mq.html#describe_broker/4","title":"aws_mq.describe_broker/4","type":"function"},{"doc":"","ref":"aws_mq.html#describe_broker/5","title":"aws_mq.describe_broker/5","type":"function"},{"doc":"Describe available engine types and versions.","ref":"aws_mq.html#describe_broker_engine_types/1","title":"aws_mq.describe_broker_engine_types/1","type":"function"},{"doc":"","ref":"aws_mq.html#describe_broker_engine_types/3","title":"aws_mq.describe_broker_engine_types/3","type":"function"},{"doc":"","ref":"aws_mq.html#describe_broker_engine_types/4","title":"aws_mq.describe_broker_engine_types/4","type":"function"},{"doc":"Describe available broker instance options.","ref":"aws_mq.html#describe_broker_instance_options/1","title":"aws_mq.describe_broker_instance_options/1","type":"function"},{"doc":"","ref":"aws_mq.html#describe_broker_instance_options/3","title":"aws_mq.describe_broker_instance_options/3","type":"function"},{"doc":"","ref":"aws_mq.html#describe_broker_instance_options/4","title":"aws_mq.describe_broker_instance_options/4","type":"function"},{"doc":"Returns information about the specified configuration.","ref":"aws_mq.html#describe_configuration/2","title":"aws_mq.describe_configuration/2","type":"function"},{"doc":"","ref":"aws_mq.html#describe_configuration/4","title":"aws_mq.describe_configuration/4","type":"function"},{"doc":"","ref":"aws_mq.html#describe_configuration/5","title":"aws_mq.describe_configuration/5","type":"function"},{"doc":"Returns the specified configuration revision for the specified configuration.","ref":"aws_mq.html#describe_configuration_revision/3","title":"aws_mq.describe_configuration_revision/3","type":"function"},{"doc":"","ref":"aws_mq.html#describe_configuration_revision/5","title":"aws_mq.describe_configuration_revision/5","type":"function"},{"doc":"","ref":"aws_mq.html#describe_configuration_revision/6","title":"aws_mq.describe_configuration_revision/6","type":"function"},{"doc":"Returns information about an ActiveMQ user.","ref":"aws_mq.html#describe_user/3","title":"aws_mq.describe_user/3","type":"function"},{"doc":"","ref":"aws_mq.html#describe_user/5","title":"aws_mq.describe_user/5","type":"function"},{"doc":"","ref":"aws_mq.html#describe_user/6","title":"aws_mq.describe_user/6","type":"function"},{"doc":"Returns a list of all brokers.","ref":"aws_mq.html#list_brokers/1","title":"aws_mq.list_brokers/1","type":"function"},{"doc":"","ref":"aws_mq.html#list_brokers/3","title":"aws_mq.list_brokers/3","type":"function"},{"doc":"","ref":"aws_mq.html#list_brokers/4","title":"aws_mq.list_brokers/4","type":"function"},{"doc":"Returns a list of all revisions for the specified configuration.","ref":"aws_mq.html#list_configuration_revisions/2","title":"aws_mq.list_configuration_revisions/2","type":"function"},{"doc":"","ref":"aws_mq.html#list_configuration_revisions/4","title":"aws_mq.list_configuration_revisions/4","type":"function"},{"doc":"","ref":"aws_mq.html#list_configuration_revisions/5","title":"aws_mq.list_configuration_revisions/5","type":"function"},{"doc":"Returns a list of all configurations.","ref":"aws_mq.html#list_configurations/1","title":"aws_mq.list_configurations/1","type":"function"},{"doc":"","ref":"aws_mq.html#list_configurations/3","title":"aws_mq.list_configurations/3","type":"function"},{"doc":"","ref":"aws_mq.html#list_configurations/4","title":"aws_mq.list_configurations/4","type":"function"},{"doc":"Lists tags for a resource.","ref":"aws_mq.html#list_tags/2","title":"aws_mq.list_tags/2","type":"function"},{"doc":"","ref":"aws_mq.html#list_tags/4","title":"aws_mq.list_tags/4","type":"function"},{"doc":"","ref":"aws_mq.html#list_tags/5","title":"aws_mq.list_tags/5","type":"function"},{"doc":"Returns a list of all ActiveMQ users.","ref":"aws_mq.html#list_users/2","title":"aws_mq.list_users/2","type":"function"},{"doc":"","ref":"aws_mq.html#list_users/4","title":"aws_mq.list_users/4","type":"function"},{"doc":"","ref":"aws_mq.html#list_users/5","title":"aws_mq.list_users/5","type":"function"},{"doc":"Reboots a broker. Note: This API is asynchronous.","ref":"aws_mq.html#reboot_broker/3","title":"aws_mq.reboot_broker/3","type":"function"},{"doc":"","ref":"aws_mq.html#reboot_broker/4","title":"aws_mq.reboot_broker/4","type":"function"},{"doc":"Adds a pending configuration change to a broker.","ref":"aws_mq.html#update_broker/3","title":"aws_mq.update_broker/3","type":"function"},{"doc":"","ref":"aws_mq.html#update_broker/4","title":"aws_mq.update_broker/4","type":"function"},{"doc":"Updates the specified configuration.","ref":"aws_mq.html#update_configuration/3","title":"aws_mq.update_configuration/3","type":"function"},{"doc":"","ref":"aws_mq.html#update_configuration/4","title":"aws_mq.update_configuration/4","type":"function"},{"doc":"Updates the information for an ActiveMQ user.","ref":"aws_mq.html#update_user/4","title":"aws_mq.update_user/4","type":"function"},{"doc":"","ref":"aws_mq.html#update_user/5","title":"aws_mq.update_user/5","type":"function"},{"doc":"Amazon Mechanical Turk API Reference","ref":"aws_mturk.html","title":"aws_mturk","type":"module"},{"doc":"The AcceptQualificationRequest operation approves a Worker's request for a Qualification. Only the owner of the Qualification type can grant a Qualification request for that type. A successful request for the AcceptQualificationRequest operation returns with no errors and an empty body.","ref":"aws_mturk.html#accept_qualification_request/2","title":"aws_mturk.accept_qualification_request/2","type":"function"},{"doc":"","ref":"aws_mturk.html#accept_qualification_request/3","title":"aws_mturk.accept_qualification_request/3","type":"function"},{"doc":"The ApproveAssignment operation approves the results of a completed assignment. Approving an assignment initiates two payments from the Requester's Amazon.com account The Worker who submitted the results is paid the reward specified in the HIT. Amazon Mechanical Turk fees are debited. If the Requester's account does not have adequate funds for these payments, the call to ApproveAssignment returns an exception, and the approval is not processed. You can include an optional feedback message with the approval, which the Worker can see in the Status section of the web site. You can also call this operation for assignments that were previous rejected and approve them by explicitly overriding the previous rejection. This only works on rejected assignments that were submitted within the previous 30 days and only if the assignment's related HIT has not been deleted.","ref":"aws_mturk.html#approve_assignment/2","title":"aws_mturk.approve_assignment/2","type":"function"},{"doc":"","ref":"aws_mturk.html#approve_assignment/3","title":"aws_mturk.approve_assignment/3","type":"function"},{"doc":"The AssociateQualificationWithWorker operation gives a Worker a Qualification. AssociateQualificationWithWorker does not require that the Worker submit a Qualification request. It gives the Qualification directly to the Worker. You can only assign a Qualification of a Qualification type that you created (using the CreateQualificationType operation). Note: AssociateQualificationWithWorker does not affect any pending Qualification requests for the Qualification by the Worker. If you assign a Qualification to a Worker, then later grant a Qualification request made by the Worker, the granting of the request may modify the Qualification score. To resolve a pending Qualification request without affecting the Qualification the Worker already has, reject the request with the RejectQualificationRequest operation.","ref":"aws_mturk.html#associate_qualification_with_worker/2","title":"aws_mturk.associate_qualification_with_worker/2","type":"function"},{"doc":"","ref":"aws_mturk.html#associate_qualification_with_worker/3","title":"aws_mturk.associate_qualification_with_worker/3","type":"function"},{"doc":"The CreateAdditionalAssignmentsForHIT operation increases the maximum number of assignments of an existing HIT. To extend the maximum number of assignments, specify the number of additional assignments. HITs created with fewer than 10 assignments cannot be extended to have 10 or more assignments. Attempting to add assignments in a way that brings the total number of assignments for a HIT from fewer than 10 assignments to 10 or more assignments will result in an AWS.MechanicalTurk.InvalidMaximumAssignmentsIncrease exception. HITs that were created before July 22, 2015 cannot be extended. Attempting to extend HITs that were created before July 22, 2015 will result in an AWS.MechanicalTurk.HITTooOldForExtension exception.","ref":"aws_mturk.html#create_additional_assignments_for_hit/2","title":"aws_mturk.create_additional_assignments_for_hit/2","type":"function"},{"doc":"","ref":"aws_mturk.html#create_additional_assignments_for_hit/3","title":"aws_mturk.create_additional_assignments_for_hit/3","type":"function"},{"doc":"The CreateHIT operation creates a new Human Intelligence Task (HIT). The new HIT is made available for Workers to find and accept on the Amazon Mechanical Turk website. This operation allows you to specify a new HIT by passing in values for the properties of the HIT, such as its title, reward amount and number of assignments. When you pass these values to CreateHIT , a new HIT is created for you, with a new HITTypeID . The HITTypeID can be used to create additional HITs in the future without needing to specify common parameters such as the title, description and reward amount each time. An alternative way to create HITs is to first generate a HITTypeID using the CreateHITType operation and then call the CreateHITWithHITType operation. This is the recommended best practice for Requesters who are creating large numbers of HITs. CreateHIT also supports several ways to provide question data: by providing a value for the Question parameter that fully specifies the contents of the HIT, or by providing a HitLayoutId and associated HitLayoutParameters . If a HIT is created with 10 or more maximum assignments, there is an additional fee. For more information, see Amazon Mechanical Turk Pricing.","ref":"aws_mturk.html#create_hit/2","title":"aws_mturk.create_hit/2","type":"function"},{"doc":"","ref":"aws_mturk.html#create_hit/3","title":"aws_mturk.create_hit/3","type":"function"},{"doc":"The CreateHITType operation creates a new HIT type. This operation allows you to define a standard set of HIT properties to use when creating HITs. If you register a HIT type with values that match an existing HIT type, the HIT type ID of the existing type will be returned.","ref":"aws_mturk.html#create_hit_type/2","title":"aws_mturk.create_hit_type/2","type":"function"},{"doc":"","ref":"aws_mturk.html#create_hit_type/3","title":"aws_mturk.create_hit_type/3","type":"function"},{"doc":"The CreateHITWithHITType operation creates a new Human Intelligence Task (HIT) using an existing HITTypeID generated by the CreateHITType operation. This is an alternative way to create HITs from the CreateHIT operation. This is the recommended best practice for Requesters who are creating large numbers of HITs. CreateHITWithHITType also supports several ways to provide question data: by providing a value for the Question parameter that fully specifies the contents of the HIT, or by providing a HitLayoutId and associated HitLayoutParameters . If a HIT is created with 10 or more maximum assignments, there is an additional fee. For more information, see Amazon Mechanical Turk Pricing.","ref":"aws_mturk.html#create_hit_with_hit_type/2","title":"aws_mturk.create_hit_with_hit_type/2","type":"function"},{"doc":"","ref":"aws_mturk.html#create_hit_with_hit_type/3","title":"aws_mturk.create_hit_with_hit_type/3","type":"function"},{"doc":"The CreateQualificationType operation creates a new Qualification type, which is represented by a QualificationType data structure.","ref":"aws_mturk.html#create_qualification_type/2","title":"aws_mturk.create_qualification_type/2","type":"function"},{"doc":"","ref":"aws_mturk.html#create_qualification_type/3","title":"aws_mturk.create_qualification_type/3","type":"function"},{"doc":"The CreateWorkerBlock operation allows you to prevent a Worker from working on your HITs. For example, you can block a Worker who is producing poor quality work. You can block up to 100,000 Workers.","ref":"aws_mturk.html#create_worker_block/2","title":"aws_mturk.create_worker_block/2","type":"function"},{"doc":"","ref":"aws_mturk.html#create_worker_block/3","title":"aws_mturk.create_worker_block/3","type":"function"},{"doc":"The DeleteHIT operation is used to delete HIT that is no longer needed. Only the Requester who created the HIT can delete it. You can only dispose of HITs that are in the Reviewable state, with all of their submitted assignments already either approved or rejected. If you call the DeleteHIT operation on a HIT that is not in the Reviewable state (for example, that has not expired, or still has active assignments), or on a HIT that is Reviewable but without all of its submitted assignments already approved or rejected, the service will return an error. HITs are automatically disposed of after 120 days. After you dispose of a HIT, you can no longer approve the HIT's rejected assignments. Disposed HITs are not returned in results for the ListHITs operation. Disposing HITs can improve the performance of operations such as ListReviewableHITs and ListHITs.","ref":"aws_mturk.html#delete_hit/2","title":"aws_mturk.delete_hit/2","type":"function"},{"doc":"","ref":"aws_mturk.html#delete_hit/3","title":"aws_mturk.delete_hit/3","type":"function"},{"doc":"The DeleteQualificationType deletes a Qualification type and deletes any HIT types that are associated with the Qualification type. This operation does not revoke Qualifications already assigned to Workers because the Qualifications might be needed for active HITs. If there are any pending requests for the Qualification type, Amazon Mechanical Turk rejects those requests. After you delete a Qualification type, you can no longer use it to create HITs or HIT types. DeleteQualificationType must wait for all the HITs that use the deleted Qualification type to be deleted before completing. It may take up to 48 hours before DeleteQualificationType completes and the unique name of the Qualification type is available for reuse with CreateQualificationType.","ref":"aws_mturk.html#delete_qualification_type/2","title":"aws_mturk.delete_qualification_type/2","type":"function"},{"doc":"","ref":"aws_mturk.html#delete_qualification_type/3","title":"aws_mturk.delete_qualification_type/3","type":"function"},{"doc":"The DeleteWorkerBlock operation allows you to reinstate a blocked Worker to work on your HITs. This operation reverses the effects of the CreateWorkerBlock operation. You need the Worker ID to use this operation. If the Worker ID is missing or invalid, this operation fails and returns the message “WorkerId is invalid.” If the specified Worker is not blocked, this operation returns successfully.","ref":"aws_mturk.html#delete_worker_block/2","title":"aws_mturk.delete_worker_block/2","type":"function"},{"doc":"","ref":"aws_mturk.html#delete_worker_block/3","title":"aws_mturk.delete_worker_block/3","type":"function"},{"doc":"The DisassociateQualificationFromWorker revokes a previously granted Qualification from a user. You can provide a text message explaining why the Qualification was revoked. The user who had the Qualification can see this message.","ref":"aws_mturk.html#disassociate_qualification_from_worker/2","title":"aws_mturk.disassociate_qualification_from_worker/2","type":"function"},{"doc":"","ref":"aws_mturk.html#disassociate_qualification_from_worker/3","title":"aws_mturk.disassociate_qualification_from_worker/3","type":"function"},{"doc":"The GetAccountBalance operation retrieves the Prepaid HITs balance in your Amazon Mechanical Turk account if you are a Prepaid Requester. Alternatively, this operation will retrieve the remaining available AWS Billing usage if you have enabled AWS Billing. Note: If you have enabled AWS Billing and still have a remaining Prepaid HITs balance, this balance can be viewed on the My Account page in the Requester console.","ref":"aws_mturk.html#get_account_balance/2","title":"aws_mturk.get_account_balance/2","type":"function"},{"doc":"","ref":"aws_mturk.html#get_account_balance/3","title":"aws_mturk.get_account_balance/3","type":"function"},{"doc":"The GetAssignment operation retrieves the details of the specified Assignment.","ref":"aws_mturk.html#get_assignment/2","title":"aws_mturk.get_assignment/2","type":"function"},{"doc":"","ref":"aws_mturk.html#get_assignment/3","title":"aws_mturk.get_assignment/3","type":"function"},{"doc":"The GetFileUploadURL operation generates and returns a temporary URL. You use the temporary URL to retrieve a file uploaded by a Worker as an answer to a FileUploadAnswer question for a HIT. The temporary URL is generated the instant the GetFileUploadURL operation is called, and is valid for 60 seconds. You can get a temporary file upload URL any time until the HIT is disposed. After the HIT is disposed, any uploaded files are deleted, and cannot be retrieved. Pending Deprecation on December 12, 2017. The Answer Specification structure will no longer support the FileUploadAnswer element to be used for the QuestionForm data structure. Instead, we recommend that Requesters who want to create HITs asking Workers to upload files to use Amazon S3.","ref":"aws_mturk.html#get_file_upload_url/2","title":"aws_mturk.get_file_upload_url/2","type":"function"},{"doc":"","ref":"aws_mturk.html#get_file_upload_url/3","title":"aws_mturk.get_file_upload_url/3","type":"function"},{"doc":"The GetHIT operation retrieves the details of the specified HIT.","ref":"aws_mturk.html#get_hit/2","title":"aws_mturk.get_hit/2","type":"function"},{"doc":"","ref":"aws_mturk.html#get_hit/3","title":"aws_mturk.get_hit/3","type":"function"},{"doc":"The GetQualificationScore operation returns the value of a Worker's Qualification for a given Qualification type. To get a Worker's Qualification, you must know the Worker's ID. The Worker's ID is included in the assignment data returned by the ListAssignmentsForHIT operation. Only the owner of a Qualification type can query the value of a Worker's Qualification of that type.","ref":"aws_mturk.html#get_qualification_score/2","title":"aws_mturk.get_qualification_score/2","type":"function"},{"doc":"","ref":"aws_mturk.html#get_qualification_score/3","title":"aws_mturk.get_qualification_score/3","type":"function"},{"doc":"The GetQualificationType operation retrieves information about a Qualification type using its ID.","ref":"aws_mturk.html#get_qualification_type/2","title":"aws_mturk.get_qualification_type/2","type":"function"},{"doc":"","ref":"aws_mturk.html#get_qualification_type/3","title":"aws_mturk.get_qualification_type/3","type":"function"},{"doc":"The ListAssignmentsForHIT operation retrieves completed assignments for a HIT. You can use this operation to retrieve the results for a HIT. You can get assignments for a HIT at any time, even if the HIT is not yet Reviewable. If a HIT requested multiple assignments, and has received some results but has not yet become Reviewable, you can still retrieve the partial results with this operation. Use the AssignmentStatus parameter to control which set of assignments for a HIT are returned. The ListAssignmentsForHIT operation can return submitted assignments awaiting approval, or it can return assignments that have already been approved or rejected. You can set AssignmentStatus=Approved,Rejected to get assignments that have already been approved and rejected together in one result set. Only the Requester who created the HIT can retrieve the assignments for that HIT. Results are sorted and divided into numbered pages and the operation returns a single page of results. You can use the parameters of the operation to control sorting and pagination.","ref":"aws_mturk.html#list_assignments_for_hit/2","title":"aws_mturk.list_assignments_for_hit/2","type":"function"},{"doc":"","ref":"aws_mturk.html#list_assignments_for_hit/3","title":"aws_mturk.list_assignments_for_hit/3","type":"function"},{"doc":"The ListBonusPayments operation retrieves the amounts of bonuses you have paid to Workers for a given HIT or assignment.","ref":"aws_mturk.html#list_bonus_payments/2","title":"aws_mturk.list_bonus_payments/2","type":"function"},{"doc":"","ref":"aws_mturk.html#list_bonus_payments/3","title":"aws_mturk.list_bonus_payments/3","type":"function"},{"doc":"The ListHITs operation returns all of a Requester's HITs. The operation returns HITs of any status, except for HITs that have been deleted of with the DeleteHIT operation or that have been auto-deleted.","ref":"aws_mturk.html#list_hits/2","title":"aws_mturk.list_hits/2","type":"function"},{"doc":"","ref":"aws_mturk.html#list_hits/3","title":"aws_mturk.list_hits/3","type":"function"},{"doc":"The ListHITsForQualificationType operation returns the HITs that use the given Qualification type for a Qualification requirement. The operation returns HITs of any status, except for HITs that have been deleted with the DeleteHIT operation or that have been auto-deleted.","ref":"aws_mturk.html#list_hits_for_qualification_type/2","title":"aws_mturk.list_hits_for_qualification_type/2","type":"function"},{"doc":"","ref":"aws_mturk.html#list_hits_for_qualification_type/3","title":"aws_mturk.list_hits_for_qualification_type/3","type":"function"},{"doc":"The ListQualificationRequests operation retrieves requests for Qualifications of a particular Qualification type. The owner of the Qualification type calls this operation to poll for pending requests, and accepts them using the AcceptQualification operation.","ref":"aws_mturk.html#list_qualification_requests/2","title":"aws_mturk.list_qualification_requests/2","type":"function"},{"doc":"","ref":"aws_mturk.html#list_qualification_requests/3","title":"aws_mturk.list_qualification_requests/3","type":"function"},{"doc":"The ListQualificationTypes operation returns a list of Qualification types, filtered by an optional search term.","ref":"aws_mturk.html#list_qualification_types/2","title":"aws_mturk.list_qualification_types/2","type":"function"},{"doc":"","ref":"aws_mturk.html#list_qualification_types/3","title":"aws_mturk.list_qualification_types/3","type":"function"},{"doc":"The ListReviewPolicyResultsForHIT operation retrieves the computed results and the actions taken in the course of executing your Review Policies for a given HIT. For information about how to specify Review Policies when you call CreateHIT, see Review Policies. The ListReviewPolicyResultsForHIT operation can return results for both Assignment-level and HIT-level review results.","ref":"aws_mturk.html#list_review_policy_results_for_hit/2","title":"aws_mturk.list_review_policy_results_for_hit/2","type":"function"},{"doc":"","ref":"aws_mturk.html#list_review_policy_results_for_hit/3","title":"aws_mturk.list_review_policy_results_for_hit/3","type":"function"},{"doc":"The ListReviewableHITs operation retrieves the HITs with Status equal to Reviewable or Status equal to Reviewing that belong to the Requester calling the operation.","ref":"aws_mturk.html#list_reviewable_hits/2","title":"aws_mturk.list_reviewable_hits/2","type":"function"},{"doc":"","ref":"aws_mturk.html#list_reviewable_hits/3","title":"aws_mturk.list_reviewable_hits/3","type":"function"},{"doc":"The ListWorkersBlocks operation retrieves a list of Workers who are blocked from working on your HITs.","ref":"aws_mturk.html#list_worker_blocks/2","title":"aws_mturk.list_worker_blocks/2","type":"function"},{"doc":"","ref":"aws_mturk.html#list_worker_blocks/3","title":"aws_mturk.list_worker_blocks/3","type":"function"},{"doc":"The ListWorkersWithQualificationType operation returns all of the Workers that have been associated with a given Qualification type.","ref":"aws_mturk.html#list_workers_with_qualification_type/2","title":"aws_mturk.list_workers_with_qualification_type/2","type":"function"},{"doc":"","ref":"aws_mturk.html#list_workers_with_qualification_type/3","title":"aws_mturk.list_workers_with_qualification_type/3","type":"function"},{"doc":"The NotifyWorkers operation sends an email to one or more Workers that you specify with the Worker ID. You can specify up to 100 Worker IDs to send the same message with a single call to the NotifyWorkers operation. The NotifyWorkers operation will send a notification email to a Worker only if you have previously approved or rejected work from the Worker.","ref":"aws_mturk.html#notify_workers/2","title":"aws_mturk.notify_workers/2","type":"function"},{"doc":"","ref":"aws_mturk.html#notify_workers/3","title":"aws_mturk.notify_workers/3","type":"function"},{"doc":"The RejectAssignment operation rejects the results of a completed assignment. You can include an optional feedback message with the rejection, which the Worker can see in the Status section of the web site. When you include a feedback message with the rejection, it helps the Worker understand why the assignment was rejected, and can improve the quality of the results the Worker submits in the future. Only the Requester who created the HIT can reject an assignment for the HIT.","ref":"aws_mturk.html#reject_assignment/2","title":"aws_mturk.reject_assignment/2","type":"function"},{"doc":"","ref":"aws_mturk.html#reject_assignment/3","title":"aws_mturk.reject_assignment/3","type":"function"},{"doc":"The RejectQualificationRequest operation rejects a user's request for a Qualification. You can provide a text message explaining why the request was rejected. The Worker who made the request can see this message.","ref":"aws_mturk.html#reject_qualification_request/2","title":"aws_mturk.reject_qualification_request/2","type":"function"},{"doc":"","ref":"aws_mturk.html#reject_qualification_request/3","title":"aws_mturk.reject_qualification_request/3","type":"function"},{"doc":"The SendBonus operation issues a payment of money from your account to a Worker. This payment happens separately from the reward you pay to the Worker when you approve the Worker's assignment. The SendBonus operation requires the Worker's ID and the assignment ID as parameters to initiate payment of the bonus. You must include a message that explains the reason for the bonus payment, as the Worker may not be expecting the payment. Amazon Mechanical Turk collects a fee for bonus payments, similar to the HIT listing fee. This operation fails if your account does not have enough funds to pay for both the bonus and the fees.","ref":"aws_mturk.html#send_bonus/2","title":"aws_mturk.send_bonus/2","type":"function"},{"doc":"","ref":"aws_mturk.html#send_bonus/3","title":"aws_mturk.send_bonus/3","type":"function"},{"doc":"The SendTestEventNotification operation causes Amazon Mechanical Turk to send a notification message as if a HIT event occurred, according to the provided notification specification. This allows you to test notifications without setting up notifications for a real HIT type and trying to trigger them using the website. When you call this operation, the service attempts to send the test notification immediately.","ref":"aws_mturk.html#send_test_event_notification/2","title":"aws_mturk.send_test_event_notification/2","type":"function"},{"doc":"","ref":"aws_mturk.html#send_test_event_notification/3","title":"aws_mturk.send_test_event_notification/3","type":"function"},{"doc":"The UpdateExpirationForHIT operation allows you update the expiration time of a HIT. If you update it to a time in the past, the HIT will be immediately expired.","ref":"aws_mturk.html#update_expiration_for_hit/2","title":"aws_mturk.update_expiration_for_hit/2","type":"function"},{"doc":"","ref":"aws_mturk.html#update_expiration_for_hit/3","title":"aws_mturk.update_expiration_for_hit/3","type":"function"},{"doc":"The UpdateHITReviewStatus operation updates the status of a HIT. If the status is Reviewable, this operation can update the status to Reviewing, or it can revert a Reviewing HIT back to the Reviewable status.","ref":"aws_mturk.html#update_hit_review_status/2","title":"aws_mturk.update_hit_review_status/2","type":"function"},{"doc":"","ref":"aws_mturk.html#update_hit_review_status/3","title":"aws_mturk.update_hit_review_status/3","type":"function"},{"doc":"The UpdateHITTypeOfHIT operation allows you to change the HITType properties of a HIT. This operation disassociates the HIT from its old HITType properties and associates it with the new HITType properties. The HIT takes on the properties of the new HITType in place of the old ones.","ref":"aws_mturk.html#update_hit_type_of_hit/2","title":"aws_mturk.update_hit_type_of_hit/2","type":"function"},{"doc":"","ref":"aws_mturk.html#update_hit_type_of_hit/3","title":"aws_mturk.update_hit_type_of_hit/3","type":"function"},{"doc":"The UpdateNotificationSettings operation creates, updates, disables or re-enables notifications for a HIT type. If you call the UpdateNotificationSettings operation for a HIT type that already has a notification specification, the operation replaces the old specification with a new one. You can call the UpdateNotificationSettings operation to enable or disable notifications for the HIT type, without having to modify the notification specification itself by providing updates to the Active status without specifying a new notification specification. To change the Active status of a HIT type's notifications, the HIT type must already have a notification specification, or one must be provided in the same call to UpdateNotificationSettings .","ref":"aws_mturk.html#update_notification_settings/2","title":"aws_mturk.update_notification_settings/2","type":"function"},{"doc":"","ref":"aws_mturk.html#update_notification_settings/3","title":"aws_mturk.update_notification_settings/3","type":"function"},{"doc":"The UpdateQualificationType operation modifies the attributes of an existing Qualification type, which is represented by a QualificationType data structure. Only the owner of a Qualification type can modify its attributes. Most attributes of a Qualification type can be changed after the type has been created. However, the Name and Keywords fields cannot be modified. The RetryDelayInSeconds parameter can be modified or added to change the delay or to enable retries, but RetryDelayInSeconds cannot be used to disable retries. You can use this operation to update the test for a Qualification type. The test is updated based on the values specified for the Test, TestDurationInSeconds and AnswerKey parameters. All three parameters specify the updated test. If you are updating the test for a type, you must specify the Test and TestDurationInSeconds parameters. The AnswerKey parameter is optional; omitting it specifies that the updated test does not have an answer key. If you omit the Test parameter, the test for the Qualification type is unchanged. There is no way to remove a test from a Qualification type that has one. If the type already has a test, you cannot update it to be AutoGranted. If the Qualification type does not have a test and one is provided by an update, the type will henceforth have a test. If you want to update the test duration or answer key for an existing test without changing the questions, you must specify a Test parameter with the original questions, along with the updated values. If you provide an updated Test but no AnswerKey, the new test will not have an answer key. Requests for such Qualifications must be granted manually. You can also update the AutoGranted and AutoGrantedValue attributes of the Qualification type.","ref":"aws_mturk.html#update_qualification_type/2","title":"aws_mturk.update_qualification_type/2","type":"function"},{"doc":"","ref":"aws_mturk.html#update_qualification_type/3","title":"aws_mturk.update_qualification_type/3","type":"function"},{"doc":"Amazon Managed Workflows for Apache Airflow This section contains the Amazon Managed Workflows for Apache Airflow (MWAA) API reference documentation. For more information, see What Is Amazon MWAA?. Endpoints api.airflow.{region}.amazonaws.com - This endpoint is used for environment management. CreateEnvironment DeleteEnvironment GetEnvironment ListEnvironments ListTagsForResource TagResource UntagResource UpdateEnvironment env.airflow.{region}.amazonaws.com - This endpoint is used to operate the Airflow environment. CreateCliToken CreateWebLoginToken ops.airflow.{region}.amazonaws.com - This endpoint is used to push environment metrics that track environment health. PublishMetrics Regions For a list of regions that Amazon MWAA supports, see Region availability in the Amazon MWAA User Guide.","ref":"aws_mwaa.html","title":"aws_mwaa","type":"module"},{"doc":"Creates a CLI token for the Airflow CLI. To learn more, see Creating an Apache Airflow CLI token.","ref":"aws_mwaa.html#create_cli_token/3","title":"aws_mwaa.create_cli_token/3","type":"function"},{"doc":"","ref":"aws_mwaa.html#create_cli_token/4","title":"aws_mwaa.create_cli_token/4","type":"function"},{"doc":"Creates an Amazon Managed Workflows for Apache Airflow (MWAA) environment.","ref":"aws_mwaa.html#create_environment/3","title":"aws_mwaa.create_environment/3","type":"function"},{"doc":"","ref":"aws_mwaa.html#create_environment/4","title":"aws_mwaa.create_environment/4","type":"function"},{"doc":"Creates a web login token for the Airflow Web UI. To learn more, see Creating an Apache Airflow web login token.","ref":"aws_mwaa.html#create_web_login_token/3","title":"aws_mwaa.create_web_login_token/3","type":"function"},{"doc":"","ref":"aws_mwaa.html#create_web_login_token/4","title":"aws_mwaa.create_web_login_token/4","type":"function"},{"doc":"Deletes an Amazon Managed Workflows for Apache Airflow (MWAA) environment.","ref":"aws_mwaa.html#delete_environment/3","title":"aws_mwaa.delete_environment/3","type":"function"},{"doc":"","ref":"aws_mwaa.html#delete_environment/4","title":"aws_mwaa.delete_environment/4","type":"function"},{"doc":"Describes an Amazon Managed Workflows for Apache Airflow (MWAA) environment.","ref":"aws_mwaa.html#get_environment/2","title":"aws_mwaa.get_environment/2","type":"function"},{"doc":"","ref":"aws_mwaa.html#get_environment/4","title":"aws_mwaa.get_environment/4","type":"function"},{"doc":"","ref":"aws_mwaa.html#get_environment/5","title":"aws_mwaa.get_environment/5","type":"function"},{"doc":"Lists the Amazon Managed Workflows for Apache Airflow (MWAA) environments.","ref":"aws_mwaa.html#list_environments/1","title":"aws_mwaa.list_environments/1","type":"function"},{"doc":"","ref":"aws_mwaa.html#list_environments/3","title":"aws_mwaa.list_environments/3","type":"function"},{"doc":"","ref":"aws_mwaa.html#list_environments/4","title":"aws_mwaa.list_environments/4","type":"function"},{"doc":"Lists the key-value tag pairs associated to the Amazon Managed Workflows for Apache Airflow (MWAA) environment. For example, &amp;quot;Environment&amp;quot;: &amp;quot;Staging&amp;quot; .","ref":"aws_mwaa.html#list_tags_for_resource/2","title":"aws_mwaa.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_mwaa.html#list_tags_for_resource/4","title":"aws_mwaa.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_mwaa.html#list_tags_for_resource/5","title":"aws_mwaa.list_tags_for_resource/5","type":"function"},{"doc":"Internal only. Publishes environment health metrics to Amazon CloudWatch.","ref":"aws_mwaa.html#publish_metrics/3","title":"aws_mwaa.publish_metrics/3","type":"function"},{"doc":"","ref":"aws_mwaa.html#publish_metrics/4","title":"aws_mwaa.publish_metrics/4","type":"function"},{"doc":"Associates key-value tag pairs to your Amazon Managed Workflows for Apache Airflow (MWAA) environment.","ref":"aws_mwaa.html#tag_resource/3","title":"aws_mwaa.tag_resource/3","type":"function"},{"doc":"","ref":"aws_mwaa.html#tag_resource/4","title":"aws_mwaa.tag_resource/4","type":"function"},{"doc":"Removes key-value tag pairs associated to your Amazon Managed Workflows for Apache Airflow (MWAA) environment. For example, &amp;quot;Environment&amp;quot;: &amp;quot;Staging&amp;quot; .","ref":"aws_mwaa.html#untag_resource/3","title":"aws_mwaa.untag_resource/3","type":"function"},{"doc":"","ref":"aws_mwaa.html#untag_resource/4","title":"aws_mwaa.untag_resource/4","type":"function"},{"doc":"Updates an Amazon Managed Workflows for Apache Airflow (MWAA) environment.","ref":"aws_mwaa.html#update_environment/3","title":"aws_mwaa.update_environment/3","type":"function"},{"doc":"","ref":"aws_mwaa.html#update_environment/4","title":"aws_mwaa.update_environment/4","type":"function"},{"doc":"Amazon Neptune Amazon Neptune is a fast, reliable, fully-managed graph database service that makes it easy to build and run applications that work with highly connected datasets. The core of Amazon Neptune is a purpose-built, high-performance graph database engine optimized for storing billions of relationships and querying the graph with milliseconds latency. Amazon Neptune supports popular graph models Property Graph and W3C's RDF, and their respective query languages Apache TinkerPop Gremlin and SPARQL, allowing you to easily build queries that efficiently navigate highly connected datasets. Neptune powers graph use cases such as recommendation engines, fraud detection, knowledge graphs, drug discovery, and network security. This interface reference for Amazon Neptune contains documentation for a programming or command line interface you can use to manage Amazon Neptune. Note that Amazon Neptune is asynchronous, which means that some interfaces might require techniques such as polling or callback functions to determine when a command has been applied. In this reference, the parameter descriptions indicate whether a command is applied immediately, on the next instance reboot, or during the maintenance window. The reference structure is as follows, and we list following some related topics from the user guide.","ref":"aws_neptune.html","title":"aws_neptune","type":"module"},{"doc":"Associates an Identity and Access Management (IAM) role with an Neptune DB cluster.","ref":"aws_neptune.html#add_role_to_db_cluster/2","title":"aws_neptune.add_role_to_db_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#add_role_to_db_cluster/3","title":"aws_neptune.add_role_to_db_cluster/3","type":"function"},{"doc":"Adds a source identifier to an existing event notification subscription.","ref":"aws_neptune.html#add_source_identifier_to_subscription/2","title":"aws_neptune.add_source_identifier_to_subscription/2","type":"function"},{"doc":"","ref":"aws_neptune.html#add_source_identifier_to_subscription/3","title":"aws_neptune.add_source_identifier_to_subscription/3","type":"function"},{"doc":"Adds metadata tags to an Amazon Neptune resource. These tags can also be used with cost allocation reporting to track cost associated with Amazon Neptune resources, or used in a Condition statement in an IAM policy for Amazon Neptune.","ref":"aws_neptune.html#add_tags_to_resource/2","title":"aws_neptune.add_tags_to_resource/2","type":"function"},{"doc":"","ref":"aws_neptune.html#add_tags_to_resource/3","title":"aws_neptune.add_tags_to_resource/3","type":"function"},{"doc":"Applies a pending maintenance action to a resource (for example, to a DB instance).","ref":"aws_neptune.html#apply_pending_maintenance_action/2","title":"aws_neptune.apply_pending_maintenance_action/2","type":"function"},{"doc":"","ref":"aws_neptune.html#apply_pending_maintenance_action/3","title":"aws_neptune.apply_pending_maintenance_action/3","type":"function"},{"doc":"Copies the specified DB cluster parameter group.","ref":"aws_neptune.html#copy_db_cluster_parameter_group/2","title":"aws_neptune.copy_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#copy_db_cluster_parameter_group/3","title":"aws_neptune.copy_db_cluster_parameter_group/3","type":"function"},{"doc":"Copies a snapshot of a DB cluster. To copy a DB cluster snapshot from a shared manual DB cluster snapshot, SourceDBClusterSnapshotIdentifier must be the Amazon Resource Name (ARN) of the shared DB cluster snapshot.","ref":"aws_neptune.html#copy_db_cluster_snapshot/2","title":"aws_neptune.copy_db_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_neptune.html#copy_db_cluster_snapshot/3","title":"aws_neptune.copy_db_cluster_snapshot/3","type":"function"},{"doc":"Copies the specified DB parameter group.","ref":"aws_neptune.html#copy_db_parameter_group/2","title":"aws_neptune.copy_db_parameter_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#copy_db_parameter_group/3","title":"aws_neptune.copy_db_parameter_group/3","type":"function"},{"doc":"Creates a new Amazon Neptune DB cluster. You can use the ReplicationSourceIdentifier parameter to create the DB cluster as a Read Replica of another DB cluster or Amazon Neptune DB instance. Note that when you create a new cluster using CreateDBCluster directly, deletion protection is disabled by default (when you create a new production cluster in the console, deletion protection is enabled by default). You can only delete a DB cluster if its DeletionProtection field is set to false .","ref":"aws_neptune.html#create_db_cluster/2","title":"aws_neptune.create_db_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#create_db_cluster/3","title":"aws_neptune.create_db_cluster/3","type":"function"},{"doc":"Creates a new custom endpoint and associates it with an Amazon Neptune DB cluster.","ref":"aws_neptune.html#create_db_cluster_endpoint/2","title":"aws_neptune.create_db_cluster_endpoint/2","type":"function"},{"doc":"","ref":"aws_neptune.html#create_db_cluster_endpoint/3","title":"aws_neptune.create_db_cluster_endpoint/3","type":"function"},{"doc":"Creates a new DB cluster parameter group. Parameters in a DB cluster parameter group apply to all of the instances in a DB cluster. A DB cluster parameter group is initially created with the default parameters for the database engine used by instances in the DB cluster. To provide custom values for any of the parameters, you must modify the group after creating it using ModifyDBClusterParameterGroup . Once you've created a DB cluster parameter group, you need to associate it with your DB cluster using ModifyDBCluster . When you associate a new DB cluster parameter group with a running DB cluster, you need to reboot the DB instances in the DB cluster without failover for the new DB cluster parameter group and associated settings to take effect. After you create a DB cluster parameter group, you should wait at least 5 minutes before creating your first DB cluster that uses that DB cluster parameter group as the default parameter group. This allows Amazon Neptune to fully complete the create action before the DB cluster parameter group is used as the default for a new DB cluster. This is especially important for parameters that are critical when creating the default database for a DB cluster, such as the character set for the default database defined by the character_set_database parameter. You can use the Parameter Groups option of the Amazon Neptune console or the DescribeDBClusterParameters command to verify that your DB cluster parameter group has been created or modified.","ref":"aws_neptune.html#create_db_cluster_parameter_group/2","title":"aws_neptune.create_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#create_db_cluster_parameter_group/3","title":"aws_neptune.create_db_cluster_parameter_group/3","type":"function"},{"doc":"Creates a snapshot of a DB cluster.","ref":"aws_neptune.html#create_db_cluster_snapshot/2","title":"aws_neptune.create_db_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_neptune.html#create_db_cluster_snapshot/3","title":"aws_neptune.create_db_cluster_snapshot/3","type":"function"},{"doc":"Creates a new DB instance.","ref":"aws_neptune.html#create_db_instance/2","title":"aws_neptune.create_db_instance/2","type":"function"},{"doc":"","ref":"aws_neptune.html#create_db_instance/3","title":"aws_neptune.create_db_instance/3","type":"function"},{"doc":"Creates a new DB parameter group. A DB parameter group is initially created with the default parameters for the database engine used by the DB instance. To provide custom values for any of the parameters, you must modify the group after creating it using ModifyDBParameterGroup. Once you've created a DB parameter group, you need to associate it with your DB instance using ModifyDBInstance. When you associate a new DB parameter group with a running DB instance, you need to reboot the DB instance without failover for the new DB parameter group and associated settings to take effect. After you create a DB parameter group, you should wait at least 5 minutes before creating your first DB instance that uses that DB parameter group as the default parameter group. This allows Amazon Neptune to fully complete the create action before the parameter group is used as the default for a new DB instance. This is especially important for parameters that are critical when creating the default database for a DB instance, such as the character set for the default database defined by the character_set_database parameter. You can use the Parameter Groups option of the Amazon Neptune console or the DescribeDBParameters command to verify that your DB parameter group has been created or modified.","ref":"aws_neptune.html#create_db_parameter_group/2","title":"aws_neptune.create_db_parameter_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#create_db_parameter_group/3","title":"aws_neptune.create_db_parameter_group/3","type":"function"},{"doc":"Creates a new DB subnet group. DB subnet groups must contain at least one subnet in at least two AZs in the Amazon Region.","ref":"aws_neptune.html#create_db_subnet_group/2","title":"aws_neptune.create_db_subnet_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#create_db_subnet_group/3","title":"aws_neptune.create_db_subnet_group/3","type":"function"},{"doc":"Creates an event notification subscription. This action requires a topic ARN (Amazon Resource Name) created by either the Neptune console, the SNS console, or the SNS API. To obtain an ARN with SNS, you must create a topic in Amazon SNS and subscribe to the topic. The ARN is displayed in the SNS console. You can specify the type of source (SourceType) you want to be notified of, provide a list of Neptune sources (SourceIds) that triggers the events, and provide a list of event categories (EventCategories) for events you want to be notified of. For example, you can specify SourceType = db-instance, SourceIds = mydbinstance1, mydbinstance2 and EventCategories = Availability, Backup. If you specify both the SourceType and SourceIds, such as SourceType = db-instance and SourceIdentifier = myDBInstance1, you are notified of all the db-instance events for the specified source. If you specify a SourceType but do not specify a SourceIdentifier, you receive notice of the events for that source type for all your Neptune sources. If you do not specify either the SourceType nor the SourceIdentifier, you are notified of events generated from all Neptune sources belonging to your customer account.","ref":"aws_neptune.html#create_event_subscription/2","title":"aws_neptune.create_event_subscription/2","type":"function"},{"doc":"","ref":"aws_neptune.html#create_event_subscription/3","title":"aws_neptune.create_event_subscription/3","type":"function"},{"doc":"Creates a Neptune global database spread across multiple Amazon Regions. The global database contains a single primary cluster with read-write capability, and read-only secondary clusters that receive data from the primary cluster through high-speed replication performed by the Neptune storage subsystem. You can create a global database that is initially empty, and then add a primary cluster and secondary clusters to it, or you can specify an existing Neptune cluster during the create operation to become the primary cluster of the global database.","ref":"aws_neptune.html#create_global_cluster/2","title":"aws_neptune.create_global_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#create_global_cluster/3","title":"aws_neptune.create_global_cluster/3","type":"function"},{"doc":"The DeleteDBCluster action deletes a previously provisioned DB cluster. When you delete a DB cluster, all automated backups for that DB cluster are deleted and can't be recovered. Manual DB cluster snapshots of the specified DB cluster are not deleted. Note that the DB Cluster cannot be deleted if deletion protection is enabled. To delete it, you must first set its DeletionProtection field to False .","ref":"aws_neptune.html#delete_db_cluster/2","title":"aws_neptune.delete_db_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#delete_db_cluster/3","title":"aws_neptune.delete_db_cluster/3","type":"function"},{"doc":"Deletes a custom endpoint and removes it from an Amazon Neptune DB cluster.","ref":"aws_neptune.html#delete_db_cluster_endpoint/2","title":"aws_neptune.delete_db_cluster_endpoint/2","type":"function"},{"doc":"","ref":"aws_neptune.html#delete_db_cluster_endpoint/3","title":"aws_neptune.delete_db_cluster_endpoint/3","type":"function"},{"doc":"Deletes a specified DB cluster parameter group. The DB cluster parameter group to be deleted can't be associated with any DB clusters.","ref":"aws_neptune.html#delete_db_cluster_parameter_group/2","title":"aws_neptune.delete_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#delete_db_cluster_parameter_group/3","title":"aws_neptune.delete_db_cluster_parameter_group/3","type":"function"},{"doc":"Deletes a DB cluster snapshot. If the snapshot is being copied, the copy operation is terminated. The DB cluster snapshot must be in the available state to be deleted.","ref":"aws_neptune.html#delete_db_cluster_snapshot/2","title":"aws_neptune.delete_db_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_neptune.html#delete_db_cluster_snapshot/3","title":"aws_neptune.delete_db_cluster_snapshot/3","type":"function"},{"doc":"The DeleteDBInstance action deletes a previously provisioned DB instance. When you delete a DB instance, all automated backups for that instance are deleted and can't be recovered. Manual DB snapshots of the DB instance to be deleted by DeleteDBInstance are not deleted. If you request a final DB snapshot the status of the Amazon Neptune DB instance is deleting until the DB snapshot is created. The API action DescribeDBInstance is used to monitor the status of this operation. The action can't be canceled or reverted once submitted. Note that when a DB instance is in a failure state and has a status of failed , incompatible-restore , or incompatible-network , you can only delete it when the SkipFinalSnapshot parameter is set to true . You can't delete a DB instance if it is the only instance in the DB cluster, or if it has deletion protection enabled.","ref":"aws_neptune.html#delete_db_instance/2","title":"aws_neptune.delete_db_instance/2","type":"function"},{"doc":"","ref":"aws_neptune.html#delete_db_instance/3","title":"aws_neptune.delete_db_instance/3","type":"function"},{"doc":"Deletes a specified DBParameterGroup. The DBParameterGroup to be deleted can't be associated with any DB instances.","ref":"aws_neptune.html#delete_db_parameter_group/2","title":"aws_neptune.delete_db_parameter_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#delete_db_parameter_group/3","title":"aws_neptune.delete_db_parameter_group/3","type":"function"},{"doc":"Deletes a DB subnet group. The specified database subnet group must not be associated with any DB instances.","ref":"aws_neptune.html#delete_db_subnet_group/2","title":"aws_neptune.delete_db_subnet_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#delete_db_subnet_group/3","title":"aws_neptune.delete_db_subnet_group/3","type":"function"},{"doc":"Deletes an event notification subscription.","ref":"aws_neptune.html#delete_event_subscription/2","title":"aws_neptune.delete_event_subscription/2","type":"function"},{"doc":"","ref":"aws_neptune.html#delete_event_subscription/3","title":"aws_neptune.delete_event_subscription/3","type":"function"},{"doc":"Deletes a global database. The primary and all secondary clusters must already be detached or deleted first.","ref":"aws_neptune.html#delete_global_cluster/2","title":"aws_neptune.delete_global_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#delete_global_cluster/3","title":"aws_neptune.delete_global_cluster/3","type":"function"},{"doc":"Returns information about endpoints for an Amazon Neptune DB cluster. This operation can also return information for Amazon RDS clusters and Amazon DocDB clusters.","ref":"aws_neptune.html#describe_db_cluster_endpoints/2","title":"aws_neptune.describe_db_cluster_endpoints/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_db_cluster_endpoints/3","title":"aws_neptune.describe_db_cluster_endpoints/3","type":"function"},{"doc":"Returns a list of DBClusterParameterGroup descriptions. If a DBClusterParameterGroupName parameter is specified, the list will contain only the description of the specified DB cluster parameter group.","ref":"aws_neptune.html#describe_db_cluster_parameter_groups/2","title":"aws_neptune.describe_db_cluster_parameter_groups/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_db_cluster_parameter_groups/3","title":"aws_neptune.describe_db_cluster_parameter_groups/3","type":"function"},{"doc":"Returns the detailed parameter list for a particular DB cluster parameter group.","ref":"aws_neptune.html#describe_db_cluster_parameters/2","title":"aws_neptune.describe_db_cluster_parameters/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_db_cluster_parameters/3","title":"aws_neptune.describe_db_cluster_parameters/3","type":"function"},{"doc":"Returns a list of DB cluster snapshot attribute names and values for a manual DB cluster snapshot. When sharing snapshots with other Amazon accounts, DescribeDBClusterSnapshotAttributes returns the restore attribute and a list of IDs for the Amazon accounts that are authorized to copy or restore the manual DB cluster snapshot. If all is included in the list of values for the restore attribute, then the manual DB cluster snapshot is public and can be copied or restored by all Amazon accounts. To add or remove access for an Amazon account to copy or restore a manual DB cluster snapshot, or to make the manual DB cluster snapshot public or private, use the ModifyDBClusterSnapshotAttribute API action.","ref":"aws_neptune.html#describe_db_cluster_snapshot_attributes/2","title":"aws_neptune.describe_db_cluster_snapshot_attributes/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_db_cluster_snapshot_attributes/3","title":"aws_neptune.describe_db_cluster_snapshot_attributes/3","type":"function"},{"doc":"Returns information about DB cluster snapshots. This API action supports pagination.","ref":"aws_neptune.html#describe_db_cluster_snapshots/2","title":"aws_neptune.describe_db_cluster_snapshots/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_db_cluster_snapshots/3","title":"aws_neptune.describe_db_cluster_snapshots/3","type":"function"},{"doc":"Returns information about provisioned DB clusters, and supports pagination. This operation can also return information for Amazon RDS clusters and Amazon DocDB clusters.","ref":"aws_neptune.html#describe_db_clusters/2","title":"aws_neptune.describe_db_clusters/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_db_clusters/3","title":"aws_neptune.describe_db_clusters/3","type":"function"},{"doc":"Returns a list of the available DB engines.","ref":"aws_neptune.html#describe_db_engine_versions/2","title":"aws_neptune.describe_db_engine_versions/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_db_engine_versions/3","title":"aws_neptune.describe_db_engine_versions/3","type":"function"},{"doc":"Returns information about provisioned instances, and supports pagination. This operation can also return information for Amazon RDS instances and Amazon DocDB instances.","ref":"aws_neptune.html#describe_db_instances/2","title":"aws_neptune.describe_db_instances/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_db_instances/3","title":"aws_neptune.describe_db_instances/3","type":"function"},{"doc":"Returns a list of DBParameterGroup descriptions. If a DBParameterGroupName is specified, the list will contain only the description of the specified DB parameter group.","ref":"aws_neptune.html#describe_db_parameter_groups/2","title":"aws_neptune.describe_db_parameter_groups/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_db_parameter_groups/3","title":"aws_neptune.describe_db_parameter_groups/3","type":"function"},{"doc":"Returns the detailed parameter list for a particular DB parameter group.","ref":"aws_neptune.html#describe_db_parameters/2","title":"aws_neptune.describe_db_parameters/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_db_parameters/3","title":"aws_neptune.describe_db_parameters/3","type":"function"},{"doc":"Returns a list of DBSubnetGroup descriptions. If a DBSubnetGroupName is specified, the list will contain only the descriptions of the specified DBSubnetGroup. For an overview of CIDR ranges, go to the Wikipedia Tutorial.","ref":"aws_neptune.html#describe_db_subnet_groups/2","title":"aws_neptune.describe_db_subnet_groups/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_db_subnet_groups/3","title":"aws_neptune.describe_db_subnet_groups/3","type":"function"},{"doc":"Returns the default engine and system parameter information for the cluster database engine.","ref":"aws_neptune.html#describe_engine_default_cluster_parameters/2","title":"aws_neptune.describe_engine_default_cluster_parameters/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_engine_default_cluster_parameters/3","title":"aws_neptune.describe_engine_default_cluster_parameters/3","type":"function"},{"doc":"Returns the default engine and system parameter information for the specified database engine.","ref":"aws_neptune.html#describe_engine_default_parameters/2","title":"aws_neptune.describe_engine_default_parameters/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_engine_default_parameters/3","title":"aws_neptune.describe_engine_default_parameters/3","type":"function"},{"doc":"Displays a list of categories for all event source types, or, if specified, for a specified source type.","ref":"aws_neptune.html#describe_event_categories/2","title":"aws_neptune.describe_event_categories/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_event_categories/3","title":"aws_neptune.describe_event_categories/3","type":"function"},{"doc":"Lists all the subscription descriptions for a customer account. The description for a subscription includes SubscriptionName, SNSTopicARN, CustomerID, SourceType, SourceID, CreationTime, and Status. If you specify a SubscriptionName, lists the description for that subscription.","ref":"aws_neptune.html#describe_event_subscriptions/2","title":"aws_neptune.describe_event_subscriptions/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_event_subscriptions/3","title":"aws_neptune.describe_event_subscriptions/3","type":"function"},{"doc":"Returns events related to DB instances, DB security groups, DB snapshots, and DB parameter groups for the past 14 days. Events specific to a particular DB instance, DB security group, database snapshot, or DB parameter group can be obtained by providing the name as a parameter. By default, the past hour of events are returned.","ref":"aws_neptune.html#describe_events/2","title":"aws_neptune.describe_events/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_events/3","title":"aws_neptune.describe_events/3","type":"function"},{"doc":"Returns information about Neptune global database clusters. This API supports pagination.","ref":"aws_neptune.html#describe_global_clusters/2","title":"aws_neptune.describe_global_clusters/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_global_clusters/3","title":"aws_neptune.describe_global_clusters/3","type":"function"},{"doc":"Returns a list of orderable DB instance options for the specified engine.","ref":"aws_neptune.html#describe_orderable_db_instance_options/2","title":"aws_neptune.describe_orderable_db_instance_options/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_orderable_db_instance_options/3","title":"aws_neptune.describe_orderable_db_instance_options/3","type":"function"},{"doc":"Returns a list of resources (for example, DB instances) that have at least one pending maintenance action.","ref":"aws_neptune.html#describe_pending_maintenance_actions/2","title":"aws_neptune.describe_pending_maintenance_actions/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_pending_maintenance_actions/3","title":"aws_neptune.describe_pending_maintenance_actions/3","type":"function"},{"doc":"You can call DescribeValidDBInstanceModifications to learn what modifications you can make to your DB instance. You can use this information when you call ModifyDBInstance .","ref":"aws_neptune.html#describe_valid_db_instance_modifications/2","title":"aws_neptune.describe_valid_db_instance_modifications/2","type":"function"},{"doc":"","ref":"aws_neptune.html#describe_valid_db_instance_modifications/3","title":"aws_neptune.describe_valid_db_instance_modifications/3","type":"function"},{"doc":"Forces a failover for a DB cluster. A failover for a DB cluster promotes one of the Read Replicas (read-only instances) in the DB cluster to be the primary instance (the cluster writer). Amazon Neptune will automatically fail over to a Read Replica, if one exists, when the primary instance fails. You can force a failover when you want to simulate a failure of a primary instance for testing. Because each instance in a DB cluster has its own endpoint address, you will need to clean up and re-establish any existing connections that use those endpoint addresses when the failover is complete.","ref":"aws_neptune.html#failover_db_cluster/2","title":"aws_neptune.failover_db_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#failover_db_cluster/3","title":"aws_neptune.failover_db_cluster/3","type":"function"},{"doc":"Initiates the failover process for a Neptune global database. A failover for a Neptune global database promotes one of secondary read-only DB clusters to be the primary DB cluster and demotes the primary DB cluster to being a secondary (read-only) DB cluster. In other words, the role of the current primary DB cluster and the selected target secondary DB cluster are switched. The selected secondary DB cluster assumes full read/write capabilities for the Neptune global database. This action applies only to Neptune global databases. This action is only intended for use on healthy Neptune global databases with healthy Neptune DB clusters and no region-wide outages, to test disaster recovery scenarios or to reconfigure the global database topology.","ref":"aws_neptune.html#failover_global_cluster/2","title":"aws_neptune.failover_global_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#failover_global_cluster/3","title":"aws_neptune.failover_global_cluster/3","type":"function"},{"doc":"Lists all tags on an Amazon Neptune resource.","ref":"aws_neptune.html#list_tags_for_resource/2","title":"aws_neptune.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_neptune.html#list_tags_for_resource/3","title":"aws_neptune.list_tags_for_resource/3","type":"function"},{"doc":"Modify a setting for a DB cluster. You can change one or more database configuration parameters by specifying these parameters and the new values in the request.","ref":"aws_neptune.html#modify_db_cluster/2","title":"aws_neptune.modify_db_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#modify_db_cluster/3","title":"aws_neptune.modify_db_cluster/3","type":"function"},{"doc":"Modifies the properties of an endpoint in an Amazon Neptune DB cluster.","ref":"aws_neptune.html#modify_db_cluster_endpoint/2","title":"aws_neptune.modify_db_cluster_endpoint/2","type":"function"},{"doc":"","ref":"aws_neptune.html#modify_db_cluster_endpoint/3","title":"aws_neptune.modify_db_cluster_endpoint/3","type":"function"},{"doc":"Modifies the parameters of a DB cluster parameter group. To modify more than one parameter, submit a list of the following: ParameterName , ParameterValue , and ApplyMethod . A maximum of 20 parameters can be modified in a single request. Changes to dynamic parameters are applied immediately. Changes to static parameters require a reboot without failover to the DB cluster associated with the parameter group before the change can take effect. After you create a DB cluster parameter group, you should wait at least 5 minutes before creating your first DB cluster that uses that DB cluster parameter group as the default parameter group. This allows Amazon Neptune to fully complete the create action before the parameter group is used as the default for a new DB cluster. This is especially important for parameters that are critical when creating the default database for a DB cluster, such as the character set for the default database defined by the character_set_database parameter. You can use the Parameter Groups option of the Amazon Neptune console or the DescribeDBClusterParameters command to verify that your DB cluster parameter group has been created or modified.","ref":"aws_neptune.html#modify_db_cluster_parameter_group/2","title":"aws_neptune.modify_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#modify_db_cluster_parameter_group/3","title":"aws_neptune.modify_db_cluster_parameter_group/3","type":"function"},{"doc":"Adds an attribute and values to, or removes an attribute and values from, a manual DB cluster snapshot. To share a manual DB cluster snapshot with other Amazon accounts, specify restore as the AttributeName and use the ValuesToAdd parameter to add a list of IDs of the Amazon accounts that are authorized to restore the manual DB cluster snapshot. Use the value all to make the manual DB cluster snapshot public, which means that it can be copied or restored by all Amazon accounts. Do not add the all value for any manual DB cluster snapshots that contain private information that you don't want available to all Amazon accounts. If a manual DB cluster snapshot is encrypted, it can be shared, but only by specifying a list of authorized Amazon account IDs for the ValuesToAdd parameter. You can't use all as a value for that parameter in this case. To view which Amazon accounts have access to copy or restore a manual DB cluster snapshot, or whether a manual DB cluster snapshot public or private, use the DescribeDBClusterSnapshotAttributes API action.","ref":"aws_neptune.html#modify_db_cluster_snapshot_attribute/2","title":"aws_neptune.modify_db_cluster_snapshot_attribute/2","type":"function"},{"doc":"","ref":"aws_neptune.html#modify_db_cluster_snapshot_attribute/3","title":"aws_neptune.modify_db_cluster_snapshot_attribute/3","type":"function"},{"doc":"Modifies settings for a DB instance. You can change one or more database configuration parameters by specifying these parameters and the new values in the request. To learn what modifications you can make to your DB instance, call DescribeValidDBInstanceModifications before you call ModifyDBInstance .","ref":"aws_neptune.html#modify_db_instance/2","title":"aws_neptune.modify_db_instance/2","type":"function"},{"doc":"","ref":"aws_neptune.html#modify_db_instance/3","title":"aws_neptune.modify_db_instance/3","type":"function"},{"doc":"Modifies the parameters of a DB parameter group. To modify more than one parameter, submit a list of the following: ParameterName , ParameterValue , and ApplyMethod . A maximum of 20 parameters can be modified in a single request. Changes to dynamic parameters are applied immediately. Changes to static parameters require a reboot without failover to the DB instance associated with the parameter group before the change can take effect. After you modify a DB parameter group, you should wait at least 5 minutes before creating your first DB instance that uses that DB parameter group as the default parameter group. This allows Amazon Neptune to fully complete the modify action before the parameter group is used as the default for a new DB instance. This is especially important for parameters that are critical when creating the default database for a DB instance, such as the character set for the default database defined by the character_set_database parameter. You can use the Parameter Groups option of the Amazon Neptune console or the DescribeDBParameters command to verify that your DB parameter group has been created or modified.","ref":"aws_neptune.html#modify_db_parameter_group/2","title":"aws_neptune.modify_db_parameter_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#modify_db_parameter_group/3","title":"aws_neptune.modify_db_parameter_group/3","type":"function"},{"doc":"Modifies an existing DB subnet group. DB subnet groups must contain at least one subnet in at least two AZs in the Amazon Region.","ref":"aws_neptune.html#modify_db_subnet_group/2","title":"aws_neptune.modify_db_subnet_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#modify_db_subnet_group/3","title":"aws_neptune.modify_db_subnet_group/3","type":"function"},{"doc":"Modifies an existing event notification subscription. Note that you can't modify the source identifiers using this call; to change source identifiers for a subscription, use the AddSourceIdentifierToSubscription and RemoveSourceIdentifierFromSubscription calls. You can see a list of the event categories for a given SourceType by using the DescribeEventCategories action.","ref":"aws_neptune.html#modify_event_subscription/2","title":"aws_neptune.modify_event_subscription/2","type":"function"},{"doc":"","ref":"aws_neptune.html#modify_event_subscription/3","title":"aws_neptune.modify_event_subscription/3","type":"function"},{"doc":"Modify a setting for an Amazon Neptune global cluster. You can change one or more database configuration parameters by specifying these parameters and their new values in the request.","ref":"aws_neptune.html#modify_global_cluster/2","title":"aws_neptune.modify_global_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#modify_global_cluster/3","title":"aws_neptune.modify_global_cluster/3","type":"function"},{"doc":"Not supported.","ref":"aws_neptune.html#promote_read_replica_db_cluster/2","title":"aws_neptune.promote_read_replica_db_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#promote_read_replica_db_cluster/3","title":"aws_neptune.promote_read_replica_db_cluster/3","type":"function"},{"doc":"You might need to reboot your DB instance, usually for maintenance reasons. For example, if you make certain modifications, or if you change the DB parameter group associated with the DB instance, you must reboot the instance for the changes to take effect. Rebooting a DB instance restarts the database engine service. Rebooting a DB instance results in a momentary outage, during which the DB instance status is set to rebooting.","ref":"aws_neptune.html#reboot_db_instance/2","title":"aws_neptune.reboot_db_instance/2","type":"function"},{"doc":"","ref":"aws_neptune.html#reboot_db_instance/3","title":"aws_neptune.reboot_db_instance/3","type":"function"},{"doc":"Detaches a Neptune DB cluster from a Neptune global database. A secondary cluster becomes a normal standalone cluster with read-write capability instead of being read-only, and no longer receives data from a the primary cluster.","ref":"aws_neptune.html#remove_from_global_cluster/2","title":"aws_neptune.remove_from_global_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#remove_from_global_cluster/3","title":"aws_neptune.remove_from_global_cluster/3","type":"function"},{"doc":"Disassociates an Identity and Access Management (IAM) role from a DB cluster.","ref":"aws_neptune.html#remove_role_from_db_cluster/2","title":"aws_neptune.remove_role_from_db_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#remove_role_from_db_cluster/3","title":"aws_neptune.remove_role_from_db_cluster/3","type":"function"},{"doc":"Removes a source identifier from an existing event notification subscription.","ref":"aws_neptune.html#remove_source_identifier_from_subscription/2","title":"aws_neptune.remove_source_identifier_from_subscription/2","type":"function"},{"doc":"","ref":"aws_neptune.html#remove_source_identifier_from_subscription/3","title":"aws_neptune.remove_source_identifier_from_subscription/3","type":"function"},{"doc":"Removes metadata tags from an Amazon Neptune resource.","ref":"aws_neptune.html#remove_tags_from_resource/2","title":"aws_neptune.remove_tags_from_resource/2","type":"function"},{"doc":"","ref":"aws_neptune.html#remove_tags_from_resource/3","title":"aws_neptune.remove_tags_from_resource/3","type":"function"},{"doc":"Modifies the parameters of a DB cluster parameter group to the default value. To reset specific parameters submit a list of the following: ParameterName and ApplyMethod . To reset the entire DB cluster parameter group, specify the DBClusterParameterGroupName and ResetAllParameters parameters. When resetting the entire group, dynamic parameters are updated immediately and static parameters are set to pending-reboot to take effect on the next DB instance restart or RebootDBInstance request. You must call RebootDBInstance for every DB instance in your DB cluster that you want the updated static parameter to apply to.","ref":"aws_neptune.html#reset_db_cluster_parameter_group/2","title":"aws_neptune.reset_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#reset_db_cluster_parameter_group/3","title":"aws_neptune.reset_db_cluster_parameter_group/3","type":"function"},{"doc":"Modifies the parameters of a DB parameter group to the engine/system default value. To reset specific parameters, provide a list of the following: ParameterName and ApplyMethod . To reset the entire DB parameter group, specify the DBParameterGroup name and ResetAllParameters parameters. When resetting the entire group, dynamic parameters are updated immediately and static parameters are set to pending-reboot to take effect on the next DB instance restart or RebootDBInstance request.","ref":"aws_neptune.html#reset_db_parameter_group/2","title":"aws_neptune.reset_db_parameter_group/2","type":"function"},{"doc":"","ref":"aws_neptune.html#reset_db_parameter_group/3","title":"aws_neptune.reset_db_parameter_group/3","type":"function"},{"doc":"Creates a new DB cluster from a DB snapshot or DB cluster snapshot. If a DB snapshot is specified, the target DB cluster is created from the source DB snapshot with a default configuration and default security group. If a DB cluster snapshot is specified, the target DB cluster is created from the source DB cluster restore point with the same configuration as the original source DB cluster, except that the new DB cluster is created with the default security group.","ref":"aws_neptune.html#restore_db_cluster_from_snapshot/2","title":"aws_neptune.restore_db_cluster_from_snapshot/2","type":"function"},{"doc":"","ref":"aws_neptune.html#restore_db_cluster_from_snapshot/3","title":"aws_neptune.restore_db_cluster_from_snapshot/3","type":"function"},{"doc":"Restores a DB cluster to an arbitrary point in time. Users can restore to any point in time before LatestRestorableTime for up to BackupRetentionPeriod days. The target DB cluster is created from the source DB cluster with the same configuration as the original DB cluster, except that the new DB cluster is created with the default DB security group. This action only restores the DB cluster, not the DB instances for that DB cluster. You must invoke the CreateDBInstance action to create DB instances for the restored DB cluster, specifying the identifier of the restored DB cluster in DBClusterIdentifier . You can create DB instances only after the RestoreDBClusterToPointInTime action has completed and the DB cluster is available.","ref":"aws_neptune.html#restore_db_cluster_to_point_in_time/2","title":"aws_neptune.restore_db_cluster_to_point_in_time/2","type":"function"},{"doc":"","ref":"aws_neptune.html#restore_db_cluster_to_point_in_time/3","title":"aws_neptune.restore_db_cluster_to_point_in_time/3","type":"function"},{"doc":"Starts an Amazon Neptune DB cluster that was stopped using the Amazon console, the Amazon CLI stop-db-cluster command, or the StopDBCluster API.","ref":"aws_neptune.html#start_db_cluster/2","title":"aws_neptune.start_db_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#start_db_cluster/3","title":"aws_neptune.start_db_cluster/3","type":"function"},{"doc":"Stops an Amazon Neptune DB cluster. When you stop a DB cluster, Neptune retains the DB cluster's metadata, including its endpoints and DB parameter groups. Neptune also retains the transaction logs so you can do a point-in-time restore if necessary.","ref":"aws_neptune.html#stop_db_cluster/2","title":"aws_neptune.stop_db_cluster/2","type":"function"},{"doc":"","ref":"aws_neptune.html#stop_db_cluster/3","title":"aws_neptune.stop_db_cluster/3","type":"function"},{"doc":"This is the API Reference for Network Firewall. This guide is for developers who need detailed information about the Network Firewall API actions, data types, and errors. The REST API requires you to handle connection details, such as calculating signatures, handling request retries, and error handling. For general information about using the Amazon Web Services REST APIs, see Amazon Web Services APIs. To access Network Firewall using the REST API endpoint: https://network-firewall.&amp;lt;region&amp;gt;.amazonaws.com Alternatively, you can use one of the Amazon Web Services SDKs to access an API that's tailored to the programming language or platform that you're using. For more information, see Amazon Web Services SDKs. For descriptions of Network Firewall features, including and step-by-step instructions on how to use them through the Network Firewall console, see the Network Firewall Developer Guide. Network Firewall is a stateful, managed, network firewall and intrusion detection and prevention service for Amazon Virtual Private Cloud (Amazon VPC). With Network Firewall, you can filter traffic at the perimeter of your VPC. This includes filtering traffic going to and coming from an internet gateway, NAT gateway, or over VPN or Direct Connect. Network Firewall uses rules that are compatible with Suricata, a free, open source network analysis and threat detection engine. Network Firewall supports Suricata version 5.0.2. For information about Suricata, see the Suricata website. You can use Network Firewall to monitor and protect your VPC traffic in a number of ways. The following are just a few examples: Allow domains or IP addresses for known Amazon Web Services service endpoints, such as Amazon S3, and block all other forms of traffic. Use custom lists of known bad domains to limit the types of domain names that your applications can access. Perform deep packet inspection on traffic entering or leaving your VPC. Use stateful protocol detection to filter protocols like HTTPS, regardless of the port used. To enable Network Firewall for your VPCs, you perform steps in both Amazon VPC and in Network Firewall. For information about using Amazon VPC, see Amazon VPC User Guide. To start using Network Firewall, do the following: (Optional) If you don't already have a VPC that you want to protect, create it in Amazon VPC. In Amazon VPC, in each Availability Zone where you want to have a firewall endpoint, create a subnet for the sole use of Network Firewall. In Network Firewall, create stateless and stateful rule groups, to define the components of the network traffic filtering behavior that you want your firewall to have. In Network Firewall, create a firewall policy that uses your rule groups and specifies additional default traffic filtering behavior. In Network Firewall, create a firewall and specify your new firewall policy and VPC subnets. Network Firewall creates a firewall endpoint in each subnet that you specify, with the behavior that's defined in the firewall policy. In Amazon VPC, use ingress routing enhancements to route traffic through the new firewall endpoints.","ref":"aws_network_firewall.html","title":"aws_network_firewall","type":"module"},{"doc":"Associates a FirewallPolicy to a Firewall . A firewall policy defines how to monitor and manage your VPC network traffic, using a collection of inspection rule groups and other settings. Each firewall requires one firewall policy association, and you can use the same firewall policy for multiple firewalls.","ref":"aws_network_firewall.html#associate_firewall_policy/2","title":"aws_network_firewall.associate_firewall_policy/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#associate_firewall_policy/3","title":"aws_network_firewall.associate_firewall_policy/3","type":"function"},{"doc":"Associates the specified subnets in the Amazon VPC to the firewall. You can specify one subnet for each of the Availability Zones that the VPC spans. This request creates an Network Firewall firewall endpoint in each of the subnets. To enable the firewall's protections, you must also modify the VPC's route tables for each subnet's Availability Zone, to redirect the traffic that's coming into and going out of the zone through the firewall endpoint.","ref":"aws_network_firewall.html#associate_subnets/2","title":"aws_network_firewall.associate_subnets/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#associate_subnets/3","title":"aws_network_firewall.associate_subnets/3","type":"function"},{"doc":"Creates an Network Firewall Firewall and accompanying FirewallStatus for a VPC. The firewall defines the configuration settings for an Network Firewall firewall. The settings that you can define at creation include the firewall policy, the subnets in your VPC to use for the firewall endpoints, and any tags that are attached to the firewall Amazon Web Services resource. After you create a firewall, you can provide additional settings, like the logging configuration. To update the settings for a firewall, you use the operations that apply to the settings themselves, for example UpdateLoggingConfiguration , AssociateSubnets , and UpdateFirewallDeleteProtection . To manage a firewall's tags, use the standard Amazon Web Services resource tagging operations, ListTagsForResource , TagResource , and UntagResource . To retrieve information about firewalls, use ListFirewalls and DescribeFirewall .","ref":"aws_network_firewall.html#create_firewall/2","title":"aws_network_firewall.create_firewall/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#create_firewall/3","title":"aws_network_firewall.create_firewall/3","type":"function"},{"doc":"Creates the firewall policy for the firewall according to the specifications. An Network Firewall firewall policy defines the behavior of a firewall, in a collection of stateless and stateful rule groups and other settings. You can use one firewall policy for multiple firewalls.","ref":"aws_network_firewall.html#create_firewall_policy/2","title":"aws_network_firewall.create_firewall_policy/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#create_firewall_policy/3","title":"aws_network_firewall.create_firewall_policy/3","type":"function"},{"doc":"Creates the specified stateless or stateful rule group, which includes the rules for network traffic inspection, a capacity setting, and tags. You provide your rule group specification in your request using either RuleGroup or Rules .","ref":"aws_network_firewall.html#create_rule_group/2","title":"aws_network_firewall.create_rule_group/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#create_rule_group/3","title":"aws_network_firewall.create_rule_group/3","type":"function"},{"doc":"Deletes the specified Firewall and its FirewallStatus . This operation requires the firewall's DeleteProtection flag to be FALSE . You can't revert this operation. You can check whether a firewall is in use by reviewing the route tables for the Availability Zones where you have firewall subnet mappings. Retrieve the subnet mappings by calling DescribeFirewall . You define and update the route tables through Amazon VPC. As needed, update the route tables for the zones to remove the firewall endpoints. When the route tables no longer use the firewall endpoints, you can remove the firewall safely. To delete a firewall, remove the delete protection if you need to using UpdateFirewallDeleteProtection , then delete the firewall by calling DeleteFirewall .","ref":"aws_network_firewall.html#delete_firewall/2","title":"aws_network_firewall.delete_firewall/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#delete_firewall/3","title":"aws_network_firewall.delete_firewall/3","type":"function"},{"doc":"Deletes the specified FirewallPolicy .","ref":"aws_network_firewall.html#delete_firewall_policy/2","title":"aws_network_firewall.delete_firewall_policy/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#delete_firewall_policy/3","title":"aws_network_firewall.delete_firewall_policy/3","type":"function"},{"doc":"Deletes a resource policy that you created in a PutResourcePolicy request.","ref":"aws_network_firewall.html#delete_resource_policy/2","title":"aws_network_firewall.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#delete_resource_policy/3","title":"aws_network_firewall.delete_resource_policy/3","type":"function"},{"doc":"Deletes the specified RuleGroup .","ref":"aws_network_firewall.html#delete_rule_group/2","title":"aws_network_firewall.delete_rule_group/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#delete_rule_group/3","title":"aws_network_firewall.delete_rule_group/3","type":"function"},{"doc":"Returns the data objects for the specified firewall.","ref":"aws_network_firewall.html#describe_firewall/2","title":"aws_network_firewall.describe_firewall/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#describe_firewall/3","title":"aws_network_firewall.describe_firewall/3","type":"function"},{"doc":"Returns the data objects for the specified firewall policy.","ref":"aws_network_firewall.html#describe_firewall_policy/2","title":"aws_network_firewall.describe_firewall_policy/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#describe_firewall_policy/3","title":"aws_network_firewall.describe_firewall_policy/3","type":"function"},{"doc":"Returns the logging configuration for the specified firewall.","ref":"aws_network_firewall.html#describe_logging_configuration/2","title":"aws_network_firewall.describe_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#describe_logging_configuration/3","title":"aws_network_firewall.describe_logging_configuration/3","type":"function"},{"doc":"Retrieves a resource policy that you created in a PutResourcePolicy request.","ref":"aws_network_firewall.html#describe_resource_policy/2","title":"aws_network_firewall.describe_resource_policy/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#describe_resource_policy/3","title":"aws_network_firewall.describe_resource_policy/3","type":"function"},{"doc":"Returns the data objects for the specified rule group.","ref":"aws_network_firewall.html#describe_rule_group/2","title":"aws_network_firewall.describe_rule_group/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#describe_rule_group/3","title":"aws_network_firewall.describe_rule_group/3","type":"function"},{"doc":"High-level information about a rule group, returned by operations like create and describe. You can use the information provided in the metadata to retrieve and manage a rule group. You can retrieve all objects for a rule group by calling DescribeRuleGroup .","ref":"aws_network_firewall.html#describe_rule_group_metadata/2","title":"aws_network_firewall.describe_rule_group_metadata/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#describe_rule_group_metadata/3","title":"aws_network_firewall.describe_rule_group_metadata/3","type":"function"},{"doc":"Removes the specified subnet associations from the firewall. This removes the firewall endpoints from the subnets and removes any network filtering protections that the endpoints were providing.","ref":"aws_network_firewall.html#disassociate_subnets/2","title":"aws_network_firewall.disassociate_subnets/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#disassociate_subnets/3","title":"aws_network_firewall.disassociate_subnets/3","type":"function"},{"doc":"Retrieves the metadata for the firewall policies that you have defined. Depending on your setting for max results and the number of firewall policies, a single call might not return the full list.","ref":"aws_network_firewall.html#list_firewall_policies/2","title":"aws_network_firewall.list_firewall_policies/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#list_firewall_policies/3","title":"aws_network_firewall.list_firewall_policies/3","type":"function"},{"doc":"Retrieves the metadata for the firewalls that you have defined. If you provide VPC identifiers in your request, this returns only the firewalls for those VPCs. Depending on your setting for max results and the number of firewalls, a single call might not return the full list.","ref":"aws_network_firewall.html#list_firewalls/2","title":"aws_network_firewall.list_firewalls/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#list_firewalls/3","title":"aws_network_firewall.list_firewalls/3","type":"function"},{"doc":"Retrieves the metadata for the rule groups that you have defined. Depending on your setting for max results and the number of rule groups, a single call might not return the full list.","ref":"aws_network_firewall.html#list_rule_groups/2","title":"aws_network_firewall.list_rule_groups/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#list_rule_groups/3","title":"aws_network_firewall.list_rule_groups/3","type":"function"},{"doc":"Retrieves the tags associated with the specified resource. Tags are key:value pairs that you can use to categorize and manage your resources, for purposes like billing. For example, you might set the tag key to &quot;customer&quot; and the value to the customer name or ID. You can specify one or more tags to add to each Amazon Web Services resource, up to 50 tags for a resource. You can tag the Amazon Web Services resources that you manage through Network Firewall: firewalls, firewall policies, and rule groups.","ref":"aws_network_firewall.html#list_tags_for_resource/2","title":"aws_network_firewall.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#list_tags_for_resource/3","title":"aws_network_firewall.list_tags_for_resource/3","type":"function"},{"doc":"Creates or updates an IAM policy for your rule group or firewall policy. Use this to share rule groups and firewall policies between accounts. This operation works in conjunction with the Amazon Web Services Resource Access Manager (RAM) service to manage resource sharing for Network Firewall. Use this operation to create or update a resource policy for your rule group or firewall policy. In the policy, you specify the accounts that you want to share the resource with and the operations that you want the accounts to be able to perform. When you add an account in the resource policy, you then run the following Resource Access Manager (RAM) operations to access and accept the shared rule group or firewall policy. GetResourceShareInvitations - Returns the Amazon Resource Names (ARNs) of the resource share invitations. AcceptResourceShareInvitation - Accepts the share invitation for a specified resource share. For additional information about resource sharing using RAM, see Resource Access Manager User Guide.","ref":"aws_network_firewall.html#put_resource_policy/2","title":"aws_network_firewall.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#put_resource_policy/3","title":"aws_network_firewall.put_resource_policy/3","type":"function"},{"doc":"Adds the specified tags to the specified resource. Tags are key:value pairs that you can use to categorize and manage your resources, for purposes like billing. For example, you might set the tag key to &quot;customer&quot; and the value to the customer name or ID. You can specify one or more tags to add to each Amazon Web Services resource, up to 50 tags for a resource. You can tag the Amazon Web Services resources that you manage through Network Firewall: firewalls, firewall policies, and rule groups.","ref":"aws_network_firewall.html#tag_resource/2","title":"aws_network_firewall.tag_resource/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#tag_resource/3","title":"aws_network_firewall.tag_resource/3","type":"function"},{"doc":"Removes the tags with the specified keys from the specified resource. Tags are key:value pairs that you can use to categorize and manage your resources, for purposes like billing. For example, you might set the tag key to &quot;customer&quot; and the value to the customer name or ID. You can specify one or more tags to add to each Amazon Web Services resource, up to 50 tags for a resource. You can manage tags for the Amazon Web Services resources that you manage through Network Firewall: firewalls, firewall policies, and rule groups.","ref":"aws_network_firewall.html#untag_resource/2","title":"aws_network_firewall.untag_resource/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#untag_resource/3","title":"aws_network_firewall.untag_resource/3","type":"function"},{"doc":"Modifies the flag, DeleteProtection , which indicates whether it is possible to delete the firewall. If the flag is set to TRUE , the firewall is protected against deletion. This setting helps protect against accidentally deleting a firewall that's in use.","ref":"aws_network_firewall.html#update_firewall_delete_protection/2","title":"aws_network_firewall.update_firewall_delete_protection/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#update_firewall_delete_protection/3","title":"aws_network_firewall.update_firewall_delete_protection/3","type":"function"},{"doc":"Modifies the description for the specified firewall. Use the description to help you identify the firewall when you're working with it.","ref":"aws_network_firewall.html#update_firewall_description/2","title":"aws_network_firewall.update_firewall_description/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#update_firewall_description/3","title":"aws_network_firewall.update_firewall_description/3","type":"function"},{"doc":"A complex type that contains settings for encryption of your firewall resources.","ref":"aws_network_firewall.html#update_firewall_encryption_configuration/2","title":"aws_network_firewall.update_firewall_encryption_configuration/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#update_firewall_encryption_configuration/3","title":"aws_network_firewall.update_firewall_encryption_configuration/3","type":"function"},{"doc":"Updates the properties of the specified firewall policy.","ref":"aws_network_firewall.html#update_firewall_policy/2","title":"aws_network_firewall.update_firewall_policy/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#update_firewall_policy/3","title":"aws_network_firewall.update_firewall_policy/3","type":"function"},{"doc":"Modifies the flag, ChangeProtection , which indicates whether it is possible to change the firewall. If the flag is set to TRUE , the firewall is protected from changes. This setting helps protect against accidentally changing a firewall that's in use.","ref":"aws_network_firewall.html#update_firewall_policy_change_protection/2","title":"aws_network_firewall.update_firewall_policy_change_protection/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#update_firewall_policy_change_protection/3","title":"aws_network_firewall.update_firewall_policy_change_protection/3","type":"function"},{"doc":"Sets the logging configuration for the specified firewall. To change the logging configuration, retrieve the LoggingConfiguration by calling DescribeLoggingConfiguration , then change it and provide the modified object to this update call. You must change the logging configuration one LogDestinationConfig at a time inside the retrieved LoggingConfiguration object. You can perform only one of the following actions in any call to UpdateLoggingConfiguration : Create a new log destination object by adding a single LogDestinationConfig array element to LogDestinationConfigs . Delete a log destination object by removing a single LogDestinationConfig array element from LogDestinationConfigs . Change the LogDestination setting in a single LogDestinationConfig array element. You can't change the LogDestinationType or LogType in a LogDestinationConfig . To change these settings, delete the existing LogDestinationConfig object and create a new one, using two separate calls to this update operation.","ref":"aws_network_firewall.html#update_logging_configuration/2","title":"aws_network_firewall.update_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#update_logging_configuration/3","title":"aws_network_firewall.update_logging_configuration/3","type":"function"},{"doc":"Updates the rule settings for the specified rule group. You use a rule group by reference in one or more firewall policies. When you modify a rule group, you modify all firewall policies that use the rule group. To update a rule group, first call DescribeRuleGroup to retrieve the current RuleGroup object, update the object as needed, and then provide the updated object to this call.","ref":"aws_network_firewall.html#update_rule_group/2","title":"aws_network_firewall.update_rule_group/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#update_rule_group/3","title":"aws_network_firewall.update_rule_group/3","type":"function"},{"doc":"","ref":"aws_network_firewall.html#update_subnet_change_protection/2","title":"aws_network_firewall.update_subnet_change_protection/2","type":"function"},{"doc":"","ref":"aws_network_firewall.html#update_subnet_change_protection/3","title":"aws_network_firewall.update_subnet_change_protection/3","type":"function"},{"doc":"Amazon Web Services enables you to centrally manage your Amazon Web Services Cloud WAN core network and your Transit Gateway network across Amazon Web Services accounts, Regions, and on-premises locations.","ref":"aws_networkmanager.html","title":"aws_networkmanager","type":"module"},{"doc":"Accepts a core network attachment request. Once the attachment request is accepted by a core network owner, the attachment is created and connected to a core network.","ref":"aws_networkmanager.html#accept_attachment/3","title":"aws_networkmanager.accept_attachment/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#accept_attachment/4","title":"aws_networkmanager.accept_attachment/4","type":"function"},{"doc":"Associates a core network Connect peer with a device and optionally, with a link. If you specify a link, it must be associated with the specified device. You can only associate core network Connect peers that have been created on a core network Connect attachment on a core network.","ref":"aws_networkmanager.html#associate_connect_peer/3","title":"aws_networkmanager.associate_connect_peer/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#associate_connect_peer/4","title":"aws_networkmanager.associate_connect_peer/4","type":"function"},{"doc":"Associates a customer gateway with a device and optionally, with a link. If you specify a link, it must be associated with the specified device. You can only associate customer gateways that are connected to a VPN attachment on a transit gateway or core network registered in your global network. When you register a transit gateway or core network, customer gateways that are connected to the transit gateway are automatically included in the global network. To list customer gateways that are connected to a transit gateway, use the DescribeVpnConnections EC2 API and filter by transit-gateway-id . You cannot associate a customer gateway with more than one device and link.","ref":"aws_networkmanager.html#associate_customer_gateway/3","title":"aws_networkmanager.associate_customer_gateway/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#associate_customer_gateway/4","title":"aws_networkmanager.associate_customer_gateway/4","type":"function"},{"doc":"Associates a link to a device. A device can be associated to multiple links and a link can be associated to multiple devices. The device and link must be in the same global network and the same site.","ref":"aws_networkmanager.html#associate_link/3","title":"aws_networkmanager.associate_link/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#associate_link/4","title":"aws_networkmanager.associate_link/4","type":"function"},{"doc":"Associates a transit gateway Connect peer with a device, and optionally, with a link. If you specify a link, it must be associated with the specified device. You can only associate transit gateway Connect peers that have been created on a transit gateway that's registered in your global network. You cannot associate a transit gateway Connect peer with more than one device and link.","ref":"aws_networkmanager.html#associate_transit_gateway_connect_peer/3","title":"aws_networkmanager.associate_transit_gateway_connect_peer/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#associate_transit_gateway_connect_peer/4","title":"aws_networkmanager.associate_transit_gateway_connect_peer/4","type":"function"},{"doc":"Creates a core network Connect attachment from a specified core network attachment. A core network Connect attachment is a GRE-based tunnel attachment that you can use to establish a connection between a core network and an appliance. A core network Connect attachment uses an existing VPC attachment as the underlying transport mechanism.","ref":"aws_networkmanager.html#create_connect_attachment/2","title":"aws_networkmanager.create_connect_attachment/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#create_connect_attachment/3","title":"aws_networkmanager.create_connect_attachment/3","type":"function"},{"doc":"Creates a core network Connect peer for a specified core network connect attachment between a core network and an appliance. The peer address and transit gateway address must be the same IP address family (IPv4 or IPv6).","ref":"aws_networkmanager.html#create_connect_peer/2","title":"aws_networkmanager.create_connect_peer/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#create_connect_peer/3","title":"aws_networkmanager.create_connect_peer/3","type":"function"},{"doc":"Creates a connection between two devices. The devices can be a physical or virtual appliance that connects to a third-party appliance in a VPC, or a physical appliance that connects to another physical appliance in an on-premises network.","ref":"aws_networkmanager.html#create_connection/3","title":"aws_networkmanager.create_connection/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#create_connection/4","title":"aws_networkmanager.create_connection/4","type":"function"},{"doc":"Creates a core network as part of your global network, and optionally, with a core network policy.","ref":"aws_networkmanager.html#create_core_network/2","title":"aws_networkmanager.create_core_network/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#create_core_network/3","title":"aws_networkmanager.create_core_network/3","type":"function"},{"doc":"Creates a new device in a global network. If you specify both a site ID and a location, the location of the site is used for visualization in the Network Manager console.","ref":"aws_networkmanager.html#create_device/3","title":"aws_networkmanager.create_device/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#create_device/4","title":"aws_networkmanager.create_device/4","type":"function"},{"doc":"Creates a new, empty global network.","ref":"aws_networkmanager.html#create_global_network/2","title":"aws_networkmanager.create_global_network/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#create_global_network/3","title":"aws_networkmanager.create_global_network/3","type":"function"},{"doc":"Creates a new link for a specified site.","ref":"aws_networkmanager.html#create_link/3","title":"aws_networkmanager.create_link/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#create_link/4","title":"aws_networkmanager.create_link/4","type":"function"},{"doc":"Creates a new site in a global network.","ref":"aws_networkmanager.html#create_site/3","title":"aws_networkmanager.create_site/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#create_site/4","title":"aws_networkmanager.create_site/4","type":"function"},{"doc":"Creates an Amazon Web Services site-to-site VPN attachment on an edge location of a core network.","ref":"aws_networkmanager.html#create_site_to_site_vpn_attachment/2","title":"aws_networkmanager.create_site_to_site_vpn_attachment/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#create_site_to_site_vpn_attachment/3","title":"aws_networkmanager.create_site_to_site_vpn_attachment/3","type":"function"},{"doc":"Creates a transit gateway peering connection.","ref":"aws_networkmanager.html#create_transit_gateway_peering/2","title":"aws_networkmanager.create_transit_gateway_peering/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#create_transit_gateway_peering/3","title":"aws_networkmanager.create_transit_gateway_peering/3","type":"function"},{"doc":"Creates a transit gateway route table attachment.","ref":"aws_networkmanager.html#create_transit_gateway_route_table_attachment/2","title":"aws_networkmanager.create_transit_gateway_route_table_attachment/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#create_transit_gateway_route_table_attachment/3","title":"aws_networkmanager.create_transit_gateway_route_table_attachment/3","type":"function"},{"doc":"Creates a VPC attachment on an edge location of a core network.","ref":"aws_networkmanager.html#create_vpc_attachment/2","title":"aws_networkmanager.create_vpc_attachment/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#create_vpc_attachment/3","title":"aws_networkmanager.create_vpc_attachment/3","type":"function"},{"doc":"Deletes an attachment. Supports all attachment types.","ref":"aws_networkmanager.html#delete_attachment/3","title":"aws_networkmanager.delete_attachment/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#delete_attachment/4","title":"aws_networkmanager.delete_attachment/4","type":"function"},{"doc":"Deletes a Connect peer.","ref":"aws_networkmanager.html#delete_connect_peer/3","title":"aws_networkmanager.delete_connect_peer/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#delete_connect_peer/4","title":"aws_networkmanager.delete_connect_peer/4","type":"function"},{"doc":"Deletes the specified connection in your global network.","ref":"aws_networkmanager.html#delete_connection/4","title":"aws_networkmanager.delete_connection/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#delete_connection/5","title":"aws_networkmanager.delete_connection/5","type":"function"},{"doc":"Deletes a core network along with all core network policies. This can only be done if there are no attachments on a core network.","ref":"aws_networkmanager.html#delete_core_network/3","title":"aws_networkmanager.delete_core_network/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#delete_core_network/4","title":"aws_networkmanager.delete_core_network/4","type":"function"},{"doc":"Deletes a policy version from a core network. You can't delete the current LIVE policy.","ref":"aws_networkmanager.html#delete_core_network_policy_version/4","title":"aws_networkmanager.delete_core_network_policy_version/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#delete_core_network_policy_version/5","title":"aws_networkmanager.delete_core_network_policy_version/5","type":"function"},{"doc":"Deletes an existing device. You must first disassociate the device from any links and customer gateways.","ref":"aws_networkmanager.html#delete_device/4","title":"aws_networkmanager.delete_device/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#delete_device/5","title":"aws_networkmanager.delete_device/5","type":"function"},{"doc":"Deletes an existing global network. You must first delete all global network objects (devices, links, and sites), deregister all transit gateways, and delete any core networks.","ref":"aws_networkmanager.html#delete_global_network/3","title":"aws_networkmanager.delete_global_network/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#delete_global_network/4","title":"aws_networkmanager.delete_global_network/4","type":"function"},{"doc":"Deletes an existing link. You must first disassociate the link from any devices and customer gateways.","ref":"aws_networkmanager.html#delete_link/4","title":"aws_networkmanager.delete_link/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#delete_link/5","title":"aws_networkmanager.delete_link/5","type":"function"},{"doc":"Deletes an existing peering connection.","ref":"aws_networkmanager.html#delete_peering/3","title":"aws_networkmanager.delete_peering/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#delete_peering/4","title":"aws_networkmanager.delete_peering/4","type":"function"},{"doc":"Deletes a resource policy for the specified resource. This revokes the access of the principals specified in the resource policy.","ref":"aws_networkmanager.html#delete_resource_policy/3","title":"aws_networkmanager.delete_resource_policy/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#delete_resource_policy/4","title":"aws_networkmanager.delete_resource_policy/4","type":"function"},{"doc":"Deletes an existing site. The site cannot be associated with any device or link.","ref":"aws_networkmanager.html#delete_site/4","title":"aws_networkmanager.delete_site/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#delete_site/5","title":"aws_networkmanager.delete_site/5","type":"function"},{"doc":"Deregisters a transit gateway from your global network. This action does not delete your transit gateway, or modify any of its attachments. This action removes any customer gateway associations.","ref":"aws_networkmanager.html#deregister_transit_gateway/4","title":"aws_networkmanager.deregister_transit_gateway/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#deregister_transit_gateway/5","title":"aws_networkmanager.deregister_transit_gateway/5","type":"function"},{"doc":"Describes one or more global networks. By default, all global networks are described. To describe the objects in your global network, you must use the appropriate Get* action. For example, to list the transit gateways in your global network, use GetTransitGatewayRegistrations .","ref":"aws_networkmanager.html#describe_global_networks/1","title":"aws_networkmanager.describe_global_networks/1","type":"function"},{"doc":"","ref":"aws_networkmanager.html#describe_global_networks/3","title":"aws_networkmanager.describe_global_networks/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#describe_global_networks/4","title":"aws_networkmanager.describe_global_networks/4","type":"function"},{"doc":"Disassociates a core network Connect peer from a device and a link.","ref":"aws_networkmanager.html#disassociate_connect_peer/4","title":"aws_networkmanager.disassociate_connect_peer/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#disassociate_connect_peer/5","title":"aws_networkmanager.disassociate_connect_peer/5","type":"function"},{"doc":"Disassociates a customer gateway from a device and a link.","ref":"aws_networkmanager.html#disassociate_customer_gateway/4","title":"aws_networkmanager.disassociate_customer_gateway/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#disassociate_customer_gateway/5","title":"aws_networkmanager.disassociate_customer_gateway/5","type":"function"},{"doc":"Disassociates an existing device from a link. You must first disassociate any customer gateways that are associated with the link.","ref":"aws_networkmanager.html#disassociate_link/3","title":"aws_networkmanager.disassociate_link/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#disassociate_link/4","title":"aws_networkmanager.disassociate_link/4","type":"function"},{"doc":"Disassociates a transit gateway Connect peer from a device and link.","ref":"aws_networkmanager.html#disassociate_transit_gateway_connect_peer/4","title":"aws_networkmanager.disassociate_transit_gateway_connect_peer/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#disassociate_transit_gateway_connect_peer/5","title":"aws_networkmanager.disassociate_transit_gateway_connect_peer/5","type":"function"},{"doc":"Executes a change set on your core network. Deploys changes globally based on the policy submitted..","ref":"aws_networkmanager.html#execute_core_network_change_set/4","title":"aws_networkmanager.execute_core_network_change_set/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#execute_core_network_change_set/5","title":"aws_networkmanager.execute_core_network_change_set/5","type":"function"},{"doc":"Returns information about a core network Connect attachment.","ref":"aws_networkmanager.html#get_connect_attachment/2","title":"aws_networkmanager.get_connect_attachment/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_connect_attachment/4","title":"aws_networkmanager.get_connect_attachment/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_connect_attachment/5","title":"aws_networkmanager.get_connect_attachment/5","type":"function"},{"doc":"Returns information about a core network Connect peer.","ref":"aws_networkmanager.html#get_connect_peer/2","title":"aws_networkmanager.get_connect_peer/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_connect_peer/4","title":"aws_networkmanager.get_connect_peer/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_connect_peer/5","title":"aws_networkmanager.get_connect_peer/5","type":"function"},{"doc":"Returns information about a core network Connect peer associations.","ref":"aws_networkmanager.html#get_connect_peer_associations/2","title":"aws_networkmanager.get_connect_peer_associations/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_connect_peer_associations/4","title":"aws_networkmanager.get_connect_peer_associations/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_connect_peer_associations/5","title":"aws_networkmanager.get_connect_peer_associations/5","type":"function"},{"doc":"Gets information about one or more of your connections in a global network.","ref":"aws_networkmanager.html#get_connections/2","title":"aws_networkmanager.get_connections/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_connections/4","title":"aws_networkmanager.get_connections/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_connections/5","title":"aws_networkmanager.get_connections/5","type":"function"},{"doc":"Returns information about the LIVE policy for a core network.","ref":"aws_networkmanager.html#get_core_network/2","title":"aws_networkmanager.get_core_network/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_core_network/4","title":"aws_networkmanager.get_core_network/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_core_network/5","title":"aws_networkmanager.get_core_network/5","type":"function"},{"doc":"Returns information about a core network change event.","ref":"aws_networkmanager.html#get_core_network_change_events/3","title":"aws_networkmanager.get_core_network_change_events/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_core_network_change_events/5","title":"aws_networkmanager.get_core_network_change_events/5","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_core_network_change_events/6","title":"aws_networkmanager.get_core_network_change_events/6","type":"function"},{"doc":"Returns a change set between the LIVE core network policy and a submitted policy.","ref":"aws_networkmanager.html#get_core_network_change_set/3","title":"aws_networkmanager.get_core_network_change_set/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_core_network_change_set/5","title":"aws_networkmanager.get_core_network_change_set/5","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_core_network_change_set/6","title":"aws_networkmanager.get_core_network_change_set/6","type":"function"},{"doc":"Returns details about a core network policy. You can get details about your current live policy or any previous policy version.","ref":"aws_networkmanager.html#get_core_network_policy/2","title":"aws_networkmanager.get_core_network_policy/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_core_network_policy/4","title":"aws_networkmanager.get_core_network_policy/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_core_network_policy/5","title":"aws_networkmanager.get_core_network_policy/5","type":"function"},{"doc":"Gets the association information for customer gateways that are associated with devices and links in your global network.","ref":"aws_networkmanager.html#get_customer_gateway_associations/2","title":"aws_networkmanager.get_customer_gateway_associations/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_customer_gateway_associations/4","title":"aws_networkmanager.get_customer_gateway_associations/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_customer_gateway_associations/5","title":"aws_networkmanager.get_customer_gateway_associations/5","type":"function"},{"doc":"Gets information about one or more of your devices in a global network.","ref":"aws_networkmanager.html#get_devices/2","title":"aws_networkmanager.get_devices/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_devices/4","title":"aws_networkmanager.get_devices/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_devices/5","title":"aws_networkmanager.get_devices/5","type":"function"},{"doc":"Gets the link associations for a device or a link. Either the device ID or the link ID must be specified.","ref":"aws_networkmanager.html#get_link_associations/2","title":"aws_networkmanager.get_link_associations/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_link_associations/4","title":"aws_networkmanager.get_link_associations/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_link_associations/5","title":"aws_networkmanager.get_link_associations/5","type":"function"},{"doc":"Gets information about one or more links in a specified global network. If you specify the site ID, you cannot specify the type or provider in the same request. You can specify the type and provider in the same request.","ref":"aws_networkmanager.html#get_links/2","title":"aws_networkmanager.get_links/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_links/4","title":"aws_networkmanager.get_links/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_links/5","title":"aws_networkmanager.get_links/5","type":"function"},{"doc":"Gets the count of network resources, by resource type, for the specified global network.","ref":"aws_networkmanager.html#get_network_resource_counts/2","title":"aws_networkmanager.get_network_resource_counts/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_network_resource_counts/4","title":"aws_networkmanager.get_network_resource_counts/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_network_resource_counts/5","title":"aws_networkmanager.get_network_resource_counts/5","type":"function"},{"doc":"Gets the network resource relationships for the specified global network.","ref":"aws_networkmanager.html#get_network_resource_relationships/2","title":"aws_networkmanager.get_network_resource_relationships/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_network_resource_relationships/4","title":"aws_networkmanager.get_network_resource_relationships/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_network_resource_relationships/5","title":"aws_networkmanager.get_network_resource_relationships/5","type":"function"},{"doc":"Describes the network resources for the specified global network. The results include information from the corresponding Describe call for the resource, minus any sensitive information such as pre-shared keys.","ref":"aws_networkmanager.html#get_network_resources/2","title":"aws_networkmanager.get_network_resources/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_network_resources/4","title":"aws_networkmanager.get_network_resources/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_network_resources/5","title":"aws_networkmanager.get_network_resources/5","type":"function"},{"doc":"Gets the network routes of the specified global network.","ref":"aws_networkmanager.html#get_network_routes/3","title":"aws_networkmanager.get_network_routes/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_network_routes/4","title":"aws_networkmanager.get_network_routes/4","type":"function"},{"doc":"Gets the network telemetry of the specified global network.","ref":"aws_networkmanager.html#get_network_telemetry/2","title":"aws_networkmanager.get_network_telemetry/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_network_telemetry/4","title":"aws_networkmanager.get_network_telemetry/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_network_telemetry/5","title":"aws_networkmanager.get_network_telemetry/5","type":"function"},{"doc":"Returns information about a resource policy.","ref":"aws_networkmanager.html#get_resource_policy/2","title":"aws_networkmanager.get_resource_policy/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_resource_policy/4","title":"aws_networkmanager.get_resource_policy/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_resource_policy/5","title":"aws_networkmanager.get_resource_policy/5","type":"function"},{"doc":"Gets information about the specified route analysis.","ref":"aws_networkmanager.html#get_route_analysis/3","title":"aws_networkmanager.get_route_analysis/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_route_analysis/5","title":"aws_networkmanager.get_route_analysis/5","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_route_analysis/6","title":"aws_networkmanager.get_route_analysis/6","type":"function"},{"doc":"Returns information about a site-to-site VPN attachment.","ref":"aws_networkmanager.html#get_site_to_site_vpn_attachment/2","title":"aws_networkmanager.get_site_to_site_vpn_attachment/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_site_to_site_vpn_attachment/4","title":"aws_networkmanager.get_site_to_site_vpn_attachment/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_site_to_site_vpn_attachment/5","title":"aws_networkmanager.get_site_to_site_vpn_attachment/5","type":"function"},{"doc":"Gets information about one or more of your sites in a global network.","ref":"aws_networkmanager.html#get_sites/2","title":"aws_networkmanager.get_sites/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_sites/4","title":"aws_networkmanager.get_sites/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_sites/5","title":"aws_networkmanager.get_sites/5","type":"function"},{"doc":"Gets information about one or more of your transit gateway Connect peer associations in a global network.","ref":"aws_networkmanager.html#get_transit_gateway_connect_peer_associations/2","title":"aws_networkmanager.get_transit_gateway_connect_peer_associations/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_transit_gateway_connect_peer_associations/4","title":"aws_networkmanager.get_transit_gateway_connect_peer_associations/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_transit_gateway_connect_peer_associations/5","title":"aws_networkmanager.get_transit_gateway_connect_peer_associations/5","type":"function"},{"doc":"Returns information about a transit gateway peer.","ref":"aws_networkmanager.html#get_transit_gateway_peering/2","title":"aws_networkmanager.get_transit_gateway_peering/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_transit_gateway_peering/4","title":"aws_networkmanager.get_transit_gateway_peering/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_transit_gateway_peering/5","title":"aws_networkmanager.get_transit_gateway_peering/5","type":"function"},{"doc":"Gets information about the transit gateway registrations in a specified global network.","ref":"aws_networkmanager.html#get_transit_gateway_registrations/2","title":"aws_networkmanager.get_transit_gateway_registrations/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_transit_gateway_registrations/4","title":"aws_networkmanager.get_transit_gateway_registrations/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_transit_gateway_registrations/5","title":"aws_networkmanager.get_transit_gateway_registrations/5","type":"function"},{"doc":"Returns information about a transit gateway route table attachment.","ref":"aws_networkmanager.html#get_transit_gateway_route_table_attachment/2","title":"aws_networkmanager.get_transit_gateway_route_table_attachment/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_transit_gateway_route_table_attachment/4","title":"aws_networkmanager.get_transit_gateway_route_table_attachment/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_transit_gateway_route_table_attachment/5","title":"aws_networkmanager.get_transit_gateway_route_table_attachment/5","type":"function"},{"doc":"Returns information about a VPC attachment.","ref":"aws_networkmanager.html#get_vpc_attachment/2","title":"aws_networkmanager.get_vpc_attachment/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_vpc_attachment/4","title":"aws_networkmanager.get_vpc_attachment/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#get_vpc_attachment/5","title":"aws_networkmanager.get_vpc_attachment/5","type":"function"},{"doc":"Returns a list of core network attachments.","ref":"aws_networkmanager.html#list_attachments/1","title":"aws_networkmanager.list_attachments/1","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_attachments/3","title":"aws_networkmanager.list_attachments/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_attachments/4","title":"aws_networkmanager.list_attachments/4","type":"function"},{"doc":"Returns a list of core network Connect peers.","ref":"aws_networkmanager.html#list_connect_peers/1","title":"aws_networkmanager.list_connect_peers/1","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_connect_peers/3","title":"aws_networkmanager.list_connect_peers/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_connect_peers/4","title":"aws_networkmanager.list_connect_peers/4","type":"function"},{"doc":"Returns a list of core network policy versions.","ref":"aws_networkmanager.html#list_core_network_policy_versions/2","title":"aws_networkmanager.list_core_network_policy_versions/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_core_network_policy_versions/4","title":"aws_networkmanager.list_core_network_policy_versions/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_core_network_policy_versions/5","title":"aws_networkmanager.list_core_network_policy_versions/5","type":"function"},{"doc":"Returns a list of owned and shared core networks.","ref":"aws_networkmanager.html#list_core_networks/1","title":"aws_networkmanager.list_core_networks/1","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_core_networks/3","title":"aws_networkmanager.list_core_networks/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_core_networks/4","title":"aws_networkmanager.list_core_networks/4","type":"function"},{"doc":"Gets the status of the Service Linked Role (SLR) deployment for the accounts in a given Amazon Web Services Organization.","ref":"aws_networkmanager.html#list_organization_service_access_status/1","title":"aws_networkmanager.list_organization_service_access_status/1","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_organization_service_access_status/3","title":"aws_networkmanager.list_organization_service_access_status/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_organization_service_access_status/4","title":"aws_networkmanager.list_organization_service_access_status/4","type":"function"},{"doc":"Lists the peerings for a core network.","ref":"aws_networkmanager.html#list_peerings/1","title":"aws_networkmanager.list_peerings/1","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_peerings/3","title":"aws_networkmanager.list_peerings/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_peerings/4","title":"aws_networkmanager.list_peerings/4","type":"function"},{"doc":"Lists the tags for a specified resource.","ref":"aws_networkmanager.html#list_tags_for_resource/2","title":"aws_networkmanager.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_tags_for_resource/4","title":"aws_networkmanager.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#list_tags_for_resource/5","title":"aws_networkmanager.list_tags_for_resource/5","type":"function"},{"doc":"Creates a new, immutable version of a core network policy. A subsequent change set is created showing the differences between the LIVE policy and the submitted policy.","ref":"aws_networkmanager.html#put_core_network_policy/3","title":"aws_networkmanager.put_core_network_policy/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#put_core_network_policy/4","title":"aws_networkmanager.put_core_network_policy/4","type":"function"},{"doc":"Creates or updates a resource policy.","ref":"aws_networkmanager.html#put_resource_policy/3","title":"aws_networkmanager.put_resource_policy/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#put_resource_policy/4","title":"aws_networkmanager.put_resource_policy/4","type":"function"},{"doc":"Registers a transit gateway in your global network. The transit gateway can be in any Amazon Web Services Region, but it must be owned by the same Amazon Web Services account that owns the global network. You cannot register a transit gateway in more than one global network.","ref":"aws_networkmanager.html#register_transit_gateway/3","title":"aws_networkmanager.register_transit_gateway/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#register_transit_gateway/4","title":"aws_networkmanager.register_transit_gateway/4","type":"function"},{"doc":"Rejects a core network attachment request.","ref":"aws_networkmanager.html#reject_attachment/3","title":"aws_networkmanager.reject_attachment/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#reject_attachment/4","title":"aws_networkmanager.reject_attachment/4","type":"function"},{"doc":"Restores a previous policy version as a new, immutable version of a core network policy. A subsequent change set is created showing the differences between the LIVE policy and restored policy.","ref":"aws_networkmanager.html#restore_core_network_policy_version/4","title":"aws_networkmanager.restore_core_network_policy_version/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#restore_core_network_policy_version/5","title":"aws_networkmanager.restore_core_network_policy_version/5","type":"function"},{"doc":"Enables the Network Manager service for an Amazon Web Services Organization. This can only be called by a management account within the organization.","ref":"aws_networkmanager.html#start_organization_service_access_update/2","title":"aws_networkmanager.start_organization_service_access_update/2","type":"function"},{"doc":"","ref":"aws_networkmanager.html#start_organization_service_access_update/3","title":"aws_networkmanager.start_organization_service_access_update/3","type":"function"},{"doc":"Starts analyzing the routing path between the specified source and destination. For more information, see Route Analyzer.","ref":"aws_networkmanager.html#start_route_analysis/3","title":"aws_networkmanager.start_route_analysis/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#start_route_analysis/4","title":"aws_networkmanager.start_route_analysis/4","type":"function"},{"doc":"Tags a specified resource.","ref":"aws_networkmanager.html#tag_resource/3","title":"aws_networkmanager.tag_resource/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#tag_resource/4","title":"aws_networkmanager.tag_resource/4","type":"function"},{"doc":"Removes tags from a specified resource.","ref":"aws_networkmanager.html#untag_resource/3","title":"aws_networkmanager.untag_resource/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#untag_resource/4","title":"aws_networkmanager.untag_resource/4","type":"function"},{"doc":"Updates the information for an existing connection. To remove information for any of the parameters, specify an empty string.","ref":"aws_networkmanager.html#update_connection/4","title":"aws_networkmanager.update_connection/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#update_connection/5","title":"aws_networkmanager.update_connection/5","type":"function"},{"doc":"Updates the description of a core network.","ref":"aws_networkmanager.html#update_core_network/3","title":"aws_networkmanager.update_core_network/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#update_core_network/4","title":"aws_networkmanager.update_core_network/4","type":"function"},{"doc":"Updates the details for an existing device. To remove information for any of the parameters, specify an empty string.","ref":"aws_networkmanager.html#update_device/4","title":"aws_networkmanager.update_device/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#update_device/5","title":"aws_networkmanager.update_device/5","type":"function"},{"doc":"Updates an existing global network. To remove information for any of the parameters, specify an empty string.","ref":"aws_networkmanager.html#update_global_network/3","title":"aws_networkmanager.update_global_network/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#update_global_network/4","title":"aws_networkmanager.update_global_network/4","type":"function"},{"doc":"Updates the details for an existing link. To remove information for any of the parameters, specify an empty string.","ref":"aws_networkmanager.html#update_link/4","title":"aws_networkmanager.update_link/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#update_link/5","title":"aws_networkmanager.update_link/5","type":"function"},{"doc":"Updates the resource metadata for the specified global network.","ref":"aws_networkmanager.html#update_network_resource_metadata/4","title":"aws_networkmanager.update_network_resource_metadata/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#update_network_resource_metadata/5","title":"aws_networkmanager.update_network_resource_metadata/5","type":"function"},{"doc":"Updates the information for an existing site. To remove information for any of the parameters, specify an empty string.","ref":"aws_networkmanager.html#update_site/4","title":"aws_networkmanager.update_site/4","type":"function"},{"doc":"","ref":"aws_networkmanager.html#update_site/5","title":"aws_networkmanager.update_site/5","type":"function"},{"doc":"Updates a VPC attachment.","ref":"aws_networkmanager.html#update_vpc_attachment/3","title":"aws_networkmanager.update_vpc_attachment/3","type":"function"},{"doc":"","ref":"aws_networkmanager.html#update_vpc_attachment/4","title":"aws_networkmanager.update_vpc_attachment/4","type":"function"},{"doc":"Welcome to the Amazon Nimble Studio API reference. This API reference provides methods, schema, resources, parameters, and more to help you get the most out of Nimble Studio. Nimble Studio is a virtual studio that empowers visual effects, animation, and interactive content teams to create content securely within a scalable, private cloud service.","ref":"aws_nimble.html","title":"aws_nimble","type":"module"},{"doc":"Accept EULAs.","ref":"aws_nimble.html#accept_eulas/3","title":"aws_nimble.accept_eulas/3","type":"function"},{"doc":"","ref":"aws_nimble.html#accept_eulas/4","title":"aws_nimble.accept_eulas/4","type":"function"},{"doc":"Create a launch profile.","ref":"aws_nimble.html#create_launch_profile/3","title":"aws_nimble.create_launch_profile/3","type":"function"},{"doc":"","ref":"aws_nimble.html#create_launch_profile/4","title":"aws_nimble.create_launch_profile/4","type":"function"},{"doc":"Creates a streaming image resource in a studio.","ref":"aws_nimble.html#create_streaming_image/3","title":"aws_nimble.create_streaming_image/3","type":"function"},{"doc":"","ref":"aws_nimble.html#create_streaming_image/4","title":"aws_nimble.create_streaming_image/4","type":"function"},{"doc":"Creates a streaming session in a studio. After invoking this operation, you must poll GetStreamingSession until the streaming session is in the READY state.","ref":"aws_nimble.html#create_streaming_session/3","title":"aws_nimble.create_streaming_session/3","type":"function"},{"doc":"","ref":"aws_nimble.html#create_streaming_session/4","title":"aws_nimble.create_streaming_session/4","type":"function"},{"doc":"Creates a streaming session stream for a streaming session. After invoking this API, invoke GetStreamingSessionStream with the returned streamId to poll the resource until it is in the READY state.","ref":"aws_nimble.html#create_streaming_session_stream/4","title":"aws_nimble.create_streaming_session_stream/4","type":"function"},{"doc":"","ref":"aws_nimble.html#create_streaming_session_stream/5","title":"aws_nimble.create_streaming_session_stream/5","type":"function"},{"doc":"Create a new studio. When creating a studio, two IAM roles must be provided: the admin role and the user role. These roles are assumed by your users when they log in to the Nimble Studio portal. The user role must have the AmazonNimbleStudio-StudioUser managed policy attached for the portal to function properly. The admin role must have the AmazonNimbleStudio-StudioAdmin managed policy attached for the portal to function properly. You may optionally specify a KMS key in the StudioEncryptionConfiguration . In Nimble Studio, resource names, descriptions, initialization scripts, and other data you provide are always encrypted at rest using an KMS key. By default, this key is owned by Amazon Web Services and managed on your behalf. You may provide your own KMS key when calling CreateStudio to encrypt this data using a key you own and manage. When providing an KMS key during studio creation, Nimble Studio creates KMS grants in your account to provide your studio user and admin roles access to these KMS keys. If you delete this grant, the studio will no longer be accessible to your portal users. If you delete the studio KMS key, your studio will no longer be accessible.","ref":"aws_nimble.html#create_studio/2","title":"aws_nimble.create_studio/2","type":"function"},{"doc":"","ref":"aws_nimble.html#create_studio/3","title":"aws_nimble.create_studio/3","type":"function"},{"doc":"Creates a studio component resource.","ref":"aws_nimble.html#create_studio_component/3","title":"aws_nimble.create_studio_component/3","type":"function"},{"doc":"","ref":"aws_nimble.html#create_studio_component/4","title":"aws_nimble.create_studio_component/4","type":"function"},{"doc":"Permanently delete a launch profile.","ref":"aws_nimble.html#delete_launch_profile/4","title":"aws_nimble.delete_launch_profile/4","type":"function"},{"doc":"","ref":"aws_nimble.html#delete_launch_profile/5","title":"aws_nimble.delete_launch_profile/5","type":"function"},{"doc":"Delete a user from launch profile membership.","ref":"aws_nimble.html#delete_launch_profile_member/5","title":"aws_nimble.delete_launch_profile_member/5","type":"function"},{"doc":"","ref":"aws_nimble.html#delete_launch_profile_member/6","title":"aws_nimble.delete_launch_profile_member/6","type":"function"},{"doc":"Delete streaming image.","ref":"aws_nimble.html#delete_streaming_image/4","title":"aws_nimble.delete_streaming_image/4","type":"function"},{"doc":"","ref":"aws_nimble.html#delete_streaming_image/5","title":"aws_nimble.delete_streaming_image/5","type":"function"},{"doc":"Deletes streaming session resource. After invoking this operation, use GetStreamingSession to poll the resource until it transitions to a DELETED state. A streaming session will count against your streaming session quota until it is marked DELETED .","ref":"aws_nimble.html#delete_streaming_session/4","title":"aws_nimble.delete_streaming_session/4","type":"function"},{"doc":"","ref":"aws_nimble.html#delete_streaming_session/5","title":"aws_nimble.delete_streaming_session/5","type":"function"},{"doc":"Delete a studio resource.","ref":"aws_nimble.html#delete_studio/3","title":"aws_nimble.delete_studio/3","type":"function"},{"doc":"","ref":"aws_nimble.html#delete_studio/4","title":"aws_nimble.delete_studio/4","type":"function"},{"doc":"Deletes a studio component resource.","ref":"aws_nimble.html#delete_studio_component/4","title":"aws_nimble.delete_studio_component/4","type":"function"},{"doc":"","ref":"aws_nimble.html#delete_studio_component/5","title":"aws_nimble.delete_studio_component/5","type":"function"},{"doc":"Delete a user from studio membership.","ref":"aws_nimble.html#delete_studio_member/4","title":"aws_nimble.delete_studio_member/4","type":"function"},{"doc":"","ref":"aws_nimble.html#delete_studio_member/5","title":"aws_nimble.delete_studio_member/5","type":"function"},{"doc":"Get EULA.","ref":"aws_nimble.html#get_eula/2","title":"aws_nimble.get_eula/2","type":"function"},{"doc":"","ref":"aws_nimble.html#get_eula/4","title":"aws_nimble.get_eula/4","type":"function"},{"doc":"","ref":"aws_nimble.html#get_eula/5","title":"aws_nimble.get_eula/5","type":"function"},{"doc":"Get a launch profile.","ref":"aws_nimble.html#get_launch_profile/3","title":"aws_nimble.get_launch_profile/3","type":"function"},{"doc":"","ref":"aws_nimble.html#get_launch_profile/5","title":"aws_nimble.get_launch_profile/5","type":"function"},{"doc":"","ref":"aws_nimble.html#get_launch_profile/6","title":"aws_nimble.get_launch_profile/6","type":"function"},{"doc":"Launch profile details include the launch profile resource and summary information of resources that are used by, or available to, the launch profile. This includes the name and description of all studio components used by the launch profiles, and the name and description of streaming images that can be used with this launch profile.","ref":"aws_nimble.html#get_launch_profile_details/3","title":"aws_nimble.get_launch_profile_details/3","type":"function"},{"doc":"","ref":"aws_nimble.html#get_launch_profile_details/5","title":"aws_nimble.get_launch_profile_details/5","type":"function"},{"doc":"","ref":"aws_nimble.html#get_launch_profile_details/6","title":"aws_nimble.get_launch_profile_details/6","type":"function"},{"doc":"Get a launch profile initialization.","ref":"aws_nimble.html#get_launch_profile_initialization/6","title":"aws_nimble.get_launch_profile_initialization/6","type":"function"},{"doc":"","ref":"aws_nimble.html#get_launch_profile_initialization/8","title":"aws_nimble.get_launch_profile_initialization/8","type":"function"},{"doc":"","ref":"aws_nimble.html#get_launch_profile_initialization/9","title":"aws_nimble.get_launch_profile_initialization/9","type":"function"},{"doc":"Get a user persona in launch profile membership.","ref":"aws_nimble.html#get_launch_profile_member/4","title":"aws_nimble.get_launch_profile_member/4","type":"function"},{"doc":"","ref":"aws_nimble.html#get_launch_profile_member/6","title":"aws_nimble.get_launch_profile_member/6","type":"function"},{"doc":"","ref":"aws_nimble.html#get_launch_profile_member/7","title":"aws_nimble.get_launch_profile_member/7","type":"function"},{"doc":"Get streaming image.","ref":"aws_nimble.html#get_streaming_image/3","title":"aws_nimble.get_streaming_image/3","type":"function"},{"doc":"","ref":"aws_nimble.html#get_streaming_image/5","title":"aws_nimble.get_streaming_image/5","type":"function"},{"doc":"","ref":"aws_nimble.html#get_streaming_image/6","title":"aws_nimble.get_streaming_image/6","type":"function"},{"doc":"Gets StreamingSession resource. Invoke this operation to poll for a streaming session state while creating or deleting a session.","ref":"aws_nimble.html#get_streaming_session/3","title":"aws_nimble.get_streaming_session/3","type":"function"},{"doc":"","ref":"aws_nimble.html#get_streaming_session/5","title":"aws_nimble.get_streaming_session/5","type":"function"},{"doc":"","ref":"aws_nimble.html#get_streaming_session/6","title":"aws_nimble.get_streaming_session/6","type":"function"},{"doc":"Gets StreamingSessionBackup resource. Invoke this operation to poll for a streaming session backup while stopping a streaming session.","ref":"aws_nimble.html#get_streaming_session_backup/3","title":"aws_nimble.get_streaming_session_backup/3","type":"function"},{"doc":"","ref":"aws_nimble.html#get_streaming_session_backup/5","title":"aws_nimble.get_streaming_session_backup/5","type":"function"},{"doc":"","ref":"aws_nimble.html#get_streaming_session_backup/6","title":"aws_nimble.get_streaming_session_backup/6","type":"function"},{"doc":"Gets a StreamingSessionStream for a streaming session. Invoke this operation to poll the resource after invoking CreateStreamingSessionStream . After the StreamingSessionStream changes to the READY state, the url property will contain a stream to be used with the DCV streaming client.","ref":"aws_nimble.html#get_streaming_session_stream/4","title":"aws_nimble.get_streaming_session_stream/4","type":"function"},{"doc":"","ref":"aws_nimble.html#get_streaming_session_stream/6","title":"aws_nimble.get_streaming_session_stream/6","type":"function"},{"doc":"","ref":"aws_nimble.html#get_streaming_session_stream/7","title":"aws_nimble.get_streaming_session_stream/7","type":"function"},{"doc":"Get a studio resource.","ref":"aws_nimble.html#get_studio/2","title":"aws_nimble.get_studio/2","type":"function"},{"doc":"","ref":"aws_nimble.html#get_studio/4","title":"aws_nimble.get_studio/4","type":"function"},{"doc":"","ref":"aws_nimble.html#get_studio/5","title":"aws_nimble.get_studio/5","type":"function"},{"doc":"Gets a studio component resource.","ref":"aws_nimble.html#get_studio_component/3","title":"aws_nimble.get_studio_component/3","type":"function"},{"doc":"","ref":"aws_nimble.html#get_studio_component/5","title":"aws_nimble.get_studio_component/5","type":"function"},{"doc":"","ref":"aws_nimble.html#get_studio_component/6","title":"aws_nimble.get_studio_component/6","type":"function"},{"doc":"Get a user's membership in a studio.","ref":"aws_nimble.html#get_studio_member/3","title":"aws_nimble.get_studio_member/3","type":"function"},{"doc":"","ref":"aws_nimble.html#get_studio_member/5","title":"aws_nimble.get_studio_member/5","type":"function"},{"doc":"","ref":"aws_nimble.html#get_studio_member/6","title":"aws_nimble.get_studio_member/6","type":"function"},{"doc":"List EULA acceptances.","ref":"aws_nimble.html#list_eula_acceptances/2","title":"aws_nimble.list_eula_acceptances/2","type":"function"},{"doc":"","ref":"aws_nimble.html#list_eula_acceptances/4","title":"aws_nimble.list_eula_acceptances/4","type":"function"},{"doc":"","ref":"aws_nimble.html#list_eula_acceptances/5","title":"aws_nimble.list_eula_acceptances/5","type":"function"},{"doc":"List EULAs.","ref":"aws_nimble.html#list_eulas/1","title":"aws_nimble.list_eulas/1","type":"function"},{"doc":"","ref":"aws_nimble.html#list_eulas/3","title":"aws_nimble.list_eulas/3","type":"function"},{"doc":"","ref":"aws_nimble.html#list_eulas/4","title":"aws_nimble.list_eulas/4","type":"function"},{"doc":"Get all users in a given launch profile membership.","ref":"aws_nimble.html#list_launch_profile_members/3","title":"aws_nimble.list_launch_profile_members/3","type":"function"},{"doc":"","ref":"aws_nimble.html#list_launch_profile_members/5","title":"aws_nimble.list_launch_profile_members/5","type":"function"},{"doc":"","ref":"aws_nimble.html#list_launch_profile_members/6","title":"aws_nimble.list_launch_profile_members/6","type":"function"},{"doc":"List all the launch profiles a studio.","ref":"aws_nimble.html#list_launch_profiles/2","title":"aws_nimble.list_launch_profiles/2","type":"function"},{"doc":"","ref":"aws_nimble.html#list_launch_profiles/4","title":"aws_nimble.list_launch_profiles/4","type":"function"},{"doc":"","ref":"aws_nimble.html#list_launch_profiles/5","title":"aws_nimble.list_launch_profiles/5","type":"function"},{"doc":"List the streaming image resources available to this studio. This list will contain both images provided by Amazon Web Services, as well as streaming images that you have created in your studio.","ref":"aws_nimble.html#list_streaming_images/2","title":"aws_nimble.list_streaming_images/2","type":"function"},{"doc":"","ref":"aws_nimble.html#list_streaming_images/4","title":"aws_nimble.list_streaming_images/4","type":"function"},{"doc":"","ref":"aws_nimble.html#list_streaming_images/5","title":"aws_nimble.list_streaming_images/5","type":"function"},{"doc":"Lists the backups of a streaming session in a studio.","ref":"aws_nimble.html#list_streaming_session_backups/2","title":"aws_nimble.list_streaming_session_backups/2","type":"function"},{"doc":"","ref":"aws_nimble.html#list_streaming_session_backups/4","title":"aws_nimble.list_streaming_session_backups/4","type":"function"},{"doc":"","ref":"aws_nimble.html#list_streaming_session_backups/5","title":"aws_nimble.list_streaming_session_backups/5","type":"function"},{"doc":"Lists the streaming sessions in a studio.","ref":"aws_nimble.html#list_streaming_sessions/2","title":"aws_nimble.list_streaming_sessions/2","type":"function"},{"doc":"","ref":"aws_nimble.html#list_streaming_sessions/4","title":"aws_nimble.list_streaming_sessions/4","type":"function"},{"doc":"","ref":"aws_nimble.html#list_streaming_sessions/5","title":"aws_nimble.list_streaming_sessions/5","type":"function"},{"doc":"Lists the StudioComponents in a studio.","ref":"aws_nimble.html#list_studio_components/2","title":"aws_nimble.list_studio_components/2","type":"function"},{"doc":"","ref":"aws_nimble.html#list_studio_components/4","title":"aws_nimble.list_studio_components/4","type":"function"},{"doc":"","ref":"aws_nimble.html#list_studio_components/5","title":"aws_nimble.list_studio_components/5","type":"function"},{"doc":"Get all users in a given studio membership. ListStudioMembers only returns admin members.","ref":"aws_nimble.html#list_studio_members/2","title":"aws_nimble.list_studio_members/2","type":"function"},{"doc":"","ref":"aws_nimble.html#list_studio_members/4","title":"aws_nimble.list_studio_members/4","type":"function"},{"doc":"","ref":"aws_nimble.html#list_studio_members/5","title":"aws_nimble.list_studio_members/5","type":"function"},{"doc":"List studios in your Amazon Web Services accounts in the requested Amazon Web Services Region.","ref":"aws_nimble.html#list_studios/1","title":"aws_nimble.list_studios/1","type":"function"},{"doc":"","ref":"aws_nimble.html#list_studios/3","title":"aws_nimble.list_studios/3","type":"function"},{"doc":"","ref":"aws_nimble.html#list_studios/4","title":"aws_nimble.list_studios/4","type":"function"},{"doc":"Gets the tags for a resource, given its Amazon Resource Names (ARN). This operation supports ARNs for all resource types in Nimble Studio that support tags, including studio, studio component, launch profile, streaming image, and streaming session. All resources that can be tagged will contain an ARN property, so you do not have to create this ARN yourself.","ref":"aws_nimble.html#list_tags_for_resource/2","title":"aws_nimble.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_nimble.html#list_tags_for_resource/4","title":"aws_nimble.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_nimble.html#list_tags_for_resource/5","title":"aws_nimble.list_tags_for_resource/5","type":"function"},{"doc":"Add/update users with given persona to launch profile membership.","ref":"aws_nimble.html#put_launch_profile_members/4","title":"aws_nimble.put_launch_profile_members/4","type":"function"},{"doc":"","ref":"aws_nimble.html#put_launch_profile_members/5","title":"aws_nimble.put_launch_profile_members/5","type":"function"},{"doc":"Add/update users with given persona to studio membership.","ref":"aws_nimble.html#put_studio_members/3","title":"aws_nimble.put_studio_members/3","type":"function"},{"doc":"","ref":"aws_nimble.html#put_studio_members/4","title":"aws_nimble.put_studio_members/4","type":"function"},{"doc":"Transitions sessions from the STOPPED state into the READY state. The START_IN_PROGRESS state is the intermediate state between the STOPPED and READY states.","ref":"aws_nimble.html#start_streaming_session/4","title":"aws_nimble.start_streaming_session/4","type":"function"},{"doc":"","ref":"aws_nimble.html#start_streaming_session/5","title":"aws_nimble.start_streaming_session/5","type":"function"},{"doc":"Repairs the IAM Identity Center configuration for a given studio. If the studio has a valid IAM Identity Center configuration currently associated with it, this operation will fail with a validation error. If the studio does not have a valid IAM Identity Center configuration currently associated with it, then a new IAM Identity Center application is created for the studio and the studio is changed to the READY state. After the IAM Identity Center application is repaired, you must use the Amazon Nimble Studio console to add administrators and users to your studio.","ref":"aws_nimble.html#start_studio_s_s_o_configuration_repair/3","title":"aws_nimble.start_studio_s_s_o_configuration_repair/3","type":"function"},{"doc":"","ref":"aws_nimble.html#start_studio_s_s_o_configuration_repair/4","title":"aws_nimble.start_studio_s_s_o_configuration_repair/4","type":"function"},{"doc":"Transitions sessions from the READY state into the STOPPED state. The STOP_IN_PROGRESS state is the intermediate state between the READY and STOPPED states.","ref":"aws_nimble.html#stop_streaming_session/4","title":"aws_nimble.stop_streaming_session/4","type":"function"},{"doc":"","ref":"aws_nimble.html#stop_streaming_session/5","title":"aws_nimble.stop_streaming_session/5","type":"function"},{"doc":"Creates tags for a resource, given its ARN.","ref":"aws_nimble.html#tag_resource/3","title":"aws_nimble.tag_resource/3","type":"function"},{"doc":"","ref":"aws_nimble.html#tag_resource/4","title":"aws_nimble.tag_resource/4","type":"function"},{"doc":"Deletes the tags for a resource.","ref":"aws_nimble.html#untag_resource/3","title":"aws_nimble.untag_resource/3","type":"function"},{"doc":"","ref":"aws_nimble.html#untag_resource/4","title":"aws_nimble.untag_resource/4","type":"function"},{"doc":"Update a launch profile.","ref":"aws_nimble.html#update_launch_profile/4","title":"aws_nimble.update_launch_profile/4","type":"function"},{"doc":"","ref":"aws_nimble.html#update_launch_profile/5","title":"aws_nimble.update_launch_profile/5","type":"function"},{"doc":"Update a user persona in launch profile membership.","ref":"aws_nimble.html#update_launch_profile_member/5","title":"aws_nimble.update_launch_profile_member/5","type":"function"},{"doc":"","ref":"aws_nimble.html#update_launch_profile_member/6","title":"aws_nimble.update_launch_profile_member/6","type":"function"},{"doc":"Update streaming image.","ref":"aws_nimble.html#update_streaming_image/4","title":"aws_nimble.update_streaming_image/4","type":"function"},{"doc":"","ref":"aws_nimble.html#update_streaming_image/5","title":"aws_nimble.update_streaming_image/5","type":"function"},{"doc":"Update a Studio resource. Currently, this operation only supports updating the displayName of your studio.","ref":"aws_nimble.html#update_studio/3","title":"aws_nimble.update_studio/3","type":"function"},{"doc":"","ref":"aws_nimble.html#update_studio/4","title":"aws_nimble.update_studio/4","type":"function"},{"doc":"Updates a studio component resource.","ref":"aws_nimble.html#update_studio_component/4","title":"aws_nimble.update_studio_component/4","type":"function"},{"doc":"","ref":"aws_nimble.html#update_studio_component/5","title":"aws_nimble.update_studio_component/5","type":"function"},{"doc":"Use Amazon CloudWatch Observability Access Manager to create and manage links between source accounts and monitoring accounts by using CloudWatch cross-account observability. With CloudWatch cross-account observability, you can monitor and troubleshoot applications that span multiple accounts within a Region. Seamlessly search, visualize, and analyze your metrics, logs, and traces in any of the linked accounts without account boundaries. &lt;p&gt;Set up one or more Amazon Web Services accounts as &lt;i&gt;monitoring accounts&lt;/i&gt; and link them with multiple &lt;i&gt;source accounts&lt;/i&gt;. A monitoring account is a central Amazon Web Services account that can view and interact with observability data generated from source accounts. A source account is an individual Amazon Web Services account that generates observability data for the resources that reside in it. Source accounts share their observability data with the monitoring account. The shared observability data can include metrics in Amazon CloudWatch, logs in Amazon CloudWatch Logs, and traces in X-Ray.&lt;/p&gt;","ref":"aws_oam.html","title":"aws_oam","type":"module"},{"doc":"Creates a link between a source account and a sink that you have created in a monitoring account. Before you create a link, you must create a sink in the monitoring account and create a sink policy in that account. The sink policy must permit the source account to link to it. You can grant permission to source accounts by granting permission to an entire organization or to individual accounts. For more information, see CreateSink and PutSinkPolicy. Each monitoring account can be linked to as many as 100,000 source accounts. Each source account can be linked to as many as five monitoring accounts.","ref":"aws_oam.html#create_link/2","title":"aws_oam.create_link/2","type":"function"},{"doc":"","ref":"aws_oam.html#create_link/3","title":"aws_oam.create_link/3","type":"function"},{"doc":"Use this to create a sink in the current account, so that it can be used as a monitoring account in CloudWatch cross-account observability. A sink is a resource that represents an attachment point in a monitoring account. Source accounts can link to the sink to send observability data. After you create a sink, you must create a sink policy that allows source accounts to attach to it. For more information, see PutSinkPolicy. Each account can contain one sink. If you delete a sink, you can then create a new one in that account.","ref":"aws_oam.html#create_sink/2","title":"aws_oam.create_sink/2","type":"function"},{"doc":"","ref":"aws_oam.html#create_sink/3","title":"aws_oam.create_sink/3","type":"function"},{"doc":"Deletes a link between a monitoring account sink and a source account. You must run this operation in the source account.","ref":"aws_oam.html#delete_link/2","title":"aws_oam.delete_link/2","type":"function"},{"doc":"","ref":"aws_oam.html#delete_link/3","title":"aws_oam.delete_link/3","type":"function"},{"doc":"Deletes a sink. You must delete all links to a sink before you can delete that sink.","ref":"aws_oam.html#delete_sink/2","title":"aws_oam.delete_sink/2","type":"function"},{"doc":"","ref":"aws_oam.html#delete_sink/3","title":"aws_oam.delete_sink/3","type":"function"},{"doc":"Returns complete information about one link. To use this operation, provide the link ARN. To retrieve a list of link ARNs, use ListLinks.","ref":"aws_oam.html#get_link/2","title":"aws_oam.get_link/2","type":"function"},{"doc":"","ref":"aws_oam.html#get_link/3","title":"aws_oam.get_link/3","type":"function"},{"doc":"Returns complete information about one monitoring account sink. To use this operation, provide the sink ARN. To retrieve a list of sink ARNs, use ListSinks.","ref":"aws_oam.html#get_sink/2","title":"aws_oam.get_sink/2","type":"function"},{"doc":"","ref":"aws_oam.html#get_sink/3","title":"aws_oam.get_sink/3","type":"function"},{"doc":"Returns the current sink policy attached to this sink. The sink policy specifies what accounts can attach to this sink as source accounts, and what types of data they can share.","ref":"aws_oam.html#get_sink_policy/2","title":"aws_oam.get_sink_policy/2","type":"function"},{"doc":"","ref":"aws_oam.html#get_sink_policy/3","title":"aws_oam.get_sink_policy/3","type":"function"},{"doc":"Returns a list of source account links that are linked to this monitoring account sink. To use this operation, provide the sink ARN. To retrieve a list of sink ARNs, use ListSinks. To find a list of links for one source account, use ListLinks.","ref":"aws_oam.html#list_attached_links/2","title":"aws_oam.list_attached_links/2","type":"function"},{"doc":"","ref":"aws_oam.html#list_attached_links/3","title":"aws_oam.list_attached_links/3","type":"function"},{"doc":"Use this operation in a source account to return a list of links to monitoring account sinks that this source account has. To find a list of links for one monitoring account sink, use ListAttachedLinks from within the monitoring account.","ref":"aws_oam.html#list_links/2","title":"aws_oam.list_links/2","type":"function"},{"doc":"","ref":"aws_oam.html#list_links/3","title":"aws_oam.list_links/3","type":"function"},{"doc":"Use this operation in a monitoring account to return the list of sinks created in that account.","ref":"aws_oam.html#list_sinks/2","title":"aws_oam.list_sinks/2","type":"function"},{"doc":"","ref":"aws_oam.html#list_sinks/3","title":"aws_oam.list_sinks/3","type":"function"},{"doc":"Displays the tags associated with a resource. Both sinks and links support tagging.","ref":"aws_oam.html#list_tags_for_resource/2","title":"aws_oam.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_oam.html#list_tags_for_resource/4","title":"aws_oam.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_oam.html#list_tags_for_resource/5","title":"aws_oam.list_tags_for_resource/5","type":"function"},{"doc":"Creates or updates the resource policy that grants permissions to source accounts to link to the monitoring account sink. When you create a sink policy, you can grant permissions to all accounts in an organization or to individual accounts. You can also use a sink policy to limit the types of data that is shared. The three types that you can allow or deny are: Metrics - Specify with AWS::CloudWatch::Metric Log groups - Specify with AWS::Logs::LogGroup Traces - Specify with AWS::XRay::Trace See the examples in this section to see how to specify permitted source accounts and data types.","ref":"aws_oam.html#put_sink_policy/2","title":"aws_oam.put_sink_policy/2","type":"function"},{"doc":"","ref":"aws_oam.html#put_sink_policy/3","title":"aws_oam.put_sink_policy/3","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified resource. Both sinks and links can be tagged. Tags can help you organize and categorize your resources. You can also use them to scope user permissions by granting a user permission to access or change only resources with certain tag values. Tags don't have any semantic meaning to Amazon Web Services and are interpreted strictly as strings of characters. You can use the TagResource action with a resource that already has tags. If you specify a new tag key for the alarm, this tag is appended to the list of tags associated with the alarm. If you specify a tag key that is already associated with the alarm, the new tag value that you specify replaces the previous value for that tag. You can associate as many as 50 tags with a resource. Unlike tagging permissions in other Amazon Web Services services, to tag or untag links and sinks you must have the oam:ResourceTag permission. The iam:ResourceTag permission does not allow you to tag and untag links and sinks.","ref":"aws_oam.html#tag_resource/3","title":"aws_oam.tag_resource/3","type":"function"},{"doc":"","ref":"aws_oam.html#tag_resource/4","title":"aws_oam.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from the specified resource. Unlike tagging permissions in other Amazon Web Services services, to tag or untag links and sinks you must have the oam:ResourceTag permission. The iam:TagResource permission does not allow you to tag and untag links and sinks.","ref":"aws_oam.html#untag_resource/3","title":"aws_oam.untag_resource/3","type":"function"},{"doc":"","ref":"aws_oam.html#untag_resource/4","title":"aws_oam.untag_resource/4","type":"function"},{"doc":"Use this operation to change what types of data are shared from a source account to its linked monitoring account sink. You can't change the sink or change the monitoring account with this operation. To update the list of tags associated with the sink, use TagResource.","ref":"aws_oam.html#update_link/2","title":"aws_oam.update_link/2","type":"function"},{"doc":"","ref":"aws_oam.html#update_link/3","title":"aws_oam.update_link/3","type":"function"},{"doc":"This is the Amazon Omics API Reference. For an introduction to the service, see What is Amazon Omics? in the Amazon Omics Developer Guide.","ref":"aws_omics.html","title":"aws_omics","type":"module"},{"doc":"Deletes one or more read sets.","ref":"aws_omics.html#batch_delete_read_set/3","title":"aws_omics.batch_delete_read_set/3","type":"function"},{"doc":"","ref":"aws_omics.html#batch_delete_read_set/4","title":"aws_omics.batch_delete_read_set/4","type":"function"},{"doc":"Cancels an annotation import job.","ref":"aws_omics.html#cancel_annotation_import_job/3","title":"aws_omics.cancel_annotation_import_job/3","type":"function"},{"doc":"","ref":"aws_omics.html#cancel_annotation_import_job/4","title":"aws_omics.cancel_annotation_import_job/4","type":"function"},{"doc":"Cancels a run.","ref":"aws_omics.html#cancel_run/3","title":"aws_omics.cancel_run/3","type":"function"},{"doc":"","ref":"aws_omics.html#cancel_run/4","title":"aws_omics.cancel_run/4","type":"function"},{"doc":"Cancels a variant import job.","ref":"aws_omics.html#cancel_variant_import_job/3","title":"aws_omics.cancel_variant_import_job/3","type":"function"},{"doc":"","ref":"aws_omics.html#cancel_variant_import_job/4","title":"aws_omics.cancel_variant_import_job/4","type":"function"},{"doc":"Creates an annotation store.","ref":"aws_omics.html#create_annotation_store/2","title":"aws_omics.create_annotation_store/2","type":"function"},{"doc":"","ref":"aws_omics.html#create_annotation_store/3","title":"aws_omics.create_annotation_store/3","type":"function"},{"doc":"Creates a reference store.","ref":"aws_omics.html#create_reference_store/2","title":"aws_omics.create_reference_store/2","type":"function"},{"doc":"","ref":"aws_omics.html#create_reference_store/3","title":"aws_omics.create_reference_store/3","type":"function"},{"doc":"Creates a run group.","ref":"aws_omics.html#create_run_group/2","title":"aws_omics.create_run_group/2","type":"function"},{"doc":"","ref":"aws_omics.html#create_run_group/3","title":"aws_omics.create_run_group/3","type":"function"},{"doc":"Creates a sequence store.","ref":"aws_omics.html#create_sequence_store/2","title":"aws_omics.create_sequence_store/2","type":"function"},{"doc":"","ref":"aws_omics.html#create_sequence_store/3","title":"aws_omics.create_sequence_store/3","type":"function"},{"doc":"Creates a variant store.","ref":"aws_omics.html#create_variant_store/2","title":"aws_omics.create_variant_store/2","type":"function"},{"doc":"","ref":"aws_omics.html#create_variant_store/3","title":"aws_omics.create_variant_store/3","type":"function"},{"doc":"Creates a workflow.","ref":"aws_omics.html#create_workflow/2","title":"aws_omics.create_workflow/2","type":"function"},{"doc":"","ref":"aws_omics.html#create_workflow/3","title":"aws_omics.create_workflow/3","type":"function"},{"doc":"Deletes an annotation store.","ref":"aws_omics.html#delete_annotation_store/3","title":"aws_omics.delete_annotation_store/3","type":"function"},{"doc":"","ref":"aws_omics.html#delete_annotation_store/4","title":"aws_omics.delete_annotation_store/4","type":"function"},{"doc":"Deletes a genome reference.","ref":"aws_omics.html#delete_reference/4","title":"aws_omics.delete_reference/4","type":"function"},{"doc":"","ref":"aws_omics.html#delete_reference/5","title":"aws_omics.delete_reference/5","type":"function"},{"doc":"Deletes a genome reference store.","ref":"aws_omics.html#delete_reference_store/3","title":"aws_omics.delete_reference_store/3","type":"function"},{"doc":"","ref":"aws_omics.html#delete_reference_store/4","title":"aws_omics.delete_reference_store/4","type":"function"},{"doc":"Deletes a workflow run.","ref":"aws_omics.html#delete_run/3","title":"aws_omics.delete_run/3","type":"function"},{"doc":"","ref":"aws_omics.html#delete_run/4","title":"aws_omics.delete_run/4","type":"function"},{"doc":"Deletes a workflow run group.","ref":"aws_omics.html#delete_run_group/3","title":"aws_omics.delete_run_group/3","type":"function"},{"doc":"","ref":"aws_omics.html#delete_run_group/4","title":"aws_omics.delete_run_group/4","type":"function"},{"doc":"Deletes a sequence store.","ref":"aws_omics.html#delete_sequence_store/3","title":"aws_omics.delete_sequence_store/3","type":"function"},{"doc":"","ref":"aws_omics.html#delete_sequence_store/4","title":"aws_omics.delete_sequence_store/4","type":"function"},{"doc":"Deletes a variant store.","ref":"aws_omics.html#delete_variant_store/3","title":"aws_omics.delete_variant_store/3","type":"function"},{"doc":"","ref":"aws_omics.html#delete_variant_store/4","title":"aws_omics.delete_variant_store/4","type":"function"},{"doc":"Deletes a workflow.","ref":"aws_omics.html#delete_workflow/3","title":"aws_omics.delete_workflow/3","type":"function"},{"doc":"","ref":"aws_omics.html#delete_workflow/4","title":"aws_omics.delete_workflow/4","type":"function"},{"doc":"Gets information about an annotation import job.","ref":"aws_omics.html#get_annotation_import_job/2","title":"aws_omics.get_annotation_import_job/2","type":"function"},{"doc":"","ref":"aws_omics.html#get_annotation_import_job/4","title":"aws_omics.get_annotation_import_job/4","type":"function"},{"doc":"","ref":"aws_omics.html#get_annotation_import_job/5","title":"aws_omics.get_annotation_import_job/5","type":"function"},{"doc":"Gets information about an annotation store.","ref":"aws_omics.html#get_annotation_store/2","title":"aws_omics.get_annotation_store/2","type":"function"},{"doc":"","ref":"aws_omics.html#get_annotation_store/4","title":"aws_omics.get_annotation_store/4","type":"function"},{"doc":"","ref":"aws_omics.html#get_annotation_store/5","title":"aws_omics.get_annotation_store/5","type":"function"},{"doc":"Gets a file from a read set.","ref":"aws_omics.html#get_read_set/4","title":"aws_omics.get_read_set/4","type":"function"},{"doc":"","ref":"aws_omics.html#get_read_set/6","title":"aws_omics.get_read_set/6","type":"function"},{"doc":"","ref":"aws_omics.html#get_read_set/7","title":"aws_omics.get_read_set/7","type":"function"},{"doc":"Gets information about a read set activation job.","ref":"aws_omics.html#get_read_set_activation_job/3","title":"aws_omics.get_read_set_activation_job/3","type":"function"},{"doc":"","ref":"aws_omics.html#get_read_set_activation_job/5","title":"aws_omics.get_read_set_activation_job/5","type":"function"},{"doc":"","ref":"aws_omics.html#get_read_set_activation_job/6","title":"aws_omics.get_read_set_activation_job/6","type":"function"},{"doc":"Gets information about a read set export job.","ref":"aws_omics.html#get_read_set_export_job/3","title":"aws_omics.get_read_set_export_job/3","type":"function"},{"doc":"","ref":"aws_omics.html#get_read_set_export_job/5","title":"aws_omics.get_read_set_export_job/5","type":"function"},{"doc":"","ref":"aws_omics.html#get_read_set_export_job/6","title":"aws_omics.get_read_set_export_job/6","type":"function"},{"doc":"Gets information about a read set import job.","ref":"aws_omics.html#get_read_set_import_job/3","title":"aws_omics.get_read_set_import_job/3","type":"function"},{"doc":"","ref":"aws_omics.html#get_read_set_import_job/5","title":"aws_omics.get_read_set_import_job/5","type":"function"},{"doc":"","ref":"aws_omics.html#get_read_set_import_job/6","title":"aws_omics.get_read_set_import_job/6","type":"function"},{"doc":"Gets details about a read set.","ref":"aws_omics.html#get_read_set_metadata/3","title":"aws_omics.get_read_set_metadata/3","type":"function"},{"doc":"","ref":"aws_omics.html#get_read_set_metadata/5","title":"aws_omics.get_read_set_metadata/5","type":"function"},{"doc":"","ref":"aws_omics.html#get_read_set_metadata/6","title":"aws_omics.get_read_set_metadata/6","type":"function"},{"doc":"Gets a reference file.","ref":"aws_omics.html#get_reference/4","title":"aws_omics.get_reference/4","type":"function"},{"doc":"","ref":"aws_omics.html#get_reference/6","title":"aws_omics.get_reference/6","type":"function"},{"doc":"","ref":"aws_omics.html#get_reference/7","title":"aws_omics.get_reference/7","type":"function"},{"doc":"Gets information about a reference import job.","ref":"aws_omics.html#get_reference_import_job/3","title":"aws_omics.get_reference_import_job/3","type":"function"},{"doc":"","ref":"aws_omics.html#get_reference_import_job/5","title":"aws_omics.get_reference_import_job/5","type":"function"},{"doc":"","ref":"aws_omics.html#get_reference_import_job/6","title":"aws_omics.get_reference_import_job/6","type":"function"},{"doc":"Gets information about a genome reference's metadata.","ref":"aws_omics.html#get_reference_metadata/3","title":"aws_omics.get_reference_metadata/3","type":"function"},{"doc":"","ref":"aws_omics.html#get_reference_metadata/5","title":"aws_omics.get_reference_metadata/5","type":"function"},{"doc":"","ref":"aws_omics.html#get_reference_metadata/6","title":"aws_omics.get_reference_metadata/6","type":"function"},{"doc":"Gets information about a reference store.","ref":"aws_omics.html#get_reference_store/2","title":"aws_omics.get_reference_store/2","type":"function"},{"doc":"","ref":"aws_omics.html#get_reference_store/4","title":"aws_omics.get_reference_store/4","type":"function"},{"doc":"","ref":"aws_omics.html#get_reference_store/5","title":"aws_omics.get_reference_store/5","type":"function"},{"doc":"Gets information about a workflow run.","ref":"aws_omics.html#get_run/2","title":"aws_omics.get_run/2","type":"function"},{"doc":"","ref":"aws_omics.html#get_run/4","title":"aws_omics.get_run/4","type":"function"},{"doc":"","ref":"aws_omics.html#get_run/5","title":"aws_omics.get_run/5","type":"function"},{"doc":"Gets information about a workflow run group.","ref":"aws_omics.html#get_run_group/2","title":"aws_omics.get_run_group/2","type":"function"},{"doc":"","ref":"aws_omics.html#get_run_group/4","title":"aws_omics.get_run_group/4","type":"function"},{"doc":"","ref":"aws_omics.html#get_run_group/5","title":"aws_omics.get_run_group/5","type":"function"},{"doc":"Gets information about a workflow run task.","ref":"aws_omics.html#get_run_task/3","title":"aws_omics.get_run_task/3","type":"function"},{"doc":"","ref":"aws_omics.html#get_run_task/5","title":"aws_omics.get_run_task/5","type":"function"},{"doc":"","ref":"aws_omics.html#get_run_task/6","title":"aws_omics.get_run_task/6","type":"function"},{"doc":"Gets information about a sequence store.","ref":"aws_omics.html#get_sequence_store/2","title":"aws_omics.get_sequence_store/2","type":"function"},{"doc":"","ref":"aws_omics.html#get_sequence_store/4","title":"aws_omics.get_sequence_store/4","type":"function"},{"doc":"","ref":"aws_omics.html#get_sequence_store/5","title":"aws_omics.get_sequence_store/5","type":"function"},{"doc":"Gets information about a variant import job.","ref":"aws_omics.html#get_variant_import_job/2","title":"aws_omics.get_variant_import_job/2","type":"function"},{"doc":"","ref":"aws_omics.html#get_variant_import_job/4","title":"aws_omics.get_variant_import_job/4","type":"function"},{"doc":"","ref":"aws_omics.html#get_variant_import_job/5","title":"aws_omics.get_variant_import_job/5","type":"function"},{"doc":"Gets information about a variant store.","ref":"aws_omics.html#get_variant_store/2","title":"aws_omics.get_variant_store/2","type":"function"},{"doc":"","ref":"aws_omics.html#get_variant_store/4","title":"aws_omics.get_variant_store/4","type":"function"},{"doc":"","ref":"aws_omics.html#get_variant_store/5","title":"aws_omics.get_variant_store/5","type":"function"},{"doc":"Gets information about a workflow.","ref":"aws_omics.html#get_workflow/2","title":"aws_omics.get_workflow/2","type":"function"},{"doc":"","ref":"aws_omics.html#get_workflow/4","title":"aws_omics.get_workflow/4","type":"function"},{"doc":"","ref":"aws_omics.html#get_workflow/5","title":"aws_omics.get_workflow/5","type":"function"},{"doc":"Retrieves a list of annotation import jobs.","ref":"aws_omics.html#list_annotation_import_jobs/2","title":"aws_omics.list_annotation_import_jobs/2","type":"function"},{"doc":"","ref":"aws_omics.html#list_annotation_import_jobs/3","title":"aws_omics.list_annotation_import_jobs/3","type":"function"},{"doc":"Retrieves a list of annotation stores.","ref":"aws_omics.html#list_annotation_stores/2","title":"aws_omics.list_annotation_stores/2","type":"function"},{"doc":"","ref":"aws_omics.html#list_annotation_stores/3","title":"aws_omics.list_annotation_stores/3","type":"function"},{"doc":"Retrieves a list of read set activation jobs.","ref":"aws_omics.html#list_read_set_activation_jobs/3","title":"aws_omics.list_read_set_activation_jobs/3","type":"function"},{"doc":"","ref":"aws_omics.html#list_read_set_activation_jobs/4","title":"aws_omics.list_read_set_activation_jobs/4","type":"function"},{"doc":"Retrieves a list of read set export jobs.","ref":"aws_omics.html#list_read_set_export_jobs/3","title":"aws_omics.list_read_set_export_jobs/3","type":"function"},{"doc":"","ref":"aws_omics.html#list_read_set_export_jobs/4","title":"aws_omics.list_read_set_export_jobs/4","type":"function"},{"doc":"Retrieves a list of read set import jobs.","ref":"aws_omics.html#list_read_set_import_jobs/3","title":"aws_omics.list_read_set_import_jobs/3","type":"function"},{"doc":"","ref":"aws_omics.html#list_read_set_import_jobs/4","title":"aws_omics.list_read_set_import_jobs/4","type":"function"},{"doc":"Retrieves a list of read sets.","ref":"aws_omics.html#list_read_sets/3","title":"aws_omics.list_read_sets/3","type":"function"},{"doc":"","ref":"aws_omics.html#list_read_sets/4","title":"aws_omics.list_read_sets/4","type":"function"},{"doc":"Retrieves a list of reference import jobs.","ref":"aws_omics.html#list_reference_import_jobs/3","title":"aws_omics.list_reference_import_jobs/3","type":"function"},{"doc":"","ref":"aws_omics.html#list_reference_import_jobs/4","title":"aws_omics.list_reference_import_jobs/4","type":"function"},{"doc":"Retrieves a list of reference stores.","ref":"aws_omics.html#list_reference_stores/2","title":"aws_omics.list_reference_stores/2","type":"function"},{"doc":"","ref":"aws_omics.html#list_reference_stores/3","title":"aws_omics.list_reference_stores/3","type":"function"},{"doc":"Retrieves a list of references.","ref":"aws_omics.html#list_references/3","title":"aws_omics.list_references/3","type":"function"},{"doc":"","ref":"aws_omics.html#list_references/4","title":"aws_omics.list_references/4","type":"function"},{"doc":"Retrieves a list of run groups.","ref":"aws_omics.html#list_run_groups/1","title":"aws_omics.list_run_groups/1","type":"function"},{"doc":"","ref":"aws_omics.html#list_run_groups/3","title":"aws_omics.list_run_groups/3","type":"function"},{"doc":"","ref":"aws_omics.html#list_run_groups/4","title":"aws_omics.list_run_groups/4","type":"function"},{"doc":"Retrieves a list of tasks for a run.","ref":"aws_omics.html#list_run_tasks/2","title":"aws_omics.list_run_tasks/2","type":"function"},{"doc":"","ref":"aws_omics.html#list_run_tasks/4","title":"aws_omics.list_run_tasks/4","type":"function"},{"doc":"","ref":"aws_omics.html#list_run_tasks/5","title":"aws_omics.list_run_tasks/5","type":"function"},{"doc":"Retrieves a list of runs.","ref":"aws_omics.html#list_runs/1","title":"aws_omics.list_runs/1","type":"function"},{"doc":"","ref":"aws_omics.html#list_runs/3","title":"aws_omics.list_runs/3","type":"function"},{"doc":"","ref":"aws_omics.html#list_runs/4","title":"aws_omics.list_runs/4","type":"function"},{"doc":"Retrieves a list of sequence stores.","ref":"aws_omics.html#list_sequence_stores/2","title":"aws_omics.list_sequence_stores/2","type":"function"},{"doc":"","ref":"aws_omics.html#list_sequence_stores/3","title":"aws_omics.list_sequence_stores/3","type":"function"},{"doc":"Retrieves a list of tags for a resource.","ref":"aws_omics.html#list_tags_for_resource/2","title":"aws_omics.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_omics.html#list_tags_for_resource/4","title":"aws_omics.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_omics.html#list_tags_for_resource/5","title":"aws_omics.list_tags_for_resource/5","type":"function"},{"doc":"Retrieves a list of variant import jobs.","ref":"aws_omics.html#list_variant_import_jobs/2","title":"aws_omics.list_variant_import_jobs/2","type":"function"},{"doc":"","ref":"aws_omics.html#list_variant_import_jobs/3","title":"aws_omics.list_variant_import_jobs/3","type":"function"},{"doc":"Retrieves a list of variant stores.","ref":"aws_omics.html#list_variant_stores/2","title":"aws_omics.list_variant_stores/2","type":"function"},{"doc":"","ref":"aws_omics.html#list_variant_stores/3","title":"aws_omics.list_variant_stores/3","type":"function"},{"doc":"Retrieves a list of workflows.","ref":"aws_omics.html#list_workflows/1","title":"aws_omics.list_workflows/1","type":"function"},{"doc":"","ref":"aws_omics.html#list_workflows/3","title":"aws_omics.list_workflows/3","type":"function"},{"doc":"","ref":"aws_omics.html#list_workflows/4","title":"aws_omics.list_workflows/4","type":"function"},{"doc":"Starts an annotation import job.","ref":"aws_omics.html#start_annotation_import_job/2","title":"aws_omics.start_annotation_import_job/2","type":"function"},{"doc":"","ref":"aws_omics.html#start_annotation_import_job/3","title":"aws_omics.start_annotation_import_job/3","type":"function"},{"doc":"Starts a read set activation job.","ref":"aws_omics.html#start_read_set_activation_job/3","title":"aws_omics.start_read_set_activation_job/3","type":"function"},{"doc":"","ref":"aws_omics.html#start_read_set_activation_job/4","title":"aws_omics.start_read_set_activation_job/4","type":"function"},{"doc":"Starts a read set export job.","ref":"aws_omics.html#start_read_set_export_job/3","title":"aws_omics.start_read_set_export_job/3","type":"function"},{"doc":"","ref":"aws_omics.html#start_read_set_export_job/4","title":"aws_omics.start_read_set_export_job/4","type":"function"},{"doc":"Starts a read set import job.","ref":"aws_omics.html#start_read_set_import_job/3","title":"aws_omics.start_read_set_import_job/3","type":"function"},{"doc":"","ref":"aws_omics.html#start_read_set_import_job/4","title":"aws_omics.start_read_set_import_job/4","type":"function"},{"doc":"Starts a reference import job.","ref":"aws_omics.html#start_reference_import_job/3","title":"aws_omics.start_reference_import_job/3","type":"function"},{"doc":"","ref":"aws_omics.html#start_reference_import_job/4","title":"aws_omics.start_reference_import_job/4","type":"function"},{"doc":"Starts a run.","ref":"aws_omics.html#start_run/2","title":"aws_omics.start_run/2","type":"function"},{"doc":"","ref":"aws_omics.html#start_run/3","title":"aws_omics.start_run/3","type":"function"},{"doc":"Starts a variant import job.","ref":"aws_omics.html#start_variant_import_job/2","title":"aws_omics.start_variant_import_job/2","type":"function"},{"doc":"","ref":"aws_omics.html#start_variant_import_job/3","title":"aws_omics.start_variant_import_job/3","type":"function"},{"doc":"Tags a resource.","ref":"aws_omics.html#tag_resource/3","title":"aws_omics.tag_resource/3","type":"function"},{"doc":"","ref":"aws_omics.html#tag_resource/4","title":"aws_omics.tag_resource/4","type":"function"},{"doc":"Removes tags from a resource.","ref":"aws_omics.html#untag_resource/3","title":"aws_omics.untag_resource/3","type":"function"},{"doc":"","ref":"aws_omics.html#untag_resource/4","title":"aws_omics.untag_resource/4","type":"function"},{"doc":"Updates an annotation store.","ref":"aws_omics.html#update_annotation_store/3","title":"aws_omics.update_annotation_store/3","type":"function"},{"doc":"","ref":"aws_omics.html#update_annotation_store/4","title":"aws_omics.update_annotation_store/4","type":"function"},{"doc":"Updates a run group.","ref":"aws_omics.html#update_run_group/3","title":"aws_omics.update_run_group/3","type":"function"},{"doc":"","ref":"aws_omics.html#update_run_group/4","title":"aws_omics.update_run_group/4","type":"function"},{"doc":"Updates a variant store.","ref":"aws_omics.html#update_variant_store/3","title":"aws_omics.update_variant_store/3","type":"function"},{"doc":"","ref":"aws_omics.html#update_variant_store/4","title":"aws_omics.update_variant_store/4","type":"function"},{"doc":"Updates a workflow.","ref":"aws_omics.html#update_workflow/3","title":"aws_omics.update_workflow/3","type":"function"},{"doc":"","ref":"aws_omics.html#update_workflow/4","title":"aws_omics.update_workflow/4","type":"function"},{"doc":"Use the Amazon OpenSearch Service configuration API to create, configure, and manage OpenSearch Service domains. For sample code that uses the configuration API, see the Amazon OpenSearch Service Developer Guide . The guide also contains sample code for sending signed HTTP requests to the OpenSearch APIs. The endpoint for configuration service requests is Region specific: es.region.amazonaws.com. For example, es.us-east-1.amazonaws.com. For a current list of supported Regions and endpoints, see Amazon Web Services service endpoints.","ref":"aws_opensearch.html","title":"aws_opensearch","type":"module"},{"doc":"Allows the destination Amazon OpenSearch Service domain owner to accept an inbound cross-cluster search connection request. For more information, see Cross-cluster search for Amazon OpenSearch Service.","ref":"aws_opensearch.html#accept_inbound_connection/3","title":"aws_opensearch.accept_inbound_connection/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#accept_inbound_connection/4","title":"aws_opensearch.accept_inbound_connection/4","type":"function"},{"doc":"Attaches tags to an existing Amazon OpenSearch Service domain. Tags are a set of case-sensitive key-value pairs. A domain can have up to 10 tags. For more information, see Tagging Amazon OpenSearch Service domains.","ref":"aws_opensearch.html#add_tags/2","title":"aws_opensearch.add_tags/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#add_tags/3","title":"aws_opensearch.add_tags/3","type":"function"},{"doc":"Associates a package with an Amazon OpenSearch Service domain. For more information, see Custom packages for Amazon OpenSearch Service.","ref":"aws_opensearch.html#associate_package/4","title":"aws_opensearch.associate_package/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#associate_package/5","title":"aws_opensearch.associate_package/5","type":"function"},{"doc":"Provides access to an Amazon OpenSearch Service domain through the use of an interface VPC endpoint.","ref":"aws_opensearch.html#authorize_vpc_endpoint_access/3","title":"aws_opensearch.authorize_vpc_endpoint_access/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#authorize_vpc_endpoint_access/4","title":"aws_opensearch.authorize_vpc_endpoint_access/4","type":"function"},{"doc":"Cancels a scheduled service software update for an Amazon OpenSearch Service domain. You can only perform this operation before the AutomatedUpdateDate and when the domain's UpdateStatus is PENDING_UPDATE . For more information, see Service software updates in Amazon OpenSearch Service.","ref":"aws_opensearch.html#cancel_service_software_update/2","title":"aws_opensearch.cancel_service_software_update/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#cancel_service_software_update/3","title":"aws_opensearch.cancel_service_software_update/3","type":"function"},{"doc":"Creates an Amazon OpenSearch Service domain. For more information, see Creating and managing Amazon OpenSearch Service domains.","ref":"aws_opensearch.html#create_domain/2","title":"aws_opensearch.create_domain/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#create_domain/3","title":"aws_opensearch.create_domain/3","type":"function"},{"doc":"Creates a new cross-cluster search connection from a source Amazon OpenSearch Service domain to a destination domain. For more information, see Cross-cluster search for Amazon OpenSearch Service.","ref":"aws_opensearch.html#create_outbound_connection/2","title":"aws_opensearch.create_outbound_connection/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#create_outbound_connection/3","title":"aws_opensearch.create_outbound_connection/3","type":"function"},{"doc":"Creates a package for use with Amazon OpenSearch Service domains. For more information, see Custom packages for Amazon OpenSearch Service.","ref":"aws_opensearch.html#create_package/2","title":"aws_opensearch.create_package/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#create_package/3","title":"aws_opensearch.create_package/3","type":"function"},{"doc":"Creates an Amazon OpenSearch Service-managed VPC endpoint.","ref":"aws_opensearch.html#create_vpc_endpoint/2","title":"aws_opensearch.create_vpc_endpoint/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#create_vpc_endpoint/3","title":"aws_opensearch.create_vpc_endpoint/3","type":"function"},{"doc":"Deletes an Amazon OpenSearch Service domain and all of its data. You can't recover a domain after you delete it.","ref":"aws_opensearch.html#delete_domain/3","title":"aws_opensearch.delete_domain/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#delete_domain/4","title":"aws_opensearch.delete_domain/4","type":"function"},{"doc":"Allows the destination Amazon OpenSearch Service domain owner to delete an existing inbound cross-cluster search connection. For more information, see Cross-cluster search for Amazon OpenSearch Service.","ref":"aws_opensearch.html#delete_inbound_connection/3","title":"aws_opensearch.delete_inbound_connection/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#delete_inbound_connection/4","title":"aws_opensearch.delete_inbound_connection/4","type":"function"},{"doc":"Allows the source Amazon OpenSearch Service domain owner to delete an existing outbound cross-cluster search connection. For more information, see Cross-cluster search for Amazon OpenSearch Service.","ref":"aws_opensearch.html#delete_outbound_connection/3","title":"aws_opensearch.delete_outbound_connection/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#delete_outbound_connection/4","title":"aws_opensearch.delete_outbound_connection/4","type":"function"},{"doc":"Deletes an Amazon OpenSearch Service package. For more information, see Custom packages for Amazon OpenSearch Service.","ref":"aws_opensearch.html#delete_package/3","title":"aws_opensearch.delete_package/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#delete_package/4","title":"aws_opensearch.delete_package/4","type":"function"},{"doc":"Deletes an Amazon OpenSearch Service-managed interface VPC endpoint.","ref":"aws_opensearch.html#delete_vpc_endpoint/3","title":"aws_opensearch.delete_vpc_endpoint/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#delete_vpc_endpoint/4","title":"aws_opensearch.delete_vpc_endpoint/4","type":"function"},{"doc":"Describes the domain configuration for the specified Amazon OpenSearch Service domain, including the domain ID, domain service endpoint, and domain ARN.","ref":"aws_opensearch.html#describe_domain/2","title":"aws_opensearch.describe_domain/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_domain/4","title":"aws_opensearch.describe_domain/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_domain/5","title":"aws_opensearch.describe_domain/5","type":"function"},{"doc":"Returns the list of optimizations that Auto-Tune has made to an Amazon OpenSearch Service domain. For more information, see Auto-Tune for Amazon OpenSearch Service.","ref":"aws_opensearch.html#describe_domain_auto_tunes/2","title":"aws_opensearch.describe_domain_auto_tunes/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_domain_auto_tunes/4","title":"aws_opensearch.describe_domain_auto_tunes/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_domain_auto_tunes/5","title":"aws_opensearch.describe_domain_auto_tunes/5","type":"function"},{"doc":"Returns information about the current blue/green deployment happening on an Amazon OpenSearch Service domain. For more information, see Making configuration changes in Amazon OpenSearch Service.","ref":"aws_opensearch.html#describe_domain_change_progress/2","title":"aws_opensearch.describe_domain_change_progress/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_domain_change_progress/4","title":"aws_opensearch.describe_domain_change_progress/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_domain_change_progress/5","title":"aws_opensearch.describe_domain_change_progress/5","type":"function"},{"doc":"Returns the configuration of an Amazon OpenSearch Service domain.","ref":"aws_opensearch.html#describe_domain_config/2","title":"aws_opensearch.describe_domain_config/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_domain_config/4","title":"aws_opensearch.describe_domain_config/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_domain_config/5","title":"aws_opensearch.describe_domain_config/5","type":"function"},{"doc":"Returns domain configuration information about the specified Amazon OpenSearch Service domains.","ref":"aws_opensearch.html#describe_domains/2","title":"aws_opensearch.describe_domains/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_domains/3","title":"aws_opensearch.describe_domains/3","type":"function"},{"doc":"Describes the progress of a pre-update dry run analysis on an Amazon OpenSearch Service domain. For more information, see Determining whether a change will cause a blue/green deployment.","ref":"aws_opensearch.html#describe_dry_run_progress/2","title":"aws_opensearch.describe_dry_run_progress/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_dry_run_progress/4","title":"aws_opensearch.describe_dry_run_progress/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_dry_run_progress/5","title":"aws_opensearch.describe_dry_run_progress/5","type":"function"},{"doc":"Lists all the inbound cross-cluster search connections for a destination (remote) Amazon OpenSearch Service domain. For more information, see Cross-cluster search for Amazon OpenSearch Service.","ref":"aws_opensearch.html#describe_inbound_connections/2","title":"aws_opensearch.describe_inbound_connections/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_inbound_connections/3","title":"aws_opensearch.describe_inbound_connections/3","type":"function"},{"doc":"Describes the instance count, storage, and master node limits for a given OpenSearch or Elasticsearch version and instance type.","ref":"aws_opensearch.html#describe_instance_type_limits/3","title":"aws_opensearch.describe_instance_type_limits/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_instance_type_limits/5","title":"aws_opensearch.describe_instance_type_limits/5","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_instance_type_limits/6","title":"aws_opensearch.describe_instance_type_limits/6","type":"function"},{"doc":"Lists all the outbound cross-cluster connections for a local (source) Amazon OpenSearch Service domain. For more information, see Cross-cluster search for Amazon OpenSearch Service.","ref":"aws_opensearch.html#describe_outbound_connections/2","title":"aws_opensearch.describe_outbound_connections/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_outbound_connections/3","title":"aws_opensearch.describe_outbound_connections/3","type":"function"},{"doc":"Describes all packages available to OpenSearch Service. For more information, see Custom packages for Amazon OpenSearch Service.","ref":"aws_opensearch.html#describe_packages/2","title":"aws_opensearch.describe_packages/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_packages/3","title":"aws_opensearch.describe_packages/3","type":"function"},{"doc":"Describes the available Amazon OpenSearch Service Reserved Instance offerings for a given Region. For more information, see Reserved Instances in Amazon OpenSearch Service.","ref":"aws_opensearch.html#describe_reserved_instance_offerings/1","title":"aws_opensearch.describe_reserved_instance_offerings/1","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_reserved_instance_offerings/3","title":"aws_opensearch.describe_reserved_instance_offerings/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_reserved_instance_offerings/4","title":"aws_opensearch.describe_reserved_instance_offerings/4","type":"function"},{"doc":"Describes the Amazon OpenSearch Service instances that you have reserved in a given Region. For more information, see Reserved Instances in Amazon OpenSearch Service.","ref":"aws_opensearch.html#describe_reserved_instances/1","title":"aws_opensearch.describe_reserved_instances/1","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_reserved_instances/3","title":"aws_opensearch.describe_reserved_instances/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_reserved_instances/4","title":"aws_opensearch.describe_reserved_instances/4","type":"function"},{"doc":"Describes one or more Amazon OpenSearch Service-managed VPC endpoints.","ref":"aws_opensearch.html#describe_vpc_endpoints/2","title":"aws_opensearch.describe_vpc_endpoints/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#describe_vpc_endpoints/3","title":"aws_opensearch.describe_vpc_endpoints/3","type":"function"},{"doc":"Removes a package from the specified Amazon OpenSearch Service domain. The package can't be in use with any OpenSearch index for the dissociation to succeed. The package is still available in OpenSearch Service for association later. For more information, see Custom packages for Amazon OpenSearch Service.","ref":"aws_opensearch.html#dissociate_package/4","title":"aws_opensearch.dissociate_package/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#dissociate_package/5","title":"aws_opensearch.dissociate_package/5","type":"function"},{"doc":"Returns a map of OpenSearch or Elasticsearch versions and the versions you can upgrade them to.","ref":"aws_opensearch.html#get_compatible_versions/1","title":"aws_opensearch.get_compatible_versions/1","type":"function"},{"doc":"","ref":"aws_opensearch.html#get_compatible_versions/3","title":"aws_opensearch.get_compatible_versions/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#get_compatible_versions/4","title":"aws_opensearch.get_compatible_versions/4","type":"function"},{"doc":"Returns a list of Amazon OpenSearch Service package versions, along with their creation time and commit message. For more information, see Custom packages for Amazon OpenSearch Service.","ref":"aws_opensearch.html#get_package_version_history/2","title":"aws_opensearch.get_package_version_history/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#get_package_version_history/4","title":"aws_opensearch.get_package_version_history/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#get_package_version_history/5","title":"aws_opensearch.get_package_version_history/5","type":"function"},{"doc":"Retrieves the complete history of the last 10 upgrades performed on an Amazon OpenSearch Service domain.","ref":"aws_opensearch.html#get_upgrade_history/2","title":"aws_opensearch.get_upgrade_history/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#get_upgrade_history/4","title":"aws_opensearch.get_upgrade_history/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#get_upgrade_history/5","title":"aws_opensearch.get_upgrade_history/5","type":"function"},{"doc":"Returns the most recent status of the last upgrade or upgrade eligibility check performed on an Amazon OpenSearch Service domain.","ref":"aws_opensearch.html#get_upgrade_status/2","title":"aws_opensearch.get_upgrade_status/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#get_upgrade_status/4","title":"aws_opensearch.get_upgrade_status/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#get_upgrade_status/5","title":"aws_opensearch.get_upgrade_status/5","type":"function"},{"doc":"Returns the names of all Amazon OpenSearch Service domains owned by the current user in the active Region.","ref":"aws_opensearch.html#list_domain_names/1","title":"aws_opensearch.list_domain_names/1","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_domain_names/3","title":"aws_opensearch.list_domain_names/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_domain_names/4","title":"aws_opensearch.list_domain_names/4","type":"function"},{"doc":"Lists all Amazon OpenSearch Service domains associated with a given package. For more information, see Custom packages for Amazon OpenSearch Service.","ref":"aws_opensearch.html#list_domains_for_package/2","title":"aws_opensearch.list_domains_for_package/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_domains_for_package/4","title":"aws_opensearch.list_domains_for_package/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_domains_for_package/5","title":"aws_opensearch.list_domains_for_package/5","type":"function"},{"doc":"Lists all instance types and available features for a given OpenSearch or Elasticsearch version.","ref":"aws_opensearch.html#list_instance_type_details/2","title":"aws_opensearch.list_instance_type_details/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_instance_type_details/4","title":"aws_opensearch.list_instance_type_details/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_instance_type_details/5","title":"aws_opensearch.list_instance_type_details/5","type":"function"},{"doc":"Lists all packages associated with an Amazon OpenSearch Service domain. For more information, see Custom packages for Amazon OpenSearch Service.","ref":"aws_opensearch.html#list_packages_for_domain/2","title":"aws_opensearch.list_packages_for_domain/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_packages_for_domain/4","title":"aws_opensearch.list_packages_for_domain/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_packages_for_domain/5","title":"aws_opensearch.list_packages_for_domain/5","type":"function"},{"doc":"Returns all resource tags for an Amazon OpenSearch Service domain. For more information, see Tagging Amazon OpenSearch Service domains.","ref":"aws_opensearch.html#list_tags/2","title":"aws_opensearch.list_tags/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_tags/4","title":"aws_opensearch.list_tags/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_tags/5","title":"aws_opensearch.list_tags/5","type":"function"},{"doc":"Lists all versions of OpenSearch and Elasticsearch that Amazon OpenSearch Service supports.","ref":"aws_opensearch.html#list_versions/1","title":"aws_opensearch.list_versions/1","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_versions/3","title":"aws_opensearch.list_versions/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_versions/4","title":"aws_opensearch.list_versions/4","type":"function"},{"doc":"Retrieves information about each Amazon Web Services principal that is allowed to access a given Amazon OpenSearch Service domain through the use of an interface VPC endpoint.","ref":"aws_opensearch.html#list_vpc_endpoint_access/2","title":"aws_opensearch.list_vpc_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_vpc_endpoint_access/4","title":"aws_opensearch.list_vpc_endpoint_access/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_vpc_endpoint_access/5","title":"aws_opensearch.list_vpc_endpoint_access/5","type":"function"},{"doc":"Retrieves all Amazon OpenSearch Service-managed VPC endpoints in the current Amazon Web Services account and Region.","ref":"aws_opensearch.html#list_vpc_endpoints/1","title":"aws_opensearch.list_vpc_endpoints/1","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_vpc_endpoints/3","title":"aws_opensearch.list_vpc_endpoints/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_vpc_endpoints/4","title":"aws_opensearch.list_vpc_endpoints/4","type":"function"},{"doc":"Retrieves all Amazon OpenSearch Service-managed VPC endpoints associated with a particular domain.","ref":"aws_opensearch.html#list_vpc_endpoints_for_domain/2","title":"aws_opensearch.list_vpc_endpoints_for_domain/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_vpc_endpoints_for_domain/4","title":"aws_opensearch.list_vpc_endpoints_for_domain/4","type":"function"},{"doc":"","ref":"aws_opensearch.html#list_vpc_endpoints_for_domain/5","title":"aws_opensearch.list_vpc_endpoints_for_domain/5","type":"function"},{"doc":"Allows you to purchase Amazon OpenSearch Service Reserved Instances.","ref":"aws_opensearch.html#purchase_reserved_instance_offering/2","title":"aws_opensearch.purchase_reserved_instance_offering/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#purchase_reserved_instance_offering/3","title":"aws_opensearch.purchase_reserved_instance_offering/3","type":"function"},{"doc":"Allows the remote Amazon OpenSearch Service domain owner to reject an inbound cross-cluster connection request.","ref":"aws_opensearch.html#reject_inbound_connection/3","title":"aws_opensearch.reject_inbound_connection/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#reject_inbound_connection/4","title":"aws_opensearch.reject_inbound_connection/4","type":"function"},{"doc":"Removes the specified set of tags from an Amazon OpenSearch Service domain. For more information, see Tagging Amazon OpenSearch Service domains.","ref":"aws_opensearch.html#remove_tags/2","title":"aws_opensearch.remove_tags/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#remove_tags/3","title":"aws_opensearch.remove_tags/3","type":"function"},{"doc":"Revokes access to an Amazon OpenSearch Service domain that was provided through an interface VPC endpoint.","ref":"aws_opensearch.html#revoke_vpc_endpoint_access/3","title":"aws_opensearch.revoke_vpc_endpoint_access/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#revoke_vpc_endpoint_access/4","title":"aws_opensearch.revoke_vpc_endpoint_access/4","type":"function"},{"doc":"Schedules a service software update for an Amazon OpenSearch Service domain. For more information, see Service software updates in Amazon OpenSearch Service.","ref":"aws_opensearch.html#start_service_software_update/2","title":"aws_opensearch.start_service_software_update/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#start_service_software_update/3","title":"aws_opensearch.start_service_software_update/3","type":"function"},{"doc":"Modifies the cluster configuration of the specified Amazon OpenSearch Service domain.","ref":"aws_opensearch.html#update_domain_config/3","title":"aws_opensearch.update_domain_config/3","type":"function"},{"doc":"","ref":"aws_opensearch.html#update_domain_config/4","title":"aws_opensearch.update_domain_config/4","type":"function"},{"doc":"Updates a package for use with Amazon OpenSearch Service domains. For more information, see Custom packages for Amazon OpenSearch Service.","ref":"aws_opensearch.html#update_package/2","title":"aws_opensearch.update_package/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#update_package/3","title":"aws_opensearch.update_package/3","type":"function"},{"doc":"Modifies an Amazon OpenSearch Service-managed interface VPC endpoint.","ref":"aws_opensearch.html#update_vpc_endpoint/2","title":"aws_opensearch.update_vpc_endpoint/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#update_vpc_endpoint/3","title":"aws_opensearch.update_vpc_endpoint/3","type":"function"},{"doc":"Allows you to either upgrade your Amazon OpenSearch Service domain or perform an upgrade eligibility check to a compatible version of OpenSearch or Elasticsearch.","ref":"aws_opensearch.html#upgrade_domain/2","title":"aws_opensearch.upgrade_domain/2","type":"function"},{"doc":"","ref":"aws_opensearch.html#upgrade_domain/3","title":"aws_opensearch.upgrade_domain/3","type":"function"},{"doc":"Use the Amazon OpenSearch Serverless API to create, configure, and manage OpenSearch Serverless collections and security policies. OpenSearch Serverless is an on-demand, pre-provisioned serverless configuration for Amazon OpenSearch Service. OpenSearch Serverless removes the operational complexities of provisioning, configuring, and tuning your OpenSearch clusters. It enables you to easily search and analyze petabytes of data without having to worry about the underlying infrastructure and data management. To learn more about OpenSearch Serverless, see What is Amazon OpenSearch Serverless?","ref":"aws_opensearchserverless.html","title":"aws_opensearchserverless","type":"module"},{"doc":"Returns attributes for one or more collections, including the collection endpoint and the OpenSearch Dashboards endpoint. For more information, see Creating and managing Amazon OpenSearch Serverless collections.","ref":"aws_opensearchserverless.html#batch_get_collection/2","title":"aws_opensearchserverless.batch_get_collection/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#batch_get_collection/3","title":"aws_opensearchserverless.batch_get_collection/3","type":"function"},{"doc":"Returns attributes for one or more VPC endpoints associated with the current account. For more information, see Access Amazon OpenSearch Serverless using an interface endpoint.","ref":"aws_opensearchserverless.html#batch_get_vpc_endpoint/2","title":"aws_opensearchserverless.batch_get_vpc_endpoint/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#batch_get_vpc_endpoint/3","title":"aws_opensearchserverless.batch_get_vpc_endpoint/3","type":"function"},{"doc":"Creates a data access policy for OpenSearch Serverless. Access policies limit access to collections and the resources within them, and allow a user to access that data irrespective of the access mechanism or network source. For more information, see Data access control for Amazon OpenSearch Serverless.","ref":"aws_opensearchserverless.html#create_access_policy/2","title":"aws_opensearchserverless.create_access_policy/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#create_access_policy/3","title":"aws_opensearchserverless.create_access_policy/3","type":"function"},{"doc":"Creates a new OpenSearch Serverless collection. For more information, see Creating and managing Amazon OpenSearch Serverless collections.","ref":"aws_opensearchserverless.html#create_collection/2","title":"aws_opensearchserverless.create_collection/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#create_collection/3","title":"aws_opensearchserverless.create_collection/3","type":"function"},{"doc":"Specifies a security configuration for OpenSearch Serverless. For more information, see SAML authentication for Amazon OpenSearch Serverless.","ref":"aws_opensearchserverless.html#create_security_config/2","title":"aws_opensearchserverless.create_security_config/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#create_security_config/3","title":"aws_opensearchserverless.create_security_config/3","type":"function"},{"doc":"Creates a security policy to be used by one or more OpenSearch Serverless collections. Security policies provide access to a collection and its OpenSearch Dashboards endpoint from public networks or specific VPC endpoints. They also allow you to secure a collection with a KMS encryption key. For more information, see Network access for Amazon OpenSearch Serverless and Encryption at rest for Amazon OpenSearch Serverless.","ref":"aws_opensearchserverless.html#create_security_policy/2","title":"aws_opensearchserverless.create_security_policy/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#create_security_policy/3","title":"aws_opensearchserverless.create_security_policy/3","type":"function"},{"doc":"Creates an OpenSearch Serverless-managed interface VPC endpoint. For more information, see Access Amazon OpenSearch Serverless using an interface endpoint.","ref":"aws_opensearchserverless.html#create_vpc_endpoint/2","title":"aws_opensearchserverless.create_vpc_endpoint/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#create_vpc_endpoint/3","title":"aws_opensearchserverless.create_vpc_endpoint/3","type":"function"},{"doc":"Deletes an OpenSearch Serverless access policy. For more information, see Data access control for Amazon OpenSearch Serverless.","ref":"aws_opensearchserverless.html#delete_access_policy/2","title":"aws_opensearchserverless.delete_access_policy/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#delete_access_policy/3","title":"aws_opensearchserverless.delete_access_policy/3","type":"function"},{"doc":"Deletes an OpenSearch Serverless collection. For more information, see Creating and managing Amazon OpenSearch Serverless collections.","ref":"aws_opensearchserverless.html#delete_collection/2","title":"aws_opensearchserverless.delete_collection/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#delete_collection/3","title":"aws_opensearchserverless.delete_collection/3","type":"function"},{"doc":"Deletes a security configuration for OpenSearch Serverless. For more information, see SAML authentication for Amazon OpenSearch Serverless.","ref":"aws_opensearchserverless.html#delete_security_config/2","title":"aws_opensearchserverless.delete_security_config/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#delete_security_config/3","title":"aws_opensearchserverless.delete_security_config/3","type":"function"},{"doc":"Deletes an OpenSearch Serverless security policy.","ref":"aws_opensearchserverless.html#delete_security_policy/2","title":"aws_opensearchserverless.delete_security_policy/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#delete_security_policy/3","title":"aws_opensearchserverless.delete_security_policy/3","type":"function"},{"doc":"Deletes an OpenSearch Serverless-managed interface endpoint. For more information, see Access Amazon OpenSearch Serverless using an interface endpoint.","ref":"aws_opensearchserverless.html#delete_vpc_endpoint/2","title":"aws_opensearchserverless.delete_vpc_endpoint/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#delete_vpc_endpoint/3","title":"aws_opensearchserverless.delete_vpc_endpoint/3","type":"function"},{"doc":"Returns an OpenSearch Serverless access policy. For more information, see Data access control for Amazon OpenSearch Serverless.","ref":"aws_opensearchserverless.html#get_access_policy/2","title":"aws_opensearchserverless.get_access_policy/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#get_access_policy/3","title":"aws_opensearchserverless.get_access_policy/3","type":"function"},{"doc":"Returns account-level settings related to OpenSearch Serverless.","ref":"aws_opensearchserverless.html#get_account_settings/2","title":"aws_opensearchserverless.get_account_settings/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#get_account_settings/3","title":"aws_opensearchserverless.get_account_settings/3","type":"function"},{"doc":"Returns statistical information about your OpenSearch Serverless access policies, security configurations, and security policies.","ref":"aws_opensearchserverless.html#get_policies_stats/2","title":"aws_opensearchserverless.get_policies_stats/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#get_policies_stats/3","title":"aws_opensearchserverless.get_policies_stats/3","type":"function"},{"doc":"Returns information about an OpenSearch Serverless security configuration. For more information, see SAML authentication for Amazon OpenSearch Serverless.","ref":"aws_opensearchserverless.html#get_security_config/2","title":"aws_opensearchserverless.get_security_config/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#get_security_config/3","title":"aws_opensearchserverless.get_security_config/3","type":"function"},{"doc":"Returns information about a configured OpenSearch Serverless security policy. For more information, see Network access for Amazon OpenSearch Serverless and Encryption at rest for Amazon OpenSearch Serverless.","ref":"aws_opensearchserverless.html#get_security_policy/2","title":"aws_opensearchserverless.get_security_policy/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#get_security_policy/3","title":"aws_opensearchserverless.get_security_policy/3","type":"function"},{"doc":"Returns information about a list of OpenSearch Serverless access policies.","ref":"aws_opensearchserverless.html#list_access_policies/2","title":"aws_opensearchserverless.list_access_policies/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#list_access_policies/3","title":"aws_opensearchserverless.list_access_policies/3","type":"function"},{"doc":"Lists all OpenSearch Serverless collections. For more information, see Creating and managing Amazon OpenSearch Serverless collections. Make sure to include an empty request body {} if you don't include any collection filters in the request.","ref":"aws_opensearchserverless.html#list_collections/2","title":"aws_opensearchserverless.list_collections/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#list_collections/3","title":"aws_opensearchserverless.list_collections/3","type":"function"},{"doc":"Returns information about configured OpenSearch Serverless security configurations. For more information, see SAML authentication for Amazon OpenSearch Serverless.","ref":"aws_opensearchserverless.html#list_security_configs/2","title":"aws_opensearchserverless.list_security_configs/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#list_security_configs/3","title":"aws_opensearchserverless.list_security_configs/3","type":"function"},{"doc":"Returns information about configured OpenSearch Serverless security policies.","ref":"aws_opensearchserverless.html#list_security_policies/2","title":"aws_opensearchserverless.list_security_policies/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#list_security_policies/3","title":"aws_opensearchserverless.list_security_policies/3","type":"function"},{"doc":"Returns the tags for an OpenSearch Serverless resource. For more information, see Tagging Amazon OpenSearch Serverless collections.","ref":"aws_opensearchserverless.html#list_tags_for_resource/2","title":"aws_opensearchserverless.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#list_tags_for_resource/3","title":"aws_opensearchserverless.list_tags_for_resource/3","type":"function"},{"doc":"Returns the OpenSearch Serverless-managed interface VPC endpoints associated with the current account. For more information, see Access Amazon OpenSearch Serverless using an interface endpoint.","ref":"aws_opensearchserverless.html#list_vpc_endpoints/2","title":"aws_opensearchserverless.list_vpc_endpoints/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#list_vpc_endpoints/3","title":"aws_opensearchserverless.list_vpc_endpoints/3","type":"function"},{"doc":"Associates tags with an OpenSearch Serverless resource. For more information, see Tagging Amazon OpenSearch Serverless collections.","ref":"aws_opensearchserverless.html#tag_resource/2","title":"aws_opensearchserverless.tag_resource/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#tag_resource/3","title":"aws_opensearchserverless.tag_resource/3","type":"function"},{"doc":"Removes a tag or set of tags from an OpenSearch Serverless resource. For more information, see Tagging Amazon OpenSearch Serverless collections.","ref":"aws_opensearchserverless.html#untag_resource/2","title":"aws_opensearchserverless.untag_resource/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#untag_resource/3","title":"aws_opensearchserverless.untag_resource/3","type":"function"},{"doc":"Updates an OpenSearch Serverless access policy. For more information, see Data access control for Amazon OpenSearch Serverless.","ref":"aws_opensearchserverless.html#update_access_policy/2","title":"aws_opensearchserverless.update_access_policy/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#update_access_policy/3","title":"aws_opensearchserverless.update_access_policy/3","type":"function"},{"doc":"Update the OpenSearch Serverless settings for the current Amazon Web Services account. For more information, see Autoscaling.","ref":"aws_opensearchserverless.html#update_account_settings/2","title":"aws_opensearchserverless.update_account_settings/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#update_account_settings/3","title":"aws_opensearchserverless.update_account_settings/3","type":"function"},{"doc":"Updates an OpenSearch Serverless collection.","ref":"aws_opensearchserverless.html#update_collection/2","title":"aws_opensearchserverless.update_collection/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#update_collection/3","title":"aws_opensearchserverless.update_collection/3","type":"function"},{"doc":"Updates a security configuration for OpenSearch Serverless. For more information, see SAML authentication for Amazon OpenSearch Serverless.","ref":"aws_opensearchserverless.html#update_security_config/2","title":"aws_opensearchserverless.update_security_config/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#update_security_config/3","title":"aws_opensearchserverless.update_security_config/3","type":"function"},{"doc":"Updates an OpenSearch Serverless security policy. For more information, see Network access for Amazon OpenSearch Serverless and Encryption at rest for Amazon OpenSearch Serverless.","ref":"aws_opensearchserverless.html#update_security_policy/2","title":"aws_opensearchserverless.update_security_policy/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#update_security_policy/3","title":"aws_opensearchserverless.update_security_policy/3","type":"function"},{"doc":"Updates an OpenSearch Serverless-managed interface endpoint. For more information, see Access Amazon OpenSearch Serverless using an interface endpoint.","ref":"aws_opensearchserverless.html#update_vpc_endpoint/2","title":"aws_opensearchserverless.update_vpc_endpoint/2","type":"function"},{"doc":"","ref":"aws_opensearchserverless.html#update_vpc_endpoint/3","title":"aws_opensearchserverless.update_vpc_endpoint/3","type":"function"},{"doc":"AWS OpsWorks Welcome to the AWS OpsWorks Stacks API Reference. This guide provides descriptions, syntax, and usage examples for AWS OpsWorks Stacks actions and data types, including common parameters and error codes. AWS OpsWorks Stacks is an application management service that provides an integrated experience for overseeing the complete application lifecycle. For information about this product, go to the AWS OpsWorks details page. SDKs and CLI The most common way to use the AWS OpsWorks Stacks API is by using the AWS Command Line Interface (CLI) or by using one of the AWS SDKs to implement applications in your preferred language. For more information, see: AWS CLI AWS SDK for Java AWS SDK for .NET AWS SDK for PHP 2 AWS SDK for Ruby AWS SDK for Node.js AWS SDK for Python(Boto) Endpoints AWS OpsWorks Stacks supports the following endpoints, all HTTPS. You must connect to one of the following endpoints. Stacks can only be accessed or managed within the endpoint in which they are created. opsworks.us-east-1.amazonaws.com opsworks.us-east-2.amazonaws.com opsworks.us-west-1.amazonaws.com opsworks.us-west-2.amazonaws.com opsworks.ca-central-1.amazonaws.com (API only; not available in the AWS console) opsworks.eu-west-1.amazonaws.com opsworks.eu-west-2.amazonaws.com opsworks.eu-west-3.amazonaws.com opsworks.eu-central-1.amazonaws.com opsworks.ap-northeast-1.amazonaws.com opsworks.ap-northeast-2.amazonaws.com opsworks.ap-south-1.amazonaws.com opsworks.ap-southeast-1.amazonaws.com opsworks.ap-southeast-2.amazonaws.com opsworks.sa-east-1.amazonaws.com Chef Versions When you call CreateStack , CloneStack , or UpdateStack we recommend you use the ConfigurationManager parameter to specify the Chef version. The recommended and default value for Linux stacks is currently 12. Windows stacks use Chef 12.2. For more information, see Chef Versions. You can specify Chef 12, 11.10, or 11.4 for your Linux stack. We recommend migrating your existing Linux stacks to Chef 12 as soon as possible.","ref":"aws_opsworks.html","title":"aws_opsworks","type":"module"},{"doc":"Assign a registered instance to a layer. You can assign registered on-premises instances to any layer type. You can assign registered Amazon EC2 instances only to custom layers. You cannot use this action with instances that were created with AWS OpsWorks Stacks. Required Permissions: To use this action, an AWS Identity and Access Management (IAM) user must have a Manage permissions level for the stack or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#assign_instance/2","title":"aws_opsworks.assign_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#assign_instance/3","title":"aws_opsworks.assign_instance/3","type":"function"},{"doc":"Assigns one of the stack's registered Amazon EBS volumes to a specified instance. The volume must first be registered with the stack by calling RegisterVolume . After you register the volume, you must call UpdateVolume to specify a mount point before calling AssignVolume . For more information, see Resource Management. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#assign_volume/2","title":"aws_opsworks.assign_volume/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#assign_volume/3","title":"aws_opsworks.assign_volume/3","type":"function"},{"doc":"Associates one of the stack's registered Elastic IP addresses with a specified instance. The address must first be registered with the stack by calling RegisterElasticIp . For more information, see Resource Management. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#associate_elastic_ip/2","title":"aws_opsworks.associate_elastic_ip/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#associate_elastic_ip/3","title":"aws_opsworks.associate_elastic_ip/3","type":"function"},{"doc":"Attaches an Elastic Load Balancing load balancer to a specified layer. AWS OpsWorks Stacks does not support Application Load Balancer. You can only use Classic Load Balancer with AWS OpsWorks Stacks. For more information, see Elastic Load Balancing. You must create the Elastic Load Balancing instance separately, by using the Elastic Load Balancing console, API, or CLI. For more information, see Elastic Load Balancing Developer Guide. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#attach_elastic_load_balancer/2","title":"aws_opsworks.attach_elastic_load_balancer/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#attach_elastic_load_balancer/3","title":"aws_opsworks.attach_elastic_load_balancer/3","type":"function"},{"doc":"Creates a clone of a specified stack. For more information, see Clone a Stack. By default, all parameters are set to the values used by the parent stack. Required Permissions: To use this action, an IAM user must have an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#clone_stack/2","title":"aws_opsworks.clone_stack/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#clone_stack/3","title":"aws_opsworks.clone_stack/3","type":"function"},{"doc":"Creates an app for a specified stack. For more information, see Creating Apps. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#create_app/2","title":"aws_opsworks.create_app/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#create_app/3","title":"aws_opsworks.create_app/3","type":"function"},{"doc":"Runs deployment or stack commands. For more information, see Deploying Apps and Run Stack Commands. Required Permissions: To use this action, an IAM user must have a Deploy or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#create_deployment/2","title":"aws_opsworks.create_deployment/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#create_deployment/3","title":"aws_opsworks.create_deployment/3","type":"function"},{"doc":"Creates an instance in a specified stack. For more information, see Adding an Instance to a Layer. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#create_instance/2","title":"aws_opsworks.create_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#create_instance/3","title":"aws_opsworks.create_instance/3","type":"function"},{"doc":"Creates a layer. For more information, see How to Create a Layer. You should use CreateLayer for noncustom layer types such as PHP App Server only if the stack does not have an existing layer of that type. A stack can have at most one instance of each noncustom layer; if you attempt to create a second instance, CreateLayer fails. A stack can have an arbitrary number of custom layers, so you can call CreateLayer as many times as you like for that layer type. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#create_layer/2","title":"aws_opsworks.create_layer/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#create_layer/3","title":"aws_opsworks.create_layer/3","type":"function"},{"doc":"Creates a new stack. For more information, see Create a New Stack. Required Permissions: To use this action, an IAM user must have an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#create_stack/2","title":"aws_opsworks.create_stack/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#create_stack/3","title":"aws_opsworks.create_stack/3","type":"function"},{"doc":"Creates a new user profile. Required Permissions: To use this action, an IAM user must have an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#create_user_profile/2","title":"aws_opsworks.create_user_profile/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#create_user_profile/3","title":"aws_opsworks.create_user_profile/3","type":"function"},{"doc":"Deletes a specified app. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#delete_app/2","title":"aws_opsworks.delete_app/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#delete_app/3","title":"aws_opsworks.delete_app/3","type":"function"},{"doc":"Deletes a specified instance, which terminates the associated Amazon EC2 instance. You must stop an instance before you can delete it. For more information, see Deleting Instances. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#delete_instance/2","title":"aws_opsworks.delete_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#delete_instance/3","title":"aws_opsworks.delete_instance/3","type":"function"},{"doc":"Deletes a specified layer. You must first stop and then delete all associated instances or unassign registered instances. For more information, see How to Delete a Layer. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#delete_layer/2","title":"aws_opsworks.delete_layer/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#delete_layer/3","title":"aws_opsworks.delete_layer/3","type":"function"},{"doc":"Deletes a specified stack. You must first delete all instances, layers, and apps or deregister registered instances. For more information, see Shut Down a Stack. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#delete_stack/2","title":"aws_opsworks.delete_stack/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#delete_stack/3","title":"aws_opsworks.delete_stack/3","type":"function"},{"doc":"Deletes a user profile. Required Permissions: To use this action, an IAM user must have an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#delete_user_profile/2","title":"aws_opsworks.delete_user_profile/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#delete_user_profile/3","title":"aws_opsworks.delete_user_profile/3","type":"function"},{"doc":"Deregisters a specified Amazon ECS cluster from a stack. For more information, see Resource Management. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack or an attached policy that explicitly grants permissions. For more information on user permissions, see https://docs.aws.amazon.com/opsworks/latest/userguide/opsworks-security-users.html .","ref":"aws_opsworks.html#deregister_ecs_cluster/2","title":"aws_opsworks.deregister_ecs_cluster/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#deregister_ecs_cluster/3","title":"aws_opsworks.deregister_ecs_cluster/3","type":"function"},{"doc":"Deregisters a specified Elastic IP address. The address can then be registered by another stack. For more information, see Resource Management. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#deregister_elastic_ip/2","title":"aws_opsworks.deregister_elastic_ip/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#deregister_elastic_ip/3","title":"aws_opsworks.deregister_elastic_ip/3","type":"function"},{"doc":"Deregister a registered Amazon EC2 or on-premises instance. This action removes the instance from the stack and returns it to your control. This action cannot be used with instances that were created with AWS OpsWorks Stacks. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#deregister_instance/2","title":"aws_opsworks.deregister_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#deregister_instance/3","title":"aws_opsworks.deregister_instance/3","type":"function"},{"doc":"Deregisters an Amazon RDS instance. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#deregister_rds_db_instance/2","title":"aws_opsworks.deregister_rds_db_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#deregister_rds_db_instance/3","title":"aws_opsworks.deregister_rds_db_instance/3","type":"function"},{"doc":"Deregisters an Amazon EBS volume. The volume can then be registered by another stack. For more information, see Resource Management. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#deregister_volume/2","title":"aws_opsworks.deregister_volume/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#deregister_volume/3","title":"aws_opsworks.deregister_volume/3","type":"function"},{"doc":"Describes the available AWS OpsWorks Stacks agent versions. You must specify a stack ID or a configuration manager. DescribeAgentVersions returns a list of available agent versions for the specified stack or configuration manager.","ref":"aws_opsworks.html#describe_agent_versions/2","title":"aws_opsworks.describe_agent_versions/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_agent_versions/3","title":"aws_opsworks.describe_agent_versions/3","type":"function"},{"doc":"Requests a description of a specified set of apps. This call accepts only one resource-identifying parameter. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_apps/2","title":"aws_opsworks.describe_apps/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_apps/3","title":"aws_opsworks.describe_apps/3","type":"function"},{"doc":"Describes the results of specified commands. This call accepts only one resource-identifying parameter. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_commands/2","title":"aws_opsworks.describe_commands/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_commands/3","title":"aws_opsworks.describe_commands/3","type":"function"},{"doc":"Requests a description of a specified set of deployments. This call accepts only one resource-identifying parameter. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_deployments/2","title":"aws_opsworks.describe_deployments/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_deployments/3","title":"aws_opsworks.describe_deployments/3","type":"function"},{"doc":"Describes Amazon ECS clusters that are registered with a stack. If you specify only a stack ID, you can use the MaxResults and NextToken parameters to paginate the response. However, AWS OpsWorks Stacks currently supports only one cluster per layer, so the result set has a maximum of one element. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack or an attached policy that explicitly grants permission. For more information about user permissions, see Managing User Permissions. This call accepts only one resource-identifying parameter.","ref":"aws_opsworks.html#describe_ecs_clusters/2","title":"aws_opsworks.describe_ecs_clusters/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_ecs_clusters/3","title":"aws_opsworks.describe_ecs_clusters/3","type":"function"},{"doc":"Describes Elastic IP addresses. This call accepts only one resource-identifying parameter. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_elastic_ips/2","title":"aws_opsworks.describe_elastic_ips/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_elastic_ips/3","title":"aws_opsworks.describe_elastic_ips/3","type":"function"},{"doc":"Describes a stack's Elastic Load Balancing instances. This call accepts only one resource-identifying parameter. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_elastic_load_balancers/2","title":"aws_opsworks.describe_elastic_load_balancers/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_elastic_load_balancers/3","title":"aws_opsworks.describe_elastic_load_balancers/3","type":"function"},{"doc":"Requests a description of a set of instances. This call accepts only one resource-identifying parameter. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_instances/2","title":"aws_opsworks.describe_instances/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_instances/3","title":"aws_opsworks.describe_instances/3","type":"function"},{"doc":"Requests a description of one or more layers in a specified stack. This call accepts only one resource-identifying parameter. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_layers/2","title":"aws_opsworks.describe_layers/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_layers/3","title":"aws_opsworks.describe_layers/3","type":"function"},{"doc":"Describes load-based auto scaling configurations for specified layers. You must specify at least one of the parameters. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_load_based_auto_scaling/2","title":"aws_opsworks.describe_load_based_auto_scaling/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_load_based_auto_scaling/3","title":"aws_opsworks.describe_load_based_auto_scaling/3","type":"function"},{"doc":"Describes a user's SSH information. Required Permissions: To use this action, an IAM user must have self-management enabled or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_my_user_profile/2","title":"aws_opsworks.describe_my_user_profile/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_my_user_profile/3","title":"aws_opsworks.describe_my_user_profile/3","type":"function"},{"doc":"Describes the operating systems that are supported by AWS OpsWorks Stacks.","ref":"aws_opsworks.html#describe_operating_systems/2","title":"aws_opsworks.describe_operating_systems/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_operating_systems/3","title":"aws_opsworks.describe_operating_systems/3","type":"function"},{"doc":"Describes the permissions for a specified stack. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_permissions/2","title":"aws_opsworks.describe_permissions/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_permissions/3","title":"aws_opsworks.describe_permissions/3","type":"function"},{"doc":"Describe an instance's RAID arrays. This call accepts only one resource-identifying parameter. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_raid_arrays/2","title":"aws_opsworks.describe_raid_arrays/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_raid_arrays/3","title":"aws_opsworks.describe_raid_arrays/3","type":"function"},{"doc":"Describes Amazon RDS instances. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions. This call accepts only one resource-identifying parameter.","ref":"aws_opsworks.html#describe_rds_db_instances/2","title":"aws_opsworks.describe_rds_db_instances/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_rds_db_instances/3","title":"aws_opsworks.describe_rds_db_instances/3","type":"function"},{"doc":"Describes AWS OpsWorks Stacks service errors. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions. This call accepts only one resource-identifying parameter.","ref":"aws_opsworks.html#describe_service_errors/2","title":"aws_opsworks.describe_service_errors/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_service_errors/3","title":"aws_opsworks.describe_service_errors/3","type":"function"},{"doc":"Requests a description of a stack's provisioning parameters. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_stack_provisioning_parameters/2","title":"aws_opsworks.describe_stack_provisioning_parameters/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_stack_provisioning_parameters/3","title":"aws_opsworks.describe_stack_provisioning_parameters/3","type":"function"},{"doc":"Describes the number of layers and apps in a specified stack, and the number of instances in each state, such as running_setup or online . Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_stack_summary/2","title":"aws_opsworks.describe_stack_summary/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_stack_summary/3","title":"aws_opsworks.describe_stack_summary/3","type":"function"},{"doc":"Requests a description of one or more stacks. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_stacks/2","title":"aws_opsworks.describe_stacks/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_stacks/3","title":"aws_opsworks.describe_stacks/3","type":"function"},{"doc":"Describes time-based auto scaling configurations for specified instances. You must specify at least one of the parameters. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_time_based_auto_scaling/2","title":"aws_opsworks.describe_time_based_auto_scaling/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_time_based_auto_scaling/3","title":"aws_opsworks.describe_time_based_auto_scaling/3","type":"function"},{"doc":"Describe specified users. Required Permissions: To use this action, an IAM user must have an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_user_profiles/2","title":"aws_opsworks.describe_user_profiles/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_user_profiles/3","title":"aws_opsworks.describe_user_profiles/3","type":"function"},{"doc":"Describes an instance's Amazon EBS volumes. This call accepts only one resource-identifying parameter. Required Permissions: To use this action, an IAM user must have a Show, Deploy, or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#describe_volumes/2","title":"aws_opsworks.describe_volumes/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#describe_volumes/3","title":"aws_opsworks.describe_volumes/3","type":"function"},{"doc":"Detaches a specified Elastic Load Balancing instance from its layer. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#detach_elastic_load_balancer/2","title":"aws_opsworks.detach_elastic_load_balancer/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#detach_elastic_load_balancer/3","title":"aws_opsworks.detach_elastic_load_balancer/3","type":"function"},{"doc":"Disassociates an Elastic IP address from its instance. The address remains registered with the stack. For more information, see Resource Management. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#disassociate_elastic_ip/2","title":"aws_opsworks.disassociate_elastic_ip/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#disassociate_elastic_ip/3","title":"aws_opsworks.disassociate_elastic_ip/3","type":"function"},{"doc":"Gets a generated host name for the specified layer, based on the current host name theme. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#get_hostname_suggestion/2","title":"aws_opsworks.get_hostname_suggestion/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#get_hostname_suggestion/3","title":"aws_opsworks.get_hostname_suggestion/3","type":"function"},{"doc":"This action can be used only with Windows stacks. Grants RDP access to a Windows instance for a specified time period.","ref":"aws_opsworks.html#grant_access/2","title":"aws_opsworks.grant_access/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#grant_access/3","title":"aws_opsworks.grant_access/3","type":"function"},{"doc":"Returns a list of tags that are applied to the specified stack or layer.","ref":"aws_opsworks.html#list_tags/2","title":"aws_opsworks.list_tags/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#list_tags/3","title":"aws_opsworks.list_tags/3","type":"function"},{"doc":"Reboots a specified instance. For more information, see Starting, Stopping, and Rebooting Instances. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#reboot_instance/2","title":"aws_opsworks.reboot_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#reboot_instance/3","title":"aws_opsworks.reboot_instance/3","type":"function"},{"doc":"Registers a specified Amazon ECS cluster with a stack. You can register only one cluster with a stack. A cluster can be registered with only one stack. For more information, see Resource Management. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#register_ecs_cluster/2","title":"aws_opsworks.register_ecs_cluster/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#register_ecs_cluster/3","title":"aws_opsworks.register_ecs_cluster/3","type":"function"},{"doc":"Registers an Elastic IP address with a specified stack. An address can be registered with only one stack at a time. If the address is already registered, you must first deregister it by calling DeregisterElasticIp . For more information, see Resource Management. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#register_elastic_ip/2","title":"aws_opsworks.register_elastic_ip/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#register_elastic_ip/3","title":"aws_opsworks.register_elastic_ip/3","type":"function"},{"doc":"Registers instances that were created outside of AWS OpsWorks Stacks with a specified stack. We do not recommend using this action to register instances. The complete registration operation includes two tasks: installing the AWS OpsWorks Stacks agent on the instance, and registering the instance with the stack. RegisterInstance handles only the second step. You should instead use the AWS CLI register command, which performs the entire registration operation. For more information, see Registering an Instance with an AWS OpsWorks Stacks Stack. Registered instances have the same requirements as instances that are created by using the CreateInstance API. For example, registered instances must be running a supported Linux-based operating system, and they must have a supported instance type. For more information about requirements for instances that you want to register, see Preparing the Instance. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#register_instance/2","title":"aws_opsworks.register_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#register_instance/3","title":"aws_opsworks.register_instance/3","type":"function"},{"doc":"Registers an Amazon RDS instance with a stack. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#register_rds_db_instance/2","title":"aws_opsworks.register_rds_db_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#register_rds_db_instance/3","title":"aws_opsworks.register_rds_db_instance/3","type":"function"},{"doc":"Registers an Amazon EBS volume with a specified stack. A volume can be registered with only one stack at a time. If the volume is already registered, you must first deregister it by calling DeregisterVolume . For more information, see Resource Management. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#register_volume/2","title":"aws_opsworks.register_volume/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#register_volume/3","title":"aws_opsworks.register_volume/3","type":"function"},{"doc":"Specify the load-based auto scaling configuration for a specified layer. For more information, see Managing Load with Time-based and Load-based Instances. To use load-based auto scaling, you must create a set of load-based auto scaling instances. Load-based auto scaling operates only on the instances from that set, so you must ensure that you have created enough instances to handle the maximum anticipated load. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#set_load_based_auto_scaling/2","title":"aws_opsworks.set_load_based_auto_scaling/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#set_load_based_auto_scaling/3","title":"aws_opsworks.set_load_based_auto_scaling/3","type":"function"},{"doc":"Specifies a user's permissions. For more information, see Security and Permissions. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#set_permission/2","title":"aws_opsworks.set_permission/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#set_permission/3","title":"aws_opsworks.set_permission/3","type":"function"},{"doc":"Specify the time-based auto scaling configuration for a specified instance. For more information, see Managing Load with Time-based and Load-based Instances. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#set_time_based_auto_scaling/2","title":"aws_opsworks.set_time_based_auto_scaling/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#set_time_based_auto_scaling/3","title":"aws_opsworks.set_time_based_auto_scaling/3","type":"function"},{"doc":"Starts a specified instance. For more information, see Starting, Stopping, and Rebooting Instances. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#start_instance/2","title":"aws_opsworks.start_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#start_instance/3","title":"aws_opsworks.start_instance/3","type":"function"},{"doc":"Starts a stack's instances. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#start_stack/2","title":"aws_opsworks.start_stack/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#start_stack/3","title":"aws_opsworks.start_stack/3","type":"function"},{"doc":"Stops a specified instance. When you stop a standard instance, the data disappears and must be reinstalled when you restart the instance. You can stop an Amazon EBS-backed instance without losing data. For more information, see Starting, Stopping, and Rebooting Instances. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#stop_instance/2","title":"aws_opsworks.stop_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#stop_instance/3","title":"aws_opsworks.stop_instance/3","type":"function"},{"doc":"Stops a specified stack. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#stop_stack/2","title":"aws_opsworks.stop_stack/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#stop_stack/3","title":"aws_opsworks.stop_stack/3","type":"function"},{"doc":"Apply cost-allocation tags to a specified stack or layer in AWS OpsWorks Stacks. For more information about how tagging works, see Tags in the AWS OpsWorks User Guide.","ref":"aws_opsworks.html#tag_resource/2","title":"aws_opsworks.tag_resource/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#tag_resource/3","title":"aws_opsworks.tag_resource/3","type":"function"},{"doc":"Unassigns a registered instance from all layers that are using the instance. The instance remains in the stack as an unassigned instance, and can be assigned to another layer as needed. You cannot use this action with instances that were created with AWS OpsWorks Stacks. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#unassign_instance/2","title":"aws_opsworks.unassign_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#unassign_instance/3","title":"aws_opsworks.unassign_instance/3","type":"function"},{"doc":"Unassigns an assigned Amazon EBS volume. The volume remains registered with the stack. For more information, see Resource Management. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#unassign_volume/2","title":"aws_opsworks.unassign_volume/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#unassign_volume/3","title":"aws_opsworks.unassign_volume/3","type":"function"},{"doc":"Removes tags from a specified stack or layer.","ref":"aws_opsworks.html#untag_resource/2","title":"aws_opsworks.untag_resource/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#untag_resource/3","title":"aws_opsworks.untag_resource/3","type":"function"},{"doc":"Updates a specified app. Required Permissions: To use this action, an IAM user must have a Deploy or Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#update_app/2","title":"aws_opsworks.update_app/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#update_app/3","title":"aws_opsworks.update_app/3","type":"function"},{"doc":"Updates a registered Elastic IP address's name. For more information, see Resource Management. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#update_elastic_ip/2","title":"aws_opsworks.update_elastic_ip/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#update_elastic_ip/3","title":"aws_opsworks.update_elastic_ip/3","type":"function"},{"doc":"Updates a specified instance. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#update_instance/2","title":"aws_opsworks.update_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#update_instance/3","title":"aws_opsworks.update_instance/3","type":"function"},{"doc":"Updates a specified layer. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#update_layer/2","title":"aws_opsworks.update_layer/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#update_layer/3","title":"aws_opsworks.update_layer/3","type":"function"},{"doc":"Updates a user's SSH public key. Required Permissions: To use this action, an IAM user must have self-management enabled or an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#update_my_user_profile/2","title":"aws_opsworks.update_my_user_profile/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#update_my_user_profile/3","title":"aws_opsworks.update_my_user_profile/3","type":"function"},{"doc":"Updates an Amazon RDS instance. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#update_rds_db_instance/2","title":"aws_opsworks.update_rds_db_instance/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#update_rds_db_instance/3","title":"aws_opsworks.update_rds_db_instance/3","type":"function"},{"doc":"Updates a specified stack. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#update_stack/2","title":"aws_opsworks.update_stack/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#update_stack/3","title":"aws_opsworks.update_stack/3","type":"function"},{"doc":"Updates a specified user profile. Required Permissions: To use this action, an IAM user must have an attached policy that explicitly grants permissions. For more information about user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#update_user_profile/2","title":"aws_opsworks.update_user_profile/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#update_user_profile/3","title":"aws_opsworks.update_user_profile/3","type":"function"},{"doc":"Updates an Amazon EBS volume's name or mount point. For more information, see Resource Management. Required Permissions: To use this action, an IAM user must have a Manage permissions level for the stack, or an attached policy that explicitly grants permissions. For more information on user permissions, see Managing User Permissions.","ref":"aws_opsworks.html#update_volume/2","title":"aws_opsworks.update_volume/2","type":"function"},{"doc":"","ref":"aws_opsworks.html#update_volume/3","title":"aws_opsworks.update_volume/3","type":"function"},{"doc":"AWS OpsWorks CM AWS OpsWorks for configuration management (CM) is a service that runs and manages configuration management servers. You can use AWS OpsWorks CM to create and manage AWS OpsWorks for Chef Automate and AWS OpsWorks for Puppet Enterprise servers, and add or remove nodes for the servers to manage. Glossary of terms Server: A configuration management server that can be highly-available. The configuration management server runs on an Amazon Elastic Compute Cloud (EC2) instance, and may use various other AWS services, such as Amazon Relational Database Service (RDS) and Elastic Load Balancing. A server is a generic abstraction over the configuration manager that you want to use, much like Amazon RDS. In AWS OpsWorks CM, you do not start or stop servers. After you create servers, they continue to run until they are deleted. Engine: The engine is the specific configuration manager that you want to use. Valid values in this release include ChefAutomate and Puppet . Backup: This is an application-level backup of the data that the configuration manager stores. AWS OpsWorks CM creates an S3 bucket for backups when you launch the first server. A backup maintains a snapshot of a server's configuration-related attributes at the time the backup starts. Events: Events are always related to a server. Events are written during server creation, when health checks run, when backups are created, when system maintenance is performed, etc. When you delete a server, the server's events are also deleted. Account attributes: Every account has attributes that are assigned in the AWS OpsWorks CM database. These attributes store information about configuration limits (servers, backups, etc.) and your customer account. Endpoints AWS OpsWorks CM supports the following endpoints, all HTTPS. You must connect to one of the following endpoints. Your servers can only be accessed or managed within the endpoint in which they are created. opsworks-cm.us-east-1.amazonaws.com opsworks-cm.us-east-2.amazonaws.com opsworks-cm.us-west-1.amazonaws.com opsworks-cm.us-west-2.amazonaws.com opsworks-cm.ap-northeast-1.amazonaws.com opsworks-cm.ap-southeast-1.amazonaws.com opsworks-cm.ap-southeast-2.amazonaws.com opsworks-cm.eu-central-1.amazonaws.com opsworks-cm.eu-west-1.amazonaws.com For more information, see AWS OpsWorks endpoints and quotas in the AWS General Reference. Throttling limits All API operations allow for five requests per second with a burst of 10 requests per second.","ref":"aws_opsworkscm.html","title":"aws_opsworkscm","type":"module"},{"doc":"Associates a new node with the server. For more information about how to disassociate a node, see DisassociateNode . On a Chef server: This command is an alternative to knife bootstrap . Example (Chef): aws opsworks-cm associate-node --server-name MyServer --node-name MyManagedNode --engine-attributes &amp;quot;Name=CHEF_ORGANIZATION,Value=default&amp;quot; &amp;quot;Name=CHEF_NODE_PUBLIC_KEY,Value=public-key-pem&amp;quot; On a Puppet server, this command is an alternative to the puppet cert sign command that signs a Puppet node CSR. Example (Puppet): aws opsworks-cm associate-node --server-name MyServer --node-name MyManagedNode --engine-attributes &amp;quot;Name=PUPPET_NODE_CSR,Value=csr-pem&amp;quot; A node can can only be associated with servers that are in a HEALTHY state. Otherwise, an InvalidStateException is thrown. A ResourceNotFoundException is thrown when the server does not exist. A ValidationException is raised when parameters of the request are not valid. The AssociateNode API call can be integrated into Auto Scaling configurations, AWS Cloudformation templates, or the user data of a server's instance.","ref":"aws_opsworkscm.html#associate_node/2","title":"aws_opsworkscm.associate_node/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#associate_node/3","title":"aws_opsworkscm.associate_node/3","type":"function"},{"doc":"Creates an application-level backup of a server. While the server is in the BACKING_UP state, the server cannot be changed, and no additional backup can be created. Backups can be created for servers in RUNNING , HEALTHY , and UNHEALTHY states. By default, you can create a maximum of 50 manual backups. This operation is asynchronous. A LimitExceededException is thrown when the maximum number of manual backups is reached. An InvalidStateException is thrown when the server is not in any of the following states: RUNNING, HEALTHY, or UNHEALTHY. A ResourceNotFoundException is thrown when the server is not found. A ValidationException is thrown when parameters of the request are not valid.","ref":"aws_opsworkscm.html#create_backup/2","title":"aws_opsworkscm.create_backup/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#create_backup/3","title":"aws_opsworkscm.create_backup/3","type":"function"},{"doc":"Creates and immedately starts a new server. The server is ready to use when it is in the HEALTHY state. By default, you can create a maximum of 10 servers. This operation is asynchronous. A LimitExceededException is thrown when you have created the maximum number of servers (10). A ResourceAlreadyExistsException is thrown when a server with the same name already exists in the account. A ResourceNotFoundException is thrown when you specify a backup ID that is not valid or is for a backup that does not exist. A ValidationException is thrown when parameters of the request are not valid. If you do not specify a security group by adding the SecurityGroupIds parameter, AWS OpsWorks creates a new security group. Chef Automate: The default security group opens the Chef server to the world on TCP port 443. If a KeyName is present, AWS OpsWorks enables SSH access. SSH is also open to the world on TCP port 22. Puppet Enterprise: The default security group opens TCP ports 22, 443, 4433, 8140, 8142, 8143, and 8170. If a KeyName is present, AWS OpsWorks enables SSH access. SSH is also open to the world on TCP port 22. By default, your server is accessible from any IP address. We recommend that you update your security group rules to allow access from known IP addresses and address ranges only. To edit security group rules, open Security Groups in the navigation pane of the EC2 management console. To specify your own domain for a server, and provide your own self-signed or CA-signed certificate and private key, specify values for CustomDomain , CustomCertificate , and CustomPrivateKey .","ref":"aws_opsworkscm.html#create_server/2","title":"aws_opsworkscm.create_server/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#create_server/3","title":"aws_opsworkscm.create_server/3","type":"function"},{"doc":"Deletes a backup. You can delete both manual and automated backups. This operation is asynchronous. An InvalidStateException is thrown when a backup deletion is already in progress. A ResourceNotFoundException is thrown when the backup does not exist. A ValidationException is thrown when parameters of the request are not valid.","ref":"aws_opsworkscm.html#delete_backup/2","title":"aws_opsworkscm.delete_backup/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#delete_backup/3","title":"aws_opsworkscm.delete_backup/3","type":"function"},{"doc":"Deletes the server and the underlying AWS CloudFormation stacks (including the server's EC2 instance). When you run this command, the server state is updated to DELETING . After the server is deleted, it is no longer returned by DescribeServer requests. If the AWS CloudFormation stack cannot be deleted, the server cannot be deleted. This operation is asynchronous. An InvalidStateException is thrown when a server deletion is already in progress. A ResourceNotFoundException is thrown when the server does not exist. A ValidationException is raised when parameters of the request are not valid.","ref":"aws_opsworkscm.html#delete_server/2","title":"aws_opsworkscm.delete_server/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#delete_server/3","title":"aws_opsworkscm.delete_server/3","type":"function"},{"doc":"Describes your OpsWorks-CM account attributes. This operation is synchronous.","ref":"aws_opsworkscm.html#describe_account_attributes/2","title":"aws_opsworkscm.describe_account_attributes/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#describe_account_attributes/3","title":"aws_opsworkscm.describe_account_attributes/3","type":"function"},{"doc":"Describes backups. The results are ordered by time, with newest backups first. If you do not specify a BackupId or ServerName, the command returns all backups. This operation is synchronous. A ResourceNotFoundException is thrown when the backup does not exist. A ValidationException is raised when parameters of the request are not valid.","ref":"aws_opsworkscm.html#describe_backups/2","title":"aws_opsworkscm.describe_backups/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#describe_backups/3","title":"aws_opsworkscm.describe_backups/3","type":"function"},{"doc":"Describes events for a specified server. Results are ordered by time, with newest events first. This operation is synchronous. A ResourceNotFoundException is thrown when the server does not exist. A ValidationException is raised when parameters of the request are not valid.","ref":"aws_opsworkscm.html#describe_events/2","title":"aws_opsworkscm.describe_events/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#describe_events/3","title":"aws_opsworkscm.describe_events/3","type":"function"},{"doc":"Returns the current status of an existing association or disassociation request. A ResourceNotFoundException is thrown when no recent association or disassociation request with the specified token is found, or when the server does not exist. A ValidationException is raised when parameters of the request are not valid.","ref":"aws_opsworkscm.html#describe_node_association_status/2","title":"aws_opsworkscm.describe_node_association_status/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#describe_node_association_status/3","title":"aws_opsworkscm.describe_node_association_status/3","type":"function"},{"doc":"Lists all configuration management servers that are identified with your account. Only the stored results from Amazon DynamoDB are returned. AWS OpsWorks CM does not query other services. This operation is synchronous. A ResourceNotFoundException is thrown when the server does not exist. A ValidationException is raised when parameters of the request are not valid.","ref":"aws_opsworkscm.html#describe_servers/2","title":"aws_opsworkscm.describe_servers/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#describe_servers/3","title":"aws_opsworkscm.describe_servers/3","type":"function"},{"doc":"Disassociates a node from an AWS OpsWorks CM server, and removes the node from the server's managed nodes. After a node is disassociated, the node key pair is no longer valid for accessing the configuration manager's API. For more information about how to associate a node, see AssociateNode . A node can can only be disassociated from a server that is in a HEALTHY state. Otherwise, an InvalidStateException is thrown. A ResourceNotFoundException is thrown when the server does not exist. A ValidationException is raised when parameters of the request are not valid.","ref":"aws_opsworkscm.html#disassociate_node/2","title":"aws_opsworkscm.disassociate_node/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#disassociate_node/3","title":"aws_opsworkscm.disassociate_node/3","type":"function"},{"doc":"Exports a specified server engine attribute as a base64-encoded string. For example, you can export user data that you can use in EC2 to associate nodes with a server. This operation is synchronous. A ValidationException is raised when parameters of the request are not valid. A ResourceNotFoundException is thrown when the server does not exist. An InvalidStateException is thrown when the server is in any of the following states: CREATING, TERMINATED, FAILED or DELETING.","ref":"aws_opsworkscm.html#export_server_engine_attribute/2","title":"aws_opsworkscm.export_server_engine_attribute/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#export_server_engine_attribute/3","title":"aws_opsworkscm.export_server_engine_attribute/3","type":"function"},{"doc":"Returns a list of tags that are applied to the specified AWS OpsWorks for Chef Automate or AWS OpsWorks for Puppet Enterprise servers or backups.","ref":"aws_opsworkscm.html#list_tags_for_resource/2","title":"aws_opsworkscm.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#list_tags_for_resource/3","title":"aws_opsworkscm.list_tags_for_resource/3","type":"function"},{"doc":"Restores a backup to a server that is in a CONNECTION_LOST , HEALTHY , RUNNING , UNHEALTHY , or TERMINATED state. When you run RestoreServer, the server's EC2 instance is deleted, and a new EC2 instance is configured. RestoreServer maintains the existing server endpoint, so configuration management of the server's client devices (nodes) should continue to work. Restoring from a backup is performed by creating a new EC2 instance. If restoration is successful, and the server is in a HEALTHY state, AWS OpsWorks CM switches traffic over to the new instance. After restoration is finished, the old EC2 instance is maintained in a Running or Stopped state, but is eventually terminated. This operation is asynchronous. An InvalidStateException is thrown when the server is not in a valid state. A ResourceNotFoundException is thrown when the server does not exist. A ValidationException is raised when parameters of the request are not valid.","ref":"aws_opsworkscm.html#restore_server/2","title":"aws_opsworkscm.restore_server/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#restore_server/3","title":"aws_opsworkscm.restore_server/3","type":"function"},{"doc":"Manually starts server maintenance. This command can be useful if an earlier maintenance attempt failed, and the underlying cause of maintenance failure has been resolved. The server is in an UNDER_MAINTENANCE state while maintenance is in progress. Maintenance can only be started on servers in HEALTHY and UNHEALTHY states. Otherwise, an InvalidStateException is thrown. A ResourceNotFoundException is thrown when the server does not exist. A ValidationException is raised when parameters of the request are not valid.","ref":"aws_opsworkscm.html#start_maintenance/2","title":"aws_opsworkscm.start_maintenance/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#start_maintenance/3","title":"aws_opsworkscm.start_maintenance/3","type":"function"},{"doc":"Applies tags to an AWS OpsWorks for Chef Automate or AWS OpsWorks for Puppet Enterprise server, or to server backups.","ref":"aws_opsworkscm.html#tag_resource/2","title":"aws_opsworkscm.tag_resource/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#tag_resource/3","title":"aws_opsworkscm.tag_resource/3","type":"function"},{"doc":"Removes specified tags from an AWS OpsWorks-CM server or backup.","ref":"aws_opsworkscm.html#untag_resource/2","title":"aws_opsworkscm.untag_resource/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#untag_resource/3","title":"aws_opsworkscm.untag_resource/3","type":"function"},{"doc":"Updates settings for a server. This operation is synchronous.","ref":"aws_opsworkscm.html#update_server/2","title":"aws_opsworkscm.update_server/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#update_server/3","title":"aws_opsworkscm.update_server/3","type":"function"},{"doc":"Updates engine-specific attributes on a specified server. The server enters the MODIFYING state when this operation is in progress. Only one update can occur at a time. You can use this command to reset a Chef server's public key ( CHEF_PIVOTAL_KEY ) or a Puppet server's admin password ( PUPPET_ADMIN_PASSWORD ). This operation is asynchronous. This operation can only be called for servers in HEALTHY or UNHEALTHY states. Otherwise, an InvalidStateException is raised. A ResourceNotFoundException is thrown when the server does not exist. A ValidationException is raised when parameters of the request are not valid.","ref":"aws_opsworkscm.html#update_server_engine_attributes/2","title":"aws_opsworkscm.update_server_engine_attributes/2","type":"function"},{"doc":"","ref":"aws_opsworkscm.html#update_server_engine_attributes/3","title":"aws_opsworkscm.update_server_engine_attributes/3","type":"function"},{"doc":"Organizations is a web service that enables you to consolidate your multiple Amazon Web Services accounts into an organization and centrally manage your accounts and their resources. This guide provides descriptions of the Organizations operations. For more information about using this service, see the Organizations User Guide. Support and feedback for Organizations We welcome your feedback. Send your comments to feedback-awsorganizations@amazon.com or post your feedback and questions in the Organizations support forum. For more information about the Amazon Web Services support forums, see Forums Help. Endpoint to call When using the CLI or the Amazon Web Services SDK For the current release of Organizations, specify the us-east-1 region for all Amazon Web Services API and CLI calls made from the commercial Amazon Web Services Regions outside of China. If calling from one of the Amazon Web Services Regions in China, then specify cn-northwest-1 . You can do this in the CLI by using these parameters and commands: Use the following parameter with each command to specify both the endpoint and its region: --endpoint-url https://organizations.us-east-1.amazonaws.com (from commercial Amazon Web Services Regions outside of China) or --endpoint-url https://organizations.cn-northwest-1.amazonaws.com.cn (from Amazon Web Services Regions in China) Use the default endpoint, but configure your default region with this command: aws configure set default.region us-east-1 (from commercial Amazon Web Services Regions outside of China) or aws configure set default.region cn-northwest-1 (from Amazon Web Services Regions in China) Use the following parameter with each command to specify the endpoint: --region us-east-1 (from commercial Amazon Web Services Regions outside of China) or --region cn-northwest-1 (from Amazon Web Services Regions in China) Recording API Requests Organizations supports CloudTrail, a service that records Amazon Web Services API calls for your Amazon Web Services account and delivers log files to an Amazon S3 bucket. By using information collected by CloudTrail, you can determine which requests the Organizations service received, who made the request and when, and so on. For more about Organizations and its support for CloudTrail, see Logging Organizations Events with CloudTrail in the Organizations User Guide. To learn more about CloudTrail, including how to turn it on and find your log files, see the CloudTrail User Guide.","ref":"aws_organizations.html","title":"aws_organizations","type":"module"},{"doc":"Sends a response to the originator of a handshake agreeing to the action proposed by the handshake request. You can only call this operation by the following principals when they also have the relevant IAM permissions: Invitation to join or Approve all features request handshakes: only a principal from the member account. The user who calls the API for an invitation to join must have the organizations:AcceptHandshake permission. If you enabled all features in the organization, the user must also have the iam:CreateServiceLinkedRole permission so that Organizations can create the required service-linked role named AWSServiceRoleForOrganizations . For more information, see Organizations and Service-Linked Roles in the Organizations User Guide. Enable all features final confirmation handshake: only a principal from the management account. For more information about invitations, see Inviting an Amazon Web Services account to join your organization in the Organizations User Guide. For more information about requests to enable all features in the organization, see Enabling all features in your organization in the Organizations User Guide. After you accept a handshake, it continues to appear in the results of relevant APIs for only 30 days. After that, it's deleted.","ref":"aws_organizations.html#accept_handshake/2","title":"aws_organizations.accept_handshake/2","type":"function"},{"doc":"","ref":"aws_organizations.html#accept_handshake/3","title":"aws_organizations.accept_handshake/3","type":"function"},{"doc":"Attaches a policy to a root, an organizational unit (OU), or an individual account. How the policy affects accounts depends on the type of policy. Refer to the Organizations User Guide for information about each policy type: AISERVICES_OPT_OUT_POLICY BACKUP_POLICY SERVICE_CONTROL_POLICY TAG_POLICY This operation can be called only from the organization's management account.","ref":"aws_organizations.html#attach_policy/2","title":"aws_organizations.attach_policy/2","type":"function"},{"doc":"","ref":"aws_organizations.html#attach_policy/3","title":"aws_organizations.attach_policy/3","type":"function"},{"doc":"Cancels a handshake. Canceling a handshake sets the handshake state to CANCELED . This operation can be called only from the account that originated the handshake. The recipient of the handshake can't cancel it, but can use DeclineHandshake instead. After a handshake is canceled, the recipient can no longer respond to that handshake. After you cancel a handshake, it continues to appear in the results of relevant APIs for only 30 days. After that, it's deleted.","ref":"aws_organizations.html#cancel_handshake/2","title":"aws_organizations.cancel_handshake/2","type":"function"},{"doc":"","ref":"aws_organizations.html#cancel_handshake/3","title":"aws_organizations.cancel_handshake/3","type":"function"},{"doc":"Closes an Amazon Web Services member account within an organization. You can't close the management account with this API. This is an asynchronous request that Amazon Web Services performs in the background. Because CloseAccount operates asynchronously, it can return a successful completion message even though account closure might still be in progress. You need to wait a few minutes before the account is fully closed. To check the status of the request, do one of the following: Use the AccountId that you sent in the CloseAccount request to provide as a parameter to the DescribeAccount operation. While the close account request is in progress, Account status will indicate PENDING_CLOSURE. When the close account request completes, the status will change to SUSPENDED. Check the CloudTrail log for the CloseAccountResult event that gets published after the account closes successfully. For information on using CloudTrail with Organizations, see Logging and monitoring in Organizations in the Organizations User Guide. You can only close 10% of active member accounts within a rolling 30 day period. This quota is not bound by a calendar month, but starts when you close an account. Within 30 days of that initial account closure, you can't exceed the 10% account closure limit. To reinstate a closed account, contact Amazon Web Services Support within the 90-day grace period while the account is in SUSPENDED status. If the Amazon Web Services account you attempt to close is linked to an Amazon Web Services GovCloud (US) account, the CloseAccount request will close both accounts. To learn important pre-closure details, see Closing an Amazon Web Services GovCloud (US) account in the Amazon Web Services GovCloud User Guide. For more information about closing accounts, see Closing an Amazon Web Services account in the Organizations User Guide.","ref":"aws_organizations.html#close_account/2","title":"aws_organizations.close_account/2","type":"function"},{"doc":"","ref":"aws_organizations.html#close_account/3","title":"aws_organizations.close_account/3","type":"function"},{"doc":"Creates an Amazon Web Services account that is automatically a member of the organization whose credentials made the request. This is an asynchronous request that Amazon Web Services performs in the background. Because CreateAccount operates asynchronously, it can return a successful completion message even though account initialization might still be in progress. You might need to wait a few minutes before you can successfully access the account. To check the status of the request, do one of the following: Use the Id value of the CreateAccountStatus response element from this operation to provide as a parameter to the DescribeCreateAccountStatus operation. Check the CloudTrail log for the CreateAccountResult event. For information on using CloudTrail with Organizations, see Logging and monitoring in Organizations in the Organizations User Guide. The user who calls the API to create an account must have the organizations:CreateAccount permission. If you enabled all features in the organization, Organizations creates the required service-linked role named AWSServiceRoleForOrganizations . For more information, see Organizations and Service-Linked Roles in the Organizations User Guide. If the request includes tags, then the requester must have the organizations:TagResource permission. Organizations preconfigures the new member account with a role (named OrganizationAccountAccessRole by default) that grants users in the management account administrator permissions in the new member account. Principals in the management account can assume the role. Organizations clones the company name and address information for the new account from the organization's management account. This operation can be called only from the organization's management account. For more information about creating accounts, see Creating an Amazon Web Services account in Your Organization in the Organizations User Guide. When you create an account in an organization using the Organizations console, API, or CLI commands, the information required for the account to operate as a standalone account, such as a payment method and signing the end user license agreement (EULA) is not automatically collected. If you must remove an account from your organization later, you can do so only after you provide the missing information. Follow the steps at To leave an organization as a member account in the Organizations User Guide. If you get an exception that indicates that you exceeded your account limits for the organization, contact Amazon Web Services Support. If you get an exception that indicates that the operation failed because your organization is still initializing, wait one hour and then try again. If the error persists, contact Amazon Web Services Support. Using CreateAccount to create multiple temporary accounts isn't recommended. You can only close an account from the Billing and Cost Management console, and you must be signed in as the root user. For information on the requirements and process for closing an account, see Closing an Amazon Web Services account in the Organizations User Guide. When you create a member account with this operation, you can choose whether to create the account with the IAM User and Role Access to Billing Information switch enabled. If you enable it, IAM users and roles that have appropriate permissions can view billing information for the account. If you disable it, only the account root user can access billing information. For information about how to disable this switch for an account, see Granting Access to Your Billing Information and Tools.","ref":"aws_organizations.html#create_account/2","title":"aws_organizations.create_account/2","type":"function"},{"doc":"","ref":"aws_organizations.html#create_account/3","title":"aws_organizations.create_account/3","type":"function"},{"doc":"This action is available if all of the following are true: You're authorized to create accounts in the Amazon Web Services GovCloud (US) Region. For more information on the Amazon Web Services GovCloud (US) Region, see the Amazon Web Services GovCloud User Guide. You already have an account in the Amazon Web Services GovCloud (US) Region that is paired with a management account of an organization in the commercial Region. You call this action from the management account of your organization in the commercial Region. You have the organizations:CreateGovCloudAccount permission. Organizations automatically creates the required service-linked role named AWSServiceRoleForOrganizations . For more information, see Organizations and Service-Linked Roles in the Organizations User Guide. Amazon Web Services automatically enables CloudTrail for Amazon Web Services GovCloud (US) accounts, but you should also do the following: Verify that CloudTrail is enabled to store logs. Create an Amazon S3 bucket for CloudTrail log storage. For more information, see Verifying CloudTrail Is Enabled in the Amazon Web Services GovCloud User Guide. If the request includes tags, then the requester must have the organizations:TagResource permission. The tags are attached to the commercial account associated with the GovCloud account, rather than the GovCloud account itself. To add tags to the GovCloud account, call the TagResource operation in the GovCloud Region after the new GovCloud account exists. You call this action from the management account of your organization in the commercial Region to create a standalone Amazon Web Services account in the Amazon Web Services GovCloud (US) Region. After the account is created, the management account of an organization in the Amazon Web Services GovCloud (US) Region can invite it to that organization. For more information on inviting standalone accounts in the Amazon Web Services GovCloud (US) to join an organization, see Organizations in the Amazon Web Services GovCloud User Guide. Calling CreateGovCloudAccount is an asynchronous request that Amazon Web Services performs in the background. Because CreateGovCloudAccount operates asynchronously, it can return a successful completion message even though account initialization might still be in progress. You might need to wait a few minutes before you can successfully access the account. To check the status of the request, do one of the following: Use the OperationId response element from this operation to provide as a parameter to the DescribeCreateAccountStatus operation. Check the CloudTrail log for the CreateAccountResult event. For information on using CloudTrail with Organizations, see Monitoring the Activity in Your Organization in the Organizations User Guide. When you call the CreateGovCloudAccount action, you create two accounts: a standalone account in the Amazon Web Services GovCloud (US) Region and an associated account in the commercial Region for billing and support purposes. The account in the commercial Region is automatically a member of the organization whose credentials made the request. Both accounts are associated with the same email address. A role is created in the new account in the commercial Region that allows the management account in the organization in the commercial Region to assume it. An Amazon Web Services GovCloud (US) account is then created and associated with the commercial account that you just created. A role is also created in the new Amazon Web Services GovCloud (US) account that can be assumed by the Amazon Web Services GovCloud (US) account that is associated with the management account of the commercial organization. For more information and to view a diagram that explains how account access works, see Organizations in the Amazon Web Services GovCloud User Guide. For more information about creating accounts, see Creating an Amazon Web Services account in Your Organization in the Organizations User Guide. When you create an account in an organization using the Organizations console, API, or CLI commands, the information required for the account to operate as a standalone account is not automatically collected. This includes a payment method and signing the end user license agreement (EULA). If you must remove an account from your organization later, you can do so only after you provide the missing information. Follow the steps at To leave an organization as a member account in the Organizations User Guide. If you get an exception that indicates that you exceeded your account limits for the organization, contact Amazon Web Services Support. If you get an exception that indicates that the operation failed because your organization is still initializing, wait one hour and then try again. If the error persists, contact Amazon Web Services Support. Using CreateGovCloudAccount to create multiple temporary accounts isn't recommended. You can only close an account from the Amazon Web Services Billing and Cost Management console, and you must be signed in as the root user. For information on the requirements and process for closing an account, see Closing an Amazon Web Services account in the Organizations User Guide. When you create a member account with this operation, you can choose whether to create the account with the IAM User and Role Access to Billing Information switch enabled. If you enable it, IAM users and roles that have appropriate permissions can view billing information for the account. If you disable it, only the account root user can access billing information. For information about how to disable this switch for an account, see Granting Access to Your Billing Information and Tools.","ref":"aws_organizations.html#create_gov_cloud_account/2","title":"aws_organizations.create_gov_cloud_account/2","type":"function"},{"doc":"","ref":"aws_organizations.html#create_gov_cloud_account/3","title":"aws_organizations.create_gov_cloud_account/3","type":"function"},{"doc":"Creates an Amazon Web Services organization. The account whose user is calling the CreateOrganization operation automatically becomes the management account of the new organization. This operation must be called using credentials from the account that is to become the new organization's management account. The principal must also have the relevant IAM permissions. By default (or if you set the FeatureSet parameter to ALL ), the new organization is created with all features enabled and service control policies automatically enabled in the root. If you instead choose to create the organization supporting only the consolidated billing features by setting the FeatureSet parameter to CONSOLIDATED_BILLING&amp;quot; , no policy types are enabled by default, and you can't use organization policies","ref":"aws_organizations.html#create_organization/2","title":"aws_organizations.create_organization/2","type":"function"},{"doc":"","ref":"aws_organizations.html#create_organization/3","title":"aws_organizations.create_organization/3","type":"function"},{"doc":"Creates an organizational unit (OU) within a root or parent OU. An OU is a container for accounts that enables you to organize your accounts to apply policies according to your business requirements. The number of levels deep that you can nest OUs is dependent upon the policy types enabled for that root. For service control policies, the limit is five. For more information about OUs, see Managing Organizational Units in the Organizations User Guide. If the request includes tags, then the requester must have the organizations:TagResource permission. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#create_organizational_unit/2","title":"aws_organizations.create_organizational_unit/2","type":"function"},{"doc":"","ref":"aws_organizations.html#create_organizational_unit/3","title":"aws_organizations.create_organizational_unit/3","type":"function"},{"doc":"Creates a policy of a specified type that you can attach to a root, an organizational unit (OU), or an individual Amazon Web Services account. For more information about policies and their use, see Managing Organization Policies. If the request includes tags, then the requester must have the organizations:TagResource permission. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#create_policy/2","title":"aws_organizations.create_policy/2","type":"function"},{"doc":"","ref":"aws_organizations.html#create_policy/3","title":"aws_organizations.create_policy/3","type":"function"},{"doc":"Declines a handshake request. This sets the handshake state to DECLINED and effectively deactivates the request. This operation can be called only from the account that received the handshake. The originator of the handshake can use CancelHandshake instead. The originator can't reactivate a declined request, but can reinitiate the process with a new handshake request. After you decline a handshake, it continues to appear in the results of relevant APIs for only 30 days. After that, it's deleted.","ref":"aws_organizations.html#decline_handshake/2","title":"aws_organizations.decline_handshake/2","type":"function"},{"doc":"","ref":"aws_organizations.html#decline_handshake/3","title":"aws_organizations.decline_handshake/3","type":"function"},{"doc":"Deletes the organization. You can delete an organization only by using credentials from the management account. The organization must be empty of member accounts.","ref":"aws_organizations.html#delete_organization/2","title":"aws_organizations.delete_organization/2","type":"function"},{"doc":"","ref":"aws_organizations.html#delete_organization/3","title":"aws_organizations.delete_organization/3","type":"function"},{"doc":"Deletes an organizational unit (OU) from a root or another OU. You must first remove all accounts and child OUs from the OU that you want to delete. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#delete_organizational_unit/2","title":"aws_organizations.delete_organizational_unit/2","type":"function"},{"doc":"","ref":"aws_organizations.html#delete_organizational_unit/3","title":"aws_organizations.delete_organizational_unit/3","type":"function"},{"doc":"Deletes the specified policy from your organization. Before you perform this operation, you must first detach the policy from all organizational units (OUs), roots, and accounts. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#delete_policy/2","title":"aws_organizations.delete_policy/2","type":"function"},{"doc":"","ref":"aws_organizations.html#delete_policy/3","title":"aws_organizations.delete_policy/3","type":"function"},{"doc":"Deletes the resource policy from your organization. You can only call this operation from the organization's management account.","ref":"aws_organizations.html#delete_resource_policy/2","title":"aws_organizations.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_organizations.html#delete_resource_policy/3","title":"aws_organizations.delete_resource_policy/3","type":"function"},{"doc":"Removes the specified member Amazon Web Services account as a delegated administrator for the specified Amazon Web Services service. Deregistering a delegated administrator can have unintended impacts on the functionality of the enabled Amazon Web Services service. See the documentation for the enabled service before you deregister a delegated administrator so that you understand any potential impacts. You can run this action only for Amazon Web Services services that support this feature. For a current list of services that support it, see the column Supports Delegated Administrator in the table at Amazon Web Services Services that you can use with Organizations in the Organizations User Guide. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#deregister_delegated_administrator/2","title":"aws_organizations.deregister_delegated_administrator/2","type":"function"},{"doc":"","ref":"aws_organizations.html#deregister_delegated_administrator/3","title":"aws_organizations.deregister_delegated_administrator/3","type":"function"},{"doc":"Retrieves Organizations-related information about the specified account. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#describe_account/2","title":"aws_organizations.describe_account/2","type":"function"},{"doc":"","ref":"aws_organizations.html#describe_account/3","title":"aws_organizations.describe_account/3","type":"function"},{"doc":"Retrieves the current status of an asynchronous request to create an account. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#describe_create_account_status/2","title":"aws_organizations.describe_create_account_status/2","type":"function"},{"doc":"","ref":"aws_organizations.html#describe_create_account_status/3","title":"aws_organizations.describe_create_account_status/3","type":"function"},{"doc":"Returns the contents of the effective policy for specified policy type and account. The effective policy is the aggregation of any policies of the specified type that the account inherits, plus any policy of that type that is directly attached to the account. This operation applies only to policy types other than service control policies (SCPs). For more information about policy inheritance, see How Policy Inheritance Works in the Organizations User Guide. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#describe_effective_policy/2","title":"aws_organizations.describe_effective_policy/2","type":"function"},{"doc":"","ref":"aws_organizations.html#describe_effective_policy/3","title":"aws_organizations.describe_effective_policy/3","type":"function"},{"doc":"Retrieves information about a previously requested handshake. The handshake ID comes from the response to the original InviteAccountToOrganization operation that generated the handshake. You can access handshakes that are ACCEPTED , DECLINED , or CANCELED for only 30 days after they change to that state. They're then deleted and no longer accessible. This operation can be called from any account in the organization.","ref":"aws_organizations.html#describe_handshake/2","title":"aws_organizations.describe_handshake/2","type":"function"},{"doc":"","ref":"aws_organizations.html#describe_handshake/3","title":"aws_organizations.describe_handshake/3","type":"function"},{"doc":"Retrieves information about the organization that the user's account belongs to. This operation can be called from any account in the organization. Even if a policy type is shown as available in the organization, you can disable it separately at the root level with DisablePolicyType . Use ListRoots to see the status of policy types for a specified root.","ref":"aws_organizations.html#describe_organization/2","title":"aws_organizations.describe_organization/2","type":"function"},{"doc":"","ref":"aws_organizations.html#describe_organization/3","title":"aws_organizations.describe_organization/3","type":"function"},{"doc":"Retrieves information about an organizational unit (OU). This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#describe_organizational_unit/2","title":"aws_organizations.describe_organizational_unit/2","type":"function"},{"doc":"","ref":"aws_organizations.html#describe_organizational_unit/3","title":"aws_organizations.describe_organizational_unit/3","type":"function"},{"doc":"Retrieves information about a policy. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#describe_policy/2","title":"aws_organizations.describe_policy/2","type":"function"},{"doc":"","ref":"aws_organizations.html#describe_policy/3","title":"aws_organizations.describe_policy/3","type":"function"},{"doc":"Retrieves information about a resource policy. You can only call this operation from the organization's management account or by a member account that is a delegated administrator for an AWS service.","ref":"aws_organizations.html#describe_resource_policy/2","title":"aws_organizations.describe_resource_policy/2","type":"function"},{"doc":"","ref":"aws_organizations.html#describe_resource_policy/3","title":"aws_organizations.describe_resource_policy/3","type":"function"},{"doc":"Detaches a policy from a target root, organizational unit (OU), or account. If the policy being detached is a service control policy (SCP), the changes to permissions for Identity and Access Management (IAM) users and roles in affected accounts are immediate. Every root, OU, and account must have at least one SCP attached. If you want to replace the default FullAWSAccess policy with an SCP that limits the permissions that can be delegated, you must attach the replacement SCP before you can remove the default SCP. This is the authorization strategy of an &quot;allow list&quot;. If you instead attach a second SCP and leave the FullAWSAccess SCP still attached, and specify &amp;quot;Effect&amp;quot;: &amp;quot;Deny&amp;quot; in the second SCP to override the &amp;quot;Effect&amp;quot;: &amp;quot;Allow&amp;quot; in the FullAWSAccess policy (or any other attached SCP), you're using the authorization strategy of a &quot;deny list&quot;. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#detach_policy/2","title":"aws_organizations.detach_policy/2","type":"function"},{"doc":"","ref":"aws_organizations.html#detach_policy/3","title":"aws_organizations.detach_policy/3","type":"function"},{"doc":"Disables the integration of an Amazon Web Services service (the service that is specified by ServicePrincipal ) with Organizations. When you disable integration, the specified service no longer can create a service-linked role in new accounts in your organization. This means the service can't perform operations on your behalf on any new accounts in your organization. The service can still perform operations in older accounts until the service completes its clean-up from Organizations. We strongly recommend that you don't use this command to disable integration between Organizations and the specified Amazon Web Services service. Instead, use the console or commands that are provided by the specified service. This lets the trusted service perform any required initialization when enabling trusted access, such as creating any required resources and any required clean up of resources when disabling trusted access. For information about how to disable trusted service access to your organization using the trusted service, see the Learn more link under the Supports Trusted Access column at Amazon Web Services services that you can use with Organizations. on this page. If you disable access by using this command, it causes the following actions to occur: The service can no longer create a service-linked role in the accounts in your organization. This means that the service can't perform operations on your behalf on any new accounts in your organization. The service can still perform operations in older accounts until the service completes its clean-up from Organizations. The service can no longer perform tasks in the member accounts in the organization, unless those operations are explicitly permitted by the IAM policies that are attached to your roles. This includes any data aggregation from the member accounts to the management account, or to a delegated administrator account, where relevant. Some services detect this and clean up any remaining data or resources related to the integration, while other services stop accessing the organization but leave any historical data and configuration in place to support a possible re-enabling of the integration. Using the other service's console or commands to disable the integration ensures that the other service is aware that it can clean up any resources that are required only for the integration. How the service cleans up its resources in the organization's accounts depends on that service. For more information, see the documentation for the other Amazon Web Services service. After you perform the DisableAWSServiceAccess operation, the specified service can no longer perform operations in your organization's accounts For more information about integrating other services with Organizations, including the list of services that work with Organizations, see Integrating Organizations with Other Amazon Web Services Services in the Organizations User Guide. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#disable_aws_service_access/2","title":"aws_organizations.disable_aws_service_access/2","type":"function"},{"doc":"","ref":"aws_organizations.html#disable_aws_service_access/3","title":"aws_organizations.disable_aws_service_access/3","type":"function"},{"doc":"Disables an organizational policy type in a root. A policy of a certain type can be attached to entities in a root only if that type is enabled in the root. After you perform this operation, you no longer can attach policies of the specified type to that root or to any organizational unit (OU) or account in that root. You can undo this by using the EnablePolicyType operation. This is an asynchronous request that Amazon Web Services performs in the background. If you disable a policy type for a root, it still appears enabled for the organization if all features are enabled for the organization. Amazon Web Services recommends that you first use ListRoots to see the status of policy types for a specified root, and then use this operation. This operation can be called only from the organization's management account. To view the status of available policy types in the organization, use DescribeOrganization .","ref":"aws_organizations.html#disable_policy_type/2","title":"aws_organizations.disable_policy_type/2","type":"function"},{"doc":"","ref":"aws_organizations.html#disable_policy_type/3","title":"aws_organizations.disable_policy_type/3","type":"function"},{"doc":"Enables all features in an organization. This enables the use of organization policies that can restrict the services and actions that can be called in each account. Until you enable all features, you have access only to consolidated billing, and you can't use any of the advanced account administration features that Organizations supports. For more information, see Enabling All Features in Your Organization in the Organizations User Guide. This operation is required only for organizations that were created explicitly with only the consolidated billing features enabled. Calling this operation sends a handshake to every invited account in the organization. The feature set change can be finalized and the additional features enabled only after all administrators in the invited accounts approve the change by accepting the handshake. After you enable all features, you can separately enable or disable individual policy types in a root using EnablePolicyType and DisablePolicyType . To see the status of policy types in a root, use ListRoots . After all invited member accounts accept the handshake, you finalize the feature set change by accepting the handshake that contains &amp;quot;Action&amp;quot;: &amp;quot;ENABLE_ALL_FEATURES&amp;quot; . This completes the change. After you enable all features in your organization, the management account in the organization can apply policies on all member accounts. These policies can restrict what users and even administrators in those accounts can do. The management account can apply policies that prevent accounts from leaving the organization. Ensure that your account administrators are aware of this. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#enable_all_features/2","title":"aws_organizations.enable_all_features/2","type":"function"},{"doc":"","ref":"aws_organizations.html#enable_all_features/3","title":"aws_organizations.enable_all_features/3","type":"function"},{"doc":"Enables the integration of an Amazon Web Services service (the service that is specified by ServicePrincipal ) with Organizations. When you enable integration, you allow the specified service to create a service-linked role in all the accounts in your organization. This allows the service to perform operations on your behalf in your organization and its accounts. We recommend that you enable integration between Organizations and the specified Amazon Web Services service by using the console or commands that are provided by the specified service. Doing so ensures that the service is aware that it can create the resources that are required for the integration. How the service creates those resources in the organization's accounts depends on that service. For more information, see the documentation for the other Amazon Web Services service. For more information about enabling services to integrate with Organizations, see Integrating Organizations with Other Amazon Web Services Services in the Organizations User Guide. You can only call this operation from the organization's management account and only if the organization has enabled all features.","ref":"aws_organizations.html#enable_aws_service_access/2","title":"aws_organizations.enable_aws_service_access/2","type":"function"},{"doc":"","ref":"aws_organizations.html#enable_aws_service_access/3","title":"aws_organizations.enable_aws_service_access/3","type":"function"},{"doc":"Enables a policy type in a root. After you enable a policy type in a root, you can attach policies of that type to the root, any organizational unit (OU), or account in that root. You can undo this by using the DisablePolicyType operation. This is an asynchronous request that Amazon Web Services performs in the background. Amazon Web Services recommends that you first use ListRoots to see the status of policy types for a specified root, and then use this operation. This operation can be called only from the organization's management account. You can enable a policy type in a root only if that policy type is available in the organization. To view the status of available policy types in the organization, use DescribeOrganization .","ref":"aws_organizations.html#enable_policy_type/2","title":"aws_organizations.enable_policy_type/2","type":"function"},{"doc":"","ref":"aws_organizations.html#enable_policy_type/3","title":"aws_organizations.enable_policy_type/3","type":"function"},{"doc":"Sends an invitation to another account to join your organization as a member account. Organizations sends email on your behalf to the email address that is associated with the other account's owner. The invitation is implemented as a Handshake whose details are in the response. You can invite Amazon Web Services accounts only from the same seller as the management account. For example, if your organization's management account was created by Amazon Internet Services Pvt. Ltd (AISPL), an Amazon Web Services seller in India, you can invite only other AISPL accounts to your organization. You can't combine accounts from AISPL and Amazon Web Services or from any other Amazon Web Services seller. For more information, see Consolidated Billing in India. If you receive an exception that indicates that you exceeded your account limits for the organization or that the operation failed because your organization is still initializing, wait one hour and then try again. If the error persists after an hour, contact Amazon Web Services Support. If the request includes tags, then the requester must have the organizations:TagResource permission. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#invite_account_to_organization/2","title":"aws_organizations.invite_account_to_organization/2","type":"function"},{"doc":"","ref":"aws_organizations.html#invite_account_to_organization/3","title":"aws_organizations.invite_account_to_organization/3","type":"function"},{"doc":"Removes a member account from its parent organization. This version of the operation is performed by the account that wants to leave. To remove a member account as a user in the management account, use RemoveAccountFromOrganization instead. This operation can be called only from a member account in the organization. The management account in an organization with all features enabled can set service control policies (SCPs) that can restrict what administrators of member accounts can do. This includes preventing them from successfully calling LeaveOrganization and leaving the organization. You can leave an organization as a member account only if the account is configured with the information required to operate as a standalone account. When you create an account in an organization using the Organizations console, API, or CLI commands, the information required of standalone accounts is not automatically collected. For each account that you want to make standalone, you must perform the following steps. If any of the steps are already completed for this account, that step doesn't appear. Choose a support plan Provide and verify the required contact information Provide a current payment method Amazon Web Services uses the payment method to charge for any billable (not free tier) Amazon Web Services activity that occurs while the account isn't attached to an organization. Follow the steps at To leave an organization when all required account information has not yet been provided in the Organizations User Guide. The account that you want to leave must not be a delegated administrator account for any Amazon Web Services service enabled for your organization. If the account is a delegated administrator, you must first change the delegated administrator account to another account that is remaining in the organization. You can leave an organization only after you enable IAM user access to billing in your account. For more information, see Activating Access to the Billing and Cost Management Console in the Amazon Web Services Billing and Cost Management User Guide. After the account leaves the organization, all tags that were attached to the account object in the organization are deleted. Amazon Web Services accounts outside of an organization do not support tags. A newly created account has a waiting period before it can be removed from its organization. If you get an error that indicates that a wait period is required, then try again in a few days.","ref":"aws_organizations.html#leave_organization/2","title":"aws_organizations.leave_organization/2","type":"function"},{"doc":"","ref":"aws_organizations.html#leave_organization/3","title":"aws_organizations.leave_organization/3","type":"function"},{"doc":"Lists all the accounts in the organization. To request only the accounts in a specified root or organizational unit (OU), use the ListAccountsForParent operation instead. Always check the NextToken response parameter for a null value when calling a List* operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_accounts/2","title":"aws_organizations.list_accounts/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_accounts/3","title":"aws_organizations.list_accounts/3","type":"function"},{"doc":"Lists the accounts in an organization that are contained by the specified target root or organizational unit (OU). If you specify the root, you get a list of all the accounts that aren't in any OU. If you specify an OU, you get a list of all the accounts in only that OU and not in any child OUs. To get a list of all accounts in the organization, use the ListAccounts operation. Always check the NextToken response parameter for a null value when calling a List* operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_accounts_for_parent/2","title":"aws_organizations.list_accounts_for_parent/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_accounts_for_parent/3","title":"aws_organizations.list_accounts_for_parent/3","type":"function"},{"doc":"Returns a list of the Amazon Web Services services that you enabled to integrate with your organization. After a service on this list creates the resources that it requires for the integration, it can perform operations on your organization and its accounts. For more information about integrating other services with Organizations, including the list of services that currently work with Organizations, see Integrating Organizations with Other Amazon Web Services Services in the Organizations User Guide. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_aws_service_access_for_organization/2","title":"aws_organizations.list_aws_service_access_for_organization/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_aws_service_access_for_organization/3","title":"aws_organizations.list_aws_service_access_for_organization/3","type":"function"},{"doc":"Lists all of the organizational units (OUs) or accounts that are contained in the specified parent OU or root. This operation, along with ListParents enables you to traverse the tree structure that makes up this root. Always check the NextToken response parameter for a null value when calling a List* operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_children/2","title":"aws_organizations.list_children/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_children/3","title":"aws_organizations.list_children/3","type":"function"},{"doc":"Lists the account creation requests that match the specified status that is currently being tracked for the organization. Always check the NextToken response parameter for a null value when calling a List* operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_create_account_status/2","title":"aws_organizations.list_create_account_status/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_create_account_status/3","title":"aws_organizations.list_create_account_status/3","type":"function"},{"doc":"Lists the Amazon Web Services accounts that are designated as delegated administrators in this organization. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_delegated_administrators/2","title":"aws_organizations.list_delegated_administrators/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_delegated_administrators/3","title":"aws_organizations.list_delegated_administrators/3","type":"function"},{"doc":"List the Amazon Web Services services for which the specified account is a delegated administrator. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_delegated_services_for_account/2","title":"aws_organizations.list_delegated_services_for_account/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_delegated_services_for_account/3","title":"aws_organizations.list_delegated_services_for_account/3","type":"function"},{"doc":"Lists the current handshakes that are associated with the account of the requesting user. Handshakes that are ACCEPTED , DECLINED , CANCELED , or EXPIRED appear in the results of this API for only 30 days after changing to that state. After that, they're deleted and no longer accessible. Always check the NextToken response parameter for a null value when calling a List* operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display. This operation can be called from any account in the organization.","ref":"aws_organizations.html#list_handshakes_for_account/2","title":"aws_organizations.list_handshakes_for_account/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_handshakes_for_account/3","title":"aws_organizations.list_handshakes_for_account/3","type":"function"},{"doc":"Lists the handshakes that are associated with the organization that the requesting user is part of. The ListHandshakesForOrganization operation returns a list of handshake structures. Each structure contains details and status about a handshake. Handshakes that are ACCEPTED , DECLINED , CANCELED , or EXPIRED appear in the results of this API for only 30 days after changing to that state. After that, they're deleted and no longer accessible. Always check the NextToken response parameter for a null value when calling a List* operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_handshakes_for_organization/2","title":"aws_organizations.list_handshakes_for_organization/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_handshakes_for_organization/3","title":"aws_organizations.list_handshakes_for_organization/3","type":"function"},{"doc":"Lists the organizational units (OUs) in a parent organizational unit or root. Always check the NextToken response parameter for a null value when calling a List* operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_organizational_units_for_parent/2","title":"aws_organizations.list_organizational_units_for_parent/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_organizational_units_for_parent/3","title":"aws_organizations.list_organizational_units_for_parent/3","type":"function"},{"doc":"Lists the root or organizational units (OUs) that serve as the immediate parent of the specified child OU or account. This operation, along with ListChildren enables you to traverse the tree structure that makes up this root. Always check the NextToken response parameter for a null value when calling a List* operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service. In the current release, a child can have only a single parent.","ref":"aws_organizations.html#list_parents/2","title":"aws_organizations.list_parents/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_parents/3","title":"aws_organizations.list_parents/3","type":"function"},{"doc":"Retrieves the list of all policies in an organization of a specified type. Always check the NextToken response parameter for a null value when calling a List* operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_policies/2","title":"aws_organizations.list_policies/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_policies/3","title":"aws_organizations.list_policies/3","type":"function"},{"doc":"Lists the policies that are directly attached to the specified target root, organizational unit (OU), or account. You must specify the policy type that you want included in the returned list. Always check the NextToken response parameter for a null value when calling a List* operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_policies_for_target/2","title":"aws_organizations.list_policies_for_target/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_policies_for_target/3","title":"aws_organizations.list_policies_for_target/3","type":"function"},{"doc":"Lists the roots that are defined in the current organization. Always check the NextToken response parameter for a null value when calling a List* operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service. Policy types can be enabled and disabled in roots. This is distinct from whether they're available in the organization. When you enable all features, you make policy types available for use in that organization. Individual policy types can then be enabled and disabled in a root. To see the availability of a policy type in an organization, use DescribeOrganization .","ref":"aws_organizations.html#list_roots/2","title":"aws_organizations.list_roots/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_roots/3","title":"aws_organizations.list_roots/3","type":"function"},{"doc":"Lists tags that are attached to the specified resource. You can attach tags to the following resources in Organizations. Amazon Web Services account Organization root Organizational unit (OU) Policy (any type) This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_tags_for_resource/2","title":"aws_organizations.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_tags_for_resource/3","title":"aws_organizations.list_tags_for_resource/3","type":"function"},{"doc":"Lists all the roots, organizational units (OUs), and accounts that the specified policy is attached to. Always check the NextToken response parameter for a null value when calling a List* operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display. This operation can be called only from the organization's management account or by a member account that is a delegated administrator for an Amazon Web Services service.","ref":"aws_organizations.html#list_targets_for_policy/2","title":"aws_organizations.list_targets_for_policy/2","type":"function"},{"doc":"","ref":"aws_organizations.html#list_targets_for_policy/3","title":"aws_organizations.list_targets_for_policy/3","type":"function"},{"doc":"Moves an account from its current source parent root or organizational unit (OU) to the specified destination parent root or OU. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#move_account/2","title":"aws_organizations.move_account/2","type":"function"},{"doc":"","ref":"aws_organizations.html#move_account/3","title":"aws_organizations.move_account/3","type":"function"},{"doc":"Creates or updates a resource policy. You can only call this operation from the organization's management account.","ref":"aws_organizations.html#put_resource_policy/2","title":"aws_organizations.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_organizations.html#put_resource_policy/3","title":"aws_organizations.put_resource_policy/3","type":"function"},{"doc":"Enables the specified member account to administer the Organizations features of the specified Amazon Web Services service. It grants read-only access to Organizations service data. The account still requires IAM permissions to access and administer the Amazon Web Services service. You can run this action only for Amazon Web Services services that support this feature. For a current list of services that support it, see the column Supports Delegated Administrator in the table at Amazon Web Services Services that you can use with Organizations in the Organizations User Guide. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#register_delegated_administrator/2","title":"aws_organizations.register_delegated_administrator/2","type":"function"},{"doc":"","ref":"aws_organizations.html#register_delegated_administrator/3","title":"aws_organizations.register_delegated_administrator/3","type":"function"},{"doc":"Removes the specified account from the organization. The removed account becomes a standalone account that isn't a member of any organization. It's no longer subject to any policies and is responsible for its own bill payments. The organization's management account is no longer charged for any expenses accrued by the member account after it's removed from the organization. This operation can be called only from the organization's management account. Member accounts can remove themselves with LeaveOrganization instead. You can remove an account from your organization only if the account is configured with the information required to operate as a standalone account. When you create an account in an organization using the Organizations console, API, or CLI commands, the information required of standalone accounts is not automatically collected. For an account that you want to make standalone, you must choose a support plan, provide and verify the required contact information, and provide a current payment method. Amazon Web Services uses the payment method to charge for any billable (not free tier) Amazon Web Services activity that occurs while the account isn't attached to an organization. To remove an account that doesn't yet have this information, you must sign in as the member account and follow the steps at To leave an organization when all required account information has not yet been provided in the Organizations User Guide. The account that you want to leave must not be a delegated administrator account for any Amazon Web Services service enabled for your organization. If the account is a delegated administrator, you must first change the delegated administrator account to another account that is remaining in the organization. After the account leaves the organization, all tags that were attached to the account object in the organization are deleted. Amazon Web Services accounts outside of an organization do not support tags.","ref":"aws_organizations.html#remove_account_from_organization/2","title":"aws_organizations.remove_account_from_organization/2","type":"function"},{"doc":"","ref":"aws_organizations.html#remove_account_from_organization/3","title":"aws_organizations.remove_account_from_organization/3","type":"function"},{"doc":"Adds one or more tags to the specified resource. Currently, you can attach tags to the following resources in Organizations. Amazon Web Services account Organization root Organizational unit (OU) Policy (any type) This operation can be called only from the organization's management account.","ref":"aws_organizations.html#tag_resource/2","title":"aws_organizations.tag_resource/2","type":"function"},{"doc":"","ref":"aws_organizations.html#tag_resource/3","title":"aws_organizations.tag_resource/3","type":"function"},{"doc":"Removes any tags with the specified keys from the specified resource. You can attach tags to the following resources in Organizations. Amazon Web Services account Organization root Organizational unit (OU) Policy (any type) This operation can be called only from the organization's management account.","ref":"aws_organizations.html#untag_resource/2","title":"aws_organizations.untag_resource/2","type":"function"},{"doc":"","ref":"aws_organizations.html#untag_resource/3","title":"aws_organizations.untag_resource/3","type":"function"},{"doc":"Renames the specified organizational unit (OU). The ID and ARN don't change. The child OUs and accounts remain in place, and any attached policies of the OU remain attached. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#update_organizational_unit/2","title":"aws_organizations.update_organizational_unit/2","type":"function"},{"doc":"","ref":"aws_organizations.html#update_organizational_unit/3","title":"aws_organizations.update_organizational_unit/3","type":"function"},{"doc":"Updates an existing policy with a new name, description, or content. If you don't supply any parameter, that value remains unchanged. You can't change a policy's type. This operation can be called only from the organization's management account.","ref":"aws_organizations.html#update_policy/2","title":"aws_organizations.update_policy/2","type":"function"},{"doc":"","ref":"aws_organizations.html#update_policy/3","title":"aws_organizations.update_policy/3","type":"function"},{"doc":"Amazon Web Services Outposts is a fully managed service that extends Amazon Web Services infrastructure, APIs, and tools to customer premises. By providing local access to Amazon Web Services managed infrastructure, Amazon Web Services Outposts enables customers to build and run applications on premises using the same programming interfaces as in Amazon Web Services Regions, while using local compute and storage resources for lower latency and local data processing needs.","ref":"aws_outposts.html","title":"aws_outposts","type":"module"},{"doc":"Cancels the specified order for an Outpost.","ref":"aws_outposts.html#cancel_order/3","title":"aws_outposts.cancel_order/3","type":"function"},{"doc":"","ref":"aws_outposts.html#cancel_order/4","title":"aws_outposts.cancel_order/4","type":"function"},{"doc":"Creates an order for an Outpost.","ref":"aws_outposts.html#create_order/2","title":"aws_outposts.create_order/2","type":"function"},{"doc":"","ref":"aws_outposts.html#create_order/3","title":"aws_outposts.create_order/3","type":"function"},{"doc":"Creates an Outpost. You can specify either an Availability one or an AZ ID.","ref":"aws_outposts.html#create_outpost/2","title":"aws_outposts.create_outpost/2","type":"function"},{"doc":"","ref":"aws_outposts.html#create_outpost/3","title":"aws_outposts.create_outpost/3","type":"function"},{"doc":"Creates a site for an Outpost.","ref":"aws_outposts.html#create_site/2","title":"aws_outposts.create_site/2","type":"function"},{"doc":"","ref":"aws_outposts.html#create_site/3","title":"aws_outposts.create_site/3","type":"function"},{"doc":"Deletes the specified Outpost.","ref":"aws_outposts.html#delete_outpost/3","title":"aws_outposts.delete_outpost/3","type":"function"},{"doc":"","ref":"aws_outposts.html#delete_outpost/4","title":"aws_outposts.delete_outpost/4","type":"function"},{"doc":"Deletes the specified site.","ref":"aws_outposts.html#delete_site/3","title":"aws_outposts.delete_site/3","type":"function"},{"doc":"","ref":"aws_outposts.html#delete_site/4","title":"aws_outposts.delete_site/4","type":"function"},{"doc":"Gets information about the specified catalog item.","ref":"aws_outposts.html#get_catalog_item/2","title":"aws_outposts.get_catalog_item/2","type":"function"},{"doc":"","ref":"aws_outposts.html#get_catalog_item/4","title":"aws_outposts.get_catalog_item/4","type":"function"},{"doc":"","ref":"aws_outposts.html#get_catalog_item/5","title":"aws_outposts.get_catalog_item/5","type":"function"},{"doc":"Amazon Web Services uses this action to install Outpost servers. Gets information about the specified connection. Use CloudTrail to monitor this action or Amazon Web Services managed policy for Amazon Web Services Outposts to secure it. For more information, see Amazon Web Services managed policies for Amazon Web Services Outposts and Logging Amazon Web Services Outposts API calls with Amazon Web Services CloudTrail in the Amazon Web Services Outposts User Guide.","ref":"aws_outposts.html#get_connection/2","title":"aws_outposts.get_connection/2","type":"function"},{"doc":"","ref":"aws_outposts.html#get_connection/4","title":"aws_outposts.get_connection/4","type":"function"},{"doc":"","ref":"aws_outposts.html#get_connection/5","title":"aws_outposts.get_connection/5","type":"function"},{"doc":"Gets information about the specified order.","ref":"aws_outposts.html#get_order/2","title":"aws_outposts.get_order/2","type":"function"},{"doc":"","ref":"aws_outposts.html#get_order/4","title":"aws_outposts.get_order/4","type":"function"},{"doc":"","ref":"aws_outposts.html#get_order/5","title":"aws_outposts.get_order/5","type":"function"},{"doc":"Gets information about the specified Outpost.","ref":"aws_outposts.html#get_outpost/2","title":"aws_outposts.get_outpost/2","type":"function"},{"doc":"","ref":"aws_outposts.html#get_outpost/4","title":"aws_outposts.get_outpost/4","type":"function"},{"doc":"","ref":"aws_outposts.html#get_outpost/5","title":"aws_outposts.get_outpost/5","type":"function"},{"doc":"Gets the instance types for the specified Outpost.","ref":"aws_outposts.html#get_outpost_instance_types/2","title":"aws_outposts.get_outpost_instance_types/2","type":"function"},{"doc":"","ref":"aws_outposts.html#get_outpost_instance_types/4","title":"aws_outposts.get_outpost_instance_types/4","type":"function"},{"doc":"","ref":"aws_outposts.html#get_outpost_instance_types/5","title":"aws_outposts.get_outpost_instance_types/5","type":"function"},{"doc":"Gets information about the specified Outpost site.","ref":"aws_outposts.html#get_site/2","title":"aws_outposts.get_site/2","type":"function"},{"doc":"","ref":"aws_outposts.html#get_site/4","title":"aws_outposts.get_site/4","type":"function"},{"doc":"","ref":"aws_outposts.html#get_site/5","title":"aws_outposts.get_site/5","type":"function"},{"doc":"Gets the site address of the specified site.","ref":"aws_outposts.html#get_site_address/3","title":"aws_outposts.get_site_address/3","type":"function"},{"doc":"","ref":"aws_outposts.html#get_site_address/5","title":"aws_outposts.get_site_address/5","type":"function"},{"doc":"","ref":"aws_outposts.html#get_site_address/6","title":"aws_outposts.get_site_address/6","type":"function"},{"doc":"Lists the hardware assets for the specified Outpost. Use filters to return specific results. If you specify multiple filters, the results include only the resources that match all of the specified filters. For a filter where you can specify multiple values, the results include items that match any of the values that you specify for the filter.","ref":"aws_outposts.html#list_assets/2","title":"aws_outposts.list_assets/2","type":"function"},{"doc":"","ref":"aws_outposts.html#list_assets/4","title":"aws_outposts.list_assets/4","type":"function"},{"doc":"","ref":"aws_outposts.html#list_assets/5","title":"aws_outposts.list_assets/5","type":"function"},{"doc":"Lists the items in the catalog. Use filters to return specific results. If you specify multiple filters, the results include only the resources that match all of the specified filters. For a filter where you can specify multiple values, the results include items that match any of the values that you specify for the filter.","ref":"aws_outposts.html#list_catalog_items/1","title":"aws_outposts.list_catalog_items/1","type":"function"},{"doc":"","ref":"aws_outposts.html#list_catalog_items/3","title":"aws_outposts.list_catalog_items/3","type":"function"},{"doc":"","ref":"aws_outposts.html#list_catalog_items/4","title":"aws_outposts.list_catalog_items/4","type":"function"},{"doc":"Lists the Outpost orders for your Amazon Web Services account.","ref":"aws_outposts.html#list_orders/1","title":"aws_outposts.list_orders/1","type":"function"},{"doc":"","ref":"aws_outposts.html#list_orders/3","title":"aws_outposts.list_orders/3","type":"function"},{"doc":"","ref":"aws_outposts.html#list_orders/4","title":"aws_outposts.list_orders/4","type":"function"},{"doc":"Lists the Outposts for your Amazon Web Services account. Use filters to return specific results. If you specify multiple filters, the results include only the resources that match all of the specified filters. For a filter where you can specify multiple values, the results include items that match any of the values that you specify for the filter.","ref":"aws_outposts.html#list_outposts/1","title":"aws_outposts.list_outposts/1","type":"function"},{"doc":"","ref":"aws_outposts.html#list_outposts/3","title":"aws_outposts.list_outposts/3","type":"function"},{"doc":"","ref":"aws_outposts.html#list_outposts/4","title":"aws_outposts.list_outposts/4","type":"function"},{"doc":"Lists the Outpost sites for your Amazon Web Services account. Use filters to return specific results. Use filters to return specific results. If you specify multiple filters, the results include only the resources that match all of the specified filters. For a filter where you can specify multiple values, the results include items that match any of the values that you specify for the filter.","ref":"aws_outposts.html#list_sites/1","title":"aws_outposts.list_sites/1","type":"function"},{"doc":"","ref":"aws_outposts.html#list_sites/3","title":"aws_outposts.list_sites/3","type":"function"},{"doc":"","ref":"aws_outposts.html#list_sites/4","title":"aws_outposts.list_sites/4","type":"function"},{"doc":"Lists the tags for the specified resource.","ref":"aws_outposts.html#list_tags_for_resource/2","title":"aws_outposts.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_outposts.html#list_tags_for_resource/4","title":"aws_outposts.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_outposts.html#list_tags_for_resource/5","title":"aws_outposts.list_tags_for_resource/5","type":"function"},{"doc":"Amazon Web Services uses this action to install Outpost servers. Starts the connection required for Outpost server installation. Use CloudTrail to monitor this action or Amazon Web Services managed policy for Amazon Web Services Outposts to secure it. For more information, see Amazon Web Services managed policies for Amazon Web Services Outposts and Logging Amazon Web Services Outposts API calls with Amazon Web Services CloudTrail in the Amazon Web Services Outposts User Guide.","ref":"aws_outposts.html#start_connection/2","title":"aws_outposts.start_connection/2","type":"function"},{"doc":"","ref":"aws_outposts.html#start_connection/3","title":"aws_outposts.start_connection/3","type":"function"},{"doc":"Adds tags to the specified resource.","ref":"aws_outposts.html#tag_resource/3","title":"aws_outposts.tag_resource/3","type":"function"},{"doc":"","ref":"aws_outposts.html#tag_resource/4","title":"aws_outposts.tag_resource/4","type":"function"},{"doc":"Removes tags from the specified resource.","ref":"aws_outposts.html#untag_resource/3","title":"aws_outposts.untag_resource/3","type":"function"},{"doc":"","ref":"aws_outposts.html#untag_resource/4","title":"aws_outposts.untag_resource/4","type":"function"},{"doc":"Updates an Outpost.","ref":"aws_outposts.html#update_outpost/3","title":"aws_outposts.update_outpost/3","type":"function"},{"doc":"","ref":"aws_outposts.html#update_outpost/4","title":"aws_outposts.update_outpost/4","type":"function"},{"doc":"Updates the specified site.","ref":"aws_outposts.html#update_site/3","title":"aws_outposts.update_site/3","type":"function"},{"doc":"","ref":"aws_outposts.html#update_site/4","title":"aws_outposts.update_site/4","type":"function"},{"doc":"Updates the address of the specified site. You can't update a site address if there is an order in progress. You must wait for the order to complete or cancel the order. You can update the operating address before you place an order at the site, or after all Outposts that belong to the site have been deactivated.","ref":"aws_outposts.html#update_site_address/3","title":"aws_outposts.update_site_address/3","type":"function"},{"doc":"","ref":"aws_outposts.html#update_site_address/4","title":"aws_outposts.update_site_address/4","type":"function"},{"doc":"Update the physical and logistical details for a rack at a site. For more information about hardware requirements for racks, see Network readiness checklist in the Amazon Web Services Outposts User Guide. To update a rack at a site with an order of IN_PROGRESS , you must wait for the order to complete or cancel the order.","ref":"aws_outposts.html#update_site_rack_physical_properties/3","title":"aws_outposts.update_site_rack_physical_properties/3","type":"function"},{"doc":"","ref":"aws_outposts.html#update_site_rack_physical_properties/4","title":"aws_outposts.update_site_rack_physical_properties/4","type":"function"},{"doc":"AWS Panorama Overview This is the AWS Panorama API Reference. For an introduction to the service, see What is AWS Panorama? in the AWS Panorama Developer Guide.","ref":"aws_panorama.html","title":"aws_panorama","type":"module"},{"doc":"Creates an application instance and deploys it to a device.","ref":"aws_panorama.html#create_application_instance/2","title":"aws_panorama.create_application_instance/2","type":"function"},{"doc":"","ref":"aws_panorama.html#create_application_instance/3","title":"aws_panorama.create_application_instance/3","type":"function"},{"doc":"Creates a job to run on a device. A job can update a device's software or reboot it.","ref":"aws_panorama.html#create_job_for_devices/2","title":"aws_panorama.create_job_for_devices/2","type":"function"},{"doc":"","ref":"aws_panorama.html#create_job_for_devices/3","title":"aws_panorama.create_job_for_devices/3","type":"function"},{"doc":"Creates a camera stream node.","ref":"aws_panorama.html#create_node_from_template_job/2","title":"aws_panorama.create_node_from_template_job/2","type":"function"},{"doc":"","ref":"aws_panorama.html#create_node_from_template_job/3","title":"aws_panorama.create_node_from_template_job/3","type":"function"},{"doc":"Creates a package and storage location in an Amazon S3 access point.","ref":"aws_panorama.html#create_package/2","title":"aws_panorama.create_package/2","type":"function"},{"doc":"","ref":"aws_panorama.html#create_package/3","title":"aws_panorama.create_package/3","type":"function"},{"doc":"Imports a node package.","ref":"aws_panorama.html#create_package_import_job/2","title":"aws_panorama.create_package_import_job/2","type":"function"},{"doc":"","ref":"aws_panorama.html#create_package_import_job/3","title":"aws_panorama.create_package_import_job/3","type":"function"},{"doc":"Deletes a device.","ref":"aws_panorama.html#delete_device/3","title":"aws_panorama.delete_device/3","type":"function"},{"doc":"","ref":"aws_panorama.html#delete_device/4","title":"aws_panorama.delete_device/4","type":"function"},{"doc":"Deletes a package. To delete a package, you need permission to call s3:DeleteObject in addition to permissions for the AWS Panorama API.","ref":"aws_panorama.html#delete_package/3","title":"aws_panorama.delete_package/3","type":"function"},{"doc":"","ref":"aws_panorama.html#delete_package/4","title":"aws_panorama.delete_package/4","type":"function"},{"doc":"Deregisters a package version.","ref":"aws_panorama.html#deregister_package_version/5","title":"aws_panorama.deregister_package_version/5","type":"function"},{"doc":"","ref":"aws_panorama.html#deregister_package_version/6","title":"aws_panorama.deregister_package_version/6","type":"function"},{"doc":"Returns information about an application instance on a device.","ref":"aws_panorama.html#describe_application_instance/2","title":"aws_panorama.describe_application_instance/2","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_application_instance/4","title":"aws_panorama.describe_application_instance/4","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_application_instance/5","title":"aws_panorama.describe_application_instance/5","type":"function"},{"doc":"Returns information about an application instance's configuration manifest.","ref":"aws_panorama.html#describe_application_instance_details/2","title":"aws_panorama.describe_application_instance_details/2","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_application_instance_details/4","title":"aws_panorama.describe_application_instance_details/4","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_application_instance_details/5","title":"aws_panorama.describe_application_instance_details/5","type":"function"},{"doc":"Returns information about a device.","ref":"aws_panorama.html#describe_device/2","title":"aws_panorama.describe_device/2","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_device/4","title":"aws_panorama.describe_device/4","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_device/5","title":"aws_panorama.describe_device/5","type":"function"},{"doc":"Returns information about a device job.","ref":"aws_panorama.html#describe_device_job/2","title":"aws_panorama.describe_device_job/2","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_device_job/4","title":"aws_panorama.describe_device_job/4","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_device_job/5","title":"aws_panorama.describe_device_job/5","type":"function"},{"doc":"Returns information about a node.","ref":"aws_panorama.html#describe_node/2","title":"aws_panorama.describe_node/2","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_node/4","title":"aws_panorama.describe_node/4","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_node/5","title":"aws_panorama.describe_node/5","type":"function"},{"doc":"Returns information about a job to create a camera stream node.","ref":"aws_panorama.html#describe_node_from_template_job/2","title":"aws_panorama.describe_node_from_template_job/2","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_node_from_template_job/4","title":"aws_panorama.describe_node_from_template_job/4","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_node_from_template_job/5","title":"aws_panorama.describe_node_from_template_job/5","type":"function"},{"doc":"Returns information about a package.","ref":"aws_panorama.html#describe_package/2","title":"aws_panorama.describe_package/2","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_package/4","title":"aws_panorama.describe_package/4","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_package/5","title":"aws_panorama.describe_package/5","type":"function"},{"doc":"Returns information about a package import job.","ref":"aws_panorama.html#describe_package_import_job/2","title":"aws_panorama.describe_package_import_job/2","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_package_import_job/4","title":"aws_panorama.describe_package_import_job/4","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_package_import_job/5","title":"aws_panorama.describe_package_import_job/5","type":"function"},{"doc":"Returns information about a package version.","ref":"aws_panorama.html#describe_package_version/3","title":"aws_panorama.describe_package_version/3","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_package_version/5","title":"aws_panorama.describe_package_version/5","type":"function"},{"doc":"","ref":"aws_panorama.html#describe_package_version/6","title":"aws_panorama.describe_package_version/6","type":"function"},{"doc":"Returns a list of application instance dependencies.","ref":"aws_panorama.html#list_application_instance_dependencies/2","title":"aws_panorama.list_application_instance_dependencies/2","type":"function"},{"doc":"","ref":"aws_panorama.html#list_application_instance_dependencies/4","title":"aws_panorama.list_application_instance_dependencies/4","type":"function"},{"doc":"","ref":"aws_panorama.html#list_application_instance_dependencies/5","title":"aws_panorama.list_application_instance_dependencies/5","type":"function"},{"doc":"Returns a list of application node instances.","ref":"aws_panorama.html#list_application_instance_node_instances/2","title":"aws_panorama.list_application_instance_node_instances/2","type":"function"},{"doc":"","ref":"aws_panorama.html#list_application_instance_node_instances/4","title":"aws_panorama.list_application_instance_node_instances/4","type":"function"},{"doc":"","ref":"aws_panorama.html#list_application_instance_node_instances/5","title":"aws_panorama.list_application_instance_node_instances/5","type":"function"},{"doc":"Returns a list of application instances.","ref":"aws_panorama.html#list_application_instances/1","title":"aws_panorama.list_application_instances/1","type":"function"},{"doc":"","ref":"aws_panorama.html#list_application_instances/3","title":"aws_panorama.list_application_instances/3","type":"function"},{"doc":"","ref":"aws_panorama.html#list_application_instances/4","title":"aws_panorama.list_application_instances/4","type":"function"},{"doc":"Returns a list of devices.","ref":"aws_panorama.html#list_devices/1","title":"aws_panorama.list_devices/1","type":"function"},{"doc":"","ref":"aws_panorama.html#list_devices/3","title":"aws_panorama.list_devices/3","type":"function"},{"doc":"","ref":"aws_panorama.html#list_devices/4","title":"aws_panorama.list_devices/4","type":"function"},{"doc":"Returns a list of jobs.","ref":"aws_panorama.html#list_devices_jobs/1","title":"aws_panorama.list_devices_jobs/1","type":"function"},{"doc":"","ref":"aws_panorama.html#list_devices_jobs/3","title":"aws_panorama.list_devices_jobs/3","type":"function"},{"doc":"","ref":"aws_panorama.html#list_devices_jobs/4","title":"aws_panorama.list_devices_jobs/4","type":"function"},{"doc":"Returns a list of camera stream node jobs.","ref":"aws_panorama.html#list_node_from_template_jobs/1","title":"aws_panorama.list_node_from_template_jobs/1","type":"function"},{"doc":"","ref":"aws_panorama.html#list_node_from_template_jobs/3","title":"aws_panorama.list_node_from_template_jobs/3","type":"function"},{"doc":"","ref":"aws_panorama.html#list_node_from_template_jobs/4","title":"aws_panorama.list_node_from_template_jobs/4","type":"function"},{"doc":"Returns a list of nodes.","ref":"aws_panorama.html#list_nodes/1","title":"aws_panorama.list_nodes/1","type":"function"},{"doc":"","ref":"aws_panorama.html#list_nodes/3","title":"aws_panorama.list_nodes/3","type":"function"},{"doc":"","ref":"aws_panorama.html#list_nodes/4","title":"aws_panorama.list_nodes/4","type":"function"},{"doc":"Returns a list of package import jobs.","ref":"aws_panorama.html#list_package_import_jobs/1","title":"aws_panorama.list_package_import_jobs/1","type":"function"},{"doc":"","ref":"aws_panorama.html#list_package_import_jobs/3","title":"aws_panorama.list_package_import_jobs/3","type":"function"},{"doc":"","ref":"aws_panorama.html#list_package_import_jobs/4","title":"aws_panorama.list_package_import_jobs/4","type":"function"},{"doc":"Returns a list of packages.","ref":"aws_panorama.html#list_packages/1","title":"aws_panorama.list_packages/1","type":"function"},{"doc":"","ref":"aws_panorama.html#list_packages/3","title":"aws_panorama.list_packages/3","type":"function"},{"doc":"","ref":"aws_panorama.html#list_packages/4","title":"aws_panorama.list_packages/4","type":"function"},{"doc":"Returns a list of tags for a resource.","ref":"aws_panorama.html#list_tags_for_resource/2","title":"aws_panorama.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_panorama.html#list_tags_for_resource/4","title":"aws_panorama.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_panorama.html#list_tags_for_resource/5","title":"aws_panorama.list_tags_for_resource/5","type":"function"},{"doc":"Creates a device and returns a configuration archive. The configuration archive is a ZIP file that contains a provisioning certificate that is valid for 5 minutes. Name the configuration archive certificates-omni_device-name.zip and transfer it to the device within 5 minutes. Use the included USB storage device and connect it to the USB 3.0 port next to the HDMI output.","ref":"aws_panorama.html#provision_device/2","title":"aws_panorama.provision_device/2","type":"function"},{"doc":"","ref":"aws_panorama.html#provision_device/3","title":"aws_panorama.provision_device/3","type":"function"},{"doc":"Registers a package version.","ref":"aws_panorama.html#register_package_version/5","title":"aws_panorama.register_package_version/5","type":"function"},{"doc":"","ref":"aws_panorama.html#register_package_version/6","title":"aws_panorama.register_package_version/6","type":"function"},{"doc":"Removes an application instance.","ref":"aws_panorama.html#remove_application_instance/3","title":"aws_panorama.remove_application_instance/3","type":"function"},{"doc":"","ref":"aws_panorama.html#remove_application_instance/4","title":"aws_panorama.remove_application_instance/4","type":"function"},{"doc":"Signal camera nodes to stop or resume.","ref":"aws_panorama.html#signal_application_instance_node_instances/3","title":"aws_panorama.signal_application_instance_node_instances/3","type":"function"},{"doc":"","ref":"aws_panorama.html#signal_application_instance_node_instances/4","title":"aws_panorama.signal_application_instance_node_instances/4","type":"function"},{"doc":"Tags a resource.","ref":"aws_panorama.html#tag_resource/3","title":"aws_panorama.tag_resource/3","type":"function"},{"doc":"","ref":"aws_panorama.html#tag_resource/4","title":"aws_panorama.tag_resource/4","type":"function"},{"doc":"Removes tags from a resource.","ref":"aws_panorama.html#untag_resource/3","title":"aws_panorama.untag_resource/3","type":"function"},{"doc":"","ref":"aws_panorama.html#untag_resource/4","title":"aws_panorama.untag_resource/4","type":"function"},{"doc":"Updates a device's metadata.","ref":"aws_panorama.html#update_device_metadata/3","title":"aws_panorama.update_device_metadata/3","type":"function"},{"doc":"","ref":"aws_panorama.html#update_device_metadata/4","title":"aws_panorama.update_device_metadata/4","type":"function"},{"doc":"Amazon Personalize is a machine learning service that makes it easy to add individualized recommendations to customers.","ref":"aws_personalize.html","title":"aws_personalize","type":"module"},{"doc":"Creates a batch inference job. The operation can handle up to 50 million records and the input file must be in JSON format. For more information, see Creating a batch inference job.","ref":"aws_personalize.html#create_batch_inference_job/2","title":"aws_personalize.create_batch_inference_job/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_batch_inference_job/3","title":"aws_personalize.create_batch_inference_job/3","type":"function"},{"doc":"Creates a batch segment job. The operation can handle up to 50 million records and the input file must be in JSON format. For more information, see Getting batch recommendations and user segments.","ref":"aws_personalize.html#create_batch_segment_job/2","title":"aws_personalize.create_batch_segment_job/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_batch_segment_job/3","title":"aws_personalize.create_batch_segment_job/3","type":"function"},{"doc":"Creates a campaign that deploys a solution version. When a client calls the GetRecommendations and GetPersonalizedRanking APIs, a campaign is specified in the request. Minimum Provisioned TPS and Auto-Scaling A transaction is a single GetRecommendations or GetPersonalizedRanking call. Transactions per second (TPS) is the throughput and unit of billing for Amazon Personalize. The minimum provisioned TPS ( minProvisionedTPS ) specifies the baseline throughput provisioned by Amazon Personalize, and thus, the minimum billing charge. If your TPS increases beyond minProvisionedTPS , Amazon Personalize auto-scales the provisioned capacity up and down, but never below minProvisionedTPS . There's a short time delay while the capacity is increased that might cause loss of transactions. The actual TPS used is calculated as the average requests/second within a 5-minute window. You pay for maximum of either the minimum provisioned TPS or the actual TPS. We recommend starting with a low minProvisionedTPS , track your usage using Amazon CloudWatch metrics, and then increase the minProvisionedTPS as necessary. Status A campaign can be in one of the following states: CREATE PENDING &gt; CREATE IN_PROGRESS &gt; ACTIVE -or- CREATE FAILED DELETE PENDING &gt; DELETE IN_PROGRESS To get the campaign status, call DescribeCampaign. Wait until the status of the campaign is ACTIVE before asking the campaign for recommendations. Related APIs ListCampaigns DescribeCampaign UpdateCampaign DeleteCampaign","ref":"aws_personalize.html#create_campaign/2","title":"aws_personalize.create_campaign/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_campaign/3","title":"aws_personalize.create_campaign/3","type":"function"},{"doc":"Creates an empty dataset and adds it to the specified dataset group. Use CreateDatasetImportJob to import your training data to a dataset. There are three types of datasets: Interactions Items Users Each dataset type has an associated schema with required field types. Only the Interactions dataset is required in order to train a model (also referred to as creating a solution). A dataset can be in one of the following states: CREATE PENDING &gt; CREATE IN_PROGRESS &gt; ACTIVE -or- CREATE FAILED DELETE PENDING &gt; DELETE IN_PROGRESS To get the status of the dataset, call DescribeDataset. Related APIs CreateDatasetGroup ListDatasets DescribeDataset DeleteDataset","ref":"aws_personalize.html#create_dataset/2","title":"aws_personalize.create_dataset/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_dataset/3","title":"aws_personalize.create_dataset/3","type":"function"},{"doc":"Creates a job that exports data from your dataset to an Amazon S3 bucket. To allow Amazon Personalize to export the training data, you must specify an service-linked IAM role that gives Amazon Personalize PutObject permissions for your Amazon S3 bucket. For information, see Exporting a dataset in the Amazon Personalize developer guide. Status A dataset export job can be in one of the following states: CREATE PENDING &gt; CREATE IN_PROGRESS &gt; ACTIVE -or- CREATE FAILED To get the status of the export job, call DescribeDatasetExportJob, and specify the Amazon Resource Name (ARN) of the dataset export job. The dataset export is complete when the status shows as ACTIVE. If the status shows as CREATE FAILED, the response includes a failureReason key, which describes why the job failed.","ref":"aws_personalize.html#create_dataset_export_job/2","title":"aws_personalize.create_dataset_export_job/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_dataset_export_job/3","title":"aws_personalize.create_dataset_export_job/3","type":"function"},{"doc":"Creates an empty dataset group. A dataset group is a container for Amazon Personalize resources. A dataset group can contain at most three datasets, one for each type of dataset: Interactions Items Users A dataset group can be a Domain dataset group, where you specify a domain and use pre-configured resources like recommenders, or a Custom dataset group, where you use custom resources, such as a solution with a solution version, that you deploy with a campaign. If you start with a Domain dataset group, you can still add custom resources such as solutions and solution versions trained with recipes for custom use cases and deployed with campaigns. A dataset group can be in one of the following states: CREATE PENDING &gt; CREATE IN_PROGRESS &gt; ACTIVE -or- CREATE FAILED DELETE PENDING To get the status of the dataset group, call DescribeDatasetGroup. If the status shows as CREATE FAILED, the response includes a failureReason key, which describes why the creation failed. You must wait until the status of the dataset group is ACTIVE before adding a dataset to the group. You can specify an Key Management Service (KMS) key to encrypt the datasets in the group. If you specify a KMS key, you must also include an Identity and Access Management (IAM) role that has permission to access the key. APIs that require a dataset group ARN in the request CreateDataset CreateEventTracker CreateSolution == Related APIs == ListDatasetGroups DescribeDatasetGroup DeleteDatasetGroup","ref":"aws_personalize.html#create_dataset_group/2","title":"aws_personalize.create_dataset_group/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_dataset_group/3","title":"aws_personalize.create_dataset_group/3","type":"function"},{"doc":"Creates a job that imports training data from your data source (an Amazon S3 bucket) to an Amazon Personalize dataset. To allow Amazon Personalize to import the training data, you must specify an IAM service role that has permission to read from the data source, as Amazon Personalize makes a copy of your data and processes it internally. For information on granting access to your Amazon S3 bucket, see Giving Amazon Personalize Access to Amazon S3 Resources. By default, a dataset import job replaces any existing data in the dataset that you imported in bulk. To add new records without replacing existing data, specify INCREMENTAL for the import mode in the CreateDatasetImportJob operation. Status A dataset import job can be in one of the following states: CREATE PENDING &gt; CREATE IN_PROGRESS &gt; ACTIVE -or- CREATE FAILED To get the status of the import job, call DescribeDatasetImportJob, providing the Amazon Resource Name (ARN) of the dataset import job. The dataset import is complete when the status shows as ACTIVE. If the status shows as CREATE FAILED, the response includes a failureReason key, which describes why the job failed. Importing takes time. You must wait until the status shows as ACTIVE before training a model using the dataset. Related APIs ListDatasetImportJobs DescribeDatasetImportJob","ref":"aws_personalize.html#create_dataset_import_job/2","title":"aws_personalize.create_dataset_import_job/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_dataset_import_job/3","title":"aws_personalize.create_dataset_import_job/3","type":"function"},{"doc":"Creates an event tracker that you use when adding event data to a specified dataset group using the PutEvents API. Only one event tracker can be associated with a dataset group. You will get an error if you call CreateEventTracker using the same dataset group as an existing event tracker. When you create an event tracker, the response includes a tracking ID, which you pass as a parameter when you use the PutEvents operation. Amazon Personalize then appends the event data to the Interactions dataset of the dataset group you specify in your event tracker. The event tracker can be in one of the following states: CREATE PENDING &gt; CREATE IN_PROGRESS &gt; ACTIVE -or- CREATE FAILED DELETE PENDING &gt; DELETE IN_PROGRESS To get the status of the event tracker, call DescribeEventTracker. The event tracker must be in the ACTIVE state before using the tracking ID. Related APIs ListEventTrackers DescribeEventTracker DeleteEventTracker","ref":"aws_personalize.html#create_event_tracker/2","title":"aws_personalize.create_event_tracker/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_event_tracker/3","title":"aws_personalize.create_event_tracker/3","type":"function"},{"doc":"Creates a recommendation filter. For more information, see Filtering recommendations and user segments.","ref":"aws_personalize.html#create_filter/2","title":"aws_personalize.create_filter/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_filter/3","title":"aws_personalize.create_filter/3","type":"function"},{"doc":"Creates a metric attribution. A metric attribution creates reports on the data that you import into Amazon Personalize. Depending on how you imported the data, you can view reports in Amazon CloudWatch or Amazon S3. For more information, see Measuring impact of recommendations.","ref":"aws_personalize.html#create_metric_attribution/2","title":"aws_personalize.create_metric_attribution/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_metric_attribution/3","title":"aws_personalize.create_metric_attribution/3","type":"function"},{"doc":"Creates a recommender with the recipe (a Domain dataset group use case) you specify. You create recommenders for a Domain dataset group and specify the recommender's Amazon Resource Name (ARN) when you make a GetRecommendations request. Minimum recommendation requests per second When you create a recommender, you can configure the recommender's minimum recommendation requests per second. The minimum recommendation requests per second ( minRecommendationRequestsPerSecond ) specifies the baseline recommendation request throughput provisioned by Amazon Personalize. The default minRecommendationRequestsPerSecond is 1 . A recommendation request is a single GetRecommendations operation. Request throughput is measured in requests per second and Amazon Personalize uses your requests per second to derive your requests per hour and the price of your recommender usage. If your requests per second increases beyond minRecommendationRequestsPerSecond , Amazon Personalize auto-scales the provisioned capacity up and down, but never below minRecommendationRequestsPerSecond . There's a short time delay while the capacity is increased that might cause loss of requests. Your bill is the greater of either the minimum requests per hour (based on minRecommendationRequestsPerSecond) or the actual number of requests. The actual request throughput used is calculated as the average requests/second within a one-hour window. We recommend starting with the default minRecommendationRequestsPerSecond , track your usage using Amazon CloudWatch metrics, and then increase the minRecommendationRequestsPerSecond as necessary. Status A recommender can be in one of the following states: CREATE PENDING &gt; CREATE IN_PROGRESS &gt; ACTIVE -or- CREATE FAILED STOP PENDING &gt; STOP IN_PROGRESS &gt; INACTIVE &gt; START PENDING &gt; START IN_PROGRESS &gt; ACTIVE DELETE PENDING &gt; DELETE IN_PROGRESS To get the recommender status, call DescribeRecommender. Wait until the status of the recommender is ACTIVE before asking the recommender for recommendations. Related APIs ListRecommenders DescribeRecommender UpdateRecommender DeleteRecommender","ref":"aws_personalize.html#create_recommender/2","title":"aws_personalize.create_recommender/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_recommender/3","title":"aws_personalize.create_recommender/3","type":"function"},{"doc":"Creates an Amazon Personalize schema from the specified schema string. The schema you create must be in Avro JSON format. Amazon Personalize recognizes three schema variants. Each schema is associated with a dataset type and has a set of required field and keywords. If you are creating a schema for a dataset in a Domain dataset group, you provide the domain of the Domain dataset group. You specify a schema when you call CreateDataset. Related APIs ListSchemas DescribeSchema DeleteSchema","ref":"aws_personalize.html#create_schema/2","title":"aws_personalize.create_schema/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_schema/3","title":"aws_personalize.create_schema/3","type":"function"},{"doc":"Creates the configuration for training a model. A trained model is known as a solution. After the configuration is created, you train the model (create a solution) by calling the CreateSolutionVersion operation. Every time you call CreateSolutionVersion , a new version of the solution is created. After creating a solution version, you check its accuracy by calling GetSolutionMetrics. When you are satisfied with the version, you deploy it using CreateCampaign. The campaign provides recommendations to a client through the GetRecommendations API. To train a model, Amazon Personalize requires training data and a recipe. The training data comes from the dataset group that you provide in the request. A recipe specifies the training algorithm and a feature transformation. You can specify one of the predefined recipes provided by Amazon Personalize. Alternatively, you can specify performAutoML and Amazon Personalize will analyze your data and select the optimum USER_PERSONALIZATION recipe for you. Amazon Personalize doesn't support configuring the hpoObjective for solution hyperparameter optimization at this time. Status A solution can be in one of the following states: CREATE PENDING &gt; CREATE IN_PROGRESS &gt; ACTIVE -or- CREATE FAILED DELETE PENDING &gt; DELETE IN_PROGRESS To get the status of the solution, call DescribeSolution. Wait until the status shows as ACTIVE before calling CreateSolutionVersion . Related APIs ListSolutions CreateSolutionVersion DescribeSolution DeleteSolution ListSolutionVersions DescribeSolutionVersion","ref":"aws_personalize.html#create_solution/2","title":"aws_personalize.create_solution/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_solution/3","title":"aws_personalize.create_solution/3","type":"function"},{"doc":"Trains or retrains an active solution in a Custom dataset group. A solution is created using the CreateSolution operation and must be in the ACTIVE state before calling CreateSolutionVersion . A new version of the solution is created every time you call this operation. Status A solution version can be in one of the following states: CREATE PENDING CREATE IN_PROGRESS ACTIVE CREATE FAILED CREATE STOPPING CREATE STOPPED To get the status of the version, call DescribeSolutionVersion. Wait until the status shows as ACTIVE before calling CreateCampaign . If the status shows as CREATE FAILED, the response includes a failureReason key, which describes why the job failed. Related APIs ListSolutionVersions DescribeSolutionVersion ListSolutions CreateSolution DescribeSolution DeleteSolution","ref":"aws_personalize.html#create_solution_version/2","title":"aws_personalize.create_solution_version/2","type":"function"},{"doc":"","ref":"aws_personalize.html#create_solution_version/3","title":"aws_personalize.create_solution_version/3","type":"function"},{"doc":"Removes a campaign by deleting the solution deployment. The solution that the campaign is based on is not deleted and can be redeployed when needed. A deleted campaign can no longer be specified in a GetRecommendations request. For information on creating campaigns, see CreateCampaign.","ref":"aws_personalize.html#delete_campaign/2","title":"aws_personalize.delete_campaign/2","type":"function"},{"doc":"","ref":"aws_personalize.html#delete_campaign/3","title":"aws_personalize.delete_campaign/3","type":"function"},{"doc":"Deletes a dataset. You can't delete a dataset if an associated DatasetImportJob or SolutionVersion is in the CREATE PENDING or IN PROGRESS state. For more information on datasets, see CreateDataset.","ref":"aws_personalize.html#delete_dataset/2","title":"aws_personalize.delete_dataset/2","type":"function"},{"doc":"","ref":"aws_personalize.html#delete_dataset/3","title":"aws_personalize.delete_dataset/3","type":"function"},{"doc":"Deletes a dataset group. Before you delete a dataset group, you must delete the following: All associated event trackers. All associated solutions. All datasets in the dataset group.","ref":"aws_personalize.html#delete_dataset_group/2","title":"aws_personalize.delete_dataset_group/2","type":"function"},{"doc":"","ref":"aws_personalize.html#delete_dataset_group/3","title":"aws_personalize.delete_dataset_group/3","type":"function"},{"doc":"Deletes the event tracker. Does not delete the event-interactions dataset from the associated dataset group. For more information on event trackers, see CreateEventTracker.","ref":"aws_personalize.html#delete_event_tracker/2","title":"aws_personalize.delete_event_tracker/2","type":"function"},{"doc":"","ref":"aws_personalize.html#delete_event_tracker/3","title":"aws_personalize.delete_event_tracker/3","type":"function"},{"doc":"Deletes a filter.","ref":"aws_personalize.html#delete_filter/2","title":"aws_personalize.delete_filter/2","type":"function"},{"doc":"","ref":"aws_personalize.html#delete_filter/3","title":"aws_personalize.delete_filter/3","type":"function"},{"doc":"Deletes a metric attribution.","ref":"aws_personalize.html#delete_metric_attribution/2","title":"aws_personalize.delete_metric_attribution/2","type":"function"},{"doc":"","ref":"aws_personalize.html#delete_metric_attribution/3","title":"aws_personalize.delete_metric_attribution/3","type":"function"},{"doc":"Deactivates and removes a recommender. A deleted recommender can no longer be specified in a GetRecommendations request.","ref":"aws_personalize.html#delete_recommender/2","title":"aws_personalize.delete_recommender/2","type":"function"},{"doc":"","ref":"aws_personalize.html#delete_recommender/3","title":"aws_personalize.delete_recommender/3","type":"function"},{"doc":"Deletes a schema. Before deleting a schema, you must delete all datasets referencing the schema. For more information on schemas, see CreateSchema.","ref":"aws_personalize.html#delete_schema/2","title":"aws_personalize.delete_schema/2","type":"function"},{"doc":"","ref":"aws_personalize.html#delete_schema/3","title":"aws_personalize.delete_schema/3","type":"function"},{"doc":"Deletes all versions of a solution and the Solution object itself. Before deleting a solution, you must delete all campaigns based on the solution. To determine what campaigns are using the solution, call ListCampaigns and supply the Amazon Resource Name (ARN) of the solution. You can't delete a solution if an associated SolutionVersion is in the CREATE PENDING or IN PROGRESS state. For more information on solutions, see CreateSolution.","ref":"aws_personalize.html#delete_solution/2","title":"aws_personalize.delete_solution/2","type":"function"},{"doc":"","ref":"aws_personalize.html#delete_solution/3","title":"aws_personalize.delete_solution/3","type":"function"},{"doc":"Describes the given algorithm.","ref":"aws_personalize.html#describe_algorithm/2","title":"aws_personalize.describe_algorithm/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_algorithm/3","title":"aws_personalize.describe_algorithm/3","type":"function"},{"doc":"Gets the properties of a batch inference job including name, Amazon Resource Name (ARN), status, input and output configurations, and the ARN of the solution version used to generate the recommendations.","ref":"aws_personalize.html#describe_batch_inference_job/2","title":"aws_personalize.describe_batch_inference_job/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_batch_inference_job/3","title":"aws_personalize.describe_batch_inference_job/3","type":"function"},{"doc":"Gets the properties of a batch segment job including name, Amazon Resource Name (ARN), status, input and output configurations, and the ARN of the solution version used to generate segments.","ref":"aws_personalize.html#describe_batch_segment_job/2","title":"aws_personalize.describe_batch_segment_job/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_batch_segment_job/3","title":"aws_personalize.describe_batch_segment_job/3","type":"function"},{"doc":"Describes the given campaign, including its status. A campaign can be in one of the following states: CREATE PENDING &gt; CREATE IN_PROGRESS &gt; ACTIVE -or- CREATE FAILED DELETE PENDING &gt; DELETE IN_PROGRESS When the status is CREATE FAILED , the response includes the failureReason key, which describes why. For more information on campaigns, see CreateCampaign.","ref":"aws_personalize.html#describe_campaign/2","title":"aws_personalize.describe_campaign/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_campaign/3","title":"aws_personalize.describe_campaign/3","type":"function"},{"doc":"Describes the given dataset. For more information on datasets, see CreateDataset.","ref":"aws_personalize.html#describe_dataset/2","title":"aws_personalize.describe_dataset/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_dataset/3","title":"aws_personalize.describe_dataset/3","type":"function"},{"doc":"Describes the dataset export job created by CreateDatasetExportJob, including the export job status.","ref":"aws_personalize.html#describe_dataset_export_job/2","title":"aws_personalize.describe_dataset_export_job/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_dataset_export_job/3","title":"aws_personalize.describe_dataset_export_job/3","type":"function"},{"doc":"Describes the given dataset group. For more information on dataset groups, see CreateDatasetGroup.","ref":"aws_personalize.html#describe_dataset_group/2","title":"aws_personalize.describe_dataset_group/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_dataset_group/3","title":"aws_personalize.describe_dataset_group/3","type":"function"},{"doc":"Describes the dataset import job created by CreateDatasetImportJob, including the import job status.","ref":"aws_personalize.html#describe_dataset_import_job/2","title":"aws_personalize.describe_dataset_import_job/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_dataset_import_job/3","title":"aws_personalize.describe_dataset_import_job/3","type":"function"},{"doc":"Describes an event tracker. The response includes the trackingId and status of the event tracker. For more information on event trackers, see CreateEventTracker.","ref":"aws_personalize.html#describe_event_tracker/2","title":"aws_personalize.describe_event_tracker/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_event_tracker/3","title":"aws_personalize.describe_event_tracker/3","type":"function"},{"doc":"Describes the given feature transformation.","ref":"aws_personalize.html#describe_feature_transformation/2","title":"aws_personalize.describe_feature_transformation/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_feature_transformation/3","title":"aws_personalize.describe_feature_transformation/3","type":"function"},{"doc":"Describes a filter's properties.","ref":"aws_personalize.html#describe_filter/2","title":"aws_personalize.describe_filter/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_filter/3","title":"aws_personalize.describe_filter/3","type":"function"},{"doc":"Describes a metric attribution.","ref":"aws_personalize.html#describe_metric_attribution/2","title":"aws_personalize.describe_metric_attribution/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_metric_attribution/3","title":"aws_personalize.describe_metric_attribution/3","type":"function"},{"doc":"Describes a recipe. A recipe contains three items: An algorithm that trains a model. Hyperparameters that govern the training. Feature transformation information for modifying the input data before training. Amazon Personalize provides a set of predefined recipes. You specify a recipe when you create a solution with the CreateSolution API. CreateSolution trains a model by using the algorithm in the specified recipe and a training dataset. The solution, when deployed as a campaign, can provide recommendations using the GetRecommendations API.","ref":"aws_personalize.html#describe_recipe/2","title":"aws_personalize.describe_recipe/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_recipe/3","title":"aws_personalize.describe_recipe/3","type":"function"},{"doc":"Describes the given recommender, including its status. A recommender can be in one of the following states: CREATE PENDING &gt; CREATE IN_PROGRESS &gt; ACTIVE -or- CREATE FAILED STOP PENDING &gt; STOP IN_PROGRESS &gt; INACTIVE &gt; START PENDING &gt; START IN_PROGRESS &gt; ACTIVE DELETE PENDING &gt; DELETE IN_PROGRESS When the status is CREATE FAILED , the response includes the failureReason key, which describes why. The modelMetrics key is null when the recommender is being created or deleted. For more information on recommenders, see CreateRecommender.","ref":"aws_personalize.html#describe_recommender/2","title":"aws_personalize.describe_recommender/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_recommender/3","title":"aws_personalize.describe_recommender/3","type":"function"},{"doc":"Describes a schema. For more information on schemas, see CreateSchema.","ref":"aws_personalize.html#describe_schema/2","title":"aws_personalize.describe_schema/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_schema/3","title":"aws_personalize.describe_schema/3","type":"function"},{"doc":"Describes a solution. For more information on solutions, see CreateSolution.","ref":"aws_personalize.html#describe_solution/2","title":"aws_personalize.describe_solution/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_solution/3","title":"aws_personalize.describe_solution/3","type":"function"},{"doc":"Describes a specific version of a solution. For more information on solutions, see CreateSolution","ref":"aws_personalize.html#describe_solution_version/2","title":"aws_personalize.describe_solution_version/2","type":"function"},{"doc":"","ref":"aws_personalize.html#describe_solution_version/3","title":"aws_personalize.describe_solution_version/3","type":"function"},{"doc":"Gets the metrics for the specified solution version.","ref":"aws_personalize.html#get_solution_metrics/2","title":"aws_personalize.get_solution_metrics/2","type":"function"},{"doc":"","ref":"aws_personalize.html#get_solution_metrics/3","title":"aws_personalize.get_solution_metrics/3","type":"function"},{"doc":"Gets a list of the batch inference jobs that have been performed off of a solution version.","ref":"aws_personalize.html#list_batch_inference_jobs/2","title":"aws_personalize.list_batch_inference_jobs/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_batch_inference_jobs/3","title":"aws_personalize.list_batch_inference_jobs/3","type":"function"},{"doc":"Gets a list of the batch segment jobs that have been performed off of a solution version that you specify.","ref":"aws_personalize.html#list_batch_segment_jobs/2","title":"aws_personalize.list_batch_segment_jobs/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_batch_segment_jobs/3","title":"aws_personalize.list_batch_segment_jobs/3","type":"function"},{"doc":"Returns a list of campaigns that use the given solution. When a solution is not specified, all the campaigns associated with the account are listed. The response provides the properties for each campaign, including the Amazon Resource Name (ARN). For more information on campaigns, see CreateCampaign.","ref":"aws_personalize.html#list_campaigns/2","title":"aws_personalize.list_campaigns/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_campaigns/3","title":"aws_personalize.list_campaigns/3","type":"function"},{"doc":"Returns a list of dataset export jobs that use the given dataset. When a dataset is not specified, all the dataset export jobs associated with the account are listed. The response provides the properties for each dataset export job, including the Amazon Resource Name (ARN). For more information on dataset export jobs, see CreateDatasetExportJob. For more information on datasets, see CreateDataset.","ref":"aws_personalize.html#list_dataset_export_jobs/2","title":"aws_personalize.list_dataset_export_jobs/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_dataset_export_jobs/3","title":"aws_personalize.list_dataset_export_jobs/3","type":"function"},{"doc":"Returns a list of dataset groups. The response provides the properties for each dataset group, including the Amazon Resource Name (ARN). For more information on dataset groups, see CreateDatasetGroup.","ref":"aws_personalize.html#list_dataset_groups/2","title":"aws_personalize.list_dataset_groups/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_dataset_groups/3","title":"aws_personalize.list_dataset_groups/3","type":"function"},{"doc":"Returns a list of dataset import jobs that use the given dataset. When a dataset is not specified, all the dataset import jobs associated with the account are listed. The response provides the properties for each dataset import job, including the Amazon Resource Name (ARN). For more information on dataset import jobs, see CreateDatasetImportJob. For more information on datasets, see CreateDataset.","ref":"aws_personalize.html#list_dataset_import_jobs/2","title":"aws_personalize.list_dataset_import_jobs/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_dataset_import_jobs/3","title":"aws_personalize.list_dataset_import_jobs/3","type":"function"},{"doc":"Returns the list of datasets contained in the given dataset group. The response provides the properties for each dataset, including the Amazon Resource Name (ARN). For more information on datasets, see CreateDataset.","ref":"aws_personalize.html#list_datasets/2","title":"aws_personalize.list_datasets/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_datasets/3","title":"aws_personalize.list_datasets/3","type":"function"},{"doc":"Returns the list of event trackers associated with the account. The response provides the properties for each event tracker, including the Amazon Resource Name (ARN) and tracking ID. For more information on event trackers, see CreateEventTracker.","ref":"aws_personalize.html#list_event_trackers/2","title":"aws_personalize.list_event_trackers/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_event_trackers/3","title":"aws_personalize.list_event_trackers/3","type":"function"},{"doc":"Lists all filters that belong to a given dataset group.","ref":"aws_personalize.html#list_filters/2","title":"aws_personalize.list_filters/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_filters/3","title":"aws_personalize.list_filters/3","type":"function"},{"doc":"Lists the metrics for the metric attribution.","ref":"aws_personalize.html#list_metric_attribution_metrics/2","title":"aws_personalize.list_metric_attribution_metrics/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_metric_attribution_metrics/3","title":"aws_personalize.list_metric_attribution_metrics/3","type":"function"},{"doc":"Lists metric attributions.","ref":"aws_personalize.html#list_metric_attributions/2","title":"aws_personalize.list_metric_attributions/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_metric_attributions/3","title":"aws_personalize.list_metric_attributions/3","type":"function"},{"doc":"Returns a list of available recipes. The response provides the properties for each recipe, including the recipe's Amazon Resource Name (ARN).","ref":"aws_personalize.html#list_recipes/2","title":"aws_personalize.list_recipes/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_recipes/3","title":"aws_personalize.list_recipes/3","type":"function"},{"doc":"Returns a list of recommenders in a given Domain dataset group. When a Domain dataset group is not specified, all the recommenders associated with the account are listed. The response provides the properties for each recommender, including the Amazon Resource Name (ARN). For more information on recommenders, see CreateRecommender.","ref":"aws_personalize.html#list_recommenders/2","title":"aws_personalize.list_recommenders/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_recommenders/3","title":"aws_personalize.list_recommenders/3","type":"function"},{"doc":"Returns the list of schemas associated with the account. The response provides the properties for each schema, including the Amazon Resource Name (ARN). For more information on schemas, see CreateSchema.","ref":"aws_personalize.html#list_schemas/2","title":"aws_personalize.list_schemas/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_schemas/3","title":"aws_personalize.list_schemas/3","type":"function"},{"doc":"Returns a list of solution versions for the given solution. When a solution is not specified, all the solution versions associated with the account are listed. The response provides the properties for each solution version, including the Amazon Resource Name (ARN).","ref":"aws_personalize.html#list_solution_versions/2","title":"aws_personalize.list_solution_versions/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_solution_versions/3","title":"aws_personalize.list_solution_versions/3","type":"function"},{"doc":"Returns a list of solutions that use the given dataset group. When a dataset group is not specified, all the solutions associated with the account are listed. The response provides the properties for each solution, including the Amazon Resource Name (ARN). For more information on solutions, see CreateSolution.","ref":"aws_personalize.html#list_solutions/2","title":"aws_personalize.list_solutions/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_solutions/3","title":"aws_personalize.list_solutions/3","type":"function"},{"doc":"Get a list of tags attached to a resource.","ref":"aws_personalize.html#list_tags_for_resource/2","title":"aws_personalize.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_personalize.html#list_tags_for_resource/3","title":"aws_personalize.list_tags_for_resource/3","type":"function"},{"doc":"Starts a recommender that is INACTIVE. Starting a recommender does not create any new models, but resumes billing and automatic retraining for the recommender.","ref":"aws_personalize.html#start_recommender/2","title":"aws_personalize.start_recommender/2","type":"function"},{"doc":"","ref":"aws_personalize.html#start_recommender/3","title":"aws_personalize.start_recommender/3","type":"function"},{"doc":"Stops a recommender that is ACTIVE. Stopping a recommender halts billing and automatic retraining for the recommender.","ref":"aws_personalize.html#stop_recommender/2","title":"aws_personalize.stop_recommender/2","type":"function"},{"doc":"","ref":"aws_personalize.html#stop_recommender/3","title":"aws_personalize.stop_recommender/3","type":"function"},{"doc":"Stops creating a solution version that is in a state of CREATE_PENDING or CREATE IN_PROGRESS. Depending on the current state of the solution version, the solution version state changes as follows: CREATE_PENDING &gt; CREATE_STOPPED or CREATE_IN_PROGRESS &gt; CREATE_STOPPING &gt; CREATE_STOPPED You are billed for all of the training completed up until you stop the solution version creation. You cannot resume creating a solution version once it has been stopped.","ref":"aws_personalize.html#stop_solution_version_creation/2","title":"aws_personalize.stop_solution_version_creation/2","type":"function"},{"doc":"","ref":"aws_personalize.html#stop_solution_version_creation/3","title":"aws_personalize.stop_solution_version_creation/3","type":"function"},{"doc":"Add a list of tags to a resource.","ref":"aws_personalize.html#tag_resource/2","title":"aws_personalize.tag_resource/2","type":"function"},{"doc":"","ref":"aws_personalize.html#tag_resource/3","title":"aws_personalize.tag_resource/3","type":"function"},{"doc":"Remove tags that are attached to a resource.","ref":"aws_personalize.html#untag_resource/2","title":"aws_personalize.untag_resource/2","type":"function"},{"doc":"","ref":"aws_personalize.html#untag_resource/3","title":"aws_personalize.untag_resource/3","type":"function"},{"doc":"Updates a campaign by either deploying a new solution or changing the value of the campaign's minProvisionedTPS parameter. To update a campaign, the campaign status must be ACTIVE or CREATE FAILED. Check the campaign status using the DescribeCampaign operation. You can still get recommendations from a campaign while an update is in progress. The campaign will use the previous solution version and campaign configuration to generate recommendations until the latest campaign update status is Active . For more information on campaigns, see CreateCampaign.","ref":"aws_personalize.html#update_campaign/2","title":"aws_personalize.update_campaign/2","type":"function"},{"doc":"","ref":"aws_personalize.html#update_campaign/3","title":"aws_personalize.update_campaign/3","type":"function"},{"doc":"Updates a metric attribution.","ref":"aws_personalize.html#update_metric_attribution/2","title":"aws_personalize.update_metric_attribution/2","type":"function"},{"doc":"","ref":"aws_personalize.html#update_metric_attribution/3","title":"aws_personalize.update_metric_attribution/3","type":"function"},{"doc":"Updates the recommender to modify the recommender configuration.","ref":"aws_personalize.html#update_recommender/2","title":"aws_personalize.update_recommender/2","type":"function"},{"doc":"","ref":"aws_personalize.html#update_recommender/3","title":"aws_personalize.update_recommender/3","type":"function"},{"doc":"Amazon Personalize can consume real-time user event data, such as stream or click data, and use it for model training either alone or combined with historical data. For more information see Recording Events.","ref":"aws_personalize_events.html","title":"aws_personalize_events","type":"module"},{"doc":"Records user interaction event data. For more information see Recording Events.","ref":"aws_personalize_events.html#put_events/2","title":"aws_personalize_events.put_events/2","type":"function"},{"doc":"","ref":"aws_personalize_events.html#put_events/3","title":"aws_personalize_events.put_events/3","type":"function"},{"doc":"Adds one or more items to an Items dataset. For more information see Importing Items Incrementally.","ref":"aws_personalize_events.html#put_items/2","title":"aws_personalize_events.put_items/2","type":"function"},{"doc":"","ref":"aws_personalize_events.html#put_items/3","title":"aws_personalize_events.put_items/3","type":"function"},{"doc":"Adds one or more users to a Users dataset. For more information see Importing Users Incrementally.","ref":"aws_personalize_events.html#put_users/2","title":"aws_personalize_events.put_users/2","type":"function"},{"doc":"","ref":"aws_personalize_events.html#put_users/3","title":"aws_personalize_events.put_users/3","type":"function"},{"doc":"","ref":"aws_personalize_runtime.html","title":"aws_personalize_runtime","type":"module"},{"doc":"Re-ranks a list of recommended items for the given user. The first item in the list is deemed the most likely item to be of interest to the user. The solution backing the campaign must have been created using a recipe of type PERSONALIZED_RANKING.","ref":"aws_personalize_runtime.html#get_personalized_ranking/2","title":"aws_personalize_runtime.get_personalized_ranking/2","type":"function"},{"doc":"","ref":"aws_personalize_runtime.html#get_personalized_ranking/3","title":"aws_personalize_runtime.get_personalized_ranking/3","type":"function"},{"doc":"Returns a list of recommended items. For campaigns, the campaign's Amazon Resource Name (ARN) is required and the required user and item input depends on the recipe type used to create the solution backing the campaign as follows: USER_PERSONALIZATION - userId required, itemId not used RELATED_ITEMS - itemId required, userId not used Campaigns that are backed by a solution created using a recipe of type PERSONALIZED_RANKING use the API. For recommenders, the recommender's ARN is required and the required item and user input depends on the use case (domain-based recipe) backing the recommender. For information on use case requirements see Choosing recommender use cases.","ref":"aws_personalize_runtime.html#get_recommendations/2","title":"aws_personalize_runtime.get_recommendations/2","type":"function"},{"doc":"","ref":"aws_personalize_runtime.html#get_recommendations/3","title":"aws_personalize_runtime.get_recommendations/3","type":"function"},{"doc":"Amazon RDS Performance Insights Amazon RDS Performance Insights enables you to monitor and explore different dimensions of database load based on data captured from a running DB instance. The guide provides detailed information about Performance Insights data types, parameters and errors. When Performance Insights is enabled, the Amazon RDS Performance Insights API provides visibility into the performance of your DB instance. Amazon CloudWatch provides the authoritative source for Amazon Web Services service-vended monitoring metrics. Performance Insights offers a domain-specific view of DB load. DB load is measured as average active sessions. Performance Insights provides the data to API consumers as a two-dimensional time-series dataset. The time dimension provides DB load data for each time point in the queried time range. Each time point decomposes overall load in relation to the requested dimensions, measured at that time point. Examples include SQL, Wait event, User, and Host. To learn more about Performance Insights and Amazon Aurora DB instances, go to the Amazon Aurora User Guide . To learn more about Performance Insights and Amazon RDS DB instances, go to the Amazon RDS User Guide . To learn more about Performance Insights and Amazon DocumentDB clusters, go to the Amazon DocumentDB Developer Guide .","ref":"aws_pi.html","title":"aws_pi","type":"module"},{"doc":"For a specific time period, retrieve the top N dimension keys for a metric. Each response element returns a maximum of 500 bytes. For larger elements, such as SQL statements, only the first 500 bytes are returned.","ref":"aws_pi.html#describe_dimension_keys/2","title":"aws_pi.describe_dimension_keys/2","type":"function"},{"doc":"","ref":"aws_pi.html#describe_dimension_keys/3","title":"aws_pi.describe_dimension_keys/3","type":"function"},{"doc":"Get the attributes of the specified dimension group for a DB instance or data source. For example, if you specify a SQL ID, GetDimensionKeyDetails retrieves the full text of the dimension db.sql.statement associated with this ID. This operation is useful because GetResourceMetrics and DescribeDimensionKeys don't support retrieval of large SQL statement text.","ref":"aws_pi.html#get_dimension_key_details/2","title":"aws_pi.get_dimension_key_details/2","type":"function"},{"doc":"","ref":"aws_pi.html#get_dimension_key_details/3","title":"aws_pi.get_dimension_key_details/3","type":"function"},{"doc":"Retrieve the metadata for different features. For example, the metadata might indicate that a feature is turned on or off on a specific DB instance.","ref":"aws_pi.html#get_resource_metadata/2","title":"aws_pi.get_resource_metadata/2","type":"function"},{"doc":"","ref":"aws_pi.html#get_resource_metadata/3","title":"aws_pi.get_resource_metadata/3","type":"function"},{"doc":"Retrieve Performance Insights metrics for a set of data sources over a time period. You can provide specific dimension groups and dimensions, and provide aggregation and filtering criteria for each group. Each response element returns a maximum of 500 bytes. For larger elements, such as SQL statements, only the first 500 bytes are returned.","ref":"aws_pi.html#get_resource_metrics/2","title":"aws_pi.get_resource_metrics/2","type":"function"},{"doc":"","ref":"aws_pi.html#get_resource_metrics/3","title":"aws_pi.get_resource_metrics/3","type":"function"},{"doc":"Retrieve the dimensions that can be queried for each specified metric type on a specified DB instance.","ref":"aws_pi.html#list_available_resource_dimensions/2","title":"aws_pi.list_available_resource_dimensions/2","type":"function"},{"doc":"","ref":"aws_pi.html#list_available_resource_dimensions/3","title":"aws_pi.list_available_resource_dimensions/3","type":"function"},{"doc":"Retrieve metrics of the specified types that can be queried for a specified DB instance.","ref":"aws_pi.html#list_available_resource_metrics/2","title":"aws_pi.list_available_resource_metrics/2","type":"function"},{"doc":"","ref":"aws_pi.html#list_available_resource_metrics/3","title":"aws_pi.list_available_resource_metrics/3","type":"function"},{"doc":"Doc Engage API - Amazon Pinpoint API","ref":"aws_pinpoint.html","title":"aws_pinpoint","type":"module"},{"doc":"Creates an application.","ref":"aws_pinpoint.html#create_app/2","title":"aws_pinpoint.create_app/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#create_app/3","title":"aws_pinpoint.create_app/3","type":"function"},{"doc":"Creates a new campaign for an application or updates the settings of an existing campaign for an application.","ref":"aws_pinpoint.html#create_campaign/3","title":"aws_pinpoint.create_campaign/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#create_campaign/4","title":"aws_pinpoint.create_campaign/4","type":"function"},{"doc":"Creates a message template for messages that are sent through the email channel.","ref":"aws_pinpoint.html#create_email_template/3","title":"aws_pinpoint.create_email_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#create_email_template/4","title":"aws_pinpoint.create_email_template/4","type":"function"},{"doc":"Creates an export job for an application.","ref":"aws_pinpoint.html#create_export_job/3","title":"aws_pinpoint.create_export_job/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#create_export_job/4","title":"aws_pinpoint.create_export_job/4","type":"function"},{"doc":"Creates an import job for an application.","ref":"aws_pinpoint.html#create_import_job/3","title":"aws_pinpoint.create_import_job/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#create_import_job/4","title":"aws_pinpoint.create_import_job/4","type":"function"},{"doc":"Creates a new message template for messages using the in-app message channel.","ref":"aws_pinpoint.html#create_in_app_template/3","title":"aws_pinpoint.create_in_app_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#create_in_app_template/4","title":"aws_pinpoint.create_in_app_template/4","type":"function"},{"doc":"Creates a journey for an application.","ref":"aws_pinpoint.html#create_journey/3","title":"aws_pinpoint.create_journey/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#create_journey/4","title":"aws_pinpoint.create_journey/4","type":"function"},{"doc":"Creates a message template for messages that are sent through a push notification channel.","ref":"aws_pinpoint.html#create_push_template/3","title":"aws_pinpoint.create_push_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#create_push_template/4","title":"aws_pinpoint.create_push_template/4","type":"function"},{"doc":"Creates an Amazon Pinpoint configuration for a recommender model.","ref":"aws_pinpoint.html#create_recommender_configuration/2","title":"aws_pinpoint.create_recommender_configuration/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#create_recommender_configuration/3","title":"aws_pinpoint.create_recommender_configuration/3","type":"function"},{"doc":"Creates a new segment for an application or updates the configuration, dimension, and other settings for an existing segment that's associated with an application.","ref":"aws_pinpoint.html#create_segment/3","title":"aws_pinpoint.create_segment/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#create_segment/4","title":"aws_pinpoint.create_segment/4","type":"function"},{"doc":"Creates a message template for messages that are sent through the SMS channel.","ref":"aws_pinpoint.html#create_sms_template/3","title":"aws_pinpoint.create_sms_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#create_sms_template/4","title":"aws_pinpoint.create_sms_template/4","type":"function"},{"doc":"Creates a message template for messages that are sent through the voice channel.","ref":"aws_pinpoint.html#create_voice_template/3","title":"aws_pinpoint.create_voice_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#create_voice_template/4","title":"aws_pinpoint.create_voice_template/4","type":"function"},{"doc":"Disables the ADM channel for an application and deletes any existing settings for the channel.","ref":"aws_pinpoint.html#delete_adm_channel/3","title":"aws_pinpoint.delete_adm_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_adm_channel/4","title":"aws_pinpoint.delete_adm_channel/4","type":"function"},{"doc":"Disables the APNs channel for an application and deletes any existing settings for the channel.","ref":"aws_pinpoint.html#delete_apns_channel/3","title":"aws_pinpoint.delete_apns_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_apns_channel/4","title":"aws_pinpoint.delete_apns_channel/4","type":"function"},{"doc":"Disables the APNs sandbox channel for an application and deletes any existing settings for the channel.","ref":"aws_pinpoint.html#delete_apns_sandbox_channel/3","title":"aws_pinpoint.delete_apns_sandbox_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_apns_sandbox_channel/4","title":"aws_pinpoint.delete_apns_sandbox_channel/4","type":"function"},{"doc":"Disables the APNs VoIP channel for an application and deletes any existing settings for the channel.","ref":"aws_pinpoint.html#delete_apns_voip_channel/3","title":"aws_pinpoint.delete_apns_voip_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_apns_voip_channel/4","title":"aws_pinpoint.delete_apns_voip_channel/4","type":"function"},{"doc":"Disables the APNs VoIP sandbox channel for an application and deletes any existing settings for the channel.","ref":"aws_pinpoint.html#delete_apns_voip_sandbox_channel/3","title":"aws_pinpoint.delete_apns_voip_sandbox_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_apns_voip_sandbox_channel/4","title":"aws_pinpoint.delete_apns_voip_sandbox_channel/4","type":"function"},{"doc":"Deletes an application.","ref":"aws_pinpoint.html#delete_app/3","title":"aws_pinpoint.delete_app/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_app/4","title":"aws_pinpoint.delete_app/4","type":"function"},{"doc":"Disables the Baidu channel for an application and deletes any existing settings for the channel.","ref":"aws_pinpoint.html#delete_baidu_channel/3","title":"aws_pinpoint.delete_baidu_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_baidu_channel/4","title":"aws_pinpoint.delete_baidu_channel/4","type":"function"},{"doc":"Deletes a campaign from an application.","ref":"aws_pinpoint.html#delete_campaign/4","title":"aws_pinpoint.delete_campaign/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_campaign/5","title":"aws_pinpoint.delete_campaign/5","type":"function"},{"doc":"Disables the email channel for an application and deletes any existing settings for the channel.","ref":"aws_pinpoint.html#delete_email_channel/3","title":"aws_pinpoint.delete_email_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_email_channel/4","title":"aws_pinpoint.delete_email_channel/4","type":"function"},{"doc":"Deletes a message template for messages that were sent through the email channel.","ref":"aws_pinpoint.html#delete_email_template/3","title":"aws_pinpoint.delete_email_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_email_template/4","title":"aws_pinpoint.delete_email_template/4","type":"function"},{"doc":"Deletes an endpoint from an application.","ref":"aws_pinpoint.html#delete_endpoint/4","title":"aws_pinpoint.delete_endpoint/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_endpoint/5","title":"aws_pinpoint.delete_endpoint/5","type":"function"},{"doc":"Deletes the event stream for an application.","ref":"aws_pinpoint.html#delete_event_stream/3","title":"aws_pinpoint.delete_event_stream/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_event_stream/4","title":"aws_pinpoint.delete_event_stream/4","type":"function"},{"doc":"Disables the GCM channel for an application and deletes any existing settings for the channel.","ref":"aws_pinpoint.html#delete_gcm_channel/3","title":"aws_pinpoint.delete_gcm_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_gcm_channel/4","title":"aws_pinpoint.delete_gcm_channel/4","type":"function"},{"doc":"Deletes a message template for messages sent using the in-app message channel.","ref":"aws_pinpoint.html#delete_in_app_template/3","title":"aws_pinpoint.delete_in_app_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_in_app_template/4","title":"aws_pinpoint.delete_in_app_template/4","type":"function"},{"doc":"Deletes a journey from an application.","ref":"aws_pinpoint.html#delete_journey/4","title":"aws_pinpoint.delete_journey/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_journey/5","title":"aws_pinpoint.delete_journey/5","type":"function"},{"doc":"Deletes a message template for messages that were sent through a push notification channel.","ref":"aws_pinpoint.html#delete_push_template/3","title":"aws_pinpoint.delete_push_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_push_template/4","title":"aws_pinpoint.delete_push_template/4","type":"function"},{"doc":"Deletes an Amazon Pinpoint configuration for a recommender model.","ref":"aws_pinpoint.html#delete_recommender_configuration/3","title":"aws_pinpoint.delete_recommender_configuration/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_recommender_configuration/4","title":"aws_pinpoint.delete_recommender_configuration/4","type":"function"},{"doc":"Deletes a segment from an application.","ref":"aws_pinpoint.html#delete_segment/4","title":"aws_pinpoint.delete_segment/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_segment/5","title":"aws_pinpoint.delete_segment/5","type":"function"},{"doc":"Disables the SMS channel for an application and deletes any existing settings for the channel.","ref":"aws_pinpoint.html#delete_sms_channel/3","title":"aws_pinpoint.delete_sms_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_sms_channel/4","title":"aws_pinpoint.delete_sms_channel/4","type":"function"},{"doc":"Deletes a message template for messages that were sent through the SMS channel.","ref":"aws_pinpoint.html#delete_sms_template/3","title":"aws_pinpoint.delete_sms_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_sms_template/4","title":"aws_pinpoint.delete_sms_template/4","type":"function"},{"doc":"Deletes all the endpoints that are associated with a specific user ID.","ref":"aws_pinpoint.html#delete_user_endpoints/4","title":"aws_pinpoint.delete_user_endpoints/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_user_endpoints/5","title":"aws_pinpoint.delete_user_endpoints/5","type":"function"},{"doc":"Disables the voice channel for an application and deletes any existing settings for the channel.","ref":"aws_pinpoint.html#delete_voice_channel/3","title":"aws_pinpoint.delete_voice_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_voice_channel/4","title":"aws_pinpoint.delete_voice_channel/4","type":"function"},{"doc":"Deletes a message template for messages that were sent through the voice channel.","ref":"aws_pinpoint.html#delete_voice_template/3","title":"aws_pinpoint.delete_voice_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#delete_voice_template/4","title":"aws_pinpoint.delete_voice_template/4","type":"function"},{"doc":"Retrieves information about the status and settings of the ADM channel for an application.","ref":"aws_pinpoint.html#get_adm_channel/2","title":"aws_pinpoint.get_adm_channel/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_adm_channel/4","title":"aws_pinpoint.get_adm_channel/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_adm_channel/5","title":"aws_pinpoint.get_adm_channel/5","type":"function"},{"doc":"Retrieves information about the status and settings of the APNs channel for an application.","ref":"aws_pinpoint.html#get_apns_channel/2","title":"aws_pinpoint.get_apns_channel/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_apns_channel/4","title":"aws_pinpoint.get_apns_channel/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_apns_channel/5","title":"aws_pinpoint.get_apns_channel/5","type":"function"},{"doc":"Retrieves information about the status and settings of the APNs sandbox channel for an application.","ref":"aws_pinpoint.html#get_apns_sandbox_channel/2","title":"aws_pinpoint.get_apns_sandbox_channel/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_apns_sandbox_channel/4","title":"aws_pinpoint.get_apns_sandbox_channel/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_apns_sandbox_channel/5","title":"aws_pinpoint.get_apns_sandbox_channel/5","type":"function"},{"doc":"Retrieves information about the status and settings of the APNs VoIP channel for an application.","ref":"aws_pinpoint.html#get_apns_voip_channel/2","title":"aws_pinpoint.get_apns_voip_channel/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_apns_voip_channel/4","title":"aws_pinpoint.get_apns_voip_channel/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_apns_voip_channel/5","title":"aws_pinpoint.get_apns_voip_channel/5","type":"function"},{"doc":"Retrieves information about the status and settings of the APNs VoIP sandbox channel for an application.","ref":"aws_pinpoint.html#get_apns_voip_sandbox_channel/2","title":"aws_pinpoint.get_apns_voip_sandbox_channel/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_apns_voip_sandbox_channel/4","title":"aws_pinpoint.get_apns_voip_sandbox_channel/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_apns_voip_sandbox_channel/5","title":"aws_pinpoint.get_apns_voip_sandbox_channel/5","type":"function"},{"doc":"Retrieves information about an application.","ref":"aws_pinpoint.html#get_app/2","title":"aws_pinpoint.get_app/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_app/4","title":"aws_pinpoint.get_app/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_app/5","title":"aws_pinpoint.get_app/5","type":"function"},{"doc":"Retrieves (queries) pre-aggregated data for a standard metric that applies to an application.","ref":"aws_pinpoint.html#get_application_date_range_kpi/3","title":"aws_pinpoint.get_application_date_range_kpi/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_application_date_range_kpi/5","title":"aws_pinpoint.get_application_date_range_kpi/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_application_date_range_kpi/6","title":"aws_pinpoint.get_application_date_range_kpi/6","type":"function"},{"doc":"Retrieves information about the settings for an application.","ref":"aws_pinpoint.html#get_application_settings/2","title":"aws_pinpoint.get_application_settings/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_application_settings/4","title":"aws_pinpoint.get_application_settings/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_application_settings/5","title":"aws_pinpoint.get_application_settings/5","type":"function"},{"doc":"Retrieves information about all the applications that are associated with your Amazon Pinpoint account.","ref":"aws_pinpoint.html#get_apps/1","title":"aws_pinpoint.get_apps/1","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_apps/3","title":"aws_pinpoint.get_apps/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_apps/4","title":"aws_pinpoint.get_apps/4","type":"function"},{"doc":"Retrieves information about the status and settings of the Baidu channel for an application.","ref":"aws_pinpoint.html#get_baidu_channel/2","title":"aws_pinpoint.get_baidu_channel/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_baidu_channel/4","title":"aws_pinpoint.get_baidu_channel/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_baidu_channel/5","title":"aws_pinpoint.get_baidu_channel/5","type":"function"},{"doc":"Retrieves information about the status, configuration, and other settings for a campaign.","ref":"aws_pinpoint.html#get_campaign/3","title":"aws_pinpoint.get_campaign/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_campaign/5","title":"aws_pinpoint.get_campaign/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_campaign/6","title":"aws_pinpoint.get_campaign/6","type":"function"},{"doc":"Retrieves information about all the activities for a campaign.","ref":"aws_pinpoint.html#get_campaign_activities/3","title":"aws_pinpoint.get_campaign_activities/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_campaign_activities/5","title":"aws_pinpoint.get_campaign_activities/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_campaign_activities/6","title":"aws_pinpoint.get_campaign_activities/6","type":"function"},{"doc":"Retrieves (queries) pre-aggregated data for a standard metric that applies to a campaign.","ref":"aws_pinpoint.html#get_campaign_date_range_kpi/4","title":"aws_pinpoint.get_campaign_date_range_kpi/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_campaign_date_range_kpi/6","title":"aws_pinpoint.get_campaign_date_range_kpi/6","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_campaign_date_range_kpi/7","title":"aws_pinpoint.get_campaign_date_range_kpi/7","type":"function"},{"doc":"Retrieves information about the status, configuration, and other settings for a specific version of a campaign.","ref":"aws_pinpoint.html#get_campaign_version/4","title":"aws_pinpoint.get_campaign_version/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_campaign_version/6","title":"aws_pinpoint.get_campaign_version/6","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_campaign_version/7","title":"aws_pinpoint.get_campaign_version/7","type":"function"},{"doc":"Retrieves information about the status, configuration, and other settings for all versions of a campaign.","ref":"aws_pinpoint.html#get_campaign_versions/3","title":"aws_pinpoint.get_campaign_versions/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_campaign_versions/5","title":"aws_pinpoint.get_campaign_versions/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_campaign_versions/6","title":"aws_pinpoint.get_campaign_versions/6","type":"function"},{"doc":"Retrieves information about the status, configuration, and other settings for all the campaigns that are associated with an application.","ref":"aws_pinpoint.html#get_campaigns/2","title":"aws_pinpoint.get_campaigns/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_campaigns/4","title":"aws_pinpoint.get_campaigns/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_campaigns/5","title":"aws_pinpoint.get_campaigns/5","type":"function"},{"doc":"Retrieves information about the history and status of each channel for an application.","ref":"aws_pinpoint.html#get_channels/2","title":"aws_pinpoint.get_channels/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_channels/4","title":"aws_pinpoint.get_channels/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_channels/5","title":"aws_pinpoint.get_channels/5","type":"function"},{"doc":"Retrieves information about the status and settings of the email channel for an application.","ref":"aws_pinpoint.html#get_email_channel/2","title":"aws_pinpoint.get_email_channel/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_email_channel/4","title":"aws_pinpoint.get_email_channel/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_email_channel/5","title":"aws_pinpoint.get_email_channel/5","type":"function"},{"doc":"Retrieves the content and settings of a message template for messages that are sent through the email channel.","ref":"aws_pinpoint.html#get_email_template/2","title":"aws_pinpoint.get_email_template/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_email_template/4","title":"aws_pinpoint.get_email_template/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_email_template/5","title":"aws_pinpoint.get_email_template/5","type":"function"},{"doc":"Retrieves information about the settings and attributes of a specific endpoint for an application.","ref":"aws_pinpoint.html#get_endpoint/3","title":"aws_pinpoint.get_endpoint/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_endpoint/5","title":"aws_pinpoint.get_endpoint/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_endpoint/6","title":"aws_pinpoint.get_endpoint/6","type":"function"},{"doc":"Retrieves information about the event stream settings for an application.","ref":"aws_pinpoint.html#get_event_stream/2","title":"aws_pinpoint.get_event_stream/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_event_stream/4","title":"aws_pinpoint.get_event_stream/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_event_stream/5","title":"aws_pinpoint.get_event_stream/5","type":"function"},{"doc":"Retrieves information about the status and settings of a specific export job for an application.","ref":"aws_pinpoint.html#get_export_job/3","title":"aws_pinpoint.get_export_job/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_export_job/5","title":"aws_pinpoint.get_export_job/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_export_job/6","title":"aws_pinpoint.get_export_job/6","type":"function"},{"doc":"Retrieves information about the status and settings of all the export jobs for an application.","ref":"aws_pinpoint.html#get_export_jobs/2","title":"aws_pinpoint.get_export_jobs/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_export_jobs/4","title":"aws_pinpoint.get_export_jobs/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_export_jobs/5","title":"aws_pinpoint.get_export_jobs/5","type":"function"},{"doc":"Retrieves information about the status and settings of the GCM channel for an application.","ref":"aws_pinpoint.html#get_gcm_channel/2","title":"aws_pinpoint.get_gcm_channel/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_gcm_channel/4","title":"aws_pinpoint.get_gcm_channel/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_gcm_channel/5","title":"aws_pinpoint.get_gcm_channel/5","type":"function"},{"doc":"Retrieves information about the status and settings of a specific import job for an application.","ref":"aws_pinpoint.html#get_import_job/3","title":"aws_pinpoint.get_import_job/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_import_job/5","title":"aws_pinpoint.get_import_job/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_import_job/6","title":"aws_pinpoint.get_import_job/6","type":"function"},{"doc":"Retrieves information about the status and settings of all the import jobs for an application.","ref":"aws_pinpoint.html#get_import_jobs/2","title":"aws_pinpoint.get_import_jobs/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_import_jobs/4","title":"aws_pinpoint.get_import_jobs/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_import_jobs/5","title":"aws_pinpoint.get_import_jobs/5","type":"function"},{"doc":"Retrieves the in-app messages targeted for the provided endpoint ID.","ref":"aws_pinpoint.html#get_in_app_messages/3","title":"aws_pinpoint.get_in_app_messages/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_in_app_messages/5","title":"aws_pinpoint.get_in_app_messages/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_in_app_messages/6","title":"aws_pinpoint.get_in_app_messages/6","type":"function"},{"doc":"Retrieves the content and settings of a message template for messages sent through the in-app channel.","ref":"aws_pinpoint.html#get_in_app_template/2","title":"aws_pinpoint.get_in_app_template/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_in_app_template/4","title":"aws_pinpoint.get_in_app_template/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_in_app_template/5","title":"aws_pinpoint.get_in_app_template/5","type":"function"},{"doc":"Retrieves information about the status, configuration, and other settings for a journey.","ref":"aws_pinpoint.html#get_journey/3","title":"aws_pinpoint.get_journey/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_journey/5","title":"aws_pinpoint.get_journey/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_journey/6","title":"aws_pinpoint.get_journey/6","type":"function"},{"doc":"Retrieves (queries) pre-aggregated data for a standard engagement metric that applies to a journey.","ref":"aws_pinpoint.html#get_journey_date_range_kpi/4","title":"aws_pinpoint.get_journey_date_range_kpi/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_journey_date_range_kpi/6","title":"aws_pinpoint.get_journey_date_range_kpi/6","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_journey_date_range_kpi/7","title":"aws_pinpoint.get_journey_date_range_kpi/7","type":"function"},{"doc":"Retrieves (queries) pre-aggregated data for a standard execution metric that applies to a journey activity.","ref":"aws_pinpoint.html#get_journey_execution_activity_metrics/4","title":"aws_pinpoint.get_journey_execution_activity_metrics/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_journey_execution_activity_metrics/6","title":"aws_pinpoint.get_journey_execution_activity_metrics/6","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_journey_execution_activity_metrics/7","title":"aws_pinpoint.get_journey_execution_activity_metrics/7","type":"function"},{"doc":"Retrieves (queries) pre-aggregated data for a standard execution metric that applies to a journey.","ref":"aws_pinpoint.html#get_journey_execution_metrics/3","title":"aws_pinpoint.get_journey_execution_metrics/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_journey_execution_metrics/5","title":"aws_pinpoint.get_journey_execution_metrics/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_journey_execution_metrics/6","title":"aws_pinpoint.get_journey_execution_metrics/6","type":"function"},{"doc":"Retrieves the content and settings of a message template for messages that are sent through a push notification channel.","ref":"aws_pinpoint.html#get_push_template/2","title":"aws_pinpoint.get_push_template/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_push_template/4","title":"aws_pinpoint.get_push_template/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_push_template/5","title":"aws_pinpoint.get_push_template/5","type":"function"},{"doc":"Retrieves information about an Amazon Pinpoint configuration for a recommender model.","ref":"aws_pinpoint.html#get_recommender_configuration/2","title":"aws_pinpoint.get_recommender_configuration/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_recommender_configuration/4","title":"aws_pinpoint.get_recommender_configuration/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_recommender_configuration/5","title":"aws_pinpoint.get_recommender_configuration/5","type":"function"},{"doc":"Retrieves information about all the recommender model configurations that are associated with your Amazon Pinpoint account.","ref":"aws_pinpoint.html#get_recommender_configurations/1","title":"aws_pinpoint.get_recommender_configurations/1","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_recommender_configurations/3","title":"aws_pinpoint.get_recommender_configurations/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_recommender_configurations/4","title":"aws_pinpoint.get_recommender_configurations/4","type":"function"},{"doc":"Retrieves information about the configuration, dimension, and other settings for a specific segment that's associated with an application.","ref":"aws_pinpoint.html#get_segment/3","title":"aws_pinpoint.get_segment/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_segment/5","title":"aws_pinpoint.get_segment/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_segment/6","title":"aws_pinpoint.get_segment/6","type":"function"},{"doc":"Retrieves information about the status and settings of the export jobs for a segment.","ref":"aws_pinpoint.html#get_segment_export_jobs/3","title":"aws_pinpoint.get_segment_export_jobs/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_segment_export_jobs/5","title":"aws_pinpoint.get_segment_export_jobs/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_segment_export_jobs/6","title":"aws_pinpoint.get_segment_export_jobs/6","type":"function"},{"doc":"Retrieves information about the status and settings of the import jobs for a segment.","ref":"aws_pinpoint.html#get_segment_import_jobs/3","title":"aws_pinpoint.get_segment_import_jobs/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_segment_import_jobs/5","title":"aws_pinpoint.get_segment_import_jobs/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_segment_import_jobs/6","title":"aws_pinpoint.get_segment_import_jobs/6","type":"function"},{"doc":"Retrieves information about the configuration, dimension, and other settings for a specific version of a segment that's associated with an application.","ref":"aws_pinpoint.html#get_segment_version/4","title":"aws_pinpoint.get_segment_version/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_segment_version/6","title":"aws_pinpoint.get_segment_version/6","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_segment_version/7","title":"aws_pinpoint.get_segment_version/7","type":"function"},{"doc":"Retrieves information about the configuration, dimension, and other settings for all the versions of a specific segment that's associated with an application.","ref":"aws_pinpoint.html#get_segment_versions/3","title":"aws_pinpoint.get_segment_versions/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_segment_versions/5","title":"aws_pinpoint.get_segment_versions/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_segment_versions/6","title":"aws_pinpoint.get_segment_versions/6","type":"function"},{"doc":"Retrieves information about the configuration, dimension, and other settings for all the segments that are associated with an application.","ref":"aws_pinpoint.html#get_segments/2","title":"aws_pinpoint.get_segments/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_segments/4","title":"aws_pinpoint.get_segments/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_segments/5","title":"aws_pinpoint.get_segments/5","type":"function"},{"doc":"Retrieves information about the status and settings of the SMS channel for an application.","ref":"aws_pinpoint.html#get_sms_channel/2","title":"aws_pinpoint.get_sms_channel/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_sms_channel/4","title":"aws_pinpoint.get_sms_channel/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_sms_channel/5","title":"aws_pinpoint.get_sms_channel/5","type":"function"},{"doc":"Retrieves the content and settings of a message template for messages that are sent through the SMS channel.","ref":"aws_pinpoint.html#get_sms_template/2","title":"aws_pinpoint.get_sms_template/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_sms_template/4","title":"aws_pinpoint.get_sms_template/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_sms_template/5","title":"aws_pinpoint.get_sms_template/5","type":"function"},{"doc":"Retrieves information about all the endpoints that are associated with a specific user ID.","ref":"aws_pinpoint.html#get_user_endpoints/3","title":"aws_pinpoint.get_user_endpoints/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_user_endpoints/5","title":"aws_pinpoint.get_user_endpoints/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_user_endpoints/6","title":"aws_pinpoint.get_user_endpoints/6","type":"function"},{"doc":"Retrieves information about the status and settings of the voice channel for an application.","ref":"aws_pinpoint.html#get_voice_channel/2","title":"aws_pinpoint.get_voice_channel/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_voice_channel/4","title":"aws_pinpoint.get_voice_channel/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_voice_channel/5","title":"aws_pinpoint.get_voice_channel/5","type":"function"},{"doc":"Retrieves the content and settings of a message template for messages that are sent through the voice channel.","ref":"aws_pinpoint.html#get_voice_template/2","title":"aws_pinpoint.get_voice_template/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_voice_template/4","title":"aws_pinpoint.get_voice_template/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#get_voice_template/5","title":"aws_pinpoint.get_voice_template/5","type":"function"},{"doc":"Retrieves information about the status, configuration, and other settings for all the journeys that are associated with an application.","ref":"aws_pinpoint.html#list_journeys/2","title":"aws_pinpoint.list_journeys/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#list_journeys/4","title":"aws_pinpoint.list_journeys/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#list_journeys/5","title":"aws_pinpoint.list_journeys/5","type":"function"},{"doc":"Retrieves all the tags (keys and values) that are associated with an application, campaign, message template, or segment.","ref":"aws_pinpoint.html#list_tags_for_resource/2","title":"aws_pinpoint.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#list_tags_for_resource/4","title":"aws_pinpoint.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#list_tags_for_resource/5","title":"aws_pinpoint.list_tags_for_resource/5","type":"function"},{"doc":"Retrieves information about all the versions of a specific message template.","ref":"aws_pinpoint.html#list_template_versions/3","title":"aws_pinpoint.list_template_versions/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#list_template_versions/5","title":"aws_pinpoint.list_template_versions/5","type":"function"},{"doc":"","ref":"aws_pinpoint.html#list_template_versions/6","title":"aws_pinpoint.list_template_versions/6","type":"function"},{"doc":"Retrieves information about all the message templates that are associated with your Amazon Pinpoint account.","ref":"aws_pinpoint.html#list_templates/1","title":"aws_pinpoint.list_templates/1","type":"function"},{"doc":"","ref":"aws_pinpoint.html#list_templates/3","title":"aws_pinpoint.list_templates/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#list_templates/4","title":"aws_pinpoint.list_templates/4","type":"function"},{"doc":"Retrieves information about a phone number.","ref":"aws_pinpoint.html#phone_number_validate/2","title":"aws_pinpoint.phone_number_validate/2","type":"function"},{"doc":"","ref":"aws_pinpoint.html#phone_number_validate/3","title":"aws_pinpoint.phone_number_validate/3","type":"function"},{"doc":"Creates a new event stream for an application or updates the settings of an existing event stream for an application.","ref":"aws_pinpoint.html#put_event_stream/3","title":"aws_pinpoint.put_event_stream/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#put_event_stream/4","title":"aws_pinpoint.put_event_stream/4","type":"function"},{"doc":"Creates a new event to record for endpoints, or creates or updates endpoint data that existing events are associated with.","ref":"aws_pinpoint.html#put_events/3","title":"aws_pinpoint.put_events/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#put_events/4","title":"aws_pinpoint.put_events/4","type":"function"},{"doc":"Removes one or more attributes, of the same attribute type, from all the endpoints that are associated with an application.","ref":"aws_pinpoint.html#remove_attributes/4","title":"aws_pinpoint.remove_attributes/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#remove_attributes/5","title":"aws_pinpoint.remove_attributes/5","type":"function"},{"doc":"Creates and sends a direct message.","ref":"aws_pinpoint.html#send_messages/3","title":"aws_pinpoint.send_messages/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#send_messages/4","title":"aws_pinpoint.send_messages/4","type":"function"},{"doc":"Send an OTP message","ref":"aws_pinpoint.html#send_o_t_p_message/3","title":"aws_pinpoint.send_o_t_p_message/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#send_o_t_p_message/4","title":"aws_pinpoint.send_o_t_p_message/4","type":"function"},{"doc":"Creates and sends a message to a list of users.","ref":"aws_pinpoint.html#send_users_messages/3","title":"aws_pinpoint.send_users_messages/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#send_users_messages/4","title":"aws_pinpoint.send_users_messages/4","type":"function"},{"doc":"Adds one or more tags (keys and values) to an application, campaign, message template, or segment.","ref":"aws_pinpoint.html#tag_resource/3","title":"aws_pinpoint.tag_resource/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#tag_resource/4","title":"aws_pinpoint.tag_resource/4","type":"function"},{"doc":"Removes one or more tags (keys and values) from an application, campaign, message template, or segment.","ref":"aws_pinpoint.html#untag_resource/3","title":"aws_pinpoint.untag_resource/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#untag_resource/4","title":"aws_pinpoint.untag_resource/4","type":"function"},{"doc":"Enables the ADM channel for an application or updates the status and settings of the ADM channel for an application.","ref":"aws_pinpoint.html#update_adm_channel/3","title":"aws_pinpoint.update_adm_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_adm_channel/4","title":"aws_pinpoint.update_adm_channel/4","type":"function"},{"doc":"Enables the APNs channel for an application or updates the status and settings of the APNs channel for an application.","ref":"aws_pinpoint.html#update_apns_channel/3","title":"aws_pinpoint.update_apns_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_apns_channel/4","title":"aws_pinpoint.update_apns_channel/4","type":"function"},{"doc":"Enables the APNs sandbox channel for an application or updates the status and settings of the APNs sandbox channel for an application.","ref":"aws_pinpoint.html#update_apns_sandbox_channel/3","title":"aws_pinpoint.update_apns_sandbox_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_apns_sandbox_channel/4","title":"aws_pinpoint.update_apns_sandbox_channel/4","type":"function"},{"doc":"Enables the APNs VoIP channel for an application or updates the status and settings of the APNs VoIP channel for an application.","ref":"aws_pinpoint.html#update_apns_voip_channel/3","title":"aws_pinpoint.update_apns_voip_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_apns_voip_channel/4","title":"aws_pinpoint.update_apns_voip_channel/4","type":"function"},{"doc":"Enables the APNs VoIP sandbox channel for an application or updates the status and settings of the APNs VoIP sandbox channel for an application.","ref":"aws_pinpoint.html#update_apns_voip_sandbox_channel/3","title":"aws_pinpoint.update_apns_voip_sandbox_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_apns_voip_sandbox_channel/4","title":"aws_pinpoint.update_apns_voip_sandbox_channel/4","type":"function"},{"doc":"Updates the settings for an application.","ref":"aws_pinpoint.html#update_application_settings/3","title":"aws_pinpoint.update_application_settings/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_application_settings/4","title":"aws_pinpoint.update_application_settings/4","type":"function"},{"doc":"Enables the Baidu channel for an application or updates the status and settings of the Baidu channel for an application.","ref":"aws_pinpoint.html#update_baidu_channel/3","title":"aws_pinpoint.update_baidu_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_baidu_channel/4","title":"aws_pinpoint.update_baidu_channel/4","type":"function"},{"doc":"Updates the configuration and other settings for a campaign.","ref":"aws_pinpoint.html#update_campaign/4","title":"aws_pinpoint.update_campaign/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_campaign/5","title":"aws_pinpoint.update_campaign/5","type":"function"},{"doc":"Enables the email channel for an application or updates the status and settings of the email channel for an application.","ref":"aws_pinpoint.html#update_email_channel/3","title":"aws_pinpoint.update_email_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_email_channel/4","title":"aws_pinpoint.update_email_channel/4","type":"function"},{"doc":"Updates an existing message template for messages that are sent through the email channel.","ref":"aws_pinpoint.html#update_email_template/3","title":"aws_pinpoint.update_email_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_email_template/4","title":"aws_pinpoint.update_email_template/4","type":"function"},{"doc":"Creates a new endpoint for an application or updates the settings and attributes of an existing endpoint for an application. You can also use this operation to define custom attributes for an endpoint. If an update includes one or more values for a custom attribute, Amazon Pinpoint replaces (overwrites) any existing values with the new values.","ref":"aws_pinpoint.html#update_endpoint/4","title":"aws_pinpoint.update_endpoint/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_endpoint/5","title":"aws_pinpoint.update_endpoint/5","type":"function"},{"doc":"Creates a new batch of endpoints for an application or updates the settings and attributes of a batch of existing endpoints for an application. You can also use this operation to define custom attributes for a batch of endpoints. If an update includes one or more values for a custom attribute, Amazon Pinpoint replaces (overwrites) any existing values with the new values.","ref":"aws_pinpoint.html#update_endpoints_batch/3","title":"aws_pinpoint.update_endpoints_batch/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_endpoints_batch/4","title":"aws_pinpoint.update_endpoints_batch/4","type":"function"},{"doc":"Enables the GCM channel for an application or updates the status and settings of the GCM channel for an application.","ref":"aws_pinpoint.html#update_gcm_channel/3","title":"aws_pinpoint.update_gcm_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_gcm_channel/4","title":"aws_pinpoint.update_gcm_channel/4","type":"function"},{"doc":"Updates an existing message template for messages sent through the in-app message channel.","ref":"aws_pinpoint.html#update_in_app_template/3","title":"aws_pinpoint.update_in_app_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_in_app_template/4","title":"aws_pinpoint.update_in_app_template/4","type":"function"},{"doc":"Updates the configuration and other settings for a journey.","ref":"aws_pinpoint.html#update_journey/4","title":"aws_pinpoint.update_journey/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_journey/5","title":"aws_pinpoint.update_journey/5","type":"function"},{"doc":"Pause, resume or cancels (stops) a journey.","ref":"aws_pinpoint.html#update_journey_state/4","title":"aws_pinpoint.update_journey_state/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_journey_state/5","title":"aws_pinpoint.update_journey_state/5","type":"function"},{"doc":"Updates an existing message template for messages that are sent through a push notification channel.","ref":"aws_pinpoint.html#update_push_template/3","title":"aws_pinpoint.update_push_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_push_template/4","title":"aws_pinpoint.update_push_template/4","type":"function"},{"doc":"Updates an Amazon Pinpoint configuration for a recommender model.","ref":"aws_pinpoint.html#update_recommender_configuration/3","title":"aws_pinpoint.update_recommender_configuration/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_recommender_configuration/4","title":"aws_pinpoint.update_recommender_configuration/4","type":"function"},{"doc":"Creates a new segment for an application or updates the configuration, dimension, and other settings for an existing segment that's associated with an application.","ref":"aws_pinpoint.html#update_segment/4","title":"aws_pinpoint.update_segment/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_segment/5","title":"aws_pinpoint.update_segment/5","type":"function"},{"doc":"Enables the SMS channel for an application or updates the status and settings of the SMS channel for an application.","ref":"aws_pinpoint.html#update_sms_channel/3","title":"aws_pinpoint.update_sms_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_sms_channel/4","title":"aws_pinpoint.update_sms_channel/4","type":"function"},{"doc":"Updates an existing message template for messages that are sent through the SMS channel.","ref":"aws_pinpoint.html#update_sms_template/3","title":"aws_pinpoint.update_sms_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_sms_template/4","title":"aws_pinpoint.update_sms_template/4","type":"function"},{"doc":"Changes the status of a specific version of a message template to active.","ref":"aws_pinpoint.html#update_template_active_version/4","title":"aws_pinpoint.update_template_active_version/4","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_template_active_version/5","title":"aws_pinpoint.update_template_active_version/5","type":"function"},{"doc":"Enables the voice channel for an application or updates the status and settings of the voice channel for an application.","ref":"aws_pinpoint.html#update_voice_channel/3","title":"aws_pinpoint.update_voice_channel/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_voice_channel/4","title":"aws_pinpoint.update_voice_channel/4","type":"function"},{"doc":"Updates an existing message template for messages that are sent through the voice channel.","ref":"aws_pinpoint.html#update_voice_template/3","title":"aws_pinpoint.update_voice_template/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#update_voice_template/4","title":"aws_pinpoint.update_voice_template/4","type":"function"},{"doc":"Verify an OTP","ref":"aws_pinpoint.html#verify_o_t_p_message/3","title":"aws_pinpoint.verify_o_t_p_message/3","type":"function"},{"doc":"","ref":"aws_pinpoint.html#verify_o_t_p_message/4","title":"aws_pinpoint.verify_o_t_p_message/4","type":"function"},{"doc":"Amazon Pinpoint Email Service Welcome to the Amazon Pinpoint Email API Reference. This guide provides information about the Amazon Pinpoint Email API (version 1.0), including supported operations, data types, parameters, and schemas. Amazon Pinpoint is an AWS service that you can use to engage with your customers across multiple messaging channels. You can use Amazon Pinpoint to send email, SMS text messages, voice messages, and push notifications. The Amazon Pinpoint Email API provides programmatic access to options that are unique to the email channel and supplement the options provided by the Amazon Pinpoint API. If you're new to Amazon Pinpoint, you might find it helpful to also review the Amazon Pinpoint Developer Guide. The Amazon Pinpoint Developer Guide provides tutorials, code samples, and procedures that demonstrate how to use Amazon Pinpoint features programmatically and how to integrate Amazon Pinpoint functionality into mobile apps and other types of applications. The guide also provides information about key topics such as Amazon Pinpoint integration with other AWS services and the limits that apply to using the service. The Amazon Pinpoint Email API is available in several AWS Regions and it provides an endpoint for each of these Regions. For a list of all the Regions and endpoints where the API is currently available, see AWS Service Endpoints in the Amazon Web Services General Reference. To learn more about AWS Regions, see Managing AWS Regions in the Amazon Web Services General Reference. In each Region, AWS maintains multiple Availability Zones. These Availability Zones are physically isolated from each other, but are united by private, low-latency, high-throughput, and highly redundant network connections. These Availability Zones enable us to provide very high levels of availability and redundancy, while also minimizing latency. To learn more about the number of Availability Zones that are available in each Region, see AWS Global Infrastructure.","ref":"aws_pinpoint_email.html","title":"aws_pinpoint_email","type":"module"},{"doc":"Create a configuration set. Configuration sets are groups of rules that you can apply to the emails you send using Amazon Pinpoint. You apply a configuration set to an email by including a reference to the configuration set in the headers of the email. When you apply a configuration set to an email, all of the rules in that configuration set are applied to the email.","ref":"aws_pinpoint_email.html#create_configuration_set/2","title":"aws_pinpoint_email.create_configuration_set/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#create_configuration_set/3","title":"aws_pinpoint_email.create_configuration_set/3","type":"function"},{"doc":"Create an event destination. In Amazon Pinpoint, events include message sends, deliveries, opens, clicks, bounces, and complaints. Event destinations are places that you can send information about these events to. For example, you can send event data to Amazon SNS to receive notifications when you receive bounces or complaints, or you can use Amazon Kinesis Data Firehose to stream data to Amazon S3 for long-term storage. A single configuration set can include more than one event destination.","ref":"aws_pinpoint_email.html#create_configuration_set_event_destination/3","title":"aws_pinpoint_email.create_configuration_set_event_destination/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#create_configuration_set_event_destination/4","title":"aws_pinpoint_email.create_configuration_set_event_destination/4","type":"function"},{"doc":"Create a new pool of dedicated IP addresses. A pool can include one or more dedicated IP addresses that are associated with your Amazon Pinpoint account. You can associate a pool with a configuration set. When you send an email that uses that configuration set, Amazon Pinpoint sends it using only the IP addresses in the associated pool.","ref":"aws_pinpoint_email.html#create_dedicated_ip_pool/2","title":"aws_pinpoint_email.create_dedicated_ip_pool/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#create_dedicated_ip_pool/3","title":"aws_pinpoint_email.create_dedicated_ip_pool/3","type":"function"},{"doc":"Create a new predictive inbox placement test. Predictive inbox placement tests can help you predict how your messages will be handled by various email providers around the world. When you perform a predictive inbox placement test, you provide a sample message that contains the content that you plan to send to your customers. Amazon Pinpoint then sends that message to special email addresses spread across several major email providers. After about 24 hours, the test is complete, and you can use the GetDeliverabilityTestReport operation to view the results of the test.","ref":"aws_pinpoint_email.html#create_deliverability_test_report/2","title":"aws_pinpoint_email.create_deliverability_test_report/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#create_deliverability_test_report/3","title":"aws_pinpoint_email.create_deliverability_test_report/3","type":"function"},{"doc":"Verifies an email identity for use with Amazon Pinpoint. In Amazon Pinpoint, an identity is an email address or domain that you use when you send email. Before you can use an identity to send email with Amazon Pinpoint, you first have to verify it. By verifying an address, you demonstrate that you're the owner of the address, and that you've given Amazon Pinpoint permission to send email from the address. When you verify an email address, Amazon Pinpoint sends an email to the address. Your email address is verified as soon as you follow the link in the verification email. When you verify a domain, this operation provides a set of DKIM tokens, which you can convert into CNAME tokens. You add these CNAME tokens to the DNS configuration for your domain. Your domain is verified when Amazon Pinpoint detects these records in the DNS configuration for your domain. It usually takes around 72 hours to complete the domain verification process.","ref":"aws_pinpoint_email.html#create_email_identity/2","title":"aws_pinpoint_email.create_email_identity/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#create_email_identity/3","title":"aws_pinpoint_email.create_email_identity/3","type":"function"},{"doc":"Delete an existing configuration set. In Amazon Pinpoint, configuration sets are groups of rules that you can apply to the emails you send. You apply a configuration set to an email by including a reference to the configuration set in the headers of the email. When you apply a configuration set to an email, all of the rules in that configuration set are applied to the email.","ref":"aws_pinpoint_email.html#delete_configuration_set/3","title":"aws_pinpoint_email.delete_configuration_set/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#delete_configuration_set/4","title":"aws_pinpoint_email.delete_configuration_set/4","type":"function"},{"doc":"Delete an event destination. In Amazon Pinpoint, events include message sends, deliveries, opens, clicks, bounces, and complaints. Event destinations are places that you can send information about these events to. For example, you can send event data to Amazon SNS to receive notifications when you receive bounces or complaints, or you can use Amazon Kinesis Data Firehose to stream data to Amazon S3 for long-term storage.","ref":"aws_pinpoint_email.html#delete_configuration_set_event_destination/4","title":"aws_pinpoint_email.delete_configuration_set_event_destination/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#delete_configuration_set_event_destination/5","title":"aws_pinpoint_email.delete_configuration_set_event_destination/5","type":"function"},{"doc":"Delete a dedicated IP pool.","ref":"aws_pinpoint_email.html#delete_dedicated_ip_pool/3","title":"aws_pinpoint_email.delete_dedicated_ip_pool/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#delete_dedicated_ip_pool/4","title":"aws_pinpoint_email.delete_dedicated_ip_pool/4","type":"function"},{"doc":"Deletes an email identity that you previously verified for use with Amazon Pinpoint. An identity can be either an email address or a domain name.","ref":"aws_pinpoint_email.html#delete_email_identity/3","title":"aws_pinpoint_email.delete_email_identity/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#delete_email_identity/4","title":"aws_pinpoint_email.delete_email_identity/4","type":"function"},{"doc":"Obtain information about the email-sending status and capabilities of your Amazon Pinpoint account in the current AWS Region.","ref":"aws_pinpoint_email.html#get_account/1","title":"aws_pinpoint_email.get_account/1","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_account/3","title":"aws_pinpoint_email.get_account/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_account/4","title":"aws_pinpoint_email.get_account/4","type":"function"},{"doc":"Retrieve a list of the blacklists that your dedicated IP addresses appear on.","ref":"aws_pinpoint_email.html#get_blacklist_reports/2","title":"aws_pinpoint_email.get_blacklist_reports/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_blacklist_reports/4","title":"aws_pinpoint_email.get_blacklist_reports/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_blacklist_reports/5","title":"aws_pinpoint_email.get_blacklist_reports/5","type":"function"},{"doc":"Get information about an existing configuration set, including the dedicated IP pool that it's associated with, whether or not it's enabled for sending email, and more. In Amazon Pinpoint, configuration sets are groups of rules that you can apply to the emails you send. You apply a configuration set to an email by including a reference to the configuration set in the headers of the email. When you apply a configuration set to an email, all of the rules in that configuration set are applied to the email.","ref":"aws_pinpoint_email.html#get_configuration_set/2","title":"aws_pinpoint_email.get_configuration_set/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_configuration_set/4","title":"aws_pinpoint_email.get_configuration_set/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_configuration_set/5","title":"aws_pinpoint_email.get_configuration_set/5","type":"function"},{"doc":"Retrieve a list of event destinations that are associated with a configuration set. In Amazon Pinpoint, events include message sends, deliveries, opens, clicks, bounces, and complaints. Event destinations are places that you can send information about these events to. For example, you can send event data to Amazon SNS to receive notifications when you receive bounces or complaints, or you can use Amazon Kinesis Data Firehose to stream data to Amazon S3 for long-term storage.","ref":"aws_pinpoint_email.html#get_configuration_set_event_destinations/2","title":"aws_pinpoint_email.get_configuration_set_event_destinations/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_configuration_set_event_destinations/4","title":"aws_pinpoint_email.get_configuration_set_event_destinations/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_configuration_set_event_destinations/5","title":"aws_pinpoint_email.get_configuration_set_event_destinations/5","type":"function"},{"doc":"Get information about a dedicated IP address, including the name of the dedicated IP pool that it's associated with, as well information about the automatic warm-up process for the address.","ref":"aws_pinpoint_email.html#get_dedicated_ip/2","title":"aws_pinpoint_email.get_dedicated_ip/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_dedicated_ip/4","title":"aws_pinpoint_email.get_dedicated_ip/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_dedicated_ip/5","title":"aws_pinpoint_email.get_dedicated_ip/5","type":"function"},{"doc":"List the dedicated IP addresses that are associated with your Amazon Pinpoint account.","ref":"aws_pinpoint_email.html#get_dedicated_ips/1","title":"aws_pinpoint_email.get_dedicated_ips/1","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_dedicated_ips/3","title":"aws_pinpoint_email.get_dedicated_ips/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_dedicated_ips/4","title":"aws_pinpoint_email.get_dedicated_ips/4","type":"function"},{"doc":"Retrieve information about the status of the Deliverability dashboard for your Amazon Pinpoint account. When the Deliverability dashboard is enabled, you gain access to reputation, deliverability, and other metrics for the domains that you use to send email using Amazon Pinpoint. You also gain the ability to perform predictive inbox placement tests. When you use the Deliverability dashboard, you pay a monthly subscription charge, in addition to any other fees that you accrue by using Amazon Pinpoint. For more information about the features and cost of a Deliverability dashboard subscription, see Amazon Pinpoint Pricing.","ref":"aws_pinpoint_email.html#get_deliverability_dashboard_options/1","title":"aws_pinpoint_email.get_deliverability_dashboard_options/1","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_deliverability_dashboard_options/3","title":"aws_pinpoint_email.get_deliverability_dashboard_options/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_deliverability_dashboard_options/4","title":"aws_pinpoint_email.get_deliverability_dashboard_options/4","type":"function"},{"doc":"Retrieve the results of a predictive inbox placement test.","ref":"aws_pinpoint_email.html#get_deliverability_test_report/2","title":"aws_pinpoint_email.get_deliverability_test_report/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_deliverability_test_report/4","title":"aws_pinpoint_email.get_deliverability_test_report/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_deliverability_test_report/5","title":"aws_pinpoint_email.get_deliverability_test_report/5","type":"function"},{"doc":"Retrieve all the deliverability data for a specific campaign. This data is available for a campaign only if the campaign sent email by using a domain that the Deliverability dashboard is enabled for ( PutDeliverabilityDashboardOption operation).","ref":"aws_pinpoint_email.html#get_domain_deliverability_campaign/2","title":"aws_pinpoint_email.get_domain_deliverability_campaign/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_domain_deliverability_campaign/4","title":"aws_pinpoint_email.get_domain_deliverability_campaign/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_domain_deliverability_campaign/5","title":"aws_pinpoint_email.get_domain_deliverability_campaign/5","type":"function"},{"doc":"Retrieve inbox placement and engagement rates for the domains that you use to send email.","ref":"aws_pinpoint_email.html#get_domain_statistics_report/4","title":"aws_pinpoint_email.get_domain_statistics_report/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_domain_statistics_report/6","title":"aws_pinpoint_email.get_domain_statistics_report/6","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_domain_statistics_report/7","title":"aws_pinpoint_email.get_domain_statistics_report/7","type":"function"},{"doc":"Provides information about a specific identity associated with your Amazon Pinpoint account, including the identity's verification status, its DKIM authentication status, and its custom Mail-From settings.","ref":"aws_pinpoint_email.html#get_email_identity/2","title":"aws_pinpoint_email.get_email_identity/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_email_identity/4","title":"aws_pinpoint_email.get_email_identity/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#get_email_identity/5","title":"aws_pinpoint_email.get_email_identity/5","type":"function"},{"doc":"List all of the configuration sets associated with your Amazon Pinpoint account in the current region. In Amazon Pinpoint, configuration sets are groups of rules that you can apply to the emails you send. You apply a configuration set to an email by including a reference to the configuration set in the headers of the email. When you apply a configuration set to an email, all of the rules in that configuration set are applied to the email.","ref":"aws_pinpoint_email.html#list_configuration_sets/1","title":"aws_pinpoint_email.list_configuration_sets/1","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#list_configuration_sets/3","title":"aws_pinpoint_email.list_configuration_sets/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#list_configuration_sets/4","title":"aws_pinpoint_email.list_configuration_sets/4","type":"function"},{"doc":"List all of the dedicated IP pools that exist in your Amazon Pinpoint account in the current AWS Region.","ref":"aws_pinpoint_email.html#list_dedicated_ip_pools/1","title":"aws_pinpoint_email.list_dedicated_ip_pools/1","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#list_dedicated_ip_pools/3","title":"aws_pinpoint_email.list_dedicated_ip_pools/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#list_dedicated_ip_pools/4","title":"aws_pinpoint_email.list_dedicated_ip_pools/4","type":"function"},{"doc":"Show a list of the predictive inbox placement tests that you've performed, regardless of their statuses. For predictive inbox placement tests that are complete, you can use the GetDeliverabilityTestReport operation to view the results.","ref":"aws_pinpoint_email.html#list_deliverability_test_reports/1","title":"aws_pinpoint_email.list_deliverability_test_reports/1","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#list_deliverability_test_reports/3","title":"aws_pinpoint_email.list_deliverability_test_reports/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#list_deliverability_test_reports/4","title":"aws_pinpoint_email.list_deliverability_test_reports/4","type":"function"},{"doc":"Retrieve deliverability data for all the campaigns that used a specific domain to send email during a specified time range. This data is available for a domain only if you enabled the Deliverability dashboard ( PutDeliverabilityDashboardOption operation) for the domain.","ref":"aws_pinpoint_email.html#list_domain_deliverability_campaigns/4","title":"aws_pinpoint_email.list_domain_deliverability_campaigns/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#list_domain_deliverability_campaigns/6","title":"aws_pinpoint_email.list_domain_deliverability_campaigns/6","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#list_domain_deliverability_campaigns/7","title":"aws_pinpoint_email.list_domain_deliverability_campaigns/7","type":"function"},{"doc":"Returns a list of all of the email identities that are associated with your Amazon Pinpoint account. An identity can be either an email address or a domain. This operation returns identities that are verified as well as those that aren't.","ref":"aws_pinpoint_email.html#list_email_identities/1","title":"aws_pinpoint_email.list_email_identities/1","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#list_email_identities/3","title":"aws_pinpoint_email.list_email_identities/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#list_email_identities/4","title":"aws_pinpoint_email.list_email_identities/4","type":"function"},{"doc":"Retrieve a list of the tags (keys and values) that are associated with a specified resource. A tag is a label that you optionally define and associate with a resource in Amazon Pinpoint. Each tag consists of a required tag key and an optional associated tag value. A tag key is a general label that acts as a category for more specific tag values. A tag value acts as a descriptor within a tag key.","ref":"aws_pinpoint_email.html#list_tags_for_resource/2","title":"aws_pinpoint_email.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#list_tags_for_resource/4","title":"aws_pinpoint_email.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#list_tags_for_resource/5","title":"aws_pinpoint_email.list_tags_for_resource/5","type":"function"},{"doc":"Enable or disable the automatic warm-up feature for dedicated IP addresses.","ref":"aws_pinpoint_email.html#put_account_dedicated_ip_warmup_attributes/2","title":"aws_pinpoint_email.put_account_dedicated_ip_warmup_attributes/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_account_dedicated_ip_warmup_attributes/3","title":"aws_pinpoint_email.put_account_dedicated_ip_warmup_attributes/3","type":"function"},{"doc":"Enable or disable the ability of your account to send email.","ref":"aws_pinpoint_email.html#put_account_sending_attributes/2","title":"aws_pinpoint_email.put_account_sending_attributes/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_account_sending_attributes/3","title":"aws_pinpoint_email.put_account_sending_attributes/3","type":"function"},{"doc":"Associate a configuration set with a dedicated IP pool. You can use dedicated IP pools to create groups of dedicated IP addresses for sending specific types of email.","ref":"aws_pinpoint_email.html#put_configuration_set_delivery_options/3","title":"aws_pinpoint_email.put_configuration_set_delivery_options/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_configuration_set_delivery_options/4","title":"aws_pinpoint_email.put_configuration_set_delivery_options/4","type":"function"},{"doc":"Enable or disable collection of reputation metrics for emails that you send using a particular configuration set in a specific AWS Region.","ref":"aws_pinpoint_email.html#put_configuration_set_reputation_options/3","title":"aws_pinpoint_email.put_configuration_set_reputation_options/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_configuration_set_reputation_options/4","title":"aws_pinpoint_email.put_configuration_set_reputation_options/4","type":"function"},{"doc":"Enable or disable email sending for messages that use a particular configuration set in a specific AWS Region.","ref":"aws_pinpoint_email.html#put_configuration_set_sending_options/3","title":"aws_pinpoint_email.put_configuration_set_sending_options/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_configuration_set_sending_options/4","title":"aws_pinpoint_email.put_configuration_set_sending_options/4","type":"function"},{"doc":"Specify a custom domain to use for open and click tracking elements in email that you send using Amazon Pinpoint.","ref":"aws_pinpoint_email.html#put_configuration_set_tracking_options/3","title":"aws_pinpoint_email.put_configuration_set_tracking_options/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_configuration_set_tracking_options/4","title":"aws_pinpoint_email.put_configuration_set_tracking_options/4","type":"function"},{"doc":"Move a dedicated IP address to an existing dedicated IP pool. The dedicated IP address that you specify must already exist, and must be associated with your Amazon Pinpoint account. The dedicated IP pool you specify must already exist. You can create a new pool by using the CreateDedicatedIpPool operation.","ref":"aws_pinpoint_email.html#put_dedicated_ip_in_pool/3","title":"aws_pinpoint_email.put_dedicated_ip_in_pool/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_dedicated_ip_in_pool/4","title":"aws_pinpoint_email.put_dedicated_ip_in_pool/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_dedicated_ip_warmup_attributes/3","title":"aws_pinpoint_email.put_dedicated_ip_warmup_attributes/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_dedicated_ip_warmup_attributes/4","title":"aws_pinpoint_email.put_dedicated_ip_warmup_attributes/4","type":"function"},{"doc":"Enable or disable the Deliverability dashboard for your Amazon Pinpoint account. When you enable the Deliverability dashboard, you gain access to reputation, deliverability, and other metrics for the domains that you use to send email using Amazon Pinpoint. You also gain the ability to perform predictive inbox placement tests. When you use the Deliverability dashboard, you pay a monthly subscription charge, in addition to any other fees that you accrue by using Amazon Pinpoint. For more information about the features and cost of a Deliverability dashboard subscription, see Amazon Pinpoint Pricing.","ref":"aws_pinpoint_email.html#put_deliverability_dashboard_option/2","title":"aws_pinpoint_email.put_deliverability_dashboard_option/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_deliverability_dashboard_option/3","title":"aws_pinpoint_email.put_deliverability_dashboard_option/3","type":"function"},{"doc":"Used to enable or disable DKIM authentication for an email identity.","ref":"aws_pinpoint_email.html#put_email_identity_dkim_attributes/3","title":"aws_pinpoint_email.put_email_identity_dkim_attributes/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_email_identity_dkim_attributes/4","title":"aws_pinpoint_email.put_email_identity_dkim_attributes/4","type":"function"},{"doc":"Used to enable or disable feedback forwarding for an identity. This setting determines what happens when an identity is used to send an email that results in a bounce or complaint event. When you enable feedback forwarding, Amazon Pinpoint sends you email notifications when bounce or complaint events occur. Amazon Pinpoint sends this notification to the address that you specified in the Return-Path header of the original email. When you disable feedback forwarding, Amazon Pinpoint sends notifications through other mechanisms, such as by notifying an Amazon SNS topic. You're required to have a method of tracking bounces and complaints. If you haven't set up another mechanism for receiving bounce or complaint notifications, Amazon Pinpoint sends an email notification when these events occur (even if this setting is disabled).","ref":"aws_pinpoint_email.html#put_email_identity_feedback_attributes/3","title":"aws_pinpoint_email.put_email_identity_feedback_attributes/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_email_identity_feedback_attributes/4","title":"aws_pinpoint_email.put_email_identity_feedback_attributes/4","type":"function"},{"doc":"Used to enable or disable the custom Mail-From domain configuration for an email identity.","ref":"aws_pinpoint_email.html#put_email_identity_mail_from_attributes/3","title":"aws_pinpoint_email.put_email_identity_mail_from_attributes/3","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#put_email_identity_mail_from_attributes/4","title":"aws_pinpoint_email.put_email_identity_mail_from_attributes/4","type":"function"},{"doc":"Sends an email message. You can use the Amazon Pinpoint Email API to send two types of messages: Simple – A standard email message. When you create this type of message, you specify the sender, the recipient, and the message body, and Amazon Pinpoint assembles the message for you. Raw – A raw, MIME-formatted email message. When you send this type of email, you have to specify all of the message headers, as well as the message body. You can use this message type to send messages that contain attachments. The message that you specify has to be a valid MIME message.","ref":"aws_pinpoint_email.html#send_email/2","title":"aws_pinpoint_email.send_email/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#send_email/3","title":"aws_pinpoint_email.send_email/3","type":"function"},{"doc":"Add one or more tags (keys and values) to a specified resource. A tag is a label that you optionally define and associate with a resource in Amazon Pinpoint. Tags can help you categorize and manage resources in different ways, such as by purpose, owner, environment, or other criteria. A resource can have as many as 50 tags. Each tag consists of a required tag key and an associated tag value, both of which you define. A tag key is a general label that acts as a category for more specific tag values. A tag value acts as a descriptor within a tag key.","ref":"aws_pinpoint_email.html#tag_resource/2","title":"aws_pinpoint_email.tag_resource/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#tag_resource/3","title":"aws_pinpoint_email.tag_resource/3","type":"function"},{"doc":"Remove one or more tags (keys and values) from a specified resource.","ref":"aws_pinpoint_email.html#untag_resource/2","title":"aws_pinpoint_email.untag_resource/2","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#untag_resource/3","title":"aws_pinpoint_email.untag_resource/3","type":"function"},{"doc":"Update the configuration of an event destination for a configuration set. In Amazon Pinpoint, events include message sends, deliveries, opens, clicks, bounces, and complaints. Event destinations are places that you can send information about these events to. For example, you can send event data to Amazon SNS to receive notifications when you receive bounces or complaints, or you can use Amazon Kinesis Data Firehose to stream data to Amazon S3 for long-term storage.","ref":"aws_pinpoint_email.html#update_configuration_set_event_destination/4","title":"aws_pinpoint_email.update_configuration_set_event_destination/4","type":"function"},{"doc":"","ref":"aws_pinpoint_email.html#update_configuration_set_event_destination/5","title":"aws_pinpoint_email.update_configuration_set_event_destination/5","type":"function"},{"doc":"Pinpoint SMS and Voice Messaging public facing APIs","ref":"aws_pinpoint_sms_voice.html","title":"aws_pinpoint_sms_voice","type":"module"},{"doc":"Create a new configuration set. After you create the configuration set, you can add one or more event destinations to it.","ref":"aws_pinpoint_sms_voice.html#create_configuration_set/2","title":"aws_pinpoint_sms_voice.create_configuration_set/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice.html#create_configuration_set/3","title":"aws_pinpoint_sms_voice.create_configuration_set/3","type":"function"},{"doc":"Create a new event destination in a configuration set.","ref":"aws_pinpoint_sms_voice.html#create_configuration_set_event_destination/3","title":"aws_pinpoint_sms_voice.create_configuration_set_event_destination/3","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice.html#create_configuration_set_event_destination/4","title":"aws_pinpoint_sms_voice.create_configuration_set_event_destination/4","type":"function"},{"doc":"Deletes an existing configuration set.","ref":"aws_pinpoint_sms_voice.html#delete_configuration_set/3","title":"aws_pinpoint_sms_voice.delete_configuration_set/3","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice.html#delete_configuration_set/4","title":"aws_pinpoint_sms_voice.delete_configuration_set/4","type":"function"},{"doc":"Deletes an event destination in a configuration set.","ref":"aws_pinpoint_sms_voice.html#delete_configuration_set_event_destination/4","title":"aws_pinpoint_sms_voice.delete_configuration_set_event_destination/4","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice.html#delete_configuration_set_event_destination/5","title":"aws_pinpoint_sms_voice.delete_configuration_set_event_destination/5","type":"function"},{"doc":"Obtain information about an event destination, including the types of events it reports, the Amazon Resource Name (ARN) of the destination, and the name of the event destination.","ref":"aws_pinpoint_sms_voice.html#get_configuration_set_event_destinations/2","title":"aws_pinpoint_sms_voice.get_configuration_set_event_destinations/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice.html#get_configuration_set_event_destinations/4","title":"aws_pinpoint_sms_voice.get_configuration_set_event_destinations/4","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice.html#get_configuration_set_event_destinations/5","title":"aws_pinpoint_sms_voice.get_configuration_set_event_destinations/5","type":"function"},{"doc":"List all of the configuration sets associated with your Amazon Pinpoint account in the current region.","ref":"aws_pinpoint_sms_voice.html#list_configuration_sets/1","title":"aws_pinpoint_sms_voice.list_configuration_sets/1","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice.html#list_configuration_sets/3","title":"aws_pinpoint_sms_voice.list_configuration_sets/3","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice.html#list_configuration_sets/4","title":"aws_pinpoint_sms_voice.list_configuration_sets/4","type":"function"},{"doc":"Create a new voice message and send it to a recipient's phone number.","ref":"aws_pinpoint_sms_voice.html#send_voice_message/2","title":"aws_pinpoint_sms_voice.send_voice_message/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice.html#send_voice_message/3","title":"aws_pinpoint_sms_voice.send_voice_message/3","type":"function"},{"doc":"Update an event destination in a configuration set. An event destination is a location that you publish information about your voice calls to. For example, you can log an event to an Amazon CloudWatch destination when a call fails.","ref":"aws_pinpoint_sms_voice.html#update_configuration_set_event_destination/4","title":"aws_pinpoint_sms_voice.update_configuration_set_event_destination/4","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice.html#update_configuration_set_event_destination/5","title":"aws_pinpoint_sms_voice.update_configuration_set_event_destination/5","type":"function"},{"doc":"Welcome to the Amazon Pinpoint SMS and Voice, version 2 API Reference. This guide provides information about Amazon Pinpoint SMS and Voice, version 2 API resources, including supported HTTP methods, parameters, and schemas. Amazon Pinpoint is an Amazon Web Services service that you can use to engage with your recipients across multiple messaging channels. The Amazon Pinpoint SMS and Voice, version 2 API provides programmatic access to options that are unique to the SMS and voice channels and supplements the resources provided by the Amazon Pinpoint API. If you're new to Amazon Pinpoint, it's also helpful to review the Amazon Pinpoint Developer Guide. The Amazon Pinpoint Developer Guide provides tutorials, code samples, and procedures that demonstrate how to use Amazon Pinpoint features programmatically and how to integrate Amazon Pinpoint functionality into mobile apps and other types of applications. The guide also provides key information, such as Amazon Pinpoint integration with other Amazon Web Services services, and the quotas that apply to use of the service.","ref":"aws_pinpoint_sms_voice_v2.html","title":"aws_pinpoint_sms_voice_v2","type":"module"},{"doc":"Associates the specified origination identity with a pool. If the origination identity is a phone number and is already associated with another pool, an Error is returned. A sender ID can be associated with multiple pools. If the origination identity configuration doesn't match the pool's configuration, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#associate_origination_identity/2","title":"aws_pinpoint_sms_voice_v2.associate_origination_identity/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#associate_origination_identity/3","title":"aws_pinpoint_sms_voice_v2.associate_origination_identity/3","type":"function"},{"doc":"Creates a new configuration set. After you create the configuration set, you can add one or more event destinations to it. A configuration set is a set of rules that you apply to the SMS and voice messages that you send. When you send a message, you can optionally specify a single configuration set.","ref":"aws_pinpoint_sms_voice_v2.html#create_configuration_set/2","title":"aws_pinpoint_sms_voice_v2.create_configuration_set/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#create_configuration_set/3","title":"aws_pinpoint_sms_voice_v2.create_configuration_set/3","type":"function"},{"doc":"Creates a new event destination in a configuration set. An event destination is a location where you send message events. The event options are Amazon CloudWatch, Amazon Kinesis Data Firehose, or Amazon SNS. For example, when a message is delivered successfully, you can send information about that event to an event destination, or send notifications to endpoints that are subscribed to an Amazon SNS topic. Each configuration set can contain between 0 and 5 event destinations. Each event destination can contain a reference to a single destination, such as a CloudWatch or Kinesis Data Firehose destination.","ref":"aws_pinpoint_sms_voice_v2.html#create_event_destination/2","title":"aws_pinpoint_sms_voice_v2.create_event_destination/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#create_event_destination/3","title":"aws_pinpoint_sms_voice_v2.create_event_destination/3","type":"function"},{"doc":"Creates a new opt-out list. If the opt-out list name already exists, an Error is returned. An opt-out list is a list of phone numbers that are opted out, meaning you can't send SMS or voice messages to them. If end user replies with the keyword &quot;STOP,&quot; an entry for the phone number is added to the opt-out list. In addition to STOP, your recipients can use any supported opt-out keyword, such as CANCEL or OPTOUT. For a list of supported opt-out keywords, see SMS opt out in the Amazon Pinpoint User Guide.","ref":"aws_pinpoint_sms_voice_v2.html#create_opt_out_list/2","title":"aws_pinpoint_sms_voice_v2.create_opt_out_list/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#create_opt_out_list/3","title":"aws_pinpoint_sms_voice_v2.create_opt_out_list/3","type":"function"},{"doc":"Creates a new pool and associates the specified origination identity to the pool. A pool can include one or more phone numbers and SenderIds that are associated with your Amazon Web Services account. The new pool inherits its configuration from the specified origination identity. This includes keywords, message type, opt-out list, two-way configuration, and self-managed opt-out configuration. Deletion protection isn't inherited from the origination identity and defaults to false. If the origination identity is a phone number and is already associated with another pool, an Error is returned. A sender ID can be associated with multiple pools.","ref":"aws_pinpoint_sms_voice_v2.html#create_pool/2","title":"aws_pinpoint_sms_voice_v2.create_pool/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#create_pool/3","title":"aws_pinpoint_sms_voice_v2.create_pool/3","type":"function"},{"doc":"Deletes an existing configuration set. A configuration set is a set of rules that you apply to voice and SMS messages that you send. In a configuration set, you can specify a destination for specific types of events related to voice and SMS messages.","ref":"aws_pinpoint_sms_voice_v2.html#delete_configuration_set/2","title":"aws_pinpoint_sms_voice_v2.delete_configuration_set/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#delete_configuration_set/3","title":"aws_pinpoint_sms_voice_v2.delete_configuration_set/3","type":"function"},{"doc":"Deletes an existing default message type on a configuration set. A message type is a type of messages that you plan to send. If you send account-related messages or time-sensitive messages such as one-time passcodes, choose Transactional. If you plan to send messages that contain marketing material or other promotional content, choose Promotional. This setting applies to your entire Amazon Web Services account.","ref":"aws_pinpoint_sms_voice_v2.html#delete_default_message_type/2","title":"aws_pinpoint_sms_voice_v2.delete_default_message_type/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#delete_default_message_type/3","title":"aws_pinpoint_sms_voice_v2.delete_default_message_type/3","type":"function"},{"doc":"Deletes an existing default sender ID on a configuration set. A default sender ID is the identity that appears on recipients' devices when they receive SMS messages. Support for sender ID capabilities varies by country or region.","ref":"aws_pinpoint_sms_voice_v2.html#delete_default_sender_id/2","title":"aws_pinpoint_sms_voice_v2.delete_default_sender_id/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#delete_default_sender_id/3","title":"aws_pinpoint_sms_voice_v2.delete_default_sender_id/3","type":"function"},{"doc":"Deletes an existing event destination. An event destination is a location where you send response information about the messages that you send. For example, when a message is delivered successfully, you can send information about that event to an Amazon CloudWatch destination, or send notifications to endpoints that are subscribed to an Amazon SNS topic.","ref":"aws_pinpoint_sms_voice_v2.html#delete_event_destination/2","title":"aws_pinpoint_sms_voice_v2.delete_event_destination/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#delete_event_destination/3","title":"aws_pinpoint_sms_voice_v2.delete_event_destination/3","type":"function"},{"doc":"Deletes an existing keyword from an origination phone number or pool. A keyword is a word that you can search for on a particular phone number or pool. It is also a specific word or phrase that an end user can send to your number to elicit a response, such as an informational message or a special offer. When your number receives a message that begins with a keyword, Amazon Pinpoint responds with a customizable message. Keywords &quot;HELP&quot; and &quot;STOP&quot; can't be deleted or modified.","ref":"aws_pinpoint_sms_voice_v2.html#delete_keyword/2","title":"aws_pinpoint_sms_voice_v2.delete_keyword/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#delete_keyword/3","title":"aws_pinpoint_sms_voice_v2.delete_keyword/3","type":"function"},{"doc":"Deletes an existing opt-out list. All opted out phone numbers in the opt-out list are deleted. If the specified opt-out list name doesn't exist or is in-use by an origination phone number or pool, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#delete_opt_out_list/2","title":"aws_pinpoint_sms_voice_v2.delete_opt_out_list/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#delete_opt_out_list/3","title":"aws_pinpoint_sms_voice_v2.delete_opt_out_list/3","type":"function"},{"doc":"Deletes an existing opted out destination phone number from the specified opt-out list. Each destination phone number can only be deleted once every 30 days. If the specified destination phone number doesn't exist or if the opt-out list doesn't exist, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#delete_opted_out_number/2","title":"aws_pinpoint_sms_voice_v2.delete_opted_out_number/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#delete_opted_out_number/3","title":"aws_pinpoint_sms_voice_v2.delete_opted_out_number/3","type":"function"},{"doc":"Deletes an existing pool. Deleting a pool disassociates all origination identities from that pool. If the pool status isn't active or if deletion protection is enabled, an Error is returned. A pool is a collection of phone numbers and SenderIds. A pool can include one or more phone numbers and SenderIds that are associated with your Amazon Web Services account.","ref":"aws_pinpoint_sms_voice_v2.html#delete_pool/2","title":"aws_pinpoint_sms_voice_v2.delete_pool/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#delete_pool/3","title":"aws_pinpoint_sms_voice_v2.delete_pool/3","type":"function"},{"doc":"Deletes an account-level monthly spending limit override for sending text messages. Deleting a spend limit override will set the EnforcedLimit to equal the MaxLimit , which is controlled by Amazon Web Services. For more information on spend limits (quotas) see Amazon Pinpoint quotas in the Amazon Pinpoint Developer Guide.","ref":"aws_pinpoint_sms_voice_v2.html#delete_text_message_spend_limit_override/2","title":"aws_pinpoint_sms_voice_v2.delete_text_message_spend_limit_override/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#delete_text_message_spend_limit_override/3","title":"aws_pinpoint_sms_voice_v2.delete_text_message_spend_limit_override/3","type":"function"},{"doc":"Deletes an account level monthly spend limit override for sending voice messages. Deleting a spend limit override sets the EnforcedLimit equal to the MaxLimit , which is controlled by Amazon Web Services. For more information on spending limits (quotas) see Amazon Pinpoint quotas in the Amazon Pinpoint Developer Guide.","ref":"aws_pinpoint_sms_voice_v2.html#delete_voice_message_spend_limit_override/2","title":"aws_pinpoint_sms_voice_v2.delete_voice_message_spend_limit_override/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#delete_voice_message_spend_limit_override/3","title":"aws_pinpoint_sms_voice_v2.delete_voice_message_spend_limit_override/3","type":"function"},{"doc":"Describes attributes of your Amazon Web Services account. The supported account attributes include account tier, which indicates whether your account is in the sandbox or production environment. When you're ready to move your account out of the sandbox, create an Amazon Web Services Support case for a service limit increase request. New Amazon Pinpoint accounts are placed into an SMS or voice sandbox. The sandbox protects both Amazon Web Services end recipients and SMS or voice recipients from fraud and abuse.","ref":"aws_pinpoint_sms_voice_v2.html#describe_account_attributes/2","title":"aws_pinpoint_sms_voice_v2.describe_account_attributes/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#describe_account_attributes/3","title":"aws_pinpoint_sms_voice_v2.describe_account_attributes/3","type":"function"},{"doc":"Describes the current Amazon Pinpoint SMS Voice V2 resource quotas for your account. The description for a quota includes the quota name, current usage toward that quota, and the quota's maximum value. When you establish an Amazon Web Services account, the account has initial quotas on the maximum number of configuration sets, opt-out lists, phone numbers, and pools that you can create in a given Region. For more information see Amazon Pinpoint quotas in the Amazon Pinpoint Developer Guide.","ref":"aws_pinpoint_sms_voice_v2.html#describe_account_limits/2","title":"aws_pinpoint_sms_voice_v2.describe_account_limits/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#describe_account_limits/3","title":"aws_pinpoint_sms_voice_v2.describe_account_limits/3","type":"function"},{"doc":"Describes the specified configuration sets or all in your account. If you specify configuration set names, the output includes information for only the specified configuration sets. If you specify filters, the output includes information for only those configuration sets that meet the filter criteria. If you don't specify configuration set names or filters, the output includes information for all configuration sets. If you specify a configuration set name that isn't valid, an error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#describe_configuration_sets/2","title":"aws_pinpoint_sms_voice_v2.describe_configuration_sets/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#describe_configuration_sets/3","title":"aws_pinpoint_sms_voice_v2.describe_configuration_sets/3","type":"function"},{"doc":"Describes the specified keywords or all keywords on your origination phone number or pool. A keyword is a word that you can search for on a particular phone number or pool. It is also a specific word or phrase that an end user can send to your number to elicit a response, such as an informational message or a special offer. When your number receives a message that begins with a keyword, Amazon Pinpoint responds with a customizable message. If you specify a keyword that isn't valid, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#describe_keywords/2","title":"aws_pinpoint_sms_voice_v2.describe_keywords/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#describe_keywords/3","title":"aws_pinpoint_sms_voice_v2.describe_keywords/3","type":"function"},{"doc":"Describes the specified opt-out list or all opt-out lists in your account. If you specify opt-out list names, the output includes information for only the specified opt-out lists. Opt-out lists include only those that meet the filter criteria. If you don't specify opt-out list names or filters, the output includes information for all opt-out lists. If you specify an opt-out list name that isn't valid, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#describe_opt_out_lists/2","title":"aws_pinpoint_sms_voice_v2.describe_opt_out_lists/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#describe_opt_out_lists/3","title":"aws_pinpoint_sms_voice_v2.describe_opt_out_lists/3","type":"function"},{"doc":"Describes the specified opted out destination numbers or all opted out destination numbers in an opt-out list. If you specify opted out numbers, the output includes information for only the specified opted out numbers. If you specify filters, the output includes information for only those opted out numbers that meet the filter criteria. If you don't specify opted out numbers or filters, the output includes information for all opted out destination numbers in your opt-out list. If you specify an opted out number that isn't valid, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#describe_opted_out_numbers/2","title":"aws_pinpoint_sms_voice_v2.describe_opted_out_numbers/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#describe_opted_out_numbers/3","title":"aws_pinpoint_sms_voice_v2.describe_opted_out_numbers/3","type":"function"},{"doc":"Describes the specified origination phone number, or all the phone numbers in your account. If you specify phone number IDs, the output includes information for only the specified phone numbers. If you specify filters, the output includes information for only those phone numbers that meet the filter criteria. If you don't specify phone number IDs or filters, the output includes information for all phone numbers. If you specify a phone number ID that isn't valid, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#describe_phone_numbers/2","title":"aws_pinpoint_sms_voice_v2.describe_phone_numbers/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#describe_phone_numbers/3","title":"aws_pinpoint_sms_voice_v2.describe_phone_numbers/3","type":"function"},{"doc":"Retrieves the specified pools or all pools associated with your Amazon Web Services account. If you specify pool IDs, the output includes information for only the specified pools. If you specify filters, the output includes information for only those pools that meet the filter criteria. If you don't specify pool IDs or filters, the output includes information for all pools. If you specify a pool ID that isn't valid, an Error is returned. A pool is a collection of phone numbers and SenderIds. A pool can include one or more phone numbers and SenderIds that are associated with your Amazon Web Services account.","ref":"aws_pinpoint_sms_voice_v2.html#describe_pools/2","title":"aws_pinpoint_sms_voice_v2.describe_pools/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#describe_pools/3","title":"aws_pinpoint_sms_voice_v2.describe_pools/3","type":"function"},{"doc":"Describes the specified SenderIds or all SenderIds associated with your Amazon Web Services account. If you specify SenderIds, the output includes information for only the specified SenderIds. If you specify filters, the output includes information for only those SenderIds that meet the filter criteria. If you don't specify SenderIds or filters, the output includes information for all SenderIds. f you specify a sender ID that isn't valid, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#describe_sender_ids/2","title":"aws_pinpoint_sms_voice_v2.describe_sender_ids/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#describe_sender_ids/3","title":"aws_pinpoint_sms_voice_v2.describe_sender_ids/3","type":"function"},{"doc":"Describes the current Amazon Pinpoint monthly spend limits for sending voice and text messages. When you establish an Amazon Web Services account, the account has initial monthly spend limit in a given Region. For more information on increasing your monthly spend limit, see Requesting increases to your monthly SMS spending quota for Amazon Pinpoint in the Amazon Pinpoint User Guide.","ref":"aws_pinpoint_sms_voice_v2.html#describe_spend_limits/2","title":"aws_pinpoint_sms_voice_v2.describe_spend_limits/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#describe_spend_limits/3","title":"aws_pinpoint_sms_voice_v2.describe_spend_limits/3","type":"function"},{"doc":"Removes the specified origination identity from an existing pool. If the origination identity isn't associated with the specified pool, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#disassociate_origination_identity/2","title":"aws_pinpoint_sms_voice_v2.disassociate_origination_identity/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#disassociate_origination_identity/3","title":"aws_pinpoint_sms_voice_v2.disassociate_origination_identity/3","type":"function"},{"doc":"Lists all associated origination identities in your pool. If you specify filters, the output includes information for only those origination identities that meet the filter criteria.","ref":"aws_pinpoint_sms_voice_v2.html#list_pool_origination_identities/2","title":"aws_pinpoint_sms_voice_v2.list_pool_origination_identities/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#list_pool_origination_identities/3","title":"aws_pinpoint_sms_voice_v2.list_pool_origination_identities/3","type":"function"},{"doc":"List all tags associated with a resource.","ref":"aws_pinpoint_sms_voice_v2.html#list_tags_for_resource/2","title":"aws_pinpoint_sms_voice_v2.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#list_tags_for_resource/3","title":"aws_pinpoint_sms_voice_v2.list_tags_for_resource/3","type":"function"},{"doc":"Creates or updates a keyword configuration on an origination phone number or pool. A keyword is a word that you can search for on a particular phone number or pool. It is also a specific word or phrase that an end user can send to your number to elicit a response, such as an informational message or a special offer. When your number receives a message that begins with a keyword, Amazon Pinpoint responds with a customizable message. If you specify a keyword that isn't valid, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#put_keyword/2","title":"aws_pinpoint_sms_voice_v2.put_keyword/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#put_keyword/3","title":"aws_pinpoint_sms_voice_v2.put_keyword/3","type":"function"},{"doc":"Creates an opted out destination phone number in the opt-out list. If the destination phone number isn't valid or if the specified opt-out list doesn't exist, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#put_opted_out_number/2","title":"aws_pinpoint_sms_voice_v2.put_opted_out_number/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#put_opted_out_number/3","title":"aws_pinpoint_sms_voice_v2.put_opted_out_number/3","type":"function"},{"doc":"Releases an existing origination phone number in your account. Once released, a phone number is no longer available for sending messages. If the origination phone number has deletion protection enabled or is associated with a pool, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#release_phone_number/2","title":"aws_pinpoint_sms_voice_v2.release_phone_number/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#release_phone_number/3","title":"aws_pinpoint_sms_voice_v2.release_phone_number/3","type":"function"},{"doc":"Request an origination phone number for use in your account. For more information on phone number request see Requesting a number in the Amazon Pinpoint User Guide.","ref":"aws_pinpoint_sms_voice_v2.html#request_phone_number/2","title":"aws_pinpoint_sms_voice_v2.request_phone_number/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#request_phone_number/3","title":"aws_pinpoint_sms_voice_v2.request_phone_number/3","type":"function"},{"doc":"Creates a new text message and sends it to a recipient's phone number. SMS throughput limits are measured in Message Parts per Second (MPS). Your MPS limit depends on the destination country of your messages, as well as the type of phone number (origination number) that you use to send the message. For more information, see Message Parts per Second (MPS) limits in the Amazon Pinpoint User Guide.","ref":"aws_pinpoint_sms_voice_v2.html#send_text_message/2","title":"aws_pinpoint_sms_voice_v2.send_text_message/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#send_text_message/3","title":"aws_pinpoint_sms_voice_v2.send_text_message/3","type":"function"},{"doc":"Allows you to send a request that sends a text message through Amazon Pinpoint. This operation uses Amazon Polly to convert a text script into a voice message.","ref":"aws_pinpoint_sms_voice_v2.html#send_voice_message/2","title":"aws_pinpoint_sms_voice_v2.send_voice_message/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#send_voice_message/3","title":"aws_pinpoint_sms_voice_v2.send_voice_message/3","type":"function"},{"doc":"Sets the default message type on a configuration set. Choose the category of SMS messages that you plan to send from this account. If you send account-related messages or time-sensitive messages such as one-time passcodes, choose Transactional. If you plan to send messages that contain marketing material or other promotional content, choose Promotional. This setting applies to your entire Amazon Web Services account.","ref":"aws_pinpoint_sms_voice_v2.html#set_default_message_type/2","title":"aws_pinpoint_sms_voice_v2.set_default_message_type/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#set_default_message_type/3","title":"aws_pinpoint_sms_voice_v2.set_default_message_type/3","type":"function"},{"doc":"Sets default sender ID on a configuration set. When sending a text message to a destination country that supports sender IDs, the default sender ID on the configuration set specified will be used if no dedicated origination phone numbers or registered sender IDs are available in your account.","ref":"aws_pinpoint_sms_voice_v2.html#set_default_sender_id/2","title":"aws_pinpoint_sms_voice_v2.set_default_sender_id/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#set_default_sender_id/3","title":"aws_pinpoint_sms_voice_v2.set_default_sender_id/3","type":"function"},{"doc":"Sets an account level monthly spend limit override for sending text messages. The requested spend limit must be less than or equal to the MaxLimit , which is set by Amazon Web Services.","ref":"aws_pinpoint_sms_voice_v2.html#set_text_message_spend_limit_override/2","title":"aws_pinpoint_sms_voice_v2.set_text_message_spend_limit_override/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#set_text_message_spend_limit_override/3","title":"aws_pinpoint_sms_voice_v2.set_text_message_spend_limit_override/3","type":"function"},{"doc":"Sets an account level monthly spend limit override for sending voice messages. The requested spend limit must be less than or equal to the MaxLimit , which is set by Amazon Web Services.","ref":"aws_pinpoint_sms_voice_v2.html#set_voice_message_spend_limit_override/2","title":"aws_pinpoint_sms_voice_v2.set_voice_message_spend_limit_override/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#set_voice_message_spend_limit_override/3","title":"aws_pinpoint_sms_voice_v2.set_voice_message_spend_limit_override/3","type":"function"},{"doc":"Adds or overwrites only the specified tags for the specified Amazon Pinpoint SMS Voice, version 2 resource. When you specify an existing tag key, the value is overwritten with the new value. Each resource can have a maximum of 50 tags. Each tag consists of a key and an optional value. Tag keys must be unique per resource. For more information about tags, see Tagging Amazon Pinpoint resources in the Amazon Pinpoint Developer Guide.","ref":"aws_pinpoint_sms_voice_v2.html#tag_resource/2","title":"aws_pinpoint_sms_voice_v2.tag_resource/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#tag_resource/3","title":"aws_pinpoint_sms_voice_v2.tag_resource/3","type":"function"},{"doc":"Removes the association of the specified tags from an Amazon Pinpoint SMS Voice V2 resource. For more information on tags see Tagging Amazon Pinpoint resources in the Amazon Pinpoint Developer Guide.","ref":"aws_pinpoint_sms_voice_v2.html#untag_resource/2","title":"aws_pinpoint_sms_voice_v2.untag_resource/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#untag_resource/3","title":"aws_pinpoint_sms_voice_v2.untag_resource/3","type":"function"},{"doc":"Updates an existing event destination in a configuration set. You can update the IAM role ARN for CloudWatch Logs and Kinesis Data Firehose. You can also enable or disable the event destination. You may want to update an event destination to change its matching event types or updating the destination resource ARN. You can't change an event destination's type between CloudWatch Logs, Kinesis Data Firehose, and Amazon SNS.","ref":"aws_pinpoint_sms_voice_v2.html#update_event_destination/2","title":"aws_pinpoint_sms_voice_v2.update_event_destination/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#update_event_destination/3","title":"aws_pinpoint_sms_voice_v2.update_event_destination/3","type":"function"},{"doc":"Updates the configuration of an existing origination phone number. You can update the opt-out list, enable or disable two-way messaging, change the TwoWayChannelArn, enable or disable self-managed opt-outs, and enable or disable deletion protection. If the origination phone number is associated with a pool, an Error is returned.","ref":"aws_pinpoint_sms_voice_v2.html#update_phone_number/2","title":"aws_pinpoint_sms_voice_v2.update_phone_number/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#update_phone_number/3","title":"aws_pinpoint_sms_voice_v2.update_phone_number/3","type":"function"},{"doc":"Updates the configuration of an existing pool. You can update the opt-out list, enable or disable two-way messaging, change the TwoWayChannelArn , enable or disable self-managed opt-outs, enable or disable deletion protection, and enable or disable shared routes.","ref":"aws_pinpoint_sms_voice_v2.html#update_pool/2","title":"aws_pinpoint_sms_voice_v2.update_pool/2","type":"function"},{"doc":"","ref":"aws_pinpoint_sms_voice_v2.html#update_pool/3","title":"aws_pinpoint_sms_voice_v2.update_pool/3","type":"function"},{"doc":"Amazon EventBridge Pipes connects event sources to targets. Pipes reduces the need for specialized knowledge and integration code when developing event driven architectures. This helps ensures consistency across your company’s applications. With Pipes, the target can be any available EventBridge target. To set up a pipe, you select the event source, add optional event filtering, define optional enrichment, and select the target for the event data.","ref":"aws_pipes.html","title":"aws_pipes","type":"module"},{"doc":"Create a pipe. Amazon EventBridge Pipes connect event sources to targets and reduces the need for specialized knowledge and integration code.","ref":"aws_pipes.html#create_pipe/3","title":"aws_pipes.create_pipe/3","type":"function"},{"doc":"","ref":"aws_pipes.html#create_pipe/4","title":"aws_pipes.create_pipe/4","type":"function"},{"doc":"Delete an existing pipe. For more information about pipes, see Amazon EventBridge Pipes in the Amazon EventBridge User Guide.","ref":"aws_pipes.html#delete_pipe/3","title":"aws_pipes.delete_pipe/3","type":"function"},{"doc":"","ref":"aws_pipes.html#delete_pipe/4","title":"aws_pipes.delete_pipe/4","type":"function"},{"doc":"Get the information about an existing pipe. For more information about pipes, see Amazon EventBridge Pipes in the Amazon EventBridge User Guide.","ref":"aws_pipes.html#describe_pipe/2","title":"aws_pipes.describe_pipe/2","type":"function"},{"doc":"","ref":"aws_pipes.html#describe_pipe/4","title":"aws_pipes.describe_pipe/4","type":"function"},{"doc":"","ref":"aws_pipes.html#describe_pipe/5","title":"aws_pipes.describe_pipe/5","type":"function"},{"doc":"Get the pipes associated with this account. For more information about pipes, see Amazon EventBridge Pipes in the Amazon EventBridge User Guide.","ref":"aws_pipes.html#list_pipes/1","title":"aws_pipes.list_pipes/1","type":"function"},{"doc":"","ref":"aws_pipes.html#list_pipes/3","title":"aws_pipes.list_pipes/3","type":"function"},{"doc":"","ref":"aws_pipes.html#list_pipes/4","title":"aws_pipes.list_pipes/4","type":"function"},{"doc":"Displays the tags associated with a pipe.","ref":"aws_pipes.html#list_tags_for_resource/2","title":"aws_pipes.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_pipes.html#list_tags_for_resource/4","title":"aws_pipes.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_pipes.html#list_tags_for_resource/5","title":"aws_pipes.list_tags_for_resource/5","type":"function"},{"doc":"Start an existing pipe.","ref":"aws_pipes.html#start_pipe/3","title":"aws_pipes.start_pipe/3","type":"function"},{"doc":"","ref":"aws_pipes.html#start_pipe/4","title":"aws_pipes.start_pipe/4","type":"function"},{"doc":"Stop an existing pipe.","ref":"aws_pipes.html#stop_pipe/3","title":"aws_pipes.stop_pipe/3","type":"function"},{"doc":"","ref":"aws_pipes.html#stop_pipe/4","title":"aws_pipes.stop_pipe/4","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified pipe. Tags can help you organize and categorize your resources. You can also use them to scope user permissions by granting a user permission to access or change only resources with certain tag values. Tags don't have any semantic meaning to Amazon Web Services and are interpreted strictly as strings of characters. You can use the TagResource action with a pipe that already has tags. If you specify a new tag key, this tag is appended to the list of tags associated with the pipe. If you specify a tag key that is already associated with the pipe, the new tag value that you specify replaces the previous value for that tag. You can associate as many as 50 tags with a pipe.","ref":"aws_pipes.html#tag_resource/3","title":"aws_pipes.tag_resource/3","type":"function"},{"doc":"","ref":"aws_pipes.html#tag_resource/4","title":"aws_pipes.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from the specified pipes.","ref":"aws_pipes.html#untag_resource/3","title":"aws_pipes.untag_resource/3","type":"function"},{"doc":"","ref":"aws_pipes.html#untag_resource/4","title":"aws_pipes.untag_resource/4","type":"function"},{"doc":"Update an existing pipe. When you call UpdatePipe , only the fields that are included in the request are changed, the rest are unchanged. The exception to this is if you modify any Amazon Web Services-service specific fields in the SourceParameters , EnrichmentParameters , or TargetParameters objects. The fields in these objects are updated atomically as one and override existing values. This is by design and means that if you don't specify an optional field in one of these Parameters objects, that field will be set to its system-default value after the update. &lt;p&gt;For more information about pipes, see &lt;a href=&quot;https://docs.aws.amazon.com/eventbridge/latest/userguide/eb-pipes.html&quot;&gt; Amazon EventBridge Pipes&lt;/a&gt; in the Amazon EventBridge User Guide.&lt;/p&gt;","ref":"aws_pipes.html#update_pipe/3","title":"aws_pipes.update_pipe/3","type":"function"},{"doc":"","ref":"aws_pipes.html#update_pipe/4","title":"aws_pipes.update_pipe/4","type":"function"},{"doc":"Amazon Polly is a web service that makes it easy to synthesize speech from text. The Amazon Polly service provides API operations for synthesizing high-quality speech from plain text and Speech Synthesis Markup Language (SSML), along with managing pronunciations lexicons that enable you to get the best results for your application domain.","ref":"aws_polly.html","title":"aws_polly","type":"module"},{"doc":"Deletes the specified pronunciation lexicon stored in an Amazon Web Services Region. A lexicon which has been deleted is not available for speech synthesis, nor is it possible to retrieve it using either the GetLexicon or ListLexicon APIs. For more information, see Managing Lexicons.","ref":"aws_polly.html#delete_lexicon/3","title":"aws_polly.delete_lexicon/3","type":"function"},{"doc":"","ref":"aws_polly.html#delete_lexicon/4","title":"aws_polly.delete_lexicon/4","type":"function"},{"doc":"Returns the list of voices that are available for use when requesting speech synthesis. Each voice speaks a specified language, is either male or female, and is identified by an ID, which is the ASCII version of the voice name. When synthesizing speech ( SynthesizeSpeech ), you provide the voice ID for the voice you want from the list of voices returned by DescribeVoices . For example, you want your news reader application to read news in a specific language, but giving a user the option to choose the voice. Using the DescribeVoices operation you can provide the user with a list of available voices to select from. You can optionally specify a language code to filter the available voices. For example, if you specify en-US , the operation returns a list of all available US English voices. This operation requires permissions to perform the polly:DescribeVoices action.","ref":"aws_polly.html#describe_voices/1","title":"aws_polly.describe_voices/1","type":"function"},{"doc":"","ref":"aws_polly.html#describe_voices/3","title":"aws_polly.describe_voices/3","type":"function"},{"doc":"","ref":"aws_polly.html#describe_voices/4","title":"aws_polly.describe_voices/4","type":"function"},{"doc":"Returns the content of the specified pronunciation lexicon stored in an Amazon Web Services Region. For more information, see Managing Lexicons.","ref":"aws_polly.html#get_lexicon/2","title":"aws_polly.get_lexicon/2","type":"function"},{"doc":"","ref":"aws_polly.html#get_lexicon/4","title":"aws_polly.get_lexicon/4","type":"function"},{"doc":"","ref":"aws_polly.html#get_lexicon/5","title":"aws_polly.get_lexicon/5","type":"function"},{"doc":"Retrieves a specific SpeechSynthesisTask object based on its TaskID. This object contains information about the given speech synthesis task, including the status of the task, and a link to the S3 bucket containing the output of the task.","ref":"aws_polly.html#get_speech_synthesis_task/2","title":"aws_polly.get_speech_synthesis_task/2","type":"function"},{"doc":"","ref":"aws_polly.html#get_speech_synthesis_task/4","title":"aws_polly.get_speech_synthesis_task/4","type":"function"},{"doc":"","ref":"aws_polly.html#get_speech_synthesis_task/5","title":"aws_polly.get_speech_synthesis_task/5","type":"function"},{"doc":"Returns a list of pronunciation lexicons stored in an Amazon Web Services Region. For more information, see Managing Lexicons.","ref":"aws_polly.html#list_lexicons/1","title":"aws_polly.list_lexicons/1","type":"function"},{"doc":"","ref":"aws_polly.html#list_lexicons/3","title":"aws_polly.list_lexicons/3","type":"function"},{"doc":"","ref":"aws_polly.html#list_lexicons/4","title":"aws_polly.list_lexicons/4","type":"function"},{"doc":"Returns a list of SpeechSynthesisTask objects ordered by their creation date. This operation can filter the tasks by their status, for example, allowing users to list only tasks that are completed.","ref":"aws_polly.html#list_speech_synthesis_tasks/1","title":"aws_polly.list_speech_synthesis_tasks/1","type":"function"},{"doc":"","ref":"aws_polly.html#list_speech_synthesis_tasks/3","title":"aws_polly.list_speech_synthesis_tasks/3","type":"function"},{"doc":"","ref":"aws_polly.html#list_speech_synthesis_tasks/4","title":"aws_polly.list_speech_synthesis_tasks/4","type":"function"},{"doc":"Stores a pronunciation lexicon in an Amazon Web Services Region. If a lexicon with the same name already exists in the region, it is overwritten by the new lexicon. Lexicon operations have eventual consistency, therefore, it might take some time before the lexicon is available to the SynthesizeSpeech operation. For more information, see Managing Lexicons.","ref":"aws_polly.html#put_lexicon/3","title":"aws_polly.put_lexicon/3","type":"function"},{"doc":"","ref":"aws_polly.html#put_lexicon/4","title":"aws_polly.put_lexicon/4","type":"function"},{"doc":"Allows the creation of an asynchronous synthesis task, by starting a new SpeechSynthesisTask . This operation requires all the standard information needed for speech synthesis, plus the name of an Amazon S3 bucket for the service to store the output of the synthesis task and two optional parameters ( OutputS3KeyPrefix and SnsTopicArn ). Once the synthesis task is created, this operation will return a SpeechSynthesisTask object, which will include an identifier of this task as well as the current status. The SpeechSynthesisTask object is available for 72 hours after starting the asynchronous synthesis task.","ref":"aws_polly.html#start_speech_synthesis_task/2","title":"aws_polly.start_speech_synthesis_task/2","type":"function"},{"doc":"","ref":"aws_polly.html#start_speech_synthesis_task/3","title":"aws_polly.start_speech_synthesis_task/3","type":"function"},{"doc":"Synthesizes UTF-8 input, plain text or SSML, to a stream of bytes. SSML input must be valid, well-formed SSML. Some alphabets might not be available with all the voices (for example, Cyrillic might not be read at all by English voices) unless phoneme mapping is used. For more information, see How it Works.","ref":"aws_polly.html#synthesize_speech/2","title":"aws_polly.synthesize_speech/2","type":"function"},{"doc":"","ref":"aws_polly.html#synthesize_speech/3","title":"aws_polly.synthesize_speech/3","type":"function"},{"doc":"Amazon Web Services Price List API is a centralized and convenient way to programmatically query Amazon Web Services for services, products, and pricing information. The Amazon Web Services Price List uses standardized product attributes such as Location , Storage Class , and Operating System , and provides prices at the SKU level. You can use the Amazon Web Services Price List to build cost control and scenario planning tools, reconcile billing data, forecast future spend for budgeting purposes, and provide cost benefit analysis that compare your internal workloads with Amazon Web Services. Use GetServices without a service code to retrieve the service codes for all AWS services, then GetServices with a service code to retrieve the attribute names for that service. After you have the service code and attribute names, you can use GetAttributeValues to see what values are available for an attribute. With the service code and an attribute name and value, you can use GetProducts to find specific products that you're interested in, such as an AmazonEC2 instance, with a Provisioned IOPS volumeType . Service Endpoint Amazon Web Services Price List service API provides the following two endpoints: https://api.pricing.us-east-1.amazonaws.com https://api.pricing.ap-south-1.amazonaws.com","ref":"aws_pricing.html","title":"aws_pricing","type":"module"},{"doc":"Returns the metadata for one service or a list of the metadata for all services. Use this without a service code to get the service codes for all services. Use it with a service code, such as AmazonEC2 , to get information specific to that service, such as the attribute names available for that service. For example, some of the attribute names available for EC2 are volumeType , maxIopsVolume , operation , locationType , and instanceCapacity10xlarge .","ref":"aws_pricing.html#describe_services/2","title":"aws_pricing.describe_services/2","type":"function"},{"doc":"","ref":"aws_pricing.html#describe_services/3","title":"aws_pricing.describe_services/3","type":"function"},{"doc":"Returns a list of attribute values. Attributes are similar to the details in a Price List API offer file. For a list of available attributes, see Offer File Definitions in the Billing and Cost Management User Guide.","ref":"aws_pricing.html#get_attribute_values/2","title":"aws_pricing.get_attribute_values/2","type":"function"},{"doc":"","ref":"aws_pricing.html#get_attribute_values/3","title":"aws_pricing.get_attribute_values/3","type":"function"},{"doc":"Returns a list of all products that match the filter criteria.","ref":"aws_pricing.html#get_products/2","title":"aws_pricing.get_products/2","type":"function"},{"doc":"","ref":"aws_pricing.html#get_products/3","title":"aws_pricing.get_products/3","type":"function"},{"doc":"Amazon Web Services Private 5G is a managed service that makes it easy to deploy, operate, and scale your own private mobile network at your on-premises location. Private 5G provides the pre-configured hardware and software for mobile networks, helps automate setup, and scales capacity on demand to support additional devices as needed.","ref":"aws_privatenetworks.html","title":"aws_privatenetworks","type":"module"},{"doc":"Acknowledges that the specified network order was received.","ref":"aws_privatenetworks.html#acknowledge_order_receipt/2","title":"aws_privatenetworks.acknowledge_order_receipt/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#acknowledge_order_receipt/3","title":"aws_privatenetworks.acknowledge_order_receipt/3","type":"function"},{"doc":"Activates the specified device identifier.","ref":"aws_privatenetworks.html#activate_device_identifier/2","title":"aws_privatenetworks.activate_device_identifier/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#activate_device_identifier/3","title":"aws_privatenetworks.activate_device_identifier/3","type":"function"},{"doc":"Activates the specified network site.","ref":"aws_privatenetworks.html#activate_network_site/2","title":"aws_privatenetworks.activate_network_site/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#activate_network_site/3","title":"aws_privatenetworks.activate_network_site/3","type":"function"},{"doc":"Configures the specified network resource. Use this action to specify the geographic position of the hardware. You must provide Certified Professional Installer (CPI) credentials in the request so that we can obtain spectrum grants. For more information, see Radio units in the Amazon Web Services Private 5G User Guide.","ref":"aws_privatenetworks.html#configure_access_point/2","title":"aws_privatenetworks.configure_access_point/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#configure_access_point/3","title":"aws_privatenetworks.configure_access_point/3","type":"function"},{"doc":"Creates a network.","ref":"aws_privatenetworks.html#create_network/2","title":"aws_privatenetworks.create_network/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#create_network/3","title":"aws_privatenetworks.create_network/3","type":"function"},{"doc":"Creates a network site.","ref":"aws_privatenetworks.html#create_network_site/2","title":"aws_privatenetworks.create_network_site/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#create_network_site/3","title":"aws_privatenetworks.create_network_site/3","type":"function"},{"doc":"Deactivates the specified device identifier.","ref":"aws_privatenetworks.html#deactivate_device_identifier/2","title":"aws_privatenetworks.deactivate_device_identifier/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#deactivate_device_identifier/3","title":"aws_privatenetworks.deactivate_device_identifier/3","type":"function"},{"doc":"Deletes the specified network. You must delete network sites before you delete the network. For more information, see DeleteNetworkSite in the API Reference for Amazon Web Services Private 5G.","ref":"aws_privatenetworks.html#delete_network/3","title":"aws_privatenetworks.delete_network/3","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#delete_network/4","title":"aws_privatenetworks.delete_network/4","type":"function"},{"doc":"Deletes the specified network site. Return the hardware after you delete the network site. You are responsible for minimum charges. For more information, see Hardware returns in the Amazon Web Services Private 5G User Guide.","ref":"aws_privatenetworks.html#delete_network_site/3","title":"aws_privatenetworks.delete_network_site/3","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#delete_network_site/4","title":"aws_privatenetworks.delete_network_site/4","type":"function"},{"doc":"Gets the specified device identifier.","ref":"aws_privatenetworks.html#get_device_identifier/2","title":"aws_privatenetworks.get_device_identifier/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#get_device_identifier/4","title":"aws_privatenetworks.get_device_identifier/4","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#get_device_identifier/5","title":"aws_privatenetworks.get_device_identifier/5","type":"function"},{"doc":"Gets the specified network.","ref":"aws_privatenetworks.html#get_network/2","title":"aws_privatenetworks.get_network/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#get_network/4","title":"aws_privatenetworks.get_network/4","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#get_network/5","title":"aws_privatenetworks.get_network/5","type":"function"},{"doc":"Gets the specified network resource.","ref":"aws_privatenetworks.html#get_network_resource/2","title":"aws_privatenetworks.get_network_resource/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#get_network_resource/4","title":"aws_privatenetworks.get_network_resource/4","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#get_network_resource/5","title":"aws_privatenetworks.get_network_resource/5","type":"function"},{"doc":"Gets the specified network site.","ref":"aws_privatenetworks.html#get_network_site/2","title":"aws_privatenetworks.get_network_site/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#get_network_site/4","title":"aws_privatenetworks.get_network_site/4","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#get_network_site/5","title":"aws_privatenetworks.get_network_site/5","type":"function"},{"doc":"Gets the specified order.","ref":"aws_privatenetworks.html#get_order/2","title":"aws_privatenetworks.get_order/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#get_order/4","title":"aws_privatenetworks.get_order/4","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#get_order/5","title":"aws_privatenetworks.get_order/5","type":"function"},{"doc":"Lists device identifiers. Add filters to your request to return a more specific list of results. Use filters to match the Amazon Resource Name (ARN) of an order, the status of device identifiers, or the ARN of the traffic group. &lt;p&gt;If you specify multiple filters, filters are joined with an OR, and the request returns results that match all of the specified filters.","ref":"aws_privatenetworks.html#list_device_identifiers/2","title":"aws_privatenetworks.list_device_identifiers/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#list_device_identifiers/3","title":"aws_privatenetworks.list_device_identifiers/3","type":"function"},{"doc":"Lists network resources. Add filters to your request to return a more specific list of results. Use filters to match the Amazon Resource Name (ARN) of an order or the status of network resources. If you specify multiple filters, filters are joined with an OR, and the request returns results that match all of the specified filters.","ref":"aws_privatenetworks.html#list_network_resources/2","title":"aws_privatenetworks.list_network_resources/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#list_network_resources/3","title":"aws_privatenetworks.list_network_resources/3","type":"function"},{"doc":"Lists network sites. Add filters to your request to return a more specific list of results. Use filters to match the status of the network site.","ref":"aws_privatenetworks.html#list_network_sites/2","title":"aws_privatenetworks.list_network_sites/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#list_network_sites/3","title":"aws_privatenetworks.list_network_sites/3","type":"function"},{"doc":"Lists networks. Add filters to your request to return a more specific list of results. Use filters to match the status of the network.","ref":"aws_privatenetworks.html#list_networks/2","title":"aws_privatenetworks.list_networks/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#list_networks/3","title":"aws_privatenetworks.list_networks/3","type":"function"},{"doc":"Lists orders. Add filters to your request to return a more specific list of results. Use filters to match the Amazon Resource Name (ARN) of the network site or the status of the order. If you specify multiple filters, filters are joined with an OR, and the request returns results that match all of the specified filters.","ref":"aws_privatenetworks.html#list_orders/2","title":"aws_privatenetworks.list_orders/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#list_orders/3","title":"aws_privatenetworks.list_orders/3","type":"function"},{"doc":"Lists the tags for the specified resource.","ref":"aws_privatenetworks.html#list_tags_for_resource/2","title":"aws_privatenetworks.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#list_tags_for_resource/4","title":"aws_privatenetworks.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#list_tags_for_resource/5","title":"aws_privatenetworks.list_tags_for_resource/5","type":"function"},{"doc":"Checks the health of the service.","ref":"aws_privatenetworks.html#ping/1","title":"aws_privatenetworks.ping/1","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#ping/3","title":"aws_privatenetworks.ping/3","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#ping/4","title":"aws_privatenetworks.ping/4","type":"function"},{"doc":"Adds tags to the specified resource.","ref":"aws_privatenetworks.html#tag_resource/3","title":"aws_privatenetworks.tag_resource/3","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#tag_resource/4","title":"aws_privatenetworks.tag_resource/4","type":"function"},{"doc":"Removes tags from the specified resource.","ref":"aws_privatenetworks.html#untag_resource/3","title":"aws_privatenetworks.untag_resource/3","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#untag_resource/4","title":"aws_privatenetworks.untag_resource/4","type":"function"},{"doc":"Updates the specified network site.","ref":"aws_privatenetworks.html#update_network_site/2","title":"aws_privatenetworks.update_network_site/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#update_network_site/3","title":"aws_privatenetworks.update_network_site/3","type":"function"},{"doc":"Updates the specified network site plan.","ref":"aws_privatenetworks.html#update_network_site_plan/2","title":"aws_privatenetworks.update_network_site_plan/2","type":"function"},{"doc":"","ref":"aws_privatenetworks.html#update_network_site_plan/3","title":"aws_privatenetworks.update_network_site_plan/3","type":"function"},{"doc":"This is the Proton Service API Reference. It provides descriptions, syntax and usage examples for each of the actions and data types for the Proton service. The documentation for each action shows the Query API request parameters and the XML response. Alternatively, you can use the Amazon Web Services CLI to access an API. For more information, see the Amazon Web Services Command Line Interface User Guide. The Proton service is a two-pronged automation framework. Administrators create service templates to provide standardized infrastructure and deployment tooling for serverless and container based applications. Developers, in turn, select from the available service templates to automate their application or service deployments. Because administrators define the infrastructure and tooling that Proton deploys and manages, they need permissions to use all of the listed API operations. When developers select a specific infrastructure and tooling set, Proton deploys their applications. To monitor their applications that are running on Proton, developers need permissions to the service create, list, update and delete API operations and the service instance list and update API operations. To learn more about Proton, see the Proton User Guide. Ensuring Idempotency When you make a mutating API request, the request typically returns a result before the asynchronous workflows of the operation are complete. Operations might also time out or encounter other server issues before they're complete, even if the request already returned a result. This might make it difficult to determine whether the request succeeded. Moreover, you might need to retry the request multiple times to ensure that the operation completes successfully. However, if the original request and the subsequent retries are successful, the operation occurs multiple times. This means that you might create more resources than you intended. Idempotency ensures that an API request action completes no more than one time. With an idempotent request, if the original request action completes successfully, any subsequent retries complete successfully without performing any further actions. However, the result might contain updated information, such as the current creation status. The following lists of APIs are grouped according to methods that ensure idempotency. Idempotent create APIs with a client token The API actions in this list support idempotency with the use of a client token. The corresponding Amazon Web Services CLI commands also support idempotency using a client token. A client token is a unique, case-sensitive string of up to 64 ASCII characters. To make an idempotent API request using one of these actions, specify a client token in the request. We recommend that you don't reuse the same client token for other API requests. If you don’t provide a client token for these APIs, a default client token is automatically provided by SDKs. Given a request action that has succeeded: If you retry the request using the same client token and the same parameters, the retry succeeds without performing any further actions other than returning the original resource detail data in the response. If you retry the request using the same client token, but one or more of the parameters are different, the retry throws a ValidationException with an IdempotentParameterMismatch error. Client tokens expire eight hours after a request is made. If you retry the request with the expired token, a new resource is created. If the original resource is deleted and you retry the request, a new resource is created. Idempotent create APIs with a client token: CreateEnvironmentTemplateVersion CreateServiceTemplateVersion CreateEnvironmentAccountConnection Idempotent create APIs Given a request action that has succeeded: If you retry the request with an API from this group, and the original resource hasn't been modified, the retry succeeds without performing any further actions other than returning the original resource detail data in the response. If the original resource has been modified, the retry throws a ConflictException . If you retry with different input parameters, the retry throws a ValidationException with an IdempotentParameterMismatch error. Idempotent create APIs: CreateEnvironmentTemplate CreateServiceTemplate CreateEnvironment CreateService Idempotent delete APIs Given a request action that has succeeded: When you retry the request with an API from this group and the resource was deleted, its metadata is returned in the response. If you retry and the resource doesn't exist, the response is empty. In both cases, the retry succeeds. Idempotent delete APIs: DeleteEnvironmentTemplate DeleteEnvironmentTemplateVersion DeleteServiceTemplate DeleteServiceTemplateVersion DeleteEnvironmentAccountConnection Asynchronous idempotent delete APIs Given a request action that has succeeded: If you retry the request with an API from this group, if the original request delete operation status is DELETE_IN_PROGRESS , the retry returns the resource detail data in the response without performing any further actions. If the original request delete operation is complete, a retry returns an empty response. Asynchronous idempotent delete APIs: DeleteEnvironment DeleteService","ref":"aws_proton.html","title":"aws_proton","type":"module"},{"doc":"In a management account, an environment account connection request is accepted. When the environment account connection request is accepted, Proton can use the associated IAM role to provision environment infrastructure resources in the associated environment account. For more information, see Environment account connections in the Proton User guide.","ref":"aws_proton.html#accept_environment_account_connection/2","title":"aws_proton.accept_environment_account_connection/2","type":"function"},{"doc":"","ref":"aws_proton.html#accept_environment_account_connection/3","title":"aws_proton.accept_environment_account_connection/3","type":"function"},{"doc":"Attempts to cancel a component deployment (for a component that is in the IN_PROGRESS deployment status). For more information about components, see Proton components in the Proton User Guide.","ref":"aws_proton.html#cancel_component_deployment/2","title":"aws_proton.cancel_component_deployment/2","type":"function"},{"doc":"","ref":"aws_proton.html#cancel_component_deployment/3","title":"aws_proton.cancel_component_deployment/3","type":"function"},{"doc":"Attempts to cancel an environment deployment on an UpdateEnvironment action, if the deployment is IN_PROGRESS . For more information, see Update an environment in the Proton User guide. The following list includes potential cancellation scenarios. If the cancellation attempt succeeds, the resulting deployment state is CANCELLED . If the cancellation attempt fails, the resulting deployment state is FAILED . If the current UpdateEnvironment action succeeds before the cancellation attempt starts, the resulting deployment state is SUCCEEDED and the cancellation attempt has no effect.","ref":"aws_proton.html#cancel_environment_deployment/2","title":"aws_proton.cancel_environment_deployment/2","type":"function"},{"doc":"","ref":"aws_proton.html#cancel_environment_deployment/3","title":"aws_proton.cancel_environment_deployment/3","type":"function"},{"doc":"Attempts to cancel a service instance deployment on an UpdateServiceInstance action, if the deployment is IN_PROGRESS . For more information, see Update a service instance in the Proton User guide. The following list includes potential cancellation scenarios. If the cancellation attempt succeeds, the resulting deployment state is CANCELLED . If the cancellation attempt fails, the resulting deployment state is FAILED . If the current UpdateServiceInstance action succeeds before the cancellation attempt starts, the resulting deployment state is SUCCEEDED and the cancellation attempt has no effect.","ref":"aws_proton.html#cancel_service_instance_deployment/2","title":"aws_proton.cancel_service_instance_deployment/2","type":"function"},{"doc":"","ref":"aws_proton.html#cancel_service_instance_deployment/3","title":"aws_proton.cancel_service_instance_deployment/3","type":"function"},{"doc":"Attempts to cancel a service pipeline deployment on an UpdateServicePipeline action, if the deployment is IN_PROGRESS . For more information, see Update a service pipeline in the Proton User guide. The following list includes potential cancellation scenarios. If the cancellation attempt succeeds, the resulting deployment state is CANCELLED . If the cancellation attempt fails, the resulting deployment state is FAILED . If the current UpdateServicePipeline action succeeds before the cancellation attempt starts, the resulting deployment state is SUCCEEDED and the cancellation attempt has no effect.","ref":"aws_proton.html#cancel_service_pipeline_deployment/2","title":"aws_proton.cancel_service_pipeline_deployment/2","type":"function"},{"doc":"","ref":"aws_proton.html#cancel_service_pipeline_deployment/3","title":"aws_proton.cancel_service_pipeline_deployment/3","type":"function"},{"doc":"Create an Proton component. A component is an infrastructure extension for a service instance. For more information about components, see Proton components in the Proton User Guide.","ref":"aws_proton.html#create_component/2","title":"aws_proton.create_component/2","type":"function"},{"doc":"","ref":"aws_proton.html#create_component/3","title":"aws_proton.create_component/3","type":"function"},{"doc":"Deploy a new environment. An Proton environment is created from an environment template that defines infrastructure and resources that can be shared across services. You can provision environments using the following methods: Amazon Web Services-managed provisioning: Proton makes direct calls to provision your resources. Self-managed provisioning: Proton makes pull requests on your repository to provide compiled infrastructure as code (IaC) files that your IaC engine uses to provision resources. For more information, see Environments and Provisioning methods in the Proton User Guide.","ref":"aws_proton.html#create_environment/2","title":"aws_proton.create_environment/2","type":"function"},{"doc":"","ref":"aws_proton.html#create_environment/3","title":"aws_proton.create_environment/3","type":"function"},{"doc":"Create an environment account connection in an environment account so that environment infrastructure resources can be provisioned in the environment account from a management account. An environment account connection is a secure bi-directional connection between a management account and an environment account that maintains authorization and permissions. For more information, see Environment account connections in the Proton User guide.","ref":"aws_proton.html#create_environment_account_connection/2","title":"aws_proton.create_environment_account_connection/2","type":"function"},{"doc":"","ref":"aws_proton.html#create_environment_account_connection/3","title":"aws_proton.create_environment_account_connection/3","type":"function"},{"doc":"Create an environment template for Proton. For more information, see Environment Templates in the Proton User Guide. You can create an environment template in one of the two following ways: Register and publish a standard environment template that instructs Proton to deploy and manage environment infrastructure. Register and publish a customer managed environment template that connects Proton to your existing provisioned infrastructure that you manage. Proton doesn't manage your existing provisioned infrastructure. To create an environment template for customer provisioned and managed infrastructure, include the provisioning parameter and set the value to CUSTOMER_MANAGED . For more information, see Register and publish an environment template in the Proton User Guide.","ref":"aws_proton.html#create_environment_template/2","title":"aws_proton.create_environment_template/2","type":"function"},{"doc":"","ref":"aws_proton.html#create_environment_template/3","title":"aws_proton.create_environment_template/3","type":"function"},{"doc":"Create a new major or minor version of an environment template. A major version of an environment template is a version that isn't backwards compatible. A minor version of an environment template is a version that's backwards compatible within its major version.","ref":"aws_proton.html#create_environment_template_version/2","title":"aws_proton.create_environment_template_version/2","type":"function"},{"doc":"","ref":"aws_proton.html#create_environment_template_version/3","title":"aws_proton.create_environment_template_version/3","type":"function"},{"doc":"Create and register a link to a repository. Proton uses the link to repeatedly access the repository, to either push to it (self-managed provisioning) or pull from it (template sync). You can share a linked repository across multiple resources (like environments using self-managed provisioning, or synced templates). When you create a repository link, Proton creates a service-linked role for you. For more information, see Self-managed provisioning, Template bundles, and Template sync configurations in the Proton User Guide.","ref":"aws_proton.html#create_repository/2","title":"aws_proton.create_repository/2","type":"function"},{"doc":"","ref":"aws_proton.html#create_repository/3","title":"aws_proton.create_repository/3","type":"function"},{"doc":"Create an Proton service. An Proton service is an instantiation of a service template and often includes several service instances and pipeline. For more information, see Services in the Proton User Guide.","ref":"aws_proton.html#create_service/2","title":"aws_proton.create_service/2","type":"function"},{"doc":"","ref":"aws_proton.html#create_service/3","title":"aws_proton.create_service/3","type":"function"},{"doc":"Create a service template. The administrator creates a service template to define standardized infrastructure and an optional CI/CD service pipeline. Developers, in turn, select the service template from Proton. If the selected service template includes a service pipeline definition, they provide a link to their source code repository. Proton then deploys and manages the infrastructure defined by the selected service template. For more information, see Proton templates in the Proton User Guide.","ref":"aws_proton.html#create_service_template/2","title":"aws_proton.create_service_template/2","type":"function"},{"doc":"","ref":"aws_proton.html#create_service_template/3","title":"aws_proton.create_service_template/3","type":"function"},{"doc":"Create a new major or minor version of a service template. A major version of a service template is a version that isn't backward compatible. A minor version of a service template is a version that's backward compatible within its major version.","ref":"aws_proton.html#create_service_template_version/2","title":"aws_proton.create_service_template_version/2","type":"function"},{"doc":"","ref":"aws_proton.html#create_service_template_version/3","title":"aws_proton.create_service_template_version/3","type":"function"},{"doc":"Set up a template to create new template versions automatically by tracking a linked repository. A linked repository is a repository that has been registered with Proton. For more information, see CreateRepository . When a commit is pushed to your linked repository, Proton checks for changes to your repository template bundles. If it detects a template bundle change, a new major or minor version of its template is created, if the version doesn’t already exist. For more information, see Template sync configurations in the Proton User Guide.","ref":"aws_proton.html#create_template_sync_config/2","title":"aws_proton.create_template_sync_config/2","type":"function"},{"doc":"","ref":"aws_proton.html#create_template_sync_config/3","title":"aws_proton.create_template_sync_config/3","type":"function"},{"doc":"Delete an Proton component resource. For more information about components, see Proton components in the Proton User Guide.","ref":"aws_proton.html#delete_component/2","title":"aws_proton.delete_component/2","type":"function"},{"doc":"","ref":"aws_proton.html#delete_component/3","title":"aws_proton.delete_component/3","type":"function"},{"doc":"Delete an environment.","ref":"aws_proton.html#delete_environment/2","title":"aws_proton.delete_environment/2","type":"function"},{"doc":"","ref":"aws_proton.html#delete_environment/3","title":"aws_proton.delete_environment/3","type":"function"},{"doc":"In an environment account, delete an environment account connection. After you delete an environment account connection that’s in use by an Proton environment, Proton can’t manage the environment infrastructure resources until a new environment account connection is accepted for the environment account and associated environment. You're responsible for cleaning up provisioned resources that remain without an environment connection. For more information, see Environment account connections in the Proton User guide.","ref":"aws_proton.html#delete_environment_account_connection/2","title":"aws_proton.delete_environment_account_connection/2","type":"function"},{"doc":"","ref":"aws_proton.html#delete_environment_account_connection/3","title":"aws_proton.delete_environment_account_connection/3","type":"function"},{"doc":"If no other major or minor versions of an environment template exist, delete the environment template.","ref":"aws_proton.html#delete_environment_template/2","title":"aws_proton.delete_environment_template/2","type":"function"},{"doc":"","ref":"aws_proton.html#delete_environment_template/3","title":"aws_proton.delete_environment_template/3","type":"function"},{"doc":"If no other minor versions of an environment template exist, delete a major version of the environment template if it's not the Recommended version. Delete the Recommended version of the environment template if no other major versions or minor versions of the environment template exist. A major version of an environment template is a version that's not backward compatible. Delete a minor version of an environment template if it isn't the Recommended version. Delete a Recommended minor version of the environment template if no other minor versions of the environment template exist. A minor version of an environment template is a version that's backward compatible.","ref":"aws_proton.html#delete_environment_template_version/2","title":"aws_proton.delete_environment_template_version/2","type":"function"},{"doc":"","ref":"aws_proton.html#delete_environment_template_version/3","title":"aws_proton.delete_environment_template_version/3","type":"function"},{"doc":"De-register and unlink your repository.","ref":"aws_proton.html#delete_repository/2","title":"aws_proton.delete_repository/2","type":"function"},{"doc":"","ref":"aws_proton.html#delete_repository/3","title":"aws_proton.delete_repository/3","type":"function"},{"doc":"Delete a service, with its instances and pipeline. You can't delete a service if it has any service instances that have components attached to them. For more information about components, see Proton components in the Proton User Guide.","ref":"aws_proton.html#delete_service/2","title":"aws_proton.delete_service/2","type":"function"},{"doc":"","ref":"aws_proton.html#delete_service/3","title":"aws_proton.delete_service/3","type":"function"},{"doc":"If no other major or minor versions of the service template exist, delete the service template.","ref":"aws_proton.html#delete_service_template/2","title":"aws_proton.delete_service_template/2","type":"function"},{"doc":"","ref":"aws_proton.html#delete_service_template/3","title":"aws_proton.delete_service_template/3","type":"function"},{"doc":"If no other minor versions of a service template exist, delete a major version of the service template if it's not the Recommended version. Delete the Recommended version of the service template if no other major versions or minor versions of the service template exist. A major version of a service template is a version that isn't backwards compatible. Delete a minor version of a service template if it's not the Recommended version. Delete a Recommended minor version of the service template if no other minor versions of the service template exist. A minor version of a service template is a version that's backwards compatible.","ref":"aws_proton.html#delete_service_template_version/2","title":"aws_proton.delete_service_template_version/2","type":"function"},{"doc":"","ref":"aws_proton.html#delete_service_template_version/3","title":"aws_proton.delete_service_template_version/3","type":"function"},{"doc":"Delete a template sync configuration.","ref":"aws_proton.html#delete_template_sync_config/2","title":"aws_proton.delete_template_sync_config/2","type":"function"},{"doc":"","ref":"aws_proton.html#delete_template_sync_config/3","title":"aws_proton.delete_template_sync_config/3","type":"function"},{"doc":"Get detail data for Proton account-wide settings.","ref":"aws_proton.html#get_account_settings/2","title":"aws_proton.get_account_settings/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_account_settings/3","title":"aws_proton.get_account_settings/3","type":"function"},{"doc":"Get detailed data for a component. For more information about components, see Proton components in the Proton User Guide.","ref":"aws_proton.html#get_component/2","title":"aws_proton.get_component/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_component/3","title":"aws_proton.get_component/3","type":"function"},{"doc":"Get detailed data for an environment.","ref":"aws_proton.html#get_environment/2","title":"aws_proton.get_environment/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_environment/3","title":"aws_proton.get_environment/3","type":"function"},{"doc":"In an environment account, get the detailed data for an environment account connection. For more information, see Environment account connections in the Proton User guide.","ref":"aws_proton.html#get_environment_account_connection/2","title":"aws_proton.get_environment_account_connection/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_environment_account_connection/3","title":"aws_proton.get_environment_account_connection/3","type":"function"},{"doc":"Get detailed data for an environment template.","ref":"aws_proton.html#get_environment_template/2","title":"aws_proton.get_environment_template/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_environment_template/3","title":"aws_proton.get_environment_template/3","type":"function"},{"doc":"Get detailed data for a major or minor version of an environment template.","ref":"aws_proton.html#get_environment_template_version/2","title":"aws_proton.get_environment_template_version/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_environment_template_version/3","title":"aws_proton.get_environment_template_version/3","type":"function"},{"doc":"Get detail data for a linked repository.","ref":"aws_proton.html#get_repository/2","title":"aws_proton.get_repository/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_repository/3","title":"aws_proton.get_repository/3","type":"function"},{"doc":"Get the sync status of a repository used for Proton template sync. For more information about template sync, see . A repository sync status isn't tied to the Proton Repository resource (or any other Proton resource). Therefore, tags on an Proton Repository resource have no effect on this action. Specifically, you can't use these tags to control access to this action using Attribute-based access control (ABAC). For more information about ABAC, see ABAC in the Proton User Guide.","ref":"aws_proton.html#get_repository_sync_status/2","title":"aws_proton.get_repository_sync_status/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_repository_sync_status/3","title":"aws_proton.get_repository_sync_status/3","type":"function"},{"doc":"Get counts of Proton resources. For infrastructure-provisioning resources (environments, services, service instances, pipelines), the action returns staleness counts. A resource is stale when it's behind the recommended version of the Proton template that it uses and it needs an update to become current. The action returns staleness counts (counts of resources that are up-to-date, behind a template major version, or behind a template minor version), the total number of resources, and the number of resources that are in a failed state, grouped by resource type. Components, environments, and service templates are exceptions—see the components , environments , and serviceTemplates field descriptions. For context, the action also returns the total number of each type of Proton template in the Amazon Web Services account. For more information, see Proton dashboard in the Proton User Guide.","ref":"aws_proton.html#get_resources_summary/2","title":"aws_proton.get_resources_summary/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_resources_summary/3","title":"aws_proton.get_resources_summary/3","type":"function"},{"doc":"Get detailed data for a service.","ref":"aws_proton.html#get_service/2","title":"aws_proton.get_service/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_service/3","title":"aws_proton.get_service/3","type":"function"},{"doc":"Get detailed data for a service instance. A service instance is an instantiation of service template and it runs in a specific environment.","ref":"aws_proton.html#get_service_instance/2","title":"aws_proton.get_service_instance/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_service_instance/3","title":"aws_proton.get_service_instance/3","type":"function"},{"doc":"Get detailed data for a service template.","ref":"aws_proton.html#get_service_template/2","title":"aws_proton.get_service_template/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_service_template/3","title":"aws_proton.get_service_template/3","type":"function"},{"doc":"Get detailed data for a major or minor version of a service template.","ref":"aws_proton.html#get_service_template_version/2","title":"aws_proton.get_service_template_version/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_service_template_version/3","title":"aws_proton.get_service_template_version/3","type":"function"},{"doc":"Get detail data for a template sync configuration.","ref":"aws_proton.html#get_template_sync_config/2","title":"aws_proton.get_template_sync_config/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_template_sync_config/3","title":"aws_proton.get_template_sync_config/3","type":"function"},{"doc":"Get the status of a template sync.","ref":"aws_proton.html#get_template_sync_status/2","title":"aws_proton.get_template_sync_status/2","type":"function"},{"doc":"","ref":"aws_proton.html#get_template_sync_status/3","title":"aws_proton.get_template_sync_status/3","type":"function"},{"doc":"Get a list of component Infrastructure as Code (IaC) outputs. For more information about components, see Proton components in the Proton User Guide.","ref":"aws_proton.html#list_component_outputs/2","title":"aws_proton.list_component_outputs/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_component_outputs/3","title":"aws_proton.list_component_outputs/3","type":"function"},{"doc":"List provisioned resources for a component with details. For more information about components, see Proton components in the Proton User Guide.","ref":"aws_proton.html#list_component_provisioned_resources/2","title":"aws_proton.list_component_provisioned_resources/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_component_provisioned_resources/3","title":"aws_proton.list_component_provisioned_resources/3","type":"function"},{"doc":"List components with summary data. You can filter the result list by environment, service, or a single service instance. For more information about components, see Proton components in the Proton User Guide.","ref":"aws_proton.html#list_components/2","title":"aws_proton.list_components/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_components/3","title":"aws_proton.list_components/3","type":"function"},{"doc":"View a list of environment account connections. For more information, see Environment account connections in the Proton User guide.","ref":"aws_proton.html#list_environment_account_connections/2","title":"aws_proton.list_environment_account_connections/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_environment_account_connections/3","title":"aws_proton.list_environment_account_connections/3","type":"function"},{"doc":"List the infrastructure as code outputs for your environment.","ref":"aws_proton.html#list_environment_outputs/2","title":"aws_proton.list_environment_outputs/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_environment_outputs/3","title":"aws_proton.list_environment_outputs/3","type":"function"},{"doc":"List the provisioned resources for your environment.","ref":"aws_proton.html#list_environment_provisioned_resources/2","title":"aws_proton.list_environment_provisioned_resources/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_environment_provisioned_resources/3","title":"aws_proton.list_environment_provisioned_resources/3","type":"function"},{"doc":"List major or minor versions of an environment template with detail data.","ref":"aws_proton.html#list_environment_template_versions/2","title":"aws_proton.list_environment_template_versions/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_environment_template_versions/3","title":"aws_proton.list_environment_template_versions/3","type":"function"},{"doc":"List environment templates.","ref":"aws_proton.html#list_environment_templates/2","title":"aws_proton.list_environment_templates/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_environment_templates/3","title":"aws_proton.list_environment_templates/3","type":"function"},{"doc":"List environments with detail data summaries.","ref":"aws_proton.html#list_environments/2","title":"aws_proton.list_environments/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_environments/3","title":"aws_proton.list_environments/3","type":"function"},{"doc":"List linked repositories with detail data.","ref":"aws_proton.html#list_repositories/2","title":"aws_proton.list_repositories/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_repositories/3","title":"aws_proton.list_repositories/3","type":"function"},{"doc":"List repository sync definitions with detail data.","ref":"aws_proton.html#list_repository_sync_definitions/2","title":"aws_proton.list_repository_sync_definitions/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_repository_sync_definitions/3","title":"aws_proton.list_repository_sync_definitions/3","type":"function"},{"doc":"Get a list service of instance Infrastructure as Code (IaC) outputs.","ref":"aws_proton.html#list_service_instance_outputs/2","title":"aws_proton.list_service_instance_outputs/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_service_instance_outputs/3","title":"aws_proton.list_service_instance_outputs/3","type":"function"},{"doc":"List provisioned resources for a service instance with details.","ref":"aws_proton.html#list_service_instance_provisioned_resources/2","title":"aws_proton.list_service_instance_provisioned_resources/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_service_instance_provisioned_resources/3","title":"aws_proton.list_service_instance_provisioned_resources/3","type":"function"},{"doc":"List service instances with summary data. This action lists service instances of all services in the Amazon Web Services account.","ref":"aws_proton.html#list_service_instances/2","title":"aws_proton.list_service_instances/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_service_instances/3","title":"aws_proton.list_service_instances/3","type":"function"},{"doc":"Get a list of service pipeline Infrastructure as Code (IaC) outputs.","ref":"aws_proton.html#list_service_pipeline_outputs/2","title":"aws_proton.list_service_pipeline_outputs/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_service_pipeline_outputs/3","title":"aws_proton.list_service_pipeline_outputs/3","type":"function"},{"doc":"List provisioned resources for a service and pipeline with details.","ref":"aws_proton.html#list_service_pipeline_provisioned_resources/2","title":"aws_proton.list_service_pipeline_provisioned_resources/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_service_pipeline_provisioned_resources/3","title":"aws_proton.list_service_pipeline_provisioned_resources/3","type":"function"},{"doc":"List major or minor versions of a service template with detail data.","ref":"aws_proton.html#list_service_template_versions/2","title":"aws_proton.list_service_template_versions/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_service_template_versions/3","title":"aws_proton.list_service_template_versions/3","type":"function"},{"doc":"List service templates with detail data.","ref":"aws_proton.html#list_service_templates/2","title":"aws_proton.list_service_templates/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_service_templates/3","title":"aws_proton.list_service_templates/3","type":"function"},{"doc":"List services with summaries of detail data.","ref":"aws_proton.html#list_services/2","title":"aws_proton.list_services/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_services/3","title":"aws_proton.list_services/3","type":"function"},{"doc":"List tags for a resource. For more information, see Proton resources and tagging in the Proton User Guide.","ref":"aws_proton.html#list_tags_for_resource/2","title":"aws_proton.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_proton.html#list_tags_for_resource/3","title":"aws_proton.list_tags_for_resource/3","type":"function"},{"doc":"Notify Proton of status changes to a provisioned resource when you use self-managed provisioning. For more information, see Self-managed provisioning in the Proton User Guide.","ref":"aws_proton.html#notify_resource_deployment_status_change/2","title":"aws_proton.notify_resource_deployment_status_change/2","type":"function"},{"doc":"","ref":"aws_proton.html#notify_resource_deployment_status_change/3","title":"aws_proton.notify_resource_deployment_status_change/3","type":"function"},{"doc":"In a management account, reject an environment account connection from another environment account. After you reject an environment account connection request, you can't accept or use the rejected environment account connection. You can’t reject an environment account connection that's connected to an environment. For more information, see Environment account connections in the Proton User guide.","ref":"aws_proton.html#reject_environment_account_connection/2","title":"aws_proton.reject_environment_account_connection/2","type":"function"},{"doc":"","ref":"aws_proton.html#reject_environment_account_connection/3","title":"aws_proton.reject_environment_account_connection/3","type":"function"},{"doc":"Tag a resource. A tag is a key-value pair of metadata that you associate with an Proton resource. For more information, see Proton resources and tagging in the Proton User Guide.","ref":"aws_proton.html#tag_resource/2","title":"aws_proton.tag_resource/2","type":"function"},{"doc":"","ref":"aws_proton.html#tag_resource/3","title":"aws_proton.tag_resource/3","type":"function"},{"doc":"Remove a customer tag from a resource. A tag is a key-value pair of metadata associated with an Proton resource. For more information, see Proton resources and tagging in the Proton User Guide.","ref":"aws_proton.html#untag_resource/2","title":"aws_proton.untag_resource/2","type":"function"},{"doc":"","ref":"aws_proton.html#untag_resource/3","title":"aws_proton.untag_resource/3","type":"function"},{"doc":"Update Proton settings that are used for multiple services in the Amazon Web Services account.","ref":"aws_proton.html#update_account_settings/2","title":"aws_proton.update_account_settings/2","type":"function"},{"doc":"","ref":"aws_proton.html#update_account_settings/3","title":"aws_proton.update_account_settings/3","type":"function"},{"doc":"Update a component. There are a few modes for updating a component. The deploymentType field defines the mode. You can't update a component while its deployment status, or the deployment status of a service instance attached to it, is IN_PROGRESS . For more information about components, see Proton components in the Proton User Guide.","ref":"aws_proton.html#update_component/2","title":"aws_proton.update_component/2","type":"function"},{"doc":"","ref":"aws_proton.html#update_component/3","title":"aws_proton.update_component/3","type":"function"},{"doc":"Update an environment. If the environment is associated with an environment account connection, don't update or include the protonServiceRoleArn and provisioningRepository parameter to update or connect to an environment account connection. You can only update to a new environment account connection if that connection was created in the same environment account that the current environment account connection was created in. The account connection must also be associated with the current environment. If the environment isn't associated with an environment account connection, don't update or include the environmentAccountConnectionId parameter. You can't update or connect the environment to an environment account connection if it isn't already associated with an environment connection. You can update either the environmentAccountConnectionId or protonServiceRoleArn parameter and value. You can’t update both. If the environment was configured for Amazon Web Services-managed provisioning, omit the provisioningRepository parameter. If the environment was configured for self-managed provisioning, specify the provisioningRepository parameter and omit the protonServiceRoleArn and environmentAccountConnectionId parameters. For more information, see Environments and Provisioning methods in the Proton User Guide. There are four modes for updating an environment. The deploymentType field defines the mode. NONE In this mode, a deployment doesn't occur. Only the requested metadata parameters are updated. CURRENT_VERSION In this mode, the environment is deployed and updated with the new spec that you provide. Only requested parameters are updated. Don’t include minor or major version parameters when you use this deployment-type . MINOR_VERSION In this mode, the environment is deployed and updated with the published, recommended (latest) minor version of the current major version in use, by default. You can also specify a different minor version of the current major version in use. MAJOR_VERSION In this mode, the environment is deployed and updated with the published, recommended (latest) major and minor version of the current template, by default. You can also specify a different major version that's higher than the major version in use and a minor version.","ref":"aws_proton.html#update_environment/2","title":"aws_proton.update_environment/2","type":"function"},{"doc":"","ref":"aws_proton.html#update_environment/3","title":"aws_proton.update_environment/3","type":"function"},{"doc":"In an environment account, update an environment account connection to use a new IAM role. For more information, see Environment account connections in the Proton User guide.","ref":"aws_proton.html#update_environment_account_connection/2","title":"aws_proton.update_environment_account_connection/2","type":"function"},{"doc":"","ref":"aws_proton.html#update_environment_account_connection/3","title":"aws_proton.update_environment_account_connection/3","type":"function"},{"doc":"Update an environment template.","ref":"aws_proton.html#update_environment_template/2","title":"aws_proton.update_environment_template/2","type":"function"},{"doc":"","ref":"aws_proton.html#update_environment_template/3","title":"aws_proton.update_environment_template/3","type":"function"},{"doc":"Update a major or minor version of an environment template.","ref":"aws_proton.html#update_environment_template_version/2","title":"aws_proton.update_environment_template_version/2","type":"function"},{"doc":"","ref":"aws_proton.html#update_environment_template_version/3","title":"aws_proton.update_environment_template_version/3","type":"function"},{"doc":"Edit a service description or use a spec to add and delete service instances. Existing service instances and the service pipeline can't be edited using this API. They can only be deleted. Use the description parameter to modify the description. Edit the spec parameter to add or delete instances. You can't delete a service instance (remove it from the spec) if it has an attached component. For more information about components, see Proton components in the Proton User Guide.","ref":"aws_proton.html#update_service/2","title":"aws_proton.update_service/2","type":"function"},{"doc":"","ref":"aws_proton.html#update_service/3","title":"aws_proton.update_service/3","type":"function"},{"doc":"Update a service instance. There are a few modes for updating a service instance. The deploymentType field defines the mode. You can't update a service instance while its deployment status, or the deployment status of a component attached to it, is IN_PROGRESS . For more information about components, see Proton components in the Proton User Guide.","ref":"aws_proton.html#update_service_instance/2","title":"aws_proton.update_service_instance/2","type":"function"},{"doc":"","ref":"aws_proton.html#update_service_instance/3","title":"aws_proton.update_service_instance/3","type":"function"},{"doc":"Update the service pipeline. There are four modes for updating a service pipeline. The deploymentType field defines the mode. NONE In this mode, a deployment doesn't occur. Only the requested metadata parameters are updated. CURRENT_VERSION In this mode, the service pipeline is deployed and updated with the new spec that you provide. Only requested parameters are updated. Don’t include major or minor version parameters when you use this deployment-type . MINOR_VERSION In this mode, the service pipeline is deployed and updated with the published, recommended (latest) minor version of the current major version in use, by default. You can specify a different minor version of the current major version in use. MAJOR_VERSION In this mode, the service pipeline is deployed and updated with the published, recommended (latest) major and minor version of the current template by default. You can specify a different major version that's higher than the major version in use and a minor version.","ref":"aws_proton.html#update_service_pipeline/2","title":"aws_proton.update_service_pipeline/2","type":"function"},{"doc":"","ref":"aws_proton.html#update_service_pipeline/3","title":"aws_proton.update_service_pipeline/3","type":"function"},{"doc":"Update a service template.","ref":"aws_proton.html#update_service_template/2","title":"aws_proton.update_service_template/2","type":"function"},{"doc":"","ref":"aws_proton.html#update_service_template/3","title":"aws_proton.update_service_template/3","type":"function"},{"doc":"Update a major or minor version of a service template.","ref":"aws_proton.html#update_service_template_version/2","title":"aws_proton.update_service_template_version/2","type":"function"},{"doc":"","ref":"aws_proton.html#update_service_template_version/3","title":"aws_proton.update_service_template_version/3","type":"function"},{"doc":"Update template sync configuration parameters, except for the templateName and templateType . Repository details (branch, name, and provider) should be of a linked repository. A linked repository is a repository that has been registered with Proton. For more information, see CreateRepository .","ref":"aws_proton.html#update_template_sync_config/2","title":"aws_proton.update_template_sync_config/2","type":"function"},{"doc":"","ref":"aws_proton.html#update_template_sync_config/3","title":"aws_proton.update_template_sync_config/3","type":"function"},{"doc":"The control plane for Amazon QLDB","ref":"aws_qldb.html","title":"aws_qldb","type":"module"},{"doc":"Ends a given Amazon QLDB journal stream. Before a stream can be canceled, its current status must be ACTIVE . You can't restart a stream after you cancel it. Canceled QLDB stream resources are subject to a 7-day retention period, so they are automatically deleted after this limit expires.","ref":"aws_qldb.html#cancel_journal_kinesis_stream/4","title":"aws_qldb.cancel_journal_kinesis_stream/4","type":"function"},{"doc":"","ref":"aws_qldb.html#cancel_journal_kinesis_stream/5","title":"aws_qldb.cancel_journal_kinesis_stream/5","type":"function"},{"doc":"Creates a new ledger in your Amazon Web Services account in the current Region.","ref":"aws_qldb.html#create_ledger/2","title":"aws_qldb.create_ledger/2","type":"function"},{"doc":"","ref":"aws_qldb.html#create_ledger/3","title":"aws_qldb.create_ledger/3","type":"function"},{"doc":"Deletes a ledger and all of its contents. This action is irreversible. If deletion protection is enabled, you must first disable it before you can delete the ledger. You can disable it by calling the UpdateLedger operation to set the flag to false .","ref":"aws_qldb.html#delete_ledger/3","title":"aws_qldb.delete_ledger/3","type":"function"},{"doc":"","ref":"aws_qldb.html#delete_ledger/4","title":"aws_qldb.delete_ledger/4","type":"function"},{"doc":"Returns detailed information about a given Amazon QLDB journal stream. The output includes the Amazon Resource Name (ARN), stream name, current status, creation time, and the parameters of the original stream creation request. This action does not return any expired journal streams. For more information, see Expiration for terminal streams in the Amazon QLDB Developer Guide.","ref":"aws_qldb.html#describe_journal_kinesis_stream/3","title":"aws_qldb.describe_journal_kinesis_stream/3","type":"function"},{"doc":"","ref":"aws_qldb.html#describe_journal_kinesis_stream/5","title":"aws_qldb.describe_journal_kinesis_stream/5","type":"function"},{"doc":"","ref":"aws_qldb.html#describe_journal_kinesis_stream/6","title":"aws_qldb.describe_journal_kinesis_stream/6","type":"function"},{"doc":"Returns information about a journal export job, including the ledger name, export ID, creation time, current status, and the parameters of the original export creation request. This action does not return any expired export jobs. For more information, see Export job expiration in the Amazon QLDB Developer Guide. If the export job with the given ExportId doesn't exist, then throws ResourceNotFoundException . If the ledger with the given Name doesn't exist, then throws ResourceNotFoundException .","ref":"aws_qldb.html#describe_journal_s3_export/3","title":"aws_qldb.describe_journal_s3_export/3","type":"function"},{"doc":"","ref":"aws_qldb.html#describe_journal_s3_export/5","title":"aws_qldb.describe_journal_s3_export/5","type":"function"},{"doc":"","ref":"aws_qldb.html#describe_journal_s3_export/6","title":"aws_qldb.describe_journal_s3_export/6","type":"function"},{"doc":"Returns information about a ledger, including its state, permissions mode, encryption at rest settings, and when it was created.","ref":"aws_qldb.html#describe_ledger/2","title":"aws_qldb.describe_ledger/2","type":"function"},{"doc":"","ref":"aws_qldb.html#describe_ledger/4","title":"aws_qldb.describe_ledger/4","type":"function"},{"doc":"","ref":"aws_qldb.html#describe_ledger/5","title":"aws_qldb.describe_ledger/5","type":"function"},{"doc":"Exports journal contents within a date and time range from a ledger into a specified Amazon Simple Storage Service (Amazon S3) bucket. A journal export job can write the data objects in either the text or binary representation of Amazon Ion format, or in JSON Lines text format. In JSON Lines format, each journal block in the exported data object is a valid JSON object that is delimited by a newline. You can use this format to easily integrate JSON exports with analytics tools such as Glue and Amazon Athena because these services can parse newline-delimited JSON automatically. For more information about the format, see JSON Lines. If the ledger with the given Name doesn't exist, then throws ResourceNotFoundException . If the ledger with the given Name is in CREATING status, then throws ResourcePreconditionNotMetException . You can initiate up to two concurrent journal export requests for each ledger. Beyond this limit, journal export requests throw LimitExceededException .","ref":"aws_qldb.html#export_journal_to_s3/3","title":"aws_qldb.export_journal_to_s3/3","type":"function"},{"doc":"","ref":"aws_qldb.html#export_journal_to_s3/4","title":"aws_qldb.export_journal_to_s3/4","type":"function"},{"doc":"Returns a block object at a specified address in a journal. Also returns a proof of the specified block for verification if DigestTipAddress is provided. For information about the data contents in a block, see Journal contents in the Amazon QLDB Developer Guide. If the specified ledger doesn't exist or is in DELETING status, then throws ResourceNotFoundException . If the specified ledger is in CREATING status, then throws ResourcePreconditionNotMetException . If no block exists with the specified address, then throws InvalidParameterException .","ref":"aws_qldb.html#get_block/3","title":"aws_qldb.get_block/3","type":"function"},{"doc":"","ref":"aws_qldb.html#get_block/4","title":"aws_qldb.get_block/4","type":"function"},{"doc":"Returns the digest of a ledger at the latest committed block in the journal. The response includes a 256-bit hash value and a block address.","ref":"aws_qldb.html#get_digest/3","title":"aws_qldb.get_digest/3","type":"function"},{"doc":"","ref":"aws_qldb.html#get_digest/4","title":"aws_qldb.get_digest/4","type":"function"},{"doc":"Returns a revision data object for a specified document ID and block address. Also returns a proof of the specified revision for verification if DigestTipAddress is provided.","ref":"aws_qldb.html#get_revision/3","title":"aws_qldb.get_revision/3","type":"function"},{"doc":"","ref":"aws_qldb.html#get_revision/4","title":"aws_qldb.get_revision/4","type":"function"},{"doc":"Returns an array of all Amazon QLDB journal stream descriptors for a given ledger. The output of each stream descriptor includes the same details that are returned by DescribeJournalKinesisStream . This action does not return any expired journal streams. For more information, see Expiration for terminal streams in the Amazon QLDB Developer Guide. This action returns a maximum of MaxResults items. It is paginated so that you can retrieve all the items by calling ListJournalKinesisStreamsForLedger multiple times.","ref":"aws_qldb.html#list_journal_kinesis_streams_for_ledger/2","title":"aws_qldb.list_journal_kinesis_streams_for_ledger/2","type":"function"},{"doc":"","ref":"aws_qldb.html#list_journal_kinesis_streams_for_ledger/4","title":"aws_qldb.list_journal_kinesis_streams_for_ledger/4","type":"function"},{"doc":"","ref":"aws_qldb.html#list_journal_kinesis_streams_for_ledger/5","title":"aws_qldb.list_journal_kinesis_streams_for_ledger/5","type":"function"},{"doc":"Returns an array of journal export job descriptions for all ledgers that are associated with the current Amazon Web Services account and Region. This action returns a maximum of MaxResults items, and is paginated so that you can retrieve all the items by calling ListJournalS3Exports multiple times. This action does not return any expired export jobs. For more information, see Export job expiration in the Amazon QLDB Developer Guide.","ref":"aws_qldb.html#list_journal_s3_exports/1","title":"aws_qldb.list_journal_s3_exports/1","type":"function"},{"doc":"","ref":"aws_qldb.html#list_journal_s3_exports/3","title":"aws_qldb.list_journal_s3_exports/3","type":"function"},{"doc":"","ref":"aws_qldb.html#list_journal_s3_exports/4","title":"aws_qldb.list_journal_s3_exports/4","type":"function"},{"doc":"Returns an array of journal export job descriptions for a specified ledger. This action returns a maximum of MaxResults items, and is paginated so that you can retrieve all the items by calling ListJournalS3ExportsForLedger multiple times. This action does not return any expired export jobs. For more information, see Export job expiration in the Amazon QLDB Developer Guide.","ref":"aws_qldb.html#list_journal_s3_exports_for_ledger/2","title":"aws_qldb.list_journal_s3_exports_for_ledger/2","type":"function"},{"doc":"","ref":"aws_qldb.html#list_journal_s3_exports_for_ledger/4","title":"aws_qldb.list_journal_s3_exports_for_ledger/4","type":"function"},{"doc":"","ref":"aws_qldb.html#list_journal_s3_exports_for_ledger/5","title":"aws_qldb.list_journal_s3_exports_for_ledger/5","type":"function"},{"doc":"Returns an array of ledger summaries that are associated with the current Amazon Web Services account and Region. This action returns a maximum of 100 items and is paginated so that you can retrieve all the items by calling ListLedgers multiple times.","ref":"aws_qldb.html#list_ledgers/1","title":"aws_qldb.list_ledgers/1","type":"function"},{"doc":"","ref":"aws_qldb.html#list_ledgers/3","title":"aws_qldb.list_ledgers/3","type":"function"},{"doc":"","ref":"aws_qldb.html#list_ledgers/4","title":"aws_qldb.list_ledgers/4","type":"function"},{"doc":"Returns all tags for a specified Amazon QLDB resource.","ref":"aws_qldb.html#list_tags_for_resource/2","title":"aws_qldb.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_qldb.html#list_tags_for_resource/4","title":"aws_qldb.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_qldb.html#list_tags_for_resource/5","title":"aws_qldb.list_tags_for_resource/5","type":"function"},{"doc":"Creates a journal stream for a given Amazon QLDB ledger. The stream captures every document revision that is committed to the ledger's journal and delivers the data to a specified Amazon Kinesis Data Streams resource.","ref":"aws_qldb.html#stream_journal_to_kinesis/3","title":"aws_qldb.stream_journal_to_kinesis/3","type":"function"},{"doc":"","ref":"aws_qldb.html#stream_journal_to_kinesis/4","title":"aws_qldb.stream_journal_to_kinesis/4","type":"function"},{"doc":"Adds one or more tags to a specified Amazon QLDB resource. A resource can have up to 50 tags. If you try to create more than 50 tags for a resource, your request fails and returns an error.","ref":"aws_qldb.html#tag_resource/3","title":"aws_qldb.tag_resource/3","type":"function"},{"doc":"","ref":"aws_qldb.html#tag_resource/4","title":"aws_qldb.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from a specified Amazon QLDB resource. You can specify up to 50 tag keys to remove.","ref":"aws_qldb.html#untag_resource/3","title":"aws_qldb.untag_resource/3","type":"function"},{"doc":"","ref":"aws_qldb.html#untag_resource/4","title":"aws_qldb.untag_resource/4","type":"function"},{"doc":"Updates properties on a ledger.","ref":"aws_qldb.html#update_ledger/3","title":"aws_qldb.update_ledger/3","type":"function"},{"doc":"","ref":"aws_qldb.html#update_ledger/4","title":"aws_qldb.update_ledger/4","type":"function"},{"doc":"Updates the permissions mode of a ledger. Before you switch to the STANDARD permissions mode, you must first create all required IAM policies and table tags to avoid disruption to your users. To learn more, see Migrating to the standard permissions mode in the Amazon QLDB Developer Guide.","ref":"aws_qldb.html#update_ledger_permissions_mode/3","title":"aws_qldb.update_ledger_permissions_mode/3","type":"function"},{"doc":"","ref":"aws_qldb.html#update_ledger_permissions_mode/4","title":"aws_qldb.update_ledger_permissions_mode/4","type":"function"},{"doc":"The transactional data APIs for Amazon QLDB Instead of interacting directly with this API, we recommend using the QLDB driver or the QLDB shell to execute data transactions on a ledger. If you are working with an AWS SDK, use the QLDB driver. The driver provides a high-level abstraction layer above this QLDB Session data plane and manages SendCommand API calls for you. For information and a list of supported programming languages, see Getting started with the driver in the Amazon QLDB Developer Guide. If you are working with the AWS Command Line Interface (AWS CLI), use the QLDB shell. The shell is a command line interface that uses the QLDB driver to interact with a ledger. For information, see Accessing Amazon QLDB using the QLDB shell.","ref":"aws_qldb_session.html","title":"aws_qldb_session","type":"module"},{"doc":"Sends a command to an Amazon QLDB ledger. Instead of interacting directly with this API, we recommend using the QLDB driver or the QLDB shell to execute data transactions on a ledger. If you are working with an AWS SDK, use the QLDB driver. The driver provides a high-level abstraction layer above this QLDB Session data plane and manages SendCommand API calls for you. For information and a list of supported programming languages, see Getting started with the driver in the Amazon QLDB Developer Guide. If you are working with the AWS Command Line Interface (AWS CLI), use the QLDB shell. The shell is a command line interface that uses the QLDB driver to interact with a ledger. For information, see Accessing Amazon QLDB using the QLDB shell.","ref":"aws_qldb_session.html#send_command/2","title":"aws_qldb_session.send_command/2","type":"function"},{"doc":"","ref":"aws_qldb_session.html#send_command/3","title":"aws_qldb_session.send_command/3","type":"function"},{"doc":"Amazon QuickSight API Reference Amazon QuickSight is a fully managed, serverless business intelligence service for the Amazon Web Services Cloud that makes it easy to extend data and insights to every user in your organization. This API reference contains documentation for a programming interface that you can use to manage Amazon QuickSight.","ref":"aws_quicksight.html","title":"aws_quicksight","type":"module"},{"doc":"Cancels an ongoing ingestion of data into SPICE.","ref":"aws_quicksight.html#cancel_ingestion/5","title":"aws_quicksight.cancel_ingestion/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#cancel_ingestion/6","title":"aws_quicksight.cancel_ingestion/6","type":"function"},{"doc":"Creates Amazon QuickSight customizations for the current Amazon Web Services Region. Currently, you can add a custom default theme by using the CreateAccountCustomization or UpdateAccountCustomization API operation. To further customize Amazon QuickSight by removing Amazon QuickSight sample assets and videos for all new users, see Customizing Amazon QuickSight in the Amazon QuickSight User Guide. You can create customizations for your Amazon Web Services account or, if you specify a namespace, for a QuickSight namespace instead. Customizations that apply to a namespace always override customizations that apply to an Amazon Web Services account. To find out which customizations apply, use the DescribeAccountCustomization API operation. Before you use the CreateAccountCustomization API operation to add a theme as the namespace default, make sure that you first share the theme with the namespace. If you don't share it with the namespace, the theme isn't visible to your users even if you make it the default theme. To check if the theme is shared, view the current permissions by using the DescribeThemePermissions API operation. To share the theme, grant permissions by using the UpdateThemePermissions API operation.","ref":"aws_quicksight.html#create_account_customization/3","title":"aws_quicksight.create_account_customization/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_account_customization/4","title":"aws_quicksight.create_account_customization/4","type":"function"},{"doc":"Creates an Amazon QuickSight account, or subscribes to Amazon QuickSight Q. The Amazon Web Services Region for the account is derived from what is configured in the CLI or SDK. This operation isn't supported in the US East (Ohio) Region, South America (Sao Paulo) Region, or Asia Pacific (Singapore) Region. Before you use this operation, make sure that you can connect to an existing Amazon Web Services account. If you don't have an Amazon Web Services account, see Sign up for Amazon Web Services in the Amazon QuickSight User Guide. The person who signs up for Amazon QuickSight needs to have the correct Identity and Access Management (IAM) permissions. For more information, see IAM Policy Examples for Amazon QuickSight in the Amazon QuickSight User Guide. If your IAM policy includes both the Subscribe and CreateAccountSubscription actions, make sure that both actions are set to Allow . If either action is set to Deny , the Deny action prevails and your API call fails. You can't pass an existing IAM role to access other Amazon Web Services services using this API operation. To pass your existing IAM role to Amazon QuickSight, see Passing IAM roles to Amazon QuickSight in the Amazon QuickSight User Guide. You can't set default resource access on the new account from the Amazon QuickSight API. Instead, add default resource access from the Amazon QuickSight console. For more information about setting default resource access to Amazon Web Services services, see Setting default resource access to Amazon Web Services services in the Amazon QuickSight User Guide.","ref":"aws_quicksight.html#create_account_subscription/3","title":"aws_quicksight.create_account_subscription/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_account_subscription/4","title":"aws_quicksight.create_account_subscription/4","type":"function"},{"doc":"Creates an analysis in Amazon QuickSight. Analyses can be created either from a template or from an AnalysisDefinition .","ref":"aws_quicksight.html#create_analysis/4","title":"aws_quicksight.create_analysis/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_analysis/5","title":"aws_quicksight.create_analysis/5","type":"function"},{"doc":"Creates a dashboard from either a template or directly with a DashboardDefinition . To first create a template, see the CreateTemplate API operation. A dashboard is an entity in Amazon QuickSight that identifies Amazon QuickSight reports, created from analyses. You can share Amazon QuickSight dashboards. With the right permissions, you can create scheduled email reports from them. If you have the correct permissions, you can create a dashboard from a template that exists in a different Amazon Web Services account.","ref":"aws_quicksight.html#create_dashboard/4","title":"aws_quicksight.create_dashboard/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_dashboard/5","title":"aws_quicksight.create_dashboard/5","type":"function"},{"doc":"Creates a dataset. This operation doesn't support datasets that include uploaded files as a source.","ref":"aws_quicksight.html#create_data_set/3","title":"aws_quicksight.create_data_set/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_data_set/4","title":"aws_quicksight.create_data_set/4","type":"function"},{"doc":"Creates a data source.","ref":"aws_quicksight.html#create_data_source/3","title":"aws_quicksight.create_data_source/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_data_source/4","title":"aws_quicksight.create_data_source/4","type":"function"},{"doc":"Creates an empty shared folder.","ref":"aws_quicksight.html#create_folder/4","title":"aws_quicksight.create_folder/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_folder/5","title":"aws_quicksight.create_folder/5","type":"function"},{"doc":"Adds an asset, such as a dashboard, analysis, or dataset into a folder.","ref":"aws_quicksight.html#create_folder_membership/6","title":"aws_quicksight.create_folder_membership/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_folder_membership/7","title":"aws_quicksight.create_folder_membership/7","type":"function"},{"doc":"Use the CreateGroup operation to create a group in Amazon QuickSight. You can create up to 10,000 groups in a namespace. If you want to create more than 10,000 groups in a namespace, contact AWS Support. The permissions resource is arn:aws:quicksight:&amp;lt;your-region&amp;gt;:&amp;lt;relevant-aws-account-id&amp;gt;:group/default/&amp;lt;group-name&amp;gt; . The response is a group object.","ref":"aws_quicksight.html#create_group/4","title":"aws_quicksight.create_group/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_group/5","title":"aws_quicksight.create_group/5","type":"function"},{"doc":"Adds an Amazon QuickSight user to an Amazon QuickSight group.","ref":"aws_quicksight.html#create_group_membership/6","title":"aws_quicksight.create_group_membership/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_group_membership/7","title":"aws_quicksight.create_group_membership/7","type":"function"},{"doc":"Creates an assignment with one specified IAM policy, identified by its Amazon Resource Name (ARN). This policy assignment is attached to the specified groups or users of Amazon QuickSight. Assignment names are unique per Amazon Web Services account. To avoid overwriting rules in other namespaces, use assignment names that are unique.","ref":"aws_quicksight.html#create_iam_policy_assignment/4","title":"aws_quicksight.create_iam_policy_assignment/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_iam_policy_assignment/5","title":"aws_quicksight.create_iam_policy_assignment/5","type":"function"},{"doc":"Creates and starts a new SPICE ingestion for a dataset. You can manually refresh datasets in an Enterprise edition account 32 times in a 24-hour period. You can manually refresh datasets in a Standard edition account 8 times in a 24-hour period. Each 24-hour period is measured starting 24 hours before the current date and time. Any ingestions operating on tagged datasets inherit the same tags automatically for use in access control. For an example, see How do I create an IAM policy to control access to Amazon EC2 resources using tags? in the Amazon Web Services Knowledge Center. Tags are visible on the tagged dataset, but not on the ingestion resource.","ref":"aws_quicksight.html#create_ingestion/5","title":"aws_quicksight.create_ingestion/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_ingestion/6","title":"aws_quicksight.create_ingestion/6","type":"function"},{"doc":"(Enterprise edition only) Creates a new namespace for you to use with Amazon QuickSight. A namespace allows you to isolate the Amazon QuickSight users and groups that are registered for that namespace. Users that access the namespace can share assets only with other users or groups in the same namespace. They can't see users and groups in other namespaces. You can create a namespace after your Amazon Web Services account is subscribed to Amazon QuickSight. The namespace must be unique within the Amazon Web Services account. By default, there is a limit of 100 namespaces per Amazon Web Services account. To increase your limit, create a ticket with Amazon Web Services Support.","ref":"aws_quicksight.html#create_namespace/3","title":"aws_quicksight.create_namespace/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_namespace/4","title":"aws_quicksight.create_namespace/4","type":"function"},{"doc":"Creates a template either from a TemplateDefinition or from an existing Amazon QuickSight analysis or template. You can use the resulting template to create additional dashboards, templates, or analyses. A template is an entity in Amazon QuickSight that encapsulates the metadata required to create an analysis and that you can use to create s dashboard. A template adds a layer of abstraction by using placeholders to replace the dataset associated with the analysis. You can use templates to create dashboards by replacing dataset placeholders with datasets that follow the same schema that was used to create the source analysis and template.","ref":"aws_quicksight.html#create_template/4","title":"aws_quicksight.create_template/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_template/5","title":"aws_quicksight.create_template/5","type":"function"},{"doc":"Creates a template alias for a template.","ref":"aws_quicksight.html#create_template_alias/5","title":"aws_quicksight.create_template_alias/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_template_alias/6","title":"aws_quicksight.create_template_alias/6","type":"function"},{"doc":"Creates a theme. A theme is set of configuration options for color and layout. Themes apply to analyses and dashboards. For more information, see Using Themes in Amazon QuickSight in the Amazon QuickSight User Guide.","ref":"aws_quicksight.html#create_theme/4","title":"aws_quicksight.create_theme/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_theme/5","title":"aws_quicksight.create_theme/5","type":"function"},{"doc":"Creates a theme alias for a theme.","ref":"aws_quicksight.html#create_theme_alias/5","title":"aws_quicksight.create_theme_alias/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#create_theme_alias/6","title":"aws_quicksight.create_theme_alias/6","type":"function"},{"doc":"Deletes all Amazon QuickSight customizations in this Amazon Web Services Region for the specified Amazon Web Services account and Amazon QuickSight namespace.","ref":"aws_quicksight.html#delete_account_customization/3","title":"aws_quicksight.delete_account_customization/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_account_customization/4","title":"aws_quicksight.delete_account_customization/4","type":"function"},{"doc":"Use the DeleteAccountSubscription operation to delete an Amazon QuickSight account. This operation will result in an error message if you have configured your account termination protection settings to True . To change this setting and delete your account, call the UpdateAccountSettings API and set the value of the TerminationProtectionEnabled parameter to False , then make another call to the DeleteAccountSubscription API.","ref":"aws_quicksight.html#delete_account_subscription/3","title":"aws_quicksight.delete_account_subscription/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_account_subscription/4","title":"aws_quicksight.delete_account_subscription/4","type":"function"},{"doc":"Deletes an analysis from Amazon QuickSight. You can optionally include a recovery window during which you can restore the analysis. If you don't specify a recovery window value, the operation defaults to 30 days. Amazon QuickSight attaches a DeletionTime stamp to the response that specifies the end of the recovery window. At the end of the recovery window, Amazon QuickSight deletes the analysis permanently. At any time before recovery window ends, you can use the RestoreAnalysis API operation to remove the DeletionTime stamp and cancel the deletion of the analysis. The analysis remains visible in the API until it's deleted, so you can describe it but you can't make a template from it. An analysis that's scheduled for deletion isn't accessible in the Amazon QuickSight console. To access it in the console, restore it. Deleting an analysis doesn't delete the dashboards that you publish from it.","ref":"aws_quicksight.html#delete_analysis/4","title":"aws_quicksight.delete_analysis/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_analysis/5","title":"aws_quicksight.delete_analysis/5","type":"function"},{"doc":"Deletes a dashboard.","ref":"aws_quicksight.html#delete_dashboard/4","title":"aws_quicksight.delete_dashboard/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_dashboard/5","title":"aws_quicksight.delete_dashboard/5","type":"function"},{"doc":"Deletes a dataset.","ref":"aws_quicksight.html#delete_data_set/4","title":"aws_quicksight.delete_data_set/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_data_set/5","title":"aws_quicksight.delete_data_set/5","type":"function"},{"doc":"Deletes the data source permanently. This operation breaks all the datasets that reference the deleted data source.","ref":"aws_quicksight.html#delete_data_source/4","title":"aws_quicksight.delete_data_source/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_data_source/5","title":"aws_quicksight.delete_data_source/5","type":"function"},{"doc":"Deletes an empty folder.","ref":"aws_quicksight.html#delete_folder/4","title":"aws_quicksight.delete_folder/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_folder/5","title":"aws_quicksight.delete_folder/5","type":"function"},{"doc":"Removes an asset, such as a dashboard, analysis, or dataset, from a folder.","ref":"aws_quicksight.html#delete_folder_membership/6","title":"aws_quicksight.delete_folder_membership/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_folder_membership/7","title":"aws_quicksight.delete_folder_membership/7","type":"function"},{"doc":"Removes a user group from Amazon QuickSight.","ref":"aws_quicksight.html#delete_group/5","title":"aws_quicksight.delete_group/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_group/6","title":"aws_quicksight.delete_group/6","type":"function"},{"doc":"Removes a user from a group so that the user is no longer a member of the group.","ref":"aws_quicksight.html#delete_group_membership/6","title":"aws_quicksight.delete_group_membership/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_group_membership/7","title":"aws_quicksight.delete_group_membership/7","type":"function"},{"doc":"Deletes an existing IAM policy assignment.","ref":"aws_quicksight.html#delete_iam_policy_assignment/5","title":"aws_quicksight.delete_iam_policy_assignment/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_iam_policy_assignment/6","title":"aws_quicksight.delete_iam_policy_assignment/6","type":"function"},{"doc":"Deletes a namespace and the users and groups that are associated with the namespace. This is an asynchronous process. Assets including dashboards, analyses, datasets and data sources are not deleted. To delete these assets, you use the API operations for the relevant asset.","ref":"aws_quicksight.html#delete_namespace/4","title":"aws_quicksight.delete_namespace/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_namespace/5","title":"aws_quicksight.delete_namespace/5","type":"function"},{"doc":"Deletes a template.","ref":"aws_quicksight.html#delete_template/4","title":"aws_quicksight.delete_template/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_template/5","title":"aws_quicksight.delete_template/5","type":"function"},{"doc":"Deletes the item that the specified template alias points to. If you provide a specific alias, you delete the version of the template that the alias points to.","ref":"aws_quicksight.html#delete_template_alias/5","title":"aws_quicksight.delete_template_alias/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_template_alias/6","title":"aws_quicksight.delete_template_alias/6","type":"function"},{"doc":"Deletes a theme.","ref":"aws_quicksight.html#delete_theme/4","title":"aws_quicksight.delete_theme/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_theme/5","title":"aws_quicksight.delete_theme/5","type":"function"},{"doc":"Deletes the version of the theme that the specified theme alias points to. If you provide a specific alias, you delete the version of the theme that the alias points to.","ref":"aws_quicksight.html#delete_theme_alias/5","title":"aws_quicksight.delete_theme_alias/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_theme_alias/6","title":"aws_quicksight.delete_theme_alias/6","type":"function"},{"doc":"Deletes the Amazon QuickSight user that is associated with the identity of the Identity and Access Management (IAM) user or role that's making the call. The IAM user isn't deleted as a result of this call.","ref":"aws_quicksight.html#delete_user/5","title":"aws_quicksight.delete_user/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_user/6","title":"aws_quicksight.delete_user/6","type":"function"},{"doc":"Deletes a user identified by its principal ID.","ref":"aws_quicksight.html#delete_user_by_principal_id/5","title":"aws_quicksight.delete_user_by_principal_id/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#delete_user_by_principal_id/6","title":"aws_quicksight.delete_user_by_principal_id/6","type":"function"},{"doc":"Describes the customizations associated with the provided Amazon Web Services account and Amazon Amazon QuickSight namespace in an Amazon Web Services Region. The Amazon QuickSight console evaluates which customizations to apply by running this API operation with the Resolved flag included. To determine what customizations display when you run this command, it can help to visualize the relationship of the entities involved. Amazon Web Services account - The Amazon Web Services account exists at the top of the hierarchy. It has the potential to use all of the Amazon Web Services Regions and Amazon Web Services Services. When you subscribe to Amazon QuickSight, you choose one Amazon Web Services Region to use as your home Region. That's where your free SPICE capacity is located. You can use Amazon QuickSight in any supported Amazon Web Services Region. Amazon Web Services Region - In each Amazon Web Services Region where you sign in to Amazon QuickSight at least once, Amazon QuickSight acts as a separate instance of the same service. If you have a user directory, it resides in us-east-1, which is the US East (N. Virginia). Generally speaking, these users have access to Amazon QuickSight in any Amazon Web Services Region, unless they are constrained to a namespace. To run the command in a different Amazon Web Services Region, you change your Region settings. If you're using the CLI, you can use one of the following options: Use command line options. Use named profiles. Run aws configure to change your default Amazon Web Services Region. Use Enter to key the same settings for your keys. For more information, see Configuring the CLI. Namespace - A QuickSight namespace is a partition that contains users and assets (data sources, datasets, dashboards, and so on). To access assets that are in a specific namespace, users and groups must also be part of the same namespace. People who share a namespace are completely isolated from users and assets in other namespaces, even if they are in the same Amazon Web Services account and Amazon Web Services Region. Applied customizations - Within an Amazon Web Services Region, a set of Amazon QuickSight customizations can apply to an Amazon Web Services account or to a namespace. Settings that you apply to a namespace override settings that you apply to an Amazon Web Services account. All settings are isolated to a single Amazon Web Services Region. To apply them in other Amazon Web Services Regions, run the CreateAccountCustomization command in each Amazon Web Services Region where you want to apply the same customizations.","ref":"aws_quicksight.html#describe_account_customization/2","title":"aws_quicksight.describe_account_customization/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_account_customization/4","title":"aws_quicksight.describe_account_customization/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_account_customization/5","title":"aws_quicksight.describe_account_customization/5","type":"function"},{"doc":"Describes the settings that were used when your Amazon QuickSight subscription was first created in this Amazon Web Services account.","ref":"aws_quicksight.html#describe_account_settings/2","title":"aws_quicksight.describe_account_settings/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_account_settings/4","title":"aws_quicksight.describe_account_settings/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_account_settings/5","title":"aws_quicksight.describe_account_settings/5","type":"function"},{"doc":"Use the DescribeAccountSubscription operation to receive a description of an Amazon QuickSight account's subscription. A successful API call returns an AccountInfo object that includes an account's name, subscription status, authentication type, edition, and notification email address.","ref":"aws_quicksight.html#describe_account_subscription/2","title":"aws_quicksight.describe_account_subscription/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_account_subscription/4","title":"aws_quicksight.describe_account_subscription/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_account_subscription/5","title":"aws_quicksight.describe_account_subscription/5","type":"function"},{"doc":"Provides a summary of the metadata for an analysis.","ref":"aws_quicksight.html#describe_analysis/3","title":"aws_quicksight.describe_analysis/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_analysis/5","title":"aws_quicksight.describe_analysis/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_analysis/6","title":"aws_quicksight.describe_analysis/6","type":"function"},{"doc":"Provides a detailed description of the definition of an analysis. If you do not need to know details about the content of an Analysis, for instance if you are trying to check the status of a recently created or updated Analysis, use the DescribeAnalysis instead.","ref":"aws_quicksight.html#describe_analysis_definition/3","title":"aws_quicksight.describe_analysis_definition/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_analysis_definition/5","title":"aws_quicksight.describe_analysis_definition/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_analysis_definition/6","title":"aws_quicksight.describe_analysis_definition/6","type":"function"},{"doc":"Provides the read and write permissions for an analysis.","ref":"aws_quicksight.html#describe_analysis_permissions/3","title":"aws_quicksight.describe_analysis_permissions/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_analysis_permissions/5","title":"aws_quicksight.describe_analysis_permissions/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_analysis_permissions/6","title":"aws_quicksight.describe_analysis_permissions/6","type":"function"},{"doc":"Provides a summary for a dashboard.","ref":"aws_quicksight.html#describe_dashboard/3","title":"aws_quicksight.describe_dashboard/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_dashboard/5","title":"aws_quicksight.describe_dashboard/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_dashboard/6","title":"aws_quicksight.describe_dashboard/6","type":"function"},{"doc":"Provides a detailed description of the definition of a dashboard. If you do not need to know details about the content of a dashboard, for instance if you are trying to check the status of a recently created or updated dashboard, use the DescribeDashboard instead.","ref":"aws_quicksight.html#describe_dashboard_definition/3","title":"aws_quicksight.describe_dashboard_definition/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_dashboard_definition/5","title":"aws_quicksight.describe_dashboard_definition/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_dashboard_definition/6","title":"aws_quicksight.describe_dashboard_definition/6","type":"function"},{"doc":"Describes read and write permissions for a dashboard.","ref":"aws_quicksight.html#describe_dashboard_permissions/3","title":"aws_quicksight.describe_dashboard_permissions/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_dashboard_permissions/5","title":"aws_quicksight.describe_dashboard_permissions/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_dashboard_permissions/6","title":"aws_quicksight.describe_dashboard_permissions/6","type":"function"},{"doc":"Describes a dataset. This operation doesn't support datasets that include uploaded files as a source.","ref":"aws_quicksight.html#describe_data_set/3","title":"aws_quicksight.describe_data_set/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_data_set/5","title":"aws_quicksight.describe_data_set/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_data_set/6","title":"aws_quicksight.describe_data_set/6","type":"function"},{"doc":"Describes the permissions on a dataset. The permissions resource is arn:aws:quicksight:region:aws-account-id:dataset/data-set-id .","ref":"aws_quicksight.html#describe_data_set_permissions/3","title":"aws_quicksight.describe_data_set_permissions/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_data_set_permissions/5","title":"aws_quicksight.describe_data_set_permissions/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_data_set_permissions/6","title":"aws_quicksight.describe_data_set_permissions/6","type":"function"},{"doc":"Describes a data source.","ref":"aws_quicksight.html#describe_data_source/3","title":"aws_quicksight.describe_data_source/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_data_source/5","title":"aws_quicksight.describe_data_source/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_data_source/6","title":"aws_quicksight.describe_data_source/6","type":"function"},{"doc":"Describes the resource permissions for a data source.","ref":"aws_quicksight.html#describe_data_source_permissions/3","title":"aws_quicksight.describe_data_source_permissions/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_data_source_permissions/5","title":"aws_quicksight.describe_data_source_permissions/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_data_source_permissions/6","title":"aws_quicksight.describe_data_source_permissions/6","type":"function"},{"doc":"Describes a folder.","ref":"aws_quicksight.html#describe_folder/3","title":"aws_quicksight.describe_folder/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_folder/5","title":"aws_quicksight.describe_folder/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_folder/6","title":"aws_quicksight.describe_folder/6","type":"function"},{"doc":"Describes permissions for a folder.","ref":"aws_quicksight.html#describe_folder_permissions/3","title":"aws_quicksight.describe_folder_permissions/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_folder_permissions/5","title":"aws_quicksight.describe_folder_permissions/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_folder_permissions/6","title":"aws_quicksight.describe_folder_permissions/6","type":"function"},{"doc":"Describes the folder resolved permissions. Permissions consists of both folder direct permissions and the inherited permissions from the ancestor folders.","ref":"aws_quicksight.html#describe_folder_resolved_permissions/3","title":"aws_quicksight.describe_folder_resolved_permissions/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_folder_resolved_permissions/5","title":"aws_quicksight.describe_folder_resolved_permissions/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_folder_resolved_permissions/6","title":"aws_quicksight.describe_folder_resolved_permissions/6","type":"function"},{"doc":"Returns an Amazon QuickSight group's description and Amazon Resource Name (ARN).","ref":"aws_quicksight.html#describe_group/4","title":"aws_quicksight.describe_group/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_group/6","title":"aws_quicksight.describe_group/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_group/7","title":"aws_quicksight.describe_group/7","type":"function"},{"doc":"Use the DescribeGroupMembership operation to determine if a user is a member of the specified group. If the user exists and is a member of the specified group, an associated GroupMember object is returned.","ref":"aws_quicksight.html#describe_group_membership/5","title":"aws_quicksight.describe_group_membership/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_group_membership/7","title":"aws_quicksight.describe_group_membership/7","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_group_membership/8","title":"aws_quicksight.describe_group_membership/8","type":"function"},{"doc":"Describes an existing IAM policy assignment, as specified by the assignment name.","ref":"aws_quicksight.html#describe_iam_policy_assignment/4","title":"aws_quicksight.describe_iam_policy_assignment/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_iam_policy_assignment/6","title":"aws_quicksight.describe_iam_policy_assignment/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_iam_policy_assignment/7","title":"aws_quicksight.describe_iam_policy_assignment/7","type":"function"},{"doc":"Describes a SPICE ingestion.","ref":"aws_quicksight.html#describe_ingestion/4","title":"aws_quicksight.describe_ingestion/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_ingestion/6","title":"aws_quicksight.describe_ingestion/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_ingestion/7","title":"aws_quicksight.describe_ingestion/7","type":"function"},{"doc":"Provides a summary and status of IP rules.","ref":"aws_quicksight.html#describe_ip_restriction/2","title":"aws_quicksight.describe_ip_restriction/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_ip_restriction/4","title":"aws_quicksight.describe_ip_restriction/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_ip_restriction/5","title":"aws_quicksight.describe_ip_restriction/5","type":"function"},{"doc":"Describes the current namespace.","ref":"aws_quicksight.html#describe_namespace/3","title":"aws_quicksight.describe_namespace/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_namespace/5","title":"aws_quicksight.describe_namespace/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_namespace/6","title":"aws_quicksight.describe_namespace/6","type":"function"},{"doc":"Describes a template's metadata.","ref":"aws_quicksight.html#describe_template/3","title":"aws_quicksight.describe_template/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_template/5","title":"aws_quicksight.describe_template/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_template/6","title":"aws_quicksight.describe_template/6","type":"function"},{"doc":"Describes the template alias for a template.","ref":"aws_quicksight.html#describe_template_alias/4","title":"aws_quicksight.describe_template_alias/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_template_alias/6","title":"aws_quicksight.describe_template_alias/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_template_alias/7","title":"aws_quicksight.describe_template_alias/7","type":"function"},{"doc":"Provides a detailed description of the definition of a template. If you do not need to know details about the content of a template, for instance if you are trying to check the status of a recently created or updated template, use the DescribeTemplate instead.","ref":"aws_quicksight.html#describe_template_definition/3","title":"aws_quicksight.describe_template_definition/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_template_definition/5","title":"aws_quicksight.describe_template_definition/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_template_definition/6","title":"aws_quicksight.describe_template_definition/6","type":"function"},{"doc":"Describes read and write permissions on a template.","ref":"aws_quicksight.html#describe_template_permissions/3","title":"aws_quicksight.describe_template_permissions/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_template_permissions/5","title":"aws_quicksight.describe_template_permissions/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_template_permissions/6","title":"aws_quicksight.describe_template_permissions/6","type":"function"},{"doc":"Describes a theme.","ref":"aws_quicksight.html#describe_theme/3","title":"aws_quicksight.describe_theme/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_theme/5","title":"aws_quicksight.describe_theme/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_theme/6","title":"aws_quicksight.describe_theme/6","type":"function"},{"doc":"Describes the alias for a theme.","ref":"aws_quicksight.html#describe_theme_alias/4","title":"aws_quicksight.describe_theme_alias/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_theme_alias/6","title":"aws_quicksight.describe_theme_alias/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_theme_alias/7","title":"aws_quicksight.describe_theme_alias/7","type":"function"},{"doc":"Describes the read and write permissions for a theme.","ref":"aws_quicksight.html#describe_theme_permissions/3","title":"aws_quicksight.describe_theme_permissions/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_theme_permissions/5","title":"aws_quicksight.describe_theme_permissions/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_theme_permissions/6","title":"aws_quicksight.describe_theme_permissions/6","type":"function"},{"doc":"Returns information about a user, given the user name.","ref":"aws_quicksight.html#describe_user/4","title":"aws_quicksight.describe_user/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_user/6","title":"aws_quicksight.describe_user/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#describe_user/7","title":"aws_quicksight.describe_user/7","type":"function"},{"doc":"Generates an embed URL that you can use to embed an Amazon QuickSight dashboard or visual in your website, without having to register any reader users. Before you use this action, make sure that you have configured the dashboards and permissions. The following rules apply to the generated URL: It contains a temporary bearer token. It is valid for 5 minutes after it is generated. Once redeemed within this period, it cannot be re-used again. The URL validity period should not be confused with the actual session lifetime that can be customized using the SessionLifetimeInMinutes parameter. The resulting user session is valid for 15 minutes (minimum) to 10 hours (maximum). The default session duration is 10 hours. You are charged only when the URL is used or there is interaction with Amazon QuickSight. For more information, see Embedded Analytics in the Amazon QuickSight User Guide. For more information about the high-level steps for embedding and for an interactive demo of the ways you can customize embedding, visit the Amazon QuickSight Developer Portal.","ref":"aws_quicksight.html#generate_embed_url_for_anonymous_user/3","title":"aws_quicksight.generate_embed_url_for_anonymous_user/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#generate_embed_url_for_anonymous_user/4","title":"aws_quicksight.generate_embed_url_for_anonymous_user/4","type":"function"},{"doc":"Generates an embed URL that you can use to embed an Amazon QuickSight experience in your website. This action can be used for any type of user registered in an Amazon QuickSight account. Before you use this action, make sure that you have configured the relevant Amazon QuickSight resource and permissions. The following rules apply to the generated URL: It contains a temporary bearer token. It is valid for 5 minutes after it is generated. Once redeemed within this period, it cannot be re-used again. The URL validity period should not be confused with the actual session lifetime that can be customized using the SessionLifetimeInMinutes parameter. The resulting user session is valid for 15 minutes (minimum) to 10 hours (maximum). The default session duration is 10 hours. You are charged only when the URL is used or there is interaction with Amazon QuickSight. For more information, see Embedded Analytics in the Amazon QuickSight User Guide. For more information about the high-level steps for embedding and for an interactive demo of the ways you can customize embedding, visit the Amazon QuickSight Developer Portal.","ref":"aws_quicksight.html#generate_embed_url_for_registered_user/3","title":"aws_quicksight.generate_embed_url_for_registered_user/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#generate_embed_url_for_registered_user/4","title":"aws_quicksight.generate_embed_url_for_registered_user/4","type":"function"},{"doc":"Generates a temporary session URL and authorization code(bearer token) that you can use to embed an Amazon QuickSight read-only dashboard in your website or application. Before you use this command, make sure that you have configured the dashboards and permissions. Currently, you can use GetDashboardEmbedURL only from the server, not from the user's browser. The following rules apply to the generated URL: They must be used together. They can be used one time only. They are valid for 5 minutes after you run this command. You are charged only when the URL is used or there is interaction with Amazon QuickSight. The resulting user session is valid for 15 minutes (default) up to 10 hours (maximum). You can use the optional SessionLifetimeInMinutes parameter to customize session duration. For more information, see Embedding Analytics Using GetDashboardEmbedUrl in the Amazon QuickSight User Guide. For more information about the high-level steps for embedding and for an interactive demo of the ways you can customize embedding, visit the Amazon QuickSight Developer Portal.","ref":"aws_quicksight.html#get_dashboard_embed_url/4","title":"aws_quicksight.get_dashboard_embed_url/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#get_dashboard_embed_url/6","title":"aws_quicksight.get_dashboard_embed_url/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#get_dashboard_embed_url/7","title":"aws_quicksight.get_dashboard_embed_url/7","type":"function"},{"doc":"Generates a session URL and authorization code that you can use to embed the Amazon Amazon QuickSight console in your web server code. Use GetSessionEmbedUrl where you want to provide an authoring portal that allows users to create data sources, datasets, analyses, and dashboards. The users who access an embedded Amazon QuickSight console need belong to the author or admin security cohort. If you want to restrict permissions to some of these features, add a custom permissions profile to the user with the UpdateUser API operation. Use RegisterUser API operation to add a new user with a custom permission profile attached. For more information, see the following sections in the Amazon QuickSight User Guide: Embedding Analytics Customizing Access to the Amazon QuickSight Console","ref":"aws_quicksight.html#get_session_embed_url/2","title":"aws_quicksight.get_session_embed_url/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#get_session_embed_url/4","title":"aws_quicksight.get_session_embed_url/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#get_session_embed_url/5","title":"aws_quicksight.get_session_embed_url/5","type":"function"},{"doc":"Lists Amazon QuickSight analyses that exist in the specified Amazon Web Services account.","ref":"aws_quicksight.html#list_analyses/2","title":"aws_quicksight.list_analyses/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_analyses/4","title":"aws_quicksight.list_analyses/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_analyses/5","title":"aws_quicksight.list_analyses/5","type":"function"},{"doc":"Lists all the versions of the dashboards in the Amazon QuickSight subscription.","ref":"aws_quicksight.html#list_dashboard_versions/3","title":"aws_quicksight.list_dashboard_versions/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_dashboard_versions/5","title":"aws_quicksight.list_dashboard_versions/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_dashboard_versions/6","title":"aws_quicksight.list_dashboard_versions/6","type":"function"},{"doc":"Lists dashboards in an Amazon Web Services account.","ref":"aws_quicksight.html#list_dashboards/2","title":"aws_quicksight.list_dashboards/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_dashboards/4","title":"aws_quicksight.list_dashboards/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_dashboards/5","title":"aws_quicksight.list_dashboards/5","type":"function"},{"doc":"Lists all of the datasets belonging to the current Amazon Web Services account in an Amazon Web Services Region. The permissions resource is arn:aws:quicksight:region:aws-account-id:dataset/* .","ref":"aws_quicksight.html#list_data_sets/2","title":"aws_quicksight.list_data_sets/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_data_sets/4","title":"aws_quicksight.list_data_sets/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_data_sets/5","title":"aws_quicksight.list_data_sets/5","type":"function"},{"doc":"Lists data sources in current Amazon Web Services Region that belong to this Amazon Web Services account.","ref":"aws_quicksight.html#list_data_sources/2","title":"aws_quicksight.list_data_sources/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_data_sources/4","title":"aws_quicksight.list_data_sources/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_data_sources/5","title":"aws_quicksight.list_data_sources/5","type":"function"},{"doc":"List all assets ( DASHBOARD , ANALYSIS , and DATASET ) in a folder.","ref":"aws_quicksight.html#list_folder_members/3","title":"aws_quicksight.list_folder_members/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_folder_members/5","title":"aws_quicksight.list_folder_members/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_folder_members/6","title":"aws_quicksight.list_folder_members/6","type":"function"},{"doc":"Lists all folders in an account.","ref":"aws_quicksight.html#list_folders/2","title":"aws_quicksight.list_folders/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_folders/4","title":"aws_quicksight.list_folders/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_folders/5","title":"aws_quicksight.list_folders/5","type":"function"},{"doc":"Lists member users in a group.","ref":"aws_quicksight.html#list_group_memberships/4","title":"aws_quicksight.list_group_memberships/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_group_memberships/6","title":"aws_quicksight.list_group_memberships/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_group_memberships/7","title":"aws_quicksight.list_group_memberships/7","type":"function"},{"doc":"Lists all user groups in Amazon QuickSight.","ref":"aws_quicksight.html#list_groups/3","title":"aws_quicksight.list_groups/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_groups/5","title":"aws_quicksight.list_groups/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_groups/6","title":"aws_quicksight.list_groups/6","type":"function"},{"doc":"Lists IAM policy assignments in the current Amazon QuickSight account.","ref":"aws_quicksight.html#list_iam_policy_assignments/3","title":"aws_quicksight.list_iam_policy_assignments/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_iam_policy_assignments/5","title":"aws_quicksight.list_iam_policy_assignments/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_iam_policy_assignments/6","title":"aws_quicksight.list_iam_policy_assignments/6","type":"function"},{"doc":"Lists all the IAM policy assignments, including the Amazon Resource Names (ARNs) for the IAM policies assigned to the specified user and group or groups that the user belongs to.","ref":"aws_quicksight.html#list_iam_policy_assignments_for_user/4","title":"aws_quicksight.list_iam_policy_assignments_for_user/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_iam_policy_assignments_for_user/6","title":"aws_quicksight.list_iam_policy_assignments_for_user/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_iam_policy_assignments_for_user/7","title":"aws_quicksight.list_iam_policy_assignments_for_user/7","type":"function"},{"doc":"Lists the history of SPICE ingestions for a dataset.","ref":"aws_quicksight.html#list_ingestions/3","title":"aws_quicksight.list_ingestions/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_ingestions/5","title":"aws_quicksight.list_ingestions/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_ingestions/6","title":"aws_quicksight.list_ingestions/6","type":"function"},{"doc":"Lists the namespaces for the specified Amazon Web Services account. This operation doesn't list deleted namespaces.","ref":"aws_quicksight.html#list_namespaces/2","title":"aws_quicksight.list_namespaces/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_namespaces/4","title":"aws_quicksight.list_namespaces/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_namespaces/5","title":"aws_quicksight.list_namespaces/5","type":"function"},{"doc":"Lists the tags assigned to a resource.","ref":"aws_quicksight.html#list_tags_for_resource/2","title":"aws_quicksight.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_tags_for_resource/4","title":"aws_quicksight.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_tags_for_resource/5","title":"aws_quicksight.list_tags_for_resource/5","type":"function"},{"doc":"Lists all the aliases of a template.","ref":"aws_quicksight.html#list_template_aliases/3","title":"aws_quicksight.list_template_aliases/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_template_aliases/5","title":"aws_quicksight.list_template_aliases/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_template_aliases/6","title":"aws_quicksight.list_template_aliases/6","type":"function"},{"doc":"Lists all the versions of the templates in the current Amazon QuickSight account.","ref":"aws_quicksight.html#list_template_versions/3","title":"aws_quicksight.list_template_versions/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_template_versions/5","title":"aws_quicksight.list_template_versions/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_template_versions/6","title":"aws_quicksight.list_template_versions/6","type":"function"},{"doc":"Lists all the templates in the current Amazon QuickSight account.","ref":"aws_quicksight.html#list_templates/2","title":"aws_quicksight.list_templates/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_templates/4","title":"aws_quicksight.list_templates/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_templates/5","title":"aws_quicksight.list_templates/5","type":"function"},{"doc":"Lists all the aliases of a theme.","ref":"aws_quicksight.html#list_theme_aliases/3","title":"aws_quicksight.list_theme_aliases/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_theme_aliases/5","title":"aws_quicksight.list_theme_aliases/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_theme_aliases/6","title":"aws_quicksight.list_theme_aliases/6","type":"function"},{"doc":"Lists all the versions of the themes in the current Amazon Web Services account.","ref":"aws_quicksight.html#list_theme_versions/3","title":"aws_quicksight.list_theme_versions/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_theme_versions/5","title":"aws_quicksight.list_theme_versions/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_theme_versions/6","title":"aws_quicksight.list_theme_versions/6","type":"function"},{"doc":"Lists all the themes in the current Amazon Web Services account.","ref":"aws_quicksight.html#list_themes/2","title":"aws_quicksight.list_themes/2","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_themes/4","title":"aws_quicksight.list_themes/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_themes/5","title":"aws_quicksight.list_themes/5","type":"function"},{"doc":"Lists the Amazon QuickSight groups that an Amazon QuickSight user is a member of.","ref":"aws_quicksight.html#list_user_groups/4","title":"aws_quicksight.list_user_groups/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_user_groups/6","title":"aws_quicksight.list_user_groups/6","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_user_groups/7","title":"aws_quicksight.list_user_groups/7","type":"function"},{"doc":"Returns a list of all of the Amazon QuickSight users belonging to this account.","ref":"aws_quicksight.html#list_users/3","title":"aws_quicksight.list_users/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_users/5","title":"aws_quicksight.list_users/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#list_users/6","title":"aws_quicksight.list_users/6","type":"function"},{"doc":"Creates an Amazon QuickSight user whose identity is associated with the Identity and Access Management (IAM) identity or role specified in the request. When you register a new user from the Amazon QuickSight API, Amazon QuickSight generates a registration URL. The user accesses this registration URL to create their account. Amazon QuickSight doesn't send a registration email to users who are registered from the Amazon QuickSight API. If you want new users to receive a registration email, then add those users in the Amazon QuickSight console. For more information on registering a new user in the Amazon QuickSight console, see Inviting users to access Amazon QuickSight.","ref":"aws_quicksight.html#register_user/4","title":"aws_quicksight.register_user/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#register_user/5","title":"aws_quicksight.register_user/5","type":"function"},{"doc":"Restores an analysis.","ref":"aws_quicksight.html#restore_analysis/4","title":"aws_quicksight.restore_analysis/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#restore_analysis/5","title":"aws_quicksight.restore_analysis/5","type":"function"},{"doc":"Searches for analyses that belong to the user specified in the filter. This operation is eventually consistent. The results are best effort and may not reflect very recent updates and changes.","ref":"aws_quicksight.html#search_analyses/3","title":"aws_quicksight.search_analyses/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#search_analyses/4","title":"aws_quicksight.search_analyses/4","type":"function"},{"doc":"Searches for dashboards that belong to a user. This operation is eventually consistent. The results are best effort and may not reflect very recent updates and changes.","ref":"aws_quicksight.html#search_dashboards/3","title":"aws_quicksight.search_dashboards/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#search_dashboards/4","title":"aws_quicksight.search_dashboards/4","type":"function"},{"doc":"Use the SearchDataSets operation to search for datasets that belong to an account.","ref":"aws_quicksight.html#search_data_sets/3","title":"aws_quicksight.search_data_sets/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#search_data_sets/4","title":"aws_quicksight.search_data_sets/4","type":"function"},{"doc":"Use the SearchDataSources operation to search for data sources that belong to an account.","ref":"aws_quicksight.html#search_data_sources/3","title":"aws_quicksight.search_data_sources/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#search_data_sources/4","title":"aws_quicksight.search_data_sources/4","type":"function"},{"doc":"Searches the subfolders in a folder.","ref":"aws_quicksight.html#search_folders/3","title":"aws_quicksight.search_folders/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#search_folders/4","title":"aws_quicksight.search_folders/4","type":"function"},{"doc":"Use the SearchGroups operation to search groups in a specified Amazon QuickSight namespace using the supplied filters.","ref":"aws_quicksight.html#search_groups/4","title":"aws_quicksight.search_groups/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#search_groups/5","title":"aws_quicksight.search_groups/5","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified Amazon QuickSight resource. Tags can help you organize and categorize your resources. You can also use them to scope user permissions, by granting a user permission to access or change only resources with certain tag values. You can use the TagResource operation with a resource that already has tags. If you specify a new tag key for the resource, this tag is appended to the list of tags associated with the resource. If you specify a tag key that is already associated with the resource, the new tag value that you specify replaces the previous value for that tag. You can associate as many as 50 tags with a resource. Amazon QuickSight supports tagging on data set, data source, dashboard, and template. Tagging for Amazon QuickSight works in a similar way to tagging for other Amazon Web Services services, except for the following: You can't use tags to track costs for Amazon QuickSight. This isn't possible because you can't tag the resources that Amazon QuickSight costs are based on, for example Amazon QuickSight storage capacity (SPICE), number of users, type of users, and usage metrics. Amazon QuickSight doesn't currently support the tag editor for Resource Groups.","ref":"aws_quicksight.html#tag_resource/3","title":"aws_quicksight.tag_resource/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#tag_resource/4","title":"aws_quicksight.tag_resource/4","type":"function"},{"doc":"Removes a tag or tags from a resource.","ref":"aws_quicksight.html#untag_resource/3","title":"aws_quicksight.untag_resource/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#untag_resource/4","title":"aws_quicksight.untag_resource/4","type":"function"},{"doc":"Updates Amazon QuickSight customizations for the current Amazon Web Services Region. Currently, the only customization that you can use is a theme. You can use customizations for your Amazon Web Services account or, if you specify a namespace, for a Amazon QuickSight namespace instead. Customizations that apply to a namespace override customizations that apply to an Amazon Web Services account. To find out which customizations apply, use the DescribeAccountCustomization API operation.","ref":"aws_quicksight.html#update_account_customization/3","title":"aws_quicksight.update_account_customization/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_account_customization/4","title":"aws_quicksight.update_account_customization/4","type":"function"},{"doc":"Updates the Amazon QuickSight settings in your Amazon Web Services account.","ref":"aws_quicksight.html#update_account_settings/3","title":"aws_quicksight.update_account_settings/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_account_settings/4","title":"aws_quicksight.update_account_settings/4","type":"function"},{"doc":"Updates an analysis in Amazon QuickSight","ref":"aws_quicksight.html#update_analysis/4","title":"aws_quicksight.update_analysis/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_analysis/5","title":"aws_quicksight.update_analysis/5","type":"function"},{"doc":"Updates the read and write permissions for an analysis.","ref":"aws_quicksight.html#update_analysis_permissions/4","title":"aws_quicksight.update_analysis_permissions/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_analysis_permissions/5","title":"aws_quicksight.update_analysis_permissions/5","type":"function"},{"doc":"Updates a dashboard in an Amazon Web Services account. Updating a Dashboard creates a new dashboard version but does not immediately publish the new version. You can update the published version of a dashboard by using the UpdateDashboardPublishedVersion API operation.","ref":"aws_quicksight.html#update_dashboard/4","title":"aws_quicksight.update_dashboard/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_dashboard/5","title":"aws_quicksight.update_dashboard/5","type":"function"},{"doc":"Updates read and write permissions on a dashboard.","ref":"aws_quicksight.html#update_dashboard_permissions/4","title":"aws_quicksight.update_dashboard_permissions/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_dashboard_permissions/5","title":"aws_quicksight.update_dashboard_permissions/5","type":"function"},{"doc":"Updates the published version of a dashboard.","ref":"aws_quicksight.html#update_dashboard_published_version/5","title":"aws_quicksight.update_dashboard_published_version/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_dashboard_published_version/6","title":"aws_quicksight.update_dashboard_published_version/6","type":"function"},{"doc":"Updates a dataset. This operation doesn't support datasets that include uploaded files as a source. Partial updates are not supported by this operation.","ref":"aws_quicksight.html#update_data_set/4","title":"aws_quicksight.update_data_set/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_data_set/5","title":"aws_quicksight.update_data_set/5","type":"function"},{"doc":"Updates the permissions on a dataset. The permissions resource is arn:aws:quicksight:region:aws-account-id:dataset/data-set-id .","ref":"aws_quicksight.html#update_data_set_permissions/4","title":"aws_quicksight.update_data_set_permissions/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_data_set_permissions/5","title":"aws_quicksight.update_data_set_permissions/5","type":"function"},{"doc":"Updates a data source.","ref":"aws_quicksight.html#update_data_source/4","title":"aws_quicksight.update_data_source/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_data_source/5","title":"aws_quicksight.update_data_source/5","type":"function"},{"doc":"Updates the permissions to a data source.","ref":"aws_quicksight.html#update_data_source_permissions/4","title":"aws_quicksight.update_data_source_permissions/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_data_source_permissions/5","title":"aws_quicksight.update_data_source_permissions/5","type":"function"},{"doc":"Updates the name of a folder.","ref":"aws_quicksight.html#update_folder/4","title":"aws_quicksight.update_folder/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_folder/5","title":"aws_quicksight.update_folder/5","type":"function"},{"doc":"Updates permissions of a folder.","ref":"aws_quicksight.html#update_folder_permissions/4","title":"aws_quicksight.update_folder_permissions/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_folder_permissions/5","title":"aws_quicksight.update_folder_permissions/5","type":"function"},{"doc":"Changes a group description.","ref":"aws_quicksight.html#update_group/5","title":"aws_quicksight.update_group/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_group/6","title":"aws_quicksight.update_group/6","type":"function"},{"doc":"Updates an existing IAM policy assignment. This operation updates only the optional parameter or parameters that are specified in the request. This overwrites all of the users included in Identities .","ref":"aws_quicksight.html#update_iam_policy_assignment/5","title":"aws_quicksight.update_iam_policy_assignment/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_iam_policy_assignment/6","title":"aws_quicksight.update_iam_policy_assignment/6","type":"function"},{"doc":"Updates the content and status of IP rules. To use this operation, you need to provide the entire map of rules. You can use the DescribeIpRestriction operation to get the current rule map.","ref":"aws_quicksight.html#update_ip_restriction/3","title":"aws_quicksight.update_ip_restriction/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_ip_restriction/4","title":"aws_quicksight.update_ip_restriction/4","type":"function"},{"doc":"Use the UpdatePublicSharingSettings operation to turn on or turn off the public sharing settings of an Amazon QuickSight dashboard. To use this operation, turn on session capacity pricing for your Amazon QuickSight account. Before you can turn on public sharing on your account, make sure to give public sharing permissions to an administrative user in the Identity and Access Management (IAM) console. For more information on using IAM with Amazon QuickSight, see Using Amazon QuickSight with IAM in the Amazon QuickSight User Guide.","ref":"aws_quicksight.html#update_public_sharing_settings/3","title":"aws_quicksight.update_public_sharing_settings/3","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_public_sharing_settings/4","title":"aws_quicksight.update_public_sharing_settings/4","type":"function"},{"doc":"Updates a template from an existing Amazon QuickSight analysis or another template.","ref":"aws_quicksight.html#update_template/4","title":"aws_quicksight.update_template/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_template/5","title":"aws_quicksight.update_template/5","type":"function"},{"doc":"Updates the template alias of a template.","ref":"aws_quicksight.html#update_template_alias/5","title":"aws_quicksight.update_template_alias/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_template_alias/6","title":"aws_quicksight.update_template_alias/6","type":"function"},{"doc":"Updates the resource permissions for a template.","ref":"aws_quicksight.html#update_template_permissions/4","title":"aws_quicksight.update_template_permissions/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_template_permissions/5","title":"aws_quicksight.update_template_permissions/5","type":"function"},{"doc":"Updates a theme.","ref":"aws_quicksight.html#update_theme/4","title":"aws_quicksight.update_theme/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_theme/5","title":"aws_quicksight.update_theme/5","type":"function"},{"doc":"Updates an alias of a theme.","ref":"aws_quicksight.html#update_theme_alias/5","title":"aws_quicksight.update_theme_alias/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_theme_alias/6","title":"aws_quicksight.update_theme_alias/6","type":"function"},{"doc":"Updates the resource permissions for a theme. Permissions apply to the action to grant or revoke permissions on, for example &amp;quot;quicksight:DescribeTheme&amp;quot; . Theme permissions apply in groupings. Valid groupings include the following for the three levels of permissions, which are user, owner, or no permissions: User &amp;quot;quicksight:DescribeTheme&amp;quot; &amp;quot;quicksight:DescribeThemeAlias&amp;quot; &amp;quot;quicksight:ListThemeAliases&amp;quot; &amp;quot;quicksight:ListThemeVersions&amp;quot; Owner &amp;quot;quicksight:DescribeTheme&amp;quot; &amp;quot;quicksight:DescribeThemeAlias&amp;quot; &amp;quot;quicksight:ListThemeAliases&amp;quot; &amp;quot;quicksight:ListThemeVersions&amp;quot; &amp;quot;quicksight:DeleteTheme&amp;quot; &amp;quot;quicksight:UpdateTheme&amp;quot; &amp;quot;quicksight:CreateThemeAlias&amp;quot; &amp;quot;quicksight:DeleteThemeAlias&amp;quot; &amp;quot;quicksight:UpdateThemeAlias&amp;quot; &amp;quot;quicksight:UpdateThemePermissions&amp;quot; &amp;quot;quicksight:DescribeThemePermissions&amp;quot; To specify no permissions, omit the permissions list.","ref":"aws_quicksight.html#update_theme_permissions/4","title":"aws_quicksight.update_theme_permissions/4","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_theme_permissions/5","title":"aws_quicksight.update_theme_permissions/5","type":"function"},{"doc":"Updates an Amazon QuickSight user.","ref":"aws_quicksight.html#update_user/5","title":"aws_quicksight.update_user/5","type":"function"},{"doc":"","ref":"aws_quicksight.html#update_user/6","title":"aws_quicksight.update_user/6","type":"function"},{"doc":"This is the Resource Access Manager API Reference. This documentation provides descriptions and syntax for each of the actions and data types in RAM. RAM is a service that helps you securely share your Amazon Web Services resources across Amazon Web Services accounts. If you have multiple Amazon Web Services accounts, you can use RAM to share those resources with other accounts. If you use Organizations to manage your accounts, then you share your resources with your organization or organizational units (OUs). For supported resource types, you can also share resources with individual Identity and Access Management (IAM) roles an users. To learn more about RAM, see the following resources: Resource Access Manager product page Resource Access Manager User Guide","ref":"aws_ram.html","title":"aws_ram","type":"module"},{"doc":"Accepts an invitation to a resource share from another Amazon Web Services account. After you accept the invitation, the resources included in the resource share are available to interact with in the relevant Amazon Web Services Management Consoles and tools.","ref":"aws_ram.html#accept_resource_share_invitation/2","title":"aws_ram.accept_resource_share_invitation/2","type":"function"},{"doc":"","ref":"aws_ram.html#accept_resource_share_invitation/3","title":"aws_ram.accept_resource_share_invitation/3","type":"function"},{"doc":"Adds the specified list of principals and list of resources to a resource share. Principals that already have access to this resource share immediately receive access to the added resources. Newly added principals immediately receive access to the resources shared in this resource share.","ref":"aws_ram.html#associate_resource_share/2","title":"aws_ram.associate_resource_share/2","type":"function"},{"doc":"","ref":"aws_ram.html#associate_resource_share/3","title":"aws_ram.associate_resource_share/3","type":"function"},{"doc":"Adds or replaces the RAM permission for a resource type included in a resource share. You can have exactly one permission associated with each resource type in the resource share. You can add a new RAM permission only if there are currently no resources of that resource type currently in the resource share.","ref":"aws_ram.html#associate_resource_share_permission/2","title":"aws_ram.associate_resource_share_permission/2","type":"function"},{"doc":"","ref":"aws_ram.html#associate_resource_share_permission/3","title":"aws_ram.associate_resource_share_permission/3","type":"function"},{"doc":"Creates a resource share. You can provide a list of the Amazon Resource Names (ARNs) for the resources that you want to share, a list of principals you want to share the resources with, and the permissions to grant those principals. Sharing a resource makes it available for use by principals outside of the Amazon Web Services account that created the resource. Sharing doesn't change any permissions or quotas that apply to the resource in the account that created it.","ref":"aws_ram.html#create_resource_share/2","title":"aws_ram.create_resource_share/2","type":"function"},{"doc":"","ref":"aws_ram.html#create_resource_share/3","title":"aws_ram.create_resource_share/3","type":"function"},{"doc":"Deletes the specified resource share. This doesn't delete any of the resources that were associated with the resource share; it only stops the sharing of those resources outside of the Amazon Web Services account that created them.","ref":"aws_ram.html#delete_resource_share/2","title":"aws_ram.delete_resource_share/2","type":"function"},{"doc":"","ref":"aws_ram.html#delete_resource_share/3","title":"aws_ram.delete_resource_share/3","type":"function"},{"doc":"Disassociates the specified principals or resources from the specified resource share.","ref":"aws_ram.html#disassociate_resource_share/2","title":"aws_ram.disassociate_resource_share/2","type":"function"},{"doc":"","ref":"aws_ram.html#disassociate_resource_share/3","title":"aws_ram.disassociate_resource_share/3","type":"function"},{"doc":"Disassociates an RAM permission from a resource share. Permission changes take effect immediately. You can remove a RAM permission from a resource share only if there are currently no resources of the relevant resource type currently attached to the resource share.","ref":"aws_ram.html#disassociate_resource_share_permission/2","title":"aws_ram.disassociate_resource_share_permission/2","type":"function"},{"doc":"","ref":"aws_ram.html#disassociate_resource_share_permission/3","title":"aws_ram.disassociate_resource_share_permission/3","type":"function"},{"doc":"Enables resource sharing within your organization in Organizations. Calling this operation enables RAM to retrieve information about the organization and its structure. This lets you share resources with all of the accounts in an organization by specifying the organization's ID, or all of the accounts in an organizational unit (OU) by specifying the OU's ID. Until you enable sharing within the organization, you can specify only individual Amazon Web Services accounts, or for supported resource types, IAM users and roles. You must call this operation from an IAM user or role in the organization's management account.","ref":"aws_ram.html#enable_sharing_with_aws_organization/2","title":"aws_ram.enable_sharing_with_aws_organization/2","type":"function"},{"doc":"","ref":"aws_ram.html#enable_sharing_with_aws_organization/3","title":"aws_ram.enable_sharing_with_aws_organization/3","type":"function"},{"doc":"Gets the contents of an RAM permission in JSON format.","ref":"aws_ram.html#get_permission/2","title":"aws_ram.get_permission/2","type":"function"},{"doc":"","ref":"aws_ram.html#get_permission/3","title":"aws_ram.get_permission/3","type":"function"},{"doc":"Retrieves the resource policies for the specified resources that you own and have shared.","ref":"aws_ram.html#get_resource_policies/2","title":"aws_ram.get_resource_policies/2","type":"function"},{"doc":"","ref":"aws_ram.html#get_resource_policies/3","title":"aws_ram.get_resource_policies/3","type":"function"},{"doc":"Retrieves the resource and principal associations for resource shares that you own.","ref":"aws_ram.html#get_resource_share_associations/2","title":"aws_ram.get_resource_share_associations/2","type":"function"},{"doc":"","ref":"aws_ram.html#get_resource_share_associations/3","title":"aws_ram.get_resource_share_associations/3","type":"function"},{"doc":"Retrieves details about invitations that you have received for resource shares.","ref":"aws_ram.html#get_resource_share_invitations/2","title":"aws_ram.get_resource_share_invitations/2","type":"function"},{"doc":"","ref":"aws_ram.html#get_resource_share_invitations/3","title":"aws_ram.get_resource_share_invitations/3","type":"function"},{"doc":"Retrieves details about the resource shares that you own or that are shared with you.","ref":"aws_ram.html#get_resource_shares/2","title":"aws_ram.get_resource_shares/2","type":"function"},{"doc":"","ref":"aws_ram.html#get_resource_shares/3","title":"aws_ram.get_resource_shares/3","type":"function"},{"doc":"Lists the resources in a resource share that is shared with you but for which the invitation is still PENDING . That means that you haven't accepted or rejected the invitation and the invitation hasn't expired.","ref":"aws_ram.html#list_pending_invitation_resources/2","title":"aws_ram.list_pending_invitation_resources/2","type":"function"},{"doc":"","ref":"aws_ram.html#list_pending_invitation_resources/3","title":"aws_ram.list_pending_invitation_resources/3","type":"function"},{"doc":"Lists the available versions of the specified RAM permission.","ref":"aws_ram.html#list_permission_versions/2","title":"aws_ram.list_permission_versions/2","type":"function"},{"doc":"","ref":"aws_ram.html#list_permission_versions/3","title":"aws_ram.list_permission_versions/3","type":"function"},{"doc":"Retrieves a list of available RAM permissions that you can use for the supported resource types.","ref":"aws_ram.html#list_permissions/2","title":"aws_ram.list_permissions/2","type":"function"},{"doc":"","ref":"aws_ram.html#list_permissions/3","title":"aws_ram.list_permissions/3","type":"function"},{"doc":"Lists the principals that you are sharing resources with or that are sharing resources with you.","ref":"aws_ram.html#list_principals/2","title":"aws_ram.list_principals/2","type":"function"},{"doc":"","ref":"aws_ram.html#list_principals/3","title":"aws_ram.list_principals/3","type":"function"},{"doc":"Lists the RAM permissions that are associated with a resource share.","ref":"aws_ram.html#list_resource_share_permissions/2","title":"aws_ram.list_resource_share_permissions/2","type":"function"},{"doc":"","ref":"aws_ram.html#list_resource_share_permissions/3","title":"aws_ram.list_resource_share_permissions/3","type":"function"},{"doc":"Lists the resource types that can be shared by RAM.","ref":"aws_ram.html#list_resource_types/2","title":"aws_ram.list_resource_types/2","type":"function"},{"doc":"","ref":"aws_ram.html#list_resource_types/3","title":"aws_ram.list_resource_types/3","type":"function"},{"doc":"Lists the resources that you added to a resource share or the resources that are shared with you.","ref":"aws_ram.html#list_resources/2","title":"aws_ram.list_resources/2","type":"function"},{"doc":"","ref":"aws_ram.html#list_resources/3","title":"aws_ram.list_resources/3","type":"function"},{"doc":"When you attach a resource-based permission policy to a resource, it automatically creates a resource share. However, resource shares created this way are visible only to the resource share owner, and the resource share can't be modified in RAM. You can use this operation to promote the resource share to a full RAM resource share. When you promote a resource share, you can then manage the resource share in RAM and it becomes visible to all of the principals you shared it with.","ref":"aws_ram.html#promote_resource_share_created_from_policy/2","title":"aws_ram.promote_resource_share_created_from_policy/2","type":"function"},{"doc":"","ref":"aws_ram.html#promote_resource_share_created_from_policy/3","title":"aws_ram.promote_resource_share_created_from_policy/3","type":"function"},{"doc":"Rejects an invitation to a resource share from another Amazon Web Services account.","ref":"aws_ram.html#reject_resource_share_invitation/2","title":"aws_ram.reject_resource_share_invitation/2","type":"function"},{"doc":"","ref":"aws_ram.html#reject_resource_share_invitation/3","title":"aws_ram.reject_resource_share_invitation/3","type":"function"},{"doc":"Adds the specified tag keys and values to the specified resource share. The tags are attached only to the resource share, not to the resources that are in the resource share.","ref":"aws_ram.html#tag_resource/2","title":"aws_ram.tag_resource/2","type":"function"},{"doc":"","ref":"aws_ram.html#tag_resource/3","title":"aws_ram.tag_resource/3","type":"function"},{"doc":"Removes the specified tag key and value pairs from the specified resource share.","ref":"aws_ram.html#untag_resource/2","title":"aws_ram.untag_resource/2","type":"function"},{"doc":"","ref":"aws_ram.html#untag_resource/3","title":"aws_ram.untag_resource/3","type":"function"},{"doc":"Modifies some of the properties of the specified resource share.","ref":"aws_ram.html#update_resource_share/2","title":"aws_ram.update_resource_share/2","type":"function"},{"doc":"","ref":"aws_ram.html#update_resource_share/3","title":"aws_ram.update_resource_share/3","type":"function"},{"doc":"This is the Recycle Bin API Reference. This documentation provides descriptions and syntax for each of the actions and data types in Recycle Bin. Recycle Bin is a resource recovery feature that enables you to restore accidentally deleted snapshots and EBS-backed AMIs. When using Recycle Bin, if your resources are deleted, they are retained in the Recycle Bin for a time period that you specify. You can restore a resource from the Recycle Bin at any time before its retention period expires. After you restore a resource from the Recycle Bin, the resource is removed from the Recycle Bin, and you can then use it in the same way you use any other resource of that type in your account. If the retention period expires and the resource is not restored, the resource is permanently deleted from the Recycle Bin and is no longer available for recovery. For more information about Recycle Bin, see Recycle Bin in the Amazon Elastic Compute Cloud User Guide.","ref":"aws_rbin.html","title":"aws_rbin","type":"module"},{"doc":"Creates a Recycle Bin retention rule. For more information, see Create Recycle Bin retention rules in the Amazon Elastic Compute Cloud User Guide.","ref":"aws_rbin.html#create_rule/2","title":"aws_rbin.create_rule/2","type":"function"},{"doc":"","ref":"aws_rbin.html#create_rule/3","title":"aws_rbin.create_rule/3","type":"function"},{"doc":"Deletes a Recycle Bin retention rule. For more information, see Delete Recycle Bin retention rules in the Amazon Elastic Compute Cloud User Guide.","ref":"aws_rbin.html#delete_rule/3","title":"aws_rbin.delete_rule/3","type":"function"},{"doc":"","ref":"aws_rbin.html#delete_rule/4","title":"aws_rbin.delete_rule/4","type":"function"},{"doc":"Gets information about a Recycle Bin retention rule.","ref":"aws_rbin.html#get_rule/2","title":"aws_rbin.get_rule/2","type":"function"},{"doc":"","ref":"aws_rbin.html#get_rule/4","title":"aws_rbin.get_rule/4","type":"function"},{"doc":"","ref":"aws_rbin.html#get_rule/5","title":"aws_rbin.get_rule/5","type":"function"},{"doc":"Lists the Recycle Bin retention rules in the Region.","ref":"aws_rbin.html#list_rules/2","title":"aws_rbin.list_rules/2","type":"function"},{"doc":"","ref":"aws_rbin.html#list_rules/3","title":"aws_rbin.list_rules/3","type":"function"},{"doc":"Lists the tags assigned to a retention rule.","ref":"aws_rbin.html#list_tags_for_resource/2","title":"aws_rbin.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_rbin.html#list_tags_for_resource/4","title":"aws_rbin.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_rbin.html#list_tags_for_resource/5","title":"aws_rbin.list_tags_for_resource/5","type":"function"},{"doc":"Locks a retention rule. A locked retention rule can't be modified or deleted.","ref":"aws_rbin.html#lock_rule/3","title":"aws_rbin.lock_rule/3","type":"function"},{"doc":"","ref":"aws_rbin.html#lock_rule/4","title":"aws_rbin.lock_rule/4","type":"function"},{"doc":"Assigns tags to the specified retention rule.","ref":"aws_rbin.html#tag_resource/3","title":"aws_rbin.tag_resource/3","type":"function"},{"doc":"","ref":"aws_rbin.html#tag_resource/4","title":"aws_rbin.tag_resource/4","type":"function"},{"doc":"Unlocks a retention rule. After a retention rule is unlocked, it can be modified or deleted only after the unlock delay period expires.","ref":"aws_rbin.html#unlock_rule/3","title":"aws_rbin.unlock_rule/3","type":"function"},{"doc":"","ref":"aws_rbin.html#unlock_rule/4","title":"aws_rbin.unlock_rule/4","type":"function"},{"doc":"Unassigns a tag from a retention rule.","ref":"aws_rbin.html#untag_resource/3","title":"aws_rbin.untag_resource/3","type":"function"},{"doc":"","ref":"aws_rbin.html#untag_resource/4","title":"aws_rbin.untag_resource/4","type":"function"},{"doc":"Updates an existing Recycle Bin retention rule. You can update a retention rule's description, resource tags, and retention period at any time after creation. You can't update a retention rule's resource type after creation. For more information, see Update Recycle Bin retention rules in the Amazon Elastic Compute Cloud User Guide.","ref":"aws_rbin.html#update_rule/3","title":"aws_rbin.update_rule/3","type":"function"},{"doc":"","ref":"aws_rbin.html#update_rule/4","title":"aws_rbin.update_rule/4","type":"function"},{"doc":"Amazon Relational Database Service Amazon Relational Database Service (Amazon RDS) is a web service that makes it easier to set up, operate, and scale a relational database in the cloud. It provides cost-efficient, resizeable capacity for an industry-standard relational database and manages common database administration tasks, freeing up developers to focus on what makes their applications and businesses unique. Amazon RDS gives you access to the capabilities of a MySQL, MariaDB, PostgreSQL, Microsoft SQL Server, Oracle, or Amazon Aurora database server. These capabilities mean that the code, applications, and tools you already use today with your existing databases work with Amazon RDS without modification. Amazon RDS automatically backs up your database and maintains the database software that powers your DB instance. Amazon RDS is flexible: you can scale your DB instance's compute resources and storage capacity to meet your application's demand. As with all Amazon Web Services, there are no up-front investments, and you pay only for the resources you use. This interface reference for Amazon RDS contains documentation for a programming or command line interface you can use to manage Amazon RDS. Amazon RDS is asynchronous, which means that some interfaces might require techniques such as polling or callback functions to determine when a command has been applied. In this reference, the parameter descriptions indicate whether a command is applied immediately, on the next instance reboot, or during the maintenance window. The reference structure is as follows, and we list following some related topics from the user guide. Amazon RDS API Reference For the alphabetical list of API actions, see API Actions. For the alphabetical list of data types, see Data Types. For a list of common query parameters, see Common Parameters. For descriptions of the error codes, see Common Errors. Amazon RDS User Guide For a summary of the Amazon RDS interfaces, see Available RDS Interfaces. For more information about how to use the Query API, see Using the Query API.","ref":"aws_rds.html","title":"aws_rds","type":"module"},{"doc":"Associates an Identity and Access Management (IAM) role with a DB cluster.","ref":"aws_rds.html#add_role_to_db_cluster/2","title":"aws_rds.add_role_to_db_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#add_role_to_db_cluster/3","title":"aws_rds.add_role_to_db_cluster/3","type":"function"},{"doc":"Associates an Amazon Web Services Identity and Access Management (IAM) role with a DB instance. To add a role to a DB instance, the status of the DB instance must be available . This command doesn't apply to RDS Custom.","ref":"aws_rds.html#add_role_to_db_instance/2","title":"aws_rds.add_role_to_db_instance/2","type":"function"},{"doc":"","ref":"aws_rds.html#add_role_to_db_instance/3","title":"aws_rds.add_role_to_db_instance/3","type":"function"},{"doc":"Adds a source identifier to an existing RDS event notification subscription.","ref":"aws_rds.html#add_source_identifier_to_subscription/2","title":"aws_rds.add_source_identifier_to_subscription/2","type":"function"},{"doc":"","ref":"aws_rds.html#add_source_identifier_to_subscription/3","title":"aws_rds.add_source_identifier_to_subscription/3","type":"function"},{"doc":"Adds metadata tags to an Amazon RDS resource. These tags can also be used with cost allocation reporting to track cost associated with Amazon RDS resources, or used in a Condition statement in an IAM policy for Amazon RDS. For an overview on tagging Amazon RDS resources, see Tagging Amazon RDS Resources.","ref":"aws_rds.html#add_tags_to_resource/2","title":"aws_rds.add_tags_to_resource/2","type":"function"},{"doc":"","ref":"aws_rds.html#add_tags_to_resource/3","title":"aws_rds.add_tags_to_resource/3","type":"function"},{"doc":"Applies a pending maintenance action to a resource (for example, to a DB instance).","ref":"aws_rds.html#apply_pending_maintenance_action/2","title":"aws_rds.apply_pending_maintenance_action/2","type":"function"},{"doc":"","ref":"aws_rds.html#apply_pending_maintenance_action/3","title":"aws_rds.apply_pending_maintenance_action/3","type":"function"},{"doc":"Enables ingress to a DBSecurityGroup using one of two forms of authorization. First, EC2 or VPC security groups can be added to the DBSecurityGroup if the application using the database is running on EC2 or VPC instances. Second, IP ranges are available if the application accessing your database is running on the internet. Required parameters for this API are one of CIDR range, EC2SecurityGroupId for VPC, or (EC2SecurityGroupOwnerId and either EC2SecurityGroupName or EC2SecurityGroupId for non-VPC). You can't authorize ingress from an EC2 security group in one Amazon Web Services Region to an Amazon RDS DB instance in another. You can't authorize ingress from a VPC security group in one VPC to an Amazon RDS DB instance in another. For an overview of CIDR ranges, go to the Wikipedia Tutorial. EC2-Classic was retired on August 15, 2022. If you haven't migrated from EC2-Classic to a VPC, we recommend that you migrate as soon as possible. For more information, see Migrate from EC2-Classic to a VPC in the Amazon EC2 User Guide, the blog EC2-Classic Networking is Retiring – Here’s How to Prepare, and Moving a DB instance not in a VPC into a VPC in the Amazon RDS User Guide.","ref":"aws_rds.html#authorize_db_security_group_ingress/2","title":"aws_rds.authorize_db_security_group_ingress/2","type":"function"},{"doc":"","ref":"aws_rds.html#authorize_db_security_group_ingress/3","title":"aws_rds.authorize_db_security_group_ingress/3","type":"function"},{"doc":"Backtracks a DB cluster to a specific time, without creating a new DB cluster. For more information on backtracking, see Backtracking an Aurora DB Cluster in the Amazon Aurora User Guide. This action applies only to Aurora MySQL DB clusters.","ref":"aws_rds.html#backtrack_db_cluster/2","title":"aws_rds.backtrack_db_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#backtrack_db_cluster/3","title":"aws_rds.backtrack_db_cluster/3","type":"function"},{"doc":"Cancels an export task in progress that is exporting a snapshot to Amazon S3. Any data that has already been written to the S3 bucket isn't removed.","ref":"aws_rds.html#cancel_export_task/2","title":"aws_rds.cancel_export_task/2","type":"function"},{"doc":"","ref":"aws_rds.html#cancel_export_task/3","title":"aws_rds.cancel_export_task/3","type":"function"},{"doc":"Copies the specified DB cluster parameter group.","ref":"aws_rds.html#copy_db_cluster_parameter_group/2","title":"aws_rds.copy_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#copy_db_cluster_parameter_group/3","title":"aws_rds.copy_db_cluster_parameter_group/3","type":"function"},{"doc":"Copies a snapshot of a DB cluster. To copy a DB cluster snapshot from a shared manual DB cluster snapshot, SourceDBClusterSnapshotIdentifier must be the Amazon Resource Name (ARN) of the shared DB cluster snapshot. You can copy an encrypted DB cluster snapshot from another Amazon Web Services Region. In that case, the Amazon Web Services Region where you call the CopyDBClusterSnapshot operation is the destination Amazon Web Services Region for the encrypted DB cluster snapshot to be copied to. To copy an encrypted DB cluster snapshot from another Amazon Web Services Region, you must provide the following values: KmsKeyId - The Amazon Web Services Key Management System (Amazon Web Services KMS) key identifier for the key to use to encrypt the copy of the DB cluster snapshot in the destination Amazon Web Services Region. TargetDBClusterSnapshotIdentifier - The identifier for the new copy of the DB cluster snapshot in the destination Amazon Web Services Region. SourceDBClusterSnapshotIdentifier - The DB cluster snapshot identifier for the encrypted DB cluster snapshot to be copied. This identifier must be in the ARN format for the source Amazon Web Services Region and is the same value as the SourceDBClusterSnapshotIdentifier in the presigned URL. To cancel the copy operation once it is in progress, delete the target DB cluster snapshot identified by TargetDBClusterSnapshotIdentifier while that DB cluster snapshot is in &quot;copying&quot; status. For more information on copying encrypted Amazon Aurora DB cluster snapshots from one Amazon Web Services Region to another, see Copying a Snapshot in the Amazon Aurora User Guide. For more information on Amazon Aurora DB clusters, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#copy_db_cluster_snapshot/2","title":"aws_rds.copy_db_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_rds.html#copy_db_cluster_snapshot/3","title":"aws_rds.copy_db_cluster_snapshot/3","type":"function"},{"doc":"Copies the specified DB parameter group.","ref":"aws_rds.html#copy_db_parameter_group/2","title":"aws_rds.copy_db_parameter_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#copy_db_parameter_group/3","title":"aws_rds.copy_db_parameter_group/3","type":"function"},{"doc":"Copies the specified DB snapshot. The source DB snapshot must be in the available state. You can copy a snapshot from one Amazon Web Services Region to another. In that case, the Amazon Web Services Region where you call the CopyDBSnapshot operation is the destination Amazon Web Services Region for the DB snapshot copy. This command doesn't apply to RDS Custom. For more information about copying snapshots, see Copying a DB Snapshot in the Amazon RDS User Guide.","ref":"aws_rds.html#copy_db_snapshot/2","title":"aws_rds.copy_db_snapshot/2","type":"function"},{"doc":"","ref":"aws_rds.html#copy_db_snapshot/3","title":"aws_rds.copy_db_snapshot/3","type":"function"},{"doc":"Copies the specified option group.","ref":"aws_rds.html#copy_option_group/2","title":"aws_rds.copy_option_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#copy_option_group/3","title":"aws_rds.copy_option_group/3","type":"function"},{"doc":"Creates a blue/green deployment. A blue/green deployment creates a staging environment that copies the production environment. In a blue/green deployment, the blue environment is the current production environment. The green environment is the staging environment. The staging environment stays in sync with the current production environment using logical replication. You can make changes to the databases in the green environment without affecting production workloads. For example, you can upgrade the major or minor DB engine version, change database parameters, or make schema changes in the staging environment. You can thoroughly test changes in the green environment. When ready, you can switch over the environments to promote the green environment to be the new production environment. The switchover typically takes under a minute. For more information, see Using Amazon RDS Blue/Green Deployments for database updates in the Amazon RDS User Guide and Using Amazon RDS Blue/Green Deployments for database updates in the Amazon Aurora User Guide.","ref":"aws_rds.html#create_blue_green_deployment/2","title":"aws_rds.create_blue_green_deployment/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_blue_green_deployment/3","title":"aws_rds.create_blue_green_deployment/3","type":"function"},{"doc":"Creates a custom DB engine version (CEV).","ref":"aws_rds.html#create_custom_db_engine_version/2","title":"aws_rds.create_custom_db_engine_version/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_custom_db_engine_version/3","title":"aws_rds.create_custom_db_engine_version/3","type":"function"},{"doc":"Creates a new Amazon Aurora DB cluster or Multi-AZ DB cluster. You can use the ReplicationSourceIdentifier parameter to create an Amazon Aurora DB cluster as a read replica of another DB cluster or Amazon RDS MySQL or PostgreSQL DB instance. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#create_db_cluster/2","title":"aws_rds.create_db_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_db_cluster/3","title":"aws_rds.create_db_cluster/3","type":"function"},{"doc":"Creates a new custom endpoint and associates it with an Amazon Aurora DB cluster. This action applies only to Aurora DB clusters.","ref":"aws_rds.html#create_db_cluster_endpoint/2","title":"aws_rds.create_db_cluster_endpoint/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_db_cluster_endpoint/3","title":"aws_rds.create_db_cluster_endpoint/3","type":"function"},{"doc":"Creates a new DB cluster parameter group. Parameters in a DB cluster parameter group apply to all of the instances in a DB cluster. A DB cluster parameter group is initially created with the default parameters for the database engine used by instances in the DB cluster. To provide custom values for any of the parameters, you must modify the group after creating it using ModifyDBClusterParameterGroup . Once you've created a DB cluster parameter group, you need to associate it with your DB cluster using ModifyDBCluster . When you associate a new DB cluster parameter group with a running Aurora DB cluster, reboot the DB instances in the DB cluster without failover for the new DB cluster parameter group and associated settings to take effect. When you associate a new DB cluster parameter group with a running Multi-AZ DB cluster, reboot the DB cluster without failover for the new DB cluster parameter group and associated settings to take effect. After you create a DB cluster parameter group, you should wait at least 5 minutes before creating your first DB cluster that uses that DB cluster parameter group as the default parameter group. This allows Amazon RDS to fully complete the create action before the DB cluster parameter group is used as the default for a new DB cluster. This is especially important for parameters that are critical when creating the default database for a DB cluster, such as the character set for the default database defined by the character_set_database parameter. You can use the Parameter Groups option of the Amazon RDS console or the DescribeDBClusterParameters operation to verify that your DB cluster parameter group has been created or modified. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#create_db_cluster_parameter_group/2","title":"aws_rds.create_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_db_cluster_parameter_group/3","title":"aws_rds.create_db_cluster_parameter_group/3","type":"function"},{"doc":"Creates a snapshot of a DB cluster. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#create_db_cluster_snapshot/2","title":"aws_rds.create_db_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_db_cluster_snapshot/3","title":"aws_rds.create_db_cluster_snapshot/3","type":"function"},{"doc":"Creates a new DB instance. The new DB instance can be an RDS DB instance, or it can be a DB instance in an Aurora DB cluster. For an Aurora DB cluster, you can call this operation multiple times to add more than one DB instance to the cluster. For more information about creating an RDS DB instance, see Creating an Amazon RDS DB instance in the Amazon RDS User Guide. For more information about creating a DB instance in an Aurora DB cluster, see Creating an Amazon Aurora DB cluster in the Amazon Aurora User Guide.","ref":"aws_rds.html#create_db_instance/2","title":"aws_rds.create_db_instance/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_db_instance/3","title":"aws_rds.create_db_instance/3","type":"function"},{"doc":"Creates a new DB instance that acts as a read replica for an existing source DB instance. You can create a read replica for a DB instance running MySQL, MariaDB, Oracle, PostgreSQL, or SQL Server. For more information, see Working with Read Replicas in the Amazon RDS User Guide. Amazon Aurora doesn't support this operation. Call the CreateDBInstance operation to create a DB instance for an Aurora DB cluster. All read replica DB instances are created with backups disabled. All other DB instance attributes (including DB security groups and DB parameter groups) are inherited from the source DB instance, except as specified. Your source DB instance must have backup retention enabled.","ref":"aws_rds.html#create_db_instance_read_replica/2","title":"aws_rds.create_db_instance_read_replica/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_db_instance_read_replica/3","title":"aws_rds.create_db_instance_read_replica/3","type":"function"},{"doc":"Creates a new DB parameter group. A DB parameter group is initially created with the default parameters for the database engine used by the DB instance. To provide custom values for any of the parameters, you must modify the group after creating it using ModifyDBParameterGroup . Once you've created a DB parameter group, you need to associate it with your DB instance using ModifyDBInstance . When you associate a new DB parameter group with a running DB instance, you need to reboot the DB instance without failover for the new DB parameter group and associated settings to take effect. This command doesn't apply to RDS Custom. After you create a DB parameter group, you should wait at least 5 minutes before creating your first DB instance that uses that DB parameter group as the default parameter group. This allows Amazon RDS to fully complete the create action before the parameter group is used as the default for a new DB instance. This is especially important for parameters that are critical when creating the default database for a DB instance, such as the character set for the default database defined by the character_set_database parameter. You can use the Parameter Groups option of the Amazon RDS console or the DescribeDBParameters command to verify that your DB parameter group has been created or modified.","ref":"aws_rds.html#create_db_parameter_group/2","title":"aws_rds.create_db_parameter_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_db_parameter_group/3","title":"aws_rds.create_db_parameter_group/3","type":"function"},{"doc":"Creates a new DB proxy.","ref":"aws_rds.html#create_db_proxy/2","title":"aws_rds.create_db_proxy/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_db_proxy/3","title":"aws_rds.create_db_proxy/3","type":"function"},{"doc":"Creates a DBProxyEndpoint . Only applies to proxies that are associated with Aurora DB clusters. You can use DB proxy endpoints to specify read/write or read-only access to the DB cluster. You can also use DB proxy endpoints to access a DB proxy through a different VPC than the proxy's default VPC.","ref":"aws_rds.html#create_db_proxy_endpoint/2","title":"aws_rds.create_db_proxy_endpoint/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_db_proxy_endpoint/3","title":"aws_rds.create_db_proxy_endpoint/3","type":"function"},{"doc":"Creates a new DB security group. DB security groups control access to a DB instance. A DB security group controls access to EC2-Classic DB instances that are not in a VPC. EC2-Classic was retired on August 15, 2022. If you haven't migrated from EC2-Classic to a VPC, we recommend that you migrate as soon as possible. For more information, see Migrate from EC2-Classic to a VPC in the Amazon EC2 User Guide, the blog EC2-Classic Networking is Retiring – Here’s How to Prepare, and Moving a DB instance not in a VPC into a VPC in the Amazon RDS User Guide.","ref":"aws_rds.html#create_db_security_group/2","title":"aws_rds.create_db_security_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_db_security_group/3","title":"aws_rds.create_db_security_group/3","type":"function"},{"doc":"Creates a snapshot of a DB instance. The source DB instance must be in the available or storage-optimization state.","ref":"aws_rds.html#create_db_snapshot/2","title":"aws_rds.create_db_snapshot/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_db_snapshot/3","title":"aws_rds.create_db_snapshot/3","type":"function"},{"doc":"Creates a new DB subnet group. DB subnet groups must contain at least one subnet in at least two AZs in the Amazon Web Services Region.","ref":"aws_rds.html#create_db_subnet_group/2","title":"aws_rds.create_db_subnet_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_db_subnet_group/3","title":"aws_rds.create_db_subnet_group/3","type":"function"},{"doc":"Creates an RDS event notification subscription. This operation requires a topic Amazon Resource Name (ARN) created by either the RDS console, the SNS console, or the SNS API. To obtain an ARN with SNS, you must create a topic in Amazon SNS and subscribe to the topic. The ARN is displayed in the SNS console. You can specify the type of source ( SourceType ) that you want to be notified of and provide a list of RDS sources ( SourceIds ) that triggers the events. You can also provide a list of event categories ( EventCategories ) for events that you want to be notified of. For example, you can specify SourceType = db-instance , SourceIds = mydbinstance1 , mydbinstance2 and EventCategories = Availability , Backup . If you specify both the SourceType and SourceIds , such as SourceType = db-instance and SourceIds = myDBInstance1 , you are notified of all the db-instance events for the specified source. If you specify a SourceType but do not specify SourceIds , you receive notice of the events for that source type for all your RDS sources. If you don't specify either the SourceType or the SourceIds , you are notified of events generated from all RDS sources belonging to your customer account. For more information about subscribing to an event for RDS DB engines, see Subscribing to Amazon RDS event notification in the Amazon RDS User Guide. For more information about subscribing to an event for Aurora DB engines, see Subscribing to Amazon RDS event notification in the Amazon Aurora User Guide.","ref":"aws_rds.html#create_event_subscription/2","title":"aws_rds.create_event_subscription/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_event_subscription/3","title":"aws_rds.create_event_subscription/3","type":"function"},{"doc":"Creates an Aurora global database spread across multiple Amazon Web Services Regions. The global database contains a single primary cluster with read-write capability, and a read-only secondary cluster that receives data from the primary cluster through high-speed replication performed by the Aurora storage subsystem. You can create a global database that is initially empty, and then add a primary cluster and a secondary cluster to it. Or you can specify an existing Aurora cluster during the create operation, and this cluster becomes the primary cluster of the global database. This action applies only to Aurora DB clusters.","ref":"aws_rds.html#create_global_cluster/2","title":"aws_rds.create_global_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_global_cluster/3","title":"aws_rds.create_global_cluster/3","type":"function"},{"doc":"Creates a new option group. You can create up to 20 option groups. This command doesn't apply to RDS Custom.","ref":"aws_rds.html#create_option_group/2","title":"aws_rds.create_option_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#create_option_group/3","title":"aws_rds.create_option_group/3","type":"function"},{"doc":"Deletes a blue/green deployment. For more information, see Using Amazon RDS Blue/Green Deployments for database updates in the Amazon RDS User Guide and Using Amazon RDS Blue/Green Deployments for database updates in the Amazon Aurora User Guide.","ref":"aws_rds.html#delete_blue_green_deployment/2","title":"aws_rds.delete_blue_green_deployment/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_blue_green_deployment/3","title":"aws_rds.delete_blue_green_deployment/3","type":"function"},{"doc":"Deletes a custom engine version. To run this command, make sure you meet the following prerequisites: The CEV must not be the default for RDS Custom. If it is, change the default before running this command. The CEV must not be associated with an RDS Custom DB instance, RDS Custom instance snapshot, or automated backup of your RDS Custom instance. Typically, deletion takes a few minutes. The MediaImport service that imports files from Amazon S3 to create CEVs isn't integrated with Amazon Web Services CloudTrail. If you turn on data logging for Amazon RDS in CloudTrail, calls to the DeleteCustomDbEngineVersion event aren't logged. However, you might see calls from the API gateway that accesses your Amazon S3 bucket. These calls originate from the MediaImport service for the DeleteCustomDbEngineVersion event. For more information, see Deleting a CEV in the Amazon RDS User Guide.","ref":"aws_rds.html#delete_custom_db_engine_version/2","title":"aws_rds.delete_custom_db_engine_version/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_custom_db_engine_version/3","title":"aws_rds.delete_custom_db_engine_version/3","type":"function"},{"doc":"The DeleteDBCluster action deletes a previously provisioned DB cluster. When you delete a DB cluster, all automated backups for that DB cluster are deleted and can't be recovered. Manual DB cluster snapshots of the specified DB cluster are not deleted. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#delete_db_cluster/2","title":"aws_rds.delete_db_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_db_cluster/3","title":"aws_rds.delete_db_cluster/3","type":"function"},{"doc":"Deletes a custom endpoint and removes it from an Amazon Aurora DB cluster. This action only applies to Aurora DB clusters.","ref":"aws_rds.html#delete_db_cluster_endpoint/2","title":"aws_rds.delete_db_cluster_endpoint/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_db_cluster_endpoint/3","title":"aws_rds.delete_db_cluster_endpoint/3","type":"function"},{"doc":"Deletes a specified DB cluster parameter group. The DB cluster parameter group to be deleted can't be associated with any DB clusters. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#delete_db_cluster_parameter_group/2","title":"aws_rds.delete_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_db_cluster_parameter_group/3","title":"aws_rds.delete_db_cluster_parameter_group/3","type":"function"},{"doc":"Deletes a DB cluster snapshot. If the snapshot is being copied, the copy operation is terminated. The DB cluster snapshot must be in the available state to be deleted. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#delete_db_cluster_snapshot/2","title":"aws_rds.delete_db_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_db_cluster_snapshot/3","title":"aws_rds.delete_db_cluster_snapshot/3","type":"function"},{"doc":"The DeleteDBInstance action deletes a previously provisioned DB instance. When you delete a DB instance, all automated backups for that instance are deleted and can't be recovered. Manual DB snapshots of the DB instance to be deleted by DeleteDBInstance are not deleted. If you request a final DB snapshot the status of the Amazon RDS DB instance is deleting until the DB snapshot is created. The API action DescribeDBInstance is used to monitor the status of this operation. The action can't be canceled or reverted once submitted. When a DB instance is in a failure state and has a status of failed , incompatible-restore , or incompatible-network , you can only delete it when you skip creation of the final snapshot with the SkipFinalSnapshot parameter. If the specified DB instance is part of an Amazon Aurora DB cluster, you can't delete the DB instance if both of the following conditions are true: The DB cluster is a read replica of another Amazon Aurora DB cluster. The DB instance is the only instance in the DB cluster. To delete a DB instance in this case, first call the PromoteReadReplicaDBCluster API action to promote the DB cluster so it's no longer a read replica. After the promotion completes, then call the DeleteDBInstance API action to delete the final instance in the DB cluster.","ref":"aws_rds.html#delete_db_instance/2","title":"aws_rds.delete_db_instance/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_db_instance/3","title":"aws_rds.delete_db_instance/3","type":"function"},{"doc":"Deletes automated backups using the DbiResourceId value of the source DB instance or the Amazon Resource Name (ARN) of the automated backups.","ref":"aws_rds.html#delete_db_instance_automated_backup/2","title":"aws_rds.delete_db_instance_automated_backup/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_db_instance_automated_backup/3","title":"aws_rds.delete_db_instance_automated_backup/3","type":"function"},{"doc":"Deletes a specified DB parameter group. The DB parameter group to be deleted can't be associated with any DB instances.","ref":"aws_rds.html#delete_db_parameter_group/2","title":"aws_rds.delete_db_parameter_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_db_parameter_group/3","title":"aws_rds.delete_db_parameter_group/3","type":"function"},{"doc":"Deletes an existing DB proxy.","ref":"aws_rds.html#delete_db_proxy/2","title":"aws_rds.delete_db_proxy/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_db_proxy/3","title":"aws_rds.delete_db_proxy/3","type":"function"},{"doc":"Deletes a DBProxyEndpoint . Doing so removes the ability to access the DB proxy using the endpoint that you defined. The endpoint that you delete might have provided capabilities such as read/write or read-only operations, or using a different VPC than the DB proxy's default VPC.","ref":"aws_rds.html#delete_db_proxy_endpoint/2","title":"aws_rds.delete_db_proxy_endpoint/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_db_proxy_endpoint/3","title":"aws_rds.delete_db_proxy_endpoint/3","type":"function"},{"doc":"Deletes a DB security group. The specified DB security group must not be associated with any DB instances. EC2-Classic was retired on August 15, 2022. If you haven't migrated from EC2-Classic to a VPC, we recommend that you migrate as soon as possible. For more information, see Migrate from EC2-Classic to a VPC in the Amazon EC2 User Guide, the blog EC2-Classic Networking is Retiring – Here’s How to Prepare, and Moving a DB instance not in a VPC into a VPC in the Amazon RDS User Guide.","ref":"aws_rds.html#delete_db_security_group/2","title":"aws_rds.delete_db_security_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_db_security_group/3","title":"aws_rds.delete_db_security_group/3","type":"function"},{"doc":"Deletes a DB snapshot. If the snapshot is being copied, the copy operation is terminated. The DB snapshot must be in the available state to be deleted.","ref":"aws_rds.html#delete_db_snapshot/2","title":"aws_rds.delete_db_snapshot/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_db_snapshot/3","title":"aws_rds.delete_db_snapshot/3","type":"function"},{"doc":"Deletes a DB subnet group. The specified database subnet group must not be associated with any DB instances.","ref":"aws_rds.html#delete_db_subnet_group/2","title":"aws_rds.delete_db_subnet_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_db_subnet_group/3","title":"aws_rds.delete_db_subnet_group/3","type":"function"},{"doc":"Deletes an RDS event notification subscription.","ref":"aws_rds.html#delete_event_subscription/2","title":"aws_rds.delete_event_subscription/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_event_subscription/3","title":"aws_rds.delete_event_subscription/3","type":"function"},{"doc":"Deletes a global database cluster. The primary and secondary clusters must already be detached or destroyed first. This action only applies to Aurora DB clusters.","ref":"aws_rds.html#delete_global_cluster/2","title":"aws_rds.delete_global_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_global_cluster/3","title":"aws_rds.delete_global_cluster/3","type":"function"},{"doc":"Deletes an existing option group.","ref":"aws_rds.html#delete_option_group/2","title":"aws_rds.delete_option_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#delete_option_group/3","title":"aws_rds.delete_option_group/3","type":"function"},{"doc":"Remove the association between one or more DBProxyTarget data structures and a DBProxyTargetGroup .","ref":"aws_rds.html#deregister_db_proxy_targets/2","title":"aws_rds.deregister_db_proxy_targets/2","type":"function"},{"doc":"","ref":"aws_rds.html#deregister_db_proxy_targets/3","title":"aws_rds.deregister_db_proxy_targets/3","type":"function"},{"doc":"Lists all of the attributes for a customer account. The attributes include Amazon RDS quotas for the account, such as the number of DB instances allowed. The description for a quota includes the quota name, current usage toward that quota, and the quota's maximum value. This command doesn't take any parameters.","ref":"aws_rds.html#describe_account_attributes/2","title":"aws_rds.describe_account_attributes/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_account_attributes/3","title":"aws_rds.describe_account_attributes/3","type":"function"},{"doc":"Returns information about blue/green deployments. For more information, see Using Amazon RDS Blue/Green Deployments for database updates in the Amazon RDS User Guide and Using Amazon RDS Blue/Green Deployments for database updates in the Amazon Aurora User Guide.","ref":"aws_rds.html#describe_blue_green_deployments/2","title":"aws_rds.describe_blue_green_deployments/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_blue_green_deployments/3","title":"aws_rds.describe_blue_green_deployments/3","type":"function"},{"doc":"Lists the set of CA certificates provided by Amazon RDS for this Amazon Web Services account. For more information, see Using SSL/TLS to encrypt a connection to a DB instance in the Amazon RDS User Guide and Using SSL/TLS to encrypt a connection to a DB cluster in the Amazon Aurora User Guide.","ref":"aws_rds.html#describe_certificates/2","title":"aws_rds.describe_certificates/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_certificates/3","title":"aws_rds.describe_certificates/3","type":"function"},{"doc":"Returns information about backtracks for a DB cluster. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide. This action only applies to Aurora MySQL DB clusters.","ref":"aws_rds.html#describe_db_cluster_backtracks/2","title":"aws_rds.describe_db_cluster_backtracks/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_cluster_backtracks/3","title":"aws_rds.describe_db_cluster_backtracks/3","type":"function"},{"doc":"Returns information about endpoints for an Amazon Aurora DB cluster. This action only applies to Aurora DB clusters.","ref":"aws_rds.html#describe_db_cluster_endpoints/2","title":"aws_rds.describe_db_cluster_endpoints/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_cluster_endpoints/3","title":"aws_rds.describe_db_cluster_endpoints/3","type":"function"},{"doc":"Returns a list of DBClusterParameterGroup descriptions. If a DBClusterParameterGroupName parameter is specified, the list will contain only the description of the specified DB cluster parameter group. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#describe_db_cluster_parameter_groups/2","title":"aws_rds.describe_db_cluster_parameter_groups/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_cluster_parameter_groups/3","title":"aws_rds.describe_db_cluster_parameter_groups/3","type":"function"},{"doc":"Returns the detailed parameter list for a particular DB cluster parameter group. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#describe_db_cluster_parameters/2","title":"aws_rds.describe_db_cluster_parameters/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_cluster_parameters/3","title":"aws_rds.describe_db_cluster_parameters/3","type":"function"},{"doc":"Returns a list of DB cluster snapshot attribute names and values for a manual DB cluster snapshot. When sharing snapshots with other Amazon Web Services accounts, DescribeDBClusterSnapshotAttributes returns the restore attribute and a list of IDs for the Amazon Web Services accounts that are authorized to copy or restore the manual DB cluster snapshot. If all is included in the list of values for the restore attribute, then the manual DB cluster snapshot is public and can be copied or restored by all Amazon Web Services accounts. To add or remove access for an Amazon Web Services account to copy or restore a manual DB cluster snapshot, or to make the manual DB cluster snapshot public or private, use the ModifyDBClusterSnapshotAttribute API action.","ref":"aws_rds.html#describe_db_cluster_snapshot_attributes/2","title":"aws_rds.describe_db_cluster_snapshot_attributes/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_cluster_snapshot_attributes/3","title":"aws_rds.describe_db_cluster_snapshot_attributes/3","type":"function"},{"doc":"Returns information about DB cluster snapshots. This API action supports pagination. For more information on Amazon Aurora DB clusters, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#describe_db_cluster_snapshots/2","title":"aws_rds.describe_db_cluster_snapshots/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_cluster_snapshots/3","title":"aws_rds.describe_db_cluster_snapshots/3","type":"function"},{"doc":"Returns information about Amazon Aurora DB clusters and Multi-AZ DB clusters. This API supports pagination. For more information on Amazon Aurora DB clusters, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide. This operation can also return information for Amazon Neptune DB instances and Amazon DocumentDB instances.","ref":"aws_rds.html#describe_db_clusters/2","title":"aws_rds.describe_db_clusters/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_clusters/3","title":"aws_rds.describe_db_clusters/3","type":"function"},{"doc":"Returns a list of the available DB engines.","ref":"aws_rds.html#describe_db_engine_versions/2","title":"aws_rds.describe_db_engine_versions/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_engine_versions/3","title":"aws_rds.describe_db_engine_versions/3","type":"function"},{"doc":"Displays backups for both current and deleted instances. For example, use this operation to find details about automated backups for previously deleted instances. Current instances with retention periods greater than zero (0) are returned for both the DescribeDBInstanceAutomatedBackups and DescribeDBInstances operations. All parameters are optional.","ref":"aws_rds.html#describe_db_instance_automated_backups/2","title":"aws_rds.describe_db_instance_automated_backups/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_instance_automated_backups/3","title":"aws_rds.describe_db_instance_automated_backups/3","type":"function"},{"doc":"Returns information about provisioned RDS instances. This API supports pagination. This operation can also return information for Amazon Neptune DB instances and Amazon DocumentDB instances.","ref":"aws_rds.html#describe_db_instances/2","title":"aws_rds.describe_db_instances/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_instances/3","title":"aws_rds.describe_db_instances/3","type":"function"},{"doc":"Returns a list of DB log files for the DB instance. This command doesn't apply to RDS Custom.","ref":"aws_rds.html#describe_db_log_files/2","title":"aws_rds.describe_db_log_files/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_log_files/3","title":"aws_rds.describe_db_log_files/3","type":"function"},{"doc":"Returns a list of DBParameterGroup descriptions. If a DBParameterGroupName is specified, the list will contain only the description of the specified DB parameter group.","ref":"aws_rds.html#describe_db_parameter_groups/2","title":"aws_rds.describe_db_parameter_groups/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_parameter_groups/3","title":"aws_rds.describe_db_parameter_groups/3","type":"function"},{"doc":"Returns the detailed parameter list for a particular DB parameter group.","ref":"aws_rds.html#describe_db_parameters/2","title":"aws_rds.describe_db_parameters/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_parameters/3","title":"aws_rds.describe_db_parameters/3","type":"function"},{"doc":"Returns information about DB proxies.","ref":"aws_rds.html#describe_db_proxies/2","title":"aws_rds.describe_db_proxies/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_proxies/3","title":"aws_rds.describe_db_proxies/3","type":"function"},{"doc":"Returns information about DB proxy endpoints.","ref":"aws_rds.html#describe_db_proxy_endpoints/2","title":"aws_rds.describe_db_proxy_endpoints/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_proxy_endpoints/3","title":"aws_rds.describe_db_proxy_endpoints/3","type":"function"},{"doc":"Returns information about DB proxy target groups, represented by DBProxyTargetGroup data structures.","ref":"aws_rds.html#describe_db_proxy_target_groups/2","title":"aws_rds.describe_db_proxy_target_groups/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_proxy_target_groups/3","title":"aws_rds.describe_db_proxy_target_groups/3","type":"function"},{"doc":"Returns information about DBProxyTarget objects. This API supports pagination.","ref":"aws_rds.html#describe_db_proxy_targets/2","title":"aws_rds.describe_db_proxy_targets/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_proxy_targets/3","title":"aws_rds.describe_db_proxy_targets/3","type":"function"},{"doc":"Returns a list of DBSecurityGroup descriptions. If a DBSecurityGroupName is specified, the list will contain only the descriptions of the specified DB security group. EC2-Classic was retired on August 15, 2022. If you haven't migrated from EC2-Classic to a VPC, we recommend that you migrate as soon as possible. For more information, see Migrate from EC2-Classic to a VPC in the Amazon EC2 User Guide, the blog EC2-Classic Networking is Retiring – Here’s How to Prepare, and Moving a DB instance not in a VPC into a VPC in the Amazon RDS User Guide.","ref":"aws_rds.html#describe_db_security_groups/2","title":"aws_rds.describe_db_security_groups/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_security_groups/3","title":"aws_rds.describe_db_security_groups/3","type":"function"},{"doc":"Returns a list of DB snapshot attribute names and values for a manual DB snapshot. When sharing snapshots with other Amazon Web Services accounts, DescribeDBSnapshotAttributes returns the restore attribute and a list of IDs for the Amazon Web Services accounts that are authorized to copy or restore the manual DB snapshot. If all is included in the list of values for the restore attribute, then the manual DB snapshot is public and can be copied or restored by all Amazon Web Services accounts. To add or remove access for an Amazon Web Services account to copy or restore a manual DB snapshot, or to make the manual DB snapshot public or private, use the ModifyDBSnapshotAttribute API action.","ref":"aws_rds.html#describe_db_snapshot_attributes/2","title":"aws_rds.describe_db_snapshot_attributes/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_snapshot_attributes/3","title":"aws_rds.describe_db_snapshot_attributes/3","type":"function"},{"doc":"Returns information about DB snapshots. This API action supports pagination.","ref":"aws_rds.html#describe_db_snapshots/2","title":"aws_rds.describe_db_snapshots/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_snapshots/3","title":"aws_rds.describe_db_snapshots/3","type":"function"},{"doc":"Returns a list of DBSubnetGroup descriptions. If a DBSubnetGroupName is specified, the list will contain only the descriptions of the specified DBSubnetGroup. For an overview of CIDR ranges, go to the Wikipedia Tutorial.","ref":"aws_rds.html#describe_db_subnet_groups/2","title":"aws_rds.describe_db_subnet_groups/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_db_subnet_groups/3","title":"aws_rds.describe_db_subnet_groups/3","type":"function"},{"doc":"Returns the default engine and system parameter information for the cluster database engine. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide.","ref":"aws_rds.html#describe_engine_default_cluster_parameters/2","title":"aws_rds.describe_engine_default_cluster_parameters/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_engine_default_cluster_parameters/3","title":"aws_rds.describe_engine_default_cluster_parameters/3","type":"function"},{"doc":"Returns the default engine and system parameter information for the specified database engine.","ref":"aws_rds.html#describe_engine_default_parameters/2","title":"aws_rds.describe_engine_default_parameters/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_engine_default_parameters/3","title":"aws_rds.describe_engine_default_parameters/3","type":"function"},{"doc":"Displays a list of categories for all event source types, or, if specified, for a specified source type. You can also see this list in the &quot;Amazon RDS event categories and event messages&quot; section of the Amazon RDS User Guide or the Amazon Aurora User Guide .","ref":"aws_rds.html#describe_event_categories/2","title":"aws_rds.describe_event_categories/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_event_categories/3","title":"aws_rds.describe_event_categories/3","type":"function"},{"doc":"Lists all the subscription descriptions for a customer account. The description for a subscription includes SubscriptionName , SNSTopicARN , CustomerID , SourceType , SourceID , CreationTime , and Status . If you specify a SubscriptionName , lists the description for that subscription.","ref":"aws_rds.html#describe_event_subscriptions/2","title":"aws_rds.describe_event_subscriptions/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_event_subscriptions/3","title":"aws_rds.describe_event_subscriptions/3","type":"function"},{"doc":"Returns events related to DB instances, DB clusters, DB parameter groups, DB security groups, DB snapshots, DB cluster snapshots, and RDS Proxies for the past 14 days. Events specific to a particular DB instance, DB cluster, DB parameter group, DB security group, DB snapshot, DB cluster snapshot group, or RDS Proxy can be obtained by providing the name as a parameter. For more information on working with events, see Monitoring Amazon RDS events in the Amazon RDS User Guide and Monitoring Amazon Aurora events in the Amazon Aurora User Guide. By default, RDS returns events that were generated in the past hour.","ref":"aws_rds.html#describe_events/2","title":"aws_rds.describe_events/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_events/3","title":"aws_rds.describe_events/3","type":"function"},{"doc":"Returns information about a snapshot export to Amazon S3. This API operation supports pagination.","ref":"aws_rds.html#describe_export_tasks/2","title":"aws_rds.describe_export_tasks/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_export_tasks/3","title":"aws_rds.describe_export_tasks/3","type":"function"},{"doc":"Returns information about Aurora global database clusters. This API supports pagination. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide. This action only applies to Aurora DB clusters.","ref":"aws_rds.html#describe_global_clusters/2","title":"aws_rds.describe_global_clusters/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_global_clusters/3","title":"aws_rds.describe_global_clusters/3","type":"function"},{"doc":"Describes all available options.","ref":"aws_rds.html#describe_option_group_options/2","title":"aws_rds.describe_option_group_options/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_option_group_options/3","title":"aws_rds.describe_option_group_options/3","type":"function"},{"doc":"Describes the available option groups.","ref":"aws_rds.html#describe_option_groups/2","title":"aws_rds.describe_option_groups/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_option_groups/3","title":"aws_rds.describe_option_groups/3","type":"function"},{"doc":"Returns a list of orderable DB instance options for the specified DB engine, DB engine version, and DB instance class.","ref":"aws_rds.html#describe_orderable_db_instance_options/2","title":"aws_rds.describe_orderable_db_instance_options/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_orderable_db_instance_options/3","title":"aws_rds.describe_orderable_db_instance_options/3","type":"function"},{"doc":"Returns a list of resources (for example, DB instances) that have at least one pending maintenance action.","ref":"aws_rds.html#describe_pending_maintenance_actions/2","title":"aws_rds.describe_pending_maintenance_actions/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_pending_maintenance_actions/3","title":"aws_rds.describe_pending_maintenance_actions/3","type":"function"},{"doc":"Returns information about reserved DB instances for this account, or about a specified reserved DB instance.","ref":"aws_rds.html#describe_reserved_db_instances/2","title":"aws_rds.describe_reserved_db_instances/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_reserved_db_instances/3","title":"aws_rds.describe_reserved_db_instances/3","type":"function"},{"doc":"Lists available reserved DB instance offerings.","ref":"aws_rds.html#describe_reserved_db_instances_offerings/2","title":"aws_rds.describe_reserved_db_instances_offerings/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_reserved_db_instances_offerings/3","title":"aws_rds.describe_reserved_db_instances_offerings/3","type":"function"},{"doc":"Returns a list of the source Amazon Web Services Regions where the current Amazon Web Services Region can create a read replica, copy a DB snapshot from, or replicate automated backups from. Use this operation to determine whether cross-Region features are supported between other Regions and your current Region. This operation supports pagination. To return information about the Regions that are enabled for your account, or all Regions, use the EC2 operation DescribeRegions . For more information, see DescribeRegions in the Amazon EC2 API Reference.","ref":"aws_rds.html#describe_source_regions/2","title":"aws_rds.describe_source_regions/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_source_regions/3","title":"aws_rds.describe_source_regions/3","type":"function"},{"doc":"You can call DescribeValidDBInstanceModifications to learn what modifications you can make to your DB instance. You can use this information when you call ModifyDBInstance . This command doesn't apply to RDS Custom.","ref":"aws_rds.html#describe_valid_db_instance_modifications/2","title":"aws_rds.describe_valid_db_instance_modifications/2","type":"function"},{"doc":"","ref":"aws_rds.html#describe_valid_db_instance_modifications/3","title":"aws_rds.describe_valid_db_instance_modifications/3","type":"function"},{"doc":"Downloads all or a portion of the specified log file, up to 1 MB in size. This command doesn't apply to RDS Custom.","ref":"aws_rds.html#download_db_log_file_portion/2","title":"aws_rds.download_db_log_file_portion/2","type":"function"},{"doc":"","ref":"aws_rds.html#download_db_log_file_portion/3","title":"aws_rds.download_db_log_file_portion/3","type":"function"},{"doc":"Forces a failover for a DB cluster. For an Aurora DB cluster, failover for a DB cluster promotes one of the Aurora Replicas (read-only instances) in the DB cluster to be the primary DB instance (the cluster writer). For a Multi-AZ DB cluster, failover for a DB cluster promotes one of the readable standby DB instances (read-only instances) in the DB cluster to be the primary DB instance (the cluster writer). An Amazon Aurora DB cluster automatically fails over to an Aurora Replica, if one exists, when the primary DB instance fails. A Multi-AZ DB cluster automatically fails over to a readable standby DB instance when the primary DB instance fails. To simulate a failure of a primary instance for testing, you can force a failover. Because each instance in a DB cluster has its own endpoint address, make sure to clean up and re-establish any existing connections that use those endpoint addresses when the failover is complete. For more information on Amazon Aurora DB clusters, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#failover_db_cluster/2","title":"aws_rds.failover_db_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#failover_db_cluster/3","title":"aws_rds.failover_db_cluster/3","type":"function"},{"doc":"Initiates the failover process for an Aurora global database ( GlobalCluster ). A failover for an Aurora global database promotes one of secondary read-only DB clusters to be the primary DB cluster and demotes the primary DB cluster to being a secondary (read-only) DB cluster. In other words, the role of the current primary DB cluster and the selected (target) DB cluster are switched. The selected secondary DB cluster assumes full read/write capabilities for the Aurora global database. For more information about failing over an Amazon Aurora global database, see Managed planned failover for Amazon Aurora global databases in the Amazon Aurora User Guide. This action applies to GlobalCluster (Aurora global databases) only. Use this action only on healthy Aurora global databases with running Aurora DB clusters and no Region-wide outages, to test disaster recovery scenarios or to reconfigure your Aurora global database topology.","ref":"aws_rds.html#failover_global_cluster/2","title":"aws_rds.failover_global_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#failover_global_cluster/3","title":"aws_rds.failover_global_cluster/3","type":"function"},{"doc":"Lists all tags on an Amazon RDS resource. For an overview on tagging an Amazon RDS resource, see Tagging Amazon RDS Resources in the Amazon RDS User Guide.","ref":"aws_rds.html#list_tags_for_resource/2","title":"aws_rds.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_rds.html#list_tags_for_resource/3","title":"aws_rds.list_tags_for_resource/3","type":"function"},{"doc":"Changes the audit policy state of a database activity stream to either locked (default) or unlocked. A locked policy is read-only, whereas an unlocked policy is read/write. If your activity stream is started and locked, you can unlock it, customize your audit policy, and then lock your activity stream. Restarting the activity stream isn't required. For more information, see Modifying a database activity stream in the Amazon RDS User Guide. This operation is supported for RDS for Oracle only.","ref":"aws_rds.html#modify_activity_stream/2","title":"aws_rds.modify_activity_stream/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_activity_stream/3","title":"aws_rds.modify_activity_stream/3","type":"function"},{"doc":"Override the system-default Secure Sockets Layer/Transport Layer Security (SSL/TLS) certificate for Amazon RDS for new DB instances, or remove the override. By using this operation, you can specify an RDS-approved SSL/TLS certificate for new DB instances that is different from the default certificate provided by RDS. You can also use this operation to remove the override, so that new DB instances use the default certificate provided by RDS. You might need to override the default certificate in the following situations: You already migrated your applications to support the latest certificate authority (CA) certificate, but the new CA certificate is not yet the RDS default CA certificate for the specified Amazon Web Services Region. RDS has already moved to a new default CA certificate for the specified Amazon Web Services Region, but you are still in the process of supporting the new CA certificate. In this case, you temporarily need additional time to finish your application changes. For more information about rotating your SSL/TLS certificate for RDS DB engines, see Rotating Your SSL/TLS Certificate in the Amazon RDS User Guide. For more information about rotating your SSL/TLS certificate for Aurora DB engines, see Rotating Your SSL/TLS Certificate in the Amazon Aurora User Guide.","ref":"aws_rds.html#modify_certificates/2","title":"aws_rds.modify_certificates/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_certificates/3","title":"aws_rds.modify_certificates/3","type":"function"},{"doc":"Set the capacity of an Aurora Serverless v1 DB cluster to a specific value. Aurora Serverless v1 scales seamlessly based on the workload on the DB cluster. In some cases, the capacity might not scale fast enough to meet a sudden change in workload, such as a large number of new transactions. Call ModifyCurrentDBClusterCapacity to set the capacity explicitly. After this call sets the DB cluster capacity, Aurora Serverless v1 can automatically scale the DB cluster based on the cooldown period for scaling up and the cooldown period for scaling down. For more information about Aurora Serverless v1, see Using Amazon Aurora Serverless v1 in the Amazon Aurora User Guide. If you call ModifyCurrentDBClusterCapacity with the default TimeoutAction , connections that prevent Aurora Serverless v1 from finding a scaling point might be dropped. For more information about scaling points, see Autoscaling for Aurora Serverless v1 in the Amazon Aurora User Guide. This action only applies to Aurora Serverless v1 DB clusters.","ref":"aws_rds.html#modify_current_db_cluster_capacity/2","title":"aws_rds.modify_current_db_cluster_capacity/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_current_db_cluster_capacity/3","title":"aws_rds.modify_current_db_cluster_capacity/3","type":"function"},{"doc":"Modifies the status of a custom engine version (CEV). You can find CEVs to modify by calling DescribeDBEngineVersions . The MediaImport service that imports files from Amazon S3 to create CEVs isn't integrated with Amazon Web Services CloudTrail. If you turn on data logging for Amazon RDS in CloudTrail, calls to the ModifyCustomDbEngineVersion event aren't logged. However, you might see calls from the API gateway that accesses your Amazon S3 bucket. These calls originate from the MediaImport service for the ModifyCustomDbEngineVersion event. For more information, see Modifying CEV status in the Amazon RDS User Guide.","ref":"aws_rds.html#modify_custom_db_engine_version/2","title":"aws_rds.modify_custom_db_engine_version/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_custom_db_engine_version/3","title":"aws_rds.modify_custom_db_engine_version/3","type":"function"},{"doc":"Modify the settings for an Amazon Aurora DB cluster or a Multi-AZ DB cluster. You can change one or more settings by specifying these parameters and the new values in the request. For more information on Amazon Aurora DB clusters, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#modify_db_cluster/2","title":"aws_rds.modify_db_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_db_cluster/3","title":"aws_rds.modify_db_cluster/3","type":"function"},{"doc":"Modifies the properties of an endpoint in an Amazon Aurora DB cluster. This action only applies to Aurora DB clusters.","ref":"aws_rds.html#modify_db_cluster_endpoint/2","title":"aws_rds.modify_db_cluster_endpoint/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_db_cluster_endpoint/3","title":"aws_rds.modify_db_cluster_endpoint/3","type":"function"},{"doc":"Modifies the parameters of a DB cluster parameter group. To modify more than one parameter, submit a list of the following: ParameterName , ParameterValue , and ApplyMethod . A maximum of 20 parameters can be modified in a single request. After you create a DB cluster parameter group, you should wait at least 5 minutes before creating your first DB cluster that uses that DB cluster parameter group as the default parameter group. This allows Amazon RDS to fully complete the create action before the parameter group is used as the default for a new DB cluster. This is especially important for parameters that are critical when creating the default database for a DB cluster, such as the character set for the default database defined by the character_set_database parameter. You can use the Parameter Groups option of the Amazon RDS console or the DescribeDBClusterParameters operation to verify that your DB cluster parameter group has been created or modified. If the modified DB cluster parameter group is used by an Aurora Serverless v1 cluster, Aurora applies the update immediately. The cluster restart might interrupt your workload. In that case, your application must reopen any connections and retry any transactions that were active when the parameter changes took effect. For more information on Amazon Aurora DB clusters, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#modify_db_cluster_parameter_group/2","title":"aws_rds.modify_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_db_cluster_parameter_group/3","title":"aws_rds.modify_db_cluster_parameter_group/3","type":"function"},{"doc":"Adds an attribute and values to, or removes an attribute and values from, a manual DB cluster snapshot. To share a manual DB cluster snapshot with other Amazon Web Services accounts, specify restore as the AttributeName and use the ValuesToAdd parameter to add a list of IDs of the Amazon Web Services accounts that are authorized to restore the manual DB cluster snapshot. Use the value all to make the manual DB cluster snapshot public, which means that it can be copied or restored by all Amazon Web Services accounts. Don't add the all value for any manual DB cluster snapshots that contain private information that you don't want available to all Amazon Web Services accounts. If a manual DB cluster snapshot is encrypted, it can be shared, but only by specifying a list of authorized Amazon Web Services account IDs for the ValuesToAdd parameter. You can't use all as a value for that parameter in this case. To view which Amazon Web Services accounts have access to copy or restore a manual DB cluster snapshot, or whether a manual DB cluster snapshot is public or private, use the DescribeDBClusterSnapshotAttributes API operation. The accounts are returned as values for the restore attribute.","ref":"aws_rds.html#modify_db_cluster_snapshot_attribute/2","title":"aws_rds.modify_db_cluster_snapshot_attribute/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_db_cluster_snapshot_attribute/3","title":"aws_rds.modify_db_cluster_snapshot_attribute/3","type":"function"},{"doc":"Modifies settings for a DB instance. You can change one or more database configuration parameters by specifying these parameters and the new values in the request. To learn what modifications you can make to your DB instance, call DescribeValidDBInstanceModifications before you call ModifyDBInstance .","ref":"aws_rds.html#modify_db_instance/2","title":"aws_rds.modify_db_instance/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_db_instance/3","title":"aws_rds.modify_db_instance/3","type":"function"},{"doc":"Modifies the parameters of a DB parameter group. To modify more than one parameter, submit a list of the following: ParameterName , ParameterValue , and ApplyMethod . A maximum of 20 parameters can be modified in a single request. After you modify a DB parameter group, you should wait at least 5 minutes before creating your first DB instance that uses that DB parameter group as the default parameter group. This allows Amazon RDS to fully complete the modify action before the parameter group is used as the default for a new DB instance. This is especially important for parameters that are critical when creating the default database for a DB instance, such as the character set for the default database defined by the character_set_database parameter. You can use the Parameter Groups option of the Amazon RDS console or the DescribeDBParameters command to verify that your DB parameter group has been created or modified.","ref":"aws_rds.html#modify_db_parameter_group/2","title":"aws_rds.modify_db_parameter_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_db_parameter_group/3","title":"aws_rds.modify_db_parameter_group/3","type":"function"},{"doc":"Changes the settings for an existing DB proxy.","ref":"aws_rds.html#modify_db_proxy/2","title":"aws_rds.modify_db_proxy/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_db_proxy/3","title":"aws_rds.modify_db_proxy/3","type":"function"},{"doc":"Changes the settings for an existing DB proxy endpoint.","ref":"aws_rds.html#modify_db_proxy_endpoint/2","title":"aws_rds.modify_db_proxy_endpoint/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_db_proxy_endpoint/3","title":"aws_rds.modify_db_proxy_endpoint/3","type":"function"},{"doc":"Modifies the properties of a DBProxyTargetGroup .","ref":"aws_rds.html#modify_db_proxy_target_group/2","title":"aws_rds.modify_db_proxy_target_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_db_proxy_target_group/3","title":"aws_rds.modify_db_proxy_target_group/3","type":"function"},{"doc":"Updates a manual DB snapshot with a new engine version. The snapshot can be encrypted or unencrypted, but not shared or public. Amazon RDS supports upgrading DB snapshots for MySQL, PostgreSQL, and Oracle. This command doesn't apply to RDS Custom.","ref":"aws_rds.html#modify_db_snapshot/2","title":"aws_rds.modify_db_snapshot/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_db_snapshot/3","title":"aws_rds.modify_db_snapshot/3","type":"function"},{"doc":"Adds an attribute and values to, or removes an attribute and values from, a manual DB snapshot. To share a manual DB snapshot with other Amazon Web Services accounts, specify restore as the AttributeName and use the ValuesToAdd parameter to add a list of IDs of the Amazon Web Services accounts that are authorized to restore the manual DB snapshot. Uses the value all to make the manual DB snapshot public, which means it can be copied or restored by all Amazon Web Services accounts. Don't add the all value for any manual DB snapshots that contain private information that you don't want available to all Amazon Web Services accounts. If the manual DB snapshot is encrypted, it can be shared, but only by specifying a list of authorized Amazon Web Services account IDs for the ValuesToAdd parameter. You can't use all as a value for that parameter in this case. To view which Amazon Web Services accounts have access to copy or restore a manual DB snapshot, or whether a manual DB snapshot public or private, use the DescribeDBSnapshotAttributes API operation. The accounts are returned as values for the restore attribute.","ref":"aws_rds.html#modify_db_snapshot_attribute/2","title":"aws_rds.modify_db_snapshot_attribute/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_db_snapshot_attribute/3","title":"aws_rds.modify_db_snapshot_attribute/3","type":"function"},{"doc":"Modifies an existing DB subnet group. DB subnet groups must contain at least one subnet in at least two AZs in the Amazon Web Services Region.","ref":"aws_rds.html#modify_db_subnet_group/2","title":"aws_rds.modify_db_subnet_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_db_subnet_group/3","title":"aws_rds.modify_db_subnet_group/3","type":"function"},{"doc":"Modifies an existing RDS event notification subscription. You can't modify the source identifiers using this call. To change source identifiers for a subscription, use the AddSourceIdentifierToSubscription and RemoveSourceIdentifierFromSubscription calls. You can see a list of the event categories for a given source type ( SourceType ) in Events in the Amazon RDS User Guide or by using the DescribeEventCategories operation.","ref":"aws_rds.html#modify_event_subscription/2","title":"aws_rds.modify_event_subscription/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_event_subscription/3","title":"aws_rds.modify_event_subscription/3","type":"function"},{"doc":"Modify a setting for an Amazon Aurora global cluster. You can change one or more database configuration parameters by specifying these parameters and the new values in the request. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide. This action only applies to Aurora DB clusters.","ref":"aws_rds.html#modify_global_cluster/2","title":"aws_rds.modify_global_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_global_cluster/3","title":"aws_rds.modify_global_cluster/3","type":"function"},{"doc":"Modifies an existing option group.","ref":"aws_rds.html#modify_option_group/2","title":"aws_rds.modify_option_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#modify_option_group/3","title":"aws_rds.modify_option_group/3","type":"function"},{"doc":"Promotes a read replica DB instance to a standalone DB instance. Backup duration is a function of the amount of changes to the database since the previous backup. If you plan to promote a read replica to a standalone instance, we recommend that you enable backups and complete at least one backup prior to promotion. In addition, a read replica cannot be promoted to a standalone instance when it is in the backing-up status. If you have enabled backups on your read replica, configure the automated backup window so that daily backups do not interfere with read replica promotion. This command doesn't apply to Aurora MySQL, Aurora PostgreSQL, or RDS Custom.","ref":"aws_rds.html#promote_read_replica/2","title":"aws_rds.promote_read_replica/2","type":"function"},{"doc":"","ref":"aws_rds.html#promote_read_replica/3","title":"aws_rds.promote_read_replica/3","type":"function"},{"doc":"Promotes a read replica DB cluster to a standalone DB cluster.","ref":"aws_rds.html#promote_read_replica_db_cluster/2","title":"aws_rds.promote_read_replica_db_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#promote_read_replica_db_cluster/3","title":"aws_rds.promote_read_replica_db_cluster/3","type":"function"},{"doc":"Purchases a reserved DB instance offering.","ref":"aws_rds.html#purchase_reserved_db_instances_offering/2","title":"aws_rds.purchase_reserved_db_instances_offering/2","type":"function"},{"doc":"","ref":"aws_rds.html#purchase_reserved_db_instances_offering/3","title":"aws_rds.purchase_reserved_db_instances_offering/3","type":"function"},{"doc":"You might need to reboot your DB cluster, usually for maintenance reasons. For example, if you make certain modifications, or if you change the DB cluster parameter group associated with the DB cluster, reboot the DB cluster for the changes to take effect. Rebooting a DB cluster restarts the database engine service. Rebooting a DB cluster results in a momentary outage, during which the DB cluster status is set to rebooting. Use this operation only for a non-Aurora Multi-AZ DB cluster. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#reboot_db_cluster/2","title":"aws_rds.reboot_db_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#reboot_db_cluster/3","title":"aws_rds.reboot_db_cluster/3","type":"function"},{"doc":"You might need to reboot your DB instance, usually for maintenance reasons. For example, if you make certain modifications, or if you change the DB parameter group associated with the DB instance, you must reboot the instance for the changes to take effect. Rebooting a DB instance restarts the database engine service. Rebooting a DB instance results in a momentary outage, during which the DB instance status is set to rebooting. For more information about rebooting, see Rebooting a DB Instance in the Amazon RDS User Guide. This command doesn't apply to RDS Custom. If your DB instance is part of a Multi-AZ DB cluster, you can reboot the DB cluster with the RebootDBCluster operation.","ref":"aws_rds.html#reboot_db_instance/2","title":"aws_rds.reboot_db_instance/2","type":"function"},{"doc":"","ref":"aws_rds.html#reboot_db_instance/3","title":"aws_rds.reboot_db_instance/3","type":"function"},{"doc":"Associate one or more DBProxyTarget data structures with a DBProxyTargetGroup .","ref":"aws_rds.html#register_db_proxy_targets/2","title":"aws_rds.register_db_proxy_targets/2","type":"function"},{"doc":"","ref":"aws_rds.html#register_db_proxy_targets/3","title":"aws_rds.register_db_proxy_targets/3","type":"function"},{"doc":"Detaches an Aurora secondary cluster from an Aurora global database cluster. The cluster becomes a standalone cluster with read-write capability instead of being read-only and receiving data from a primary cluster in a different Region. This action only applies to Aurora DB clusters.","ref":"aws_rds.html#remove_from_global_cluster/2","title":"aws_rds.remove_from_global_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#remove_from_global_cluster/3","title":"aws_rds.remove_from_global_cluster/3","type":"function"},{"doc":"Removes the asssociation of an Amazon Web Services Identity and Access Management (IAM) role from a DB cluster. For more information on Amazon Aurora DB clusters, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#remove_role_from_db_cluster/2","title":"aws_rds.remove_role_from_db_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#remove_role_from_db_cluster/3","title":"aws_rds.remove_role_from_db_cluster/3","type":"function"},{"doc":"Disassociates an Amazon Web Services Identity and Access Management (IAM) role from a DB instance.","ref":"aws_rds.html#remove_role_from_db_instance/2","title":"aws_rds.remove_role_from_db_instance/2","type":"function"},{"doc":"","ref":"aws_rds.html#remove_role_from_db_instance/3","title":"aws_rds.remove_role_from_db_instance/3","type":"function"},{"doc":"Removes a source identifier from an existing RDS event notification subscription.","ref":"aws_rds.html#remove_source_identifier_from_subscription/2","title":"aws_rds.remove_source_identifier_from_subscription/2","type":"function"},{"doc":"","ref":"aws_rds.html#remove_source_identifier_from_subscription/3","title":"aws_rds.remove_source_identifier_from_subscription/3","type":"function"},{"doc":"Removes metadata tags from an Amazon RDS resource. For an overview on tagging an Amazon RDS resource, see Tagging Amazon RDS Resources in the Amazon RDS User Guide.","ref":"aws_rds.html#remove_tags_from_resource/2","title":"aws_rds.remove_tags_from_resource/2","type":"function"},{"doc":"","ref":"aws_rds.html#remove_tags_from_resource/3","title":"aws_rds.remove_tags_from_resource/3","type":"function"},{"doc":"Modifies the parameters of a DB cluster parameter group to the default value. To reset specific parameters submit a list of the following: ParameterName and ApplyMethod . To reset the entire DB cluster parameter group, specify the DBClusterParameterGroupName and ResetAllParameters parameters. When resetting the entire group, dynamic parameters are updated immediately and static parameters are set to pending-reboot to take effect on the next DB instance restart or RebootDBInstance request. You must call RebootDBInstance for every DB instance in your DB cluster that you want the updated static parameter to apply to. For more information on Amazon Aurora DB clusters, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#reset_db_cluster_parameter_group/2","title":"aws_rds.reset_db_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#reset_db_cluster_parameter_group/3","title":"aws_rds.reset_db_cluster_parameter_group/3","type":"function"},{"doc":"Modifies the parameters of a DB parameter group to the engine/system default value. To reset specific parameters, provide a list of the following: ParameterName and ApplyMethod . To reset the entire DB parameter group, specify the DBParameterGroup name and ResetAllParameters parameters. When resetting the entire group, dynamic parameters are updated immediately and static parameters are set to pending-reboot to take effect on the next DB instance restart or RebootDBInstance request.","ref":"aws_rds.html#reset_db_parameter_group/2","title":"aws_rds.reset_db_parameter_group/2","type":"function"},{"doc":"","ref":"aws_rds.html#reset_db_parameter_group/3","title":"aws_rds.reset_db_parameter_group/3","type":"function"},{"doc":"Creates an Amazon Aurora DB cluster from MySQL data stored in an Amazon S3 bucket. Amazon RDS must be authorized to access the Amazon S3 bucket and the data must be created using the Percona XtraBackup utility as described in Migrating Data from MySQL by Using an Amazon S3 Bucket in the Amazon Aurora User Guide. This action only restores the DB cluster, not the DB instances for that DB cluster. You must invoke the CreateDBInstance action to create DB instances for the restored DB cluster, specifying the identifier of the restored DB cluster in DBClusterIdentifier . You can create DB instances only after the RestoreDBClusterFromS3 action has completed and the DB cluster is available. For more information on Amazon Aurora, see What is Amazon Aurora? in the Amazon Aurora User Guide. This action only applies to Aurora DB clusters. The source DB engine must be MySQL.","ref":"aws_rds.html#restore_db_cluster_from_s3/2","title":"aws_rds.restore_db_cluster_from_s3/2","type":"function"},{"doc":"","ref":"aws_rds.html#restore_db_cluster_from_s3/3","title":"aws_rds.restore_db_cluster_from_s3/3","type":"function"},{"doc":"Creates a new DB cluster from a DB snapshot or DB cluster snapshot. The target DB cluster is created from the source snapshot with a default configuration. If you don't specify a security group, the new DB cluster is associated with the default security group. This action only restores the DB cluster, not the DB instances for that DB cluster. You must invoke the CreateDBInstance action to create DB instances for the restored DB cluster, specifying the identifier of the restored DB cluster in DBClusterIdentifier . You can create DB instances only after the RestoreDBClusterFromSnapshot action has completed and the DB cluster is available. For more information on Amazon Aurora DB clusters, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#restore_db_cluster_from_snapshot/2","title":"aws_rds.restore_db_cluster_from_snapshot/2","type":"function"},{"doc":"","ref":"aws_rds.html#restore_db_cluster_from_snapshot/3","title":"aws_rds.restore_db_cluster_from_snapshot/3","type":"function"},{"doc":"Restores a DB cluster to an arbitrary point in time. Users can restore to any point in time before LatestRestorableTime for up to BackupRetentionPeriod days. The target DB cluster is created from the source DB cluster with the same configuration as the original DB cluster, except that the new DB cluster is created with the default DB security group. For Aurora, this action only restores the DB cluster, not the DB instances for that DB cluster. You must invoke the CreateDBInstance action to create DB instances for the restored DB cluster, specifying the identifier of the restored DB cluster in DBClusterIdentifier . You can create DB instances only after the RestoreDBClusterToPointInTime action has completed and the DB cluster is available. For more information on Amazon Aurora DB clusters, see What is Amazon Aurora? in the Amazon Aurora User Guide. For more information on Multi-AZ DB clusters, see Multi-AZ deployments with two readable standby DB instances in the Amazon RDS User Guide.","ref":"aws_rds.html#restore_db_cluster_to_point_in_time/2","title":"aws_rds.restore_db_cluster_to_point_in_time/2","type":"function"},{"doc":"","ref":"aws_rds.html#restore_db_cluster_to_point_in_time/3","title":"aws_rds.restore_db_cluster_to_point_in_time/3","type":"function"},{"doc":"Creates a new DB instance from a DB snapshot. The target database is created from the source database restore point with most of the source's original configuration, including the default security group and DB parameter group. By default, the new DB instance is created as a Single-AZ deployment, except when the instance is a SQL Server instance that has an option group associated with mirroring. In this case, the instance becomes a Multi-AZ deployment, not a Single-AZ deployment. If you want to replace your original DB instance with the new, restored DB instance, then rename your original DB instance before you call the RestoreDBInstanceFromDBSnapshot action. RDS doesn't allow two DB instances with the same name. After you have renamed your original DB instance with a different identifier, then you can pass the original name of the DB instance as the DBInstanceIdentifier in the call to the RestoreDBInstanceFromDBSnapshot action. The result is that you replace the original DB instance with the DB instance created from the snapshot. If you are restoring from a shared manual DB snapshot, the DBSnapshotIdentifier must be the ARN of the shared DB snapshot. This command doesn't apply to Aurora MySQL and Aurora PostgreSQL. For Aurora, use RestoreDBClusterFromSnapshot .","ref":"aws_rds.html#restore_db_instance_from_db_snapshot/2","title":"aws_rds.restore_db_instance_from_db_snapshot/2","type":"function"},{"doc":"","ref":"aws_rds.html#restore_db_instance_from_db_snapshot/3","title":"aws_rds.restore_db_instance_from_db_snapshot/3","type":"function"},{"doc":"Amazon Relational Database Service (Amazon RDS) supports importing MySQL databases by using backup files. You can create a backup of your on-premises database, store it on Amazon Simple Storage Service (Amazon S3), and then restore the backup file onto a new Amazon RDS DB instance running MySQL. For more information, see Importing Data into an Amazon RDS MySQL DB Instance in the Amazon RDS User Guide. This command doesn't apply to RDS Custom.","ref":"aws_rds.html#restore_db_instance_from_s3/2","title":"aws_rds.restore_db_instance_from_s3/2","type":"function"},{"doc":"","ref":"aws_rds.html#restore_db_instance_from_s3/3","title":"aws_rds.restore_db_instance_from_s3/3","type":"function"},{"doc":"Restores a DB instance to an arbitrary point in time. You can restore to any point in time before the time identified by the LatestRestorableTime property. You can restore to a point up to the number of days specified by the BackupRetentionPeriod property. The target database is created with most of the original configuration, but in a system-selected Availability Zone, with the default security group, the default subnet group, and the default DB parameter group. By default, the new DB instance is created as a single-AZ deployment except when the instance is a SQL Server instance that has an option group that is associated with mirroring; in this case, the instance becomes a mirrored deployment and not a single-AZ deployment. This command doesn't apply to Aurora MySQL and Aurora PostgreSQL. For Aurora, use RestoreDBClusterToPointInTime .","ref":"aws_rds.html#restore_db_instance_to_point_in_time/2","title":"aws_rds.restore_db_instance_to_point_in_time/2","type":"function"},{"doc":"","ref":"aws_rds.html#restore_db_instance_to_point_in_time/3","title":"aws_rds.restore_db_instance_to_point_in_time/3","type":"function"},{"doc":"Revokes ingress from a DBSecurityGroup for previously authorized IP ranges or EC2 or VPC security groups. Required parameters for this API are one of CIDRIP, EC2SecurityGroupId for VPC, or (EC2SecurityGroupOwnerId and either EC2SecurityGroupName or EC2SecurityGroupId). EC2-Classic was retired on August 15, 2022. If you haven't migrated from EC2-Classic to a VPC, we recommend that you migrate as soon as possible. For more information, see Migrate from EC2-Classic to a VPC in the Amazon EC2 User Guide, the blog EC2-Classic Networking is Retiring – Here’s How to Prepare, and Moving a DB instance not in a VPC into a VPC in the Amazon RDS User Guide.","ref":"aws_rds.html#revoke_db_security_group_ingress/2","title":"aws_rds.revoke_db_security_group_ingress/2","type":"function"},{"doc":"","ref":"aws_rds.html#revoke_db_security_group_ingress/3","title":"aws_rds.revoke_db_security_group_ingress/3","type":"function"},{"doc":"Starts a database activity stream to monitor activity on the database. For more information, see Monitoring Amazon Aurora with Database Activity Streams in the Amazon Aurora User Guide or Monitoring Amazon RDS with Database Activity Streams in the Amazon RDS User Guide.","ref":"aws_rds.html#start_activity_stream/2","title":"aws_rds.start_activity_stream/2","type":"function"},{"doc":"","ref":"aws_rds.html#start_activity_stream/3","title":"aws_rds.start_activity_stream/3","type":"function"},{"doc":"Starts an Amazon Aurora DB cluster that was stopped using the Amazon Web Services console, the stop-db-cluster CLI command, or the StopDBCluster action. For more information, see Stopping and Starting an Aurora Cluster in the Amazon Aurora User Guide. This action only applies to Aurora DB clusters.","ref":"aws_rds.html#start_db_cluster/2","title":"aws_rds.start_db_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#start_db_cluster/3","title":"aws_rds.start_db_cluster/3","type":"function"},{"doc":"Starts an Amazon RDS DB instance that was stopped using the Amazon Web Services console, the stop-db-instance CLI command, or the StopDBInstance action. For more information, see Starting an Amazon RDS DB instance That Was Previously Stopped in the Amazon RDS User Guide. This command doesn't apply to RDS Custom, Aurora MySQL, and Aurora PostgreSQL. For Aurora DB clusters, use StartDBCluster instead.","ref":"aws_rds.html#start_db_instance/2","title":"aws_rds.start_db_instance/2","type":"function"},{"doc":"","ref":"aws_rds.html#start_db_instance/3","title":"aws_rds.start_db_instance/3","type":"function"},{"doc":"Enables replication of automated backups to a different Amazon Web Services Region. This command doesn't apply to RDS Custom. For more information, see Replicating Automated Backups to Another Amazon Web Services Region in the Amazon RDS User Guide.","ref":"aws_rds.html#start_db_instance_automated_backups_replication/2","title":"aws_rds.start_db_instance_automated_backups_replication/2","type":"function"},{"doc":"","ref":"aws_rds.html#start_db_instance_automated_backups_replication/3","title":"aws_rds.start_db_instance_automated_backups_replication/3","type":"function"},{"doc":"Starts an export of a snapshot to Amazon S3. The provided IAM role must have access to the S3 bucket. This command doesn't apply to RDS Custom.","ref":"aws_rds.html#start_export_task/2","title":"aws_rds.start_export_task/2","type":"function"},{"doc":"","ref":"aws_rds.html#start_export_task/3","title":"aws_rds.start_export_task/3","type":"function"},{"doc":"Stops a database activity stream that was started using the Amazon Web Services console, the start-activity-stream CLI command, or the StartActivityStream action. For more information, see Monitoring Amazon Aurora with Database Activity Streams in the Amazon Aurora User Guide or Monitoring Amazon RDS with Database Activity Streams in the Amazon RDS User Guide.","ref":"aws_rds.html#stop_activity_stream/2","title":"aws_rds.stop_activity_stream/2","type":"function"},{"doc":"","ref":"aws_rds.html#stop_activity_stream/3","title":"aws_rds.stop_activity_stream/3","type":"function"},{"doc":"Stops an Amazon Aurora DB cluster. When you stop a DB cluster, Aurora retains the DB cluster's metadata, including its endpoints and DB parameter groups. Aurora also retains the transaction logs so you can do a point-in-time restore if necessary. For more information, see Stopping and Starting an Aurora Cluster in the Amazon Aurora User Guide. This action only applies to Aurora DB clusters.","ref":"aws_rds.html#stop_db_cluster/2","title":"aws_rds.stop_db_cluster/2","type":"function"},{"doc":"","ref":"aws_rds.html#stop_db_cluster/3","title":"aws_rds.stop_db_cluster/3","type":"function"},{"doc":"Stops an Amazon RDS DB instance. When you stop a DB instance, Amazon RDS retains the DB instance's metadata, including its endpoint, DB parameter group, and option group membership. Amazon RDS also retains the transaction logs so you can do a point-in-time restore if necessary. For more information, see Stopping an Amazon RDS DB Instance Temporarily in the Amazon RDS User Guide. This command doesn't apply to RDS Custom, Aurora MySQL, and Aurora PostgreSQL. For Aurora clusters, use StopDBCluster instead.","ref":"aws_rds.html#stop_db_instance/2","title":"aws_rds.stop_db_instance/2","type":"function"},{"doc":"","ref":"aws_rds.html#stop_db_instance/3","title":"aws_rds.stop_db_instance/3","type":"function"},{"doc":"Stops automated backup replication for a DB instance. This command doesn't apply to RDS Custom, Aurora MySQL, and Aurora PostgreSQL. For more information, see Replicating Automated Backups to Another Amazon Web Services Region in the Amazon RDS User Guide.","ref":"aws_rds.html#stop_db_instance_automated_backups_replication/2","title":"aws_rds.stop_db_instance_automated_backups_replication/2","type":"function"},{"doc":"","ref":"aws_rds.html#stop_db_instance_automated_backups_replication/3","title":"aws_rds.stop_db_instance_automated_backups_replication/3","type":"function"},{"doc":"Switches over a blue/green deployment. Before you switch over, production traffic is routed to the databases in the blue environment. After you switch over, production traffic is routed to the databases in the green environment. For more information, see Using Amazon RDS Blue/Green Deployments for database updates in the Amazon RDS User Guide and Using Amazon RDS Blue/Green Deployments for database updates in the Amazon Aurora User Guide.","ref":"aws_rds.html#switchover_blue_green_deployment/2","title":"aws_rds.switchover_blue_green_deployment/2","type":"function"},{"doc":"","ref":"aws_rds.html#switchover_blue_green_deployment/3","title":"aws_rds.switchover_blue_green_deployment/3","type":"function"},{"doc":"Switches over an Oracle standby database in an Oracle Data Guard environment, making it the new primary database. Issue this command in the Region that hosts the current standby database.","ref":"aws_rds.html#switchover_read_replica/2","title":"aws_rds.switchover_read_replica/2","type":"function"},{"doc":"","ref":"aws_rds.html#switchover_read_replica/3","title":"aws_rds.switchover_read_replica/3","type":"function"},{"doc":"Amazon RDS Data Service Amazon RDS provides an HTTP endpoint to run SQL statements on an Amazon Aurora Serverless v1 DB cluster. To run these statements, you work with the Data Service API. The Data Service API isn't supported on Amazon Aurora Serverless v2 DB clusters. For more information about the Data Service API, see Using the Data API in the Amazon Aurora User Guide.","ref":"aws_rds_data.html","title":"aws_rds_data","type":"module"},{"doc":"Runs a batch SQL statement over an array of data. You can run bulk update and insert operations for multiple records using a DML statement with different parameter sets. Bulk operations can provide a significant performance improvement over individual insert and update operations. If a call isn't part of a transaction because it doesn't include the transactionID parameter, changes that result from the call are committed automatically. There isn't a fixed upper limit on the number of parameter sets. However, the maximum size of the HTTP request submitted through the Data API is 4 MiB. If the request exceeds this limit, the Data API returns an error and doesn't process the request. This 4-MiB limit includes the size of the HTTP headers and the JSON notation in the request. Thus, the number of parameter sets that you can include depends on a combination of factors, such as the size of the SQL statement and the size of each parameter set. The response size limit is 1 MiB. If the call returns more than 1 MiB of response data, the call is terminated.","ref":"aws_rds_data.html#batch_execute_statement/2","title":"aws_rds_data.batch_execute_statement/2","type":"function"},{"doc":"","ref":"aws_rds_data.html#batch_execute_statement/3","title":"aws_rds_data.batch_execute_statement/3","type":"function"},{"doc":"Starts a SQL transaction. A transaction can run for a maximum of 24 hours. A transaction is terminated and rolled back automatically after 24 hours. A transaction times out if no calls use its transaction ID in three minutes. If a transaction times out before it's committed, it's rolled back automatically. DDL statements inside a transaction cause an implicit commit. We recommend that you run each DDL statement in a separate ExecuteStatement call with continueAfterTimeout enabled.","ref":"aws_rds_data.html#begin_transaction/2","title":"aws_rds_data.begin_transaction/2","type":"function"},{"doc":"","ref":"aws_rds_data.html#begin_transaction/3","title":"aws_rds_data.begin_transaction/3","type":"function"},{"doc":"Ends a SQL transaction started with the BeginTransaction operation and commits the changes.","ref":"aws_rds_data.html#commit_transaction/2","title":"aws_rds_data.commit_transaction/2","type":"function"},{"doc":"","ref":"aws_rds_data.html#commit_transaction/3","title":"aws_rds_data.commit_transaction/3","type":"function"},{"doc":"Runs one or more SQL statements. This operation is deprecated. Use the BatchExecuteStatement or ExecuteStatement operation.","ref":"aws_rds_data.html#execute_sql/2","title":"aws_rds_data.execute_sql/2","type":"function"},{"doc":"","ref":"aws_rds_data.html#execute_sql/3","title":"aws_rds_data.execute_sql/3","type":"function"},{"doc":"Runs a SQL statement against a database. If a call isn't part of a transaction because it doesn't include the transactionID parameter, changes that result from the call are committed automatically. If the binary response data from the database is more than 1 MB, the call is terminated.","ref":"aws_rds_data.html#execute_statement/2","title":"aws_rds_data.execute_statement/2","type":"function"},{"doc":"","ref":"aws_rds_data.html#execute_statement/3","title":"aws_rds_data.execute_statement/3","type":"function"},{"doc":"Performs a rollback of a transaction. Rolling back a transaction cancels its changes.","ref":"aws_rds_data.html#rollback_transaction/2","title":"aws_rds_data.rollback_transaction/2","type":"function"},{"doc":"","ref":"aws_rds_data.html#rollback_transaction/3","title":"aws_rds_data.rollback_transaction/3","type":"function"},{"doc":"Amazon Redshift Overview This is an interface reference for Amazon Redshift. It contains documentation for one of the programming or command line interfaces you can use to manage Amazon Redshift clusters. Note that Amazon Redshift is asynchronous, which means that some interfaces may require techniques, such as polling or asynchronous callback handlers, to determine when a command has been applied. In this reference, the parameter descriptions indicate whether a change is applied immediately, on the next instance reboot, or during the next maintenance window. For a summary of the Amazon Redshift cluster management interfaces, go to Using the Amazon Redshift Management Interfaces. Amazon Redshift manages all the work of setting up, operating, and scaling a data warehouse: provisioning capacity, monitoring and backing up the cluster, and applying patches and upgrades to the Amazon Redshift engine. You can focus on using your data to acquire new insights for your business and customers. If you are a first-time user of Amazon Redshift, we recommend that you begin by reading the Amazon Redshift Getting Started Guide. If you are a database developer, the Amazon Redshift Database Developer Guide explains how to design, build, query, and maintain the databases that make up your data warehouse.","ref":"aws_redshift.html","title":"aws_redshift","type":"module"},{"doc":"Exchanges a DC1 Reserved Node for a DC2 Reserved Node with no changes to the configuration (term, payment type, or number of nodes) and no additional costs.","ref":"aws_redshift.html#accept_reserved_node_exchange/2","title":"aws_redshift.accept_reserved_node_exchange/2","type":"function"},{"doc":"","ref":"aws_redshift.html#accept_reserved_node_exchange/3","title":"aws_redshift.accept_reserved_node_exchange/3","type":"function"},{"doc":"Adds a partner integration to a cluster. This operation authorizes a partner to push status updates for the specified database. To complete the integration, you also set up the integration on the partner website.","ref":"aws_redshift.html#add_partner/2","title":"aws_redshift.add_partner/2","type":"function"},{"doc":"","ref":"aws_redshift.html#add_partner/3","title":"aws_redshift.add_partner/3","type":"function"},{"doc":"From a datashare consumer account, associates a datashare with the account (AssociateEntireAccount) or the specified namespace (ConsumerArn). If you make this association, the consumer can consume the datashare.","ref":"aws_redshift.html#associate_data_share_consumer/2","title":"aws_redshift.associate_data_share_consumer/2","type":"function"},{"doc":"","ref":"aws_redshift.html#associate_data_share_consumer/3","title":"aws_redshift.associate_data_share_consumer/3","type":"function"},{"doc":"Adds an inbound (ingress) rule to an Amazon Redshift security group. Depending on whether the application accessing your cluster is running on the Internet or an Amazon EC2 instance, you can authorize inbound access to either a Classless Interdomain Routing (CIDR)/Internet Protocol (IP) range or to an Amazon EC2 security group. You can add as many as 20 ingress rules to an Amazon Redshift security group. If you authorize access to an Amazon EC2 security group, specify EC2SecurityGroupName and EC2SecurityGroupOwnerId. The Amazon EC2 security group and Amazon Redshift cluster must be in the same Amazon Web Services Region. If you authorize access to a CIDR/IP address range, specify CIDRIP. For an overview of CIDR blocks, see the Wikipedia article on Classless Inter-Domain Routing. You must also associate the security group with a cluster so that clients running on these IP addresses or the EC2 instance are authorized to connect to the cluster. For information about managing security groups, go to Working with Security Groups in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#authorize_cluster_security_group_ingress/2","title":"aws_redshift.authorize_cluster_security_group_ingress/2","type":"function"},{"doc":"","ref":"aws_redshift.html#authorize_cluster_security_group_ingress/3","title":"aws_redshift.authorize_cluster_security_group_ingress/3","type":"function"},{"doc":"From a data producer account, authorizes the sharing of a datashare with one or more consumer accounts or managing entities. To authorize a datashare for a data consumer, the producer account must have the correct access permissions.","ref":"aws_redshift.html#authorize_data_share/2","title":"aws_redshift.authorize_data_share/2","type":"function"},{"doc":"","ref":"aws_redshift.html#authorize_data_share/3","title":"aws_redshift.authorize_data_share/3","type":"function"},{"doc":"Grants access to a cluster.","ref":"aws_redshift.html#authorize_endpoint_access/2","title":"aws_redshift.authorize_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshift.html#authorize_endpoint_access/3","title":"aws_redshift.authorize_endpoint_access/3","type":"function"},{"doc":"Authorizes the specified Amazon Web Services account to restore the specified snapshot. For more information about working with snapshots, go to Amazon Redshift Snapshots in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#authorize_snapshot_access/2","title":"aws_redshift.authorize_snapshot_access/2","type":"function"},{"doc":"","ref":"aws_redshift.html#authorize_snapshot_access/3","title":"aws_redshift.authorize_snapshot_access/3","type":"function"},{"doc":"Deletes a set of cluster snapshots.","ref":"aws_redshift.html#batch_delete_cluster_snapshots/2","title":"aws_redshift.batch_delete_cluster_snapshots/2","type":"function"},{"doc":"","ref":"aws_redshift.html#batch_delete_cluster_snapshots/3","title":"aws_redshift.batch_delete_cluster_snapshots/3","type":"function"},{"doc":"Modifies the settings for a set of cluster snapshots.","ref":"aws_redshift.html#batch_modify_cluster_snapshots/2","title":"aws_redshift.batch_modify_cluster_snapshots/2","type":"function"},{"doc":"","ref":"aws_redshift.html#batch_modify_cluster_snapshots/3","title":"aws_redshift.batch_modify_cluster_snapshots/3","type":"function"},{"doc":"Cancels a resize operation for a cluster.","ref":"aws_redshift.html#cancel_resize/2","title":"aws_redshift.cancel_resize/2","type":"function"},{"doc":"","ref":"aws_redshift.html#cancel_resize/3","title":"aws_redshift.cancel_resize/3","type":"function"},{"doc":"Copies the specified automated cluster snapshot to a new manual cluster snapshot. The source must be an automated snapshot and it must be in the available state. When you delete a cluster, Amazon Redshift deletes any automated snapshots of the cluster. Also, when the retention period of the snapshot expires, Amazon Redshift automatically deletes it. If you want to keep an automated snapshot for a longer period, you can make a manual copy of the snapshot. Manual snapshots are retained until you delete them. For more information about working with snapshots, go to Amazon Redshift Snapshots in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#copy_cluster_snapshot/2","title":"aws_redshift.copy_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift.html#copy_cluster_snapshot/3","title":"aws_redshift.copy_cluster_snapshot/3","type":"function"},{"doc":"Creates an authentication profile with the specified parameters.","ref":"aws_redshift.html#create_authentication_profile/2","title":"aws_redshift.create_authentication_profile/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_authentication_profile/3","title":"aws_redshift.create_authentication_profile/3","type":"function"},{"doc":"Creates a new cluster with the specified parameters. To create a cluster in Virtual Private Cloud (VPC), you must provide a cluster subnet group name. The cluster subnet group identifies the subnets of your VPC that Amazon Redshift uses when creating the cluster. For more information about managing clusters, go to Amazon Redshift Clusters in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#create_cluster/2","title":"aws_redshift.create_cluster/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_cluster/3","title":"aws_redshift.create_cluster/3","type":"function"},{"doc":"Creates an Amazon Redshift parameter group. Creating parameter groups is independent of creating clusters. You can associate a cluster with a parameter group when you create the cluster. You can also associate an existing cluster with a parameter group after the cluster is created by using ModifyCluster . Parameters in the parameter group define specific behavior that applies to the databases you create on the cluster. For more information about parameters and parameter groups, go to Amazon Redshift Parameter Groups in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#create_cluster_parameter_group/2","title":"aws_redshift.create_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_cluster_parameter_group/3","title":"aws_redshift.create_cluster_parameter_group/3","type":"function"},{"doc":"Creates a new Amazon Redshift security group. You use security groups to control access to non-VPC clusters. For information about managing security groups, go to Amazon Redshift Cluster Security Groups in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#create_cluster_security_group/2","title":"aws_redshift.create_cluster_security_group/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_cluster_security_group/3","title":"aws_redshift.create_cluster_security_group/3","type":"function"},{"doc":"Creates a manual snapshot of the specified cluster. The cluster must be in the available state. For more information about working with snapshots, go to Amazon Redshift Snapshots in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#create_cluster_snapshot/2","title":"aws_redshift.create_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_cluster_snapshot/3","title":"aws_redshift.create_cluster_snapshot/3","type":"function"},{"doc":"Creates a new Amazon Redshift subnet group. You must provide a list of one or more subnets in your existing Amazon Virtual Private Cloud (Amazon VPC) when creating Amazon Redshift subnet group. For information about subnet groups, go to Amazon Redshift Cluster Subnet Groups in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#create_cluster_subnet_group/2","title":"aws_redshift.create_cluster_subnet_group/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_cluster_subnet_group/3","title":"aws_redshift.create_cluster_subnet_group/3","type":"function"},{"doc":"Creates a Redshift-managed VPC endpoint.","ref":"aws_redshift.html#create_endpoint_access/2","title":"aws_redshift.create_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_endpoint_access/3","title":"aws_redshift.create_endpoint_access/3","type":"function"},{"doc":"Creates an Amazon Redshift event notification subscription. This action requires an ARN (Amazon Resource Name) of an Amazon SNS topic created by either the Amazon Redshift console, the Amazon SNS console, or the Amazon SNS API. To obtain an ARN with Amazon SNS, you must create a topic in Amazon SNS and subscribe to the topic. The ARN is displayed in the SNS console. You can specify the source type, and lists of Amazon Redshift source IDs, event categories, and event severities. Notifications will be sent for all events you want that match those criteria. For example, you can specify source type = cluster, source ID = my-cluster-1 and mycluster2, event categories = Availability, Backup, and severity = ERROR. The subscription will only send notifications for those ERROR events in the Availability and Backup categories for the specified clusters. If you specify both the source type and source IDs, such as source type = cluster and source identifier = my-cluster-1, notifications will be sent for all the cluster events for my-cluster-1. If you specify a source type but do not specify a source identifier, you will receive notice of the events for the objects of that type in your Amazon Web Services account. If you do not specify either the SourceType nor the SourceIdentifier, you will be notified of events generated from all Amazon Redshift sources belonging to your Amazon Web Services account. You must specify a source type if you specify a source ID.","ref":"aws_redshift.html#create_event_subscription/2","title":"aws_redshift.create_event_subscription/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_event_subscription/3","title":"aws_redshift.create_event_subscription/3","type":"function"},{"doc":"Creates an HSM client certificate that an Amazon Redshift cluster will use to connect to the client's HSM in order to store and retrieve the keys used to encrypt the cluster databases. The command returns a public key, which you must store in the HSM. In addition to creating the HSM certificate, you must create an Amazon Redshift HSM configuration that provides a cluster the information needed to store and use encryption keys in the HSM. For more information, go to Hardware Security Modules in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#create_hsm_client_certificate/2","title":"aws_redshift.create_hsm_client_certificate/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_hsm_client_certificate/3","title":"aws_redshift.create_hsm_client_certificate/3","type":"function"},{"doc":"Creates an HSM configuration that contains the information required by an Amazon Redshift cluster to store and use database encryption keys in a Hardware Security Module (HSM). After creating the HSM configuration, you can specify it as a parameter when creating a cluster. The cluster will then store its encryption keys in the HSM. In addition to creating an HSM configuration, you must also create an HSM client certificate. For more information, go to Hardware Security Modules in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#create_hsm_configuration/2","title":"aws_redshift.create_hsm_configuration/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_hsm_configuration/3","title":"aws_redshift.create_hsm_configuration/3","type":"function"},{"doc":"Creates a scheduled action. A scheduled action contains a schedule and an Amazon Redshift API action. For example, you can create a schedule of when to run the ResizeCluster API operation.","ref":"aws_redshift.html#create_scheduled_action/2","title":"aws_redshift.create_scheduled_action/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_scheduled_action/3","title":"aws_redshift.create_scheduled_action/3","type":"function"},{"doc":"Creates a snapshot copy grant that permits Amazon Redshift to use an encrypted symmetric key from Key Management Service (KMS) to encrypt copied snapshots in a destination region. For more information about managing snapshot copy grants, go to Amazon Redshift Database Encryption in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#create_snapshot_copy_grant/2","title":"aws_redshift.create_snapshot_copy_grant/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_snapshot_copy_grant/3","title":"aws_redshift.create_snapshot_copy_grant/3","type":"function"},{"doc":"Create a snapshot schedule that can be associated to a cluster and which overrides the default system backup schedule.","ref":"aws_redshift.html#create_snapshot_schedule/2","title":"aws_redshift.create_snapshot_schedule/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_snapshot_schedule/3","title":"aws_redshift.create_snapshot_schedule/3","type":"function"},{"doc":"Adds tags to a cluster. A resource can have up to 50 tags. If you try to create more than 50 tags for a resource, you will receive an error and the attempt will fail. If you specify a key that already exists for the resource, the value for that key will be updated with the new value.","ref":"aws_redshift.html#create_tags/2","title":"aws_redshift.create_tags/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_tags/3","title":"aws_redshift.create_tags/3","type":"function"},{"doc":"Creates a usage limit for a specified Amazon Redshift feature on a cluster. The usage limit is identified by the returned usage limit identifier.","ref":"aws_redshift.html#create_usage_limit/2","title":"aws_redshift.create_usage_limit/2","type":"function"},{"doc":"","ref":"aws_redshift.html#create_usage_limit/3","title":"aws_redshift.create_usage_limit/3","type":"function"},{"doc":"From a datashare producer account, removes authorization from the specified datashare.","ref":"aws_redshift.html#deauthorize_data_share/2","title":"aws_redshift.deauthorize_data_share/2","type":"function"},{"doc":"","ref":"aws_redshift.html#deauthorize_data_share/3","title":"aws_redshift.deauthorize_data_share/3","type":"function"},{"doc":"Deletes an authentication profile.","ref":"aws_redshift.html#delete_authentication_profile/2","title":"aws_redshift.delete_authentication_profile/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_authentication_profile/3","title":"aws_redshift.delete_authentication_profile/3","type":"function"},{"doc":"Deletes a previously provisioned cluster without its final snapshot being created. A successful response from the web service indicates that the request was received correctly. Use DescribeClusters to monitor the status of the deletion. The delete operation cannot be canceled or reverted once submitted. For more information about managing clusters, go to Amazon Redshift Clusters in the Amazon Redshift Cluster Management Guide. If you want to shut down the cluster and retain it for future use, set SkipFinalClusterSnapshot to false and specify a name for FinalClusterSnapshotIdentifier. You can later restore this snapshot to resume using the cluster. If a final cluster snapshot is requested, the status of the cluster will be &quot;final-snapshot&quot; while the snapshot is being taken, then it's &quot;deleting&quot; once Amazon Redshift begins deleting the cluster. For more information about managing clusters, go to Amazon Redshift Clusters in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#delete_cluster/2","title":"aws_redshift.delete_cluster/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_cluster/3","title":"aws_redshift.delete_cluster/3","type":"function"},{"doc":"Deletes a specified Amazon Redshift parameter group. You cannot delete a parameter group if it is associated with a cluster.","ref":"aws_redshift.html#delete_cluster_parameter_group/2","title":"aws_redshift.delete_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_cluster_parameter_group/3","title":"aws_redshift.delete_cluster_parameter_group/3","type":"function"},{"doc":"Deletes an Amazon Redshift security group. You cannot delete a security group that is associated with any clusters. You cannot delete the default security group. For information about managing security groups, go to Amazon Redshift Cluster Security Groups in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#delete_cluster_security_group/2","title":"aws_redshift.delete_cluster_security_group/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_cluster_security_group/3","title":"aws_redshift.delete_cluster_security_group/3","type":"function"},{"doc":"Deletes the specified manual snapshot. The snapshot must be in the available state, with no other users authorized to access the snapshot. Unlike automated snapshots, manual snapshots are retained even after you delete your cluster. Amazon Redshift does not delete your manual snapshots. You must delete manual snapshot explicitly to avoid getting charged. If other accounts are authorized to access the snapshot, you must revoke all of the authorizations before you can delete the snapshot.","ref":"aws_redshift.html#delete_cluster_snapshot/2","title":"aws_redshift.delete_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_cluster_snapshot/3","title":"aws_redshift.delete_cluster_snapshot/3","type":"function"},{"doc":"Deletes the specified cluster subnet group.","ref":"aws_redshift.html#delete_cluster_subnet_group/2","title":"aws_redshift.delete_cluster_subnet_group/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_cluster_subnet_group/3","title":"aws_redshift.delete_cluster_subnet_group/3","type":"function"},{"doc":"Deletes a Redshift-managed VPC endpoint.","ref":"aws_redshift.html#delete_endpoint_access/2","title":"aws_redshift.delete_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_endpoint_access/3","title":"aws_redshift.delete_endpoint_access/3","type":"function"},{"doc":"Deletes an Amazon Redshift event notification subscription.","ref":"aws_redshift.html#delete_event_subscription/2","title":"aws_redshift.delete_event_subscription/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_event_subscription/3","title":"aws_redshift.delete_event_subscription/3","type":"function"},{"doc":"Deletes the specified HSM client certificate.","ref":"aws_redshift.html#delete_hsm_client_certificate/2","title":"aws_redshift.delete_hsm_client_certificate/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_hsm_client_certificate/3","title":"aws_redshift.delete_hsm_client_certificate/3","type":"function"},{"doc":"Deletes the specified Amazon Redshift HSM configuration.","ref":"aws_redshift.html#delete_hsm_configuration/2","title":"aws_redshift.delete_hsm_configuration/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_hsm_configuration/3","title":"aws_redshift.delete_hsm_configuration/3","type":"function"},{"doc":"Deletes a partner integration from a cluster. Data can still flow to the cluster until the integration is deleted at the partner's website.","ref":"aws_redshift.html#delete_partner/2","title":"aws_redshift.delete_partner/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_partner/3","title":"aws_redshift.delete_partner/3","type":"function"},{"doc":"Deletes a scheduled action.","ref":"aws_redshift.html#delete_scheduled_action/2","title":"aws_redshift.delete_scheduled_action/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_scheduled_action/3","title":"aws_redshift.delete_scheduled_action/3","type":"function"},{"doc":"Deletes the specified snapshot copy grant.","ref":"aws_redshift.html#delete_snapshot_copy_grant/2","title":"aws_redshift.delete_snapshot_copy_grant/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_snapshot_copy_grant/3","title":"aws_redshift.delete_snapshot_copy_grant/3","type":"function"},{"doc":"Deletes a snapshot schedule.","ref":"aws_redshift.html#delete_snapshot_schedule/2","title":"aws_redshift.delete_snapshot_schedule/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_snapshot_schedule/3","title":"aws_redshift.delete_snapshot_schedule/3","type":"function"},{"doc":"Deletes tags from a resource. You must provide the ARN of the resource from which you want to delete the tag or tags.","ref":"aws_redshift.html#delete_tags/2","title":"aws_redshift.delete_tags/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_tags/3","title":"aws_redshift.delete_tags/3","type":"function"},{"doc":"Deletes a usage limit from a cluster.","ref":"aws_redshift.html#delete_usage_limit/2","title":"aws_redshift.delete_usage_limit/2","type":"function"},{"doc":"","ref":"aws_redshift.html#delete_usage_limit/3","title":"aws_redshift.delete_usage_limit/3","type":"function"},{"doc":"Returns a list of attributes attached to an account","ref":"aws_redshift.html#describe_account_attributes/2","title":"aws_redshift.describe_account_attributes/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_account_attributes/3","title":"aws_redshift.describe_account_attributes/3","type":"function"},{"doc":"Describes an authentication profile.","ref":"aws_redshift.html#describe_authentication_profiles/2","title":"aws_redshift.describe_authentication_profiles/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_authentication_profiles/3","title":"aws_redshift.describe_authentication_profiles/3","type":"function"},{"doc":"Returns an array of ClusterDbRevision objects.","ref":"aws_redshift.html#describe_cluster_db_revisions/2","title":"aws_redshift.describe_cluster_db_revisions/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_cluster_db_revisions/3","title":"aws_redshift.describe_cluster_db_revisions/3","type":"function"},{"doc":"Returns a list of Amazon Redshift parameter groups, including parameter groups you created and the default parameter group. For each parameter group, the response includes the parameter group name, description, and parameter group family name. You can optionally specify a name to retrieve the description of a specific parameter group. For more information about parameters and parameter groups, go to Amazon Redshift Parameter Groups in the Amazon Redshift Cluster Management Guide. If you specify both tag keys and tag values in the same request, Amazon Redshift returns all parameter groups that match any combination of the specified keys and values. For example, if you have owner and environment for tag keys, and admin and test for tag values, all parameter groups that have any combination of those values are returned. If both tag keys and values are omitted from the request, parameter groups are returned regardless of whether they have tag keys or values associated with them.","ref":"aws_redshift.html#describe_cluster_parameter_groups/2","title":"aws_redshift.describe_cluster_parameter_groups/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_cluster_parameter_groups/3","title":"aws_redshift.describe_cluster_parameter_groups/3","type":"function"},{"doc":"Returns a detailed list of parameters contained within the specified Amazon Redshift parameter group. For each parameter the response includes information such as parameter name, description, data type, value, whether the parameter value is modifiable, and so on. You can specify source filter to retrieve parameters of only specific type. For example, to retrieve parameters that were modified by a user action such as from ModifyClusterParameterGroup , you can specify source equal to user. For more information about parameters and parameter groups, go to Amazon Redshift Parameter Groups in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#describe_cluster_parameters/2","title":"aws_redshift.describe_cluster_parameters/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_cluster_parameters/3","title":"aws_redshift.describe_cluster_parameters/3","type":"function"},{"doc":"Returns information about Amazon Redshift security groups. If the name of a security group is specified, the response will contain only information about only that security group. For information about managing security groups, go to Amazon Redshift Cluster Security Groups in the Amazon Redshift Cluster Management Guide. If you specify both tag keys and tag values in the same request, Amazon Redshift returns all security groups that match any combination of the specified keys and values. For example, if you have owner and environment for tag keys, and admin and test for tag values, all security groups that have any combination of those values are returned. If both tag keys and values are omitted from the request, security groups are returned regardless of whether they have tag keys or values associated with them.","ref":"aws_redshift.html#describe_cluster_security_groups/2","title":"aws_redshift.describe_cluster_security_groups/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_cluster_security_groups/3","title":"aws_redshift.describe_cluster_security_groups/3","type":"function"},{"doc":"Returns one or more snapshot objects, which contain metadata about your cluster snapshots. By default, this operation returns information about all snapshots of all clusters that are owned by your Amazon Web Services account. No information is returned for snapshots owned by inactive Amazon Web Services accounts. If you specify both tag keys and tag values in the same request, Amazon Redshift returns all snapshots that match any combination of the specified keys and values. For example, if you have owner and environment for tag keys, and admin and test for tag values, all snapshots that have any combination of those values are returned. Only snapshots that you own are returned in the response; shared snapshots are not returned with the tag key and tag value request parameters. If both tag keys and values are omitted from the request, snapshots are returned regardless of whether they have tag keys or values associated with them.","ref":"aws_redshift.html#describe_cluster_snapshots/2","title":"aws_redshift.describe_cluster_snapshots/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_cluster_snapshots/3","title":"aws_redshift.describe_cluster_snapshots/3","type":"function"},{"doc":"Returns one or more cluster subnet group objects, which contain metadata about your cluster subnet groups. By default, this operation returns information about all cluster subnet groups that are defined in your Amazon Web Services account. If you specify both tag keys and tag values in the same request, Amazon Redshift returns all subnet groups that match any combination of the specified keys and values. For example, if you have owner and environment for tag keys, and admin and test for tag values, all subnet groups that have any combination of those values are returned. If both tag keys and values are omitted from the request, subnet groups are returned regardless of whether they have tag keys or values associated with them.","ref":"aws_redshift.html#describe_cluster_subnet_groups/2","title":"aws_redshift.describe_cluster_subnet_groups/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_cluster_subnet_groups/3","title":"aws_redshift.describe_cluster_subnet_groups/3","type":"function"},{"doc":"Returns a list of all the available maintenance tracks.","ref":"aws_redshift.html#describe_cluster_tracks/2","title":"aws_redshift.describe_cluster_tracks/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_cluster_tracks/3","title":"aws_redshift.describe_cluster_tracks/3","type":"function"},{"doc":"Returns descriptions of the available Amazon Redshift cluster versions. You can call this operation even before creating any clusters to learn more about the Amazon Redshift versions. For more information about managing clusters, go to Amazon Redshift Clusters in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#describe_cluster_versions/2","title":"aws_redshift.describe_cluster_versions/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_cluster_versions/3","title":"aws_redshift.describe_cluster_versions/3","type":"function"},{"doc":"Returns properties of provisioned clusters including general cluster properties, cluster database properties, maintenance and backup properties, and security and access properties. This operation supports pagination. For more information about managing clusters, go to Amazon Redshift Clusters in the Amazon Redshift Cluster Management Guide. If you specify both tag keys and tag values in the same request, Amazon Redshift returns all clusters that match any combination of the specified keys and values. For example, if you have owner and environment for tag keys, and admin and test for tag values, all clusters that have any combination of those values are returned. If both tag keys and values are omitted from the request, clusters are returned regardless of whether they have tag keys or values associated with them.","ref":"aws_redshift.html#describe_clusters/2","title":"aws_redshift.describe_clusters/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_clusters/3","title":"aws_redshift.describe_clusters/3","type":"function"},{"doc":"Shows the status of any inbound or outbound datashares available in the specified account.","ref":"aws_redshift.html#describe_data_shares/2","title":"aws_redshift.describe_data_shares/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_data_shares/3","title":"aws_redshift.describe_data_shares/3","type":"function"},{"doc":"Returns a list of datashares where the account identifier being called is a consumer account identifier.","ref":"aws_redshift.html#describe_data_shares_for_consumer/2","title":"aws_redshift.describe_data_shares_for_consumer/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_data_shares_for_consumer/3","title":"aws_redshift.describe_data_shares_for_consumer/3","type":"function"},{"doc":"Returns a list of datashares when the account identifier being called is a producer account identifier.","ref":"aws_redshift.html#describe_data_shares_for_producer/2","title":"aws_redshift.describe_data_shares_for_producer/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_data_shares_for_producer/3","title":"aws_redshift.describe_data_shares_for_producer/3","type":"function"},{"doc":"Returns a list of parameter settings for the specified parameter group family. For more information about parameters and parameter groups, go to Amazon Redshift Parameter Groups in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#describe_default_cluster_parameters/2","title":"aws_redshift.describe_default_cluster_parameters/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_default_cluster_parameters/3","title":"aws_redshift.describe_default_cluster_parameters/3","type":"function"},{"doc":"Describes a Redshift-managed VPC endpoint.","ref":"aws_redshift.html#describe_endpoint_access/2","title":"aws_redshift.describe_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_endpoint_access/3","title":"aws_redshift.describe_endpoint_access/3","type":"function"},{"doc":"Describes an endpoint authorization.","ref":"aws_redshift.html#describe_endpoint_authorization/2","title":"aws_redshift.describe_endpoint_authorization/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_endpoint_authorization/3","title":"aws_redshift.describe_endpoint_authorization/3","type":"function"},{"doc":"Displays a list of event categories for all event source types, or for a specified source type. For a list of the event categories and source types, go to Amazon Redshift Event Notifications.","ref":"aws_redshift.html#describe_event_categories/2","title":"aws_redshift.describe_event_categories/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_event_categories/3","title":"aws_redshift.describe_event_categories/3","type":"function"},{"doc":"Lists descriptions of all the Amazon Redshift event notification subscriptions for a customer account. If you specify a subscription name, lists the description for that subscription. If you specify both tag keys and tag values in the same request, Amazon Redshift returns all event notification subscriptions that match any combination of the specified keys and values. For example, if you have owner and environment for tag keys, and admin and test for tag values, all subscriptions that have any combination of those values are returned. If both tag keys and values are omitted from the request, subscriptions are returned regardless of whether they have tag keys or values associated with them.","ref":"aws_redshift.html#describe_event_subscriptions/2","title":"aws_redshift.describe_event_subscriptions/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_event_subscriptions/3","title":"aws_redshift.describe_event_subscriptions/3","type":"function"},{"doc":"Returns events related to clusters, security groups, snapshots, and parameter groups for the past 14 days. Events specific to a particular cluster, security group, snapshot or parameter group can be obtained by providing the name as a parameter. By default, the past hour of events are returned.","ref":"aws_redshift.html#describe_events/2","title":"aws_redshift.describe_events/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_events/3","title":"aws_redshift.describe_events/3","type":"function"},{"doc":"Returns information about the specified HSM client certificate. If no certificate ID is specified, returns information about all the HSM certificates owned by your Amazon Web Services account. If you specify both tag keys and tag values in the same request, Amazon Redshift returns all HSM client certificates that match any combination of the specified keys and values. For example, if you have owner and environment for tag keys, and admin and test for tag values, all HSM client certificates that have any combination of those values are returned. If both tag keys and values are omitted from the request, HSM client certificates are returned regardless of whether they have tag keys or values associated with them.","ref":"aws_redshift.html#describe_hsm_client_certificates/2","title":"aws_redshift.describe_hsm_client_certificates/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_hsm_client_certificates/3","title":"aws_redshift.describe_hsm_client_certificates/3","type":"function"},{"doc":"Returns information about the specified Amazon Redshift HSM configuration. If no configuration ID is specified, returns information about all the HSM configurations owned by your Amazon Web Services account. If you specify both tag keys and tag values in the same request, Amazon Redshift returns all HSM connections that match any combination of the specified keys and values. For example, if you have owner and environment for tag keys, and admin and test for tag values, all HSM connections that have any combination of those values are returned. If both tag keys and values are omitted from the request, HSM connections are returned regardless of whether they have tag keys or values associated with them.","ref":"aws_redshift.html#describe_hsm_configurations/2","title":"aws_redshift.describe_hsm_configurations/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_hsm_configurations/3","title":"aws_redshift.describe_hsm_configurations/3","type":"function"},{"doc":"Describes whether information, such as queries and connection attempts, is being logged for the specified Amazon Redshift cluster.","ref":"aws_redshift.html#describe_logging_status/2","title":"aws_redshift.describe_logging_status/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_logging_status/3","title":"aws_redshift.describe_logging_status/3","type":"function"},{"doc":"Returns properties of possible node configurations such as node type, number of nodes, and disk usage for the specified action type.","ref":"aws_redshift.html#describe_node_configuration_options/2","title":"aws_redshift.describe_node_configuration_options/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_node_configuration_options/3","title":"aws_redshift.describe_node_configuration_options/3","type":"function"},{"doc":"Returns a list of orderable cluster options. Before you create a new cluster you can use this operation to find what options are available, such as the EC2 Availability Zones (AZ) in the specific Amazon Web Services Region that you can specify, and the node types you can request. The node types differ by available storage, memory, CPU and price. With the cost involved you might want to obtain a list of cluster options in the specific region and specify values when creating a cluster. For more information about managing clusters, go to Amazon Redshift Clusters in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#describe_orderable_cluster_options/2","title":"aws_redshift.describe_orderable_cluster_options/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_orderable_cluster_options/3","title":"aws_redshift.describe_orderable_cluster_options/3","type":"function"},{"doc":"Returns information about the partner integrations defined for a cluster.","ref":"aws_redshift.html#describe_partners/2","title":"aws_redshift.describe_partners/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_partners/3","title":"aws_redshift.describe_partners/3","type":"function"},{"doc":"Returns exchange status details and associated metadata for a reserved-node exchange. Statuses include such values as in progress and requested.","ref":"aws_redshift.html#describe_reserved_node_exchange_status/2","title":"aws_redshift.describe_reserved_node_exchange_status/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_reserved_node_exchange_status/3","title":"aws_redshift.describe_reserved_node_exchange_status/3","type":"function"},{"doc":"Returns a list of the available reserved node offerings by Amazon Redshift with their descriptions including the node type, the fixed and recurring costs of reserving the node and duration the node will be reserved for you. These descriptions help you determine which reserve node offering you want to purchase. You then use the unique offering ID in you call to PurchaseReservedNodeOffering to reserve one or more nodes for your Amazon Redshift cluster. For more information about reserved node offerings, go to Purchasing Reserved Nodes in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#describe_reserved_node_offerings/2","title":"aws_redshift.describe_reserved_node_offerings/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_reserved_node_offerings/3","title":"aws_redshift.describe_reserved_node_offerings/3","type":"function"},{"doc":"Returns the descriptions of the reserved nodes.","ref":"aws_redshift.html#describe_reserved_nodes/2","title":"aws_redshift.describe_reserved_nodes/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_reserved_nodes/3","title":"aws_redshift.describe_reserved_nodes/3","type":"function"},{"doc":"Returns information about the last resize operation for the specified cluster. If no resize operation has ever been initiated for the specified cluster, a HTTP 404 error is returned. If a resize operation was initiated and completed, the status of the resize remains as SUCCEEDED until the next resize. A resize operation can be requested using ModifyCluster and specifying a different number or type of nodes for the cluster.","ref":"aws_redshift.html#describe_resize/2","title":"aws_redshift.describe_resize/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_resize/3","title":"aws_redshift.describe_resize/3","type":"function"},{"doc":"Describes properties of scheduled actions.","ref":"aws_redshift.html#describe_scheduled_actions/2","title":"aws_redshift.describe_scheduled_actions/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_scheduled_actions/3","title":"aws_redshift.describe_scheduled_actions/3","type":"function"},{"doc":"Returns a list of snapshot copy grants owned by the Amazon Web Services account in the destination region. For more information about managing snapshot copy grants, go to Amazon Redshift Database Encryption in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#describe_snapshot_copy_grants/2","title":"aws_redshift.describe_snapshot_copy_grants/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_snapshot_copy_grants/3","title":"aws_redshift.describe_snapshot_copy_grants/3","type":"function"},{"doc":"Returns a list of snapshot schedules.","ref":"aws_redshift.html#describe_snapshot_schedules/2","title":"aws_redshift.describe_snapshot_schedules/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_snapshot_schedules/3","title":"aws_redshift.describe_snapshot_schedules/3","type":"function"},{"doc":"Returns account level backups storage size and provisional storage.","ref":"aws_redshift.html#describe_storage/2","title":"aws_redshift.describe_storage/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_storage/3","title":"aws_redshift.describe_storage/3","type":"function"},{"doc":"Lists the status of one or more table restore requests made using the RestoreTableFromClusterSnapshot API action. If you don't specify a value for the TableRestoreRequestId parameter, then DescribeTableRestoreStatus returns the status of all table restore requests ordered by the date and time of the request in ascending order. Otherwise DescribeTableRestoreStatus returns the status of the table specified by TableRestoreRequestId .","ref":"aws_redshift.html#describe_table_restore_status/2","title":"aws_redshift.describe_table_restore_status/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_table_restore_status/3","title":"aws_redshift.describe_table_restore_status/3","type":"function"},{"doc":"Returns a list of tags. You can return tags from a specific resource by specifying an ARN, or you can return all tags for a given type of resource, such as clusters, snapshots, and so on. The following are limitations for DescribeTags : You cannot specify an ARN and a resource-type value together in the same request. You cannot use the MaxRecords and Marker parameters together with the ARN parameter. The MaxRecords parameter can be a range from 10 to 50 results to return in a request. If you specify both tag keys and tag values in the same request, Amazon Redshift returns all resources that match any combination of the specified keys and values. For example, if you have owner and environment for tag keys, and admin and test for tag values, all resources that have any combination of those values are returned. If both tag keys and values are omitted from the request, resources are returned regardless of whether they have tag keys or values associated with them.","ref":"aws_redshift.html#describe_tags/2","title":"aws_redshift.describe_tags/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_tags/3","title":"aws_redshift.describe_tags/3","type":"function"},{"doc":"Shows usage limits on a cluster. Results are filtered based on the combination of input usage limit identifier, cluster identifier, and feature type parameters: If usage limit identifier, cluster identifier, and feature type are not provided, then all usage limit objects for the current account in the current region are returned. If usage limit identifier is provided, then the corresponding usage limit object is returned. If cluster identifier is provided, then all usage limit objects for the specified cluster are returned. If cluster identifier and feature type are provided, then all usage limit objects for the combination of cluster and feature are returned.","ref":"aws_redshift.html#describe_usage_limits/2","title":"aws_redshift.describe_usage_limits/2","type":"function"},{"doc":"","ref":"aws_redshift.html#describe_usage_limits/3","title":"aws_redshift.describe_usage_limits/3","type":"function"},{"doc":"Stops logging information, such as queries and connection attempts, for the specified Amazon Redshift cluster.","ref":"aws_redshift.html#disable_logging/2","title":"aws_redshift.disable_logging/2","type":"function"},{"doc":"","ref":"aws_redshift.html#disable_logging/3","title":"aws_redshift.disable_logging/3","type":"function"},{"doc":"Disables the automatic copying of snapshots from one region to another region for a specified cluster. If your cluster and its snapshots are encrypted using an encrypted symmetric key from Key Management Service, use DeleteSnapshotCopyGrant to delete the grant that grants Amazon Redshift permission to the key in the destination region.","ref":"aws_redshift.html#disable_snapshot_copy/2","title":"aws_redshift.disable_snapshot_copy/2","type":"function"},{"doc":"","ref":"aws_redshift.html#disable_snapshot_copy/3","title":"aws_redshift.disable_snapshot_copy/3","type":"function"},{"doc":"From a datashare consumer account, remove association for the specified datashare.","ref":"aws_redshift.html#disassociate_data_share_consumer/2","title":"aws_redshift.disassociate_data_share_consumer/2","type":"function"},{"doc":"","ref":"aws_redshift.html#disassociate_data_share_consumer/3","title":"aws_redshift.disassociate_data_share_consumer/3","type":"function"},{"doc":"Starts logging information, such as queries and connection attempts, for the specified Amazon Redshift cluster.","ref":"aws_redshift.html#enable_logging/2","title":"aws_redshift.enable_logging/2","type":"function"},{"doc":"","ref":"aws_redshift.html#enable_logging/3","title":"aws_redshift.enable_logging/3","type":"function"},{"doc":"Enables the automatic copy of snapshots from one region to another region for a specified cluster.","ref":"aws_redshift.html#enable_snapshot_copy/2","title":"aws_redshift.enable_snapshot_copy/2","type":"function"},{"doc":"","ref":"aws_redshift.html#enable_snapshot_copy/3","title":"aws_redshift.enable_snapshot_copy/3","type":"function"},{"doc":"Returns a database user name and temporary password with temporary authorization to log on to an Amazon Redshift database. The action returns the database user name prefixed with IAM: if AutoCreate is False or IAMA: if AutoCreate is True . You can optionally specify one or more database user groups that the user will join at log on. By default, the temporary credentials expire in 900 seconds. You can optionally specify a duration between 900 seconds (15 minutes) and 3600 seconds (60 minutes). For more information, see Using IAM Authentication to Generate Database User Credentials in the Amazon Redshift Cluster Management Guide. The Identity and Access Management (IAM) user or role that runs GetClusterCredentials must have an IAM policy attached that allows access to all necessary actions and resources. For more information about permissions, see Resource Policies for GetClusterCredentials in the Amazon Redshift Cluster Management Guide. If the DbGroups parameter is specified, the IAM policy must allow the redshift:JoinGroup action with access to the listed dbgroups . In addition, if the AutoCreate parameter is set to True , then the policy must include the redshift:CreateClusterUser permission. If the DbName parameter is specified, the IAM policy must allow access to the resource dbname for the specified database name.","ref":"aws_redshift.html#get_cluster_credentials/2","title":"aws_redshift.get_cluster_credentials/2","type":"function"},{"doc":"","ref":"aws_redshift.html#get_cluster_credentials/3","title":"aws_redshift.get_cluster_credentials/3","type":"function"},{"doc":"Returns a database user name and temporary password with temporary authorization to log in to an Amazon Redshift database. The database user is mapped 1:1 to the source Identity and Access Management (IAM) identity. For more information about IAM identities, see IAM Identities (users, user groups, and roles) in the Amazon Web Services Identity and Access Management User Guide. The Identity and Access Management (IAM) identity that runs this operation must have an IAM policy attached that allows access to all necessary actions and resources. For more information about permissions, see Using identity-based policies (IAM policies) in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#get_cluster_credentials_with_iam/2","title":"aws_redshift.get_cluster_credentials_with_iam/2","type":"function"},{"doc":"","ref":"aws_redshift.html#get_cluster_credentials_with_iam/3","title":"aws_redshift.get_cluster_credentials_with_iam/3","type":"function"},{"doc":"Gets the configuration options for the reserved-node exchange. These options include information about the source reserved node and target reserved node offering. Details include the node type, the price, the node count, and the offering type.","ref":"aws_redshift.html#get_reserved_node_exchange_configuration_options/2","title":"aws_redshift.get_reserved_node_exchange_configuration_options/2","type":"function"},{"doc":"","ref":"aws_redshift.html#get_reserved_node_exchange_configuration_options/3","title":"aws_redshift.get_reserved_node_exchange_configuration_options/3","type":"function"},{"doc":"Returns an array of DC2 ReservedNodeOfferings that matches the payment type, term, and usage price of the given DC1 reserved node.","ref":"aws_redshift.html#get_reserved_node_exchange_offerings/2","title":"aws_redshift.get_reserved_node_exchange_offerings/2","type":"function"},{"doc":"","ref":"aws_redshift.html#get_reserved_node_exchange_offerings/3","title":"aws_redshift.get_reserved_node_exchange_offerings/3","type":"function"},{"doc":"This operation is retired. Calling this operation does not change AQUA configuration. Amazon Redshift automatically determines whether to use AQUA (Advanced Query Accelerator).","ref":"aws_redshift.html#modify_aqua_configuration/2","title":"aws_redshift.modify_aqua_configuration/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_aqua_configuration/3","title":"aws_redshift.modify_aqua_configuration/3","type":"function"},{"doc":"Modifies an authentication profile.","ref":"aws_redshift.html#modify_authentication_profile/2","title":"aws_redshift.modify_authentication_profile/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_authentication_profile/3","title":"aws_redshift.modify_authentication_profile/3","type":"function"},{"doc":"Modifies the settings for a cluster. You can also change node type and the number of nodes to scale up or down the cluster. When resizing a cluster, you must specify both the number of nodes and the node type even if one of the parameters does not change. You can add another security or parameter group, or change the admin user password. Resetting a cluster password or modifying the security groups associated with a cluster do not need a reboot. However, modifying a parameter group requires a reboot for parameters to take effect. For more information about managing clusters, go to Amazon Redshift Clusters in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#modify_cluster/2","title":"aws_redshift.modify_cluster/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_cluster/3","title":"aws_redshift.modify_cluster/3","type":"function"},{"doc":"Modifies the database revision of a cluster. The database revision is a unique revision of the database running in a cluster.","ref":"aws_redshift.html#modify_cluster_db_revision/2","title":"aws_redshift.modify_cluster_db_revision/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_cluster_db_revision/3","title":"aws_redshift.modify_cluster_db_revision/3","type":"function"},{"doc":"Modifies the list of Identity and Access Management (IAM) roles that can be used by the cluster to access other Amazon Web Services services. The maximum number of IAM roles that you can associate is subject to a quota. For more information, go to Quotas and limits in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#modify_cluster_iam_roles/2","title":"aws_redshift.modify_cluster_iam_roles/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_cluster_iam_roles/3","title":"aws_redshift.modify_cluster_iam_roles/3","type":"function"},{"doc":"Modifies the maintenance settings of a cluster.","ref":"aws_redshift.html#modify_cluster_maintenance/2","title":"aws_redshift.modify_cluster_maintenance/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_cluster_maintenance/3","title":"aws_redshift.modify_cluster_maintenance/3","type":"function"},{"doc":"Modifies the parameters of a parameter group. For the parameters parameter, it can't contain ASCII characters. For more information about parameters and parameter groups, go to Amazon Redshift Parameter Groups in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#modify_cluster_parameter_group/2","title":"aws_redshift.modify_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_cluster_parameter_group/3","title":"aws_redshift.modify_cluster_parameter_group/3","type":"function"},{"doc":"Modifies the settings for a snapshot. This exanmple modifies the manual retention period setting for a cluster snapshot.","ref":"aws_redshift.html#modify_cluster_snapshot/2","title":"aws_redshift.modify_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_cluster_snapshot/3","title":"aws_redshift.modify_cluster_snapshot/3","type":"function"},{"doc":"Modifies a snapshot schedule for a cluster.","ref":"aws_redshift.html#modify_cluster_snapshot_schedule/2","title":"aws_redshift.modify_cluster_snapshot_schedule/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_cluster_snapshot_schedule/3","title":"aws_redshift.modify_cluster_snapshot_schedule/3","type":"function"},{"doc":"Modifies a cluster subnet group to include the specified list of VPC subnets. The operation replaces the existing list of subnets with the new list of subnets.","ref":"aws_redshift.html#modify_cluster_subnet_group/2","title":"aws_redshift.modify_cluster_subnet_group/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_cluster_subnet_group/3","title":"aws_redshift.modify_cluster_subnet_group/3","type":"function"},{"doc":"Modifies a Redshift-managed VPC endpoint.","ref":"aws_redshift.html#modify_endpoint_access/2","title":"aws_redshift.modify_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_endpoint_access/3","title":"aws_redshift.modify_endpoint_access/3","type":"function"},{"doc":"Modifies an existing Amazon Redshift event notification subscription.","ref":"aws_redshift.html#modify_event_subscription/2","title":"aws_redshift.modify_event_subscription/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_event_subscription/3","title":"aws_redshift.modify_event_subscription/3","type":"function"},{"doc":"Modifies a scheduled action.","ref":"aws_redshift.html#modify_scheduled_action/2","title":"aws_redshift.modify_scheduled_action/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_scheduled_action/3","title":"aws_redshift.modify_scheduled_action/3","type":"function"},{"doc":"Modifies the number of days to retain snapshots in the destination Amazon Web Services Region after they are copied from the source Amazon Web Services Region. By default, this operation only changes the retention period of copied automated snapshots. The retention periods for both new and existing copied automated snapshots are updated with the new retention period. You can set the manual option to change only the retention periods of copied manual snapshots. If you set this option, only newly copied manual snapshots have the new retention period.","ref":"aws_redshift.html#modify_snapshot_copy_retention_period/2","title":"aws_redshift.modify_snapshot_copy_retention_period/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_snapshot_copy_retention_period/3","title":"aws_redshift.modify_snapshot_copy_retention_period/3","type":"function"},{"doc":"Modifies a snapshot schedule. Any schedule associated with a cluster is modified asynchronously.","ref":"aws_redshift.html#modify_snapshot_schedule/2","title":"aws_redshift.modify_snapshot_schedule/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_snapshot_schedule/3","title":"aws_redshift.modify_snapshot_schedule/3","type":"function"},{"doc":"Modifies a usage limit in a cluster. You can't modify the feature type or period of a usage limit.","ref":"aws_redshift.html#modify_usage_limit/2","title":"aws_redshift.modify_usage_limit/2","type":"function"},{"doc":"","ref":"aws_redshift.html#modify_usage_limit/3","title":"aws_redshift.modify_usage_limit/3","type":"function"},{"doc":"Pauses a cluster.","ref":"aws_redshift.html#pause_cluster/2","title":"aws_redshift.pause_cluster/2","type":"function"},{"doc":"","ref":"aws_redshift.html#pause_cluster/3","title":"aws_redshift.pause_cluster/3","type":"function"},{"doc":"Allows you to purchase reserved nodes. Amazon Redshift offers a predefined set of reserved node offerings. You can purchase one or more of the offerings. You can call the DescribeReservedNodeOfferings API to obtain the available reserved node offerings. You can call this API by providing a specific reserved node offering and the number of nodes you want to reserve. For more information about reserved node offerings, go to Purchasing Reserved Nodes in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#purchase_reserved_node_offering/2","title":"aws_redshift.purchase_reserved_node_offering/2","type":"function"},{"doc":"","ref":"aws_redshift.html#purchase_reserved_node_offering/3","title":"aws_redshift.purchase_reserved_node_offering/3","type":"function"},{"doc":"Reboots a cluster. This action is taken as soon as possible. It results in a momentary outage to the cluster, during which the cluster status is set to rebooting . A cluster event is created when the reboot is completed. Any pending cluster modifications (see ModifyCluster ) are applied at this reboot. For more information about managing clusters, go to Amazon Redshift Clusters in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#reboot_cluster/2","title":"aws_redshift.reboot_cluster/2","type":"function"},{"doc":"","ref":"aws_redshift.html#reboot_cluster/3","title":"aws_redshift.reboot_cluster/3","type":"function"},{"doc":"From a datashare consumer account, rejects the specified datashare.","ref":"aws_redshift.html#reject_data_share/2","title":"aws_redshift.reject_data_share/2","type":"function"},{"doc":"","ref":"aws_redshift.html#reject_data_share/3","title":"aws_redshift.reject_data_share/3","type":"function"},{"doc":"Sets one or more parameters of the specified parameter group to their default values and sets the source values of the parameters to &quot;engine-default&quot;. To reset the entire parameter group specify the ResetAllParameters parameter. For parameter changes to take effect you must reboot any associated clusters.","ref":"aws_redshift.html#reset_cluster_parameter_group/2","title":"aws_redshift.reset_cluster_parameter_group/2","type":"function"},{"doc":"","ref":"aws_redshift.html#reset_cluster_parameter_group/3","title":"aws_redshift.reset_cluster_parameter_group/3","type":"function"},{"doc":"Changes the size of the cluster. You can change the cluster's type, or change the number or type of nodes. The default behavior is to use the elastic resize method. With an elastic resize, your cluster is available for read and write operations more quickly than with the classic resize method. Elastic resize operations have the following restrictions: You can only resize clusters of the following types: dc1.large (if your cluster is in a VPC) dc1.8xlarge (if your cluster is in a VPC) dc2.large dc2.8xlarge ds2.xlarge ds2.8xlarge ra3.xlplus ra3.4xlarge ra3.16xlarge The type of nodes that you add must match the node type for the cluster.","ref":"aws_redshift.html#resize_cluster/2","title":"aws_redshift.resize_cluster/2","type":"function"},{"doc":"","ref":"aws_redshift.html#resize_cluster/3","title":"aws_redshift.resize_cluster/3","type":"function"},{"doc":"Creates a new cluster from a snapshot. By default, Amazon Redshift creates the resulting cluster with the same configuration as the original cluster from which the snapshot was created, except that the new cluster is created with the default cluster security and parameter groups. After Amazon Redshift creates the cluster, you can use the ModifyCluster API to associate a different security group and different parameter group with the restored cluster. If you are using a DS node type, you can also choose to change to another DS node type of the same size during restore. If you restore a cluster into a VPC, you must provide a cluster subnet group where you want the cluster restored. For more information about working with snapshots, go to Amazon Redshift Snapshots in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#restore_from_cluster_snapshot/2","title":"aws_redshift.restore_from_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift.html#restore_from_cluster_snapshot/3","title":"aws_redshift.restore_from_cluster_snapshot/3","type":"function"},{"doc":"Creates a new table from a table in an Amazon Redshift cluster snapshot. You must create the new table within the Amazon Redshift cluster that the snapshot was taken from. You cannot use RestoreTableFromClusterSnapshot to restore a table with the same name as an existing table in an Amazon Redshift cluster. That is, you cannot overwrite an existing table in a cluster with a restored table. If you want to replace your original table with a new, restored table, then rename or drop your original table before you call RestoreTableFromClusterSnapshot . When you have renamed your original table, then you can pass the original name of the table as the NewTableName parameter value in the call to RestoreTableFromClusterSnapshot . This way, you can replace the original table with the table created from the snapshot. You can't use this operation to restore tables with interleaved sort keys.","ref":"aws_redshift.html#restore_table_from_cluster_snapshot/2","title":"aws_redshift.restore_table_from_cluster_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift.html#restore_table_from_cluster_snapshot/3","title":"aws_redshift.restore_table_from_cluster_snapshot/3","type":"function"},{"doc":"Resumes a paused cluster.","ref":"aws_redshift.html#resume_cluster/2","title":"aws_redshift.resume_cluster/2","type":"function"},{"doc":"","ref":"aws_redshift.html#resume_cluster/3","title":"aws_redshift.resume_cluster/3","type":"function"},{"doc":"Revokes an ingress rule in an Amazon Redshift security group for a previously authorized IP range or Amazon EC2 security group. To add an ingress rule, see AuthorizeClusterSecurityGroupIngress . For information about managing security groups, go to Amazon Redshift Cluster Security Groups in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#revoke_cluster_security_group_ingress/2","title":"aws_redshift.revoke_cluster_security_group_ingress/2","type":"function"},{"doc":"","ref":"aws_redshift.html#revoke_cluster_security_group_ingress/3","title":"aws_redshift.revoke_cluster_security_group_ingress/3","type":"function"},{"doc":"Revokes access to a cluster.","ref":"aws_redshift.html#revoke_endpoint_access/2","title":"aws_redshift.revoke_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshift.html#revoke_endpoint_access/3","title":"aws_redshift.revoke_endpoint_access/3","type":"function"},{"doc":"Removes the ability of the specified Amazon Web Services account to restore the specified snapshot. If the account is currently restoring the snapshot, the restore will run to completion. For more information about working with snapshots, go to Amazon Redshift Snapshots in the Amazon Redshift Cluster Management Guide.","ref":"aws_redshift.html#revoke_snapshot_access/2","title":"aws_redshift.revoke_snapshot_access/2","type":"function"},{"doc":"","ref":"aws_redshift.html#revoke_snapshot_access/3","title":"aws_redshift.revoke_snapshot_access/3","type":"function"},{"doc":"Rotates the encryption keys for a cluster.","ref":"aws_redshift.html#rotate_encryption_key/2","title":"aws_redshift.rotate_encryption_key/2","type":"function"},{"doc":"","ref":"aws_redshift.html#rotate_encryption_key/3","title":"aws_redshift.rotate_encryption_key/3","type":"function"},{"doc":"Updates the status of a partner integration.","ref":"aws_redshift.html#update_partner_status/2","title":"aws_redshift.update_partner_status/2","type":"function"},{"doc":"","ref":"aws_redshift.html#update_partner_status/3","title":"aws_redshift.update_partner_status/3","type":"function"},{"doc":"You can use the Amazon Redshift Data API to run queries on Amazon Redshift tables. You can run SQL statements, which are committed if the statement succeeds. For more information about the Amazon Redshift Data API and CLI usage examples, see Using the Amazon Redshift Data API in the Amazon Redshift Management Guide.","ref":"aws_redshift_data.html","title":"aws_redshift_data","type":"module"},{"doc":"Runs one or more SQL statements, which can be data manipulation language (DML) or data definition language (DDL). Depending on the authorization method, use one of the following combinations of request parameters: Secrets Manager - when connecting to a cluster, specify the Amazon Resource Name (ARN) of the secret, the database name, and the cluster identifier that matches the cluster in the secret. When connecting to a serverless workgroup, specify the Amazon Resource Name (ARN) of the secret and the database name. Temporary credentials - when connecting to a cluster, specify the cluster identifier, the database name, and the database user name. Also, permission to call the redshift:GetClusterCredentials operation is required. When connecting to a serverless workgroup, specify the workgroup name and database name. Also, permission to call the redshift-serverless:GetCredentials operation is required. For more information about the Amazon Redshift Data API and CLI usage examples, see Using the Amazon Redshift Data API in the Amazon Redshift Management Guide.","ref":"aws_redshift_data.html#batch_execute_statement/2","title":"aws_redshift_data.batch_execute_statement/2","type":"function"},{"doc":"","ref":"aws_redshift_data.html#batch_execute_statement/3","title":"aws_redshift_data.batch_execute_statement/3","type":"function"},{"doc":"Cancels a running query. To be canceled, a query must be running. For more information about the Amazon Redshift Data API and CLI usage examples, see Using the Amazon Redshift Data API in the Amazon Redshift Management Guide.","ref":"aws_redshift_data.html#cancel_statement/2","title":"aws_redshift_data.cancel_statement/2","type":"function"},{"doc":"","ref":"aws_redshift_data.html#cancel_statement/3","title":"aws_redshift_data.cancel_statement/3","type":"function"},{"doc":"Describes the details about a specific instance when a query was run by the Amazon Redshift Data API. The information includes when the query started, when it finished, the query status, the number of rows returned, and the SQL statement. For more information about the Amazon Redshift Data API and CLI usage examples, see Using the Amazon Redshift Data API in the Amazon Redshift Management Guide.","ref":"aws_redshift_data.html#describe_statement/2","title":"aws_redshift_data.describe_statement/2","type":"function"},{"doc":"","ref":"aws_redshift_data.html#describe_statement/3","title":"aws_redshift_data.describe_statement/3","type":"function"},{"doc":"Describes the detailed information about a table from metadata in the cluster. The information includes its columns. A token is returned to page through the column list. Depending on the authorization method, use one of the following combinations of request parameters: Secrets Manager - when connecting to a cluster, specify the Amazon Resource Name (ARN) of the secret, the database name, and the cluster identifier that matches the cluster in the secret. When connecting to a serverless workgroup, specify the Amazon Resource Name (ARN) of the secret and the database name. Temporary credentials - when connecting to a cluster, specify the cluster identifier, the database name, and the database user name. Also, permission to call the redshift:GetClusterCredentials operation is required. When connecting to a serverless workgroup, specify the workgroup name and database name. Also, permission to call the redshift-serverless:GetCredentials operation is required. For more information about the Amazon Redshift Data API and CLI usage examples, see Using the Amazon Redshift Data API in the Amazon Redshift Management Guide.","ref":"aws_redshift_data.html#describe_table/2","title":"aws_redshift_data.describe_table/2","type":"function"},{"doc":"","ref":"aws_redshift_data.html#describe_table/3","title":"aws_redshift_data.describe_table/3","type":"function"},{"doc":"Runs an SQL statement, which can be data manipulation language (DML) or data definition language (DDL). This statement must be a single SQL statement. Depending on the authorization method, use one of the following combinations of request parameters: Secrets Manager - when connecting to a cluster, specify the Amazon Resource Name (ARN) of the secret, the database name, and the cluster identifier that matches the cluster in the secret. When connecting to a serverless workgroup, specify the Amazon Resource Name (ARN) of the secret and the database name. Temporary credentials - when connecting to a cluster, specify the cluster identifier, the database name, and the database user name. Also, permission to call the redshift:GetClusterCredentials operation is required. When connecting to a serverless workgroup, specify the workgroup name and database name. Also, permission to call the redshift-serverless:GetCredentials operation is required. For more information about the Amazon Redshift Data API and CLI usage examples, see Using the Amazon Redshift Data API in the Amazon Redshift Management Guide.","ref":"aws_redshift_data.html#execute_statement/2","title":"aws_redshift_data.execute_statement/2","type":"function"},{"doc":"","ref":"aws_redshift_data.html#execute_statement/3","title":"aws_redshift_data.execute_statement/3","type":"function"},{"doc":"Fetches the temporarily cached result of an SQL statement. A token is returned to page through the statement results. For more information about the Amazon Redshift Data API and CLI usage examples, see Using the Amazon Redshift Data API in the Amazon Redshift Management Guide.","ref":"aws_redshift_data.html#get_statement_result/2","title":"aws_redshift_data.get_statement_result/2","type":"function"},{"doc":"","ref":"aws_redshift_data.html#get_statement_result/3","title":"aws_redshift_data.get_statement_result/3","type":"function"},{"doc":"List the databases in a cluster. A token is returned to page through the database list. Depending on the authorization method, use one of the following combinations of request parameters: Secrets Manager - when connecting to a cluster, specify the Amazon Resource Name (ARN) of the secret, the database name, and the cluster identifier that matches the cluster in the secret. When connecting to a serverless workgroup, specify the Amazon Resource Name (ARN) of the secret and the database name. Temporary credentials - when connecting to a cluster, specify the cluster identifier, the database name, and the database user name. Also, permission to call the redshift:GetClusterCredentials operation is required. When connecting to a serverless workgroup, specify the workgroup name and database name. Also, permission to call the redshift-serverless:GetCredentials operation is required. For more information about the Amazon Redshift Data API and CLI usage examples, see Using the Amazon Redshift Data API in the Amazon Redshift Management Guide.","ref":"aws_redshift_data.html#list_databases/2","title":"aws_redshift_data.list_databases/2","type":"function"},{"doc":"","ref":"aws_redshift_data.html#list_databases/3","title":"aws_redshift_data.list_databases/3","type":"function"},{"doc":"Lists the schemas in a database. A token is returned to page through the schema list. Depending on the authorization method, use one of the following combinations of request parameters: Secrets Manager - when connecting to a cluster, specify the Amazon Resource Name (ARN) of the secret, the database name, and the cluster identifier that matches the cluster in the secret. When connecting to a serverless workgroup, specify the Amazon Resource Name (ARN) of the secret and the database name. Temporary credentials - when connecting to a cluster, specify the cluster identifier, the database name, and the database user name. Also, permission to call the redshift:GetClusterCredentials operation is required. When connecting to a serverless workgroup, specify the workgroup name and database name. Also, permission to call the redshift-serverless:GetCredentials operation is required. For more information about the Amazon Redshift Data API and CLI usage examples, see Using the Amazon Redshift Data API in the Amazon Redshift Management Guide.","ref":"aws_redshift_data.html#list_schemas/2","title":"aws_redshift_data.list_schemas/2","type":"function"},{"doc":"","ref":"aws_redshift_data.html#list_schemas/3","title":"aws_redshift_data.list_schemas/3","type":"function"},{"doc":"List of SQL statements. By default, only finished statements are shown. A token is returned to page through the statement list. For more information about the Amazon Redshift Data API and CLI usage examples, see Using the Amazon Redshift Data API in the Amazon Redshift Management Guide.","ref":"aws_redshift_data.html#list_statements/2","title":"aws_redshift_data.list_statements/2","type":"function"},{"doc":"","ref":"aws_redshift_data.html#list_statements/3","title":"aws_redshift_data.list_statements/3","type":"function"},{"doc":"List the tables in a database. If neither SchemaPattern nor TablePattern are specified, then all tables in the database are returned. A token is returned to page through the table list. Depending on the authorization method, use one of the following combinations of request parameters: Secrets Manager - when connecting to a cluster, specify the Amazon Resource Name (ARN) of the secret, the database name, and the cluster identifier that matches the cluster in the secret. When connecting to a serverless workgroup, specify the Amazon Resource Name (ARN) of the secret and the database name. Temporary credentials - when connecting to a cluster, specify the cluster identifier, the database name, and the database user name. Also, permission to call the redshift:GetClusterCredentials operation is required. When connecting to a serverless workgroup, specify the workgroup name and database name. Also, permission to call the redshift-serverless:GetCredentials operation is required. For more information about the Amazon Redshift Data API and CLI usage examples, see Using the Amazon Redshift Data API in the Amazon Redshift Management Guide.","ref":"aws_redshift_data.html#list_tables/2","title":"aws_redshift_data.list_tables/2","type":"function"},{"doc":"","ref":"aws_redshift_data.html#list_tables/3","title":"aws_redshift_data.list_tables/3","type":"function"},{"doc":"This is an interface reference for Amazon Redshift Serverless. It contains documentation for one of the programming or command line interfaces you can use to manage Amazon Redshift Serverless. Amazon Redshift Serverless automatically provisions data warehouse capacity and intelligently scales the underlying resources based on workload demands. Amazon Redshift Serverless adjusts capacity in seconds to deliver consistently high performance and simplified operations for even the most demanding and volatile workloads. Amazon Redshift Serverless lets you focus on using your data to acquire new insights for your business and customers. To learn more about Amazon Redshift Serverless, see What is Amazon Redshift Serverless.","ref":"aws_redshift_serverless.html","title":"aws_redshift_serverless","type":"module"},{"doc":"Converts a recovery point to a snapshot. For more information about recovery points and snapshots, see Working with snapshots and recovery points.","ref":"aws_redshift_serverless.html#convert_recovery_point_to_snapshot/2","title":"aws_redshift_serverless.convert_recovery_point_to_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#convert_recovery_point_to_snapshot/3","title":"aws_redshift_serverless.convert_recovery_point_to_snapshot/3","type":"function"},{"doc":"Creates an Amazon Redshift Serverless managed VPC endpoint.","ref":"aws_redshift_serverless.html#create_endpoint_access/2","title":"aws_redshift_serverless.create_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#create_endpoint_access/3","title":"aws_redshift_serverless.create_endpoint_access/3","type":"function"},{"doc":"Creates a namespace in Amazon Redshift Serverless.","ref":"aws_redshift_serverless.html#create_namespace/2","title":"aws_redshift_serverless.create_namespace/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#create_namespace/3","title":"aws_redshift_serverless.create_namespace/3","type":"function"},{"doc":"Creates a snapshot of all databases in a namespace. For more information about snapshots, see Working with snapshots and recovery points.","ref":"aws_redshift_serverless.html#create_snapshot/2","title":"aws_redshift_serverless.create_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#create_snapshot/3","title":"aws_redshift_serverless.create_snapshot/3","type":"function"},{"doc":"Creates a usage limit for a specified Amazon Redshift Serverless usage type. The usage limit is identified by the returned usage limit identifier.","ref":"aws_redshift_serverless.html#create_usage_limit/2","title":"aws_redshift_serverless.create_usage_limit/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#create_usage_limit/3","title":"aws_redshift_serverless.create_usage_limit/3","type":"function"},{"doc":"Creates an workgroup in Amazon Redshift Serverless.","ref":"aws_redshift_serverless.html#create_workgroup/2","title":"aws_redshift_serverless.create_workgroup/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#create_workgroup/3","title":"aws_redshift_serverless.create_workgroup/3","type":"function"},{"doc":"Deletes an Amazon Redshift Serverless managed VPC endpoint.","ref":"aws_redshift_serverless.html#delete_endpoint_access/2","title":"aws_redshift_serverless.delete_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#delete_endpoint_access/3","title":"aws_redshift_serverless.delete_endpoint_access/3","type":"function"},{"doc":"Deletes a namespace from Amazon Redshift Serverless. Before you delete the namespace, you can create a final snapshot that has all of the data within the namespace.","ref":"aws_redshift_serverless.html#delete_namespace/2","title":"aws_redshift_serverless.delete_namespace/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#delete_namespace/3","title":"aws_redshift_serverless.delete_namespace/3","type":"function"},{"doc":"Deletes the specified resource policy.","ref":"aws_redshift_serverless.html#delete_resource_policy/2","title":"aws_redshift_serverless.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#delete_resource_policy/3","title":"aws_redshift_serverless.delete_resource_policy/3","type":"function"},{"doc":"Deletes a snapshot from Amazon Redshift Serverless.","ref":"aws_redshift_serverless.html#delete_snapshot/2","title":"aws_redshift_serverless.delete_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#delete_snapshot/3","title":"aws_redshift_serverless.delete_snapshot/3","type":"function"},{"doc":"Deletes a usage limit from Amazon Redshift Serverless.","ref":"aws_redshift_serverless.html#delete_usage_limit/2","title":"aws_redshift_serverless.delete_usage_limit/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#delete_usage_limit/3","title":"aws_redshift_serverless.delete_usage_limit/3","type":"function"},{"doc":"Deletes a workgroup.","ref":"aws_redshift_serverless.html#delete_workgroup/2","title":"aws_redshift_serverless.delete_workgroup/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#delete_workgroup/3","title":"aws_redshift_serverless.delete_workgroup/3","type":"function"},{"doc":"Returns a database user name and temporary password with temporary authorization to log in to Amazon Redshift Serverless. By default, the temporary credentials expire in 900 seconds. You can optionally specify a duration between 900 seconds (15 minutes) and 3600 seconds (60 minutes). &lt;p&gt;The Identity and Access Management (IAM) user or role that runs GetCredentials must have an IAM policy attached that allows access to all necessary actions and resources.&lt;/p&gt; &lt;p&gt;If the &lt;code&gt;DbName&lt;/code&gt; parameter is specified, the IAM policy must allow access to the resource dbname for the specified database name.&lt;/p&gt;","ref":"aws_redshift_serverless.html#get_credentials/2","title":"aws_redshift_serverless.get_credentials/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#get_credentials/3","title":"aws_redshift_serverless.get_credentials/3","type":"function"},{"doc":"Returns information, such as the name, about a VPC endpoint.","ref":"aws_redshift_serverless.html#get_endpoint_access/2","title":"aws_redshift_serverless.get_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#get_endpoint_access/3","title":"aws_redshift_serverless.get_endpoint_access/3","type":"function"},{"doc":"Returns information about a namespace in Amazon Redshift Serverless.","ref":"aws_redshift_serverless.html#get_namespace/2","title":"aws_redshift_serverless.get_namespace/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#get_namespace/3","title":"aws_redshift_serverless.get_namespace/3","type":"function"},{"doc":"Returns information about a recovery point.","ref":"aws_redshift_serverless.html#get_recovery_point/2","title":"aws_redshift_serverless.get_recovery_point/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#get_recovery_point/3","title":"aws_redshift_serverless.get_recovery_point/3","type":"function"},{"doc":"Returns a resource policy.","ref":"aws_redshift_serverless.html#get_resource_policy/2","title":"aws_redshift_serverless.get_resource_policy/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#get_resource_policy/3","title":"aws_redshift_serverless.get_resource_policy/3","type":"function"},{"doc":"Returns information about a specific snapshot.","ref":"aws_redshift_serverless.html#get_snapshot/2","title":"aws_redshift_serverless.get_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#get_snapshot/3","title":"aws_redshift_serverless.get_snapshot/3","type":"function"},{"doc":"Returns information about a TableRestoreStatus object.","ref":"aws_redshift_serverless.html#get_table_restore_status/2","title":"aws_redshift_serverless.get_table_restore_status/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#get_table_restore_status/3","title":"aws_redshift_serverless.get_table_restore_status/3","type":"function"},{"doc":"Returns information about a usage limit.","ref":"aws_redshift_serverless.html#get_usage_limit/2","title":"aws_redshift_serverless.get_usage_limit/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#get_usage_limit/3","title":"aws_redshift_serverless.get_usage_limit/3","type":"function"},{"doc":"Returns information about a specific workgroup.","ref":"aws_redshift_serverless.html#get_workgroup/2","title":"aws_redshift_serverless.get_workgroup/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#get_workgroup/3","title":"aws_redshift_serverless.get_workgroup/3","type":"function"},{"doc":"Returns an array of EndpointAccess objects and relevant information.","ref":"aws_redshift_serverless.html#list_endpoint_access/2","title":"aws_redshift_serverless.list_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#list_endpoint_access/3","title":"aws_redshift_serverless.list_endpoint_access/3","type":"function"},{"doc":"Returns information about a list of specified namespaces.","ref":"aws_redshift_serverless.html#list_namespaces/2","title":"aws_redshift_serverless.list_namespaces/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#list_namespaces/3","title":"aws_redshift_serverless.list_namespaces/3","type":"function"},{"doc":"Returns an array of recovery points.","ref":"aws_redshift_serverless.html#list_recovery_points/2","title":"aws_redshift_serverless.list_recovery_points/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#list_recovery_points/3","title":"aws_redshift_serverless.list_recovery_points/3","type":"function"},{"doc":"Returns a list of snapshots.","ref":"aws_redshift_serverless.html#list_snapshots/2","title":"aws_redshift_serverless.list_snapshots/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#list_snapshots/3","title":"aws_redshift_serverless.list_snapshots/3","type":"function"},{"doc":"Returns information about an array of TableRestoreStatus objects.","ref":"aws_redshift_serverless.html#list_table_restore_status/2","title":"aws_redshift_serverless.list_table_restore_status/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#list_table_restore_status/3","title":"aws_redshift_serverless.list_table_restore_status/3","type":"function"},{"doc":"Lists the tags assigned to a resource.","ref":"aws_redshift_serverless.html#list_tags_for_resource/2","title":"aws_redshift_serverless.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#list_tags_for_resource/3","title":"aws_redshift_serverless.list_tags_for_resource/3","type":"function"},{"doc":"Lists all usage limits within Amazon Redshift Serverless.","ref":"aws_redshift_serverless.html#list_usage_limits/2","title":"aws_redshift_serverless.list_usage_limits/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#list_usage_limits/3","title":"aws_redshift_serverless.list_usage_limits/3","type":"function"},{"doc":"Returns information about a list of specified workgroups.","ref":"aws_redshift_serverless.html#list_workgroups/2","title":"aws_redshift_serverless.list_workgroups/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#list_workgroups/3","title":"aws_redshift_serverless.list_workgroups/3","type":"function"},{"doc":"Creates or updates a resource policy. Currently, you can use policies to share snapshots across Amazon Web Services accounts.","ref":"aws_redshift_serverless.html#put_resource_policy/2","title":"aws_redshift_serverless.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#put_resource_policy/3","title":"aws_redshift_serverless.put_resource_policy/3","type":"function"},{"doc":"Restore the data from a recovery point.","ref":"aws_redshift_serverless.html#restore_from_recovery_point/2","title":"aws_redshift_serverless.restore_from_recovery_point/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#restore_from_recovery_point/3","title":"aws_redshift_serverless.restore_from_recovery_point/3","type":"function"},{"doc":"Restores a namespace from a snapshot.","ref":"aws_redshift_serverless.html#restore_from_snapshot/2","title":"aws_redshift_serverless.restore_from_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#restore_from_snapshot/3","title":"aws_redshift_serverless.restore_from_snapshot/3","type":"function"},{"doc":"Restores a table from a snapshot to your Amazon Redshift Serverless instance. You can't use this operation to restore tables with interleaved sort keys.","ref":"aws_redshift_serverless.html#restore_table_from_snapshot/2","title":"aws_redshift_serverless.restore_table_from_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#restore_table_from_snapshot/3","title":"aws_redshift_serverless.restore_table_from_snapshot/3","type":"function"},{"doc":"Assigns one or more tags to a resource.","ref":"aws_redshift_serverless.html#tag_resource/2","title":"aws_redshift_serverless.tag_resource/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#tag_resource/3","title":"aws_redshift_serverless.tag_resource/3","type":"function"},{"doc":"Removes a tag or set of tags from a resource.","ref":"aws_redshift_serverless.html#untag_resource/2","title":"aws_redshift_serverless.untag_resource/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#untag_resource/3","title":"aws_redshift_serverless.untag_resource/3","type":"function"},{"doc":"Updates an Amazon Redshift Serverless managed endpoint.","ref":"aws_redshift_serverless.html#update_endpoint_access/2","title":"aws_redshift_serverless.update_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#update_endpoint_access/3","title":"aws_redshift_serverless.update_endpoint_access/3","type":"function"},{"doc":"Updates a namespace with the specified settings. Unless required, you can't update multiple parameters in one request. For example, you must specify both adminUsername and adminUserPassword to update either field, but you can't update both kmsKeyId and logExports in a single request.","ref":"aws_redshift_serverless.html#update_namespace/2","title":"aws_redshift_serverless.update_namespace/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#update_namespace/3","title":"aws_redshift_serverless.update_namespace/3","type":"function"},{"doc":"Updates a snapshot.","ref":"aws_redshift_serverless.html#update_snapshot/2","title":"aws_redshift_serverless.update_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#update_snapshot/3","title":"aws_redshift_serverless.update_snapshot/3","type":"function"},{"doc":"Update a usage limit in Amazon Redshift Serverless. You can't update the usage type or period of a usage limit.","ref":"aws_redshift_serverless.html#update_usage_limit/2","title":"aws_redshift_serverless.update_usage_limit/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#update_usage_limit/3","title":"aws_redshift_serverless.update_usage_limit/3","type":"function"},{"doc":"Updates a workgroup with the specified configuration settings. You can't update multiple parameters in one request. For example, you can update baseCapacity or port in a single request, but you can't update both in the same request.","ref":"aws_redshift_serverless.html#update_workgroup/2","title":"aws_redshift_serverless.update_workgroup/2","type":"function"},{"doc":"","ref":"aws_redshift_serverless.html#update_workgroup/3","title":"aws_redshift_serverless.update_workgroup/3","type":"function"},{"doc":"This is prerelease documentation for Amazon Redshift Serverless, which is in preview release. The documentation and the feature are both subject to change. We recommend that you use this feature only in test environments, and not in production environments. For preview terms and conditions, see Beta Service Participation in Amazon Web Services Service Terms. This is an interface reference for Amazon Redshift Serverless. It contains documentation for one of the programming or command line interfaces you can use to manage Amazon Redshift Serverless. Amazon Redshift Serverless automatically provisions data warehouse capacity and intelligently scales the underlying resources based on workload demands. Amazon Redshift Serverless adjusts capacity in seconds to deliver consistently high performance and simplified operations for even the most demanding and volatile workloads. Amazon Redshift Serverless lets you focus on using your data to acquire new insights for your business and customers. To learn more about Amazon Redshift Serverless, see What is Amazon Redshift Serverless.","ref":"aws_redshiftserverless.html","title":"aws_redshiftserverless","type":"module"},{"doc":"Converts a recovery point to a snapshot. For more information about recovery points and snapshots, see Working with snapshots and recovery points.","ref":"aws_redshiftserverless.html#convert_recovery_point_to_snapshot/2","title":"aws_redshiftserverless.convert_recovery_point_to_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#convert_recovery_point_to_snapshot/3","title":"aws_redshiftserverless.convert_recovery_point_to_snapshot/3","type":"function"},{"doc":"Creates an Amazon Redshift Serverless managed VPC endpoint.","ref":"aws_redshiftserverless.html#create_endpoint_access/2","title":"aws_redshiftserverless.create_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#create_endpoint_access/3","title":"aws_redshiftserverless.create_endpoint_access/3","type":"function"},{"doc":"Creates a namespace in Amazon Redshift Serverless.","ref":"aws_redshiftserverless.html#create_namespace/2","title":"aws_redshiftserverless.create_namespace/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#create_namespace/3","title":"aws_redshiftserverless.create_namespace/3","type":"function"},{"doc":"Creates a snapshot of all databases in a namespace. For more information about snapshots, see Working with snapshots and recovery points.","ref":"aws_redshiftserverless.html#create_snapshot/2","title":"aws_redshiftserverless.create_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#create_snapshot/3","title":"aws_redshiftserverless.create_snapshot/3","type":"function"},{"doc":"Creates a usage limit for a specified Amazon Redshift Serverless usage type. The usage limit is identified by the returned usage limit identifier.","ref":"aws_redshiftserverless.html#create_usage_limit/2","title":"aws_redshiftserverless.create_usage_limit/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#create_usage_limit/3","title":"aws_redshiftserverless.create_usage_limit/3","type":"function"},{"doc":"Creates an workgroup in Amazon Redshift Serverless.","ref":"aws_redshiftserverless.html#create_workgroup/2","title":"aws_redshiftserverless.create_workgroup/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#create_workgroup/3","title":"aws_redshiftserverless.create_workgroup/3","type":"function"},{"doc":"Deletes an Amazon Redshift Serverless managed VPC endpoint.","ref":"aws_redshiftserverless.html#delete_endpoint_access/2","title":"aws_redshiftserverless.delete_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#delete_endpoint_access/3","title":"aws_redshiftserverless.delete_endpoint_access/3","type":"function"},{"doc":"Deletes a namespace from Amazon Redshift Serverless. Before you delete the namespace, you can create a final snapshot that has all of the data within the namespace.","ref":"aws_redshiftserverless.html#delete_namespace/2","title":"aws_redshiftserverless.delete_namespace/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#delete_namespace/3","title":"aws_redshiftserverless.delete_namespace/3","type":"function"},{"doc":"Deletes the specified resource policy.","ref":"aws_redshiftserverless.html#delete_resource_policy/2","title":"aws_redshiftserverless.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#delete_resource_policy/3","title":"aws_redshiftserverless.delete_resource_policy/3","type":"function"},{"doc":"Deletes a snapshot from Amazon Redshift Serverless.","ref":"aws_redshiftserverless.html#delete_snapshot/2","title":"aws_redshiftserverless.delete_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#delete_snapshot/3","title":"aws_redshiftserverless.delete_snapshot/3","type":"function"},{"doc":"Deletes a usage limit from Amazon Redshift Serverless.","ref":"aws_redshiftserverless.html#delete_usage_limit/2","title":"aws_redshiftserverless.delete_usage_limit/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#delete_usage_limit/3","title":"aws_redshiftserverless.delete_usage_limit/3","type":"function"},{"doc":"Deletes a workgroup.","ref":"aws_redshiftserverless.html#delete_workgroup/2","title":"aws_redshiftserverless.delete_workgroup/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#delete_workgroup/3","title":"aws_redshiftserverless.delete_workgroup/3","type":"function"},{"doc":"Returns a database user name and temporary password with temporary authorization to log in to Amazon Redshift Serverless. By default, the temporary credentials expire in 900 seconds. You can optionally specify a duration between 900 seconds (15 minutes) and 3600 seconds (60 minutes). The Identity and Access Management (IAM) user or role that runs GetCredentials must have an IAM policy attached that allows access to all necessary actions and resources. If the DbName parameter is specified, the IAM policy must allow access to the resource dbname for the specified database name.","ref":"aws_redshiftserverless.html#get_credentials/2","title":"aws_redshiftserverless.get_credentials/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#get_credentials/3","title":"aws_redshiftserverless.get_credentials/3","type":"function"},{"doc":"Returns information, such as the name, about a VPC endpoint.","ref":"aws_redshiftserverless.html#get_endpoint_access/2","title":"aws_redshiftserverless.get_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#get_endpoint_access/3","title":"aws_redshiftserverless.get_endpoint_access/3","type":"function"},{"doc":"Returns information about a namespace in Amazon Redshift Serverless.","ref":"aws_redshiftserverless.html#get_namespace/2","title":"aws_redshiftserverless.get_namespace/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#get_namespace/3","title":"aws_redshiftserverless.get_namespace/3","type":"function"},{"doc":"Returns information about a recovery point.","ref":"aws_redshiftserverless.html#get_recovery_point/2","title":"aws_redshiftserverless.get_recovery_point/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#get_recovery_point/3","title":"aws_redshiftserverless.get_recovery_point/3","type":"function"},{"doc":"Returns a resource policy.","ref":"aws_redshiftserverless.html#get_resource_policy/2","title":"aws_redshiftserverless.get_resource_policy/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#get_resource_policy/3","title":"aws_redshiftserverless.get_resource_policy/3","type":"function"},{"doc":"Returns information about a specific snapshot.","ref":"aws_redshiftserverless.html#get_snapshot/2","title":"aws_redshiftserverless.get_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#get_snapshot/3","title":"aws_redshiftserverless.get_snapshot/3","type":"function"},{"doc":"Returns information about a usage limit.","ref":"aws_redshiftserverless.html#get_usage_limit/2","title":"aws_redshiftserverless.get_usage_limit/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#get_usage_limit/3","title":"aws_redshiftserverless.get_usage_limit/3","type":"function"},{"doc":"Returns information about a specific workgroup.","ref":"aws_redshiftserverless.html#get_workgroup/2","title":"aws_redshiftserverless.get_workgroup/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#get_workgroup/3","title":"aws_redshiftserverless.get_workgroup/3","type":"function"},{"doc":"Returns an array of EndpointAccess objects and relevant information.","ref":"aws_redshiftserverless.html#list_endpoint_access/2","title":"aws_redshiftserverless.list_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#list_endpoint_access/3","title":"aws_redshiftserverless.list_endpoint_access/3","type":"function"},{"doc":"Returns information about a list of specified namespaces.","ref":"aws_redshiftserverless.html#list_namespaces/2","title":"aws_redshiftserverless.list_namespaces/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#list_namespaces/3","title":"aws_redshiftserverless.list_namespaces/3","type":"function"},{"doc":"Returns an array of recovery points.","ref":"aws_redshiftserverless.html#list_recovery_points/2","title":"aws_redshiftserverless.list_recovery_points/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#list_recovery_points/3","title":"aws_redshiftserverless.list_recovery_points/3","type":"function"},{"doc":"Returns a list of snapshots.","ref":"aws_redshiftserverless.html#list_snapshots/2","title":"aws_redshiftserverless.list_snapshots/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#list_snapshots/3","title":"aws_redshiftserverless.list_snapshots/3","type":"function"},{"doc":"Lists the tags assigned to a resource.","ref":"aws_redshiftserverless.html#list_tags_for_resource/2","title":"aws_redshiftserverless.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#list_tags_for_resource/3","title":"aws_redshiftserverless.list_tags_for_resource/3","type":"function"},{"doc":"Lists all usage limits within Amazon Redshift Serverless.","ref":"aws_redshiftserverless.html#list_usage_limits/2","title":"aws_redshiftserverless.list_usage_limits/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#list_usage_limits/3","title":"aws_redshiftserverless.list_usage_limits/3","type":"function"},{"doc":"Returns information about a list of specified workgroups.","ref":"aws_redshiftserverless.html#list_workgroups/2","title":"aws_redshiftserverless.list_workgroups/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#list_workgroups/3","title":"aws_redshiftserverless.list_workgroups/3","type":"function"},{"doc":"Creates or updates a resource policy. Currently, you can use policies to share snapshots across Amazon Web Services accounts.","ref":"aws_redshiftserverless.html#put_resource_policy/2","title":"aws_redshiftserverless.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#put_resource_policy/3","title":"aws_redshiftserverless.put_resource_policy/3","type":"function"},{"doc":"Restore the data from a recovery point.","ref":"aws_redshiftserverless.html#restore_from_recovery_point/2","title":"aws_redshiftserverless.restore_from_recovery_point/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#restore_from_recovery_point/3","title":"aws_redshiftserverless.restore_from_recovery_point/3","type":"function"},{"doc":"Restores a namespace from a snapshot.","ref":"aws_redshiftserverless.html#restore_from_snapshot/2","title":"aws_redshiftserverless.restore_from_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#restore_from_snapshot/3","title":"aws_redshiftserverless.restore_from_snapshot/3","type":"function"},{"doc":"Assigns one or more tags to a resource.","ref":"aws_redshiftserverless.html#tag_resource/2","title":"aws_redshiftserverless.tag_resource/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#tag_resource/3","title":"aws_redshiftserverless.tag_resource/3","type":"function"},{"doc":"Removes a tag or set of tags from a resource.","ref":"aws_redshiftserverless.html#untag_resource/2","title":"aws_redshiftserverless.untag_resource/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#untag_resource/3","title":"aws_redshiftserverless.untag_resource/3","type":"function"},{"doc":"Updates an Amazon Redshift Serverless managed endpoint.","ref":"aws_redshiftserverless.html#update_endpoint_access/2","title":"aws_redshiftserverless.update_endpoint_access/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#update_endpoint_access/3","title":"aws_redshiftserverless.update_endpoint_access/3","type":"function"},{"doc":"Updates a namespace with the specified settings.","ref":"aws_redshiftserverless.html#update_namespace/2","title":"aws_redshiftserverless.update_namespace/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#update_namespace/3","title":"aws_redshiftserverless.update_namespace/3","type":"function"},{"doc":"Updates a snapshot.","ref":"aws_redshiftserverless.html#update_snapshot/2","title":"aws_redshiftserverless.update_snapshot/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#update_snapshot/3","title":"aws_redshiftserverless.update_snapshot/3","type":"function"},{"doc":"Update a usage limit in Amazon Redshift Serverless. You can't update the usage type or period of a usage limit.","ref":"aws_redshiftserverless.html#update_usage_limit/2","title":"aws_redshiftserverless.update_usage_limit/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#update_usage_limit/3","title":"aws_redshiftserverless.update_usage_limit/3","type":"function"},{"doc":"Updates a workgroup with the specified configuration settings.","ref":"aws_redshiftserverless.html#update_workgroup/2","title":"aws_redshiftserverless.update_workgroup/2","type":"function"},{"doc":"","ref":"aws_redshiftserverless.html#update_workgroup/3","title":"aws_redshiftserverless.update_workgroup/3","type":"function"},{"doc":"This is the API Reference for Amazon Rekognition Image, Amazon Rekognition Custom Labels, Amazon Rekognition Stored Video, Amazon Rekognition Streaming Video. It provides descriptions of actions, data types, common parameters, and common errors. Amazon Rekognition Image CompareFaces CreateCollection DeleteCollection DeleteFaces DescribeCollection DetectFaces DetectLabels DetectModerationLabels DetectProtectiveEquipment DetectText GetCelebrityInfo IndexFaces ListCollections ListFaces RecognizeCelebrities SearchFaces SearchFacesByImage Amazon Rekognition Custom Labels CopyProjectVersion CreateDataset CreateProject CreateProjectVersion DeleteDataset DeleteProject DeleteProjectPolicy DeleteProjectVersion DescribeDataset DescribeProjects DescribeProjectVersions DetectCustomLabels DistributeDatasetEntries ListDatasetEntries ListDatasetLabels ListProjectPolicies PutProjectPolicy StartProjectVersion StopProjectVersion UpdateDatasetEntries Amazon Rekognition Video Stored Video GetCelebrityRecognition GetContentModeration GetFaceDetection GetFaceSearch GetLabelDetection GetPersonTracking GetSegmentDetection GetTextDetection StartCelebrityRecognition StartContentModeration StartFaceDetection StartFaceSearch StartLabelDetection StartPersonTracking StartSegmentDetection StartTextDetection Amazon Rekognition Video Streaming Video CreateStreamProcessor DeleteStreamProcessor DescribeStreamProcessor ListStreamProcessors StartStreamProcessor StopStreamProcessor UpdateStreamProcessor","ref":"aws_rekognition.html","title":"aws_rekognition","type":"module"},{"doc":"Compares a face in the source input image with each of the 100 largest faces detected in the target input image. If the source image contains multiple faces, the service detects the largest face and compares it with each face detected in the target image. CompareFaces uses machine learning algorithms, which are probabilistic. A false negative is an incorrect prediction that a face in the target image has a low similarity confidence score when compared to the face in the source image. To reduce the probability of false negatives, we recommend that you compare the target image against multiple source images. If you plan to use CompareFaces to make a decision that impacts an individual's rights, privacy, or access to services, we recommend that you pass the result to a human for review and further validation before taking action. You pass the input and target images either as base64-encoded image bytes or as references to images in an Amazon S3 bucket. If you use the AWS CLI to call Amazon Rekognition operations, passing image bytes isn't supported. The image must be formatted as a PNG or JPEG file. In response, the operation returns an array of face matches ordered by similarity score in descending order. For each face match, the response provides a bounding box of the face, facial landmarks, pose details (pitch, roll, and yaw), quality (brightness and sharpness), and confidence value (indicating the level of confidence that the bounding box contains a face). The response also provides a similarity score, which indicates how closely the faces match. By default, only faces with a similarity score of greater than or equal to 80% are returned in the response. You can change this value by specifying the SimilarityThreshold parameter. CompareFaces also returns an array of faces that don't match the source image. For each face, it returns a bounding box, confidence value, landmarks, pose details, and quality. The response also returns information about the face in the source image, including the bounding box of the face and confidence value. The QualityFilter input parameter allows you to filter out detected faces that don’t meet a required quality bar. The quality bar is based on a variety of common use cases. Use QualityFilter to set the quality bar by specifying LOW , MEDIUM , or HIGH . If you do not want to filter detected faces, specify NONE . The default value is NONE . If the image doesn't contain Exif metadata, CompareFaces returns orientation information for the source and target images. Use these values to display the images with the correct image orientation. If no faces are detected in the source or target images, CompareFaces returns an InvalidParameterException error. This is a stateless API operation. That is, data returned by this operation doesn't persist. For an example, see Comparing Faces in Images in the Amazon Rekognition Developer Guide. This operation requires permissions to perform the rekognition:CompareFaces action.","ref":"aws_rekognition.html#compare_faces/2","title":"aws_rekognition.compare_faces/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#compare_faces/3","title":"aws_rekognition.compare_faces/3","type":"function"},{"doc":"Copies a version of an Amazon Rekognition Custom Labels model from a source project to a destination project. The source and destination projects can be in different AWS accounts but must be in the same AWS Region. You can't copy a model to another AWS service. To copy a model version to a different AWS account, you need to create a resource-based policy known as a project policy. You attach the project policy to the source project by calling PutProjectPolicy . The project policy gives permission to copy the model version from a trusting AWS account to a trusted account. For more information creating and attaching a project policy, see Attaching a project policy (SDK) in the Amazon Rekognition Custom Labels Developer Guide. If you are copying a model version to a project in the same AWS account, you don't need to create a project policy. To copy a model, the destination project, source project, and source model version must already exist. Copying a model version takes a while to complete. To get the current status, call DescribeProjectVersions and check the value of Status in the ProjectVersionDescription object. The copy operation has finished when the value of Status is COPYING_COMPLETED .","ref":"aws_rekognition.html#copy_project_version/2","title":"aws_rekognition.copy_project_version/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#copy_project_version/3","title":"aws_rekognition.copy_project_version/3","type":"function"},{"doc":"Creates a collection in an AWS Region. You can add faces to the collection using the IndexFaces operation. For example, you might create collections, one for each of your application users. A user can then index faces using the IndexFaces operation and persist results in a specific collection. Then, a user can search the collection for faces in the user-specific container. When you create a collection, it is associated with the latest version of the face model version. Collection names are case-sensitive. This operation requires permissions to perform the rekognition:CreateCollection action. If you want to tag your collection, you also require permission to perform the rekognition:TagResource operation.","ref":"aws_rekognition.html#create_collection/2","title":"aws_rekognition.create_collection/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#create_collection/3","title":"aws_rekognition.create_collection/3","type":"function"},{"doc":"Creates a new Amazon Rekognition Custom Labels dataset. You can create a dataset by using an Amazon Sagemaker format manifest file or by copying an existing Amazon Rekognition Custom Labels dataset. To create a training dataset for a project, specify train for the value of DatasetType . To create the test dataset for a project, specify test for the value of DatasetType . The response from CreateDataset is the Amazon Resource Name (ARN) for the dataset. Creating a dataset takes a while to complete. Use DescribeDataset to check the current status. The dataset created successfully if the value of Status is CREATE_COMPLETE . To check if any non-terminal errors occurred, call ListDatasetEntries and check for the presence of errors lists in the JSON Lines. Dataset creation fails if a terminal error occurs ( Status = CREATE_FAILED ). Currently, you can't access the terminal error information. For more information, see Creating dataset in the Amazon Rekognition Custom Labels Developer Guide. This operation requires permissions to perform the rekognition:CreateDataset action. If you want to copy an existing dataset, you also require permission to perform the rekognition:ListDatasetEntries action.","ref":"aws_rekognition.html#create_dataset/2","title":"aws_rekognition.create_dataset/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#create_dataset/3","title":"aws_rekognition.create_dataset/3","type":"function"},{"doc":"Creates a new Amazon Rekognition Custom Labels project. A project is a group of resources (datasets, model versions) that you use to create and manage Amazon Rekognition Custom Labels models. This operation requires permissions to perform the rekognition:CreateProject action.","ref":"aws_rekognition.html#create_project/2","title":"aws_rekognition.create_project/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#create_project/3","title":"aws_rekognition.create_project/3","type":"function"},{"doc":"Creates a new version of a model and begins training. Models are managed as part of an Amazon Rekognition Custom Labels project. The response from CreateProjectVersion is an Amazon Resource Name (ARN) for the version of the model. Training uses the training and test datasets associated with the project. For more information, see Creating training and test dataset in the Amazon Rekognition Custom Labels Developer Guide. You can train a model in a project that doesn't have associated datasets by specifying manifest files in the TrainingData and TestingData fields. If you open the console after training a model with manifest files, Amazon Rekognition Custom Labels creates the datasets for you using the most recent manifest files. You can no longer train a model version for the project by specifying manifest files. Instead of training with a project without associated datasets, we recommend that you use the manifest files to create training and test datasets for the project. Training takes a while to complete. You can get the current status by calling DescribeProjectVersions . Training completed successfully if the value of the Status field is TRAINING_COMPLETED . If training fails, see Debugging a failed model training in the Amazon Rekognition Custom Labels developer guide. Once training has successfully completed, call DescribeProjectVersions to get the training results and evaluate the model. For more information, see Improving a trained Amazon Rekognition Custom Labels model in the Amazon Rekognition Custom Labels developers guide. After evaluating the model, you start the model by calling StartProjectVersion . This operation requires permissions to perform the rekognition:CreateProjectVersion action.","ref":"aws_rekognition.html#create_project_version/2","title":"aws_rekognition.create_project_version/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#create_project_version/3","title":"aws_rekognition.create_project_version/3","type":"function"},{"doc":"Creates an Amazon Rekognition stream processor that you can use to detect and recognize faces or to detect labels in a streaming video. Amazon Rekognition Video is a consumer of live video from Amazon Kinesis Video Streams. There are two different settings for stream processors in Amazon Rekognition: detecting faces and detecting labels. If you are creating a stream processor for detecting faces, you provide as input a Kinesis video stream ( Input ) and a Kinesis data stream ( Output ) stream. You also specify the face recognition criteria in Settings . For example, the collection containing faces that you want to recognize. After you have finished analyzing a streaming video, use StopStreamProcessor to stop processing. If you are creating a stream processor to detect labels, you provide as input a Kinesis video stream ( Input ), Amazon S3 bucket information ( Output ), and an Amazon SNS topic ARN ( NotificationChannel ). You can also provide a KMS key ID to encrypt the data sent to your Amazon S3 bucket. You specify what you want to detect in ConnectedHomeSettings , such as people, packages and people, or pets, people, and packages. You can also specify where in the frame you want Amazon Rekognition to monitor with RegionsOfInterest . When you run the StartStreamProcessor operation on a label detection stream processor, you input start and stop information to determine the length of the processing time. Use Name to assign an identifier for the stream processor. You use Name to manage the stream processor. For example, you can start processing the source video by calling StartStreamProcessor with the Name field. This operation requires permissions to perform the rekognition:CreateStreamProcessor action. If you want to tag your stream processor, you also require permission to perform the rekognition:TagResource operation.","ref":"aws_rekognition.html#create_stream_processor/2","title":"aws_rekognition.create_stream_processor/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#create_stream_processor/3","title":"aws_rekognition.create_stream_processor/3","type":"function"},{"doc":"Deletes the specified collection. Note that this operation removes all faces in the collection. For an example, see Deleting a collection. This operation requires permissions to perform the rekognition:DeleteCollection action.","ref":"aws_rekognition.html#delete_collection/2","title":"aws_rekognition.delete_collection/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#delete_collection/3","title":"aws_rekognition.delete_collection/3","type":"function"},{"doc":"Deletes an existing Amazon Rekognition Custom Labels dataset. Deleting a dataset might take while. Use DescribeDataset to check the current status. The dataset is still deleting if the value of Status is DELETE_IN_PROGRESS . If you try to access the dataset after it is deleted, you get a ResourceNotFoundException exception. You can't delete a dataset while it is creating ( Status = CREATE_IN_PROGRESS ) or if the dataset is updating ( Status = UPDATE_IN_PROGRESS ). This operation requires permissions to perform the rekognition:DeleteDataset action.","ref":"aws_rekognition.html#delete_dataset/2","title":"aws_rekognition.delete_dataset/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#delete_dataset/3","title":"aws_rekognition.delete_dataset/3","type":"function"},{"doc":"Deletes faces from a collection. You specify a collection ID and an array of face IDs to remove from the collection. This operation requires permissions to perform the rekognition:DeleteFaces action.","ref":"aws_rekognition.html#delete_faces/2","title":"aws_rekognition.delete_faces/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#delete_faces/3","title":"aws_rekognition.delete_faces/3","type":"function"},{"doc":"Deletes an Amazon Rekognition Custom Labels project. To delete a project you must first delete all models associated with the project. To delete a model, see DeleteProjectVersion . DeleteProject is an asynchronous operation. To check if the project is deleted, call DescribeProjects . The project is deleted when the project no longer appears in the response. Be aware that deleting a given project will also delete any ProjectPolicies associated with that project. This operation requires permissions to perform the rekognition:DeleteProject action.","ref":"aws_rekognition.html#delete_project/2","title":"aws_rekognition.delete_project/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#delete_project/3","title":"aws_rekognition.delete_project/3","type":"function"},{"doc":"Deletes an existing project policy. To get a list of project policies attached to a project, call ListProjectPolicies . To attach a project policy to a project, call PutProjectPolicy .","ref":"aws_rekognition.html#delete_project_policy/2","title":"aws_rekognition.delete_project_policy/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#delete_project_policy/3","title":"aws_rekognition.delete_project_policy/3","type":"function"},{"doc":"Deletes an Amazon Rekognition Custom Labels model. You can't delete a model if it is running or if it is training. To check the status of a model, use the Status field returned from DescribeProjectVersions . To stop a running model call StopProjectVersion . If the model is training, wait until it finishes. This operation requires permissions to perform the rekognition:DeleteProjectVersion action.","ref":"aws_rekognition.html#delete_project_version/2","title":"aws_rekognition.delete_project_version/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#delete_project_version/3","title":"aws_rekognition.delete_project_version/3","type":"function"},{"doc":"Deletes the stream processor identified by Name . You assign the value for Name when you create the stream processor with CreateStreamProcessor . You might not be able to use the same name for a stream processor for a few seconds after calling DeleteStreamProcessor .","ref":"aws_rekognition.html#delete_stream_processor/2","title":"aws_rekognition.delete_stream_processor/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#delete_stream_processor/3","title":"aws_rekognition.delete_stream_processor/3","type":"function"},{"doc":"Describes the specified collection. You can use DescribeCollection to get information, such as the number of faces indexed into a collection and the version of the model used by the collection for face detection. For more information, see Describing a Collection in the Amazon Rekognition Developer Guide.","ref":"aws_rekognition.html#describe_collection/2","title":"aws_rekognition.describe_collection/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#describe_collection/3","title":"aws_rekognition.describe_collection/3","type":"function"},{"doc":"Describes an Amazon Rekognition Custom Labels dataset. You can get information such as the current status of a dataset and statistics about the images and labels in a dataset. This operation requires permissions to perform the rekognition:DescribeDataset action.","ref":"aws_rekognition.html#describe_dataset/2","title":"aws_rekognition.describe_dataset/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#describe_dataset/3","title":"aws_rekognition.describe_dataset/3","type":"function"},{"doc":"Lists and describes the versions of a model in an Amazon Rekognition Custom Labels project. You can specify up to 10 model versions in ProjectVersionArns . If you don't specify a value, descriptions for all model versions in the project are returned. This operation requires permissions to perform the rekognition:DescribeProjectVersions action.","ref":"aws_rekognition.html#describe_project_versions/2","title":"aws_rekognition.describe_project_versions/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#describe_project_versions/3","title":"aws_rekognition.describe_project_versions/3","type":"function"},{"doc":"Gets information about your Amazon Rekognition Custom Labels projects. This operation requires permissions to perform the rekognition:DescribeProjects action.","ref":"aws_rekognition.html#describe_projects/2","title":"aws_rekognition.describe_projects/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#describe_projects/3","title":"aws_rekognition.describe_projects/3","type":"function"},{"doc":"Provides information about a stream processor created by CreateStreamProcessor . You can get information about the input and output streams, the input parameters for the face recognition being performed, and the current status of the stream processor.","ref":"aws_rekognition.html#describe_stream_processor/2","title":"aws_rekognition.describe_stream_processor/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#describe_stream_processor/3","title":"aws_rekognition.describe_stream_processor/3","type":"function"},{"doc":"Detects custom labels in a supplied image by using an Amazon Rekognition Custom Labels model. You specify which version of a model version to use by using the ProjectVersionArn input parameter. You pass the input image as base64-encoded image bytes or as a reference to an image in an Amazon S3 bucket. If you use the AWS CLI to call Amazon Rekognition operations, passing image bytes is not supported. The image must be either a PNG or JPEG formatted file. For each object that the model version detects on an image, the API returns a ( CustomLabel ) object in an array ( CustomLabels ). Each CustomLabel object provides the label name ( Name ), the level of confidence that the image contains the object ( Confidence ), and object location information, if it exists, for the label on the image ( Geometry ). To filter labels that are returned, specify a value for MinConfidence . DetectCustomLabelsLabels only returns labels with a confidence that's higher than the specified value. The value of MinConfidence maps to the assumed threshold values created during training. For more information, see Assumed threshold in the Amazon Rekognition Custom Labels Developer Guide. Amazon Rekognition Custom Labels metrics expresses an assumed threshold as a floating point value between 0-1. The range of MinConfidence normalizes the threshold value to a percentage value (0-100). Confidence responses from DetectCustomLabels are also returned as a percentage. You can use MinConfidence to change the precision and recall or your model. For more information, see Analyzing an image in the Amazon Rekognition Custom Labels Developer Guide. If you don't specify a value for MinConfidence , DetectCustomLabels returns labels based on the assumed threshold of each label. This is a stateless API operation. That is, the operation does not persist any data. This operation requires permissions to perform the rekognition:DetectCustomLabels action. For more information, see Analyzing an image in the Amazon Rekognition Custom Labels Developer Guide.","ref":"aws_rekognition.html#detect_custom_labels/2","title":"aws_rekognition.detect_custom_labels/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#detect_custom_labels/3","title":"aws_rekognition.detect_custom_labels/3","type":"function"},{"doc":"Detects faces within an image that is provided as input. DetectFaces detects the 100 largest faces in the image. For each face detected, the operation returns face details. These details include a bounding box of the face, a confidence value (that the bounding box contains a face), and a fixed set of attributes such as facial landmarks (for example, coordinates of eye and mouth), presence of beard, sunglasses, and so on. The face-detection algorithm is most effective on frontal faces. For non-frontal or obscured faces, the algorithm might not detect the faces or might detect faces with lower confidence. You pass the input image either as base64-encoded image bytes or as a reference to an image in an Amazon S3 bucket. If you use the AWS CLI to call Amazon Rekognition operations, passing image bytes is not supported. The image must be either a PNG or JPEG formatted file. This is a stateless API operation. That is, the operation does not persist any data. This operation requires permissions to perform the rekognition:DetectFaces action.","ref":"aws_rekognition.html#detect_faces/2","title":"aws_rekognition.detect_faces/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#detect_faces/3","title":"aws_rekognition.detect_faces/3","type":"function"},{"doc":"Detects instances of real-world entities within an image (JPEG or PNG) provided as input. This includes objects like flower, tree, and table; events like wedding, graduation, and birthday party; and concepts like landscape, evening, and nature. For an example, see Analyzing images stored in an Amazon S3 bucket in the Amazon Rekognition Developer Guide. You pass the input image as base64-encoded image bytes or as a reference to an image in an Amazon S3 bucket. If you use the AWS CLI to call Amazon Rekognition operations, passing image bytes is not supported. The image must be either a PNG or JPEG formatted file. Optional Parameters You can specify one or both of the GENERAL_LABELS and IMAGE_PROPERTIES feature types when calling the DetectLabels API. Including GENERAL_LABELS will ensure the response includes the labels detected in the input image, while including IMAGE_PROPERTIES will ensure the response includes information about the image quality and color. When using GENERAL_LABELS and/or IMAGE_PROPERTIES you can provide filtering criteria to the Settings parameter. You can filter with sets of individual labels or with label categories. You can specify inclusive filters, exclusive filters, or a combination of inclusive and exclusive filters. For more information on filtering see Detecting Labels in an Image. You can specify MinConfidence to control the confidence threshold for the labels returned. The default is 55%. You can also add the MaxLabels parameter to limit the number of labels returned. The default and upper limit is 1000 labels. Response Elements For each object, scene, and concept the API returns one or more labels. The API returns the following types of information regarding labels: Name - The name of the detected label. Confidence - The level of confidence in the label assigned to a detected object. Parents - The ancestor labels for a detected label. DetectLabels returns a hierarchical taxonomy of detected labels. For example, a detected car might be assigned the label car. The label car has two parent labels: Vehicle (its parent) and Transportation (its grandparent). The response includes the all ancestors for a label, where every ancestor is a unique label. In the previous example, Car, Vehicle, and Transportation are returned as unique labels in the response. Aliases - Possible Aliases for the label. Categories - The label categories that the detected label belongs to. BoundingBox — Bounding boxes are described for all instances of detected common object labels, returned in an array of Instance objects. An Instance object contains a BoundingBox object, describing the location of the label on the input image. It also includes the confidence for the accuracy of the detected bounding box. The API returns the following information regarding the image, as part of the ImageProperties structure: Quality - Information about the Sharpness, Brightness, and Contrast of the input image, scored between 0 to 100. Image quality is returned for the entire image, as well as the background and the foreground. Dominant Color - An array of the dominant colors in the image. Foreground - Information about the sharpness, brightness, and dominant colors of the input image’s foreground. Background - Information about the sharpness, brightness, and dominant colors of the input image’s background. The list of returned labels will include at least one label for every detected object, along with information about that label. In the following example, suppose the input image has a lighthouse, the sea, and a rock. The response includes all three labels, one for each object, as well as the confidence in the label: {Name: lighthouse, Confidence: 98.4629} {Name: rock,Confidence: 79.2097} {Name: sea,Confidence: 75.061} The list of labels can include multiple labels for the same object. For example, if the input image shows a flower (for example, a tulip), the operation might return the following three labels. {Name: flower,Confidence: 99.0562} {Name: plant,Confidence: 99.0562} {Name: tulip,Confidence: 99.0562} In this example, the detection algorithm more precisely identifies the flower as a tulip. If the object detected is a person, the operation doesn't provide the same facial details that the DetectFaces operation provides. This is a stateless API operation. That is, the operation does not persist any data. This operation requires permissions to perform the rekognition:DetectLabels action.","ref":"aws_rekognition.html#detect_labels/2","title":"aws_rekognition.detect_labels/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#detect_labels/3","title":"aws_rekognition.detect_labels/3","type":"function"},{"doc":"Detects unsafe content in a specified JPEG or PNG format image. Use DetectModerationLabels to moderate images depending on your requirements. For example, you might want to filter images that contain nudity, but not images containing suggestive content. To filter images, use the labels returned by DetectModerationLabels to determine which types of content are appropriate. For information about moderation labels, see Detecting Unsafe Content in the Amazon Rekognition Developer Guide. You pass the input image either as base64-encoded image bytes or as a reference to an image in an Amazon S3 bucket. If you use the AWS CLI to call Amazon Rekognition operations, passing image bytes is not supported. The image must be either a PNG or JPEG formatted file.","ref":"aws_rekognition.html#detect_moderation_labels/2","title":"aws_rekognition.detect_moderation_labels/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#detect_moderation_labels/3","title":"aws_rekognition.detect_moderation_labels/3","type":"function"},{"doc":"Detects Personal Protective Equipment (PPE) worn by people detected in an image. Amazon Rekognition can detect the following types of PPE. Face cover Hand cover Head cover You pass the input image as base64-encoded image bytes or as a reference to an image in an Amazon S3 bucket. The image must be either a PNG or JPG formatted file. DetectProtectiveEquipment detects PPE worn by up to 15 persons detected in an image. For each person detected in the image the API returns an array of body parts (face, head, left-hand, right-hand). For each body part, an array of detected items of PPE is returned, including an indicator of whether or not the PPE covers the body part. The API returns the confidence it has in each detection (person, PPE, body part and body part coverage). It also returns a bounding box ( BoundingBox ) for each detected person and each detected item of PPE. You can optionally request a summary of detected PPE items with the SummarizationAttributes input parameter. The summary provides the following information. The persons detected as wearing all of the types of PPE that you specify. The persons detected as not wearing all of the types PPE that you specify. The persons detected where PPE adornment could not be determined. This is a stateless API operation. That is, the operation does not persist any data. This operation requires permissions to perform the rekognition:DetectProtectiveEquipment action.","ref":"aws_rekognition.html#detect_protective_equipment/2","title":"aws_rekognition.detect_protective_equipment/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#detect_protective_equipment/3","title":"aws_rekognition.detect_protective_equipment/3","type":"function"},{"doc":"Detects text in the input image and converts it into machine-readable text. Pass the input image as base64-encoded image bytes or as a reference to an image in an Amazon S3 bucket. If you use the AWS CLI to call Amazon Rekognition operations, you must pass it as a reference to an image in an Amazon S3 bucket. For the AWS CLI, passing image bytes is not supported. The image must be either a .png or .jpeg formatted file. The DetectText operation returns text in an array of TextDetection elements, TextDetections . Each TextDetection element provides information about a single word or line of text that was detected in the image. A word is one or more script characters that are not separated by spaces. DetectText can detect up to 100 words in an image. A line is a string of equally spaced words. A line isn't necessarily a complete sentence. For example, a driver's license number is detected as a line. A line ends when there is no aligned text after it. Also, a line ends when there is a large gap between words, relative to the length of the words. This means, depending on the gap between words, Amazon Rekognition may detect multiple lines in text aligned in the same direction. Periods don't represent the end of a line. If a sentence spans multiple lines, the DetectText operation returns multiple lines. To determine whether a TextDetection element is a line of text or a word, use the TextDetection object Type field. To be detected, text must be within +/- 90 degrees orientation of the horizontal axis. For more information, see Detecting text in the Amazon Rekognition Developer Guide.","ref":"aws_rekognition.html#detect_text/2","title":"aws_rekognition.detect_text/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#detect_text/3","title":"aws_rekognition.detect_text/3","type":"function"},{"doc":"Distributes the entries (images) in a training dataset across the training dataset and the test dataset for a project. DistributeDatasetEntries moves 20% of the training dataset images to the test dataset. An entry is a JSON Line that describes an image. You supply the Amazon Resource Names (ARN) of a project's training dataset and test dataset. The training dataset must contain the images that you want to split. The test dataset must be empty. The datasets must belong to the same project. To create training and test datasets for a project, call CreateDataset . Distributing a dataset takes a while to complete. To check the status call DescribeDataset . The operation is complete when the Status field for the training dataset and the test dataset is UPDATE_COMPLETE . If the dataset split fails, the value of Status is UPDATE_FAILED . This operation requires permissions to perform the rekognition:DistributeDatasetEntries action.","ref":"aws_rekognition.html#distribute_dataset_entries/2","title":"aws_rekognition.distribute_dataset_entries/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#distribute_dataset_entries/3","title":"aws_rekognition.distribute_dataset_entries/3","type":"function"},{"doc":"Gets the name and additional information about a celebrity based on their Amazon Rekognition ID. The additional information is returned as an array of URLs. If there is no additional information about the celebrity, this list is empty. For more information, see Getting information about a celebrity in the Amazon Rekognition Developer Guide. This operation requires permissions to perform the rekognition:GetCelebrityInfo action.","ref":"aws_rekognition.html#get_celebrity_info/2","title":"aws_rekognition.get_celebrity_info/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#get_celebrity_info/3","title":"aws_rekognition.get_celebrity_info/3","type":"function"},{"doc":"Gets the celebrity recognition results for a Amazon Rekognition Video analysis started by StartCelebrityRecognition . Celebrity recognition in a video is an asynchronous operation. Analysis is started by a call to StartCelebrityRecognition which returns a job identifier ( JobId ). When the celebrity recognition operation finishes, Amazon Rekognition Video publishes a completion status to the Amazon Simple Notification Service topic registered in the initial call to StartCelebrityRecognition . To get the results of the celebrity recognition analysis, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetCelebrityDetection and pass the job identifier ( JobId ) from the initial call to StartCelebrityDetection . For more information, see Working With Stored Videos in the Amazon Rekognition Developer Guide. GetCelebrityRecognition returns detected celebrities and the time(s) they are detected in an array ( Celebrities ) of CelebrityRecognition objects. Each CelebrityRecognition contains information about the celebrity in a CelebrityDetail object and the time, Timestamp , the celebrity was detected. This CelebrityDetail object stores information about the detected celebrity's face attributes, a face bounding box, known gender, the celebrity's name, and a confidence estimate. GetCelebrityRecognition only returns the default facial attributes ( BoundingBox , Confidence , Landmarks , Pose , and Quality ). The BoundingBox field only applies to the detected face instance. The other facial attributes listed in the Face object of the following response syntax are not returned. For more information, see FaceDetail in the Amazon Rekognition Developer Guide. By default, the Celebrities array is sorted by time (milliseconds from the start of the video). You can also sort the array by celebrity by specifying the value ID in the SortBy input parameter. The CelebrityDetail object includes the celebrity identifer and additional information urls. If you don't store the additional information urls, you can get them later by calling GetCelebrityInfo with the celebrity identifer. No information is returned for faces not recognized as celebrities. Use MaxResults parameter to limit the number of labels returned. If there are more results than specified in MaxResults , the value of NextToken in the operation response contains a pagination token for getting the next set of results. To get the next page of results, call GetCelebrityDetection and populate the NextToken request parameter with the token value returned from the previous call to GetCelebrityRecognition .","ref":"aws_rekognition.html#get_celebrity_recognition/2","title":"aws_rekognition.get_celebrity_recognition/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#get_celebrity_recognition/3","title":"aws_rekognition.get_celebrity_recognition/3","type":"function"},{"doc":"Gets the inappropriate, unwanted, or offensive content analysis results for a Amazon Rekognition Video analysis started by StartContentModeration . For a list of moderation labels in Amazon Rekognition, see Using the image and video moderation APIs. Amazon Rekognition Video inappropriate or offensive content detection in a stored video is an asynchronous operation. You start analysis by calling StartContentModeration which returns a job identifier ( JobId ). When analysis finishes, Amazon Rekognition Video publishes a completion status to the Amazon Simple Notification Service topic registered in the initial call to StartContentModeration . To get the results of the content analysis, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetContentModeration and pass the job identifier ( JobId ) from the initial call to StartContentModeration . For more information, see Working with Stored Videos in the Amazon Rekognition Devlopers Guide. GetContentModeration returns detected inappropriate, unwanted, or offensive content moderation labels, and the time they are detected, in an array, ModerationLabels , of ContentModerationDetection objects. By default, the moderated labels are returned sorted by time, in milliseconds from the start of the video. You can also sort them by moderated label by specifying NAME for the SortBy input parameter. Since video analysis can return a large number of results, use the MaxResults parameter to limit the number of labels returned in a single call to GetContentModeration . If there are more results than specified in MaxResults , the value of NextToken in the operation response contains a pagination token for getting the next set of results. To get the next page of results, call GetContentModeration and populate the NextToken request parameter with the value of NextToken returned from the previous call to GetContentModeration . For more information, see moderating content in the Amazon Rekognition Developer Guide.","ref":"aws_rekognition.html#get_content_moderation/2","title":"aws_rekognition.get_content_moderation/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#get_content_moderation/3","title":"aws_rekognition.get_content_moderation/3","type":"function"},{"doc":"Gets face detection results for a Amazon Rekognition Video analysis started by StartFaceDetection . Face detection with Amazon Rekognition Video is an asynchronous operation. You start face detection by calling StartFaceDetection which returns a job identifier ( JobId ). When the face detection operation finishes, Amazon Rekognition Video publishes a completion status to the Amazon Simple Notification Service topic registered in the initial call to StartFaceDetection . To get the results of the face detection operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetFaceDetection and pass the job identifier ( JobId ) from the initial call to StartFaceDetection . GetFaceDetection returns an array of detected faces ( Faces ) sorted by the time the faces were detected. Use MaxResults parameter to limit the number of labels returned. If there are more results than specified in MaxResults , the value of NextToken in the operation response contains a pagination token for getting the next set of results. To get the next page of results, call GetFaceDetection and populate the NextToken request parameter with the token value returned from the previous call to GetFaceDetection .","ref":"aws_rekognition.html#get_face_detection/2","title":"aws_rekognition.get_face_detection/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#get_face_detection/3","title":"aws_rekognition.get_face_detection/3","type":"function"},{"doc":"Gets the face search results for Amazon Rekognition Video face search started by StartFaceSearch . The search returns faces in a collection that match the faces of persons detected in a video. It also includes the time(s) that faces are matched in the video. Face search in a video is an asynchronous operation. You start face search by calling to StartFaceSearch which returns a job identifier ( JobId ). When the search operation finishes, Amazon Rekognition Video publishes a completion status to the Amazon Simple Notification Service topic registered in the initial call to StartFaceSearch . To get the search results, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetFaceSearch and pass the job identifier ( JobId ) from the initial call to StartFaceSearch . For more information, see Searching Faces in a Collection in the Amazon Rekognition Developer Guide. The search results are retured in an array, Persons , of PersonMatch objects. Each PersonMatch element contains details about the matching faces in the input collection, person information (facial attributes, bounding boxes, and person identifer) for the matched person, and the time the person was matched in the video. GetFaceSearch only returns the default facial attributes ( BoundingBox , Confidence , Landmarks , Pose , and Quality ). The other facial attributes listed in the Face object of the following response syntax are not returned. For more information, see FaceDetail in the Amazon Rekognition Developer Guide. By default, the Persons array is sorted by the time, in milliseconds from the start of the video, persons are matched. You can also sort by persons by specifying INDEX for the SORTBY input parameter.","ref":"aws_rekognition.html#get_face_search/2","title":"aws_rekognition.get_face_search/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#get_face_search/3","title":"aws_rekognition.get_face_search/3","type":"function"},{"doc":"Gets the label detection results of a Amazon Rekognition Video analysis started by StartLabelDetection . The label detection operation is started by a call to StartLabelDetection which returns a job identifier ( JobId ). When the label detection operation finishes, Amazon Rekognition publishes a completion status to the Amazon Simple Notification Service topic registered in the initial call to StartlabelDetection . To get the results of the label detection operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetLabelDetection and pass the job identifier ( JobId ) from the initial call to StartLabelDetection . GetLabelDetection returns an array of detected labels ( Labels ) sorted by the time the labels were detected. You can also sort by the label name by specifying NAME for the SortBy input parameter. If there is no NAME specified, the default sort is by timestamp. You can select how results are aggregated by using the AggregateBy input parameter. The default aggregation method is TIMESTAMPS . You can also aggregate by SEGMENTS , which aggregates all instances of labels detected in a given segment. The returned Labels array may include the following attributes: Name - The name of the detected label. Confidence - The level of confidence in the label assigned to a detected object. Parents - The ancestor labels for a detected label. GetLabelDetection returns a hierarchical taxonomy of detected labels. For example, a detected car might be assigned the label car. The label car has two parent labels: Vehicle (its parent) and Transportation (its grandparent). The response includes the all ancestors for a label, where every ancestor is a unique label. In the previous example, Car, Vehicle, and Transportation are returned as unique labels in the response. Aliases - Possible Aliases for the label. Categories - The label categories that the detected label belongs to. BoundingBox — Bounding boxes are described for all instances of detected common object labels, returned in an array of Instance objects. An Instance object contains a BoundingBox object, describing the location of the label on the input image. It also includes the confidence for the accuracy of the detected bounding box. Timestamp - Time, in milliseconds from the start of the video, that the label was detected. For aggregation by SEGMENTS , the StartTimestampMillis , EndTimestampMillis , and DurationMillis structures are what define a segment. Although the “Timestamp” structure is still returned with each label, its value is set to be the same as StartTimestampMillis . Timestamp and Bounding box information are returned for detected Instances, only if aggregation is done by TIMESTAMPS . If aggregating by SEGMENTS , information about detected instances isn’t returned. The version of the label model used for the detection is also returned. Note DominantColors isn't returned for Instances , although it is shown as part of the response in the sample seen below. Use MaxResults parameter to limit the number of labels returned. If there are more results than specified in MaxResults , the value of NextToken in the operation response contains a pagination token for getting the next set of results. To get the next page of results, call GetlabelDetection and populate the NextToken request parameter with the token value returned from the previous call to GetLabelDetection .","ref":"aws_rekognition.html#get_label_detection/2","title":"aws_rekognition.get_label_detection/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#get_label_detection/3","title":"aws_rekognition.get_label_detection/3","type":"function"},{"doc":"Gets the path tracking results of a Amazon Rekognition Video analysis started by StartPersonTracking . The person path tracking operation is started by a call to StartPersonTracking which returns a job identifier ( JobId ). When the operation finishes, Amazon Rekognition Video publishes a completion status to the Amazon Simple Notification Service topic registered in the initial call to StartPersonTracking . To get the results of the person path tracking operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetPersonTracking and pass the job identifier ( JobId ) from the initial call to StartPersonTracking . GetPersonTracking returns an array, Persons , of tracked persons and the time(s) their paths were tracked in the video. GetPersonTracking only returns the default facial attributes ( BoundingBox , Confidence , Landmarks , Pose , and Quality ). The other facial attributes listed in the Face object of the following response syntax are not returned. For more information, see FaceDetail in the Amazon Rekognition Developer Guide. By default, the array is sorted by the time(s) a person's path is tracked in the video. You can sort by tracked persons by specifying INDEX for the SortBy input parameter. Use the MaxResults parameter to limit the number of items returned. If there are more results than specified in MaxResults , the value of NextToken in the operation response contains a pagination token for getting the next set of results. To get the next page of results, call GetPersonTracking and populate the NextToken request parameter with the token value returned from the previous call to GetPersonTracking .","ref":"aws_rekognition.html#get_person_tracking/2","title":"aws_rekognition.get_person_tracking/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#get_person_tracking/3","title":"aws_rekognition.get_person_tracking/3","type":"function"},{"doc":"Gets the segment detection results of a Amazon Rekognition Video analysis started by StartSegmentDetection . Segment detection with Amazon Rekognition Video is an asynchronous operation. You start segment detection by calling StartSegmentDetection which returns a job identifier ( JobId ). When the segment detection operation finishes, Amazon Rekognition publishes a completion status to the Amazon Simple Notification Service topic registered in the initial call to StartSegmentDetection . To get the results of the segment detection operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . if so, call GetSegmentDetection and pass the job identifier ( JobId ) from the initial call of StartSegmentDetection . GetSegmentDetection returns detected segments in an array ( Segments ) of SegmentDetection objects. Segments is sorted by the segment types specified in the SegmentTypes input parameter of StartSegmentDetection . Each element of the array includes the detected segment, the precentage confidence in the acuracy of the detected segment, the type of the segment, and the frame in which the segment was detected. Use SelectedSegmentTypes to find out the type of segment detection requested in the call to StartSegmentDetection . Use the MaxResults parameter to limit the number of segment detections returned. If there are more results than specified in MaxResults , the value of NextToken in the operation response contains a pagination token for getting the next set of results. To get the next page of results, call GetSegmentDetection and populate the NextToken request parameter with the token value returned from the previous call to GetSegmentDetection . For more information, see Detecting video segments in stored video in the Amazon Rekognition Developer Guide.","ref":"aws_rekognition.html#get_segment_detection/2","title":"aws_rekognition.get_segment_detection/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#get_segment_detection/3","title":"aws_rekognition.get_segment_detection/3","type":"function"},{"doc":"Gets the text detection results of a Amazon Rekognition Video analysis started by StartTextDetection . Text detection with Amazon Rekognition Video is an asynchronous operation. You start text detection by calling StartTextDetection which returns a job identifier ( JobId ) When the text detection operation finishes, Amazon Rekognition publishes a completion status to the Amazon Simple Notification Service topic registered in the initial call to StartTextDetection . To get the results of the text detection operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . if so, call GetTextDetection and pass the job identifier ( JobId ) from the initial call of StartLabelDetection . GetTextDetection returns an array of detected text ( TextDetections ) sorted by the time the text was detected, up to 50 words per frame of video. Each element of the array includes the detected text, the precentage confidence in the acuracy of the detected text, the time the text was detected, bounding box information for where the text was located, and unique identifiers for words and their lines. Use MaxResults parameter to limit the number of text detections returned. If there are more results than specified in MaxResults , the value of NextToken in the operation response contains a pagination token for getting the next set of results. To get the next page of results, call GetTextDetection and populate the NextToken request parameter with the token value returned from the previous call to GetTextDetection .","ref":"aws_rekognition.html#get_text_detection/2","title":"aws_rekognition.get_text_detection/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#get_text_detection/3","title":"aws_rekognition.get_text_detection/3","type":"function"},{"doc":"Detects faces in the input image and adds them to the specified collection. Amazon Rekognition doesn't save the actual faces that are detected. Instead, the underlying detection algorithm first detects the faces in the input image. For each face, the algorithm extracts facial features into a feature vector, and stores it in the backend database. Amazon Rekognition uses feature vectors when it performs face match and search operations using the SearchFaces and SearchFacesByImage operations. For more information, see Adding faces to a collection in the Amazon Rekognition Developer Guide. To get the number of faces in a collection, call DescribeCollection . If you're using version 1.0 of the face detection model, IndexFaces indexes the 15 largest faces in the input image. Later versions of the face detection model index the 100 largest faces in the input image. If you're using version 4 or later of the face model, image orientation information is not returned in the OrientationCorrection field. To determine which version of the model you're using, call DescribeCollection and supply the collection ID. You can also get the model version from the value of FaceModelVersion in the response from IndexFaces For more information, see Model Versioning in the Amazon Rekognition Developer Guide. If you provide the optional ExternalImageId for the input image you provided, Amazon Rekognition associates this ID with all faces that it detects. When you call the ListFaces operation, the response returns the external ID. You can use this external image ID to create a client-side index to associate the faces with each image. You can then use the index to find all faces in an image. You can specify the maximum number of faces to index with the MaxFaces input parameter. This is useful when you want to index the largest faces in an image and don't want to index smaller faces, such as those belonging to people standing in the background. The QualityFilter input parameter allows you to filter out detected faces that don’t meet a required quality bar. The quality bar is based on a variety of common use cases. By default, IndexFaces chooses the quality bar that's used to filter faces. You can also explicitly choose the quality bar. Use QualityFilter , to set the quality bar by specifying LOW , MEDIUM , or HIGH . If you do not want to filter detected faces, specify NONE . To use quality filtering, you need a collection associated with version 3 of the face model or higher. To get the version of the face model associated with a collection, call DescribeCollection . Information about faces detected in an image, but not indexed, is returned in an array of UnindexedFace objects, UnindexedFaces . Faces aren't indexed for reasons such as: The number of faces detected exceeds the value of the MaxFaces request parameter. The face is too small compared to the image dimensions. The face is too blurry. The image is too dark. The face has an extreme pose. The face doesn’t have enough detail to be suitable for face search. In response, the IndexFaces operation returns an array of metadata for all detected faces, FaceRecords . This includes: The bounding box, BoundingBox , of the detected face. A confidence value, Confidence , which indicates the confidence that the bounding box contains a face. A face ID, FaceId , assigned by the service for each face that's detected and stored. An image ID, ImageId , assigned by the service for the input image. If you request all facial attributes (by using the detectionAttributes parameter), Amazon Rekognition returns detailed facial attributes, such as facial landmarks (for example, location of eye and mouth) and other facial attributes. If you provide the same image, specify the same collection, and use the same external ID in the IndexFaces operation, Amazon Rekognition doesn't save duplicate face metadata. The input image is passed either as base64-encoded image bytes, or as a reference to an image in an Amazon S3 bucket. If you use the AWS CLI to call Amazon Rekognition operations, passing image bytes isn't supported. The image must be formatted as a PNG or JPEG file. This operation requires permissions to perform the rekognition:IndexFaces action.","ref":"aws_rekognition.html#index_faces/2","title":"aws_rekognition.index_faces/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#index_faces/3","title":"aws_rekognition.index_faces/3","type":"function"},{"doc":"Returns list of collection IDs in your account. If the result is truncated, the response also provides a NextToken that you can use in the subsequent request to fetch the next set of collection IDs. For an example, see Listing collections in the Amazon Rekognition Developer Guide. This operation requires permissions to perform the rekognition:ListCollections action.","ref":"aws_rekognition.html#list_collections/2","title":"aws_rekognition.list_collections/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#list_collections/3","title":"aws_rekognition.list_collections/3","type":"function"},{"doc":"Lists the entries (images) within a dataset. An entry is a JSON Line that contains the information for a single image, including the image location, assigned labels, and object location bounding boxes. For more information, see Creating a manifest file. JSON Lines in the response include information about non-terminal errors found in the dataset. Non terminal errors are reported in errors lists within each JSON Line. The same information is reported in the training and testing validation result manifests that Amazon Rekognition Custom Labels creates during model training. You can filter the response in variety of ways, such as choosing which labels to return and returning JSON Lines created after a specific date. This operation requires permissions to perform the rekognition:ListDatasetEntries action.","ref":"aws_rekognition.html#list_dataset_entries/2","title":"aws_rekognition.list_dataset_entries/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#list_dataset_entries/3","title":"aws_rekognition.list_dataset_entries/3","type":"function"},{"doc":"Lists the labels in a dataset. Amazon Rekognition Custom Labels uses labels to describe images. For more information, see Labeling images. Lists the labels in a dataset. Amazon Rekognition Custom Labels uses labels to describe images. For more information, see Labeling images in the Amazon Rekognition Custom Labels Developer Guide.","ref":"aws_rekognition.html#list_dataset_labels/2","title":"aws_rekognition.list_dataset_labels/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#list_dataset_labels/3","title":"aws_rekognition.list_dataset_labels/3","type":"function"},{"doc":"Returns metadata for faces in the specified collection. This metadata includes information such as the bounding box coordinates, the confidence (that the bounding box contains a face), and face ID. For an example, see Listing Faces in a Collection in the Amazon Rekognition Developer Guide. This operation requires permissions to perform the rekognition:ListFaces action.","ref":"aws_rekognition.html#list_faces/2","title":"aws_rekognition.list_faces/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#list_faces/3","title":"aws_rekognition.list_faces/3","type":"function"},{"doc":"Gets a list of the project policies attached to a project. To attach a project policy to a project, call PutProjectPolicy . To remove a project policy from a project, call DeleteProjectPolicy .","ref":"aws_rekognition.html#list_project_policies/2","title":"aws_rekognition.list_project_policies/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#list_project_policies/3","title":"aws_rekognition.list_project_policies/3","type":"function"},{"doc":"Gets a list of stream processors that you have created with CreateStreamProcessor .","ref":"aws_rekognition.html#list_stream_processors/2","title":"aws_rekognition.list_stream_processors/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#list_stream_processors/3","title":"aws_rekognition.list_stream_processors/3","type":"function"},{"doc":"Returns a list of tags in an Amazon Rekognition collection, stream processor, or Custom Labels model. This operation requires permissions to perform the rekognition:ListTagsForResource action.","ref":"aws_rekognition.html#list_tags_for_resource/2","title":"aws_rekognition.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#list_tags_for_resource/3","title":"aws_rekognition.list_tags_for_resource/3","type":"function"},{"doc":"Attaches a project policy to a Amazon Rekognition Custom Labels project in a trusting AWS account. A project policy specifies that a trusted AWS account can copy a model version from a trusting AWS account to a project in the trusted AWS account. To copy a model version you use the CopyProjectVersion operation. For more information about the format of a project policy document, see Attaching a project policy (SDK) in the Amazon Rekognition Custom Labels Developer Guide. The response from PutProjectPolicy is a revision ID for the project policy. You can attach multiple project policies to a project. You can also update an existing project policy by specifying the policy revision ID of the existing policy. To remove a project policy from a project, call DeleteProjectPolicy . To get a list of project policies attached to a project, call ListProjectPolicies . You copy a model version by calling CopyProjectVersion .","ref":"aws_rekognition.html#put_project_policy/2","title":"aws_rekognition.put_project_policy/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#put_project_policy/3","title":"aws_rekognition.put_project_policy/3","type":"function"},{"doc":"Returns an array of celebrities recognized in the input image. For more information, see Recognizing celebrities in the Amazon Rekognition Developer Guide. RecognizeCelebrities returns the 64 largest faces in the image. It lists the recognized celebrities in the CelebrityFaces array and any unrecognized faces in the UnrecognizedFaces array. RecognizeCelebrities doesn't return celebrities whose faces aren't among the largest 64 faces in the image. For each celebrity recognized, RecognizeCelebrities returns a Celebrity object. The Celebrity object contains the celebrity name, ID, URL links to additional information, match confidence, and a ComparedFace object that you can use to locate the celebrity's face on the image. Amazon Rekognition doesn't retain information about which images a celebrity has been recognized in. Your application must store this information and use the Celebrity ID property as a unique identifier for the celebrity. If you don't store the celebrity name or additional information URLs returned by RecognizeCelebrities , you will need the ID to identify the celebrity in a call to the GetCelebrityInfo operation. You pass the input image either as base64-encoded image bytes or as a reference to an image in an Amazon S3 bucket. If you use the AWS CLI to call Amazon Rekognition operations, passing image bytes is not supported. The image must be either a PNG or JPEG formatted file. For an example, see Recognizing celebrities in an image in the Amazon Rekognition Developer Guide. This operation requires permissions to perform the rekognition:RecognizeCelebrities operation.","ref":"aws_rekognition.html#recognize_celebrities/2","title":"aws_rekognition.recognize_celebrities/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#recognize_celebrities/3","title":"aws_rekognition.recognize_celebrities/3","type":"function"},{"doc":"For a given input face ID, searches for matching faces in the collection the face belongs to. You get a face ID when you add a face to the collection using the IndexFaces operation. The operation compares the features of the input face with faces in the specified collection. You can also search faces without indexing faces by using the SearchFacesByImage operation. The operation response returns an array of faces that match, ordered by similarity score with the highest similarity first. More specifically, it is an array of metadata for each face match that is found. Along with the metadata, the response also includes a confidence value for each face match, indicating the confidence that the specific face matches the input face. For an example, see Searching for a face using its face ID in the Amazon Rekognition Developer Guide. This operation requires permissions to perform the rekognition:SearchFaces action.","ref":"aws_rekognition.html#search_faces/2","title":"aws_rekognition.search_faces/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#search_faces/3","title":"aws_rekognition.search_faces/3","type":"function"},{"doc":"For a given input image, first detects the largest face in the image, and then searches the specified collection for matching faces. The operation compares the features of the input face with faces in the specified collection. To search for all faces in an input image, you might first call the IndexFaces operation, and then use the face IDs returned in subsequent calls to the SearchFaces operation. You can also call the DetectFaces operation and use the bounding boxes in the response to make face crops, which then you can pass in to the SearchFacesByImage operation. You pass the input image either as base64-encoded image bytes or as a reference to an image in an Amazon S3 bucket. If you use the AWS CLI to call Amazon Rekognition operations, passing image bytes is not supported. The image must be either a PNG or JPEG formatted file. The response returns an array of faces that match, ordered by similarity score with the highest similarity first. More specifically, it is an array of metadata for each face match found. Along with the metadata, the response also includes a similarity indicating how similar the face is to the input face. In the response, the operation also returns the bounding box (and a confidence level that the bounding box contains a face) of the face that Amazon Rekognition used for the input image. If no faces are detected in the input image, SearchFacesByImage returns an InvalidParameterException error. For an example, Searching for a Face Using an Image in the Amazon Rekognition Developer Guide. The QualityFilter input parameter allows you to filter out detected faces that don’t meet a required quality bar. The quality bar is based on a variety of common use cases. Use QualityFilter to set the quality bar for filtering by specifying LOW , MEDIUM , or HIGH . If you do not want to filter detected faces, specify NONE . The default value is NONE . To use quality filtering, you need a collection associated with version 3 of the face model or higher. To get the version of the face model associated with a collection, call DescribeCollection . This operation requires permissions to perform the rekognition:SearchFacesByImage action.","ref":"aws_rekognition.html#search_faces_by_image/2","title":"aws_rekognition.search_faces_by_image/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#search_faces_by_image/3","title":"aws_rekognition.search_faces_by_image/3","type":"function"},{"doc":"Starts asynchronous recognition of celebrities in a stored video. Amazon Rekognition Video can detect celebrities in a video must be stored in an Amazon S3 bucket. Use Video to specify the bucket name and the filename of the video. StartCelebrityRecognition returns a job identifier ( JobId ) which you use to get the results of the analysis. When celebrity recognition analysis is finished, Amazon Rekognition Video publishes a completion status to the Amazon Simple Notification Service topic that you specify in NotificationChannel . To get the results of the celebrity recognition analysis, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetCelebrityRecognition and pass the job identifier ( JobId ) from the initial call to StartCelebrityRecognition . For more information, see Recognizing celebrities in the Amazon Rekognition Developer Guide.","ref":"aws_rekognition.html#start_celebrity_recognition/2","title":"aws_rekognition.start_celebrity_recognition/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#start_celebrity_recognition/3","title":"aws_rekognition.start_celebrity_recognition/3","type":"function"},{"doc":"Starts asynchronous detection of inappropriate, unwanted, or offensive content in a stored video. For a list of moderation labels in Amazon Rekognition, see Using the image and video moderation APIs. Amazon Rekognition Video can moderate content in a video stored in an Amazon S3 bucket. Use Video to specify the bucket name and the filename of the video. StartContentModeration returns a job identifier ( JobId ) which you use to get the results of the analysis. When content analysis is finished, Amazon Rekognition Video publishes a completion status to the Amazon Simple Notification Service topic that you specify in NotificationChannel . To get the results of the content analysis, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetContentModeration and pass the job identifier ( JobId ) from the initial call to StartContentModeration . For more information, see Moderating content in the Amazon Rekognition Developer Guide.","ref":"aws_rekognition.html#start_content_moderation/2","title":"aws_rekognition.start_content_moderation/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#start_content_moderation/3","title":"aws_rekognition.start_content_moderation/3","type":"function"},{"doc":"Starts asynchronous detection of faces in a stored video. Amazon Rekognition Video can detect faces in a video stored in an Amazon S3 bucket. Use Video to specify the bucket name and the filename of the video. StartFaceDetection returns a job identifier ( JobId ) that you use to get the results of the operation. When face detection is finished, Amazon Rekognition Video publishes a completion status to the Amazon Simple Notification Service topic that you specify in NotificationChannel . To get the results of the face detection operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetFaceDetection and pass the job identifier ( JobId ) from the initial call to StartFaceDetection . For more information, see Detecting faces in a stored video in the Amazon Rekognition Developer Guide.","ref":"aws_rekognition.html#start_face_detection/2","title":"aws_rekognition.start_face_detection/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#start_face_detection/3","title":"aws_rekognition.start_face_detection/3","type":"function"},{"doc":"Starts the asynchronous search for faces in a collection that match the faces of persons detected in a stored video. The video must be stored in an Amazon S3 bucket. Use Video to specify the bucket name and the filename of the video. StartFaceSearch returns a job identifier ( JobId ) which you use to get the search results once the search has completed. When searching is finished, Amazon Rekognition Video publishes a completion status to the Amazon Simple Notification Service topic that you specify in NotificationChannel . To get the search results, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetFaceSearch and pass the job identifier ( JobId ) from the initial call to StartFaceSearch . For more information, see Searching stored videos for faces.","ref":"aws_rekognition.html#start_face_search/2","title":"aws_rekognition.start_face_search/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#start_face_search/3","title":"aws_rekognition.start_face_search/3","type":"function"},{"doc":"Starts asynchronous detection of labels in a stored video. Amazon Rekognition Video can detect labels in a video. Labels are instances of real-world entities. This includes objects like flower, tree, and table; events like wedding, graduation, and birthday party; concepts like landscape, evening, and nature; and activities like a person getting out of a car or a person skiing. The video must be stored in an Amazon S3 bucket. Use Video to specify the bucket name and the filename of the video. StartLabelDetection returns a job identifier ( JobId ) which you use to get the results of the operation. When label detection is finished, Amazon Rekognition Video publishes a completion status to the Amazon Simple Notification Service topic that you specify in NotificationChannel . To get the results of the label detection operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetLabelDetection and pass the job identifier ( JobId ) from the initial call to StartLabelDetection . Optional Parameters StartLabelDetection has the GENERAL_LABELS Feature applied by default. This feature allows you to provide filtering criteria to the Settings parameter. You can filter with sets of individual labels or with label categories. You can specify inclusive filters, exclusive filters, or a combination of inclusive and exclusive filters. For more information on filtering, see Detecting labels in a video. You can specify MinConfidence to control the confidence threshold for the labels returned. The default is 50.","ref":"aws_rekognition.html#start_label_detection/2","title":"aws_rekognition.start_label_detection/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#start_label_detection/3","title":"aws_rekognition.start_label_detection/3","type":"function"},{"doc":"Starts the asynchronous tracking of a person's path in a stored video. Amazon Rekognition Video can track the path of people in a video stored in an Amazon S3 bucket. Use Video to specify the bucket name and the filename of the video. StartPersonTracking returns a job identifier ( JobId ) which you use to get the results of the operation. When label detection is finished, Amazon Rekognition publishes a completion status to the Amazon Simple Notification Service topic that you specify in NotificationChannel . To get the results of the person detection operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetPersonTracking and pass the job identifier ( JobId ) from the initial call to StartPersonTracking .","ref":"aws_rekognition.html#start_person_tracking/2","title":"aws_rekognition.start_person_tracking/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#start_person_tracking/3","title":"aws_rekognition.start_person_tracking/3","type":"function"},{"doc":"Starts the running of the version of a model. Starting a model takes a while to complete. To check the current state of the model, use DescribeProjectVersions . Once the model is running, you can detect custom labels in new images by calling DetectCustomLabels . You are charged for the amount of time that the model is running. To stop a running model, call StopProjectVersion . For more information, see Running a trained Amazon Rekognition Custom Labels model in the Amazon Rekognition Custom Labels Guide. This operation requires permissions to perform the rekognition:StartProjectVersion action.","ref":"aws_rekognition.html#start_project_version/2","title":"aws_rekognition.start_project_version/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#start_project_version/3","title":"aws_rekognition.start_project_version/3","type":"function"},{"doc":"Starts asynchronous detection of segment detection in a stored video. Amazon Rekognition Video can detect segments in a video stored in an Amazon S3 bucket. Use Video to specify the bucket name and the filename of the video. StartSegmentDetection returns a job identifier ( JobId ) which you use to get the results of the operation. When segment detection is finished, Amazon Rekognition Video publishes a completion status to the Amazon Simple Notification Service topic that you specify in NotificationChannel . You can use the Filters ( StartSegmentDetectionFilters ) input parameter to specify the minimum detection confidence returned in the response. Within Filters , use ShotFilter ( StartShotDetectionFilter ) to filter detected shots. Use TechnicalCueFilter ( StartTechnicalCueDetectionFilter ) to filter technical cues. To get the results of the segment detection operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . if so, call GetSegmentDetection and pass the job identifier ( JobId ) from the initial call to StartSegmentDetection . For more information, see Detecting video segments in stored video in the Amazon Rekognition Developer Guide.","ref":"aws_rekognition.html#start_segment_detection/2","title":"aws_rekognition.start_segment_detection/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#start_segment_detection/3","title":"aws_rekognition.start_segment_detection/3","type":"function"},{"doc":"Starts processing a stream processor. You create a stream processor by calling CreateStreamProcessor . To tell StartStreamProcessor which stream processor to start, use the value of the Name field specified in the call to CreateStreamProcessor . If you are using a label detection stream processor to detect labels, you need to provide a Start selector and a Stop selector to determine the length of the stream processing time.","ref":"aws_rekognition.html#start_stream_processor/2","title":"aws_rekognition.start_stream_processor/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#start_stream_processor/3","title":"aws_rekognition.start_stream_processor/3","type":"function"},{"doc":"Starts asynchronous detection of text in a stored video. Amazon Rekognition Video can detect text in a video stored in an Amazon S3 bucket. Use Video to specify the bucket name and the filename of the video. StartTextDetection returns a job identifier ( JobId ) which you use to get the results of the operation. When text detection is finished, Amazon Rekognition Video publishes a completion status to the Amazon Simple Notification Service topic that you specify in NotificationChannel . To get the results of the text detection operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . if so, call GetTextDetection and pass the job identifier ( JobId ) from the initial call to StartTextDetection .","ref":"aws_rekognition.html#start_text_detection/2","title":"aws_rekognition.start_text_detection/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#start_text_detection/3","title":"aws_rekognition.start_text_detection/3","type":"function"},{"doc":"Stops a running model. The operation might take a while to complete. To check the current status, call DescribeProjectVersions .","ref":"aws_rekognition.html#stop_project_version/2","title":"aws_rekognition.stop_project_version/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#stop_project_version/3","title":"aws_rekognition.stop_project_version/3","type":"function"},{"doc":"Stops a running stream processor that was created by CreateStreamProcessor .","ref":"aws_rekognition.html#stop_stream_processor/2","title":"aws_rekognition.stop_stream_processor/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#stop_stream_processor/3","title":"aws_rekognition.stop_stream_processor/3","type":"function"},{"doc":"Adds one or more key-value tags to an Amazon Rekognition collection, stream processor, or Custom Labels model. For more information, see Tagging AWS Resources. This operation requires permissions to perform the rekognition:TagResource action.","ref":"aws_rekognition.html#tag_resource/2","title":"aws_rekognition.tag_resource/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#tag_resource/3","title":"aws_rekognition.tag_resource/3","type":"function"},{"doc":"Removes one or more tags from an Amazon Rekognition collection, stream processor, or Custom Labels model. This operation requires permissions to perform the rekognition:UntagResource action.","ref":"aws_rekognition.html#untag_resource/2","title":"aws_rekognition.untag_resource/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#untag_resource/3","title":"aws_rekognition.untag_resource/3","type":"function"},{"doc":"Adds or updates one or more entries (images) in a dataset. An entry is a JSON Line which contains the information for a single image, including the image location, assigned labels, and object location bounding boxes. For more information, see Image-Level labels in manifest files and Object localization in manifest files in the Amazon Rekognition Custom Labels Developer Guide. If the source-ref field in the JSON line references an existing image, the existing image in the dataset is updated. If source-ref field doesn't reference an existing image, the image is added as a new image to the dataset. You specify the changes that you want to make in the Changes input parameter. There isn't a limit to the number JSON Lines that you can change, but the size of Changes must be less than 5MB. UpdateDatasetEntries returns immediatly, but the dataset update might take a while to complete. Use DescribeDataset to check the current status. The dataset updated successfully if the value of Status is UPDATE_COMPLETE . To check if any non-terminal errors occured, call ListDatasetEntries and check for the presence of errors lists in the JSON Lines. Dataset update fails if a terminal error occurs ( Status = UPDATE_FAILED ). Currently, you can't access the terminal error information from the Amazon Rekognition Custom Labels SDK. This operation requires permissions to perform the rekognition:UpdateDatasetEntries action.","ref":"aws_rekognition.html#update_dataset_entries/2","title":"aws_rekognition.update_dataset_entries/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#update_dataset_entries/3","title":"aws_rekognition.update_dataset_entries/3","type":"function"},{"doc":"Allows you to update a stream processor. You can change some settings and regions of interest and delete certain parameters.","ref":"aws_rekognition.html#update_stream_processor/2","title":"aws_rekognition.update_stream_processor/2","type":"function"},{"doc":"","ref":"aws_rekognition.html#update_stream_processor/3","title":"aws_rekognition.update_stream_processor/3","type":"function"},{"doc":"","ref":"aws_request.html","title":"aws_request","type":"module"},{"doc":"Include additions only if they don't already exist in the provided list.","ref":"aws_request.html#add_headers/2","title":"aws_request.add_headers/2","type":"function"},{"doc":"Add querystring to url is there are any parameters in the list","ref":"aws_request.html#add_query/2","title":"aws_request.add_query/2","type":"function"},{"doc":"Build custom request headers based on a list key-value pairs representing the mappings from param names to header names and a map with the params .","ref":"aws_request.html#build_custom_headers/2","title":"aws_request.build_custom_headers/2","type":"function"},{"doc":"Build request headers based on a list key-value pairs representing the mappings from param names to header names and a map with the params .","ref":"aws_request.html#build_headers/2","title":"aws_request.build_headers/2","type":"function"},{"doc":"","ref":"aws_request.html#canonical_headers/1","title":"aws_request.canonical_headers/1","type":"function"},{"doc":"","ref":"aws_request.html#credential_scope/3","title":"aws_request.credential_scope/3","type":"function"},{"doc":"","ref":"aws_request.html#method_to_binary/1","title":"aws_request.method_to_binary/1","type":"function"},{"doc":"","ref":"aws_request.html#request/2","title":"aws_request.request/2","type":"function"},{"doc":"","ref":"aws_request.html#sign_request/5","title":"aws_request.sign_request/5","type":"function"},{"doc":"","ref":"aws_request.html#signed_headers/1","title":"aws_request.signed_headers/1","type":"function"},{"doc":"","ref":"aws_request.html#signing_key/4","title":"aws_request.signing_key/4","type":"function"},{"doc":"","ref":"aws_request.html#split_url/1","title":"aws_request.split_url/1","type":"function"},{"doc":"","ref":"aws_request.html#string_to_sign/3","title":"aws_request.string_to_sign/3","type":"function"},{"doc":"AWS Resilience Hub helps you proactively prepare and protect your Amazon Web Services applications from disruptions. Resilience Hub offers continuous resiliency assessment and validation that integrates into your software development lifecycle. This enables you to uncover resiliency weaknesses, ensure recovery time objective (RTO) and recovery point objective (RPO) targets for your applications are met, and resolve issues before they are released into production.","ref":"aws_resiliencehub.html","title":"aws_resiliencehub","type":"module"},{"doc":"Adds the resource mapping for the draft application version.","ref":"aws_resiliencehub.html#add_draft_app_version_resource_mappings/2","title":"aws_resiliencehub.add_draft_app_version_resource_mappings/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#add_draft_app_version_resource_mappings/3","title":"aws_resiliencehub.add_draft_app_version_resource_mappings/3","type":"function"},{"doc":"Creates a Resilience Hub application. A Resilience Hub application is a collection of Amazon Web Services resources structured to prevent and recover Amazon Web Services application disruptions. To describe a Resilience Hub application, you provide an application name, resources from one or more–up to five–CloudFormation stacks, and an appropriate resiliency policy. After you create a Resilience Hub application, you publish it so that you can run a resiliency assessment on it. You can then use recommendations from the assessment to improve resiliency by running another assessment, comparing results, and then iterating the process until you achieve your goals for recovery time objective (RTO) and recovery point objective (RPO).","ref":"aws_resiliencehub.html#create_app/2","title":"aws_resiliencehub.create_app/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#create_app/3","title":"aws_resiliencehub.create_app/3","type":"function"},{"doc":"Creates a new recommendation template.","ref":"aws_resiliencehub.html#create_recommendation_template/2","title":"aws_resiliencehub.create_recommendation_template/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#create_recommendation_template/3","title":"aws_resiliencehub.create_recommendation_template/3","type":"function"},{"doc":"Creates a resiliency policy for an application.","ref":"aws_resiliencehub.html#create_resiliency_policy/2","title":"aws_resiliencehub.create_resiliency_policy/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#create_resiliency_policy/3","title":"aws_resiliencehub.create_resiliency_policy/3","type":"function"},{"doc":"Deletes an AWS Resilience Hub application. This is a destructive action that can't be undone.","ref":"aws_resiliencehub.html#delete_app/2","title":"aws_resiliencehub.delete_app/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#delete_app/3","title":"aws_resiliencehub.delete_app/3","type":"function"},{"doc":"Deletes an AWS Resilience Hub application assessment. This is a destructive action that can't be undone.","ref":"aws_resiliencehub.html#delete_app_assessment/2","title":"aws_resiliencehub.delete_app_assessment/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#delete_app_assessment/3","title":"aws_resiliencehub.delete_app_assessment/3","type":"function"},{"doc":"Deletes a recommendation template. This is a destructive action that can't be undone.","ref":"aws_resiliencehub.html#delete_recommendation_template/2","title":"aws_resiliencehub.delete_recommendation_template/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#delete_recommendation_template/3","title":"aws_resiliencehub.delete_recommendation_template/3","type":"function"},{"doc":"Deletes a resiliency policy. This is a destructive action that can't be undone.","ref":"aws_resiliencehub.html#delete_resiliency_policy/2","title":"aws_resiliencehub.delete_resiliency_policy/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#delete_resiliency_policy/3","title":"aws_resiliencehub.delete_resiliency_policy/3","type":"function"},{"doc":"Describes an AWS Resilience Hub application.","ref":"aws_resiliencehub.html#describe_app/2","title":"aws_resiliencehub.describe_app/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#describe_app/3","title":"aws_resiliencehub.describe_app/3","type":"function"},{"doc":"Describes an assessment for an AWS Resilience Hub application.","ref":"aws_resiliencehub.html#describe_app_assessment/2","title":"aws_resiliencehub.describe_app_assessment/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#describe_app_assessment/3","title":"aws_resiliencehub.describe_app_assessment/3","type":"function"},{"doc":"Returns the resolution status for the specified resolution identifier for an application version. If resolutionId is not specified, the current resolution status is returned.","ref":"aws_resiliencehub.html#describe_app_version_resources_resolution_status/2","title":"aws_resiliencehub.describe_app_version_resources_resolution_status/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#describe_app_version_resources_resolution_status/3","title":"aws_resiliencehub.describe_app_version_resources_resolution_status/3","type":"function"},{"doc":"Describes details about an AWS Resilience Hub","ref":"aws_resiliencehub.html#describe_app_version_template/2","title":"aws_resiliencehub.describe_app_version_template/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#describe_app_version_template/3","title":"aws_resiliencehub.describe_app_version_template/3","type":"function"},{"doc":"Describes the status of importing resources to an application version.","ref":"aws_resiliencehub.html#describe_draft_app_version_resources_import_status/2","title":"aws_resiliencehub.describe_draft_app_version_resources_import_status/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#describe_draft_app_version_resources_import_status/3","title":"aws_resiliencehub.describe_draft_app_version_resources_import_status/3","type":"function"},{"doc":"Describes a specified resiliency policy for an AWS Resilience Hub application. The returned policy object includes creation time, data location constraints, the Amazon Resource Name (ARN) for the policy, tags, tier, and more.","ref":"aws_resiliencehub.html#describe_resiliency_policy/2","title":"aws_resiliencehub.describe_resiliency_policy/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#describe_resiliency_policy/3","title":"aws_resiliencehub.describe_resiliency_policy/3","type":"function"},{"doc":"Imports resources from sources such as a CloudFormation stack, resource-groups, or application registry app to a draft application version.","ref":"aws_resiliencehub.html#import_resources_to_draft_app_version/2","title":"aws_resiliencehub.import_resources_to_draft_app_version/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#import_resources_to_draft_app_version/3","title":"aws_resiliencehub.import_resources_to_draft_app_version/3","type":"function"},{"doc":"Lists the alarm recommendations for a AWS Resilience Hub application.","ref":"aws_resiliencehub.html#list_alarm_recommendations/2","title":"aws_resiliencehub.list_alarm_recommendations/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_alarm_recommendations/3","title":"aws_resiliencehub.list_alarm_recommendations/3","type":"function"},{"doc":"Lists the assessments for an AWS Resilience Hub application. You can use request parameters to refine the results for the response object.","ref":"aws_resiliencehub.html#list_app_assessments/1","title":"aws_resiliencehub.list_app_assessments/1","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_app_assessments/3","title":"aws_resiliencehub.list_app_assessments/3","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_app_assessments/4","title":"aws_resiliencehub.list_app_assessments/4","type":"function"},{"doc":"Lists the compliances for an AWS Resilience Hub component.","ref":"aws_resiliencehub.html#list_app_component_compliances/2","title":"aws_resiliencehub.list_app_component_compliances/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_app_component_compliances/3","title":"aws_resiliencehub.list_app_component_compliances/3","type":"function"},{"doc":"Lists the recommendations for an AWS Resilience Hub component.","ref":"aws_resiliencehub.html#list_app_component_recommendations/2","title":"aws_resiliencehub.list_app_component_recommendations/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_app_component_recommendations/3","title":"aws_resiliencehub.list_app_component_recommendations/3","type":"function"},{"doc":"Lists how the resources in an application version are mapped/sourced from. Mappings can be physical resource identifiers, CloudFormation stacks, resource-groups, or an application registry app.","ref":"aws_resiliencehub.html#list_app_version_resource_mappings/2","title":"aws_resiliencehub.list_app_version_resource_mappings/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_app_version_resource_mappings/3","title":"aws_resiliencehub.list_app_version_resource_mappings/3","type":"function"},{"doc":"Lists all the resources in an application version.","ref":"aws_resiliencehub.html#list_app_version_resources/2","title":"aws_resiliencehub.list_app_version_resources/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_app_version_resources/3","title":"aws_resiliencehub.list_app_version_resources/3","type":"function"},{"doc":"Lists the different versions for the Resilience Hub applications.","ref":"aws_resiliencehub.html#list_app_versions/2","title":"aws_resiliencehub.list_app_versions/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_app_versions/3","title":"aws_resiliencehub.list_app_versions/3","type":"function"},{"doc":"Lists your Resilience Hub applications.","ref":"aws_resiliencehub.html#list_apps/1","title":"aws_resiliencehub.list_apps/1","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_apps/3","title":"aws_resiliencehub.list_apps/3","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_apps/4","title":"aws_resiliencehub.list_apps/4","type":"function"},{"doc":"Lists the recommendation templates for the Resilience Hub applications.","ref":"aws_resiliencehub.html#list_recommendation_templates/2","title":"aws_resiliencehub.list_recommendation_templates/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_recommendation_templates/4","title":"aws_resiliencehub.list_recommendation_templates/4","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_recommendation_templates/5","title":"aws_resiliencehub.list_recommendation_templates/5","type":"function"},{"doc":"Lists the resiliency policies for the Resilience Hub applications.","ref":"aws_resiliencehub.html#list_resiliency_policies/1","title":"aws_resiliencehub.list_resiliency_policies/1","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_resiliency_policies/3","title":"aws_resiliencehub.list_resiliency_policies/3","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_resiliency_policies/4","title":"aws_resiliencehub.list_resiliency_policies/4","type":"function"},{"doc":"Lists the standard operating procedure (SOP) recommendations for the Resilience Hub applications.","ref":"aws_resiliencehub.html#list_sop_recommendations/2","title":"aws_resiliencehub.list_sop_recommendations/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_sop_recommendations/3","title":"aws_resiliencehub.list_sop_recommendations/3","type":"function"},{"doc":"Lists the suggested resiliency policies for the Resilience Hub applications.","ref":"aws_resiliencehub.html#list_suggested_resiliency_policies/1","title":"aws_resiliencehub.list_suggested_resiliency_policies/1","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_suggested_resiliency_policies/3","title":"aws_resiliencehub.list_suggested_resiliency_policies/3","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_suggested_resiliency_policies/4","title":"aws_resiliencehub.list_suggested_resiliency_policies/4","type":"function"},{"doc":"Lists the tags for your resources in your Resilience Hub applications.","ref":"aws_resiliencehub.html#list_tags_for_resource/2","title":"aws_resiliencehub.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_tags_for_resource/4","title":"aws_resiliencehub.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_tags_for_resource/5","title":"aws_resiliencehub.list_tags_for_resource/5","type":"function"},{"doc":"Lists the test recommendations for the Resilience Hub application.","ref":"aws_resiliencehub.html#list_test_recommendations/2","title":"aws_resiliencehub.list_test_recommendations/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_test_recommendations/3","title":"aws_resiliencehub.list_test_recommendations/3","type":"function"},{"doc":"Lists the resources that are not currently supported in AWS Resilience Hub. An unsupported resource is a resource that exists in the object that was used to create an app, but is not supported by Resilience Hub.","ref":"aws_resiliencehub.html#list_unsupported_app_version_resources/2","title":"aws_resiliencehub.list_unsupported_app_version_resources/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#list_unsupported_app_version_resources/3","title":"aws_resiliencehub.list_unsupported_app_version_resources/3","type":"function"},{"doc":"Publishes a new version of a specific Resilience Hub application.","ref":"aws_resiliencehub.html#publish_app_version/2","title":"aws_resiliencehub.publish_app_version/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#publish_app_version/3","title":"aws_resiliencehub.publish_app_version/3","type":"function"},{"doc":"Adds or updates the app template for a draft version of a Resilience Hub app.","ref":"aws_resiliencehub.html#put_draft_app_version_template/2","title":"aws_resiliencehub.put_draft_app_version_template/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#put_draft_app_version_template/3","title":"aws_resiliencehub.put_draft_app_version_template/3","type":"function"},{"doc":"Removes resource mappings from a draft application version.","ref":"aws_resiliencehub.html#remove_draft_app_version_resource_mappings/2","title":"aws_resiliencehub.remove_draft_app_version_resource_mappings/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#remove_draft_app_version_resource_mappings/3","title":"aws_resiliencehub.remove_draft_app_version_resource_mappings/3","type":"function"},{"doc":"Resolves the resources for an application version.","ref":"aws_resiliencehub.html#resolve_app_version_resources/2","title":"aws_resiliencehub.resolve_app_version_resources/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#resolve_app_version_resources/3","title":"aws_resiliencehub.resolve_app_version_resources/3","type":"function"},{"doc":"Creates a new application assessment for an application.","ref":"aws_resiliencehub.html#start_app_assessment/2","title":"aws_resiliencehub.start_app_assessment/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#start_app_assessment/3","title":"aws_resiliencehub.start_app_assessment/3","type":"function"},{"doc":"Applies one or more tags to a resource.","ref":"aws_resiliencehub.html#tag_resource/3","title":"aws_resiliencehub.tag_resource/3","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#tag_resource/4","title":"aws_resiliencehub.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from a resource.","ref":"aws_resiliencehub.html#untag_resource/3","title":"aws_resiliencehub.untag_resource/3","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#untag_resource/4","title":"aws_resiliencehub.untag_resource/4","type":"function"},{"doc":"Updates an application.","ref":"aws_resiliencehub.html#update_app/2","title":"aws_resiliencehub.update_app/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#update_app/3","title":"aws_resiliencehub.update_app/3","type":"function"},{"doc":"Updates a resiliency policy.","ref":"aws_resiliencehub.html#update_resiliency_policy/2","title":"aws_resiliencehub.update_resiliency_policy/2","type":"function"},{"doc":"","ref":"aws_resiliencehub.html#update_resiliency_policy/3","title":"aws_resiliencehub.update_resiliency_policy/3","type":"function"},{"doc":"Amazon Web Services Resource Explorer is a resource search and discovery service. By using Resource Explorer, you can explore your resources using an internet search engine-like experience. Examples of resources include Amazon Relational Database Service (Amazon RDS) instances, Amazon Simple Storage Service (Amazon S3) buckets, or Amazon DynamoDB tables. You can search for your resources using resource metadata like names, tags, and IDs. Resource Explorer can search across all of the Amazon Web Services Regions in your account in which you turn the service on, to simplify your cross-Region workloads. Resource Explorer scans the resources in each of the Amazon Web Services Regions in your Amazon Web Services account in which you turn on Resource Explorer. Resource Explorer creates and maintains an index in each Region, with the details of that Region's resources. You can search across all of the indexed Regions in your account by designating one of your Amazon Web Services Regions to contain the aggregator index for the account. When you promote a local index in a Region to become the aggregator index for the account, Resource Explorer automatically replicates the index information from all local indexes in the other Regions to the aggregator index. Therefore, the Region with the aggregator index has a copy of all resource information for all Regions in the account where you turned on Resource Explorer. As a result, views in the aggregator index Region include resources from all of the indexed Regions in your account. For more information about Amazon Web Services Resource Explorer, including how to enable and configure the service, see the Amazon Web Services Resource Explorer User Guide.","ref":"aws_resource_explorer_2.html","title":"aws_resource_explorer_2","type":"module"},{"doc":"Sets the specified view as the default for the Amazon Web Services Region in which you call this operation. When a user performs a Search that doesn't explicitly specify which view to use, then Amazon Web Services Resource Explorer automatically chooses this default view for searches performed in this Amazon Web Services Region. If an Amazon Web Services Region doesn't have a default view configured, then users must explicitly specify a view with every Search operation performed in that Region.","ref":"aws_resource_explorer_2.html#associate_default_view/2","title":"aws_resource_explorer_2.associate_default_view/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#associate_default_view/3","title":"aws_resource_explorer_2.associate_default_view/3","type":"function"},{"doc":"Retrieves details about a list of views.","ref":"aws_resource_explorer_2.html#batch_get_view/2","title":"aws_resource_explorer_2.batch_get_view/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#batch_get_view/3","title":"aws_resource_explorer_2.batch_get_view/3","type":"function"},{"doc":"Turns on Amazon Web Services Resource Explorer in the Amazon Web Services Region in which you called this operation by creating an index. Resource Explorer begins discovering the resources in this Region and stores the details about the resources in the index so that they can be queried by using the Search operation. You can create only one index in a Region. This operation creates only a local index. To promote the local index in one Amazon Web Services Region into the aggregator index for the Amazon Web Services account, use the UpdateIndexType operation. For more information, see Turning on cross-Region search by creating an aggregator index in the Amazon Web Services Resource Explorer User Guide. For more details about what happens when you turn on Resource Explorer in an Amazon Web Services Region, see Turn on Resource Explorer to index your resources in an Amazon Web Services Region in the Amazon Web Services Resource Explorer User Guide. If this is the first Amazon Web Services Region in which you've created an index for Resource Explorer, then this operation also creates a service-linked role in your Amazon Web Services account that allows Resource Explorer to enumerate your resources to populate the index. Action: resource-explorer-2:CreateIndex Resource: The ARN of the index (as it will exist after the operation completes) in the Amazon Web Services Region and account in which you're trying to create the index. Use the wildcard character ( * ) at the end of the string to match the eventual UUID. For example, the following Resource element restricts the role or user to creating an index in only the us-east-2 Region of the specified account. &amp;quot;Resource&amp;quot;: &amp;quot;arn:aws:resource-explorer-2:us-west-2:&amp;lt;account-id&amp;gt;:index/*&amp;quot; Alternatively, you can use &amp;quot;Resource&amp;quot;: &amp;quot;*&amp;quot; to allow the role or user to create an index in any Region. Action: iam:CreateServiceLinkedRole Resource: No specific resource (*). This permission is required only the first time you create an index to turn on Resource Explorer in the account. Resource Explorer uses this to create the service-linked role needed to index the resources in your account. Resource Explorer uses the same service-linked role for all additional indexes you create afterwards.","ref":"aws_resource_explorer_2.html#create_index/2","title":"aws_resource_explorer_2.create_index/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#create_index/3","title":"aws_resource_explorer_2.create_index/3","type":"function"},{"doc":"Creates a view that users can query by using the Search operation. Results from queries that you make using this view include only resources that match the view's Filters . For more information about Amazon Web Services Resource Explorer views, see Managing views in the Amazon Web Services Resource Explorer User Guide. Only the principals with an IAM identity-based policy that grants Allow to the Search action on a Resource with the Amazon resource name (ARN) of this view can Search using views you create with this operation.","ref":"aws_resource_explorer_2.html#create_view/2","title":"aws_resource_explorer_2.create_view/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#create_view/3","title":"aws_resource_explorer_2.create_view/3","type":"function"},{"doc":"Deletes the specified index and turns off Amazon Web Services Resource Explorer in the specified Amazon Web Services Region. When you delete an index, Resource Explorer stops discovering and indexing resources in that Region. Resource Explorer also deletes all views in that Region. These actions occur as asynchronous background tasks. You can check to see when the actions are complete by using the GetIndex operation and checking the Status response value. If the index you delete is the aggregator index for the Amazon Web Services account, you must wait 24 hours before you can promote another local index to be the aggregator index for the account. Users can't perform account-wide searches using Resource Explorer until another aggregator index is configured.","ref":"aws_resource_explorer_2.html#delete_index/2","title":"aws_resource_explorer_2.delete_index/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#delete_index/3","title":"aws_resource_explorer_2.delete_index/3","type":"function"},{"doc":"Deletes the specified view. If the specified view is the default view for its Amazon Web Services Region, then all Search operations in that Region must explicitly specify the view to use until you configure a new default by calling the AssociateDefaultView operation.","ref":"aws_resource_explorer_2.html#delete_view/2","title":"aws_resource_explorer_2.delete_view/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#delete_view/3","title":"aws_resource_explorer_2.delete_view/3","type":"function"},{"doc":"After you call this operation, the affected Amazon Web Services Region no longer has a default view. All Search operations in that Region must explicitly specify a view or the operation fails. You can configure a new default by calling the AssociateDefaultView operation. If an Amazon Web Services Region doesn't have a default view configured, then users must explicitly specify a view with every Search operation performed in that Region.","ref":"aws_resource_explorer_2.html#disassociate_default_view/2","title":"aws_resource_explorer_2.disassociate_default_view/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#disassociate_default_view/3","title":"aws_resource_explorer_2.disassociate_default_view/3","type":"function"},{"doc":"Retrieves the Amazon Resource Name (ARN) of the view that is the default for the Amazon Web Services Region in which you call this operation. You can then call GetView to retrieve the details of that view.","ref":"aws_resource_explorer_2.html#get_default_view/2","title":"aws_resource_explorer_2.get_default_view/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#get_default_view/3","title":"aws_resource_explorer_2.get_default_view/3","type":"function"},{"doc":"Retrieves details about the Amazon Web Services Resource Explorer index in the Amazon Web Services Region in which you invoked the operation.","ref":"aws_resource_explorer_2.html#get_index/2","title":"aws_resource_explorer_2.get_index/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#get_index/3","title":"aws_resource_explorer_2.get_index/3","type":"function"},{"doc":"Retrieves details of the specified view.","ref":"aws_resource_explorer_2.html#get_view/2","title":"aws_resource_explorer_2.get_view/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#get_view/3","title":"aws_resource_explorer_2.get_view/3","type":"function"},{"doc":"Retrieves a list of all of the indexes in Amazon Web Services Regions that are currently collecting resource information for Amazon Web Services Resource Explorer.","ref":"aws_resource_explorer_2.html#list_indexes/2","title":"aws_resource_explorer_2.list_indexes/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#list_indexes/3","title":"aws_resource_explorer_2.list_indexes/3","type":"function"},{"doc":"Retrieves a list of all resource types currently supported by Amazon Web Services Resource Explorer.","ref":"aws_resource_explorer_2.html#list_supported_resource_types/2","title":"aws_resource_explorer_2.list_supported_resource_types/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#list_supported_resource_types/3","title":"aws_resource_explorer_2.list_supported_resource_types/3","type":"function"},{"doc":"Lists the tags that are attached to the specified resource.","ref":"aws_resource_explorer_2.html#list_tags_for_resource/2","title":"aws_resource_explorer_2.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#list_tags_for_resource/4","title":"aws_resource_explorer_2.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#list_tags_for_resource/5","title":"aws_resource_explorer_2.list_tags_for_resource/5","type":"function"},{"doc":"Lists the Amazon resource names (ARNs) of the views available in the Amazon Web Services Region in which you call this operation. Always check the NextToken response parameter for a null value when calling a paginated operation. These operations can occasionally return an empty set of results even when there are more results available. The NextToken response parameter value is null only when there are no more results to display.","ref":"aws_resource_explorer_2.html#list_views/2","title":"aws_resource_explorer_2.list_views/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#list_views/3","title":"aws_resource_explorer_2.list_views/3","type":"function"},{"doc":"Searches for resources and displays details about all resources that match the specified criteria. You must specify a query string. All search queries must use a view. If you don't explicitly specify a view, then Amazon Web Services Resource Explorer uses the default view for the Amazon Web Services Region in which you call this operation. The results are the logical intersection of the results that match both the QueryString parameter supplied to this operation and the SearchFilter parameter attached to the view. For the complete syntax supported by the QueryString parameter, see Search query syntax reference for Resource Explorer. If your search results are empty, or are missing results that you think should be there, see Troubleshooting Resource Explorer search.","ref":"aws_resource_explorer_2.html#search/2","title":"aws_resource_explorer_2.search/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#search/3","title":"aws_resource_explorer_2.search/3","type":"function"},{"doc":"Adds one or more tag key and value pairs to an Amazon Web Services Resource Explorer view or index.","ref":"aws_resource_explorer_2.html#tag_resource/3","title":"aws_resource_explorer_2.tag_resource/3","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#tag_resource/4","title":"aws_resource_explorer_2.tag_resource/4","type":"function"},{"doc":"Removes one or more tag key and value pairs from an Amazon Web Services Resource Explorer view or index.","ref":"aws_resource_explorer_2.html#untag_resource/3","title":"aws_resource_explorer_2.untag_resource/3","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#untag_resource/4","title":"aws_resource_explorer_2.untag_resource/4","type":"function"},{"doc":"Changes the type of the index from one of the following types to the other. For more information about indexes and the role they perform in Amazon Web Services Resource Explorer, see Turning on cross-Region search by creating an aggregator index in the Amazon Web Services Resource Explorer User Guide. AGGREGATOR index type The index contains information about resources from all Amazon Web Services Regions in the Amazon Web Services account in which you've created a Resource Explorer index. Resource information from all other Regions is replicated to this Region's index. When you change the index type to AGGREGATOR , Resource Explorer turns on replication of all discovered resource information from the other Amazon Web Services Regions in your account to this index. You can then, from this Region only, perform resource search queries that span all Amazon Web Services Regions in the Amazon Web Services account. Turning on replication from all other Regions is performed by asynchronous background tasks. You can check the status of the asynchronous tasks by using the GetIndex operation. When the asynchronous tasks complete, the Status response of that operation changes from UPDATING to ACTIVE . After that, you can start to see results from other Amazon Web Services Regions in query results. However, it can take several hours for replication from all other Regions to complete. You can have only one aggregator index per Amazon Web Services account. Before you can promote a different index to be the aggregator index for the account, you must first demote the existing aggregator index to type LOCAL . LOCAL index type The index contains information about resources in only the Amazon Web Services Region in which the index exists. If an aggregator index in another Region exists, then information in this local index is replicated to the aggregator index. When you change the index type to LOCAL , Resource Explorer turns off the replication of resource information from all other Amazon Web Services Regions in the Amazon Web Services account to this Region. The aggregator index remains in the UPDATING state until all replication with other Regions successfully stops. You can check the status of the asynchronous task by using the GetIndex operation. When Resource Explorer successfully stops all replication with other Regions, the Status response of that operation changes from UPDATING to ACTIVE . Separately, the resource information from other Regions that was previously stored in the index is deleted within 30 days by another background task. Until that asynchronous task completes, some results from other Regions can continue to appear in search results. After you demote an aggregator index to a local index, you must wait 24 hours before you can promote another index to be the new aggregator index for the account.","ref":"aws_resource_explorer_2.html#update_index_type/2","title":"aws_resource_explorer_2.update_index_type/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#update_index_type/3","title":"aws_resource_explorer_2.update_index_type/3","type":"function"},{"doc":"Modifies some of the details of a view. You can change the filter string and the list of included properties. You can't change the name of the view.","ref":"aws_resource_explorer_2.html#update_view/2","title":"aws_resource_explorer_2.update_view/2","type":"function"},{"doc":"","ref":"aws_resource_explorer_2.html#update_view/3","title":"aws_resource_explorer_2.update_view/3","type":"function"},{"doc":"Resource Groups lets you organize Amazon Web Services resources such as Amazon Elastic Compute Cloud instances, Amazon Relational Database Service databases, and Amazon Simple Storage Service buckets into groups using criteria that you define as tags. A resource group is a collection of resources that match the resource types specified in a query, and share one or more tags or portions of tags. You can create a group of resources based on their roles in your cloud infrastructure, lifecycle stages, regions, application layers, or virtually any criteria. Resource Groups enable you to automate management tasks, such as those in Amazon Web Services Systems Manager Automation documents, on tag-related resources in Amazon Web Services Systems Manager. Groups of tagged resources also let you quickly view a custom console in Amazon Web Services Systems Manager that shows Config compliance and other monitoring data about member resources. To create a resource group, build a resource query, and specify tags that identify the criteria that members of the group have in common. Tags are key-value pairs. For more information about Resource Groups, see the Resource Groups User Guide. Resource Groups uses a REST-compliant API that you can use to perform the following types of operations. Create, Read, Update, and Delete (CRUD) operations on resource groups and resource query entities Applying, editing, and removing tags from resource groups Resolving resource group member ARNs so they can be returned as search results Getting data about resources that are members of a group Searching Amazon Web Services resources based on a resource query","ref":"aws_resource_groups.html","title":"aws_resource_groups","type":"module"},{"doc":"Creates a resource group with the specified name and description. You can optionally include either a resource query or a service configuration. For more information about constructing a resource query, see Build queries and groups in Resource Groups in the Resource Groups User Guide. For more information about service-linked groups and service configurations, see Service configurations for Resource Groups. Minimum permissions To run this command, you must have the following permissions: resource-groups:CreateGroup","ref":"aws_resource_groups.html#create_group/2","title":"aws_resource_groups.create_group/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#create_group/3","title":"aws_resource_groups.create_group/3","type":"function"},{"doc":"Deletes the specified resource group. Deleting a resource group does not delete any resources that are members of the group; it only deletes the group structure. Minimum permissions To run this command, you must have the following permissions: resource-groups:DeleteGroup","ref":"aws_resource_groups.html#delete_group/2","title":"aws_resource_groups.delete_group/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#delete_group/3","title":"aws_resource_groups.delete_group/3","type":"function"},{"doc":"Retrieves the current status of optional features in Resource Groups.","ref":"aws_resource_groups.html#get_account_settings/2","title":"aws_resource_groups.get_account_settings/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#get_account_settings/3","title":"aws_resource_groups.get_account_settings/3","type":"function"},{"doc":"Returns information about a specified resource group. Minimum permissions To run this command, you must have the following permissions: resource-groups:GetGroup","ref":"aws_resource_groups.html#get_group/2","title":"aws_resource_groups.get_group/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#get_group/3","title":"aws_resource_groups.get_group/3","type":"function"},{"doc":"Retrieves the service configuration associated with the specified resource group. For details about the service configuration syntax, see Service configurations for Resource Groups. Minimum permissions To run this command, you must have the following permissions: resource-groups:GetGroupConfiguration","ref":"aws_resource_groups.html#get_group_configuration/2","title":"aws_resource_groups.get_group_configuration/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#get_group_configuration/3","title":"aws_resource_groups.get_group_configuration/3","type":"function"},{"doc":"Retrieves the resource query associated with the specified resource group. For more information about resource queries, see Create a tag-based group in Resource Groups. Minimum permissions To run this command, you must have the following permissions: resource-groups:GetGroupQuery","ref":"aws_resource_groups.html#get_group_query/2","title":"aws_resource_groups.get_group_query/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#get_group_query/3","title":"aws_resource_groups.get_group_query/3","type":"function"},{"doc":"Returns a list of tags that are associated with a resource group, specified by an ARN. Minimum permissions To run this command, you must have the following permissions: resource-groups:GetTags","ref":"aws_resource_groups.html#get_tags/2","title":"aws_resource_groups.get_tags/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#get_tags/4","title":"aws_resource_groups.get_tags/4","type":"function"},{"doc":"","ref":"aws_resource_groups.html#get_tags/5","title":"aws_resource_groups.get_tags/5","type":"function"},{"doc":"Adds the specified resources to the specified group. You can use this operation with only resource groups that are configured with the following types: AWS::EC2::HostManagement AWS::EC2::CapacityReservationPool Other resource group type and resource types aren't currently supported by this operation. Minimum permissions To run this command, you must have the following permissions: resource-groups:GroupResources","ref":"aws_resource_groups.html#group_resources/2","title":"aws_resource_groups.group_resources/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#group_resources/3","title":"aws_resource_groups.group_resources/3","type":"function"},{"doc":"Returns a list of ARNs of the resources that are members of a specified resource group. Minimum permissions To run this command, you must have the following permissions: resource-groups:ListGroupResources cloudformation:DescribeStacks cloudformation:ListStackResources tag:GetResources","ref":"aws_resource_groups.html#list_group_resources/2","title":"aws_resource_groups.list_group_resources/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#list_group_resources/3","title":"aws_resource_groups.list_group_resources/3","type":"function"},{"doc":"Returns a list of existing Resource Groups in your account. Minimum permissions To run this command, you must have the following permissions: resource-groups:ListGroups","ref":"aws_resource_groups.html#list_groups/2","title":"aws_resource_groups.list_groups/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#list_groups/3","title":"aws_resource_groups.list_groups/3","type":"function"},{"doc":"Attaches a service configuration to the specified group. This occurs asynchronously, and can take time to complete. You can use GetGroupConfiguration to check the status of the update. Minimum permissions To run this command, you must have the following permissions: resource-groups:PutGroupConfiguration","ref":"aws_resource_groups.html#put_group_configuration/2","title":"aws_resource_groups.put_group_configuration/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#put_group_configuration/3","title":"aws_resource_groups.put_group_configuration/3","type":"function"},{"doc":"Returns a list of Amazon Web Services resource identifiers that matches the specified query. The query uses the same format as a resource query in a CreateGroup or UpdateGroupQuery operation. Minimum permissions To run this command, you must have the following permissions: resource-groups:SearchResources cloudformation:DescribeStacks cloudformation:ListStackResources tag:GetResources","ref":"aws_resource_groups.html#search_resources/2","title":"aws_resource_groups.search_resources/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#search_resources/3","title":"aws_resource_groups.search_resources/3","type":"function"},{"doc":"Adds tags to a resource group with the specified ARN. Existing tags on a resource group are not changed if they are not specified in the request parameters. Do not store personally identifiable information (PII) or other confidential or sensitive information in tags. We use tags to provide you with billing and administration services. Tags are not intended to be used for private or sensitive data. Minimum permissions To run this command, you must have the following permissions: resource-groups:Tag","ref":"aws_resource_groups.html#tag/3","title":"aws_resource_groups.tag/3","type":"function"},{"doc":"","ref":"aws_resource_groups.html#tag/4","title":"aws_resource_groups.tag/4","type":"function"},{"doc":"Removes the specified resources from the specified group. This operation works only with static groups that you populated using the GroupResources operation. It doesn't work with any resource groups that are automatically populated by tag-based or CloudFormation stack-based queries. Minimum permissions To run this command, you must have the following permissions: resource-groups:UngroupResources","ref":"aws_resource_groups.html#ungroup_resources/2","title":"aws_resource_groups.ungroup_resources/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#ungroup_resources/3","title":"aws_resource_groups.ungroup_resources/3","type":"function"},{"doc":"Deletes tags from a specified resource group. Minimum permissions To run this command, you must have the following permissions: resource-groups:Untag","ref":"aws_resource_groups.html#untag/3","title":"aws_resource_groups.untag/3","type":"function"},{"doc":"","ref":"aws_resource_groups.html#untag/4","title":"aws_resource_groups.untag/4","type":"function"},{"doc":"Turns on or turns off optional features in Resource Groups. The preceding example shows that the request to turn on group lifecycle events is IN_PROGRESS . You can call the GetAccountSettings operation to check for completion by looking for GroupLifecycleEventsStatus to change to ACTIVE .","ref":"aws_resource_groups.html#update_account_settings/2","title":"aws_resource_groups.update_account_settings/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#update_account_settings/3","title":"aws_resource_groups.update_account_settings/3","type":"function"},{"doc":"Updates the description for an existing group. You cannot update the name of a resource group. Minimum permissions To run this command, you must have the following permissions: resource-groups:UpdateGroup","ref":"aws_resource_groups.html#update_group/2","title":"aws_resource_groups.update_group/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#update_group/3","title":"aws_resource_groups.update_group/3","type":"function"},{"doc":"Updates the resource query of a group. For more information about resource queries, see Create a tag-based group in Resource Groups. Minimum permissions To run this command, you must have the following permissions: resource-groups:UpdateGroupQuery","ref":"aws_resource_groups.html#update_group_query/2","title":"aws_resource_groups.update_group_query/2","type":"function"},{"doc":"","ref":"aws_resource_groups.html#update_group_query/3","title":"aws_resource_groups.update_group_query/3","type":"function"},{"doc":"Resource Groups Tagging API","ref":"aws_resource_groups_tagging_api.html","title":"aws_resource_groups_tagging_api","type":"module"},{"doc":"Describes the status of the StartReportCreation operation. You can call this operation only from the organization's management account and from the us-east-1 Region.","ref":"aws_resource_groups_tagging_api.html#describe_report_creation/2","title":"aws_resource_groups_tagging_api.describe_report_creation/2","type":"function"},{"doc":"","ref":"aws_resource_groups_tagging_api.html#describe_report_creation/3","title":"aws_resource_groups_tagging_api.describe_report_creation/3","type":"function"},{"doc":"Returns a table that shows counts of resources that are noncompliant with their tag policies. For more information on tag policies, see Tag Policies in the Organizations User Guide. You can call this operation only from the organization's management account and from the us-east-1 Region. This operation supports pagination, where the response can be sent in multiple pages. You should check the PaginationToken response parameter to determine if there are additional results available to return. Repeat the query, passing the PaginationToken response parameter value as an input to the next request until you recieve a null value. A null value for PaginationToken indicates that there are no more results waiting to be returned.","ref":"aws_resource_groups_tagging_api.html#get_compliance_summary/2","title":"aws_resource_groups_tagging_api.get_compliance_summary/2","type":"function"},{"doc":"","ref":"aws_resource_groups_tagging_api.html#get_compliance_summary/3","title":"aws_resource_groups_tagging_api.get_compliance_summary/3","type":"function"},{"doc":"Returns all the tagged or previously tagged resources that are located in the specified Amazon Web Services Region for the account. Depending on what information you want returned, you can also specify the following: Filters that specify what tags and resource types you want returned. The response includes all tags that are associated with the requested resources. Information about compliance with the account's effective tag policy. For more information on tag policies, see Tag Policies in the Organizations User Guide. This operation supports pagination, where the response can be sent in multiple pages. You should check the PaginationToken response parameter to determine if there are additional results available to return. Repeat the query, passing the PaginationToken response parameter value as an input to the next request until you recieve a null value. A null value for PaginationToken indicates that there are no more results waiting to be returned.","ref":"aws_resource_groups_tagging_api.html#get_resources/2","title":"aws_resource_groups_tagging_api.get_resources/2","type":"function"},{"doc":"","ref":"aws_resource_groups_tagging_api.html#get_resources/3","title":"aws_resource_groups_tagging_api.get_resources/3","type":"function"},{"doc":"Returns all tag keys currently in use in the specified Amazon Web Services Region for the calling account. This operation supports pagination, where the response can be sent in multiple pages. You should check the PaginationToken response parameter to determine if there are additional results available to return. Repeat the query, passing the PaginationToken response parameter value as an input to the next request until you recieve a null value. A null value for PaginationToken indicates that there are no more results waiting to be returned.","ref":"aws_resource_groups_tagging_api.html#get_tag_keys/2","title":"aws_resource_groups_tagging_api.get_tag_keys/2","type":"function"},{"doc":"","ref":"aws_resource_groups_tagging_api.html#get_tag_keys/3","title":"aws_resource_groups_tagging_api.get_tag_keys/3","type":"function"},{"doc":"Returns all tag values for the specified key that are used in the specified Amazon Web Services Region for the calling account. This operation supports pagination, where the response can be sent in multiple pages. You should check the PaginationToken response parameter to determine if there are additional results available to return. Repeat the query, passing the PaginationToken response parameter value as an input to the next request until you recieve a null value. A null value for PaginationToken indicates that there are no more results waiting to be returned.","ref":"aws_resource_groups_tagging_api.html#get_tag_values/2","title":"aws_resource_groups_tagging_api.get_tag_values/2","type":"function"},{"doc":"","ref":"aws_resource_groups_tagging_api.html#get_tag_values/3","title":"aws_resource_groups_tagging_api.get_tag_values/3","type":"function"},{"doc":"Generates a report that lists all tagged resources in the accounts across your organization and tells whether each resource is compliant with the effective tag policy. Compliance data is refreshed daily. The report is generated asynchronously. The generated report is saved to the following location: s3://example-bucket/AwsTagPolicies/o-exampleorgid/YYYY-MM-ddTHH:mm:ssZ/report.csv You can call this operation only from the organization's management account and from the us-east-1 Region.","ref":"aws_resource_groups_tagging_api.html#start_report_creation/2","title":"aws_resource_groups_tagging_api.start_report_creation/2","type":"function"},{"doc":"","ref":"aws_resource_groups_tagging_api.html#start_report_creation/3","title":"aws_resource_groups_tagging_api.start_report_creation/3","type":"function"},{"doc":"Applies one or more tags to the specified resources. Note the following: Not all resources can have tags. For a list of services with resources that support tagging using this operation, see Services that support the Resource Groups Tagging API. If the resource doesn't yet support this operation, the resource's service might support tagging using its own API operations. For more information, refer to the documentation for that service. Each resource can have up to 50 tags. For other limits, see Tag Naming and Usage Conventions in the Amazon Web Services General Reference. You can only tag resources that are located in the specified Amazon Web Services Region for the Amazon Web Services account. To add tags to a resource, you need the necessary permissions for the service that the resource belongs to as well as permissions for adding tags. For more information, see the documentation for each service. Do not store personally identifiable information (PII) or other confidential or sensitive information in tags. We use tags to provide you with billing and administration services. Tags are not intended to be used for private or sensitive data. Minimum permissions In addition to the tag:TagResources permission required by this operation, you must also have the tagging permission defined by the service that created the resource. For example, to tag an Amazon EC2 instance using the TagResources operation, you must have both of the following permissions: tag:TagResource ec2:CreateTags","ref":"aws_resource_groups_tagging_api.html#tag_resources/2","title":"aws_resource_groups_tagging_api.tag_resources/2","type":"function"},{"doc":"","ref":"aws_resource_groups_tagging_api.html#tag_resources/3","title":"aws_resource_groups_tagging_api.tag_resources/3","type":"function"},{"doc":"Removes the specified tags from the specified resources. When you specify a tag key, the action removes both that key and its associated value. The operation succeeds even if you attempt to remove tags from a resource that were already removed. Note the following: To remove tags from a resource, you need the necessary permissions for the service that the resource belongs to as well as permissions for removing tags. For more information, see the documentation for the service whose resource you want to untag. You can only tag resources that are located in the specified Amazon Web Services Region for the calling Amazon Web Services account. Minimum permissions In addition to the tag:UntagResources permission required by this operation, you must also have the remove tags permission defined by the service that created the resource. For example, to remove the tags from an Amazon EC2 instance using the UntagResources operation, you must have both of the following permissions: tag:UntagResource ec2:DeleteTags","ref":"aws_resource_groups_tagging_api.html#untag_resources/2","title":"aws_resource_groups_tagging_api.untag_resources/2","type":"function"},{"doc":"","ref":"aws_resource_groups_tagging_api.html#untag_resources/3","title":"aws_resource_groups_tagging_api.untag_resources/3","type":"function"},{"doc":"This section provides documentation for the AWS RoboMaker API operations.","ref":"aws_robomaker.html","title":"aws_robomaker","type":"module"},{"doc":"Deletes one or more worlds in a batch operation.","ref":"aws_robomaker.html#batch_delete_worlds/2","title":"aws_robomaker.batch_delete_worlds/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#batch_delete_worlds/3","title":"aws_robomaker.batch_delete_worlds/3","type":"function"},{"doc":"Describes one or more simulation jobs.","ref":"aws_robomaker.html#batch_describe_simulation_job/2","title":"aws_robomaker.batch_describe_simulation_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#batch_describe_simulation_job/3","title":"aws_robomaker.batch_describe_simulation_job/3","type":"function"},{"doc":"Cancels the specified deployment job. This API will no longer be supported as of May 2, 2022. Use it to remove resources that were created for Deployment Service.","ref":"aws_robomaker.html#cancel_deployment_job/2","title":"aws_robomaker.cancel_deployment_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#cancel_deployment_job/3","title":"aws_robomaker.cancel_deployment_job/3","type":"function"},{"doc":"Cancels the specified simulation job.","ref":"aws_robomaker.html#cancel_simulation_job/2","title":"aws_robomaker.cancel_simulation_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#cancel_simulation_job/3","title":"aws_robomaker.cancel_simulation_job/3","type":"function"},{"doc":"Cancels a simulation job batch. When you cancel a simulation job batch, you are also cancelling all of the active simulation jobs created as part of the batch.","ref":"aws_robomaker.html#cancel_simulation_job_batch/2","title":"aws_robomaker.cancel_simulation_job_batch/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#cancel_simulation_job_batch/3","title":"aws_robomaker.cancel_simulation_job_batch/3","type":"function"},{"doc":"Cancels the specified export job.","ref":"aws_robomaker.html#cancel_world_export_job/2","title":"aws_robomaker.cancel_world_export_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#cancel_world_export_job/3","title":"aws_robomaker.cancel_world_export_job/3","type":"function"},{"doc":"Cancels the specified world generator job.","ref":"aws_robomaker.html#cancel_world_generation_job/2","title":"aws_robomaker.cancel_world_generation_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#cancel_world_generation_job/3","title":"aws_robomaker.cancel_world_generation_job/3","type":"function"},{"doc":"Deploys a specific version of a robot application to robots in a fleet. This API is no longer supported and will throw an error if used. The robot application must have a numbered applicationVersion for consistency reasons. To create a new version, use CreateRobotApplicationVersion or see Creating a Robot Application Version. After 90 days, deployment jobs expire and will be deleted. They will no longer be accessible.","ref":"aws_robomaker.html#create_deployment_job/2","title":"aws_robomaker.create_deployment_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#create_deployment_job/3","title":"aws_robomaker.create_deployment_job/3","type":"function"},{"doc":"Creates a fleet, a logical group of robots running the same robot application. This API is no longer supported and will throw an error if used.","ref":"aws_robomaker.html#create_fleet/2","title":"aws_robomaker.create_fleet/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#create_fleet/3","title":"aws_robomaker.create_fleet/3","type":"function"},{"doc":"Creates a robot. This API is no longer supported and will throw an error if used.","ref":"aws_robomaker.html#create_robot/2","title":"aws_robomaker.create_robot/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#create_robot/3","title":"aws_robomaker.create_robot/3","type":"function"},{"doc":"Creates a robot application.","ref":"aws_robomaker.html#create_robot_application/2","title":"aws_robomaker.create_robot_application/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#create_robot_application/3","title":"aws_robomaker.create_robot_application/3","type":"function"},{"doc":"Creates a version of a robot application.","ref":"aws_robomaker.html#create_robot_application_version/2","title":"aws_robomaker.create_robot_application_version/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#create_robot_application_version/3","title":"aws_robomaker.create_robot_application_version/3","type":"function"},{"doc":"Creates a simulation application.","ref":"aws_robomaker.html#create_simulation_application/2","title":"aws_robomaker.create_simulation_application/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#create_simulation_application/3","title":"aws_robomaker.create_simulation_application/3","type":"function"},{"doc":"Creates a simulation application with a specific revision id.","ref":"aws_robomaker.html#create_simulation_application_version/2","title":"aws_robomaker.create_simulation_application_version/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#create_simulation_application_version/3","title":"aws_robomaker.create_simulation_application_version/3","type":"function"},{"doc":"Creates a simulation job. After 90 days, simulation jobs expire and will be deleted. They will no longer be accessible.","ref":"aws_robomaker.html#create_simulation_job/2","title":"aws_robomaker.create_simulation_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#create_simulation_job/3","title":"aws_robomaker.create_simulation_job/3","type":"function"},{"doc":"Creates a world export job.","ref":"aws_robomaker.html#create_world_export_job/2","title":"aws_robomaker.create_world_export_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#create_world_export_job/3","title":"aws_robomaker.create_world_export_job/3","type":"function"},{"doc":"Creates worlds using the specified template.","ref":"aws_robomaker.html#create_world_generation_job/2","title":"aws_robomaker.create_world_generation_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#create_world_generation_job/3","title":"aws_robomaker.create_world_generation_job/3","type":"function"},{"doc":"Creates a world template.","ref":"aws_robomaker.html#create_world_template/2","title":"aws_robomaker.create_world_template/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#create_world_template/3","title":"aws_robomaker.create_world_template/3","type":"function"},{"doc":"Deletes a fleet. This API will no longer be supported as of May 2, 2022. Use it to remove resources that were created for Deployment Service.","ref":"aws_robomaker.html#delete_fleet/2","title":"aws_robomaker.delete_fleet/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#delete_fleet/3","title":"aws_robomaker.delete_fleet/3","type":"function"},{"doc":"Deletes a robot. This API will no longer be supported as of May 2, 2022. Use it to remove resources that were created for Deployment Service.","ref":"aws_robomaker.html#delete_robot/2","title":"aws_robomaker.delete_robot/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#delete_robot/3","title":"aws_robomaker.delete_robot/3","type":"function"},{"doc":"Deletes a robot application.","ref":"aws_robomaker.html#delete_robot_application/2","title":"aws_robomaker.delete_robot_application/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#delete_robot_application/3","title":"aws_robomaker.delete_robot_application/3","type":"function"},{"doc":"Deletes a simulation application.","ref":"aws_robomaker.html#delete_simulation_application/2","title":"aws_robomaker.delete_simulation_application/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#delete_simulation_application/3","title":"aws_robomaker.delete_simulation_application/3","type":"function"},{"doc":"Deletes a world template.","ref":"aws_robomaker.html#delete_world_template/2","title":"aws_robomaker.delete_world_template/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#delete_world_template/3","title":"aws_robomaker.delete_world_template/3","type":"function"},{"doc":"Deregisters a robot. This API will no longer be supported as of May 2, 2022. Use it to remove resources that were created for Deployment Service.","ref":"aws_robomaker.html#deregister_robot/2","title":"aws_robomaker.deregister_robot/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#deregister_robot/3","title":"aws_robomaker.deregister_robot/3","type":"function"},{"doc":"Describes a deployment job. This API will no longer be supported as of May 2, 2022. Use it to remove resources that were created for Deployment Service.","ref":"aws_robomaker.html#describe_deployment_job/2","title":"aws_robomaker.describe_deployment_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#describe_deployment_job/3","title":"aws_robomaker.describe_deployment_job/3","type":"function"},{"doc":"Describes a fleet. This API will no longer be supported as of May 2, 2022. Use it to remove resources that were created for Deployment Service.","ref":"aws_robomaker.html#describe_fleet/2","title":"aws_robomaker.describe_fleet/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#describe_fleet/3","title":"aws_robomaker.describe_fleet/3","type":"function"},{"doc":"Describes a robot. This API will no longer be supported as of May 2, 2022. Use it to remove resources that were created for Deployment Service.","ref":"aws_robomaker.html#describe_robot/2","title":"aws_robomaker.describe_robot/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#describe_robot/3","title":"aws_robomaker.describe_robot/3","type":"function"},{"doc":"Describes a robot application.","ref":"aws_robomaker.html#describe_robot_application/2","title":"aws_robomaker.describe_robot_application/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#describe_robot_application/3","title":"aws_robomaker.describe_robot_application/3","type":"function"},{"doc":"Describes a simulation application.","ref":"aws_robomaker.html#describe_simulation_application/2","title":"aws_robomaker.describe_simulation_application/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#describe_simulation_application/3","title":"aws_robomaker.describe_simulation_application/3","type":"function"},{"doc":"Describes a simulation job.","ref":"aws_robomaker.html#describe_simulation_job/2","title":"aws_robomaker.describe_simulation_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#describe_simulation_job/3","title":"aws_robomaker.describe_simulation_job/3","type":"function"},{"doc":"Describes a simulation job batch.","ref":"aws_robomaker.html#describe_simulation_job_batch/2","title":"aws_robomaker.describe_simulation_job_batch/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#describe_simulation_job_batch/3","title":"aws_robomaker.describe_simulation_job_batch/3","type":"function"},{"doc":"Describes a world.","ref":"aws_robomaker.html#describe_world/2","title":"aws_robomaker.describe_world/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#describe_world/3","title":"aws_robomaker.describe_world/3","type":"function"},{"doc":"Describes a world export job.","ref":"aws_robomaker.html#describe_world_export_job/2","title":"aws_robomaker.describe_world_export_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#describe_world_export_job/3","title":"aws_robomaker.describe_world_export_job/3","type":"function"},{"doc":"Describes a world generation job.","ref":"aws_robomaker.html#describe_world_generation_job/2","title":"aws_robomaker.describe_world_generation_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#describe_world_generation_job/3","title":"aws_robomaker.describe_world_generation_job/3","type":"function"},{"doc":"Describes a world template.","ref":"aws_robomaker.html#describe_world_template/2","title":"aws_robomaker.describe_world_template/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#describe_world_template/3","title":"aws_robomaker.describe_world_template/3","type":"function"},{"doc":"Gets the world template body.","ref":"aws_robomaker.html#get_world_template_body/2","title":"aws_robomaker.get_world_template_body/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#get_world_template_body/3","title":"aws_robomaker.get_world_template_body/3","type":"function"},{"doc":"Returns a list of deployment jobs for a fleet. You can optionally provide filters to retrieve specific deployment jobs. This API will no longer be supported as of May 2, 2022. Use it to remove resources that were created for Deployment Service.","ref":"aws_robomaker.html#list_deployment_jobs/2","title":"aws_robomaker.list_deployment_jobs/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_deployment_jobs/3","title":"aws_robomaker.list_deployment_jobs/3","type":"function"},{"doc":"Returns a list of fleets. You can optionally provide filters to retrieve specific fleets. This API will no longer be supported as of May 2, 2022. Use it to remove resources that were created for Deployment Service.","ref":"aws_robomaker.html#list_fleets/2","title":"aws_robomaker.list_fleets/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_fleets/3","title":"aws_robomaker.list_fleets/3","type":"function"},{"doc":"Returns a list of robot application. You can optionally provide filters to retrieve specific robot applications.","ref":"aws_robomaker.html#list_robot_applications/2","title":"aws_robomaker.list_robot_applications/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_robot_applications/3","title":"aws_robomaker.list_robot_applications/3","type":"function"},{"doc":"Returns a list of robots. You can optionally provide filters to retrieve specific robots. This API will no longer be supported as of May 2, 2022. Use it to remove resources that were created for Deployment Service.","ref":"aws_robomaker.html#list_robots/2","title":"aws_robomaker.list_robots/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_robots/3","title":"aws_robomaker.list_robots/3","type":"function"},{"doc":"Returns a list of simulation applications. You can optionally provide filters to retrieve specific simulation applications.","ref":"aws_robomaker.html#list_simulation_applications/2","title":"aws_robomaker.list_simulation_applications/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_simulation_applications/3","title":"aws_robomaker.list_simulation_applications/3","type":"function"},{"doc":"Returns a list simulation job batches. You can optionally provide filters to retrieve specific simulation batch jobs.","ref":"aws_robomaker.html#list_simulation_job_batches/2","title":"aws_robomaker.list_simulation_job_batches/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_simulation_job_batches/3","title":"aws_robomaker.list_simulation_job_batches/3","type":"function"},{"doc":"Returns a list of simulation jobs. You can optionally provide filters to retrieve specific simulation jobs.","ref":"aws_robomaker.html#list_simulation_jobs/2","title":"aws_robomaker.list_simulation_jobs/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_simulation_jobs/3","title":"aws_robomaker.list_simulation_jobs/3","type":"function"},{"doc":"Lists all tags on a AWS RoboMaker resource.","ref":"aws_robomaker.html#list_tags_for_resource/2","title":"aws_robomaker.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_tags_for_resource/4","title":"aws_robomaker.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_tags_for_resource/5","title":"aws_robomaker.list_tags_for_resource/5","type":"function"},{"doc":"Lists world export jobs.","ref":"aws_robomaker.html#list_world_export_jobs/2","title":"aws_robomaker.list_world_export_jobs/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_world_export_jobs/3","title":"aws_robomaker.list_world_export_jobs/3","type":"function"},{"doc":"Lists world generator jobs.","ref":"aws_robomaker.html#list_world_generation_jobs/2","title":"aws_robomaker.list_world_generation_jobs/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_world_generation_jobs/3","title":"aws_robomaker.list_world_generation_jobs/3","type":"function"},{"doc":"Lists world templates.","ref":"aws_robomaker.html#list_world_templates/2","title":"aws_robomaker.list_world_templates/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_world_templates/3","title":"aws_robomaker.list_world_templates/3","type":"function"},{"doc":"Lists worlds.","ref":"aws_robomaker.html#list_worlds/2","title":"aws_robomaker.list_worlds/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#list_worlds/3","title":"aws_robomaker.list_worlds/3","type":"function"},{"doc":"Registers a robot with a fleet. This API is no longer supported and will throw an error if used.","ref":"aws_robomaker.html#register_robot/2","title":"aws_robomaker.register_robot/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#register_robot/3","title":"aws_robomaker.register_robot/3","type":"function"},{"doc":"Restarts a running simulation job.","ref":"aws_robomaker.html#restart_simulation_job/2","title":"aws_robomaker.restart_simulation_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#restart_simulation_job/3","title":"aws_robomaker.restart_simulation_job/3","type":"function"},{"doc":"Starts a new simulation job batch. The batch is defined using one or more SimulationJobRequest objects.","ref":"aws_robomaker.html#start_simulation_job_batch/2","title":"aws_robomaker.start_simulation_job_batch/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#start_simulation_job_batch/3","title":"aws_robomaker.start_simulation_job_batch/3","type":"function"},{"doc":"Syncrhonizes robots in a fleet to the latest deployment. This is helpful if robots were added after a deployment. This API will no longer be supported as of May 2, 2022. Use it to remove resources that were created for Deployment Service.","ref":"aws_robomaker.html#sync_deployment_job/2","title":"aws_robomaker.sync_deployment_job/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#sync_deployment_job/3","title":"aws_robomaker.sync_deployment_job/3","type":"function"},{"doc":"Adds or edits tags for a AWS RoboMaker resource. Each tag consists of a tag key and a tag value. Tag keys and tag values are both required, but tag values can be empty strings. For information about the rules that apply to tag keys and tag values, see User-Defined Tag Restrictions in the AWS Billing and Cost Management User Guide.","ref":"aws_robomaker.html#tag_resource/3","title":"aws_robomaker.tag_resource/3","type":"function"},{"doc":"","ref":"aws_robomaker.html#tag_resource/4","title":"aws_robomaker.tag_resource/4","type":"function"},{"doc":"Removes the specified tags from the specified AWS RoboMaker resource. To remove a tag, specify the tag key. To change the tag value of an existing tag key, use TagResource .","ref":"aws_robomaker.html#untag_resource/3","title":"aws_robomaker.untag_resource/3","type":"function"},{"doc":"","ref":"aws_robomaker.html#untag_resource/4","title":"aws_robomaker.untag_resource/4","type":"function"},{"doc":"Updates a robot application.","ref":"aws_robomaker.html#update_robot_application/2","title":"aws_robomaker.update_robot_application/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#update_robot_application/3","title":"aws_robomaker.update_robot_application/3","type":"function"},{"doc":"Updates a simulation application.","ref":"aws_robomaker.html#update_simulation_application/2","title":"aws_robomaker.update_simulation_application/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#update_simulation_application/3","title":"aws_robomaker.update_simulation_application/3","type":"function"},{"doc":"Updates a world template.","ref":"aws_robomaker.html#update_world_template/2","title":"aws_robomaker.update_world_template/2","type":"function"},{"doc":"","ref":"aws_robomaker.html#update_world_template/3","title":"aws_robomaker.update_world_template/3","type":"function"},{"doc":"AWS Identity and Access Management Roles Anywhere provides a secure way for your workloads such as servers, containers, and applications running outside of AWS to obtain Temporary AWS credentials. Your workloads can use the same IAM policies and roles that you have configured with native AWS applications to access AWS resources. Using IAM Roles Anywhere will eliminate the need to manage long term credentials for workloads running outside of AWS. To use IAM Roles Anywhere customer workloads will need to use X.509 certificates issued by their Certificate Authority (CA) . The Certificate Authority (CA) needs to be registered with IAM Roles Anywhere as a trust anchor to establish trust between customer PKI and IAM Roles Anywhere. Customers who do not manage their own PKI system can use AWS Certificate Manager Private Certificate Authority (ACM PCA) to create a Certificate Authority and use that to establish trust with IAM Roles Anywhere This guide describes the IAM rolesanywhere operations that you can call programmatically. For general information about IAM Roles Anywhere see https://docs.aws.amazon.com/","ref":"aws_rolesanywhere.html","title":"aws_rolesanywhere","type":"module"},{"doc":"Creates a profile. A profile is configuration resource to list the roles that RolesAnywhere service is trusted to assume. In addition, by applying a profile you can intersect permissions with IAM managed policies. Required permissions: rolesanywhere:CreateProfile .","ref":"aws_rolesanywhere.html#create_profile/2","title":"aws_rolesanywhere.create_profile/2","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#create_profile/3","title":"aws_rolesanywhere.create_profile/3","type":"function"},{"doc":"Creates a trust anchor. You establish trust between IAM Roles Anywhere and your certificate authority (CA) by configuring a trust anchor. A Trust Anchor is defined either as a reference to a AWS Certificate Manager Private Certificate Authority (ACM PCA), or by uploading a Certificate Authority (CA) certificate. Your AWS workloads can authenticate with the trust anchor using certificates issued by the trusted Certificate Authority (CA) in exchange for temporary AWS credentials. Required permissions: rolesanywhere:CreateTrustAnchor .","ref":"aws_rolesanywhere.html#create_trust_anchor/2","title":"aws_rolesanywhere.create_trust_anchor/2","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#create_trust_anchor/3","title":"aws_rolesanywhere.create_trust_anchor/3","type":"function"},{"doc":"Deletes a certificate revocation list (CRL). Required permissions: rolesanywhere:DeleteCrl .","ref":"aws_rolesanywhere.html#delete_crl/3","title":"aws_rolesanywhere.delete_crl/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#delete_crl/4","title":"aws_rolesanywhere.delete_crl/4","type":"function"},{"doc":"Deletes a profile. Required permissions: rolesanywhere:DeleteProfile .","ref":"aws_rolesanywhere.html#delete_profile/3","title":"aws_rolesanywhere.delete_profile/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#delete_profile/4","title":"aws_rolesanywhere.delete_profile/4","type":"function"},{"doc":"Deletes a trust anchor. Required permissions: rolesanywhere:DeleteTrustAnchor .","ref":"aws_rolesanywhere.html#delete_trust_anchor/3","title":"aws_rolesanywhere.delete_trust_anchor/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#delete_trust_anchor/4","title":"aws_rolesanywhere.delete_trust_anchor/4","type":"function"},{"doc":"Disables a certificate revocation list (CRL). Required permissions: rolesanywhere:DisableCrl .","ref":"aws_rolesanywhere.html#disable_crl/3","title":"aws_rolesanywhere.disable_crl/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#disable_crl/4","title":"aws_rolesanywhere.disable_crl/4","type":"function"},{"doc":"Disables a profile. When disabled, CreateSession requests with this profile fail. Required permissions: rolesanywhere:DisableProfile .","ref":"aws_rolesanywhere.html#disable_profile/3","title":"aws_rolesanywhere.disable_profile/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#disable_profile/4","title":"aws_rolesanywhere.disable_profile/4","type":"function"},{"doc":"Disables a trust anchor. When disabled, CreateSession requests specifying this trust anchor are unauthorized. Required permissions: rolesanywhere:DisableTrustAnchor .","ref":"aws_rolesanywhere.html#disable_trust_anchor/3","title":"aws_rolesanywhere.disable_trust_anchor/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#disable_trust_anchor/4","title":"aws_rolesanywhere.disable_trust_anchor/4","type":"function"},{"doc":"Enables a certificate revocation list (CRL). When enabled, certificates stored in the CRL are unauthorized to receive session credentials. Required permissions: rolesanywhere:EnableCrl .","ref":"aws_rolesanywhere.html#enable_crl/3","title":"aws_rolesanywhere.enable_crl/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#enable_crl/4","title":"aws_rolesanywhere.enable_crl/4","type":"function"},{"doc":"Enables the roles in a profile to receive session credentials in CreateSession. Required permissions: rolesanywhere:EnableProfile .","ref":"aws_rolesanywhere.html#enable_profile/3","title":"aws_rolesanywhere.enable_profile/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#enable_profile/4","title":"aws_rolesanywhere.enable_profile/4","type":"function"},{"doc":"Enables a trust anchor. When enabled, certificates in the trust anchor chain are authorized for trust validation. Required permissions: rolesanywhere:EnableTrustAnchor .","ref":"aws_rolesanywhere.html#enable_trust_anchor/3","title":"aws_rolesanywhere.enable_trust_anchor/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#enable_trust_anchor/4","title":"aws_rolesanywhere.enable_trust_anchor/4","type":"function"},{"doc":"Gets a certificate revocation list (CRL). Required permissions: rolesanywhere:GetCrl .","ref":"aws_rolesanywhere.html#get_crl/2","title":"aws_rolesanywhere.get_crl/2","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#get_crl/4","title":"aws_rolesanywhere.get_crl/4","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#get_crl/5","title":"aws_rolesanywhere.get_crl/5","type":"function"},{"doc":"Gets a profile. Required permissions: rolesanywhere:GetProfile .","ref":"aws_rolesanywhere.html#get_profile/2","title":"aws_rolesanywhere.get_profile/2","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#get_profile/4","title":"aws_rolesanywhere.get_profile/4","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#get_profile/5","title":"aws_rolesanywhere.get_profile/5","type":"function"},{"doc":"Gets a Subject. A Subject associates a certificate identity with authentication attempts by CreateSession. The Subject resources stores audit information such as status of the last authentication attempt, the certificate data used in the attempt, and the last time the associated identity attempted authentication. Required permissions: rolesanywhere:GetSubject .","ref":"aws_rolesanywhere.html#get_subject/2","title":"aws_rolesanywhere.get_subject/2","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#get_subject/4","title":"aws_rolesanywhere.get_subject/4","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#get_subject/5","title":"aws_rolesanywhere.get_subject/5","type":"function"},{"doc":"Gets a trust anchor. Required permissions: rolesanywhere:GetTrustAnchor .","ref":"aws_rolesanywhere.html#get_trust_anchor/2","title":"aws_rolesanywhere.get_trust_anchor/2","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#get_trust_anchor/4","title":"aws_rolesanywhere.get_trust_anchor/4","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#get_trust_anchor/5","title":"aws_rolesanywhere.get_trust_anchor/5","type":"function"},{"doc":"Imports the certificate revocation list (CRL). CRl is a list of certificates that have been revoked by the issuing certificate Authority (CA). IAM Roles Anywhere validates against the crl list before issuing credentials. Required permissions: rolesanywhere:ImportCrl .","ref":"aws_rolesanywhere.html#import_crl/2","title":"aws_rolesanywhere.import_crl/2","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#import_crl/3","title":"aws_rolesanywhere.import_crl/3","type":"function"},{"doc":"Lists all Crls in the authenticated account and Amazon Web Services Region. Required permissions: rolesanywhere:ListCrls .","ref":"aws_rolesanywhere.html#list_crls/1","title":"aws_rolesanywhere.list_crls/1","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#list_crls/3","title":"aws_rolesanywhere.list_crls/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#list_crls/4","title":"aws_rolesanywhere.list_crls/4","type":"function"},{"doc":"Lists all profiles in the authenticated account and Amazon Web Services Region. Required permissions: rolesanywhere:ListProfiles .","ref":"aws_rolesanywhere.html#list_profiles/1","title":"aws_rolesanywhere.list_profiles/1","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#list_profiles/3","title":"aws_rolesanywhere.list_profiles/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#list_profiles/4","title":"aws_rolesanywhere.list_profiles/4","type":"function"},{"doc":"Lists the subjects in the authenticated account and Amazon Web Services Region. Required permissions: rolesanywhere:ListSubjects .","ref":"aws_rolesanywhere.html#list_subjects/1","title":"aws_rolesanywhere.list_subjects/1","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#list_subjects/3","title":"aws_rolesanywhere.list_subjects/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#list_subjects/4","title":"aws_rolesanywhere.list_subjects/4","type":"function"},{"doc":"Lists the tags attached to the resource. Required permissions: rolesanywhere:ListTagsForResource .","ref":"aws_rolesanywhere.html#list_tags_for_resource/2","title":"aws_rolesanywhere.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#list_tags_for_resource/4","title":"aws_rolesanywhere.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#list_tags_for_resource/5","title":"aws_rolesanywhere.list_tags_for_resource/5","type":"function"},{"doc":"Lists the trust anchors in the authenticated account and Amazon Web Services Region. Required permissions: rolesanywhere:ListTrustAnchors .","ref":"aws_rolesanywhere.html#list_trust_anchors/1","title":"aws_rolesanywhere.list_trust_anchors/1","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#list_trust_anchors/3","title":"aws_rolesanywhere.list_trust_anchors/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#list_trust_anchors/4","title":"aws_rolesanywhere.list_trust_anchors/4","type":"function"},{"doc":"Attaches tags to a resource. Required permissions: rolesanywhere:TagResource .","ref":"aws_rolesanywhere.html#tag_resource/2","title":"aws_rolesanywhere.tag_resource/2","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#tag_resource/3","title":"aws_rolesanywhere.tag_resource/3","type":"function"},{"doc":"Removes tags from the resource. Required permissions: rolesanywhere:UntagResource .","ref":"aws_rolesanywhere.html#untag_resource/2","title":"aws_rolesanywhere.untag_resource/2","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#untag_resource/3","title":"aws_rolesanywhere.untag_resource/3","type":"function"},{"doc":"Updates the certificate revocation list (CRL). CRl is a list of certificates that have been revoked by the issuing certificate Authority (CA). IAM Roles Anywhere validates against the crl list before issuing credentials. Required permissions: rolesanywhere:UpdateCrl .","ref":"aws_rolesanywhere.html#update_crl/3","title":"aws_rolesanywhere.update_crl/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#update_crl/4","title":"aws_rolesanywhere.update_crl/4","type":"function"},{"doc":"Updates the profile. A profile is configuration resource to list the roles that RolesAnywhere service is trusted to assume. In addition, by applying a profile you can scope-down permissions with IAM managed policies. Required permissions: rolesanywhere:UpdateProfile .","ref":"aws_rolesanywhere.html#update_profile/3","title":"aws_rolesanywhere.update_profile/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#update_profile/4","title":"aws_rolesanywhere.update_profile/4","type":"function"},{"doc":"Updates the trust anchor.You establish trust between IAM Roles Anywhere and your certificate authority (CA) by configuring a trust anchor. A Trust Anchor is defined either as a reference to a AWS Certificate Manager Private Certificate Authority (ACM PCA), or by uploading a Certificate Authority (CA) certificate. Your AWS workloads can authenticate with the trust anchor using certificates issued by the trusted Certificate Authority (CA) in exchange for temporary AWS credentials. Required permissions: rolesanywhere:UpdateTrustAnchor .","ref":"aws_rolesanywhere.html#update_trust_anchor/3","title":"aws_rolesanywhere.update_trust_anchor/3","type":"function"},{"doc":"","ref":"aws_rolesanywhere.html#update_trust_anchor/4","title":"aws_rolesanywhere.update_trust_anchor/4","type":"function"},{"doc":"Amazon Route 53 is a highly available and scalable Domain Name System (DNS) web service. You can use Route 53 to: Register domain names. For more information, see How domain registration works. Route internet traffic to the resources for your domain For more information, see How internet traffic is routed to your website or web application. Check the health of your resources. For more information, see How Route 53 checks the health of your resources.","ref":"aws_route53.html","title":"aws_route53","type":"module"},{"doc":"Activates a key-signing key (KSK) so that it can be used for signing by DNSSEC. This operation changes the KSK status to ACTIVE .","ref":"aws_route53.html#activate_key_signing_key/4","title":"aws_route53.activate_key_signing_key/4","type":"function"},{"doc":"","ref":"aws_route53.html#activate_key_signing_key/5","title":"aws_route53.activate_key_signing_key/5","type":"function"},{"doc":"Associates an Amazon VPC with a private hosted zone. To perform the association, the VPC and the private hosted zone must already exist. You can't convert a public hosted zone into a private hosted zone. If you want to associate a VPC that was created by using one Amazon Web Services account with a private hosted zone that was created by using a different account, the Amazon Web Services account that created the private hosted zone must first submit a CreateVPCAssociationAuthorization request. Then the account that created the VPC must submit an AssociateVPCWithHostedZone request. When granting access, the hosted zone and the Amazon VPC must belong to the same partition. A partition is a group of Amazon Web Services Regions. Each Amazon Web Services account is scoped to one partition. The following are the supported partitions: aws - Amazon Web Services Regions aws-cn - China Regions aws-us-gov - Amazon Web Services GovCloud (US) Region For more information, see Access Management in the Amazon Web Services General Reference.","ref":"aws_route53.html#associate_vpc_with_hosted_zone/3","title":"aws_route53.associate_vpc_with_hosted_zone/3","type":"function"},{"doc":"","ref":"aws_route53.html#associate_vpc_with_hosted_zone/4","title":"aws_route53.associate_vpc_with_hosted_zone/4","type":"function"},{"doc":"Creates, changes, or deletes CIDR blocks within a collection. Contains authoritative IP information mapping blocks to one or multiple locations. A change request can update multiple locations in a collection at a time, which is helpful if you want to move one or more CIDR blocks from one location to another in one transaction, without downtime. Limits The max number of CIDR blocks included in the request is 1000. As a result, big updates require multiple API calls. PUT and DELETE_IF_EXISTS Use ChangeCidrCollection to perform the following actions: PUT : Create a CIDR block within the specified collection. DELETE_IF_EXISTS : Delete an existing CIDR block from the collection.","ref":"aws_route53.html#change_cidr_collection/3","title":"aws_route53.change_cidr_collection/3","type":"function"},{"doc":"","ref":"aws_route53.html#change_cidr_collection/4","title":"aws_route53.change_cidr_collection/4","type":"function"},{"doc":"Creates, changes, or deletes a resource record set, which contains authoritative DNS information for a specified domain name or subdomain name. For example, you can use ChangeResourceRecordSets to create a resource record set that routes traffic for test.example.com to a web server that has an IP address of 192.0.2.44. Deleting Resource Record Sets To delete a resource record set, you must specify all the same values that you specified when you created it. Change Batches and Transactional Changes The request body must include a document with a ChangeResourceRecordSetsRequest element. The request body contains a list of change items, known as a change batch. Change batches are considered transactional changes. Route 53 validates the changes in the request and then either makes all or none of the changes in the change batch request. This ensures that DNS routing isn't adversely affected by partial changes to the resource record sets in a hosted zone. For example, suppose a change batch request contains two changes: it deletes the CNAME resource record set for www.example.com and creates an alias resource record set for www.example.com. If validation for both records succeeds, Route 53 deletes the first resource record set and creates the second resource record set in a single operation. If validation for either the DELETE or the CREATE action fails, then the request is canceled, and the original CNAME record continues to exist. If you try to delete the same resource record set more than once in a single change batch, Route 53 returns an InvalidChangeBatch error. Traffic Flow To create resource record sets for complex routing configurations, use either the traffic flow visual editor in the Route 53 console or the API actions for traffic policies and traffic policy instances. Save the configuration as a traffic policy, then associate the traffic policy with one or more domain names (such as example.com) or subdomain names (such as www.example.com), in the same hosted zone or in multiple hosted zones. You can roll back the updates if the new configuration isn't performing as expected. For more information, see Using Traffic Flow to Route DNS Traffic in the Amazon Route 53 Developer Guide. Create, Delete, and Upsert Use ChangeResourceRecordsSetsRequest to perform the following actions: CREATE : Creates a resource record set that has the specified values. DELETE : Deletes an existing resource record set that has the specified values. UPSERT : If a resource set exists Route 53 updates it with the values in the request. Syntaxes for Creating, Updating, and Deleting Resource Record Sets The syntax for a request depends on the type of resource record set that you want to create, delete, or update, such as weighted, alias, or failover. The XML elements in your request must appear in the order listed in the syntax. For an example for each type of resource record set, see &quot;Examples.&quot; Don't refer to the syntax in the &quot;Parameter Syntax&quot; section, which includes all of the elements for every kind of resource record set that you can create, delete, or update by using ChangeResourceRecordSets . Change Propagation to Route 53 DNS Servers When you submit a ChangeResourceRecordSets request, Route 53 propagates your changes to all of the Route 53 authoritative DNS servers. While your changes are propagating, GetChange returns a status of PENDING . When propagation is complete, GetChange returns a status of INSYNC . Changes generally propagate to all Route 53 name servers within 60 seconds. For more information, see GetChange. Limits on ChangeResourceRecordSets Requests For information about the limits on a ChangeResourceRecordSets request, see Limits in the Amazon Route 53 Developer Guide.","ref":"aws_route53.html#change_resource_record_sets/3","title":"aws_route53.change_resource_record_sets/3","type":"function"},{"doc":"","ref":"aws_route53.html#change_resource_record_sets/4","title":"aws_route53.change_resource_record_sets/4","type":"function"},{"doc":"Adds, edits, or deletes tags for a health check or a hosted zone. For information about using tags for cost allocation, see Using Cost Allocation Tags in the Billing and Cost Management User Guide.","ref":"aws_route53.html#change_tags_for_resource/4","title":"aws_route53.change_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_route53.html#change_tags_for_resource/5","title":"aws_route53.change_tags_for_resource/5","type":"function"},{"doc":"Creates a CIDR collection in the current Amazon Web Services account.","ref":"aws_route53.html#create_cidr_collection/2","title":"aws_route53.create_cidr_collection/2","type":"function"},{"doc":"","ref":"aws_route53.html#create_cidr_collection/3","title":"aws_route53.create_cidr_collection/3","type":"function"},{"doc":"Creates a new health check. For information about adding health checks to resource record sets, see HealthCheckId in ChangeResourceRecordSets. ELB Load Balancers If you're registering EC2 instances with an Elastic Load Balancing (ELB) load balancer, do not create Amazon Route 53 health checks for the EC2 instances. When you register an EC2 instance with a load balancer, you configure settings for an ELB health check, which performs a similar function to a Route 53 health check. Private Hosted Zones You can associate health checks with failover resource record sets in a private hosted zone. Note the following: Route 53 health checkers are outside the VPC. To check the health of an endpoint within a VPC by IP address, you must assign a public IP address to the instance in the VPC. You can configure a health checker to check the health of an external resource that the instance relies on, such as a database server. You can create a CloudWatch metric, associate an alarm with the metric, and then create a health check that is based on the state of the alarm. For example, you might create a CloudWatch metric that checks the status of the Amazon EC2 StatusCheckFailed metric, add an alarm to the metric, and then create a health check that is based on the state of the alarm. For information about creating CloudWatch metrics and alarms by using the CloudWatch console, see the Amazon CloudWatch User Guide.","ref":"aws_route53.html#create_health_check/2","title":"aws_route53.create_health_check/2","type":"function"},{"doc":"","ref":"aws_route53.html#create_health_check/3","title":"aws_route53.create_health_check/3","type":"function"},{"doc":"Creates a new public or private hosted zone. You create records in a public hosted zone to define how you want to route traffic on the internet for a domain, such as example.com, and its subdomains (apex.example.com, acme.example.com). You create records in a private hosted zone to define how you want to route traffic for a domain and its subdomains within one or more Amazon Virtual Private Clouds (Amazon VPCs). You can't convert a public hosted zone to a private hosted zone or vice versa. Instead, you must create a new hosted zone with the same name and create new resource record sets. For more information about charges for hosted zones, see Amazon Route 53 Pricing. Note the following: You can't create a hosted zone for a top-level domain (TLD) such as .com. For public hosted zones, Route 53 automatically creates a default SOA record and four NS records for the zone. For more information about SOA and NS records, see NS and SOA Records that Route 53 Creates for a Hosted Zone in the Amazon Route 53 Developer Guide. If you want to use the same name servers for multiple public hosted zones, you can optionally associate a reusable delegation set with the hosted zone. See the DelegationSetId element. If your domain is registered with a registrar other than Route 53, you must update the name servers with your registrar to make Route 53 the DNS service for the domain. For more information, see Migrating DNS Service for an Existing Domain to Amazon Route 53 in the Amazon Route 53 Developer Guide. When you submit a CreateHostedZone request, the initial status of the hosted zone is PENDING . For public hosted zones, this means that the NS and SOA records are not yet available on all Route 53 DNS servers. When the NS and SOA records are available, the status of the zone changes to INSYNC . The CreateHostedZone request requires the caller to have an ec2:DescribeVpcs permission. When creating private hosted zones, the Amazon VPC must belong to the same partition where the hosted zone is created. A partition is a group of Amazon Web Services Regions. Each Amazon Web Services account is scoped to one partition. The following are the supported partitions: aws - Amazon Web Services Regions aws-cn - China Regions aws-us-gov - Amazon Web Services GovCloud (US) Region For more information, see Access Management in the Amazon Web Services General Reference.","ref":"aws_route53.html#create_hosted_zone/2","title":"aws_route53.create_hosted_zone/2","type":"function"},{"doc":"","ref":"aws_route53.html#create_hosted_zone/3","title":"aws_route53.create_hosted_zone/3","type":"function"},{"doc":"Creates a new key-signing key (KSK) associated with a hosted zone. You can only have two KSKs per hosted zone.","ref":"aws_route53.html#create_key_signing_key/2","title":"aws_route53.create_key_signing_key/2","type":"function"},{"doc":"","ref":"aws_route53.html#create_key_signing_key/3","title":"aws_route53.create_key_signing_key/3","type":"function"},{"doc":"Creates a configuration for DNS query logging. After you create a query logging configuration, Amazon Route 53 begins to publish log data to an Amazon CloudWatch Logs log group. DNS query logs contain information about the queries that Route 53 receives for a specified public hosted zone, such as the following: Route 53 edge location that responded to the DNS query Domain or subdomain that was requested DNS record type, such as A or AAAA DNS response code, such as NoError or ServFail Log Group and Resource Policy Before you create a query logging configuration, perform the following operations. If you create a query logging configuration using the Route 53 console, Route 53 performs these operations automatically. Create a CloudWatch Logs log group, and make note of the ARN, which you specify when you create a query logging configuration. Note the following: You must create the log group in the us-east-1 region. You must use the same Amazon Web Services account to create the log group and the hosted zone that you want to configure query logging for. When you create log groups for query logging, we recommend that you use a consistent prefix, for example: /aws/route53/hosted zone name In the next step, you'll create a resource policy, which controls access to one or more log groups and the associated Amazon Web Services resources, such as Route 53 hosted zones. There's a limit on the number of resource policies that you can create, so we recommend that you use a consistent prefix so you can use the same resource policy for all the log groups that you create for query logging. Create a CloudWatch Logs resource policy, and give it the permissions that Route 53 needs to create log streams and to send query logs to log streams. For the value of Resource , specify the ARN for the log group that you created in the previous step. To use the same resource policy for all the CloudWatch Logs log groups that you created for query logging configurations, replace the hosted zone name with * , for example: arn:aws:logs:us-east-1:123412341234:log-group:/aws/route53/* To avoid the confused deputy problem, a security issue where an entity without a permission for an action can coerce a more-privileged entity to perform it, you can optionally limit the permissions that a service has to a resource in a resource-based policy by supplying the following values: For aws:SourceArn , supply the hosted zone ARN used in creating the query logging configuration. For example, aws:SourceArn: arn:aws:route53:::hostedzone/hosted zone ID . For aws:SourceAccount , supply the account ID for the account that creates the query logging configuration. For example, aws:SourceAccount:111111111111 . For more information, see The confused deputy problem in the Amazon Web Services IAM User Guide. You can't use the CloudWatch console to create or edit a resource policy. You must use the CloudWatch API, one of the Amazon Web Services SDKs, or the CLI. Log Streams and Edge Locations When Route 53 finishes creating the configuration for DNS query logging, it does the following: Creates a log stream for an edge location the first time that the edge location responds to DNS queries for the specified hosted zone. That log stream is used to log all queries that Route 53 responds to for that edge location. Begins to send query logs to the applicable log stream. The name of each log stream is in the following format: hosted zone ID/edge location code The edge location code is a three-letter code and an arbitrarily assigned number, for example, DFW3. The three-letter code typically corresponds with the International Air Transport Association airport code for an airport near the edge location. (These abbreviations might change in the future.) For a list of edge locations, see &quot;The Route 53 Global Network&quot; on the Route 53 Product Details page. Queries That Are Logged Query logs contain only the queries that DNS resolvers forward to Route 53. If a DNS resolver has already cached the response to a query (such as the IP address for a load balancer for example.com), the resolver will continue to return the cached response. It doesn't forward another query to Route 53 until the TTL for the corresponding resource record set expires. Depending on how many DNS queries are submitted for a resource record set, and depending on the TTL for that resource record set, query logs might contain information about only one query out of every several thousand queries that are submitted to DNS. For more information about how DNS works, see Routing Internet Traffic to Your Website or Web Application in the Amazon Route 53 Developer Guide. Log File Format For a list of the values in each query log and the format of each value, see Logging DNS Queries in the Amazon Route 53 Developer Guide. Pricing For information about charges for query logs, see Amazon CloudWatch Pricing. How to Stop Logging If you want Route 53 to stop sending query logs to CloudWatch Logs, delete the query logging configuration. For more information, see DeleteQueryLoggingConfig.","ref":"aws_route53.html#create_query_logging_config/2","title":"aws_route53.create_query_logging_config/2","type":"function"},{"doc":"","ref":"aws_route53.html#create_query_logging_config/3","title":"aws_route53.create_query_logging_config/3","type":"function"},{"doc":"Creates a delegation set (a group of four name servers) that can be reused by multiple hosted zones that were created by the same Amazon Web Services account. You can also create a reusable delegation set that uses the four name servers that are associated with an existing hosted zone. Specify the hosted zone ID in the CreateReusableDelegationSet request. You can't associate a reusable delegation set with a private hosted zone. For information about using a reusable delegation set to configure white label name servers, see Configuring White Label Name Servers. The process for migrating existing hosted zones to use a reusable delegation set is comparable to the process for configuring white label name servers. You need to perform the following steps: Create a reusable delegation set. Recreate hosted zones, and reduce the TTL to 60 seconds or less. Recreate resource record sets in the new hosted zones. Change the registrar's name servers to use the name servers for the new hosted zones. Monitor traffic for the website or application. Change TTLs back to their original values. If you want to migrate existing hosted zones to use a reusable delegation set, the existing hosted zones can't use any of the name servers that are assigned to the reusable delegation set. If one or more hosted zones do use one or more name servers that are assigned to the reusable delegation set, you can do one of the following: For small numbers of hosted zones—up to a few hundred—it's relatively easy to create reusable delegation sets until you get one that has four name servers that don't overlap with any of the name servers in your hosted zones. For larger numbers of hosted zones, the easiest solution is to use more than one reusable delegation set. For larger numbers of hosted zones, you can also migrate hosted zones that have overlapping name servers to hosted zones that don't have overlapping name servers, then migrate the hosted zones again to use the reusable delegation set.","ref":"aws_route53.html#create_reusable_delegation_set/2","title":"aws_route53.create_reusable_delegation_set/2","type":"function"},{"doc":"","ref":"aws_route53.html#create_reusable_delegation_set/3","title":"aws_route53.create_reusable_delegation_set/3","type":"function"},{"doc":"Creates a traffic policy, which you use to create multiple DNS resource record sets for one domain name (such as example.com) or one subdomain name (such as www.example.com).","ref":"aws_route53.html#create_traffic_policy/2","title":"aws_route53.create_traffic_policy/2","type":"function"},{"doc":"","ref":"aws_route53.html#create_traffic_policy/3","title":"aws_route53.create_traffic_policy/3","type":"function"},{"doc":"Creates resource record sets in a specified hosted zone based on the settings in a specified traffic policy version. In addition, CreateTrafficPolicyInstance associates the resource record sets with a specified domain name (such as example.com) or subdomain name (such as www.example.com). Amazon Route 53 responds to DNS queries for the domain or subdomain name by using the resource record sets that CreateTrafficPolicyInstance created.","ref":"aws_route53.html#create_traffic_policy_instance/2","title":"aws_route53.create_traffic_policy_instance/2","type":"function"},{"doc":"","ref":"aws_route53.html#create_traffic_policy_instance/3","title":"aws_route53.create_traffic_policy_instance/3","type":"function"},{"doc":"Creates a new version of an existing traffic policy. When you create a new version of a traffic policy, you specify the ID of the traffic policy that you want to update and a JSON-formatted document that describes the new version. You use traffic policies to create multiple DNS resource record sets for one domain name (such as example.com) or one subdomain name (such as www.example.com). You can create a maximum of 1000 versions of a traffic policy. If you reach the limit and need to create another version, you'll need to start a new traffic policy.","ref":"aws_route53.html#create_traffic_policy_version/3","title":"aws_route53.create_traffic_policy_version/3","type":"function"},{"doc":"","ref":"aws_route53.html#create_traffic_policy_version/4","title":"aws_route53.create_traffic_policy_version/4","type":"function"},{"doc":"Authorizes the Amazon Web Services account that created a specified VPC to submit an AssociateVPCWithHostedZone request to associate the VPC with a specified hosted zone that was created by a different account. To submit a CreateVPCAssociationAuthorization request, you must use the account that created the hosted zone. After you authorize the association, use the account that created the VPC to submit an AssociateVPCWithHostedZone request. If you want to associate multiple VPCs that you created by using one account with a hosted zone that you created by using a different account, you must submit one authorization request for each VPC.","ref":"aws_route53.html#create_vpc_association_authorization/3","title":"aws_route53.create_vpc_association_authorization/3","type":"function"},{"doc":"","ref":"aws_route53.html#create_vpc_association_authorization/4","title":"aws_route53.create_vpc_association_authorization/4","type":"function"},{"doc":"Deactivates a key-signing key (KSK) so that it will not be used for signing by DNSSEC. This operation changes the KSK status to INACTIVE .","ref":"aws_route53.html#deactivate_key_signing_key/4","title":"aws_route53.deactivate_key_signing_key/4","type":"function"},{"doc":"","ref":"aws_route53.html#deactivate_key_signing_key/5","title":"aws_route53.deactivate_key_signing_key/5","type":"function"},{"doc":"Deletes a CIDR collection in the current Amazon Web Services account. The collection must be empty before it can be deleted.","ref":"aws_route53.html#delete_cidr_collection/3","title":"aws_route53.delete_cidr_collection/3","type":"function"},{"doc":"","ref":"aws_route53.html#delete_cidr_collection/4","title":"aws_route53.delete_cidr_collection/4","type":"function"},{"doc":"Deletes a health check. Amazon Route 53 does not prevent you from deleting a health check even if the health check is associated with one or more resource record sets. If you delete a health check and you don't update the associated resource record sets, the future status of the health check can't be predicted and may change. This will affect the routing of DNS queries for your DNS failover configuration. For more information, see Replacing and Deleting Health Checks in the Amazon Route 53 Developer Guide. If you're using Cloud Map and you configured Cloud Map to create a Route 53 health check when you register an instance, you can't use the Route 53 DeleteHealthCheck command to delete the health check. The health check is deleted automatically when you deregister the instance; there can be a delay of several hours before the health check is deleted from Route 53.","ref":"aws_route53.html#delete_health_check/3","title":"aws_route53.delete_health_check/3","type":"function"},{"doc":"","ref":"aws_route53.html#delete_health_check/4","title":"aws_route53.delete_health_check/4","type":"function"},{"doc":"Deletes a hosted zone. If the hosted zone was created by another service, such as Cloud Map, see Deleting Public Hosted Zones That Were Created by Another Service in the Amazon Route 53 Developer Guide for information about how to delete it. (The process is the same for public and private hosted zones that were created by another service.) If you want to keep your domain registration but you want to stop routing internet traffic to your website or web application, we recommend that you delete resource record sets in the hosted zone instead of deleting the hosted zone. If you delete a hosted zone, you can't undelete it. You must create a new hosted zone and update the name servers for your domain registration, which can require up to 48 hours to take effect. (If you delegated responsibility for a subdomain to a hosted zone and you delete the child hosted zone, you must update the name servers in the parent hosted zone.) In addition, if you delete a hosted zone, someone could hijack the domain and route traffic to their own resources using your domain name. If you want to avoid the monthly charge for the hosted zone, you can transfer DNS service for the domain to a free DNS service. When you transfer DNS service, you have to update the name servers for the domain registration. If the domain is registered with Route 53, see UpdateDomainNameservers for information about how to replace Route 53 name servers with name servers for the new DNS service. If the domain is registered with another registrar, use the method provided by the registrar to update name servers for the domain registration. For more information, perform an internet search on &quot;free DNS service.&quot; You can delete a hosted zone only if it contains only the default SOA record and NS resource record sets. If the hosted zone contains other resource record sets, you must delete them before you can delete the hosted zone. If you try to delete a hosted zone that contains other resource record sets, the request fails, and Route 53 returns a HostedZoneNotEmpty error. For information about deleting records from your hosted zone, see ChangeResourceRecordSets. To verify that the hosted zone has been deleted, do one of the following: Use the GetHostedZone action to request information about the hosted zone. Use the ListHostedZones action to get a list of the hosted zones associated with the current Amazon Web Services account.","ref":"aws_route53.html#delete_hosted_zone/3","title":"aws_route53.delete_hosted_zone/3","type":"function"},{"doc":"","ref":"aws_route53.html#delete_hosted_zone/4","title":"aws_route53.delete_hosted_zone/4","type":"function"},{"doc":"Deletes a key-signing key (KSK). Before you can delete a KSK, you must deactivate it. The KSK must be deactivated before you can delete it regardless of whether the hosted zone is enabled for DNSSEC signing. You can use DeactivateKeySigningKey to deactivate the key before you delete it. Use GetDNSSEC to verify that the KSK is in an INACTIVE status.","ref":"aws_route53.html#delete_key_signing_key/4","title":"aws_route53.delete_key_signing_key/4","type":"function"},{"doc":"","ref":"aws_route53.html#delete_key_signing_key/5","title":"aws_route53.delete_key_signing_key/5","type":"function"},{"doc":"Deletes a configuration for DNS query logging. If you delete a configuration, Amazon Route 53 stops sending query logs to CloudWatch Logs. Route 53 doesn't delete any logs that are already in CloudWatch Logs. For more information about DNS query logs, see CreateQueryLoggingConfig.","ref":"aws_route53.html#delete_query_logging_config/3","title":"aws_route53.delete_query_logging_config/3","type":"function"},{"doc":"","ref":"aws_route53.html#delete_query_logging_config/4","title":"aws_route53.delete_query_logging_config/4","type":"function"},{"doc":"Deletes a reusable delegation set. You can delete a reusable delegation set only if it isn't associated with any hosted zones. To verify that the reusable delegation set is not associated with any hosted zones, submit a GetReusableDelegationSet request and specify the ID of the reusable delegation set that you want to delete.","ref":"aws_route53.html#delete_reusable_delegation_set/3","title":"aws_route53.delete_reusable_delegation_set/3","type":"function"},{"doc":"","ref":"aws_route53.html#delete_reusable_delegation_set/4","title":"aws_route53.delete_reusable_delegation_set/4","type":"function"},{"doc":"Deletes a traffic policy. When you delete a traffic policy, Route 53 sets a flag on the policy to indicate that it has been deleted. However, Route 53 never fully deletes the traffic policy. Note the following: Deleted traffic policies aren't listed if you run ListTrafficPolicies. There's no way to get a list of deleted policies. If you retain the ID of the policy, you can get information about the policy, including the traffic policy document, by running GetTrafficPolicy.","ref":"aws_route53.html#delete_traffic_policy/4","title":"aws_route53.delete_traffic_policy/4","type":"function"},{"doc":"","ref":"aws_route53.html#delete_traffic_policy/5","title":"aws_route53.delete_traffic_policy/5","type":"function"},{"doc":"Deletes a traffic policy instance and all of the resource record sets that Amazon Route 53 created when you created the instance. In the Route 53 console, traffic policy instances are known as policy records.","ref":"aws_route53.html#delete_traffic_policy_instance/3","title":"aws_route53.delete_traffic_policy_instance/3","type":"function"},{"doc":"","ref":"aws_route53.html#delete_traffic_policy_instance/4","title":"aws_route53.delete_traffic_policy_instance/4","type":"function"},{"doc":"Removes authorization to submit an AssociateVPCWithHostedZone request to associate a specified VPC with a hosted zone that was created by a different account. You must use the account that created the hosted zone to submit a DeleteVPCAssociationAuthorization request. Sending this request only prevents the Amazon Web Services account that created the VPC from associating the VPC with the Amazon Route 53 hosted zone in the future. If the VPC is already associated with the hosted zone, DeleteVPCAssociationAuthorization won't disassociate the VPC from the hosted zone. If you want to delete an existing association, use DisassociateVPCFromHostedZone .","ref":"aws_route53.html#delete_vpc_association_authorization/3","title":"aws_route53.delete_vpc_association_authorization/3","type":"function"},{"doc":"","ref":"aws_route53.html#delete_vpc_association_authorization/4","title":"aws_route53.delete_vpc_association_authorization/4","type":"function"},{"doc":"Disables DNSSEC signing in a specific hosted zone. This action does not deactivate any key-signing keys (KSKs) that are active in the hosted zone.","ref":"aws_route53.html#disable_hosted_zone_dns_sec/3","title":"aws_route53.disable_hosted_zone_dns_sec/3","type":"function"},{"doc":"","ref":"aws_route53.html#disable_hosted_zone_dns_sec/4","title":"aws_route53.disable_hosted_zone_dns_sec/4","type":"function"},{"doc":"Disassociates an Amazon Virtual Private Cloud (Amazon VPC) from an Amazon Route 53 private hosted zone. Note the following: You can't disassociate the last Amazon VPC from a private hosted zone. You can't convert a private hosted zone into a public hosted zone. You can submit a DisassociateVPCFromHostedZone request using either the account that created the hosted zone or the account that created the Amazon VPC. Some services, such as Cloud Map and Amazon Elastic File System (Amazon EFS) automatically create hosted zones and associate VPCs with the hosted zones. A service can create a hosted zone using your account or using its own account. You can disassociate a VPC from a hosted zone only if the service created the hosted zone using your account. When you run DisassociateVPCFromHostedZone, if the hosted zone has a value for OwningAccount , you can use DisassociateVPCFromHostedZone . If the hosted zone has a value for OwningService , you can't use DisassociateVPCFromHostedZone . When revoking access, the hosted zone and the Amazon VPC must belong to the same partition. A partition is a group of Amazon Web Services Regions. Each Amazon Web Services account is scoped to one partition. The following are the supported partitions: aws - Amazon Web Services Regions aws-cn - China Regions aws-us-gov - Amazon Web Services GovCloud (US) Region For more information, see Access Management in the Amazon Web Services General Reference.","ref":"aws_route53.html#disassociate_vpc_from_hosted_zone/3","title":"aws_route53.disassociate_vpc_from_hosted_zone/3","type":"function"},{"doc":"","ref":"aws_route53.html#disassociate_vpc_from_hosted_zone/4","title":"aws_route53.disassociate_vpc_from_hosted_zone/4","type":"function"},{"doc":"Enables DNSSEC signing in a specific hosted zone.","ref":"aws_route53.html#enable_hosted_zone_dns_sec/3","title":"aws_route53.enable_hosted_zone_dns_sec/3","type":"function"},{"doc":"","ref":"aws_route53.html#enable_hosted_zone_dns_sec/4","title":"aws_route53.enable_hosted_zone_dns_sec/4","type":"function"},{"doc":"Gets the specified limit for the current account, for example, the maximum number of health checks that you can create using the account. For the default limit, see Limits in the Amazon Route 53 Developer Guide. To request a higher limit, open a case. You can also view account limits in Amazon Web Services Trusted Advisor. Sign in to the Amazon Web Services Management Console and open the Trusted Advisor console at https://console.aws.amazon.com/trustedadvisor/. Then choose Service limits in the navigation pane.","ref":"aws_route53.html#get_account_limit/2","title":"aws_route53.get_account_limit/2","type":"function"},{"doc":"","ref":"aws_route53.html#get_account_limit/4","title":"aws_route53.get_account_limit/4","type":"function"},{"doc":"","ref":"aws_route53.html#get_account_limit/5","title":"aws_route53.get_account_limit/5","type":"function"},{"doc":"Returns the current status of a change batch request. The status is one of the following values: PENDING indicates that the changes in this request have not propagated to all Amazon Route 53 DNS servers. This is the initial status of all change batch requests. INSYNC indicates that the changes have propagated to all Route 53 DNS servers.","ref":"aws_route53.html#get_change/2","title":"aws_route53.get_change/2","type":"function"},{"doc":"","ref":"aws_route53.html#get_change/4","title":"aws_route53.get_change/4","type":"function"},{"doc":"","ref":"aws_route53.html#get_change/5","title":"aws_route53.get_change/5","type":"function"},{"doc":"Route 53 does not perform authorization for this API because it retrieves information that is already available to the public. GetCheckerIpRanges still works, but we recommend that you download ip-ranges.json, which includes IP address ranges for all Amazon Web Services services. For more information, see IP Address Ranges of Amazon Route 53 Servers in the Amazon Route 53 Developer Guide.","ref":"aws_route53.html#get_checker_ip_ranges/1","title":"aws_route53.get_checker_ip_ranges/1","type":"function"},{"doc":"","ref":"aws_route53.html#get_checker_ip_ranges/3","title":"aws_route53.get_checker_ip_ranges/3","type":"function"},{"doc":"","ref":"aws_route53.html#get_checker_ip_ranges/4","title":"aws_route53.get_checker_ip_ranges/4","type":"function"},{"doc":"Returns information about DNSSEC for a specific hosted zone, including the key-signing keys (KSKs) in the hosted zone.","ref":"aws_route53.html#get_dns_sec/2","title":"aws_route53.get_dns_sec/2","type":"function"},{"doc":"","ref":"aws_route53.html#get_dns_sec/4","title":"aws_route53.get_dns_sec/4","type":"function"},{"doc":"","ref":"aws_route53.html#get_dns_sec/5","title":"aws_route53.get_dns_sec/5","type":"function"},{"doc":"Gets information about whether a specified geographic location is supported for Amazon Route 53 geolocation resource record sets. Route 53 does not perform authorization for this API because it retrieves information that is already available to the public. Use the following syntax to determine whether a continent is supported for geolocation: GET /2013-04-01/geolocation?continentcode=two-letter abbreviation for a continent Use the following syntax to determine whether a country is supported for geolocation: GET /2013-04-01/geolocation?countrycode=two-character country code Use the following syntax to determine whether a subdivision of a country is supported for geolocation: GET /2013-04-01/geolocation?countrycode=two-character country code&amp;amp;subdivisioncode=subdivision code","ref":"aws_route53.html#get_geo_location/1","title":"aws_route53.get_geo_location/1","type":"function"},{"doc":"","ref":"aws_route53.html#get_geo_location/3","title":"aws_route53.get_geo_location/3","type":"function"},{"doc":"","ref":"aws_route53.html#get_geo_location/4","title":"aws_route53.get_geo_location/4","type":"function"},{"doc":"Gets information about a specified health check.","ref":"aws_route53.html#get_health_check/2","title":"aws_route53.get_health_check/2","type":"function"},{"doc":"","ref":"aws_route53.html#get_health_check/4","title":"aws_route53.get_health_check/4","type":"function"},{"doc":"","ref":"aws_route53.html#get_health_check/5","title":"aws_route53.get_health_check/5","type":"function"},{"doc":"Retrieves the number of health checks that are associated with the current Amazon Web Services account.","ref":"aws_route53.html#get_health_check_count/1","title":"aws_route53.get_health_check_count/1","type":"function"},{"doc":"","ref":"aws_route53.html#get_health_check_count/3","title":"aws_route53.get_health_check_count/3","type":"function"},{"doc":"","ref":"aws_route53.html#get_health_check_count/4","title":"aws_route53.get_health_check_count/4","type":"function"},{"doc":"Gets the reason that a specified health check failed most recently.","ref":"aws_route53.html#get_health_check_last_failure_reason/2","title":"aws_route53.get_health_check_last_failure_reason/2","type":"function"},{"doc":"","ref":"aws_route53.html#get_health_check_last_failure_reason/4","title":"aws_route53.get_health_check_last_failure_reason/4","type":"function"},{"doc":"","ref":"aws_route53.html#get_health_check_last_failure_reason/5","title":"aws_route53.get_health_check_last_failure_reason/5","type":"function"},{"doc":"Gets status of a specified health check. This API is intended for use during development to diagnose behavior. It doesn’t support production use-cases with high query rates that require immediate and actionable responses.","ref":"aws_route53.html#get_health_check_status/2","title":"aws_route53.get_health_check_status/2","type":"function"},{"doc":"","ref":"aws_route53.html#get_health_check_status/4","title":"aws_route53.get_health_check_status/4","type":"function"},{"doc":"","ref":"aws_route53.html#get_health_check_status/5","title":"aws_route53.get_health_check_status/5","type":"function"},{"doc":"Gets information about a specified hosted zone including the four name servers assigned to the hosted zone.","ref":"aws_route53.html#get_hosted_zone/2","title":"aws_route53.get_hosted_zone/2","type":"function"},{"doc":"","ref":"aws_route53.html#get_hosted_zone/4","title":"aws_route53.get_hosted_zone/4","type":"function"},{"doc":"","ref":"aws_route53.html#get_hosted_zone/5","title":"aws_route53.get_hosted_zone/5","type":"function"},{"doc":"Retrieves the number of hosted zones that are associated with the current Amazon Web Services account.","ref":"aws_route53.html#get_hosted_zone_count/1","title":"aws_route53.get_hosted_zone_count/1","type":"function"},{"doc":"","ref":"aws_route53.html#get_hosted_zone_count/3","title":"aws_route53.get_hosted_zone_count/3","type":"function"},{"doc":"","ref":"aws_route53.html#get_hosted_zone_count/4","title":"aws_route53.get_hosted_zone_count/4","type":"function"},{"doc":"Gets the specified limit for a specified hosted zone, for example, the maximum number of records that you can create in the hosted zone. For the default limit, see Limits in the Amazon Route 53 Developer Guide. To request a higher limit, open a case.","ref":"aws_route53.html#get_hosted_zone_limit/3","title":"aws_route53.get_hosted_zone_limit/3","type":"function"},{"doc":"","ref":"aws_route53.html#get_hosted_zone_limit/5","title":"aws_route53.get_hosted_zone_limit/5","type":"function"},{"doc":"","ref":"aws_route53.html#get_hosted_zone_limit/6","title":"aws_route53.get_hosted_zone_limit/6","type":"function"},{"doc":"Gets information about a specified configuration for DNS query logging. For more information about DNS query logs, see CreateQueryLoggingConfig and Logging DNS Queries.","ref":"aws_route53.html#get_query_logging_config/2","title":"aws_route53.get_query_logging_config/2","type":"function"},{"doc":"","ref":"aws_route53.html#get_query_logging_config/4","title":"aws_route53.get_query_logging_config/4","type":"function"},{"doc":"","ref":"aws_route53.html#get_query_logging_config/5","title":"aws_route53.get_query_logging_config/5","type":"function"},{"doc":"Retrieves information about a specified reusable delegation set, including the four name servers that are assigned to the delegation set.","ref":"aws_route53.html#get_reusable_delegation_set/2","title":"aws_route53.get_reusable_delegation_set/2","type":"function"},{"doc":"","ref":"aws_route53.html#get_reusable_delegation_set/4","title":"aws_route53.get_reusable_delegation_set/4","type":"function"},{"doc":"","ref":"aws_route53.html#get_reusable_delegation_set/5","title":"aws_route53.get_reusable_delegation_set/5","type":"function"},{"doc":"Gets the maximum number of hosted zones that you can associate with the specified reusable delegation set. For the default limit, see Limits in the Amazon Route 53 Developer Guide. To request a higher limit, open a case.","ref":"aws_route53.html#get_reusable_delegation_set_limit/3","title":"aws_route53.get_reusable_delegation_set_limit/3","type":"function"},{"doc":"","ref":"aws_route53.html#get_reusable_delegation_set_limit/5","title":"aws_route53.get_reusable_delegation_set_limit/5","type":"function"},{"doc":"","ref":"aws_route53.html#get_reusable_delegation_set_limit/6","title":"aws_route53.get_reusable_delegation_set_limit/6","type":"function"},{"doc":"Gets information about a specific traffic policy version. For information about how of deleting a traffic policy affects the response from GetTrafficPolicy , see DeleteTrafficPolicy.","ref":"aws_route53.html#get_traffic_policy/3","title":"aws_route53.get_traffic_policy/3","type":"function"},{"doc":"","ref":"aws_route53.html#get_traffic_policy/5","title":"aws_route53.get_traffic_policy/5","type":"function"},{"doc":"","ref":"aws_route53.html#get_traffic_policy/6","title":"aws_route53.get_traffic_policy/6","type":"function"},{"doc":"Gets information about a specified traffic policy instance. After you submit a CreateTrafficPolicyInstance or an UpdateTrafficPolicyInstance request, there's a brief delay while Amazon Route 53 creates the resource record sets that are specified in the traffic policy definition. For more information, see the State response element. In the Route 53 console, traffic policy instances are known as policy records.","ref":"aws_route53.html#get_traffic_policy_instance/2","title":"aws_route53.get_traffic_policy_instance/2","type":"function"},{"doc":"","ref":"aws_route53.html#get_traffic_policy_instance/4","title":"aws_route53.get_traffic_policy_instance/4","type":"function"},{"doc":"","ref":"aws_route53.html#get_traffic_policy_instance/5","title":"aws_route53.get_traffic_policy_instance/5","type":"function"},{"doc":"Gets the number of traffic policy instances that are associated with the current Amazon Web Services account.","ref":"aws_route53.html#get_traffic_policy_instance_count/1","title":"aws_route53.get_traffic_policy_instance_count/1","type":"function"},{"doc":"","ref":"aws_route53.html#get_traffic_policy_instance_count/3","title":"aws_route53.get_traffic_policy_instance_count/3","type":"function"},{"doc":"","ref":"aws_route53.html#get_traffic_policy_instance_count/4","title":"aws_route53.get_traffic_policy_instance_count/4","type":"function"},{"doc":"Returns a paginated list of location objects and their CIDR blocks.","ref":"aws_route53.html#list_cidr_blocks/2","title":"aws_route53.list_cidr_blocks/2","type":"function"},{"doc":"","ref":"aws_route53.html#list_cidr_blocks/4","title":"aws_route53.list_cidr_blocks/4","type":"function"},{"doc":"","ref":"aws_route53.html#list_cidr_blocks/5","title":"aws_route53.list_cidr_blocks/5","type":"function"},{"doc":"Returns a paginated list of CIDR collections in the Amazon Web Services account (metadata only).","ref":"aws_route53.html#list_cidr_collections/1","title":"aws_route53.list_cidr_collections/1","type":"function"},{"doc":"","ref":"aws_route53.html#list_cidr_collections/3","title":"aws_route53.list_cidr_collections/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_cidr_collections/4","title":"aws_route53.list_cidr_collections/4","type":"function"},{"doc":"Returns a paginated list of CIDR locations for the given collection (metadata only, does not include CIDR blocks).","ref":"aws_route53.html#list_cidr_locations/2","title":"aws_route53.list_cidr_locations/2","type":"function"},{"doc":"","ref":"aws_route53.html#list_cidr_locations/4","title":"aws_route53.list_cidr_locations/4","type":"function"},{"doc":"","ref":"aws_route53.html#list_cidr_locations/5","title":"aws_route53.list_cidr_locations/5","type":"function"},{"doc":"Retrieves a list of supported geographic locations. Countries are listed first, and continents are listed last. If Amazon Route 53 supports subdivisions for a country (for example, states or provinces), the subdivisions for that country are listed in alphabetical order immediately after the corresponding country. Route 53 does not perform authorization for this API because it retrieves information that is already available to the public. For a list of supported geolocation codes, see the GeoLocation data type.","ref":"aws_route53.html#list_geo_locations/1","title":"aws_route53.list_geo_locations/1","type":"function"},{"doc":"","ref":"aws_route53.html#list_geo_locations/3","title":"aws_route53.list_geo_locations/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_geo_locations/4","title":"aws_route53.list_geo_locations/4","type":"function"},{"doc":"Retrieve a list of the health checks that are associated with the current Amazon Web Services account.","ref":"aws_route53.html#list_health_checks/1","title":"aws_route53.list_health_checks/1","type":"function"},{"doc":"","ref":"aws_route53.html#list_health_checks/3","title":"aws_route53.list_health_checks/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_health_checks/4","title":"aws_route53.list_health_checks/4","type":"function"},{"doc":"Retrieves a list of the public and private hosted zones that are associated with the current Amazon Web Services account. The response includes a HostedZones child element for each hosted zone. Amazon Route 53 returns a maximum of 100 items in each response. If you have a lot of hosted zones, you can use the maxitems parameter to list them in groups of up to 100.","ref":"aws_route53.html#list_hosted_zones/1","title":"aws_route53.list_hosted_zones/1","type":"function"},{"doc":"","ref":"aws_route53.html#list_hosted_zones/3","title":"aws_route53.list_hosted_zones/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_hosted_zones/4","title":"aws_route53.list_hosted_zones/4","type":"function"},{"doc":"Retrieves a list of your hosted zones in lexicographic order. The response includes a HostedZones child element for each hosted zone created by the current Amazon Web Services account. ListHostedZonesByName sorts hosted zones by name with the labels reversed. For example: com.example.www. Note the trailing dot, which can change the sort order in some circumstances. If the domain name includes escape characters or Punycode, ListHostedZonesByName alphabetizes the domain name using the escaped or Punycoded value, which is the format that Amazon Route 53 saves in its database. For example, to create a hosted zone for exämple.com, you specify ex\\344mple.com for the domain name. ListHostedZonesByName alphabetizes it as: com.ex\\344mple. The labels are reversed and alphabetized using the escaped value. For more information about valid domain name formats, including internationalized domain names, see DNS Domain Name Format in the Amazon Route 53 Developer Guide. Route 53 returns up to 100 items in each response. If you have a lot of hosted zones, use the MaxItems parameter to list them in groups of up to 100. The response includes values that help navigate from one group of MaxItems hosted zones to the next: The DNSName and HostedZoneId elements in the response contain the values, if any, specified for the dnsname and hostedzoneid parameters in the request that produced the current response. The MaxItems element in the response contains the value, if any, that you specified for the maxitems parameter in the request that produced the current response. If the value of IsTruncated in the response is true, there are more hosted zones associated with the current Amazon Web Services account. If IsTruncated is false, this response includes the last hosted zone that is associated with the current account. The NextDNSName element and NextHostedZoneId elements are omitted from the response. The NextDNSName and NextHostedZoneId elements in the response contain the domain name and the hosted zone ID of the next hosted zone that is associated with the current Amazon Web Services account. If you want to list more hosted zones, make another call to ListHostedZonesByName , and specify the value of NextDNSName and NextHostedZoneId in the dnsname and hostedzoneid parameters, respectively.","ref":"aws_route53.html#list_hosted_zones_by_name/1","title":"aws_route53.list_hosted_zones_by_name/1","type":"function"},{"doc":"","ref":"aws_route53.html#list_hosted_zones_by_name/3","title":"aws_route53.list_hosted_zones_by_name/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_hosted_zones_by_name/4","title":"aws_route53.list_hosted_zones_by_name/4","type":"function"},{"doc":"Lists all the private hosted zones that a specified VPC is associated with, regardless of which Amazon Web Services account or Amazon Web Services service owns the hosted zones. The HostedZoneOwner structure in the response contains one of the following values: An OwningAccount element, which contains the account number of either the current Amazon Web Services account or another Amazon Web Services account. Some services, such as Cloud Map, create hosted zones using the current account. An OwningService element, which identifies the Amazon Web Services service that created and owns the hosted zone. For example, if a hosted zone was created by Amazon Elastic File System (Amazon EFS), the value of Owner is efs.amazonaws.com . When listing private hosted zones, the hosted zone and the Amazon VPC must belong to the same partition where the hosted zones were created. A partition is a group of Amazon Web Services Regions. Each Amazon Web Services account is scoped to one partition. The following are the supported partitions: aws - Amazon Web Services Regions aws-cn - China Regions aws-us-gov - Amazon Web Services GovCloud (US) Region For more information, see Access Management in the Amazon Web Services General Reference.","ref":"aws_route53.html#list_hosted_zones_by_vpc/3","title":"aws_route53.list_hosted_zones_by_vpc/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_hosted_zones_by_vpc/5","title":"aws_route53.list_hosted_zones_by_vpc/5","type":"function"},{"doc":"","ref":"aws_route53.html#list_hosted_zones_by_vpc/6","title":"aws_route53.list_hosted_zones_by_vpc/6","type":"function"},{"doc":"Lists the configurations for DNS query logging that are associated with the current Amazon Web Services account or the configuration that is associated with a specified hosted zone. For more information about DNS query logs, see CreateQueryLoggingConfig. Additional information, including the format of DNS query logs, appears in Logging DNS Queries in the Amazon Route 53 Developer Guide.","ref":"aws_route53.html#list_query_logging_configs/1","title":"aws_route53.list_query_logging_configs/1","type":"function"},{"doc":"","ref":"aws_route53.html#list_query_logging_configs/3","title":"aws_route53.list_query_logging_configs/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_query_logging_configs/4","title":"aws_route53.list_query_logging_configs/4","type":"function"},{"doc":"Lists the resource record sets in a specified hosted zone. ListResourceRecordSets returns up to 300 resource record sets at a time in ASCII order, beginning at a position specified by the name and type elements. Sort order ListResourceRecordSets sorts results first by DNS name with the labels reversed, for example: com.example.www. Note the trailing dot, which can change the sort order when the record name contains characters that appear before . (decimal 46) in the ASCII table. These characters include the following: ! &amp;quot; # $ % &amp;amp; ( ) * + , -' When multiple records have the same DNS name, ListResourceRecordSets sorts results by the record type. Specifying where to start listing records You can use the name and type elements to specify the resource record set that the list begins with: If you do not specify Name or Type The results begin with the first resource record set that the hosted zone contains. If you specify Name but not Type The results begin with the first resource record set in the list whose name is greater than or equal to Name . If you specify Type but not Name Amazon Route 53 returns the InvalidInput error. If you specify both Name and Type The results begin with the first resource record set in the list whose name is greater than or equal to Name , and whose type is greater than or equal to Type . Resource record sets that are PENDING This action returns the most current version of the records. This includes records that are PENDING , and that are not yet available on all Route 53 DNS servers. Changing resource record sets To ensure that you get an accurate listing of the resource record sets for a hosted zone at a point in time, do not submit a ChangeResourceRecordSets request while you're paging through the results of a ListResourceRecordSets request. If you do, some pages may display results without the latest changes while other pages display results with the latest changes. Displaying the next page of results If a ListResourceRecordSets command returns more than one page of results, the value of IsTruncated is true . To display the next page of results, get the values of NextRecordName , NextRecordType , and NextRecordIdentifier (if any) from the response. Then submit another ListResourceRecordSets request, and specify those values for StartRecordName , StartRecordType , and StartRecordIdentifier .","ref":"aws_route53.html#list_resource_record_sets/2","title":"aws_route53.list_resource_record_sets/2","type":"function"},{"doc":"","ref":"aws_route53.html#list_resource_record_sets/4","title":"aws_route53.list_resource_record_sets/4","type":"function"},{"doc":"","ref":"aws_route53.html#list_resource_record_sets/5","title":"aws_route53.list_resource_record_sets/5","type":"function"},{"doc":"Retrieves a list of the reusable delegation sets that are associated with the current Amazon Web Services account.","ref":"aws_route53.html#list_reusable_delegation_sets/1","title":"aws_route53.list_reusable_delegation_sets/1","type":"function"},{"doc":"","ref":"aws_route53.html#list_reusable_delegation_sets/3","title":"aws_route53.list_reusable_delegation_sets/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_reusable_delegation_sets/4","title":"aws_route53.list_reusable_delegation_sets/4","type":"function"},{"doc":"Lists tags for one health check or hosted zone. For information about using tags for cost allocation, see Using Cost Allocation Tags in the Billing and Cost Management User Guide.","ref":"aws_route53.html#list_tags_for_resource/3","title":"aws_route53.list_tags_for_resource/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_tags_for_resource/5","title":"aws_route53.list_tags_for_resource/5","type":"function"},{"doc":"","ref":"aws_route53.html#list_tags_for_resource/6","title":"aws_route53.list_tags_for_resource/6","type":"function"},{"doc":"Lists tags for up to 10 health checks or hosted zones. For information about using tags for cost allocation, see Using Cost Allocation Tags in the Billing and Cost Management User Guide.","ref":"aws_route53.html#list_tags_for_resources/3","title":"aws_route53.list_tags_for_resources/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_tags_for_resources/4","title":"aws_route53.list_tags_for_resources/4","type":"function"},{"doc":"Gets information about the latest version for every traffic policy that is associated with the current Amazon Web Services account. Policies are listed in the order that they were created in. For information about how of deleting a traffic policy affects the response from ListTrafficPolicies , see DeleteTrafficPolicy.","ref":"aws_route53.html#list_traffic_policies/1","title":"aws_route53.list_traffic_policies/1","type":"function"},{"doc":"","ref":"aws_route53.html#list_traffic_policies/3","title":"aws_route53.list_traffic_policies/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_traffic_policies/4","title":"aws_route53.list_traffic_policies/4","type":"function"},{"doc":"Gets information about the traffic policy instances that you created by using the current Amazon Web Services account. After you submit an UpdateTrafficPolicyInstance request, there's a brief delay while Amazon Route 53 creates the resource record sets that are specified in the traffic policy definition. For more information, see the State response element. Route 53 returns a maximum of 100 items in each response. If you have a lot of traffic policy instances, you can use the MaxItems parameter to list them in groups of up to 100.","ref":"aws_route53.html#list_traffic_policy_instances/1","title":"aws_route53.list_traffic_policy_instances/1","type":"function"},{"doc":"","ref":"aws_route53.html#list_traffic_policy_instances/3","title":"aws_route53.list_traffic_policy_instances/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_traffic_policy_instances/4","title":"aws_route53.list_traffic_policy_instances/4","type":"function"},{"doc":"Gets information about the traffic policy instances that you created in a specified hosted zone. After you submit a CreateTrafficPolicyInstance or an UpdateTrafficPolicyInstance request, there's a brief delay while Amazon Route 53 creates the resource record sets that are specified in the traffic policy definition. For more information, see the State response element. Route 53 returns a maximum of 100 items in each response. If you have a lot of traffic policy instances, you can use the MaxItems parameter to list them in groups of up to 100.","ref":"aws_route53.html#list_traffic_policy_instances_by_hosted_zone/2","title":"aws_route53.list_traffic_policy_instances_by_hosted_zone/2","type":"function"},{"doc":"","ref":"aws_route53.html#list_traffic_policy_instances_by_hosted_zone/4","title":"aws_route53.list_traffic_policy_instances_by_hosted_zone/4","type":"function"},{"doc":"","ref":"aws_route53.html#list_traffic_policy_instances_by_hosted_zone/5","title":"aws_route53.list_traffic_policy_instances_by_hosted_zone/5","type":"function"},{"doc":"Gets information about the traffic policy instances that you created by using a specify traffic policy version. After you submit a CreateTrafficPolicyInstance or an UpdateTrafficPolicyInstance request, there's a brief delay while Amazon Route 53 creates the resource record sets that are specified in the traffic policy definition. For more information, see the State response element. Route 53 returns a maximum of 100 items in each response. If you have a lot of traffic policy instances, you can use the MaxItems parameter to list them in groups of up to 100.","ref":"aws_route53.html#list_traffic_policy_instances_by_policy/3","title":"aws_route53.list_traffic_policy_instances_by_policy/3","type":"function"},{"doc":"","ref":"aws_route53.html#list_traffic_policy_instances_by_policy/5","title":"aws_route53.list_traffic_policy_instances_by_policy/5","type":"function"},{"doc":"","ref":"aws_route53.html#list_traffic_policy_instances_by_policy/6","title":"aws_route53.list_traffic_policy_instances_by_policy/6","type":"function"},{"doc":"Gets information about all of the versions for a specified traffic policy. Traffic policy versions are listed in numerical order by VersionNumber .","ref":"aws_route53.html#list_traffic_policy_versions/2","title":"aws_route53.list_traffic_policy_versions/2","type":"function"},{"doc":"","ref":"aws_route53.html#list_traffic_policy_versions/4","title":"aws_route53.list_traffic_policy_versions/4","type":"function"},{"doc":"","ref":"aws_route53.html#list_traffic_policy_versions/5","title":"aws_route53.list_traffic_policy_versions/5","type":"function"},{"doc":"Gets a list of the VPCs that were created by other accounts and that can be associated with a specified hosted zone because you've submitted one or more CreateVPCAssociationAuthorization requests. The response includes a VPCs element with a VPC child element for each VPC that can be associated with the hosted zone.","ref":"aws_route53.html#list_vpc_association_authorizations/2","title":"aws_route53.list_vpc_association_authorizations/2","type":"function"},{"doc":"","ref":"aws_route53.html#list_vpc_association_authorizations/4","title":"aws_route53.list_vpc_association_authorizations/4","type":"function"},{"doc":"","ref":"aws_route53.html#list_vpc_association_authorizations/5","title":"aws_route53.list_vpc_association_authorizations/5","type":"function"},{"doc":"Gets the value that Amazon Route 53 returns in response to a DNS request for a specified record name and type. You can optionally specify the IP address of a DNS resolver, an EDNS0 client subnet IP address, and a subnet mask. This call only supports querying public hosted zones.","ref":"aws_route53.html#test_dns_answer/4","title":"aws_route53.test_dns_answer/4","type":"function"},{"doc":"","ref":"aws_route53.html#test_dns_answer/6","title":"aws_route53.test_dns_answer/6","type":"function"},{"doc":"","ref":"aws_route53.html#test_dns_answer/7","title":"aws_route53.test_dns_answer/7","type":"function"},{"doc":"Updates an existing health check. Note that some values can't be updated. For more information about updating health checks, see Creating, Updating, and Deleting Health Checks in the Amazon Route 53 Developer Guide.","ref":"aws_route53.html#update_health_check/3","title":"aws_route53.update_health_check/3","type":"function"},{"doc":"","ref":"aws_route53.html#update_health_check/4","title":"aws_route53.update_health_check/4","type":"function"},{"doc":"Updates the comment for a specified hosted zone.","ref":"aws_route53.html#update_hosted_zone_comment/3","title":"aws_route53.update_hosted_zone_comment/3","type":"function"},{"doc":"","ref":"aws_route53.html#update_hosted_zone_comment/4","title":"aws_route53.update_hosted_zone_comment/4","type":"function"},{"doc":"Updates the comment for a specified traffic policy version.","ref":"aws_route53.html#update_traffic_policy_comment/4","title":"aws_route53.update_traffic_policy_comment/4","type":"function"},{"doc":"","ref":"aws_route53.html#update_traffic_policy_comment/5","title":"aws_route53.update_traffic_policy_comment/5","type":"function"},{"doc":"Updates the resource record sets in a specified hosted zone that were created based on the settings in a specified traffic policy version. When you update a traffic policy instance, Amazon Route 53 continues to respond to DNS queries for the root resource record set name (such as example.com) while it replaces one group of resource record sets with another. Route 53 performs the following operations: Route 53 creates a new group of resource record sets based on the specified traffic policy. This is true regardless of how significant the differences are between the existing resource record sets and the new resource record sets. When all of the new resource record sets have been created, Route 53 starts to respond to DNS queries for the root resource record set name (such as example.com) by using the new resource record sets. Route 53 deletes the old group of resource record sets that are associated with the root resource record set name.","ref":"aws_route53.html#update_traffic_policy_instance/3","title":"aws_route53.update_traffic_policy_instance/3","type":"function"},{"doc":"","ref":"aws_route53.html#update_traffic_policy_instance/4","title":"aws_route53.update_traffic_policy_instance/4","type":"function"},{"doc":"Amazon Route 53 API actions let you register domain names and perform related operations.","ref":"aws_route53_domains.html","title":"aws_route53_domains","type":"module"},{"doc":"Accepts the transfer of a domain from another Amazon Web Services account to the currentAmazon Web Services account. You initiate a transfer between Amazon Web Services accounts using TransferDomainToAnotherAwsAccount. If you use the CLI command at accept-domain-transfer-from-another-aws-account, use JSON format as input instead of text because otherwise CLI will throw an error from domain transfer input that includes single quotes. Use either ListOperations or GetOperationDetail to determine whether the operation succeeded. GetOperationDetail provides additional information, for example, Domain Transfer from Aws Account 111122223333 has been cancelled .","ref":"aws_route53_domains.html#accept_domain_transfer_from_another_aws_account/2","title":"aws_route53_domains.accept_domain_transfer_from_another_aws_account/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#accept_domain_transfer_from_another_aws_account/3","title":"aws_route53_domains.accept_domain_transfer_from_another_aws_account/3","type":"function"},{"doc":"Creates a delegation signer (DS) record in the registry zone for this domain name. Note that creating DS record at the registry impacts DNSSEC validation of your DNS records. This action may render your domain name unavailable on the internet if the steps are completed in the wrong order, or with incorrect timing. For more information about DNSSEC signing, see Configuring DNSSEC signing in the Route 53 developer guide.","ref":"aws_route53_domains.html#associate_delegation_signer_to_domain/2","title":"aws_route53_domains.associate_delegation_signer_to_domain/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#associate_delegation_signer_to_domain/3","title":"aws_route53_domains.associate_delegation_signer_to_domain/3","type":"function"},{"doc":"Cancels the transfer of a domain from the current Amazon Web Services account to another Amazon Web Services account. You initiate a transfer betweenAmazon Web Services accounts using TransferDomainToAnotherAwsAccount. You must cancel the transfer before the other Amazon Web Services account accepts the transfer using AcceptDomainTransferFromAnotherAwsAccount. Use either ListOperations or GetOperationDetail to determine whether the operation succeeded. GetOperationDetail provides additional information, for example, Domain Transfer from Aws Account 111122223333 has been cancelled .","ref":"aws_route53_domains.html#cancel_domain_transfer_to_another_aws_account/2","title":"aws_route53_domains.cancel_domain_transfer_to_another_aws_account/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#cancel_domain_transfer_to_another_aws_account/3","title":"aws_route53_domains.cancel_domain_transfer_to_another_aws_account/3","type":"function"},{"doc":"This operation checks the availability of one domain name. Note that if the availability status of a domain is pending, you must submit another request to determine the availability of the domain name.","ref":"aws_route53_domains.html#check_domain_availability/2","title":"aws_route53_domains.check_domain_availability/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#check_domain_availability/3","title":"aws_route53_domains.check_domain_availability/3","type":"function"},{"doc":"Checks whether a domain name can be transferred to Amazon Route 53.","ref":"aws_route53_domains.html#check_domain_transferability/2","title":"aws_route53_domains.check_domain_transferability/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#check_domain_transferability/3","title":"aws_route53_domains.check_domain_transferability/3","type":"function"},{"doc":"This operation deletes the specified domain. This action is permanent. For more information, see Deleting a domain name registration. To transfer the domain registration to another registrar, use the transfer process that’s provided by the registrar to which you want to transfer the registration. Otherwise, the following apply: You can’t get a refund for the cost of a deleted domain registration. The registry for the top-level domain might hold the domain name for a brief time before releasing it for other users to register (varies by registry). When the registration has been deleted, we'll send you a confirmation to the registrant contact. The email will come from noreply@domainnameverification.net or noreply@registrar.amazon.com .","ref":"aws_route53_domains.html#delete_domain/2","title":"aws_route53_domains.delete_domain/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#delete_domain/3","title":"aws_route53_domains.delete_domain/3","type":"function"},{"doc":"This operation deletes the specified tags for a domain. All tag operations are eventually consistent; subsequent operations might not immediately represent all issued operations.","ref":"aws_route53_domains.html#delete_tags_for_domain/2","title":"aws_route53_domains.delete_tags_for_domain/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#delete_tags_for_domain/3","title":"aws_route53_domains.delete_tags_for_domain/3","type":"function"},{"doc":"This operation disables automatic renewal of domain registration for the specified domain.","ref":"aws_route53_domains.html#disable_domain_auto_renew/2","title":"aws_route53_domains.disable_domain_auto_renew/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#disable_domain_auto_renew/3","title":"aws_route53_domains.disable_domain_auto_renew/3","type":"function"},{"doc":"This operation removes the transfer lock on the domain (specifically the clientTransferProhibited status) to allow domain transfers. We recommend you refrain from performing this action unless you intend to transfer the domain to a different registrar. Successful submission returns an operation ID that you can use to track the progress and completion of the action. If the request is not completed successfully, the domain registrant will be notified by email.","ref":"aws_route53_domains.html#disable_domain_transfer_lock/2","title":"aws_route53_domains.disable_domain_transfer_lock/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#disable_domain_transfer_lock/3","title":"aws_route53_domains.disable_domain_transfer_lock/3","type":"function"},{"doc":"Deletes a delegation signer (DS) record in the registry zone for this domain name.","ref":"aws_route53_domains.html#disassociate_delegation_signer_from_domain/2","title":"aws_route53_domains.disassociate_delegation_signer_from_domain/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#disassociate_delegation_signer_from_domain/3","title":"aws_route53_domains.disassociate_delegation_signer_from_domain/3","type":"function"},{"doc":"This operation configures Amazon Route 53 to automatically renew the specified domain before the domain registration expires. The cost of renewing your domain registration is billed to your Amazon Web Services account. The period during which you can renew a domain name varies by TLD. For a list of TLDs and their renewal policies, see Domains That You Can Register with Amazon Route 53 in the Amazon Route 53 Developer Guide. Route 53 requires that you renew before the end of the renewal period so we can complete processing before the deadline.","ref":"aws_route53_domains.html#enable_domain_auto_renew/2","title":"aws_route53_domains.enable_domain_auto_renew/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#enable_domain_auto_renew/3","title":"aws_route53_domains.enable_domain_auto_renew/3","type":"function"},{"doc":"This operation sets the transfer lock on the domain (specifically the clientTransferProhibited status) to prevent domain transfers. Successful submission returns an operation ID that you can use to track the progress and completion of the action. If the request is not completed successfully, the domain registrant will be notified by email.","ref":"aws_route53_domains.html#enable_domain_transfer_lock/2","title":"aws_route53_domains.enable_domain_transfer_lock/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#enable_domain_transfer_lock/3","title":"aws_route53_domains.enable_domain_transfer_lock/3","type":"function"},{"doc":"For operations that require confirmation that the email address for the registrant contact is valid, such as registering a new domain, this operation returns information about whether the registrant contact has responded. If you want us to resend the email, use the ResendContactReachabilityEmail operation.","ref":"aws_route53_domains.html#get_contact_reachability_status/2","title":"aws_route53_domains.get_contact_reachability_status/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#get_contact_reachability_status/3","title":"aws_route53_domains.get_contact_reachability_status/3","type":"function"},{"doc":"This operation returns detailed information about a specified domain that is associated with the current Amazon Web Services account. Contact information for the domain is also returned as part of the output.","ref":"aws_route53_domains.html#get_domain_detail/2","title":"aws_route53_domains.get_domain_detail/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#get_domain_detail/3","title":"aws_route53_domains.get_domain_detail/3","type":"function"},{"doc":"The GetDomainSuggestions operation returns a list of suggested domain names.","ref":"aws_route53_domains.html#get_domain_suggestions/2","title":"aws_route53_domains.get_domain_suggestions/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#get_domain_suggestions/3","title":"aws_route53_domains.get_domain_suggestions/3","type":"function"},{"doc":"This operation returns the current status of an operation that is not completed.","ref":"aws_route53_domains.html#get_operation_detail/2","title":"aws_route53_domains.get_operation_detail/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#get_operation_detail/3","title":"aws_route53_domains.get_operation_detail/3","type":"function"},{"doc":"This operation returns all the domain names registered with Amazon Route 53 for the current Amazon Web Services account if no filtering conditions are used.","ref":"aws_route53_domains.html#list_domains/2","title":"aws_route53_domains.list_domains/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#list_domains/3","title":"aws_route53_domains.list_domains/3","type":"function"},{"doc":"Returns information about all of the operations that return an operation ID and that have ever been performed on domains that were registered by the current account. This command runs only in the us-east-1 Region.","ref":"aws_route53_domains.html#list_operations/2","title":"aws_route53_domains.list_operations/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#list_operations/3","title":"aws_route53_domains.list_operations/3","type":"function"},{"doc":"Lists the following prices for either all the TLDs supported by Route 53, or the specified TLD: Registration Transfer Owner change Domain renewal Domain restoration","ref":"aws_route53_domains.html#list_prices/2","title":"aws_route53_domains.list_prices/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#list_prices/3","title":"aws_route53_domains.list_prices/3","type":"function"},{"doc":"This operation returns all of the tags that are associated with the specified domain. All tag operations are eventually consistent; subsequent operations might not immediately represent all issued operations.","ref":"aws_route53_domains.html#list_tags_for_domain/2","title":"aws_route53_domains.list_tags_for_domain/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#list_tags_for_domain/3","title":"aws_route53_domains.list_tags_for_domain/3","type":"function"},{"doc":"Moves a domain from Amazon Web Services to another registrar. Supported actions: Changes the IPS tags of a .uk domain, and pushes it to transit. Transit means that the domain is ready to be transferred to another registrar.","ref":"aws_route53_domains.html#push_domain/2","title":"aws_route53_domains.push_domain/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#push_domain/3","title":"aws_route53_domains.push_domain/3","type":"function"},{"doc":"This operation registers a domain. Domains are registered either by Amazon Registrar (for .com, .net, and .org domains) or by our registrar associate, Gandi (for all other domains). For some top-level domains (TLDs), this operation requires extra parameters. When you register a domain, Amazon Route 53 does the following: Creates a Route 53 hosted zone that has the same name as the domain. Route 53 assigns four name servers to your hosted zone and automatically updates your domain registration with the names of these name servers. Enables auto renew, so your domain registration will renew automatically each year. We'll notify you in advance of the renewal date so you can choose whether to renew the registration. Optionally enables privacy protection, so WHOIS queries return contact information either for Amazon Registrar (for .com, .net, and .org domains) or for our registrar associate, Gandi (for all other TLDs). If you don't enable privacy protection, WHOIS queries return the information that you entered for the administrative, registrant, and technical contacts. You must specify the same privacy setting for the administrative, registrant, and technical contacts. If registration is successful, returns an operation ID that you can use to track the progress and completion of the action. If the request is not completed successfully, the domain registrant is notified by email. Charges your Amazon Web Services account an amount based on the top-level domain. For more information, see Amazon Route 53 Pricing.","ref":"aws_route53_domains.html#register_domain/2","title":"aws_route53_domains.register_domain/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#register_domain/3","title":"aws_route53_domains.register_domain/3","type":"function"},{"doc":"Rejects the transfer of a domain from another Amazon Web Services account to the current Amazon Web Services account. You initiate a transfer betweenAmazon Web Services accounts using TransferDomainToAnotherAwsAccount. Use either ListOperations or GetOperationDetail to determine whether the operation succeeded. GetOperationDetail provides additional information, for example, Domain Transfer from Aws Account 111122223333 has been cancelled .","ref":"aws_route53_domains.html#reject_domain_transfer_from_another_aws_account/2","title":"aws_route53_domains.reject_domain_transfer_from_another_aws_account/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#reject_domain_transfer_from_another_aws_account/3","title":"aws_route53_domains.reject_domain_transfer_from_another_aws_account/3","type":"function"},{"doc":"This operation renews a domain for the specified number of years. The cost of renewing your domain is billed to your Amazon Web Services account. We recommend that you renew your domain several weeks before the expiration date. Some TLD registries delete domains before the expiration date if you haven't renewed far enough in advance. For more information about renewing domain registration, see Renewing Registration for a Domain in the Amazon Route 53 Developer Guide.","ref":"aws_route53_domains.html#renew_domain/2","title":"aws_route53_domains.renew_domain/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#renew_domain/3","title":"aws_route53_domains.renew_domain/3","type":"function"},{"doc":"For operations that require confirmation that the email address for the registrant contact is valid, such as registering a new domain, this operation resends the confirmation email to the current email address for the registrant contact.","ref":"aws_route53_domains.html#resend_contact_reachability_email/2","title":"aws_route53_domains.resend_contact_reachability_email/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#resend_contact_reachability_email/3","title":"aws_route53_domains.resend_contact_reachability_email/3","type":"function"},{"doc":"Resend the form of authorization email for this operation.","ref":"aws_route53_domains.html#resend_operation_authorization/2","title":"aws_route53_domains.resend_operation_authorization/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#resend_operation_authorization/3","title":"aws_route53_domains.resend_operation_authorization/3","type":"function"},{"doc":"This operation returns the authorization code for the domain. To transfer a domain to another registrar, you provide this value to the new registrar.","ref":"aws_route53_domains.html#retrieve_domain_auth_code/2","title":"aws_route53_domains.retrieve_domain_auth_code/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#retrieve_domain_auth_code/3","title":"aws_route53_domains.retrieve_domain_auth_code/3","type":"function"},{"doc":"Transfers a domain from another registrar to Amazon Route 53. When the transfer is complete, the domain is registered either with Amazon Registrar (for .com, .net, and .org domains) or with our registrar associate, Gandi (for all other TLDs). For more information about transferring domains, see the following topics: For transfer requirements, a detailed procedure, and information about viewing the status of a domain that you're transferring to Route 53, see Transferring Registration for a Domain to Amazon Route 53 in the Amazon Route 53 Developer Guide. For information about how to transfer a domain from one Amazon Web Services account to another, see TransferDomainToAnotherAwsAccount. For information about how to transfer a domain to another domain registrar, see Transferring a Domain from Amazon Route 53 to Another Registrar in the Amazon Route 53 Developer Guide. If the registrar for your domain is also the DNS service provider for the domain, we highly recommend that you transfer your DNS service to Route 53 or to another DNS service provider before you transfer your registration. Some registrars provide free DNS service when you purchase a domain registration. When you transfer the registration, the previous registrar will not renew your domain registration and could end your DNS service at any time. If the registrar for your domain is also the DNS service provider for the domain and you don't transfer DNS service to another provider, your website, email, and the web applications associated with the domain might become unavailable. If the transfer is successful, this method returns an operation ID that you can use to track the progress and completion of the action. If the transfer doesn't complete successfully, the domain registrant will be notified by email.","ref":"aws_route53_domains.html#transfer_domain/2","title":"aws_route53_domains.transfer_domain/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#transfer_domain/3","title":"aws_route53_domains.transfer_domain/3","type":"function"},{"doc":"Transfers a domain from the current Amazon Web Services account to another Amazon Web Services account. Note the following: The Amazon Web Services account that you're transferring the domain to must accept the transfer. If the other account doesn't accept the transfer within 3 days, we cancel the transfer. See AcceptDomainTransferFromAnotherAwsAccount. You can cancel the transfer before the other account accepts it. See CancelDomainTransferToAnotherAwsAccount. The other account can reject the transfer. See RejectDomainTransferFromAnotherAwsAccount. When you transfer a domain from one Amazon Web Services account to another, Route 53 doesn't transfer the hosted zone that is associated with the domain. DNS resolution isn't affected if the domain and the hosted zone are owned by separate accounts, so transferring the hosted zone is optional. For information about transferring the hosted zone to another Amazon Web Services account, see Migrating a Hosted Zone to a Different Amazon Web Services Account in the Amazon Route 53 Developer Guide. Use either ListOperations or GetOperationDetail to determine whether the operation succeeded. GetOperationDetail provides additional information, for example, Domain Transfer from Aws Account 111122223333 has been cancelled .","ref":"aws_route53_domains.html#transfer_domain_to_another_aws_account/2","title":"aws_route53_domains.transfer_domain_to_another_aws_account/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#transfer_domain_to_another_aws_account/3","title":"aws_route53_domains.transfer_domain_to_another_aws_account/3","type":"function"},{"doc":"This operation updates the contact information for a particular domain. You must specify information for at least one contact: registrant, administrator, or technical. If the update is successful, this method returns an operation ID that you can use to track the progress and completion of the operation. If the request is not completed successfully, the domain registrant will be notified by email.","ref":"aws_route53_domains.html#update_domain_contact/2","title":"aws_route53_domains.update_domain_contact/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#update_domain_contact/3","title":"aws_route53_domains.update_domain_contact/3","type":"function"},{"doc":"This operation updates the specified domain contact's privacy setting. When privacy protection is enabled, contact information such as email address is replaced either with contact information for Amazon Registrar (for .com, .net, and .org domains) or with contact information for our registrar associate, Gandi. You must specify the same privacy setting for the administrative, registrant, and technical contacts. This operation affects only the contact information for the specified contact type (administrative, registrant, or technical). If the request succeeds, Amazon Route 53 returns an operation ID that you can use with GetOperationDetail to track the progress and completion of the action. If the request doesn't complete successfully, the domain registrant will be notified by email. By disabling the privacy service via API, you consent to the publication of the contact information provided for this domain via the public WHOIS database. You certify that you are the registrant of this domain name and have the authority to make this decision. You may withdraw your consent at any time by enabling privacy protection using either UpdateDomainContactPrivacy or the Route 53 console. Enabling privacy protection removes the contact information provided for this domain from the WHOIS database. For more information on our privacy practices, see https://aws.amazon.com/privacy/ .","ref":"aws_route53_domains.html#update_domain_contact_privacy/2","title":"aws_route53_domains.update_domain_contact_privacy/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#update_domain_contact_privacy/3","title":"aws_route53_domains.update_domain_contact_privacy/3","type":"function"},{"doc":"This operation replaces the current set of name servers for the domain with the specified set of name servers. If you use Amazon Route 53 as your DNS service, specify the four name servers in the delegation set for the hosted zone for the domain. If successful, this operation returns an operation ID that you can use to track the progress and completion of the action. If the request is not completed successfully, the domain registrant will be notified by email.","ref":"aws_route53_domains.html#update_domain_nameservers/2","title":"aws_route53_domains.update_domain_nameservers/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#update_domain_nameservers/3","title":"aws_route53_domains.update_domain_nameservers/3","type":"function"},{"doc":"This operation adds or updates tags for a specified domain. All tag operations are eventually consistent; subsequent operations might not immediately represent all issued operations.","ref":"aws_route53_domains.html#update_tags_for_domain/2","title":"aws_route53_domains.update_tags_for_domain/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#update_tags_for_domain/3","title":"aws_route53_domains.update_tags_for_domain/3","type":"function"},{"doc":"Returns all the domain-related billing records for the current Amazon Web Services account for a specified period","ref":"aws_route53_domains.html#view_billing/2","title":"aws_route53_domains.view_billing/2","type":"function"},{"doc":"","ref":"aws_route53_domains.html#view_billing/3","title":"aws_route53_domains.view_billing/3","type":"function"},{"doc":"Welcome to the Routing Control (Recovery Cluster) API Reference Guide for Amazon Route 53 Application Recovery Controller. With Route 53 ARC, you can use routing control with extreme reliability to recover applications by rerouting traffic across Availability Zones or Amazon Web Services Regions. Routing controls are simple on/off switches hosted on a highly available cluster in Route 53 ARC. A cluster provides a set of five redundant Regional endpoints against which you can run API calls to get or update the state of routing controls. To implement failover, you set one routing control On and another one Off, to reroute traffic from one Availability Zone or Amazon Web Services Region to another. Be aware that you must specify a Regional endpoint for a cluster when you work with API cluster operations to get or update routing control states in Route 53 ARC. In addition, you must specify the US West (Oregon) Region for Route 53 ARC API calls. For example, use the parameter --region us-west-2 with AWS CLI commands. For more information, see Get and update routing control states using the API in the Amazon Route 53 Application Recovery Controller Developer Guide. This API guide includes information about the API operations for how to get and update routing control states in Route 53 ARC. To work with routing control in Route 53 ARC, you must first create the required components (clusters, control panels, and routing controls) using the recovery cluster configuration API. For more information about working with routing control in Route 53 ARC, see the following: Create clusters, control panels, and routing controls by using API operations. For more information, see the Recovery Control Configuration API Reference Guide for Amazon Route 53 Application Recovery Controller. Learn about the components in recovery control, including clusters, routing controls, and control panels, and how to work with Route 53 ARC in the Amazon Web Services console. For more information, see Recovery control components in the Amazon Route 53 Application Recovery Controller Developer Guide. Route 53 ARC also provides readiness checks that continually audit resources to help make sure that your applications are scaled and ready to handle failover traffic. For more information about the related API operations, see the Recovery Readiness API Reference Guide for Amazon Route 53 Application Recovery Controller. For more information about creating resilient applications and preparing for recovery readiness with Route 53 ARC, see the Amazon Route 53 Application Recovery Controller Developer Guide.","ref":"aws_route53_recovery_cluster.html","title":"aws_route53_recovery_cluster","type":"module"},{"doc":"Get the state for a routing control. A routing control is a simple on/off switch that you can use to route traffic to cells. When a routing control state is On, traffic flows to a cell. When the state is Off, traffic does not flow. Before you can create a routing control, you must first create a cluster, and then host the control in a control panel on the cluster. For more information, see Create routing control structures in the Amazon Route 53 Application Recovery Controller Developer Guide. You access one of the endpoints for the cluster to get or update the routing control state to redirect traffic for your application. You must specify Regional endpoints when you work with API cluster operations to get or update routing control states in Route 53 ARC. To see a code example for getting a routing control state, including accessing Regional cluster endpoints in sequence, see API examples in the Amazon Route 53 Application Recovery Controller Developer Guide. Learn more about working with routing controls in the following topics in the Amazon Route 53 Application Recovery Controller Developer Guide: Viewing and updating routing control states Working with routing controls in Route 53 ARC","ref":"aws_route53_recovery_cluster.html#get_routing_control_state/2","title":"aws_route53_recovery_cluster.get_routing_control_state/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_cluster.html#get_routing_control_state/3","title":"aws_route53_recovery_cluster.get_routing_control_state/3","type":"function"},{"doc":"List routing control names and Amazon Resource Names (ARNs), as well as the routing control state for each routing control, along with the control panel name and control panel ARN for the routing controls. If you specify a control panel ARN, this call lists the routing controls in the control panel. Otherwise, it lists all the routing controls in the cluster. A routing control is a simple on/off switch in Route 53 ARC that you can use to route traffic to cells. When a routing control state is On, traffic flows to a cell. When the state is Off, traffic does not flow. Before you can create a routing control, you must first create a cluster, and then host the control in a control panel on the cluster. For more information, see Create routing control structures in the Amazon Route 53 Application Recovery Controller Developer Guide. You access one of the endpoints for the cluster to get or update the routing control state to redirect traffic for your application. You must specify Regional endpoints when you work with API cluster operations to use this API operation to list routing controls in Route 53 ARC. Learn more about working with routing controls in the following topics in the Amazon Route 53 Application Recovery Controller Developer Guide: Viewing and updating routing control states Working with routing controls in Route 53 ARC","ref":"aws_route53_recovery_cluster.html#list_routing_controls/2","title":"aws_route53_recovery_cluster.list_routing_controls/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_cluster.html#list_routing_controls/3","title":"aws_route53_recovery_cluster.list_routing_controls/3","type":"function"},{"doc":"Set the state of the routing control to reroute traffic. You can set the value to be On or Off. When the state is On, traffic flows to a cell. When the state is Off, traffic does not flow. With Route 53 ARC, you can add safety rules for routing controls, which are safeguards for routing control state updates that help prevent unexpected outcomes, like fail open traffic routing. However, there are scenarios when you might want to bypass the routing control safeguards that are enforced with safety rules that you've configured. For example, you might want to fail over quickly for disaster recovery, and one or more safety rules might be unexpectedly preventing you from updating a routing control state to reroute traffic. In a &quot;break glass&quot; scenario like this, you can override one or more safety rules to change a routing control state and fail over your application. The SafetyRulesToOverride property enables you override one or more safety rules and update routing control states. For more information, see Override safety rules to reroute traffic in the Amazon Route 53 Application Recovery Controller Developer Guide. You must specify Regional endpoints when you work with API cluster operations to get or update routing control states in Route 53 ARC. To see a code example for getting a routing control state, including accessing Regional cluster endpoints in sequence, see API examples in the Amazon Route 53 Application Recovery Controller Developer Guide. Viewing and updating routing control states Working with routing controls overall","ref":"aws_route53_recovery_cluster.html#update_routing_control_state/2","title":"aws_route53_recovery_cluster.update_routing_control_state/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_cluster.html#update_routing_control_state/3","title":"aws_route53_recovery_cluster.update_routing_control_state/3","type":"function"},{"doc":"Set multiple routing control states. You can set the value for each state to be On or Off. When the state is On, traffic flows to a cell. When it's Off, traffic does not flow. With Route 53 ARC, you can add safety rules for routing controls, which are safeguards for routing control state updates that help prevent unexpected outcomes, like fail open traffic routing. However, there are scenarios when you might want to bypass the routing control safeguards that are enforced with safety rules that you've configured. For example, you might want to fail over quickly for disaster recovery, and one or more safety rules might be unexpectedly preventing you from updating a routing control state to reroute traffic. In a &quot;break glass&quot; scenario like this, you can override one or more safety rules to change a routing control state and fail over your application. The SafetyRulesToOverride property enables you override one or more safety rules and update routing control states. For more information, see Override safety rules to reroute traffic in the Amazon Route 53 Application Recovery Controller Developer Guide. You must specify Regional endpoints when you work with API cluster operations to get or update routing control states in Route 53 ARC. To see a code example for getting a routing control state, including accessing Regional cluster endpoints in sequence, see API examples in the Amazon Route 53 Application Recovery Controller Developer Guide. Viewing and updating routing control states Working with routing controls overall","ref":"aws_route53_recovery_cluster.html#update_routing_control_states/2","title":"aws_route53_recovery_cluster.update_routing_control_states/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_cluster.html#update_routing_control_states/3","title":"aws_route53_recovery_cluster.update_routing_control_states/3","type":"function"},{"doc":"Recovery Control Configuration API Reference for Amazon Route 53 Application Recovery Controller","ref":"aws_route53_recovery_control_config.html","title":"aws_route53_recovery_control_config","type":"module"},{"doc":"Create a new cluster. A cluster is a set of redundant Regional endpoints against which you can run API calls to update or get the state of one or more routing controls. Each cluster has a name, status, Amazon Resource Name (ARN), and an array of the five cluster endpoints (one for each supported Amazon Web Services Region) that you can use with API calls to the cluster data plane.","ref":"aws_route53_recovery_control_config.html#create_cluster/2","title":"aws_route53_recovery_control_config.create_cluster/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#create_cluster/3","title":"aws_route53_recovery_control_config.create_cluster/3","type":"function"},{"doc":"Creates a new control panel. A control panel represents a group of routing controls that can be changed together in a single transaction. You can use a control panel to centrally view the operational status of applications across your organization, and trigger multi-app failovers in a single transaction, for example, to fail over an Availability Zone or Amazon Web Services Region.","ref":"aws_route53_recovery_control_config.html#create_control_panel/2","title":"aws_route53_recovery_control_config.create_control_panel/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#create_control_panel/3","title":"aws_route53_recovery_control_config.create_control_panel/3","type":"function"},{"doc":"Creates a new routing control. A routing control has one of two states: ON and OFF. You can map the routing control state to the state of an Amazon Route 53 health check, which can be used to control traffic routing. To get or update the routing control state, see the Recovery Cluster (data plane) API actions for Amazon Route 53 Application Recovery Controller.","ref":"aws_route53_recovery_control_config.html#create_routing_control/2","title":"aws_route53_recovery_control_config.create_routing_control/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#create_routing_control/3","title":"aws_route53_recovery_control_config.create_routing_control/3","type":"function"},{"doc":"Creates a safety rule in a control panel. Safety rules let you add safeguards around changing routing control states, and for enabling and disabling routing controls, to help prevent unexpected outcomes. There are two types of safety rules: assertion rules and gating rules. Assertion rule: An assertion rule enforces that, when you change a routing control state, that a certain criteria is met. For example, the criteria might be that at least one routing control state is On after the transaction so that traffic continues to flow to at least one cell for the application. This ensures that you avoid a fail-open scenario. Gating rule: A gating rule lets you configure a gating routing control as an overall &quot;on/off&quot; switch for a group of routing controls. Or, you can configure more complex gating scenarios, for example by configuring multiple gating routing controls. For more information, see Safety rules in the Amazon Route 53 Application Recovery Controller Developer Guide.","ref":"aws_route53_recovery_control_config.html#create_safety_rule/2","title":"aws_route53_recovery_control_config.create_safety_rule/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#create_safety_rule/3","title":"aws_route53_recovery_control_config.create_safety_rule/3","type":"function"},{"doc":"Delete a cluster.","ref":"aws_route53_recovery_control_config.html#delete_cluster/3","title":"aws_route53_recovery_control_config.delete_cluster/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#delete_cluster/4","title":"aws_route53_recovery_control_config.delete_cluster/4","type":"function"},{"doc":"Deletes a control panel.","ref":"aws_route53_recovery_control_config.html#delete_control_panel/3","title":"aws_route53_recovery_control_config.delete_control_panel/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#delete_control_panel/4","title":"aws_route53_recovery_control_config.delete_control_panel/4","type":"function"},{"doc":"Deletes a routing control.","ref":"aws_route53_recovery_control_config.html#delete_routing_control/3","title":"aws_route53_recovery_control_config.delete_routing_control/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#delete_routing_control/4","title":"aws_route53_recovery_control_config.delete_routing_control/4","type":"function"},{"doc":"Deletes a safety rule. /&gt;","ref":"aws_route53_recovery_control_config.html#delete_safety_rule/3","title":"aws_route53_recovery_control_config.delete_safety_rule/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#delete_safety_rule/4","title":"aws_route53_recovery_control_config.delete_safety_rule/4","type":"function"},{"doc":"Display the details about a cluster. The response includes the cluster name, endpoints, status, and Amazon Resource Name (ARN).","ref":"aws_route53_recovery_control_config.html#describe_cluster/2","title":"aws_route53_recovery_control_config.describe_cluster/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#describe_cluster/4","title":"aws_route53_recovery_control_config.describe_cluster/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#describe_cluster/5","title":"aws_route53_recovery_control_config.describe_cluster/5","type":"function"},{"doc":"Displays details about a control panel.","ref":"aws_route53_recovery_control_config.html#describe_control_panel/2","title":"aws_route53_recovery_control_config.describe_control_panel/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#describe_control_panel/4","title":"aws_route53_recovery_control_config.describe_control_panel/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#describe_control_panel/5","title":"aws_route53_recovery_control_config.describe_control_panel/5","type":"function"},{"doc":"Displays details about a routing control. A routing control has one of two states: ON and OFF. You can map the routing control state to the state of an Amazon Route 53 health check, which can be used to control routing. To get or update the routing control state, see the Recovery Cluster (data plane) API actions for Amazon Route 53 Application Recovery Controller.","ref":"aws_route53_recovery_control_config.html#describe_routing_control/2","title":"aws_route53_recovery_control_config.describe_routing_control/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#describe_routing_control/4","title":"aws_route53_recovery_control_config.describe_routing_control/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#describe_routing_control/5","title":"aws_route53_recovery_control_config.describe_routing_control/5","type":"function"},{"doc":"Returns information about a safety rule.","ref":"aws_route53_recovery_control_config.html#describe_safety_rule/2","title":"aws_route53_recovery_control_config.describe_safety_rule/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#describe_safety_rule/4","title":"aws_route53_recovery_control_config.describe_safety_rule/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#describe_safety_rule/5","title":"aws_route53_recovery_control_config.describe_safety_rule/5","type":"function"},{"doc":"Returns an array of all Amazon Route 53 health checks associated with a specific routing control.","ref":"aws_route53_recovery_control_config.html#list_associated_route53_health_checks/2","title":"aws_route53_recovery_control_config.list_associated_route53_health_checks/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#list_associated_route53_health_checks/4","title":"aws_route53_recovery_control_config.list_associated_route53_health_checks/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#list_associated_route53_health_checks/5","title":"aws_route53_recovery_control_config.list_associated_route53_health_checks/5","type":"function"},{"doc":"Returns an array of all the clusters in an account.","ref":"aws_route53_recovery_control_config.html#list_clusters/1","title":"aws_route53_recovery_control_config.list_clusters/1","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#list_clusters/3","title":"aws_route53_recovery_control_config.list_clusters/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#list_clusters/4","title":"aws_route53_recovery_control_config.list_clusters/4","type":"function"},{"doc":"Returns an array of control panels in an account or in a cluster.","ref":"aws_route53_recovery_control_config.html#list_control_panels/1","title":"aws_route53_recovery_control_config.list_control_panels/1","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#list_control_panels/3","title":"aws_route53_recovery_control_config.list_control_panels/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#list_control_panels/4","title":"aws_route53_recovery_control_config.list_control_panels/4","type":"function"},{"doc":"Returns an array of routing controls for a control panel. A routing control is an Amazon Route 53 Application Recovery Controller construct that has one of two states: ON and OFF. You can map the routing control state to the state of an Amazon Route 53 health check, which can be used to control routing.","ref":"aws_route53_recovery_control_config.html#list_routing_controls/2","title":"aws_route53_recovery_control_config.list_routing_controls/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#list_routing_controls/4","title":"aws_route53_recovery_control_config.list_routing_controls/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#list_routing_controls/5","title":"aws_route53_recovery_control_config.list_routing_controls/5","type":"function"},{"doc":"List the safety rules (the assertion rules and gating rules) that you've defined for the routing controls in a control panel.","ref":"aws_route53_recovery_control_config.html#list_safety_rules/2","title":"aws_route53_recovery_control_config.list_safety_rules/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#list_safety_rules/4","title":"aws_route53_recovery_control_config.list_safety_rules/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#list_safety_rules/5","title":"aws_route53_recovery_control_config.list_safety_rules/5","type":"function"},{"doc":"Lists the tags for a resource.","ref":"aws_route53_recovery_control_config.html#list_tags_for_resource/2","title":"aws_route53_recovery_control_config.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#list_tags_for_resource/4","title":"aws_route53_recovery_control_config.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#list_tags_for_resource/5","title":"aws_route53_recovery_control_config.list_tags_for_resource/5","type":"function"},{"doc":"Adds a tag to a resource.","ref":"aws_route53_recovery_control_config.html#tag_resource/3","title":"aws_route53_recovery_control_config.tag_resource/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#tag_resource/4","title":"aws_route53_recovery_control_config.tag_resource/4","type":"function"},{"doc":"Removes a tag from a resource.","ref":"aws_route53_recovery_control_config.html#untag_resource/3","title":"aws_route53_recovery_control_config.untag_resource/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#untag_resource/4","title":"aws_route53_recovery_control_config.untag_resource/4","type":"function"},{"doc":"Updates a control panel. The only update you can make to a control panel is to change the name of the control panel.","ref":"aws_route53_recovery_control_config.html#update_control_panel/2","title":"aws_route53_recovery_control_config.update_control_panel/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#update_control_panel/3","title":"aws_route53_recovery_control_config.update_control_panel/3","type":"function"},{"doc":"Updates a routing control. You can only update the name of the routing control. To get or update the routing control state, see the Recovery Cluster (data plane) API actions for Amazon Route 53 Application Recovery Controller.","ref":"aws_route53_recovery_control_config.html#update_routing_control/2","title":"aws_route53_recovery_control_config.update_routing_control/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#update_routing_control/3","title":"aws_route53_recovery_control_config.update_routing_control/3","type":"function"},{"doc":"Update a safety rule (an assertion rule or gating rule). You can only update the name and the waiting period for a safety rule. To make other updates, delete the safety rule and create a new one.","ref":"aws_route53_recovery_control_config.html#update_safety_rule/2","title":"aws_route53_recovery_control_config.update_safety_rule/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_control_config.html#update_safety_rule/3","title":"aws_route53_recovery_control_config.update_safety_rule/3","type":"function"},{"doc":"Recovery readiness","ref":"aws_route53_recovery_readiness.html","title":"aws_route53_recovery_readiness","type":"module"},{"doc":"Creates a cell in an account.","ref":"aws_route53_recovery_readiness.html#create_cell/2","title":"aws_route53_recovery_readiness.create_cell/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#create_cell/3","title":"aws_route53_recovery_readiness.create_cell/3","type":"function"},{"doc":"Creates a cross-account readiness authorization. This lets you authorize another account to work with Route 53 Application Recovery Controller, for example, to check the readiness status of resources in a separate account.","ref":"aws_route53_recovery_readiness.html#create_cross_account_authorization/2","title":"aws_route53_recovery_readiness.create_cross_account_authorization/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#create_cross_account_authorization/3","title":"aws_route53_recovery_readiness.create_cross_account_authorization/3","type":"function"},{"doc":"Creates a readiness check in an account. A readiness check monitors a resource set in your application, such as a set of Amazon Aurora instances, that Application Recovery Controller is auditing recovery readiness for. The audits run once every minute on every resource that's associated with a readiness check.","ref":"aws_route53_recovery_readiness.html#create_readiness_check/2","title":"aws_route53_recovery_readiness.create_readiness_check/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#create_readiness_check/3","title":"aws_route53_recovery_readiness.create_readiness_check/3","type":"function"},{"doc":"Creates a recovery group in an account. A recovery group corresponds to an application and includes a list of the cells that make up the application.","ref":"aws_route53_recovery_readiness.html#create_recovery_group/2","title":"aws_route53_recovery_readiness.create_recovery_group/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#create_recovery_group/3","title":"aws_route53_recovery_readiness.create_recovery_group/3","type":"function"},{"doc":"Creates a resource set. A resource set is a set of resources of one type that span multiple cells. You can associate a resource set with a readiness check to monitor the resources for failover readiness.","ref":"aws_route53_recovery_readiness.html#create_resource_set/2","title":"aws_route53_recovery_readiness.create_resource_set/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#create_resource_set/3","title":"aws_route53_recovery_readiness.create_resource_set/3","type":"function"},{"doc":"Delete a cell. When successful, the response code is 204, with no response body.","ref":"aws_route53_recovery_readiness.html#delete_cell/3","title":"aws_route53_recovery_readiness.delete_cell/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#delete_cell/4","title":"aws_route53_recovery_readiness.delete_cell/4","type":"function"},{"doc":"Deletes cross account readiness authorization.","ref":"aws_route53_recovery_readiness.html#delete_cross_account_authorization/3","title":"aws_route53_recovery_readiness.delete_cross_account_authorization/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#delete_cross_account_authorization/4","title":"aws_route53_recovery_readiness.delete_cross_account_authorization/4","type":"function"},{"doc":"Deletes a readiness check.","ref":"aws_route53_recovery_readiness.html#delete_readiness_check/3","title":"aws_route53_recovery_readiness.delete_readiness_check/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#delete_readiness_check/4","title":"aws_route53_recovery_readiness.delete_readiness_check/4","type":"function"},{"doc":"Deletes a recovery group.","ref":"aws_route53_recovery_readiness.html#delete_recovery_group/3","title":"aws_route53_recovery_readiness.delete_recovery_group/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#delete_recovery_group/4","title":"aws_route53_recovery_readiness.delete_recovery_group/4","type":"function"},{"doc":"Deletes a resource set.","ref":"aws_route53_recovery_readiness.html#delete_resource_set/3","title":"aws_route53_recovery_readiness.delete_resource_set/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#delete_resource_set/4","title":"aws_route53_recovery_readiness.delete_resource_set/4","type":"function"},{"doc":"Gets recommendations about architecture designs for improving resiliency for an application, based on a recovery group.","ref":"aws_route53_recovery_readiness.html#get_architecture_recommendations/2","title":"aws_route53_recovery_readiness.get_architecture_recommendations/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_architecture_recommendations/4","title":"aws_route53_recovery_readiness.get_architecture_recommendations/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_architecture_recommendations/5","title":"aws_route53_recovery_readiness.get_architecture_recommendations/5","type":"function"},{"doc":"Gets information about a cell including cell name, cell Amazon Resource Name (ARN), ARNs of nested cells for this cell, and a list of those cell ARNs with their associated recovery group ARNs.","ref":"aws_route53_recovery_readiness.html#get_cell/2","title":"aws_route53_recovery_readiness.get_cell/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_cell/4","title":"aws_route53_recovery_readiness.get_cell/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_cell/5","title":"aws_route53_recovery_readiness.get_cell/5","type":"function"},{"doc":"Gets readiness for a cell. Aggregates the readiness of all the resources that are associated with the cell into a single value.","ref":"aws_route53_recovery_readiness.html#get_cell_readiness_summary/2","title":"aws_route53_recovery_readiness.get_cell_readiness_summary/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_cell_readiness_summary/4","title":"aws_route53_recovery_readiness.get_cell_readiness_summary/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_cell_readiness_summary/5","title":"aws_route53_recovery_readiness.get_cell_readiness_summary/5","type":"function"},{"doc":"Gets details about a readiness check.","ref":"aws_route53_recovery_readiness.html#get_readiness_check/2","title":"aws_route53_recovery_readiness.get_readiness_check/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_readiness_check/4","title":"aws_route53_recovery_readiness.get_readiness_check/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_readiness_check/5","title":"aws_route53_recovery_readiness.get_readiness_check/5","type":"function"},{"doc":"Gets individual readiness status for a readiness check. To see the overall readiness status for a recovery group, that considers the readiness status for all the readiness checks in the recovery group, use GetRecoveryGroupReadinessSummary.","ref":"aws_route53_recovery_readiness.html#get_readiness_check_resource_status/3","title":"aws_route53_recovery_readiness.get_readiness_check_resource_status/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_readiness_check_resource_status/5","title":"aws_route53_recovery_readiness.get_readiness_check_resource_status/5","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_readiness_check_resource_status/6","title":"aws_route53_recovery_readiness.get_readiness_check_resource_status/6","type":"function"},{"doc":"Gets the readiness status for an individual readiness check. To see the overall readiness status for a recovery group, that considers the readiness status for all the readiness checks in a recovery group, use GetRecoveryGroupReadinessSummary.","ref":"aws_route53_recovery_readiness.html#get_readiness_check_status/2","title":"aws_route53_recovery_readiness.get_readiness_check_status/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_readiness_check_status/4","title":"aws_route53_recovery_readiness.get_readiness_check_status/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_readiness_check_status/5","title":"aws_route53_recovery_readiness.get_readiness_check_status/5","type":"function"},{"doc":"Gets details about a recovery group, including a list of the cells that are included in it.","ref":"aws_route53_recovery_readiness.html#get_recovery_group/2","title":"aws_route53_recovery_readiness.get_recovery_group/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_recovery_group/4","title":"aws_route53_recovery_readiness.get_recovery_group/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_recovery_group/5","title":"aws_route53_recovery_readiness.get_recovery_group/5","type":"function"},{"doc":"Displays a summary of information about a recovery group's readiness status. Includes the readiness checks for resources in the recovery group and the readiness status of each one.","ref":"aws_route53_recovery_readiness.html#get_recovery_group_readiness_summary/2","title":"aws_route53_recovery_readiness.get_recovery_group_readiness_summary/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_recovery_group_readiness_summary/4","title":"aws_route53_recovery_readiness.get_recovery_group_readiness_summary/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_recovery_group_readiness_summary/5","title":"aws_route53_recovery_readiness.get_recovery_group_readiness_summary/5","type":"function"},{"doc":"Displays the details about a resource set, including a list of the resources in the set.","ref":"aws_route53_recovery_readiness.html#get_resource_set/2","title":"aws_route53_recovery_readiness.get_resource_set/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_resource_set/4","title":"aws_route53_recovery_readiness.get_resource_set/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#get_resource_set/5","title":"aws_route53_recovery_readiness.get_resource_set/5","type":"function"},{"doc":"Lists the cells for an account.","ref":"aws_route53_recovery_readiness.html#list_cells/1","title":"aws_route53_recovery_readiness.list_cells/1","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_cells/3","title":"aws_route53_recovery_readiness.list_cells/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_cells/4","title":"aws_route53_recovery_readiness.list_cells/4","type":"function"},{"doc":"Lists the cross-account readiness authorizations that are in place for an account.","ref":"aws_route53_recovery_readiness.html#list_cross_account_authorizations/1","title":"aws_route53_recovery_readiness.list_cross_account_authorizations/1","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_cross_account_authorizations/3","title":"aws_route53_recovery_readiness.list_cross_account_authorizations/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_cross_account_authorizations/4","title":"aws_route53_recovery_readiness.list_cross_account_authorizations/4","type":"function"},{"doc":"Lists the readiness checks for an account.","ref":"aws_route53_recovery_readiness.html#list_readiness_checks/1","title":"aws_route53_recovery_readiness.list_readiness_checks/1","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_readiness_checks/3","title":"aws_route53_recovery_readiness.list_readiness_checks/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_readiness_checks/4","title":"aws_route53_recovery_readiness.list_readiness_checks/4","type":"function"},{"doc":"Lists the recovery groups in an account.","ref":"aws_route53_recovery_readiness.html#list_recovery_groups/1","title":"aws_route53_recovery_readiness.list_recovery_groups/1","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_recovery_groups/3","title":"aws_route53_recovery_readiness.list_recovery_groups/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_recovery_groups/4","title":"aws_route53_recovery_readiness.list_recovery_groups/4","type":"function"},{"doc":"Lists the resource sets in an account.","ref":"aws_route53_recovery_readiness.html#list_resource_sets/1","title":"aws_route53_recovery_readiness.list_resource_sets/1","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_resource_sets/3","title":"aws_route53_recovery_readiness.list_resource_sets/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_resource_sets/4","title":"aws_route53_recovery_readiness.list_resource_sets/4","type":"function"},{"doc":"Lists all readiness rules, or lists the readiness rules for a specific resource type.","ref":"aws_route53_recovery_readiness.html#list_rules/1","title":"aws_route53_recovery_readiness.list_rules/1","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_rules/3","title":"aws_route53_recovery_readiness.list_rules/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_rules/4","title":"aws_route53_recovery_readiness.list_rules/4","type":"function"},{"doc":"Lists the tags for a resource.","ref":"aws_route53_recovery_readiness.html#list_tags_for_resources/2","title":"aws_route53_recovery_readiness.list_tags_for_resources/2","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_tags_for_resources/4","title":"aws_route53_recovery_readiness.list_tags_for_resources/4","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#list_tags_for_resources/5","title":"aws_route53_recovery_readiness.list_tags_for_resources/5","type":"function"},{"doc":"Adds a tag to a resource.","ref":"aws_route53_recovery_readiness.html#tag_resource/3","title":"aws_route53_recovery_readiness.tag_resource/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#tag_resource/4","title":"aws_route53_recovery_readiness.tag_resource/4","type":"function"},{"doc":"Removes a tag from a resource.","ref":"aws_route53_recovery_readiness.html#untag_resource/3","title":"aws_route53_recovery_readiness.untag_resource/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#untag_resource/4","title":"aws_route53_recovery_readiness.untag_resource/4","type":"function"},{"doc":"Updates a cell to replace the list of nested cells with a new list of nested cells.","ref":"aws_route53_recovery_readiness.html#update_cell/3","title":"aws_route53_recovery_readiness.update_cell/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#update_cell/4","title":"aws_route53_recovery_readiness.update_cell/4","type":"function"},{"doc":"Updates a readiness check.","ref":"aws_route53_recovery_readiness.html#update_readiness_check/3","title":"aws_route53_recovery_readiness.update_readiness_check/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#update_readiness_check/4","title":"aws_route53_recovery_readiness.update_readiness_check/4","type":"function"},{"doc":"Updates a recovery group.","ref":"aws_route53_recovery_readiness.html#update_recovery_group/3","title":"aws_route53_recovery_readiness.update_recovery_group/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#update_recovery_group/4","title":"aws_route53_recovery_readiness.update_recovery_group/4","type":"function"},{"doc":"Updates a resource set.","ref":"aws_route53_recovery_readiness.html#update_resource_set/3","title":"aws_route53_recovery_readiness.update_resource_set/3","type":"function"},{"doc":"","ref":"aws_route53_recovery_readiness.html#update_resource_set/4","title":"aws_route53_recovery_readiness.update_resource_set/4","type":"function"},{"doc":"When you create a VPC using Amazon VPC, you automatically get DNS resolution within the VPC from Route 53 Resolver. By default, Resolver answers DNS queries for VPC domain names such as domain names for EC2 instances or Elastic Load Balancing load balancers. Resolver performs recursive lookups against public name servers for all other domain names. You can also configure DNS resolution between your VPC and your network over a Direct Connect or VPN connection: Forward DNS queries from resolvers on your network to Route 53 Resolver DNS resolvers on your network can forward DNS queries to Resolver in a specified VPC. This allows your DNS resolvers to easily resolve domain names for Amazon Web Services resources such as EC2 instances or records in a Route 53 private hosted zone. For more information, see How DNS Resolvers on Your Network Forward DNS Queries to Route 53 Resolver in the Amazon Route 53 Developer Guide. Conditionally forward queries from a VPC to resolvers on your network You can configure Resolver to forward queries that it receives from EC2 instances in your VPCs to DNS resolvers on your network. To forward selected queries, you create Resolver rules that specify the domain names for the DNS queries that you want to forward (such as example.com), and the IP addresses of the DNS resolvers on your network that you want to forward the queries to. If a query matches multiple rules (example.com, acme.example.com), Resolver chooses the rule with the most specific match (acme.example.com) and forwards the query to the IP addresses that you specified in that rule. For more information, see How Route 53 Resolver Forwards DNS Queries from Your VPCs to Your Network in the Amazon Route 53 Developer Guide. Like Amazon VPC, Resolver is Regional. In each Region where you have VPCs, you can choose whether to forward queries from your VPCs to your network (outbound queries), from your network to your VPCs (inbound queries), or both.","ref":"aws_route53resolver.html","title":"aws_route53resolver","type":"module"},{"doc":"Associates a FirewallRuleGroup with a VPC, to provide DNS filtering for the VPC.","ref":"aws_route53resolver.html#associate_firewall_rule_group/2","title":"aws_route53resolver.associate_firewall_rule_group/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#associate_firewall_rule_group/3","title":"aws_route53resolver.associate_firewall_rule_group/3","type":"function"},{"doc":"Adds IP addresses to an inbound or an outbound Resolver endpoint. If you want to add more than one IP address, submit one AssociateResolverEndpointIpAddress request for each IP address. To remove an IP address from an endpoint, see DisassociateResolverEndpointIpAddress.","ref":"aws_route53resolver.html#associate_resolver_endpoint_ip_address/2","title":"aws_route53resolver.associate_resolver_endpoint_ip_address/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#associate_resolver_endpoint_ip_address/3","title":"aws_route53resolver.associate_resolver_endpoint_ip_address/3","type":"function"},{"doc":"Associates an Amazon VPC with a specified query logging configuration. Route 53 Resolver logs DNS queries that originate in all of the Amazon VPCs that are associated with a specified query logging configuration. To associate more than one VPC with a configuration, submit one AssociateResolverQueryLogConfig request for each VPC. The VPCs that you associate with a query logging configuration must be in the same Region as the configuration. To remove a VPC from a query logging configuration, see DisassociateResolverQueryLogConfig.","ref":"aws_route53resolver.html#associate_resolver_query_log_config/2","title":"aws_route53resolver.associate_resolver_query_log_config/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#associate_resolver_query_log_config/3","title":"aws_route53resolver.associate_resolver_query_log_config/3","type":"function"},{"doc":"Associates a Resolver rule with a VPC. When you associate a rule with a VPC, Resolver forwards all DNS queries for the domain name that is specified in the rule and that originate in the VPC. The queries are forwarded to the IP addresses for the DNS resolvers that are specified in the rule. For more information about rules, see CreateResolverRule.","ref":"aws_route53resolver.html#associate_resolver_rule/2","title":"aws_route53resolver.associate_resolver_rule/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#associate_resolver_rule/3","title":"aws_route53resolver.associate_resolver_rule/3","type":"function"},{"doc":"Creates an empty firewall domain list for use in DNS Firewall rules. You can populate the domains for the new list with a file, using ImportFirewallDomains , or with domain strings, using UpdateFirewallDomains .","ref":"aws_route53resolver.html#create_firewall_domain_list/2","title":"aws_route53resolver.create_firewall_domain_list/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#create_firewall_domain_list/3","title":"aws_route53resolver.create_firewall_domain_list/3","type":"function"},{"doc":"Creates a single DNS Firewall rule in the specified rule group, using the specified domain list.","ref":"aws_route53resolver.html#create_firewall_rule/2","title":"aws_route53resolver.create_firewall_rule/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#create_firewall_rule/3","title":"aws_route53resolver.create_firewall_rule/3","type":"function"},{"doc":"Creates an empty DNS Firewall rule group for filtering DNS network traffic in a VPC. You can add rules to the new rule group by calling CreateFirewallRule .","ref":"aws_route53resolver.html#create_firewall_rule_group/2","title":"aws_route53resolver.create_firewall_rule_group/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#create_firewall_rule_group/3","title":"aws_route53resolver.create_firewall_rule_group/3","type":"function"},{"doc":"Creates a Resolver endpoint. There are two types of Resolver endpoints, inbound and outbound: An inbound Resolver endpoint forwards DNS queries to the DNS service for a VPC from your network. An outbound Resolver endpoint forwards DNS queries from the DNS service for a VPC to your network.","ref":"aws_route53resolver.html#create_resolver_endpoint/2","title":"aws_route53resolver.create_resolver_endpoint/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#create_resolver_endpoint/3","title":"aws_route53resolver.create_resolver_endpoint/3","type":"function"},{"doc":"Creates a Resolver query logging configuration, which defines where you want Resolver to save DNS query logs that originate in your VPCs. Resolver can log queries only for VPCs that are in the same Region as the query logging configuration. To specify which VPCs you want to log queries for, you use AssociateResolverQueryLogConfig . For more information, see AssociateResolverQueryLogConfig. You can optionally use Resource Access Manager (RAM) to share a query logging configuration with other Amazon Web Services accounts. The other accounts can then associate VPCs with the configuration. The query logs that Resolver creates for a configuration include all DNS queries that originate in all VPCs that are associated with the configuration.","ref":"aws_route53resolver.html#create_resolver_query_log_config/2","title":"aws_route53resolver.create_resolver_query_log_config/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#create_resolver_query_log_config/3","title":"aws_route53resolver.create_resolver_query_log_config/3","type":"function"},{"doc":"For DNS queries that originate in your VPCs, specifies which Resolver endpoint the queries pass through, one domain name that you want to forward to your network, and the IP addresses of the DNS resolvers in your network.","ref":"aws_route53resolver.html#create_resolver_rule/2","title":"aws_route53resolver.create_resolver_rule/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#create_resolver_rule/3","title":"aws_route53resolver.create_resolver_rule/3","type":"function"},{"doc":"Deletes the specified domain list.","ref":"aws_route53resolver.html#delete_firewall_domain_list/2","title":"aws_route53resolver.delete_firewall_domain_list/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#delete_firewall_domain_list/3","title":"aws_route53resolver.delete_firewall_domain_list/3","type":"function"},{"doc":"Deletes the specified firewall rule.","ref":"aws_route53resolver.html#delete_firewall_rule/2","title":"aws_route53resolver.delete_firewall_rule/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#delete_firewall_rule/3","title":"aws_route53resolver.delete_firewall_rule/3","type":"function"},{"doc":"Deletes the specified firewall rule group.","ref":"aws_route53resolver.html#delete_firewall_rule_group/2","title":"aws_route53resolver.delete_firewall_rule_group/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#delete_firewall_rule_group/3","title":"aws_route53resolver.delete_firewall_rule_group/3","type":"function"},{"doc":"Deletes a Resolver endpoint. The effect of deleting a Resolver endpoint depends on whether it's an inbound or an outbound Resolver endpoint: Inbound: DNS queries from your network are no longer routed to the DNS service for the specified VPC. Outbound: DNS queries from a VPC are no longer routed to your network.","ref":"aws_route53resolver.html#delete_resolver_endpoint/2","title":"aws_route53resolver.delete_resolver_endpoint/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#delete_resolver_endpoint/3","title":"aws_route53resolver.delete_resolver_endpoint/3","type":"function"},{"doc":"Deletes a query logging configuration. When you delete a configuration, Resolver stops logging DNS queries for all of the Amazon VPCs that are associated with the configuration. This also applies if the query logging configuration is shared with other Amazon Web Services accounts, and the other accounts have associated VPCs with the shared configuration. Before you can delete a query logging configuration, you must first disassociate all VPCs from the configuration. See DisassociateResolverQueryLogConfig. If you used Resource Access Manager (RAM) to share a query logging configuration with other accounts, you must stop sharing the configuration before you can delete a configuration. The accounts that you shared the configuration with can first disassociate VPCs that they associated with the configuration, but that's not necessary. If you stop sharing the configuration, those VPCs are automatically disassociated from the configuration.","ref":"aws_route53resolver.html#delete_resolver_query_log_config/2","title":"aws_route53resolver.delete_resolver_query_log_config/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#delete_resolver_query_log_config/3","title":"aws_route53resolver.delete_resolver_query_log_config/3","type":"function"},{"doc":"Deletes a Resolver rule. Before you can delete a Resolver rule, you must disassociate it from all the VPCs that you associated the Resolver rule with. For more information, see DisassociateResolverRule.","ref":"aws_route53resolver.html#delete_resolver_rule/2","title":"aws_route53resolver.delete_resolver_rule/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#delete_resolver_rule/3","title":"aws_route53resolver.delete_resolver_rule/3","type":"function"},{"doc":"Disassociates a FirewallRuleGroup from a VPC, to remove DNS filtering from the VPC.","ref":"aws_route53resolver.html#disassociate_firewall_rule_group/2","title":"aws_route53resolver.disassociate_firewall_rule_group/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#disassociate_firewall_rule_group/3","title":"aws_route53resolver.disassociate_firewall_rule_group/3","type":"function"},{"doc":"Removes IP addresses from an inbound or an outbound Resolver endpoint. If you want to remove more than one IP address, submit one DisassociateResolverEndpointIpAddress request for each IP address. To add an IP address to an endpoint, see AssociateResolverEndpointIpAddress.","ref":"aws_route53resolver.html#disassociate_resolver_endpoint_ip_address/2","title":"aws_route53resolver.disassociate_resolver_endpoint_ip_address/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#disassociate_resolver_endpoint_ip_address/3","title":"aws_route53resolver.disassociate_resolver_endpoint_ip_address/3","type":"function"},{"doc":"Disassociates a VPC from a query logging configuration. Before you can delete a query logging configuration, you must first disassociate all VPCs from the configuration. If you used Resource Access Manager (RAM) to share a query logging configuration with other accounts, VPCs can be disassociated from the configuration in the following ways: The accounts that you shared the configuration with can disassociate VPCs from the configuration. You can stop sharing the configuration.","ref":"aws_route53resolver.html#disassociate_resolver_query_log_config/2","title":"aws_route53resolver.disassociate_resolver_query_log_config/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#disassociate_resolver_query_log_config/3","title":"aws_route53resolver.disassociate_resolver_query_log_config/3","type":"function"},{"doc":"Removes the association between a specified Resolver rule and a specified VPC. If you disassociate a Resolver rule from a VPC, Resolver stops forwarding DNS queries for the domain name that you specified in the Resolver rule.","ref":"aws_route53resolver.html#disassociate_resolver_rule/2","title":"aws_route53resolver.disassociate_resolver_rule/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#disassociate_resolver_rule/3","title":"aws_route53resolver.disassociate_resolver_rule/3","type":"function"},{"doc":"Retrieves the configuration of the firewall behavior provided by DNS Firewall for a single VPC from Amazon Virtual Private Cloud (Amazon VPC).","ref":"aws_route53resolver.html#get_firewall_config/2","title":"aws_route53resolver.get_firewall_config/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_firewall_config/3","title":"aws_route53resolver.get_firewall_config/3","type":"function"},{"doc":"Retrieves the specified firewall domain list.","ref":"aws_route53resolver.html#get_firewall_domain_list/2","title":"aws_route53resolver.get_firewall_domain_list/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_firewall_domain_list/3","title":"aws_route53resolver.get_firewall_domain_list/3","type":"function"},{"doc":"Retrieves the specified firewall rule group.","ref":"aws_route53resolver.html#get_firewall_rule_group/2","title":"aws_route53resolver.get_firewall_rule_group/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_firewall_rule_group/3","title":"aws_route53resolver.get_firewall_rule_group/3","type":"function"},{"doc":"Retrieves a firewall rule group association, which enables DNS filtering for a VPC with one rule group. A VPC can have more than one firewall rule group association, and a rule group can be associated with more than one VPC.","ref":"aws_route53resolver.html#get_firewall_rule_group_association/2","title":"aws_route53resolver.get_firewall_rule_group_association/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_firewall_rule_group_association/3","title":"aws_route53resolver.get_firewall_rule_group_association/3","type":"function"},{"doc":"Returns the Identity and Access Management (Amazon Web Services IAM) policy for sharing the specified rule group. You can use the policy to share the rule group using Resource Access Manager (RAM).","ref":"aws_route53resolver.html#get_firewall_rule_group_policy/2","title":"aws_route53resolver.get_firewall_rule_group_policy/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_firewall_rule_group_policy/3","title":"aws_route53resolver.get_firewall_rule_group_policy/3","type":"function"},{"doc":"Retrieves the behavior configuration of Route 53 Resolver behavior for a single VPC from Amazon Virtual Private Cloud.","ref":"aws_route53resolver.html#get_resolver_config/2","title":"aws_route53resolver.get_resolver_config/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_resolver_config/3","title":"aws_route53resolver.get_resolver_config/3","type":"function"},{"doc":"Gets DNSSEC validation information for a specified resource.","ref":"aws_route53resolver.html#get_resolver_dnssec_config/2","title":"aws_route53resolver.get_resolver_dnssec_config/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_resolver_dnssec_config/3","title":"aws_route53resolver.get_resolver_dnssec_config/3","type":"function"},{"doc":"Gets information about a specified Resolver endpoint, such as whether it's an inbound or an outbound Resolver endpoint, and the current status of the endpoint.","ref":"aws_route53resolver.html#get_resolver_endpoint/2","title":"aws_route53resolver.get_resolver_endpoint/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_resolver_endpoint/3","title":"aws_route53resolver.get_resolver_endpoint/3","type":"function"},{"doc":"Gets information about a specified Resolver query logging configuration, such as the number of VPCs that the configuration is logging queries for and the location that logs are sent to.","ref":"aws_route53resolver.html#get_resolver_query_log_config/2","title":"aws_route53resolver.get_resolver_query_log_config/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_resolver_query_log_config/3","title":"aws_route53resolver.get_resolver_query_log_config/3","type":"function"},{"doc":"Gets information about a specified association between a Resolver query logging configuration and an Amazon VPC. When you associate a VPC with a query logging configuration, Resolver logs DNS queries that originate in that VPC.","ref":"aws_route53resolver.html#get_resolver_query_log_config_association/2","title":"aws_route53resolver.get_resolver_query_log_config_association/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_resolver_query_log_config_association/3","title":"aws_route53resolver.get_resolver_query_log_config_association/3","type":"function"},{"doc":"Gets information about a query logging policy. A query logging policy specifies the Resolver query logging operations and resources that you want to allow another Amazon Web Services account to be able to use.","ref":"aws_route53resolver.html#get_resolver_query_log_config_policy/2","title":"aws_route53resolver.get_resolver_query_log_config_policy/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_resolver_query_log_config_policy/3","title":"aws_route53resolver.get_resolver_query_log_config_policy/3","type":"function"},{"doc":"Gets information about a specified Resolver rule, such as the domain name that the rule forwards DNS queries for and the ID of the outbound Resolver endpoint that the rule is associated with.","ref":"aws_route53resolver.html#get_resolver_rule/2","title":"aws_route53resolver.get_resolver_rule/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_resolver_rule/3","title":"aws_route53resolver.get_resolver_rule/3","type":"function"},{"doc":"Gets information about an association between a specified Resolver rule and a VPC. You associate a Resolver rule and a VPC using AssociateResolverRule.","ref":"aws_route53resolver.html#get_resolver_rule_association/2","title":"aws_route53resolver.get_resolver_rule_association/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_resolver_rule_association/3","title":"aws_route53resolver.get_resolver_rule_association/3","type":"function"},{"doc":"Gets information about the Resolver rule policy for a specified rule. A Resolver rule policy includes the rule that you want to share with another account, the account that you want to share the rule with, and the Resolver operations that you want to allow the account to use.","ref":"aws_route53resolver.html#get_resolver_rule_policy/2","title":"aws_route53resolver.get_resolver_rule_policy/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#get_resolver_rule_policy/3","title":"aws_route53resolver.get_resolver_rule_policy/3","type":"function"},{"doc":"Imports domain names from a file into a domain list, for use in a DNS firewall rule group. Each domain specification in your domain list must satisfy the following requirements: It can optionally start with * (asterisk). With the exception of the optional starting asterisk, it must only contain the following characters: A-Z , a-z , 0-9 , - (hyphen). It must be from 1-255 characters in length.","ref":"aws_route53resolver.html#import_firewall_domains/2","title":"aws_route53resolver.import_firewall_domains/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#import_firewall_domains/3","title":"aws_route53resolver.import_firewall_domains/3","type":"function"},{"doc":"Retrieves the firewall configurations that you have defined. DNS Firewall uses the configurations to manage firewall behavior for your VPCs. A single call might return only a partial list of the configurations. For information, see MaxResults .","ref":"aws_route53resolver.html#list_firewall_configs/2","title":"aws_route53resolver.list_firewall_configs/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_firewall_configs/3","title":"aws_route53resolver.list_firewall_configs/3","type":"function"},{"doc":"Retrieves the firewall domain lists that you have defined. For each firewall domain list, you can retrieve the domains that are defined for a list by calling ListFirewallDomains . A single call to this list operation might return only a partial list of the domain lists. For information, see MaxResults .","ref":"aws_route53resolver.html#list_firewall_domain_lists/2","title":"aws_route53resolver.list_firewall_domain_lists/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_firewall_domain_lists/3","title":"aws_route53resolver.list_firewall_domain_lists/3","type":"function"},{"doc":"Retrieves the domains that you have defined for the specified firewall domain list. A single call might return only a partial list of the domains. For information, see MaxResults .","ref":"aws_route53resolver.html#list_firewall_domains/2","title":"aws_route53resolver.list_firewall_domains/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_firewall_domains/3","title":"aws_route53resolver.list_firewall_domains/3","type":"function"},{"doc":"Retrieves the firewall rule group associations that you have defined. Each association enables DNS filtering for a VPC with one rule group. A single call might return only a partial list of the associations. For information, see MaxResults .","ref":"aws_route53resolver.html#list_firewall_rule_group_associations/2","title":"aws_route53resolver.list_firewall_rule_group_associations/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_firewall_rule_group_associations/3","title":"aws_route53resolver.list_firewall_rule_group_associations/3","type":"function"},{"doc":"Retrieves the minimal high-level information for the rule groups that you have defined. A single call might return only a partial list of the rule groups. For information, see MaxResults .","ref":"aws_route53resolver.html#list_firewall_rule_groups/2","title":"aws_route53resolver.list_firewall_rule_groups/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_firewall_rule_groups/3","title":"aws_route53resolver.list_firewall_rule_groups/3","type":"function"},{"doc":"Retrieves the firewall rules that you have defined for the specified firewall rule group. DNS Firewall uses the rules in a rule group to filter DNS network traffic for a VPC. A single call might return only a partial list of the rules. For information, see MaxResults .","ref":"aws_route53resolver.html#list_firewall_rules/2","title":"aws_route53resolver.list_firewall_rules/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_firewall_rules/3","title":"aws_route53resolver.list_firewall_rules/3","type":"function"},{"doc":"Retrieves the Resolver configurations that you have defined. Route 53 Resolver uses the configurations to manage DNS resolution behavior for your VPCs.","ref":"aws_route53resolver.html#list_resolver_configs/2","title":"aws_route53resolver.list_resolver_configs/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_resolver_configs/3","title":"aws_route53resolver.list_resolver_configs/3","type":"function"},{"doc":"Lists the configurations for DNSSEC validation that are associated with the current Amazon Web Services account.","ref":"aws_route53resolver.html#list_resolver_dnssec_configs/2","title":"aws_route53resolver.list_resolver_dnssec_configs/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_resolver_dnssec_configs/3","title":"aws_route53resolver.list_resolver_dnssec_configs/3","type":"function"},{"doc":"Gets the IP addresses for a specified Resolver endpoint.","ref":"aws_route53resolver.html#list_resolver_endpoint_ip_addresses/2","title":"aws_route53resolver.list_resolver_endpoint_ip_addresses/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_resolver_endpoint_ip_addresses/3","title":"aws_route53resolver.list_resolver_endpoint_ip_addresses/3","type":"function"},{"doc":"Lists all the Resolver endpoints that were created using the current Amazon Web Services account.","ref":"aws_route53resolver.html#list_resolver_endpoints/2","title":"aws_route53resolver.list_resolver_endpoints/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_resolver_endpoints/3","title":"aws_route53resolver.list_resolver_endpoints/3","type":"function"},{"doc":"Lists information about associations between Amazon VPCs and query logging configurations.","ref":"aws_route53resolver.html#list_resolver_query_log_config_associations/2","title":"aws_route53resolver.list_resolver_query_log_config_associations/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_resolver_query_log_config_associations/3","title":"aws_route53resolver.list_resolver_query_log_config_associations/3","type":"function"},{"doc":"Lists information about the specified query logging configurations. Each configuration defines where you want Resolver to save DNS query logs and specifies the VPCs that you want to log queries for.","ref":"aws_route53resolver.html#list_resolver_query_log_configs/2","title":"aws_route53resolver.list_resolver_query_log_configs/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_resolver_query_log_configs/3","title":"aws_route53resolver.list_resolver_query_log_configs/3","type":"function"},{"doc":"Lists the associations that were created between Resolver rules and VPCs using the current Amazon Web Services account.","ref":"aws_route53resolver.html#list_resolver_rule_associations/2","title":"aws_route53resolver.list_resolver_rule_associations/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_resolver_rule_associations/3","title":"aws_route53resolver.list_resolver_rule_associations/3","type":"function"},{"doc":"Lists the Resolver rules that were created using the current Amazon Web Services account.","ref":"aws_route53resolver.html#list_resolver_rules/2","title":"aws_route53resolver.list_resolver_rules/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_resolver_rules/3","title":"aws_route53resolver.list_resolver_rules/3","type":"function"},{"doc":"Lists the tags that you associated with the specified resource.","ref":"aws_route53resolver.html#list_tags_for_resource/2","title":"aws_route53resolver.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#list_tags_for_resource/3","title":"aws_route53resolver.list_tags_for_resource/3","type":"function"},{"doc":"Attaches an Identity and Access Management (Amazon Web Services IAM) policy for sharing the rule group. You can use the policy to share the rule group using Resource Access Manager (RAM).","ref":"aws_route53resolver.html#put_firewall_rule_group_policy/2","title":"aws_route53resolver.put_firewall_rule_group_policy/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#put_firewall_rule_group_policy/3","title":"aws_route53resolver.put_firewall_rule_group_policy/3","type":"function"},{"doc":"Specifies an Amazon Web Services account that you want to share a query logging configuration with, the query logging configuration that you want to share, and the operations that you want the account to be able to perform on the configuration.","ref":"aws_route53resolver.html#put_resolver_query_log_config_policy/2","title":"aws_route53resolver.put_resolver_query_log_config_policy/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#put_resolver_query_log_config_policy/3","title":"aws_route53resolver.put_resolver_query_log_config_policy/3","type":"function"},{"doc":"Specifies an Amazon Web Services rule that you want to share with another account, the account that you want to share the rule with, and the operations that you want the account to be able to perform on the rule.","ref":"aws_route53resolver.html#put_resolver_rule_policy/2","title":"aws_route53resolver.put_resolver_rule_policy/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#put_resolver_rule_policy/3","title":"aws_route53resolver.put_resolver_rule_policy/3","type":"function"},{"doc":"Adds one or more tags to a specified resource.","ref":"aws_route53resolver.html#tag_resource/2","title":"aws_route53resolver.tag_resource/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#tag_resource/3","title":"aws_route53resolver.tag_resource/3","type":"function"},{"doc":"Removes one or more tags from a specified resource.","ref":"aws_route53resolver.html#untag_resource/2","title":"aws_route53resolver.untag_resource/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#untag_resource/3","title":"aws_route53resolver.untag_resource/3","type":"function"},{"doc":"Updates the configuration of the firewall behavior provided by DNS Firewall for a single VPC from Amazon Virtual Private Cloud (Amazon VPC).","ref":"aws_route53resolver.html#update_firewall_config/2","title":"aws_route53resolver.update_firewall_config/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#update_firewall_config/3","title":"aws_route53resolver.update_firewall_config/3","type":"function"},{"doc":"Updates the firewall domain list from an array of domain specifications.","ref":"aws_route53resolver.html#update_firewall_domains/2","title":"aws_route53resolver.update_firewall_domains/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#update_firewall_domains/3","title":"aws_route53resolver.update_firewall_domains/3","type":"function"},{"doc":"Updates the specified firewall rule.","ref":"aws_route53resolver.html#update_firewall_rule/2","title":"aws_route53resolver.update_firewall_rule/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#update_firewall_rule/3","title":"aws_route53resolver.update_firewall_rule/3","type":"function"},{"doc":"Changes the association of a FirewallRuleGroup with a VPC. The association enables DNS filtering for the VPC.","ref":"aws_route53resolver.html#update_firewall_rule_group_association/2","title":"aws_route53resolver.update_firewall_rule_group_association/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#update_firewall_rule_group_association/3","title":"aws_route53resolver.update_firewall_rule_group_association/3","type":"function"},{"doc":"Updates the behavior configuration of Route 53 Resolver behavior for a single VPC from Amazon Virtual Private Cloud.","ref":"aws_route53resolver.html#update_resolver_config/2","title":"aws_route53resolver.update_resolver_config/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#update_resolver_config/3","title":"aws_route53resolver.update_resolver_config/3","type":"function"},{"doc":"Updates an existing DNSSEC validation configuration. If there is no existing DNSSEC validation configuration, one is created.","ref":"aws_route53resolver.html#update_resolver_dnssec_config/2","title":"aws_route53resolver.update_resolver_dnssec_config/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#update_resolver_dnssec_config/3","title":"aws_route53resolver.update_resolver_dnssec_config/3","type":"function"},{"doc":"Updates the name of an inbound or an outbound Resolver endpoint.","ref":"aws_route53resolver.html#update_resolver_endpoint/2","title":"aws_route53resolver.update_resolver_endpoint/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#update_resolver_endpoint/3","title":"aws_route53resolver.update_resolver_endpoint/3","type":"function"},{"doc":"Updates settings for a specified Resolver rule. ResolverRuleId is required, and all other parameters are optional. If you don't specify a parameter, it retains its current value.","ref":"aws_route53resolver.html#update_resolver_rule/2","title":"aws_route53resolver.update_resolver_rule/2","type":"function"},{"doc":"","ref":"aws_route53resolver.html#update_resolver_rule/3","title":"aws_route53resolver.update_resolver_rule/3","type":"function"},{"doc":"With Amazon CloudWatch RUM, you can perform real-user monitoring to collect client-side data about your web application performance from actual user sessions in real time. The data collected includes page load times, client-side errors, and user behavior. When you view this data, you can see it all aggregated together and also see breakdowns by the browsers and devices that your customers use. You can use the collected data to quickly identify and debug client-side performance issues. CloudWatch RUM helps you visualize anomalies in your application performance and find relevant debugging data such as error messages, stack traces, and user sessions. You can also use RUM to understand the range of end-user impact including the number of users, geolocations, and browsers used.","ref":"aws_rum.html","title":"aws_rum","type":"module"},{"doc":"Specifies the extended metrics that you want a CloudWatch RUM app monitor to send to a destination. Valid destinations include CloudWatch and Evidently. By default, RUM app monitors send some metrics to CloudWatch. These default metrics are listed in CloudWatch metrics that you can collect with CloudWatch RUM. If you also send extended metrics, you can send metrics to Evidently as well as CloudWatch, and you can also optionally send the metrics with additional dimensions. The valid dimension names for the additional dimensions are BrowserName , CountryCode , DeviceType , FileType , OSName , and PageId . For more information, see Extended metrics that you can send to CloudWatch and CloudWatch Evidently. The maximum number of metric definitions that you can specify in one BatchCreateRumMetricDefinitions operation is 200. The maximum number of metric definitions that one destination can contain is 2000. Extended metrics sent are charged as CloudWatch custom metrics. Each combination of additional dimension name and dimension value counts as a custom metric. For more information, see Amazon CloudWatch Pricing. You must have already created a destination for the metrics before you send them. For more information, see PutRumMetricsDestination. If some metric definitions specified in a BatchCreateRumMetricDefinitions operations are not valid, those metric definitions fail and return errors, but all valid metric definitions in the same operation still succeed.","ref":"aws_rum.html#batch_create_rum_metric_definitions/3","title":"aws_rum.batch_create_rum_metric_definitions/3","type":"function"},{"doc":"","ref":"aws_rum.html#batch_create_rum_metric_definitions/4","title":"aws_rum.batch_create_rum_metric_definitions/4","type":"function"},{"doc":"Removes the specified metrics from being sent to an extended metrics destination. If some metric definition IDs specified in a BatchDeleteRumMetricDefinitions operations are not valid, those metric definitions fail and return errors, but all valid metric definition IDs in the same operation are still deleted. The maximum number of metric definitions that you can specify in one BatchDeleteRumMetricDefinitions operation is 200.","ref":"aws_rum.html#batch_delete_rum_metric_definitions/3","title":"aws_rum.batch_delete_rum_metric_definitions/3","type":"function"},{"doc":"","ref":"aws_rum.html#batch_delete_rum_metric_definitions/4","title":"aws_rum.batch_delete_rum_metric_definitions/4","type":"function"},{"doc":"Retrieves the list of metrics and dimensions that a RUM app monitor is sending to a single destination.","ref":"aws_rum.html#batch_get_rum_metric_definitions/3","title":"aws_rum.batch_get_rum_metric_definitions/3","type":"function"},{"doc":"","ref":"aws_rum.html#batch_get_rum_metric_definitions/5","title":"aws_rum.batch_get_rum_metric_definitions/5","type":"function"},{"doc":"","ref":"aws_rum.html#batch_get_rum_metric_definitions/6","title":"aws_rum.batch_get_rum_metric_definitions/6","type":"function"},{"doc":"Creates a Amazon CloudWatch RUM app monitor, which collects telemetry data from your application and sends that data to RUM. The data includes performance and reliability information such as page load time, client-side errors, and user behavior. You use this operation only to create a new app monitor. To update an existing app monitor, use UpdateAppMonitor instead. After you create an app monitor, sign in to the CloudWatch RUM console to get the JavaScript code snippet to add to your web application. For more information, see How do I find a code snippet that I've already generated?","ref":"aws_rum.html#create_app_monitor/2","title":"aws_rum.create_app_monitor/2","type":"function"},{"doc":"","ref":"aws_rum.html#create_app_monitor/3","title":"aws_rum.create_app_monitor/3","type":"function"},{"doc":"Deletes an existing app monitor. This immediately stops the collection of data.","ref":"aws_rum.html#delete_app_monitor/3","title":"aws_rum.delete_app_monitor/3","type":"function"},{"doc":"","ref":"aws_rum.html#delete_app_monitor/4","title":"aws_rum.delete_app_monitor/4","type":"function"},{"doc":"Deletes a destination for CloudWatch RUM extended metrics, so that the specified app monitor stops sending extended metrics to that destination.","ref":"aws_rum.html#delete_rum_metrics_destination/3","title":"aws_rum.delete_rum_metrics_destination/3","type":"function"},{"doc":"","ref":"aws_rum.html#delete_rum_metrics_destination/4","title":"aws_rum.delete_rum_metrics_destination/4","type":"function"},{"doc":"Retrieves the complete configuration information for one app monitor.","ref":"aws_rum.html#get_app_monitor/2","title":"aws_rum.get_app_monitor/2","type":"function"},{"doc":"","ref":"aws_rum.html#get_app_monitor/4","title":"aws_rum.get_app_monitor/4","type":"function"},{"doc":"","ref":"aws_rum.html#get_app_monitor/5","title":"aws_rum.get_app_monitor/5","type":"function"},{"doc":"Retrieves the raw performance events that RUM has collected from your web application, so that you can do your own processing or analysis of this data.","ref":"aws_rum.html#get_app_monitor_data/3","title":"aws_rum.get_app_monitor_data/3","type":"function"},{"doc":"","ref":"aws_rum.html#get_app_monitor_data/4","title":"aws_rum.get_app_monitor_data/4","type":"function"},{"doc":"Returns a list of the Amazon CloudWatch RUM app monitors in the account.","ref":"aws_rum.html#list_app_monitors/2","title":"aws_rum.list_app_monitors/2","type":"function"},{"doc":"","ref":"aws_rum.html#list_app_monitors/3","title":"aws_rum.list_app_monitors/3","type":"function"},{"doc":"Returns a list of destinations that you have created to receive RUM extended metrics, for the specified app monitor. For more information about extended metrics, see AddRumMetrics.","ref":"aws_rum.html#list_rum_metrics_destinations/2","title":"aws_rum.list_rum_metrics_destinations/2","type":"function"},{"doc":"","ref":"aws_rum.html#list_rum_metrics_destinations/4","title":"aws_rum.list_rum_metrics_destinations/4","type":"function"},{"doc":"","ref":"aws_rum.html#list_rum_metrics_destinations/5","title":"aws_rum.list_rum_metrics_destinations/5","type":"function"},{"doc":"Displays the tags associated with a CloudWatch RUM resource.","ref":"aws_rum.html#list_tags_for_resource/2","title":"aws_rum.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_rum.html#list_tags_for_resource/4","title":"aws_rum.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_rum.html#list_tags_for_resource/5","title":"aws_rum.list_tags_for_resource/5","type":"function"},{"doc":"Sends telemetry events about your application performance and user behavior to CloudWatch RUM. The code snippet that RUM generates for you to add to your application includes PutRumEvents operations to send this data to RUM. Each PutRumEvents operation can send a batch of events from one user session.","ref":"aws_rum.html#put_rum_events/3","title":"aws_rum.put_rum_events/3","type":"function"},{"doc":"","ref":"aws_rum.html#put_rum_events/4","title":"aws_rum.put_rum_events/4","type":"function"},{"doc":"Creates or updates a destination to receive extended metrics from CloudWatch RUM. You can send extended metrics to CloudWatch or to a CloudWatch Evidently experiment. For more information about extended metrics, see AddRumMetrics.","ref":"aws_rum.html#put_rum_metrics_destination/3","title":"aws_rum.put_rum_metrics_destination/3","type":"function"},{"doc":"","ref":"aws_rum.html#put_rum_metrics_destination/4","title":"aws_rum.put_rum_metrics_destination/4","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified CloudWatch RUM resource. Currently, the only resources that can be tagged app monitors. Tags can help you organize and categorize your resources. You can also use them to scope user permissions by granting a user permission to access or change only resources with certain tag values. Tags don't have any semantic meaning to Amazon Web Services and are interpreted strictly as strings of characters. You can use the TagResource action with a resource that already has tags. If you specify a new tag key for the resource, this tag is appended to the list of tags associated with the alarm. If you specify a tag key that is already associated with the resource, the new tag value that you specify replaces the previous value for that tag. You can associate as many as 50 tags with a resource. For more information, see Tagging Amazon Web Services resources.","ref":"aws_rum.html#tag_resource/3","title":"aws_rum.tag_resource/3","type":"function"},{"doc":"","ref":"aws_rum.html#tag_resource/4","title":"aws_rum.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from the specified resource.","ref":"aws_rum.html#untag_resource/3","title":"aws_rum.untag_resource/3","type":"function"},{"doc":"","ref":"aws_rum.html#untag_resource/4","title":"aws_rum.untag_resource/4","type":"function"},{"doc":"Updates the configuration of an existing app monitor. When you use this operation, only the parts of the app monitor configuration that you specify in this operation are changed. For any parameters that you omit, the existing values are kept. You can't use this operation to change the tags of an existing app monitor. To change the tags of an existing app monitor, use TagResource. To create a new app monitor, use CreateAppMonitor. After you update an app monitor, sign in to the CloudWatch RUM console to get the updated JavaScript code snippet to add to your web application. For more information, see How do I find a code snippet that I've already generated?","ref":"aws_rum.html#update_app_monitor/3","title":"aws_rum.update_app_monitor/3","type":"function"},{"doc":"","ref":"aws_rum.html#update_app_monitor/4","title":"aws_rum.update_app_monitor/4","type":"function"},{"doc":"Modifies one existing metric definition for CloudWatch RUM extended metrics. For more information about extended metrics, see BatchCreateRumMetricsDefinitions.","ref":"aws_rum.html#update_rum_metric_definition/3","title":"aws_rum.update_rum_metric_definition/3","type":"function"},{"doc":"","ref":"aws_rum.html#update_rum_metric_definition/4","title":"aws_rum.update_rum_metric_definition/4","type":"function"},{"doc":"","ref":"aws_s3.html","title":"aws_s3","type":"module"},{"doc":"This action aborts a multipart upload. After a multipart upload is aborted, no additional parts can be uploaded using that upload ID. The storage consumed by any previously uploaded parts will be freed. However, if any part uploads are currently in progress, those part uploads might or might not succeed. As a result, it might be necessary to abort a given multipart upload multiple times in order to completely free all storage consumed by all parts. To verify that all parts have been removed, so you don't get charged for the part storage, you should call the ListParts action and ensure that the parts list is empty. For information about permissions required to use the multipart upload, see Multipart Upload and Permissions. The following operations are related to AbortMultipartUpload : CreateMultipartUpload UploadPart CompleteMultipartUpload ListParts ListMultipartUploads","ref":"aws_s3.html#abort_multipart_upload/4","title":"aws_s3.abort_multipart_upload/4","type":"function"},{"doc":"","ref":"aws_s3.html#abort_multipart_upload/5","title":"aws_s3.abort_multipart_upload/5","type":"function"},{"doc":"Completes a multipart upload by assembling previously uploaded parts. You first initiate the multipart upload and then upload all parts using the UploadPart operation. After successfully uploading all relevant parts of an upload, you call this action to complete the upload. Upon receiving this request, Amazon S3 concatenates all the parts in ascending order by part number to create a new object. In the Complete Multipart Upload request, you must provide the parts list. You must ensure that the parts list is complete. This action concatenates the parts that you provide in the list. For each part in the list, you must provide the part number and the ETag value, returned after that part was uploaded. Processing of a Complete Multipart Upload request could take several minutes to complete. After Amazon S3 begins processing the request, it sends an HTTP response header that specifies a 200 OK response. While processing is in progress, Amazon S3 periodically sends white space characters to keep the connection from timing out. Because a request could fail after the initial 200 OK response has been sent, it is important that you check the response body to determine whether the request succeeded. Note that if CompleteMultipartUpload fails, applications should be prepared to retry the failed requests. For more information, see Amazon S3 Error Best Practices. You cannot use Content-Type: application/x-www-form-urlencoded with Complete Multipart Upload requests. Also, if you do not provide a Content-Type header, CompleteMultipartUpload returns a 200 OK response. For more information about multipart uploads, see Uploading Objects Using Multipart Upload. For information about permissions required to use the multipart upload API, see Multipart Upload and Permissions. CompleteMultipartUpload has the following special errors: Error code: EntityTooSmall Description: Your proposed upload is smaller than the minimum allowed object size. Each part must be at least 5 MB in size, except the last part. 400 Bad Request Error code: InvalidPart Description: One or more of the specified parts could not be found. The part might not have been uploaded, or the specified entity tag might not have matched the part's entity tag. 400 Bad Request Error code: InvalidPartOrder Description: The list of parts was not in ascending order. The parts list must be specified in order by part number. 400 Bad Request Error code: NoSuchUpload Description: The specified multipart upload does not exist. The upload ID might be invalid, or the multipart upload might have been aborted or completed. 404 Not Found The following operations are related to CompleteMultipartUpload : CreateMultipartUpload UploadPart AbortMultipartUpload ListParts ListMultipartUploads","ref":"aws_s3.html#complete_multipart_upload/4","title":"aws_s3.complete_multipart_upload/4","type":"function"},{"doc":"","ref":"aws_s3.html#complete_multipart_upload/5","title":"aws_s3.complete_multipart_upload/5","type":"function"},{"doc":"Creates a copy of an object that is already stored in Amazon S3. You can store individual objects of up to 5 TB in Amazon S3. You create a copy of your object up to 5 GB in size in a single atomic action using this API. However, to copy an object greater than 5 GB, you must use the multipart upload Upload Part - Copy (UploadPartCopy) API. For more information, see Copy Object Using the REST Multipart Upload API. All copy requests must be authenticated. Additionally, you must have read access to the source object and write access to the destination bucket. For more information, see REST Authentication. Both the Region that you want to copy the object from and the Region that you want to copy the object to must be enabled for your account. A copy request might return an error when Amazon S3 receives the copy request or while Amazon S3 is copying the files. If the error occurs before the copy action starts, you receive a standard Amazon S3 error. If the error occurs during the copy operation, the error response is embedded in the 200 OK response. This means that a 200 OK response can contain either a success or an error. Design your application to parse the contents of the response and handle it appropriately. If the copy is successful, you receive a response with information about the copied object. If the request is an HTTP 1.1 request, the response is chunk encoded. If it were not, it would not contain the content-length, and you would need to read the entire body. The copy request charge is based on the storage class and Region that you specify for the destination object. For pricing information, see Amazon S3 pricing. Amazon S3 transfer acceleration does not support cross-Region copies. If you request a cross-Region copy using a transfer acceleration endpoint, you get a 400 Bad Request error. For more information, see Transfer Acceleration. Metadata When copying an object, you can preserve all metadata (default) or specify new metadata. However, the ACL is not preserved and is set to private for the user making the request. To override the default ACL setting, specify a new ACL when generating a copy request. For more information, see Using ACLs. To specify whether you want the object metadata copied from the source object or replaced with metadata provided in the request, you can optionally add the x-amz-metadata-directive header. When you grant permissions, you can use the s3:x-amz-metadata-directive condition key to enforce certain metadata behavior when objects are uploaded. For more information, see Specifying Conditions in a Policy in the Amazon S3 User Guide. For a complete list of Amazon S3-specific condition keys, see Actions, Resources, and Condition Keys for Amazon S3. x-amz-copy-source-if Headers To only copy an object under certain conditions, such as whether the Etag matches or whether the object was modified before or after a specified date, use the following request parameters: x-amz-copy-source-if-match x-amz-copy-source-if-none-match x-amz-copy-source-if-unmodified-since x-amz-copy-source-if-modified-since If both the x-amz-copy-source-if-match and x-amz-copy-source-if-unmodified-since headers are present in the request and evaluate as follows, Amazon S3 returns 200 OK and copies the data: x-amz-copy-source-if-match condition evaluates to true x-amz-copy-source-if-unmodified-since condition evaluates to false If both the x-amz-copy-source-if-none-match and x-amz-copy-source-if-modified-since headers are present in the request and evaluate as follows, Amazon S3 returns the 412 Precondition Failed response code: x-amz-copy-source-if-none-match condition evaluates to false x-amz-copy-source-if-modified-since condition evaluates to true All headers with the x-amz- prefix, including x-amz-copy-source , must be signed. Server-side encryption When you perform a CopyObject operation, you can optionally use the appropriate encryption-related headers to encrypt the object using server-side encryption with Amazon Web Services managed encryption keys (SSE-S3 or SSE-KMS) or a customer-provided encryption key. With server-side encryption, Amazon S3 encrypts your data as it writes it to disks in its data centers and decrypts the data when you access it. For more information about server-side encryption, see Using Server-Side Encryption. If a target object uses SSE-KMS, you can enable an S3 Bucket Key for the object. For more information, see Amazon S3 Bucket Keys in the Amazon S3 User Guide. Access Control List (ACL)-Specific Request Headers When copying an object, you can optionally use headers to grant ACL-based permissions. By default, all objects are private. Only the owner has full access control. When adding a new object, you can grant permissions to individual Amazon Web Services accounts or to predefined groups defined by Amazon S3. These permissions are then added to the ACL on the object. For more information, see Access Control List (ACL) Overview and Managing ACLs Using the REST API. If the bucket that you're copying objects to uses the bucket owner enforced setting for S3 Object Ownership, ACLs are disabled and no longer affect permissions. Buckets that use this setting only accept PUT requests that don't specify an ACL or PUT requests that specify bucket owner full control ACLs, such as the bucket-owner-full-control canned ACL or an equivalent form of this ACL expressed in the XML format. For more information, see Controlling ownership of objects and disabling ACLs in the Amazon S3 User Guide. If your bucket uses the bucket owner enforced setting for Object Ownership, all objects written to the bucket by any account will be owned by the bucket owner. Checksums When copying an object, if it has a checksum, that checksum will be copied to the new object by default. When you copy the object over, you may optionally specify a different checksum algorithm to use with the x-amz-checksum-algorithm header. Storage Class Options You can use the CopyObject action to change the storage class of an object that is already stored in Amazon S3 using the StorageClass parameter. For more information, see Storage Classes in the Amazon S3 User Guide. Versioning By default, x-amz-copy-source identifies the current version of an object to copy. If the current version is a delete marker, Amazon S3 behaves as if the object was deleted. To copy a different version, use the versionId subresource. If you enable versioning on the target bucket, Amazon S3 generates a unique version ID for the object being copied. This version ID is different from the version ID of the source object. Amazon S3 returns the version ID of the copied object in the x-amz-version-id response header in the response. If you do not enable versioning or suspend it on the target bucket, the version ID that Amazon S3 generates is always null. If the source object's storage class is GLACIER, you must restore a copy of this object before you can use it as a source object for the copy operation. For more information, see RestoreObject. The following operations are related to CopyObject : PutObject GetObject For more information, see Copying Objects.","ref":"aws_s3.html#copy_object/4","title":"aws_s3.copy_object/4","type":"function"},{"doc":"","ref":"aws_s3.html#copy_object/5","title":"aws_s3.copy_object/5","type":"function"},{"doc":"Creates a new S3 bucket. To create a bucket, you must register with Amazon S3 and have a valid Amazon Web Services Access Key ID to authenticate requests. Anonymous requests are never allowed to create buckets. By creating the bucket, you become the bucket owner. Not every string is an acceptable bucket name. For information about bucket naming restrictions, see Bucket naming rules. If you want to create an Amazon S3 on Outposts bucket, see Create Bucket. By default, the bucket is created in the US East (N. Virginia) Region. You can optionally specify a Region in the request body. You might choose a Region to optimize latency, minimize costs, or address regulatory requirements. For example, if you reside in Europe, you will probably find it advantageous to create buckets in the Europe (Ireland) Region. For more information, see Accessing a bucket. If you send your create bucket request to the s3.amazonaws.com endpoint, the request goes to the us-east-1 Region. Accordingly, the signature calculations in Signature Version 4 must use us-east-1 as the Region, even if the location constraint in the request specifies another Region where the bucket is to be created. If you create a bucket in a Region other than US East (N. Virginia), your application must be able to handle 307 redirect. For more information, see Virtual hosting of buckets. Access control lists (ACLs) When creating a bucket using this operation, you can optionally configure the bucket ACL to specify the accounts or groups that should be granted specific permissions on the bucket. If your CreateBucket request sets bucket owner enforced for S3 Object Ownership and specifies a bucket ACL that provides access to an external Amazon Web Services account, your request fails with a 400 error and returns the InvalidBucketAclWithObjectOwnership error code. For more information, see Controlling object ownership in the Amazon S3 User Guide. There are two ways to grant the appropriate permissions using the request headers. Specify a canned ACL using the x-amz-acl request header. Amazon S3 supports a set of predefined ACLs, known as canned ACLs. Each canned ACL has a predefined set of grantees and permissions. For more information, see Canned ACL. Specify access permissions explicitly using the x-amz-grant-read , x-amz-grant-write , x-amz-grant-read-acp , x-amz-grant-write-acp , and x-amz-grant-full-control headers. These headers map to the set of permissions Amazon S3 supports in an ACL. For more information, see Access control list (ACL) overview. You specify each grantee as a type=value pair, where the type is one of the following: id – if the value specified is the canonical user ID of an Amazon Web Services account uri – if you are granting permissions to a predefined group emailAddress – if the value specified is the email address of an Amazon Web Services account Using email addresses to specify a grantee is only supported in the following Amazon Web Services Regions: US East (N. Virginia) US West (N. California) US West (Oregon) Asia Pacific (Singapore) Asia Pacific (Sydney) Asia Pacific (Tokyo) Europe (Ireland) South America (São Paulo) For a list of all the Amazon S3 supported Regions and endpoints, see Regions and Endpoints in the Amazon Web Services General Reference. For example, the following x-amz-grant-read header grants the Amazon Web Services accounts identified by account IDs permissions to read object data and its metadata: x-amz-grant-read: id=&amp;quot;11112222333&amp;quot;, id=&amp;quot;444455556666&amp;quot; You can use either a canned ACL or specify access permissions explicitly. You cannot do both. Permissions In addition to s3:CreateBucket , the following permissions are required when your CreateBucket includes specific headers: ACLs - If your CreateBucket request specifies ACL permissions and the ACL is public-read, public-read-write, authenticated-read, or if you specify access permissions explicitly through any other ACL, both s3:CreateBucket and s3:PutBucketAcl permissions are needed. If the ACL the CreateBucket request is private or doesn't specify any ACLs, only s3:CreateBucket permission is needed. Object Lock - If ObjectLockEnabledForBucket is set to true in your CreateBucket request, s3:PutBucketObjectLockConfiguration and s3:PutBucketVersioning permissions are required. S3 Object Ownership - If your CreateBucket request includes the the x-amz-object-ownership header, s3:PutBucketOwnershipControls permission is required. The following operations are related to CreateBucket : PutObject DeleteBucket","ref":"aws_s3.html#create_bucket/3","title":"aws_s3.create_bucket/3","type":"function"},{"doc":"","ref":"aws_s3.html#create_bucket/4","title":"aws_s3.create_bucket/4","type":"function"},{"doc":"This action initiates a multipart upload and returns an upload ID. This upload ID is used to associate all of the parts in the specific multipart upload. You specify this upload ID in each of your subsequent upload part requests (see UploadPart). You also include this upload ID in the final request to either complete or abort the multipart upload request. For more information about multipart uploads, see Multipart Upload Overview. If you have configured a lifecycle rule to abort incomplete multipart uploads, the upload must complete within the number of days specified in the bucket lifecycle configuration. Otherwise, the incomplete multipart upload becomes eligible for an abort action and Amazon S3 aborts the multipart upload. For more information, see Aborting Incomplete Multipart Uploads Using a Bucket Lifecycle Policy. For information about the permissions required to use the multipart upload API, see Multipart Upload and Permissions. For request signing, multipart upload is just a series of regular requests. You initiate a multipart upload, send one or more requests to upload parts, and then complete the multipart upload process. You sign each request individually. There is nothing special about signing multipart upload requests. For more information about signing, see Authenticating Requests (Amazon Web Services Signature Version 4). After you initiate a multipart upload and upload one or more parts, to stop being charged for storing the uploaded parts, you must either complete or abort the multipart upload. Amazon S3 frees up the space used to store the parts and stop charging you for storing them only after you either complete or abort a multipart upload. You can optionally request server-side encryption. For server-side encryption, Amazon S3 encrypts your data as it writes it to disks in its data centers and decrypts it when you access it. You can provide your own encryption key, or use Amazon Web Services KMS keys or Amazon S3-managed encryption keys. If you choose to provide your own encryption key, the request headers you provide in UploadPart and UploadPartCopy requests must match the headers you used in the request to initiate the upload by using CreateMultipartUpload . To perform a multipart upload with encryption using an Amazon Web Services KMS key, the requester must have permission to the kms:Decrypt and kms:GenerateDataKey* actions on the key. These permissions are required because Amazon S3 must decrypt and read data from the encrypted file parts before it completes the multipart upload. For more information, see Multipart upload API and permissions in the Amazon S3 User Guide. If your Identity and Access Management (IAM) user or role is in the same Amazon Web Services account as the KMS key, then you must have these permissions on the key policy. If your IAM user or role belongs to a different account than the key, then you must have the permissions on both the key policy and your IAM user or role. For more information, see Protecting Data Using Server-Side Encryption. Access Permissions When copying an object, you can optionally specify the accounts or groups that should be granted specific permissions on the new object. There are two ways to grant the permissions using the request headers: Specify a canned ACL with the x-amz-acl request header. For more information, see Canned ACL. Specify access permissions explicitly with the x-amz-grant-read , x-amz-grant-read-acp , x-amz-grant-write-acp , and x-amz-grant-full-control headers. These parameters map to the set of permissions that Amazon S3 supports in an ACL. For more information, see Access Control List (ACL) Overview. You can use either a canned ACL or specify access permissions explicitly. You cannot do both. Server-Side- Encryption-Specific Request Headers You can optionally tell Amazon S3 to encrypt data at rest using server-side encryption. Server-side encryption is for data encryption at rest. Amazon S3 encrypts your data as it writes it to disks in its data centers and decrypts it when you access it. The option you use depends on whether you want to use Amazon Web Services managed encryption keys or provide your own encryption key. Use encryption keys managed by Amazon S3 or customer managed key stored in Amazon Web Services Key Management Service (Amazon Web Services KMS) – If you want Amazon Web Services to manage the keys used to encrypt data, specify the following headers in the request. x-amz-server-side-encryption x-amz-server-side-encryption-aws-kms-key-id x-amz-server-side-encryption-context If you specify x-amz-server-side-encryption:aws:kms , but don't provide x-amz-server-side-encryption-aws-kms-key-id , Amazon S3 uses the Amazon Web Services managed key in Amazon Web Services KMS to protect the data. All GET and PUT requests for an object protected by Amazon Web Services KMS fail if you don't make them with SSL or by using SigV4. For more information about server-side encryption with KMS key (SSE-KMS), see Protecting Data Using Server-Side Encryption with KMS keys. Use customer-provided encryption keys – If you want to manage your own encryption keys, provide all the following headers in the request. x-amz-server-side-encryption-customer-algorithm x-amz-server-side-encryption-customer-key x-amz-server-side-encryption-customer-key-MD5 For more information about server-side encryption with KMS keys (SSE-KMS), see Protecting Data Using Server-Side Encryption with KMS keys. Access-Control-List (ACL)-Specific Request Headers You also can use the following access control–related headers with this operation. By default, all objects are private. Only the owner has full access control. When adding a new object, you can grant permissions to individual Amazon Web Services accounts or to predefined groups defined by Amazon S3. These permissions are then added to the access control list (ACL) on the object. For more information, see Using ACLs. With this operation, you can grant access permissions using one of the following two methods: Specify a canned ACL ( x-amz-acl ) — Amazon S3 supports a set of predefined ACLs, known as canned ACLs. Each canned ACL has a predefined set of grantees and permissions. For more information, see Canned ACL. Specify access permissions explicitly — To explicitly grant access permissions to specific Amazon Web Services accounts or groups, use the following headers. Each header maps to specific permissions that Amazon S3 supports in an ACL. For more information, see Access Control List (ACL) Overview. In the header, you specify a list of grantees who get the specific permission. To grant permissions explicitly, use: x-amz-grant-read x-amz-grant-write x-amz-grant-read-acp x-amz-grant-write-acp x-amz-grant-full-control You specify each grantee as a type=value pair, where the type is one of the following: id – if the value specified is the canonical user ID of an Amazon Web Services account uri – if you are granting permissions to a predefined group emailAddress – if the value specified is the email address of an Amazon Web Services account Using email addresses to specify a grantee is only supported in the following Amazon Web Services Regions: US East (N. Virginia) US West (N. California) US West (Oregon) Asia Pacific (Singapore) Asia Pacific (Sydney) Asia Pacific (Tokyo) Europe (Ireland) South America (São Paulo) For a list of all the Amazon S3 supported Regions and endpoints, see Regions and Endpoints in the Amazon Web Services General Reference. For example, the following x-amz-grant-read header grants the Amazon Web Services accounts identified by account IDs permissions to read object data and its metadata: x-amz-grant-read: id=&amp;quot;11112222333&amp;quot;, id=&amp;quot;444455556666&amp;quot; The following operations are related to CreateMultipartUpload : UploadPart CompleteMultipartUpload AbortMultipartUpload ListParts ListMultipartUploads","ref":"aws_s3.html#create_multipart_upload/4","title":"aws_s3.create_multipart_upload/4","type":"function"},{"doc":"","ref":"aws_s3.html#create_multipart_upload/5","title":"aws_s3.create_multipart_upload/5","type":"function"},{"doc":"Deletes the S3 bucket. All objects (including all object versions and delete markers) in the bucket must be deleted before the bucket itself can be deleted. Related Resources CreateBucket DeleteObject","ref":"aws_s3.html#delete_bucket/3","title":"aws_s3.delete_bucket/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket/4","title":"aws_s3.delete_bucket/4","type":"function"},{"doc":"Deletes an analytics configuration for the bucket (specified by the analytics configuration ID). To use this operation, you must have permissions to perform the s3:PutAnalyticsConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. For information about the Amazon S3 analytics feature, see Amazon S3 Analytics – Storage Class Analysis. The following operations are related to DeleteBucketAnalyticsConfiguration : GetBucketAnalyticsConfiguration ListBucketAnalyticsConfigurations PutBucketAnalyticsConfiguration","ref":"aws_s3.html#delete_bucket_analytics_configuration/3","title":"aws_s3.delete_bucket_analytics_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket_analytics_configuration/4","title":"aws_s3.delete_bucket_analytics_configuration/4","type":"function"},{"doc":"Deletes the cors configuration information set for the bucket. To use this operation, you must have permission to perform the s3:PutBucketCORS action. The bucket owner has this permission by default and can grant this permission to others. For information about cors , see Enabling Cross-Origin Resource Sharing in the Amazon S3 User Guide. Related Resources: PutBucketCors RESTOPTIONSobject","ref":"aws_s3.html#delete_bucket_cors/3","title":"aws_s3.delete_bucket_cors/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket_cors/4","title":"aws_s3.delete_bucket_cors/4","type":"function"},{"doc":"This implementation of the DELETE action removes default encryption from the bucket. For information about the Amazon S3 default encryption feature, see Amazon S3 Default Bucket Encryption in the Amazon S3 User Guide. To use this operation, you must have permissions to perform the s3:PutEncryptionConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to your Amazon S3 Resources in the Amazon S3 User Guide. Related Resources PutBucketEncryption GetBucketEncryption","ref":"aws_s3.html#delete_bucket_encryption/3","title":"aws_s3.delete_bucket_encryption/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket_encryption/4","title":"aws_s3.delete_bucket_encryption/4","type":"function"},{"doc":"Deletes the S3 Intelligent-Tiering configuration from the specified bucket. The S3 Intelligent-Tiering storage class is designed to optimize storage costs by automatically moving data to the most cost-effective storage access tier, without performance impact or operational overhead. S3 Intelligent-Tiering delivers automatic cost savings in three low latency and high throughput access tiers. To get the lowest storage cost on data that can be accessed in minutes to hours, you can choose to activate additional archiving capabilities. The S3 Intelligent-Tiering storage class is the ideal storage class for data with unknown, changing, or unpredictable access patterns, independent of object size or retention period. If the size of an object is less than 128 KB, it is not monitored and not eligible for auto-tiering. Smaller objects can be stored, but they are always charged at the Frequent Access tier rates in the S3 Intelligent-Tiering storage class. For more information, see Storage class for automatically optimizing frequently and infrequently accessed objects. Operations related to DeleteBucketIntelligentTieringConfiguration include: GetBucketIntelligentTieringConfiguration PutBucketIntelligentTieringConfiguration ListBucketIntelligentTieringConfigurations","ref":"aws_s3.html#delete_bucket_intelligent_tiering_configuration/3","title":"aws_s3.delete_bucket_intelligent_tiering_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket_intelligent_tiering_configuration/4","title":"aws_s3.delete_bucket_intelligent_tiering_configuration/4","type":"function"},{"doc":"Deletes an inventory configuration (identified by the inventory ID) from the bucket. To use this operation, you must have permissions to perform the s3:PutInventoryConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. For information about the Amazon S3 inventory feature, see Amazon S3 Inventory. Operations related to DeleteBucketInventoryConfiguration include: GetBucketInventoryConfiguration PutBucketInventoryConfiguration ListBucketInventoryConfigurations","ref":"aws_s3.html#delete_bucket_inventory_configuration/3","title":"aws_s3.delete_bucket_inventory_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket_inventory_configuration/4","title":"aws_s3.delete_bucket_inventory_configuration/4","type":"function"},{"doc":"Deletes the lifecycle configuration from the specified bucket. Amazon S3 removes all the lifecycle configuration rules in the lifecycle subresource associated with the bucket. Your objects never expire, and Amazon S3 no longer automatically deletes any objects on the basis of rules contained in the deleted lifecycle configuration. To use this operation, you must have permission to perform the s3:PutLifecycleConfiguration action. By default, the bucket owner has this permission and the bucket owner can grant this permission to others. There is usually some time lag before lifecycle configuration deletion is fully propagated to all the Amazon S3 systems. For more information about the object expiration, see Elements to Describe Lifecycle Actions. Related actions include: PutBucketLifecycleConfiguration GetBucketLifecycleConfiguration","ref":"aws_s3.html#delete_bucket_lifecycle/3","title":"aws_s3.delete_bucket_lifecycle/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket_lifecycle/4","title":"aws_s3.delete_bucket_lifecycle/4","type":"function"},{"doc":"Deletes a metrics configuration for the Amazon CloudWatch request metrics (specified by the metrics configuration ID) from the bucket. Note that this doesn't include the daily storage metrics. To use this operation, you must have permissions to perform the s3:PutMetricsConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. For information about CloudWatch request metrics for Amazon S3, see Monitoring Metrics with Amazon CloudWatch. The following operations are related to DeleteBucketMetricsConfiguration : GetBucketMetricsConfiguration PutBucketMetricsConfiguration ListBucketMetricsConfigurations Monitoring Metrics with Amazon CloudWatch","ref":"aws_s3.html#delete_bucket_metrics_configuration/3","title":"aws_s3.delete_bucket_metrics_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket_metrics_configuration/4","title":"aws_s3.delete_bucket_metrics_configuration/4","type":"function"},{"doc":"Removes OwnershipControls for an Amazon S3 bucket. To use this operation, you must have the s3:PutBucketOwnershipControls permission. For more information about Amazon S3 permissions, see Specifying Permissions in a Policy. For information about Amazon S3 Object Ownership, see Using Object Ownership. The following operations are related to DeleteBucketOwnershipControls : GetBucketOwnershipControls PutBucketOwnershipControls","ref":"aws_s3.html#delete_bucket_ownership_controls/3","title":"aws_s3.delete_bucket_ownership_controls/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket_ownership_controls/4","title":"aws_s3.delete_bucket_ownership_controls/4","type":"function"},{"doc":"This implementation of the DELETE action uses the policy subresource to delete the policy of a specified bucket. If you are using an identity other than the root user of the Amazon Web Services account that owns the bucket, the calling identity must have the DeleteBucketPolicy permissions on the specified bucket and belong to the bucket owner's account to use this operation. If you don't have DeleteBucketPolicy permissions, Amazon S3 returns a 403 Access Denied error. If you have the correct permissions, but you're not using an identity that belongs to the bucket owner's account, Amazon S3 returns a 405 Method Not Allowed error. As a security precaution, the root user of the Amazon Web Services account that owns a bucket can always use this operation, even if the policy explicitly denies the root user the ability to perform this action. For more information about bucket policies, see Using Bucket Policies and UserPolicies. The following operations are related to DeleteBucketPolicy CreateBucket DeleteObject","ref":"aws_s3.html#delete_bucket_policy/3","title":"aws_s3.delete_bucket_policy/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket_policy/4","title":"aws_s3.delete_bucket_policy/4","type":"function"},{"doc":"Deletes the replication configuration from the bucket. To use this operation, you must have permissions to perform the s3:PutReplicationConfiguration action. The bucket owner has these permissions by default and can grant it to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. It can take a while for the deletion of a replication configuration to fully propagate. For information about replication configuration, see Replication in the Amazon S3 User Guide. The following operations are related to DeleteBucketReplication : PutBucketReplication GetBucketReplication","ref":"aws_s3.html#delete_bucket_replication/3","title":"aws_s3.delete_bucket_replication/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket_replication/4","title":"aws_s3.delete_bucket_replication/4","type":"function"},{"doc":"Deletes the tags from the bucket. To use this operation, you must have permission to perform the s3:PutBucketTagging action. By default, the bucket owner has this permission and can grant this permission to others. The following operations are related to DeleteBucketTagging : GetBucketTagging PutBucketTagging","ref":"aws_s3.html#delete_bucket_tagging/3","title":"aws_s3.delete_bucket_tagging/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket_tagging/4","title":"aws_s3.delete_bucket_tagging/4","type":"function"},{"doc":"This action removes the website configuration for a bucket. Amazon S3 returns a 200 OK response upon successfully deleting a website configuration on the specified bucket. You will get a 200 OK response if the website configuration you are trying to delete does not exist on the bucket. Amazon S3 returns a 404 response if the bucket specified in the request does not exist. This DELETE action requires the S3:DeleteBucketWebsite permission. By default, only the bucket owner can delete the website configuration attached to a bucket. However, bucket owners can grant other users permission to delete the website configuration by writing a bucket policy granting them the S3:DeleteBucketWebsite permission. For more information about hosting websites, see Hosting Websites on Amazon S3. The following operations are related to DeleteBucketWebsite : GetBucketWebsite PutBucketWebsite","ref":"aws_s3.html#delete_bucket_website/3","title":"aws_s3.delete_bucket_website/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_bucket_website/4","title":"aws_s3.delete_bucket_website/4","type":"function"},{"doc":"Removes the null version (if there is one) of an object and inserts a delete marker, which becomes the latest version of the object. If there isn't a null version, Amazon S3 does not remove any objects but will still respond that the command was successful. To remove a specific version, you must be the bucket owner and you must use the version Id subresource. Using this subresource permanently deletes the version. If the object deleted is a delete marker, Amazon S3 sets the response header, x-amz-delete-marker , to true. If the object you want to delete is in a bucket where the bucket versioning configuration is MFA Delete enabled, you must include the x-amz-mfa request header in the DELETE versionId request. Requests that include x-amz-mfa must use HTTPS. For more information about MFA Delete, see Using MFA Delete. To see sample requests that use versioning, see Sample Request. You can delete objects by explicitly calling DELETE Object or configure its lifecycle (PutBucketLifecycle) to enable Amazon S3 to remove them for you. If you want to block users or accounts from removing or deleting objects from your bucket, you must deny them the s3:DeleteObject , s3:DeleteObjectVersion , and s3:PutLifeCycleConfiguration actions. The following action is related to DeleteObject : PutObject","ref":"aws_s3.html#delete_object/4","title":"aws_s3.delete_object/4","type":"function"},{"doc":"","ref":"aws_s3.html#delete_object/5","title":"aws_s3.delete_object/5","type":"function"},{"doc":"Removes the entire tag set from the specified object. For more information about managing object tags, see Object Tagging. To use this operation, you must have permission to perform the s3:DeleteObjectTagging action. To delete tags of a specific object version, add the versionId query parameter in the request. You will need permission for the s3:DeleteObjectVersionTagging action. The following operations are related to DeleteBucketMetricsConfiguration : PutObjectTagging GetObjectTagging","ref":"aws_s3.html#delete_object_tagging/4","title":"aws_s3.delete_object_tagging/4","type":"function"},{"doc":"","ref":"aws_s3.html#delete_object_tagging/5","title":"aws_s3.delete_object_tagging/5","type":"function"},{"doc":"This action enables you to delete multiple objects from a bucket using a single HTTP request. If you know the object keys that you want to delete, then this action provides a suitable alternative to sending individual delete requests, reducing per-request overhead. The request contains a list of up to 1000 keys that you want to delete. In the XML, you provide the object key names, and optionally, version IDs if you want to delete a specific version of the object from a versioning-enabled bucket. For each key, Amazon S3 performs a delete action and returns the result of that delete, success, or failure, in the response. Note that if the object specified in the request is not found, Amazon S3 returns the result as deleted. The action supports two modes for the response: verbose and quiet. By default, the action uses verbose mode in which the response includes the result of deletion of each key in your request. In quiet mode the response includes only keys where the delete action encountered an error. For a successful deletion, the action does not return any information about the delete in the response body. When performing this action on an MFA Delete enabled bucket, that attempts to delete any versioned objects, you must include an MFA token. If you do not provide one, the entire request will fail, even if there are non-versioned objects you are trying to delete. If you provide an invalid token, whether there are versioned keys in the request or not, the entire Multi-Object Delete request will fail. For information about MFA Delete, see MFA Delete. Finally, the Content-MD5 header is required for all Multi-Object Delete requests. Amazon S3 uses the header value to ensure that your request body has not been altered in transit. The following operations are related to DeleteObjects : CreateMultipartUpload UploadPart CompleteMultipartUpload ListParts AbortMultipartUpload","ref":"aws_s3.html#delete_objects/3","title":"aws_s3.delete_objects/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_objects/4","title":"aws_s3.delete_objects/4","type":"function"},{"doc":"Removes the PublicAccessBlock configuration for an Amazon S3 bucket. To use this operation, you must have the s3:PutBucketPublicAccessBlock permission. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. The following operations are related to DeletePublicAccessBlock : Using Amazon S3 Block Public Access GetPublicAccessBlock PutPublicAccessBlock GetBucketPolicyStatus","ref":"aws_s3.html#delete_public_access_block/3","title":"aws_s3.delete_public_access_block/3","type":"function"},{"doc":"","ref":"aws_s3.html#delete_public_access_block/4","title":"aws_s3.delete_public_access_block/4","type":"function"},{"doc":"This implementation of the GET action uses the accelerate subresource to return the Transfer Acceleration state of a bucket, which is either Enabled or Suspended . Amazon S3 Transfer Acceleration is a bucket-level feature that enables you to perform faster data transfers to and from Amazon S3. To use this operation, you must have permission to perform the s3:GetAccelerateConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to your Amazon S3 Resources in the Amazon S3 User Guide. You set the Transfer Acceleration state of an existing bucket to Enabled or Suspended by using the PutBucketAccelerateConfiguration operation. A GET accelerate request does not return a state value for a bucket that has no transfer acceleration state. A bucket has no Transfer Acceleration state if a state has never been set on the bucket. For more information about transfer acceleration, see Transfer Acceleration in the Amazon S3 User Guide. Related Resources PutBucketAccelerateConfiguration","ref":"aws_s3.html#get_bucket_accelerate_configuration/2","title":"aws_s3.get_bucket_accelerate_configuration/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_accelerate_configuration/4","title":"aws_s3.get_bucket_accelerate_configuration/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_accelerate_configuration/5","title":"aws_s3.get_bucket_accelerate_configuration/5","type":"function"},{"doc":"This implementation of the GET action uses the acl subresource to return the access control list (ACL) of a bucket. To use GET to return the ACL of the bucket, you must have READ_ACP access to the bucket. If READ_ACP permission is granted to the anonymous user, you can return the ACL of the bucket without using an authorization header. If your bucket uses the bucket owner enforced setting for S3 Object Ownership, requests to read ACLs are still supported and return the bucket-owner-full-control ACL with the owner being the account that created the bucket. For more information, see Controlling object ownership and disabling ACLs in the Amazon S3 User Guide. Related Resources ListObjects","ref":"aws_s3.html#get_bucket_acl/2","title":"aws_s3.get_bucket_acl/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_acl/4","title":"aws_s3.get_bucket_acl/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_acl/5","title":"aws_s3.get_bucket_acl/5","type":"function"},{"doc":"This implementation of the GET action returns an analytics configuration (identified by the analytics configuration ID) from the bucket. To use this operation, you must have permissions to perform the s3:GetAnalyticsConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources in the Amazon S3 User Guide. For information about Amazon S3 analytics feature, see Amazon S3 Analytics – Storage Class Analysis in the Amazon S3 User Guide. Related Resources DeleteBucketAnalyticsConfiguration ListBucketAnalyticsConfigurations PutBucketAnalyticsConfiguration","ref":"aws_s3.html#get_bucket_analytics_configuration/3","title":"aws_s3.get_bucket_analytics_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_analytics_configuration/5","title":"aws_s3.get_bucket_analytics_configuration/5","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_analytics_configuration/6","title":"aws_s3.get_bucket_analytics_configuration/6","type":"function"},{"doc":"Returns the Cross-Origin Resource Sharing (CORS) configuration information set for the bucket. To use this operation, you must have permission to perform the s3:GetBucketCORS action. By default, the bucket owner has this permission and can grant it to others. For more information about CORS, see Enabling Cross-Origin Resource Sharing. The following operations are related to GetBucketCors : PutBucketCors DeleteBucketCors","ref":"aws_s3.html#get_bucket_cors/2","title":"aws_s3.get_bucket_cors/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_cors/4","title":"aws_s3.get_bucket_cors/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_cors/5","title":"aws_s3.get_bucket_cors/5","type":"function"},{"doc":"Returns the default encryption configuration for an Amazon S3 bucket. If the bucket does not have a default encryption configuration, GetBucketEncryption returns ServerSideEncryptionConfigurationNotFoundError . For information about the Amazon S3 default encryption feature, see Amazon S3 Default Bucket Encryption. To use this operation, you must have permission to perform the s3:GetEncryptionConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. The following operations are related to GetBucketEncryption : PutBucketEncryption DeleteBucketEncryption","ref":"aws_s3.html#get_bucket_encryption/2","title":"aws_s3.get_bucket_encryption/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_encryption/4","title":"aws_s3.get_bucket_encryption/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_encryption/5","title":"aws_s3.get_bucket_encryption/5","type":"function"},{"doc":"Gets the S3 Intelligent-Tiering configuration from the specified bucket. The S3 Intelligent-Tiering storage class is designed to optimize storage costs by automatically moving data to the most cost-effective storage access tier, without performance impact or operational overhead. S3 Intelligent-Tiering delivers automatic cost savings in three low latency and high throughput access tiers. To get the lowest storage cost on data that can be accessed in minutes to hours, you can choose to activate additional archiving capabilities. The S3 Intelligent-Tiering storage class is the ideal storage class for data with unknown, changing, or unpredictable access patterns, independent of object size or retention period. If the size of an object is less than 128 KB, it is not monitored and not eligible for auto-tiering. Smaller objects can be stored, but they are always charged at the Frequent Access tier rates in the S3 Intelligent-Tiering storage class. For more information, see Storage class for automatically optimizing frequently and infrequently accessed objects. Operations related to GetBucketIntelligentTieringConfiguration include: DeleteBucketIntelligentTieringConfiguration PutBucketIntelligentTieringConfiguration ListBucketIntelligentTieringConfigurations","ref":"aws_s3.html#get_bucket_intelligent_tiering_configuration/3","title":"aws_s3.get_bucket_intelligent_tiering_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_intelligent_tiering_configuration/5","title":"aws_s3.get_bucket_intelligent_tiering_configuration/5","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_intelligent_tiering_configuration/6","title":"aws_s3.get_bucket_intelligent_tiering_configuration/6","type":"function"},{"doc":"Returns an inventory configuration (identified by the inventory configuration ID) from the bucket. To use this operation, you must have permissions to perform the s3:GetInventoryConfiguration action. The bucket owner has this permission by default and can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. For information about the Amazon S3 inventory feature, see Amazon S3 Inventory. The following operations are related to GetBucketInventoryConfiguration : DeleteBucketInventoryConfiguration ListBucketInventoryConfigurations PutBucketInventoryConfiguration","ref":"aws_s3.html#get_bucket_inventory_configuration/3","title":"aws_s3.get_bucket_inventory_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_inventory_configuration/5","title":"aws_s3.get_bucket_inventory_configuration/5","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_inventory_configuration/6","title":"aws_s3.get_bucket_inventory_configuration/6","type":"function"},{"doc":"For an updated version of this API, see GetBucketLifecycleConfiguration. If you configured a bucket lifecycle using the filter element, you should see the updated version of this topic. This topic is provided for backward compatibility. Returns the lifecycle configuration information set on the bucket. For information about lifecycle configuration, see Object Lifecycle Management. To use this operation, you must have permission to perform the s3:GetLifecycleConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. GetBucketLifecycle has the following special error: Error code: NoSuchLifecycleConfiguration Description: The lifecycle configuration does not exist. HTTP Status Code: 404 Not Found SOAP Fault Code Prefix: Client The following operations are related to GetBucketLifecycle : GetBucketLifecycleConfiguration PutBucketLifecycle DeleteBucketLifecycle","ref":"aws_s3.html#get_bucket_lifecycle/2","title":"aws_s3.get_bucket_lifecycle/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_lifecycle/4","title":"aws_s3.get_bucket_lifecycle/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_lifecycle/5","title":"aws_s3.get_bucket_lifecycle/5","type":"function"},{"doc":"Bucket lifecycle configuration now supports specifying a lifecycle rule using an object key name prefix, one or more object tags, or a combination of both. Accordingly, this section describes the latest API. The response describes the new filter element that you can use to specify a filter to select a subset of objects to which the rule applies. If you are using a previous version of the lifecycle configuration, it still works. For the earlier action, see GetBucketLifecycle. Returns the lifecycle configuration information set on the bucket. For information about lifecycle configuration, see Object Lifecycle Management. To use this operation, you must have permission to perform the s3:GetLifecycleConfiguration action. The bucket owner has this permission, by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. GetBucketLifecycleConfiguration has the following special error: Error code: NoSuchLifecycleConfiguration Description: The lifecycle configuration does not exist. HTTP Status Code: 404 Not Found SOAP Fault Code Prefix: Client The following operations are related to GetBucketLifecycleConfiguration : GetBucketLifecycle PutBucketLifecycle DeleteBucketLifecycle","ref":"aws_s3.html#get_bucket_lifecycle_configuration/2","title":"aws_s3.get_bucket_lifecycle_configuration/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_lifecycle_configuration/4","title":"aws_s3.get_bucket_lifecycle_configuration/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_lifecycle_configuration/5","title":"aws_s3.get_bucket_lifecycle_configuration/5","type":"function"},{"doc":"Returns the Region the bucket resides in. You set the bucket's Region using the LocationConstraint request parameter in a CreateBucket request. For more information, see CreateBucket. To use this implementation of the operation, you must be the bucket owner. To use this API against an access point, provide the alias of the access point in place of the bucket name. The following operations are related to GetBucketLocation : GetObject CreateBucket","ref":"aws_s3.html#get_bucket_location/2","title":"aws_s3.get_bucket_location/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_location/4","title":"aws_s3.get_bucket_location/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_location/5","title":"aws_s3.get_bucket_location/5","type":"function"},{"doc":"Returns the logging status of a bucket and the permissions users have to view and modify that status. To use GET, you must be the bucket owner. The following operations are related to GetBucketLogging : CreateBucket PutBucketLogging","ref":"aws_s3.html#get_bucket_logging/2","title":"aws_s3.get_bucket_logging/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_logging/4","title":"aws_s3.get_bucket_logging/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_logging/5","title":"aws_s3.get_bucket_logging/5","type":"function"},{"doc":"Gets a metrics configuration (specified by the metrics configuration ID) from the bucket. Note that this doesn't include the daily storage metrics. To use this operation, you must have permissions to perform the s3:GetMetricsConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. For information about CloudWatch request metrics for Amazon S3, see Monitoring Metrics with Amazon CloudWatch. The following operations are related to GetBucketMetricsConfiguration : PutBucketMetricsConfiguration DeleteBucketMetricsConfiguration ListBucketMetricsConfigurations Monitoring Metrics with Amazon CloudWatch","ref":"aws_s3.html#get_bucket_metrics_configuration/3","title":"aws_s3.get_bucket_metrics_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_metrics_configuration/5","title":"aws_s3.get_bucket_metrics_configuration/5","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_metrics_configuration/6","title":"aws_s3.get_bucket_metrics_configuration/6","type":"function"},{"doc":"No longer used, see GetBucketNotificationConfiguration.","ref":"aws_s3.html#get_bucket_notification/2","title":"aws_s3.get_bucket_notification/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_notification/4","title":"aws_s3.get_bucket_notification/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_notification/5","title":"aws_s3.get_bucket_notification/5","type":"function"},{"doc":"Returns the notification configuration of a bucket. If notifications are not enabled on the bucket, the action returns an empty NotificationConfiguration element. By default, you must be the bucket owner to read the notification configuration of a bucket. However, the bucket owner can use a bucket policy to grant permission to other users to read this configuration with the s3:GetBucketNotification permission. For more information about setting and reading the notification configuration on a bucket, see Setting Up Notification of Bucket Events. For more information about bucket policies, see Using Bucket Policies. The following action is related to GetBucketNotification : PutBucketNotification","ref":"aws_s3.html#get_bucket_notification_configuration/2","title":"aws_s3.get_bucket_notification_configuration/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_notification_configuration/4","title":"aws_s3.get_bucket_notification_configuration/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_notification_configuration/5","title":"aws_s3.get_bucket_notification_configuration/5","type":"function"},{"doc":"Retrieves OwnershipControls for an Amazon S3 bucket. To use this operation, you must have the s3:GetBucketOwnershipControls permission. For more information about Amazon S3 permissions, see Specifying permissions in a policy. For information about Amazon S3 Object Ownership, see Using Object Ownership. The following operations are related to GetBucketOwnershipControls : PutBucketOwnershipControls DeleteBucketOwnershipControls","ref":"aws_s3.html#get_bucket_ownership_controls/2","title":"aws_s3.get_bucket_ownership_controls/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_ownership_controls/4","title":"aws_s3.get_bucket_ownership_controls/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_ownership_controls/5","title":"aws_s3.get_bucket_ownership_controls/5","type":"function"},{"doc":"Returns the policy of a specified bucket. If you are using an identity other than the root user of the Amazon Web Services account that owns the bucket, the calling identity must have the GetBucketPolicy permissions on the specified bucket and belong to the bucket owner's account in order to use this operation. If you don't have GetBucketPolicy permissions, Amazon S3 returns a 403 Access Denied error. If you have the correct permissions, but you're not using an identity that belongs to the bucket owner's account, Amazon S3 returns a 405 Method Not Allowed error. As a security precaution, the root user of the Amazon Web Services account that owns a bucket can always use this operation, even if the policy explicitly denies the root user the ability to perform this action. For more information about bucket policies, see Using Bucket Policies and User Policies. The following action is related to GetBucketPolicy : GetObject","ref":"aws_s3.html#get_bucket_policy/2","title":"aws_s3.get_bucket_policy/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_policy/4","title":"aws_s3.get_bucket_policy/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_policy/5","title":"aws_s3.get_bucket_policy/5","type":"function"},{"doc":"Retrieves the policy status for an Amazon S3 bucket, indicating whether the bucket is public. In order to use this operation, you must have the s3:GetBucketPolicyStatus permission. For more information about Amazon S3 permissions, see Specifying Permissions in a Policy. For more information about when Amazon S3 considers a bucket public, see The Meaning of &quot;Public&quot;. The following operations are related to GetBucketPolicyStatus : Using Amazon S3 Block Public Access GetPublicAccessBlock PutPublicAccessBlock DeletePublicAccessBlock","ref":"aws_s3.html#get_bucket_policy_status/2","title":"aws_s3.get_bucket_policy_status/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_policy_status/4","title":"aws_s3.get_bucket_policy_status/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_policy_status/5","title":"aws_s3.get_bucket_policy_status/5","type":"function"},{"doc":"Returns the replication configuration of a bucket. It can take a while to propagate the put or delete a replication configuration to all Amazon S3 systems. Therefore, a get request soon after put or delete can return a wrong result. For information about replication configuration, see Replication in the Amazon S3 User Guide. This action requires permissions for the s3:GetReplicationConfiguration action. For more information about permissions, see Using Bucket Policies and User Policies. If you include the Filter element in a replication configuration, you must also include the DeleteMarkerReplication and Priority elements. The response also returns those elements. For information about GetBucketReplication errors, see List of replication-related error codes The following operations are related to GetBucketReplication : PutBucketReplication DeleteBucketReplication","ref":"aws_s3.html#get_bucket_replication/2","title":"aws_s3.get_bucket_replication/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_replication/4","title":"aws_s3.get_bucket_replication/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_replication/5","title":"aws_s3.get_bucket_replication/5","type":"function"},{"doc":"Returns the request payment configuration of a bucket. To use this version of the operation, you must be the bucket owner. For more information, see Requester Pays Buckets. The following operations are related to GetBucketRequestPayment : ListObjects","ref":"aws_s3.html#get_bucket_request_payment/2","title":"aws_s3.get_bucket_request_payment/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_request_payment/4","title":"aws_s3.get_bucket_request_payment/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_request_payment/5","title":"aws_s3.get_bucket_request_payment/5","type":"function"},{"doc":"Returns the tag set associated with the bucket. To use this operation, you must have permission to perform the s3:GetBucketTagging action. By default, the bucket owner has this permission and can grant this permission to others. GetBucketTagging has the following special error: Error code: NoSuchTagSet Description: There is no tag set associated with the bucket. The following operations are related to GetBucketTagging : PutBucketTagging DeleteBucketTagging","ref":"aws_s3.html#get_bucket_tagging/2","title":"aws_s3.get_bucket_tagging/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_tagging/4","title":"aws_s3.get_bucket_tagging/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_tagging/5","title":"aws_s3.get_bucket_tagging/5","type":"function"},{"doc":"Returns the versioning state of a bucket. To retrieve the versioning state of a bucket, you must be the bucket owner. This implementation also returns the MFA Delete status of the versioning state. If the MFA Delete status is enabled , the bucket owner must use an authentication device to change the versioning state of the bucket. The following operations are related to GetBucketVersioning : GetObject PutObject DeleteObject","ref":"aws_s3.html#get_bucket_versioning/2","title":"aws_s3.get_bucket_versioning/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_versioning/4","title":"aws_s3.get_bucket_versioning/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_versioning/5","title":"aws_s3.get_bucket_versioning/5","type":"function"},{"doc":"Returns the website configuration for a bucket. To host website on Amazon S3, you can configure a bucket as website by adding a website configuration. For more information about hosting websites, see Hosting Websites on Amazon S3. This GET action requires the S3:GetBucketWebsite permission. By default, only the bucket owner can read the bucket website configuration. However, bucket owners can allow other users to read the website configuration by writing a bucket policy granting them the S3:GetBucketWebsite permission. The following operations are related to DeleteBucketWebsite : DeleteBucketWebsite PutBucketWebsite","ref":"aws_s3.html#get_bucket_website/2","title":"aws_s3.get_bucket_website/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_website/4","title":"aws_s3.get_bucket_website/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_bucket_website/5","title":"aws_s3.get_bucket_website/5","type":"function"},{"doc":"Retrieves objects from Amazon S3. To use GET , you must have READ access to the object. If you grant READ access to the anonymous user, you can return the object without using an authorization header. An Amazon S3 bucket has no directory hierarchy such as you would find in a typical computer file system. You can, however, create a logical hierarchy by using object key names that imply a folder structure. For example, instead of naming an object sample.jpg , you can name it photos/2006/February/sample.jpg . To get an object from such a logical hierarchy, specify the full key name for the object in the GET operation. For a virtual hosted-style request example, if you have the object photos/2006/February/sample.jpg , specify the resource as /photos/2006/February/sample.jpg . For a path-style request example, if you have the object photos/2006/February/sample.jpg in the bucket named examplebucket , specify the resource as /examplebucket/photos/2006/February/sample.jpg . For more information about request types, see HTTP Host Header Bucket Specification. For more information about returning the ACL of an object, see GetObjectAcl. If the object you are retrieving is stored in the S3 Glacier or S3 Glacier Deep Archive storage class, or S3 Intelligent-Tiering Archive or S3 Intelligent-Tiering Deep Archive tiers, before you can retrieve the object you must first restore a copy using RestoreObject. Otherwise, this action returns an InvalidObjectStateError error. For information about restoring archived objects, see Restoring Archived Objects. Encryption request headers, like x-amz-server-side-encryption , should not be sent for GET requests if your object uses server-side encryption with KMS keys (SSE-KMS) or server-side encryption with Amazon S3–managed encryption keys (SSE-S3). If your object does use these types of keys, you’ll get an HTTP 400 BadRequest error. If you encrypt an object by using server-side encryption with customer-provided encryption keys (SSE-C) when you store the object in Amazon S3, then when you GET the object, you must use the following headers: x-amz-server-side-encryption-customer-algorithm x-amz-server-side-encryption-customer-key x-amz-server-side-encryption-customer-key-MD5 For more information about SSE-C, see Server-Side Encryption (Using Customer-Provided Encryption Keys). Assuming you have the relevant permission to read object tags, the response also returns the x-amz-tagging-count header that provides the count of number of tags associated with the object. You can use GetObjectTagging to retrieve the tag set associated with an object. Permissions You need the relevant read object (or version) permission for this operation. For more information, see Specifying Permissions in a Policy. If the object you request does not exist, the error Amazon S3 returns depends on whether you also have the s3:ListBucket permission. If you have the s3:ListBucket permission on the bucket, Amazon S3 will return an HTTP status code 404 (&quot;no such key&quot;) error. If you don’t have the s3:ListBucket permission, Amazon S3 will return an HTTP status code 403 (&quot;access denied&quot;) error. Versioning By default, the GET action returns the current version of an object. To return a different version, use the versionId subresource. If you supply a versionId , you need the s3:GetObjectVersion permission to access a specific version of an object. If you request a specific version, you do not need to have the s3:GetObject permission. If the current version of the object is a delete marker, Amazon S3 behaves as if the object was deleted and includes x-amz-delete-marker: true in the response. For more information about versioning, see PutBucketVersioning. Overriding Response Header Values There are times when you want to override certain response header values in a GET response. For example, you might override the Content-Disposition response header value in your GET request. You can override values for a set of response headers using the following query parameters. These response header values are sent only on a successful request, that is, when status code 200 OK is returned. The set of headers you can override using these parameters is a subset of the headers that Amazon S3 accepts when you create an object. The response headers that you can override for the GET response are Content-Type , Content-Language , Expires , Cache-Control , Content-Disposition , and Content-Encoding . To override these header values in the GET response, you use the following request parameters. You must sign the request, either using an Authorization header or a presigned URL, when using these parameters. They cannot be used with an unsigned (anonymous) request. response-content-type response-content-language response-expires response-cache-control response-content-disposition response-content-encoding Additional Considerations about Request Headers If both of the If-Match and If-Unmodified-Since headers are present in the request as follows: If-Match condition evaluates to true , and; If-Unmodified-Since condition evaluates to false ; then, S3 returns 200 OK and the data requested. If both of the If-None-Match and If-Modified-Since headers are present in the request as follows: If-None-Match condition evaluates to false , and; If-Modified-Since condition evaluates to true ; then, S3 returns 304 Not Modified response code. For more information about conditional requests, see RFC 7232. The following operations are related to GetObject : ListBuckets GetObjectAcl","ref":"aws_s3.html#get_object/3","title":"aws_s3.get_object/3","type":"function"},{"doc":"","ref":"aws_s3.html#get_object/5","title":"aws_s3.get_object/5","type":"function"},{"doc":"","ref":"aws_s3.html#get_object/6","title":"aws_s3.get_object/6","type":"function"},{"doc":"Returns the access control list (ACL) of an object. To use this operation, you must have s3:GetObjectAcl permissions or READ_ACP access to the object. For more information, see Mapping of ACL permissions and access policy permissions in the Amazon S3 User Guide This action is not supported by Amazon S3 on Outposts. Versioning By default, GET returns ACL information about the current version of an object. To return ACL information about a different version, use the versionId subresource. If your bucket uses the bucket owner enforced setting for S3 Object Ownership, requests to read ACLs are still supported and return the bucket-owner-full-control ACL with the owner being the account that created the bucket. For more information, see Controlling object ownership and disabling ACLs in the Amazon S3 User Guide. The following operations are related to GetObjectAcl : GetObject GetObjectAttributes DeleteObject PutObject","ref":"aws_s3.html#get_object_acl/3","title":"aws_s3.get_object_acl/3","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_acl/5","title":"aws_s3.get_object_acl/5","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_acl/6","title":"aws_s3.get_object_acl/6","type":"function"},{"doc":"Retrieves all the metadata from an object without returning the object itself. This action is useful if you're interested only in an object's metadata. To use GetObjectAttributes , you must have READ access to the object. GetObjectAttributes combines the functionality of GetObjectAcl , GetObjectLegalHold , GetObjectLockConfiguration , GetObjectRetention , GetObjectTagging , HeadObject , and ListParts . All of the data returned with each of those individual calls can be returned with a single call to GetObjectAttributes . If you encrypt an object by using server-side encryption with customer-provided encryption keys (SSE-C) when you store the object in Amazon S3, then when you retrieve the metadata from the object, you must use the following headers: x-amz-server-side-encryption-customer-algorithm x-amz-server-side-encryption-customer-key x-amz-server-side-encryption-customer-key-MD5 For more information about SSE-C, see Server-Side Encryption (Using Customer-Provided Encryption Keys) in the Amazon S3 User Guide. Encryption request headers, such as x-amz-server-side-encryption , should not be sent for GET requests if your object uses server-side encryption with Amazon Web Services KMS keys stored in Amazon Web Services Key Management Service (SSE-KMS) or server-side encryption with Amazon S3 managed encryption keys (SSE-S3). If your object does use these types of keys, you'll get an HTTP 400 Bad Request error. The last modified property in this case is the creation date of the object. Consider the following when using request headers: If both of the If-Match and If-Unmodified-Since headers are present in the request as follows, then Amazon S3 returns the HTTP status code 200 OK and the data requested: If-Match condition evaluates to true . If-Unmodified-Since condition evaluates to false . If both of the If-None-Match and If-Modified-Since headers are present in the request as follows, then Amazon S3 returns the HTTP status code 304 Not Modified : If-None-Match condition evaluates to false . If-Modified-Since condition evaluates to true . For more information about conditional requests, see RFC 7232. Permissions The permissions that you need to use this operation depend on whether the bucket is versioned. If the bucket is versioned, you need both the s3:GetObjectVersion and s3:GetObjectVersionAttributes permissions for this operation. If the bucket is not versioned, you need the s3:GetObject and s3:GetObjectAttributes permissions. For more information, see Specifying Permissions in a Policy in the Amazon S3 User Guide. If the object that you request does not exist, the error Amazon S3 returns depends on whether you also have the s3:ListBucket permission. If you have the s3:ListBucket permission on the bucket, Amazon S3 returns an HTTP status code 404 Not Found (&quot;no such key&quot;) error. If you don't have the s3:ListBucket permission, Amazon S3 returns an HTTP status code 403 Forbidden (&quot;access denied&quot;) error. The following actions are related to GetObjectAttributes : GetObject GetObjectAcl GetObjectLegalHold GetObjectLockConfiguration GetObjectRetention GetObjectTagging HeadObject ListParts","ref":"aws_s3.html#get_object_attributes/4","title":"aws_s3.get_object_attributes/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_attributes/6","title":"aws_s3.get_object_attributes/6","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_attributes/7","title":"aws_s3.get_object_attributes/7","type":"function"},{"doc":"Gets an object's current legal hold status. For more information, see Locking Objects. This action is not supported by Amazon S3 on Outposts. The following action is related to GetObjectLegalHold : GetObjectAttributes","ref":"aws_s3.html#get_object_legal_hold/3","title":"aws_s3.get_object_legal_hold/3","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_legal_hold/5","title":"aws_s3.get_object_legal_hold/5","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_legal_hold/6","title":"aws_s3.get_object_legal_hold/6","type":"function"},{"doc":"Gets the Object Lock configuration for a bucket. The rule specified in the Object Lock configuration will be applied by default to every new object placed in the specified bucket. For more information, see Locking Objects. The following action is related to GetObjectLockConfiguration : GetObjectAttributes","ref":"aws_s3.html#get_object_lock_configuration/2","title":"aws_s3.get_object_lock_configuration/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_lock_configuration/4","title":"aws_s3.get_object_lock_configuration/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_lock_configuration/5","title":"aws_s3.get_object_lock_configuration/5","type":"function"},{"doc":"Retrieves an object's retention settings. For more information, see Locking Objects. This action is not supported by Amazon S3 on Outposts. The following action is related to GetObjectRetention : GetObjectAttributes","ref":"aws_s3.html#get_object_retention/3","title":"aws_s3.get_object_retention/3","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_retention/5","title":"aws_s3.get_object_retention/5","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_retention/6","title":"aws_s3.get_object_retention/6","type":"function"},{"doc":"Returns the tag-set of an object. You send the GET request against the tagging subresource associated with the object. To use this operation, you must have permission to perform the s3:GetObjectTagging action. By default, the GET action returns information about current version of an object. For a versioned bucket, you can have multiple versions of an object in your bucket. To retrieve tags of any other version, use the versionId query parameter. You also need permission for the s3:GetObjectVersionTagging action. By default, the bucket owner has this permission and can grant this permission to others. For information about the Amazon S3 object tagging feature, see Object Tagging. The following actions are related to GetObjectTagging : DeleteObjectTagging GetObjectAttributes PutObjectTagging","ref":"aws_s3.html#get_object_tagging/3","title":"aws_s3.get_object_tagging/3","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_tagging/5","title":"aws_s3.get_object_tagging/5","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_tagging/6","title":"aws_s3.get_object_tagging/6","type":"function"},{"doc":"Returns torrent files from a bucket. BitTorrent can save you bandwidth when you're distributing large files. For more information about BitTorrent, see Using BitTorrent with Amazon S3. You can get torrent only for objects that are less than 5 GB in size, and that are not encrypted using server-side encryption with a customer-provided encryption key. To use GET, you must have READ access to the object. This action is not supported by Amazon S3 on Outposts. The following action is related to GetObjectTorrent : GetObject","ref":"aws_s3.html#get_object_torrent/3","title":"aws_s3.get_object_torrent/3","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_torrent/5","title":"aws_s3.get_object_torrent/5","type":"function"},{"doc":"","ref":"aws_s3.html#get_object_torrent/6","title":"aws_s3.get_object_torrent/6","type":"function"},{"doc":"Retrieves the PublicAccessBlock configuration for an Amazon S3 bucket. To use this operation, you must have the s3:GetBucketPublicAccessBlock permission. For more information about Amazon S3 permissions, see Specifying Permissions in a Policy. When Amazon S3 evaluates the PublicAccessBlock configuration for a bucket or an object, it checks the PublicAccessBlock configuration for both the bucket (or the bucket that contains the object) and the bucket owner's account. If the PublicAccessBlock settings are different between the bucket and the account, Amazon S3 uses the most restrictive combination of the bucket-level and account-level settings. For more information about when Amazon S3 considers a bucket or an object public, see The Meaning of &quot;Public&quot;. The following operations are related to GetPublicAccessBlock : Using Amazon S3 Block Public Access PutPublicAccessBlock GetPublicAccessBlock DeletePublicAccessBlock","ref":"aws_s3.html#get_public_access_block/2","title":"aws_s3.get_public_access_block/2","type":"function"},{"doc":"","ref":"aws_s3.html#get_public_access_block/4","title":"aws_s3.get_public_access_block/4","type":"function"},{"doc":"","ref":"aws_s3.html#get_public_access_block/5","title":"aws_s3.get_public_access_block/5","type":"function"},{"doc":"This action is useful to determine if a bucket exists and you have permission to access it. The action returns a 200 OK if the bucket exists and you have permission to access it. If the bucket does not exist or you do not have permission to access it, the HEAD request returns a generic 404 Not Found or 403 Forbidden code. A message body is not included, so you cannot determine the exception beyond these error codes. To use this operation, you must have permissions to perform the s3:ListBucket action. The bucket owner has this permission by default and can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. To use this API against an access point, you must provide the alias of the access point in place of the bucket name or specify the access point ARN. When using the access point ARN, you must direct requests to the access point hostname. The access point hostname takes the form AccessPointName-AccountId.s3-accesspoint.Region.amazonaws.com. When using the Amazon Web Services SDKs, you provide the ARN in place of the bucket name. For more information see, Using access points.","ref":"aws_s3.html#head_bucket/3","title":"aws_s3.head_bucket/3","type":"function"},{"doc":"","ref":"aws_s3.html#head_bucket/4","title":"aws_s3.head_bucket/4","type":"function"},{"doc":"The HEAD action retrieves metadata from an object without returning the object itself. This action is useful if you're only interested in an object's metadata. To use HEAD, you must have READ access to the object. A HEAD request has the same options as a GET action on an object. The response is identical to the GET response except that there is no response body. Because of this, if the HEAD request generates an error, it returns a generic 404 Not Found or 403 Forbidden code. It is not possible to retrieve the exact exception beyond these error codes. If you encrypt an object by using server-side encryption with customer-provided encryption keys (SSE-C) when you store the object in Amazon S3, then when you retrieve the metadata from the object, you must use the following headers: x-amz-server-side-encryption-customer-algorithm x-amz-server-side-encryption-customer-key x-amz-server-side-encryption-customer-key-MD5 For more information about SSE-C, see Server-Side Encryption (Using Customer-Provided Encryption Keys). Encryption request headers, like x-amz-server-side-encryption , should not be sent for GET requests if your object uses server-side encryption with KMS keys (SSE-KMS) or server-side encryption with Amazon S3–managed encryption keys (SSE-S3). If your object does use these types of keys, you’ll get an HTTP 400 BadRequest error. The last modified property in this case is the creation date of the object. Request headers are limited to 8 KB in size. For more information, see Common Request Headers. Consider the following when using request headers: Consideration 1 – If both of the If-Match and If-Unmodified-Since headers are present in the request as follows: If-Match condition evaluates to true , and; If-Unmodified-Since condition evaluates to false ; Then Amazon S3 returns 200 OK and the data requested. Consideration 2 – If both of the If-None-Match and If-Modified-Since headers are present in the request as follows: If-None-Match condition evaluates to false , and; If-Modified-Since condition evaluates to true ; Then Amazon S3 returns the 304 Not Modified response code. For more information about conditional requests, see RFC 7232. Permissions You need the relevant read object (or version) permission for this operation. For more information, see Specifying Permissions in a Policy. If the object you request does not exist, the error Amazon S3 returns depends on whether you also have the s3:ListBucket permission. If you have the s3:ListBucket permission on the bucket, Amazon S3 returns an HTTP status code 404 (&quot;no such key&quot;) error. If you don’t have the s3:ListBucket permission, Amazon S3 returns an HTTP status code 403 (&quot;access denied&quot;) error. The following actions are related to HeadObject : GetObject GetObjectAttributes","ref":"aws_s3.html#head_object/4","title":"aws_s3.head_object/4","type":"function"},{"doc":"","ref":"aws_s3.html#head_object/5","title":"aws_s3.head_object/5","type":"function"},{"doc":"Lists the analytics configurations for the bucket. You can have up to 1,000 analytics configurations per bucket. This action supports list pagination and does not return more than 100 configurations at a time. You should always check the IsTruncated element in the response. If there are no more configurations to list, IsTruncated is set to false. If there are more configurations to list, IsTruncated is set to true, and there will be a value in NextContinuationToken . You use the NextContinuationToken value to continue the pagination of the list by passing the value in continuation-token in the request to GET the next page. To use this operation, you must have permissions to perform the s3:GetAnalyticsConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. For information about Amazon S3 analytics feature, see Amazon S3 Analytics – Storage Class Analysis. The following operations are related to ListBucketAnalyticsConfigurations : GetBucketAnalyticsConfiguration DeleteBucketAnalyticsConfiguration PutBucketAnalyticsConfiguration","ref":"aws_s3.html#list_bucket_analytics_configurations/2","title":"aws_s3.list_bucket_analytics_configurations/2","type":"function"},{"doc":"","ref":"aws_s3.html#list_bucket_analytics_configurations/4","title":"aws_s3.list_bucket_analytics_configurations/4","type":"function"},{"doc":"","ref":"aws_s3.html#list_bucket_analytics_configurations/5","title":"aws_s3.list_bucket_analytics_configurations/5","type":"function"},{"doc":"Lists the S3 Intelligent-Tiering configuration from the specified bucket. The S3 Intelligent-Tiering storage class is designed to optimize storage costs by automatically moving data to the most cost-effective storage access tier, without performance impact or operational overhead. S3 Intelligent-Tiering delivers automatic cost savings in three low latency and high throughput access tiers. To get the lowest storage cost on data that can be accessed in minutes to hours, you can choose to activate additional archiving capabilities. The S3 Intelligent-Tiering storage class is the ideal storage class for data with unknown, changing, or unpredictable access patterns, independent of object size or retention period. If the size of an object is less than 128 KB, it is not monitored and not eligible for auto-tiering. Smaller objects can be stored, but they are always charged at the Frequent Access tier rates in the S3 Intelligent-Tiering storage class. For more information, see Storage class for automatically optimizing frequently and infrequently accessed objects. Operations related to ListBucketIntelligentTieringConfigurations include: DeleteBucketIntelligentTieringConfiguration PutBucketIntelligentTieringConfiguration GetBucketIntelligentTieringConfiguration","ref":"aws_s3.html#list_bucket_intelligent_tiering_configurations/2","title":"aws_s3.list_bucket_intelligent_tiering_configurations/2","type":"function"},{"doc":"","ref":"aws_s3.html#list_bucket_intelligent_tiering_configurations/4","title":"aws_s3.list_bucket_intelligent_tiering_configurations/4","type":"function"},{"doc":"","ref":"aws_s3.html#list_bucket_intelligent_tiering_configurations/5","title":"aws_s3.list_bucket_intelligent_tiering_configurations/5","type":"function"},{"doc":"Returns a list of inventory configurations for the bucket. You can have up to 1,000 analytics configurations per bucket. This action supports list pagination and does not return more than 100 configurations at a time. Always check the IsTruncated element in the response. If there are no more configurations to list, IsTruncated is set to false. If there are more configurations to list, IsTruncated is set to true, and there is a value in NextContinuationToken . You use the NextContinuationToken value to continue the pagination of the list by passing the value in continuation-token in the request to GET the next page. To use this operation, you must have permissions to perform the s3:GetInventoryConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. For information about the Amazon S3 inventory feature, see Amazon S3 Inventory The following operations are related to ListBucketInventoryConfigurations : GetBucketInventoryConfiguration DeleteBucketInventoryConfiguration PutBucketInventoryConfiguration","ref":"aws_s3.html#list_bucket_inventory_configurations/2","title":"aws_s3.list_bucket_inventory_configurations/2","type":"function"},{"doc":"","ref":"aws_s3.html#list_bucket_inventory_configurations/4","title":"aws_s3.list_bucket_inventory_configurations/4","type":"function"},{"doc":"","ref":"aws_s3.html#list_bucket_inventory_configurations/5","title":"aws_s3.list_bucket_inventory_configurations/5","type":"function"},{"doc":"Lists the metrics configurations for the bucket. The metrics configurations are only for the request metrics of the bucket and do not provide information on daily storage metrics. You can have up to 1,000 configurations per bucket. This action supports list pagination and does not return more than 100 configurations at a time. Always check the IsTruncated element in the response. If there are no more configurations to list, IsTruncated is set to false. If there are more configurations to list, IsTruncated is set to true, and there is a value in NextContinuationToken . You use the NextContinuationToken value to continue the pagination of the list by passing the value in continuation-token in the request to GET the next page. To use this operation, you must have permissions to perform the s3:GetMetricsConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. For more information about metrics configurations and CloudWatch request metrics, see Monitoring Metrics with Amazon CloudWatch. The following operations are related to ListBucketMetricsConfigurations : PutBucketMetricsConfiguration GetBucketMetricsConfiguration DeleteBucketMetricsConfiguration","ref":"aws_s3.html#list_bucket_metrics_configurations/2","title":"aws_s3.list_bucket_metrics_configurations/2","type":"function"},{"doc":"","ref":"aws_s3.html#list_bucket_metrics_configurations/4","title":"aws_s3.list_bucket_metrics_configurations/4","type":"function"},{"doc":"","ref":"aws_s3.html#list_bucket_metrics_configurations/5","title":"aws_s3.list_bucket_metrics_configurations/5","type":"function"},{"doc":"Returns a list of all buckets owned by the authenticated sender of the request. To use this operation, you must have the s3:ListAllMyBuckets permission.","ref":"aws_s3.html#list_buckets/1","title":"aws_s3.list_buckets/1","type":"function"},{"doc":"","ref":"aws_s3.html#list_buckets/3","title":"aws_s3.list_buckets/3","type":"function"},{"doc":"","ref":"aws_s3.html#list_buckets/4","title":"aws_s3.list_buckets/4","type":"function"},{"doc":"This action lists in-progress multipart uploads. An in-progress multipart upload is a multipart upload that has been initiated using the Initiate Multipart Upload request, but has not yet been completed or aborted. This action returns at most 1,000 multipart uploads in the response. 1,000 multipart uploads is the maximum number of uploads a response can include, which is also the default value. You can further limit the number of uploads in a response by specifying the max-uploads parameter in the response. If additional multipart uploads satisfy the list criteria, the response will contain an IsTruncated element with the value true. To list the additional multipart uploads, use the key-marker and upload-id-marker request parameters. In the response, the uploads are sorted by key. If your application has initiated more than one multipart upload using the same object key, then uploads in the response are first sorted by key. Additionally, uploads are sorted in ascending order within each key by the upload initiation time. For more information on multipart uploads, see Uploading Objects Using Multipart Upload. For information on permissions required to use the multipart upload API, see Multipart Upload and Permissions. The following operations are related to ListMultipartUploads : CreateMultipartUpload UploadPart CompleteMultipartUpload ListParts AbortMultipartUpload","ref":"aws_s3.html#list_multipart_uploads/2","title":"aws_s3.list_multipart_uploads/2","type":"function"},{"doc":"","ref":"aws_s3.html#list_multipart_uploads/4","title":"aws_s3.list_multipart_uploads/4","type":"function"},{"doc":"","ref":"aws_s3.html#list_multipart_uploads/5","title":"aws_s3.list_multipart_uploads/5","type":"function"},{"doc":"Returns metadata about all versions of the objects in a bucket. You can also use request parameters as selection criteria to return metadata about a subset of all the object versions. To use this operation, you must have permissions to perform the s3:ListBucketVersions action. Be aware of the name difference. A 200 OK response can contain valid or invalid XML. Make sure to design your application to parse the contents of the response and handle it appropriately. To use this operation, you must have READ access to the bucket. This action is not supported by Amazon S3 on Outposts. The following operations are related to ListObjectVersions : ListObjectsV2 GetObject PutObject DeleteObject","ref":"aws_s3.html#list_object_versions/2","title":"aws_s3.list_object_versions/2","type":"function"},{"doc":"","ref":"aws_s3.html#list_object_versions/4","title":"aws_s3.list_object_versions/4","type":"function"},{"doc":"","ref":"aws_s3.html#list_object_versions/5","title":"aws_s3.list_object_versions/5","type":"function"},{"doc":"Returns some or all (up to 1,000) of the objects in a bucket. You can use the request parameters as selection criteria to return a subset of the objects in a bucket. A 200 OK response can contain valid or invalid XML. Be sure to design your application to parse the contents of the response and handle it appropriately. This action has been revised. We recommend that you use the newer version, ListObjectsV2, when developing applications. For backward compatibility, Amazon S3 continues to support ListObjects . The following operations are related to ListObjects : ListObjectsV2 GetObject PutObject CreateBucket ListBuckets","ref":"aws_s3.html#list_objects/2","title":"aws_s3.list_objects/2","type":"function"},{"doc":"","ref":"aws_s3.html#list_objects/4","title":"aws_s3.list_objects/4","type":"function"},{"doc":"","ref":"aws_s3.html#list_objects/5","title":"aws_s3.list_objects/5","type":"function"},{"doc":"Returns some or all (up to 1,000) of the objects in a bucket with each request. You can use the request parameters as selection criteria to return a subset of the objects in a bucket. A 200 OK response can contain valid or invalid XML. Make sure to design your application to parse the contents of the response and handle it appropriately. Objects are returned sorted in an ascending order of the respective key names in the list. For more information about listing objects, see Listing object keys programmatically To use this operation, you must have READ access to the bucket. To use this action in an Identity and Access Management (IAM) policy, you must have permissions to perform the s3:ListBucket action. The bucket owner has this permission by default and can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. This section describes the latest revision of this action. We recommend that you use this revised API for application development. For backward compatibility, Amazon S3 continues to support the prior version of this API, ListObjects. To get a list of your buckets, see ListBuckets. The following operations are related to ListObjectsV2 : GetObject PutObject CreateBucket","ref":"aws_s3.html#list_objects_v2/2","title":"aws_s3.list_objects_v2/2","type":"function"},{"doc":"","ref":"aws_s3.html#list_objects_v2/4","title":"aws_s3.list_objects_v2/4","type":"function"},{"doc":"","ref":"aws_s3.html#list_objects_v2/5","title":"aws_s3.list_objects_v2/5","type":"function"},{"doc":"Lists the parts that have been uploaded for a specific multipart upload. This operation must include the upload ID, which you obtain by sending the initiate multipart upload request (see CreateMultipartUpload). This request returns a maximum of 1,000 uploaded parts. The default number of parts returned is 1,000 parts. You can restrict the number of parts returned by specifying the max-parts request parameter. If your multipart upload consists of more than 1,000 parts, the response returns an IsTruncated field with the value of true, and a NextPartNumberMarker element. In subsequent ListParts requests you can include the part-number-marker query string parameter and set its value to the NextPartNumberMarker field value from the previous response. If the upload was created using a checksum algorithm, you will need to have permission to the kms:Decrypt action for the request to succeed. For more information on multipart uploads, see Uploading Objects Using Multipart Upload. For information on permissions required to use the multipart upload API, see Multipart Upload and Permissions. The following operations are related to ListParts : CreateMultipartUpload UploadPart CompleteMultipartUpload AbortMultipartUpload GetObjectAttributes ListMultipartUploads","ref":"aws_s3.html#list_parts/4","title":"aws_s3.list_parts/4","type":"function"},{"doc":"","ref":"aws_s3.html#list_parts/6","title":"aws_s3.list_parts/6","type":"function"},{"doc":"","ref":"aws_s3.html#list_parts/7","title":"aws_s3.list_parts/7","type":"function"},{"doc":"Sets the accelerate configuration of an existing bucket. Amazon S3 Transfer Acceleration is a bucket-level feature that enables you to perform faster data transfers to Amazon S3. To use this operation, you must have permission to perform the s3:PutAccelerateConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. The Transfer Acceleration state of a bucket can be set to one of the following two values: Enabled – Enables accelerated data transfers to the bucket. Suspended – Disables accelerated data transfers to the bucket. The GetBucketAccelerateConfiguration action returns the transfer acceleration state of a bucket. After setting the Transfer Acceleration state of a bucket to Enabled, it might take up to thirty minutes before the data transfer rates to the bucket increase. The name of the bucket used for Transfer Acceleration must be DNS-compliant and must not contain periods (&quot;.&quot;). For more information about transfer acceleration, see Transfer Acceleration. The following operations are related to PutBucketAccelerateConfiguration : GetBucketAccelerateConfiguration CreateBucket","ref":"aws_s3.html#put_bucket_accelerate_configuration/3","title":"aws_s3.put_bucket_accelerate_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_accelerate_configuration/4","title":"aws_s3.put_bucket_accelerate_configuration/4","type":"function"},{"doc":"Sets the permissions on an existing bucket using access control lists (ACL). For more information, see Using ACLs. To set the ACL of a bucket, you must have WRITE_ACP permission. You can use one of the following two ways to set a bucket's permissions: Specify the ACL in the request body Specify permissions using request headers You cannot specify access permission using both the body and the request headers. Depending on your application needs, you may choose to set the ACL on a bucket using either the request body or the headers. For example, if you have an existing application that updates a bucket ACL using the request body, then you can continue to use that approach. If your bucket uses the bucket owner enforced setting for S3 Object Ownership, ACLs are disabled and no longer affect permissions. You must use policies to grant access to your bucket and the objects in it. Requests to set ACLs or update ACLs fail and return the AccessControlListNotSupported error code. Requests to read ACLs are still supported. For more information, see Controlling object ownership in the Amazon S3 User Guide. Access Permissions You can set access permissions using one of the following methods: Specify a canned ACL with the x-amz-acl request header. Amazon S3 supports a set of predefined ACLs, known as canned ACLs. Each canned ACL has a predefined set of grantees and permissions. Specify the canned ACL name as the value of x-amz-acl . If you use this header, you cannot use other access control-specific headers in your request. For more information, see Canned ACL. Specify access permissions explicitly with the x-amz-grant-read , x-amz-grant-read-acp , x-amz-grant-write-acp , and x-amz-grant-full-control headers. When using these headers, you specify explicit access permissions and grantees (Amazon Web Services accounts or Amazon S3 groups) who will receive the permission. If you use these ACL-specific headers, you cannot use the x-amz-acl header to set a canned ACL. These parameters map to the set of permissions that Amazon S3 supports in an ACL. For more information, see Access Control List (ACL) Overview. You specify each grantee as a type=value pair, where the type is one of the following: id – if the value specified is the canonical user ID of an Amazon Web Services account uri – if you are granting permissions to a predefined group emailAddress – if the value specified is the email address of an Amazon Web Services account Using email addresses to specify a grantee is only supported in the following Amazon Web Services Regions: US East (N. Virginia) US West (N. California) US West (Oregon) Asia Pacific (Singapore) Asia Pacific (Sydney) Asia Pacific (Tokyo) Europe (Ireland) South America (São Paulo) For a list of all the Amazon S3 supported Regions and endpoints, see Regions and Endpoints in the Amazon Web Services General Reference. For example, the following x-amz-grant-write header grants create, overwrite, and delete objects permission to LogDelivery group predefined by Amazon S3 and two Amazon Web Services accounts identified by their email addresses. x-amz-grant-write: uri=&amp;quot;http://acs.amazonaws.com/groups/s3/LogDelivery&amp;quot;, id=&amp;quot;111122223333&amp;quot;, id=&amp;quot;555566667777&amp;quot; You can use either a canned ACL or specify access permissions explicitly. You cannot do both. Grantee Values You can specify the person (grantee) to whom you're assigning access rights (using request elements) in the following ways: By the person's ID: &amp;lt;Grantee xmlns:xsi=&amp;quot;http://www.w3.org/2001/XMLSchema-instance&amp;quot; xsi:type=&amp;quot;CanonicalUser&amp;quot;&amp;gt;&amp;lt;ID&amp;gt;&amp;lt;&amp;gt;ID&amp;lt;&amp;gt;&amp;lt;/ID&amp;gt;&amp;lt;DisplayName&amp;gt;&amp;lt;&amp;gt;GranteesEmail&amp;lt;&amp;gt;&amp;lt;/DisplayName&amp;gt; &amp;lt;/Grantee&amp;gt; DisplayName is optional and ignored in the request By URI: &amp;lt;Grantee xmlns:xsi=&amp;quot;http://www.w3.org/2001/XMLSchema-instance&amp;quot; xsi:type=&amp;quot;Group&amp;quot;&amp;gt;&amp;lt;URI&amp;gt;&amp;lt;&amp;gt;http://acs.amazonaws.com/groups/global/AuthenticatedUsers&amp;lt;&amp;gt;&amp;lt;/URI&amp;gt;&amp;lt;/Grantee&amp;gt; By Email address: &amp;lt;Grantee xmlns:xsi=&amp;quot;http://www.w3.org/2001/XMLSchema-instance&amp;quot; xsi:type=&amp;quot;AmazonCustomerByEmail&amp;quot;&amp;gt;&amp;lt;EmailAddress&amp;gt;&amp;lt;&amp;gt;Grantees@email.com&amp;lt;&amp;gt;&amp;lt;/EmailAddress&amp;gt;lt;/Grantee&amp;gt; The grantee is resolved to the CanonicalUser and, in a response to a GET Object acl request, appears as the CanonicalUser. Using email addresses to specify a grantee is only supported in the following Amazon Web Services Regions: US East (N. Virginia) US West (N. California) US West (Oregon) Asia Pacific (Singapore) Asia Pacific (Sydney) Asia Pacific (Tokyo) Europe (Ireland) South America (São Paulo) For a list of all the Amazon S3 supported Regions and endpoints, see Regions and Endpoints in the Amazon Web Services General Reference. == Related Resources == CreateBucket DeleteBucket GetObjectAcl","ref":"aws_s3.html#put_bucket_acl/3","title":"aws_s3.put_bucket_acl/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_acl/4","title":"aws_s3.put_bucket_acl/4","type":"function"},{"doc":"Sets an analytics configuration for the bucket (specified by the analytics configuration ID). You can have up to 1,000 analytics configurations per bucket. You can choose to have storage class analysis export analysis reports sent to a comma-separated values (CSV) flat file. See the DataExport request element. Reports are updated daily and are based on the object filters that you configure. When selecting data export, you specify a destination bucket and an optional destination prefix where the file is written. You can export the data to a destination bucket in a different account. However, the destination bucket must be in the same Region as the bucket that you are making the PUT analytics configuration to. For more information, see Amazon S3 Analytics – Storage Class Analysis. You must create a bucket policy on the destination bucket where the exported file is written to grant permissions to Amazon S3 to write objects to the bucket. For an example policy, see Granting Permissions for Amazon S3 Inventory and Storage Class Analysis. To use this operation, you must have permissions to perform the s3:PutAnalyticsConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. Special Errors HTTP Error: HTTP 400 Bad Request Code: InvalidArgument Cause: Invalid argument. HTTP Error: HTTP 400 Bad Request Code: TooManyConfigurations Cause: You are attempting to create a new configuration but have already reached the 1,000-configuration limit. HTTP Error: HTTP 403 Forbidden Code: AccessDenied Cause: You are not the owner of the specified bucket, or you do not have the s3:PutAnalyticsConfiguration bucket permission to set the configuration on the bucket. == Related Resources == GetBucketAnalyticsConfiguration DeleteBucketAnalyticsConfiguration ListBucketAnalyticsConfigurations","ref":"aws_s3.html#put_bucket_analytics_configuration/3","title":"aws_s3.put_bucket_analytics_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_analytics_configuration/4","title":"aws_s3.put_bucket_analytics_configuration/4","type":"function"},{"doc":"Sets the cors configuration for your bucket. If the configuration exists, Amazon S3 replaces it. To use this operation, you must be allowed to perform the s3:PutBucketCORS action. By default, the bucket owner has this permission and can grant it to others. You set this configuration on a bucket so that the bucket can service cross-origin requests. For example, you might want to enable a request whose origin is http://www.example.com to access your Amazon S3 bucket at my.example.bucket.com by using the browser's XMLHttpRequest capability. To enable cross-origin resource sharing (CORS) on a bucket, you add the cors subresource to the bucket. The cors subresource is an XML document in which you configure rules that identify origins and the HTTP methods that can be executed on your bucket. The document is limited to 64 KB in size. When Amazon S3 receives a cross-origin request (or a pre-flight OPTIONS request) against a bucket, it evaluates the cors configuration on the bucket and uses the first CORSRule rule that matches the incoming browser request to enable a cross-origin request. For a rule to match, the following conditions must be met: The request's Origin header must match AllowedOrigin elements. The request method (for example, GET, PUT, HEAD, and so on) or the Access-Control-Request-Method header in case of a pre-flight OPTIONS request must be one of the AllowedMethod elements. Every header specified in the Access-Control-Request-Headers request header of a pre-flight request must match an AllowedHeader element. For more information about CORS, go to Enabling Cross-Origin Resource Sharing in the Amazon S3 User Guide. Related Resources GetBucketCors DeleteBucketCors RESTOPTIONSobject","ref":"aws_s3.html#put_bucket_cors/3","title":"aws_s3.put_bucket_cors/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_cors/4","title":"aws_s3.put_bucket_cors/4","type":"function"},{"doc":"This action uses the encryption subresource to configure default encryption and Amazon S3 Bucket Key for an existing bucket. Default encryption for a bucket can use server-side encryption with Amazon S3-managed keys (SSE-S3) or customer managed keys (SSE-KMS). If you specify default encryption using SSE-KMS, you can also configure Amazon S3 Bucket Key. When the default encryption is SSE-KMS, if you upload an object to the bucket and do not specify the KMS key to use for encryption, Amazon S3 uses the default Amazon Web Services managed KMS key for your account. For information about default encryption, see Amazon S3 default bucket encryption in the Amazon S3 User Guide. For more information about S3 Bucket Keys, see Amazon S3 Bucket Keys in the Amazon S3 User Guide. This action requires Amazon Web Services Signature Version 4. For more information, see Authenticating Requests (Amazon Web Services Signature Version 4). To use this operation, you must have permissions to perform the s3:PutEncryptionConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources in the Amazon S3 User Guide. Related Resources GetBucketEncryption DeleteBucketEncryption","ref":"aws_s3.html#put_bucket_encryption/3","title":"aws_s3.put_bucket_encryption/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_encryption/4","title":"aws_s3.put_bucket_encryption/4","type":"function"},{"doc":"Puts a S3 Intelligent-Tiering configuration to the specified bucket. You can have up to 1,000 S3 Intelligent-Tiering configurations per bucket. The S3 Intelligent-Tiering storage class is designed to optimize storage costs by automatically moving data to the most cost-effective storage access tier, without performance impact or operational overhead. S3 Intelligent-Tiering delivers automatic cost savings in three low latency and high throughput access tiers. To get the lowest storage cost on data that can be accessed in minutes to hours, you can choose to activate additional archiving capabilities. The S3 Intelligent-Tiering storage class is the ideal storage class for data with unknown, changing, or unpredictable access patterns, independent of object size or retention period. If the size of an object is less than 128 KB, it is not monitored and not eligible for auto-tiering. Smaller objects can be stored, but they are always charged at the Frequent Access tier rates in the S3 Intelligent-Tiering storage class. For more information, see Storage class for automatically optimizing frequently and infrequently accessed objects. Operations related to PutBucketIntelligentTieringConfiguration include: DeleteBucketIntelligentTieringConfiguration GetBucketIntelligentTieringConfiguration ListBucketIntelligentTieringConfigurations You only need S3 Intelligent-Tiering enabled on a bucket if you want to automatically move objects stored in the S3 Intelligent-Tiering storage class to the Archive Access or Deep Archive Access tier. Special Errors == HTTP 400 Bad Request Error == Code: InvalidArgument Cause: Invalid Argument == HTTP 400 Bad Request Error == Code: TooManyConfigurations Cause: You are attempting to create a new configuration but have already reached the 1,000-configuration limit. == HTTP 403 Forbidden Error == Code: AccessDenied Cause: You are not the owner of the specified bucket, or you do not have the s3:PutIntelligentTieringConfiguration bucket permission to set the configuration on the bucket.","ref":"aws_s3.html#put_bucket_intelligent_tiering_configuration/3","title":"aws_s3.put_bucket_intelligent_tiering_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_intelligent_tiering_configuration/4","title":"aws_s3.put_bucket_intelligent_tiering_configuration/4","type":"function"},{"doc":"This implementation of the PUT action adds an inventory configuration (identified by the inventory ID) to the bucket. You can have up to 1,000 inventory configurations per bucket. Amazon S3 inventory generates inventories of the objects in the bucket on a daily or weekly basis, and the results are published to a flat file. The bucket that is inventoried is called the source bucket, and the bucket where the inventory flat file is stored is called the destination bucket. The destination bucket must be in the same Amazon Web Services Region as the source bucket. When you configure an inventory for a source bucket, you specify the destination bucket where you want the inventory to be stored, and whether to generate the inventory daily or weekly. You can also configure what object metadata to include and whether to inventory all object versions or only current versions. For more information, see Amazon S3 Inventory in the Amazon S3 User Guide. You must create a bucket policy on the destination bucket to grant permissions to Amazon S3 to write objects to the bucket in the defined location. For an example policy, see Granting Permissions for Amazon S3 Inventory and Storage Class Analysis. To use this operation, you must have permissions to perform the s3:PutInventoryConfiguration action. The bucket owner has this permission by default and can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources in the Amazon S3 User Guide. Special Errors == HTTP 400 Bad Request Error == Code: InvalidArgument Cause: Invalid Argument == HTTP 400 Bad Request Error == Code: TooManyConfigurations Cause: You are attempting to create a new configuration but have already reached the 1,000-configuration limit. == HTTP 403 Forbidden Error == Code: AccessDenied Cause: You are not the owner of the specified bucket, or you do not have the s3:PutInventoryConfiguration bucket permission to set the configuration on the bucket. == Related Resources == GetBucketInventoryConfiguration DeleteBucketInventoryConfiguration ListBucketInventoryConfigurations","ref":"aws_s3.html#put_bucket_inventory_configuration/3","title":"aws_s3.put_bucket_inventory_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_inventory_configuration/4","title":"aws_s3.put_bucket_inventory_configuration/4","type":"function"},{"doc":"For an updated version of this API, see PutBucketLifecycleConfiguration. This version has been deprecated. Existing lifecycle configurations will work. For new lifecycle configurations, use the updated API. Creates a new lifecycle configuration for the bucket or replaces an existing lifecycle configuration. For information about lifecycle configuration, see Object Lifecycle Management in the Amazon S3 User Guide. By default, all Amazon S3 resources, including buckets, objects, and related subresources (for example, lifecycle configuration and website configuration) are private. Only the resource owner, the Amazon Web Services account that created the resource, can access it. The resource owner can optionally grant access permissions to others by writing an access policy. For this operation, users must get the s3:PutLifecycleConfiguration permission. You can also explicitly deny permissions. Explicit denial also supersedes any other permissions. If you want to prevent users or accounts from removing or deleting objects from your bucket, you must deny them permissions for the following actions: s3:DeleteObject s3:DeleteObjectVersion s3:PutLifecycleConfiguration For more information about permissions, see Managing Access Permissions to your Amazon S3 Resources in the Amazon S3 User Guide. For more examples of transitioning objects to storage classes such as STANDARD_IA or ONEZONE_IA, see Examples of Lifecycle Configuration. Related Resources GetBucketLifecycle(Deprecated) GetBucketLifecycleConfiguration RestoreObject By default, a resource owner—in this case, a bucket owner, which is the Amazon Web Services account that created the bucket—can perform any of the operations. A resource owner can also grant others permission to perform the operation. For more information, see the following topics in the Amazon S3 User Guide: Specifying Permissions in a Policy Managing Access Permissions to your Amazon S3 Resources","ref":"aws_s3.html#put_bucket_lifecycle/3","title":"aws_s3.put_bucket_lifecycle/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_lifecycle/4","title":"aws_s3.put_bucket_lifecycle/4","type":"function"},{"doc":"Creates a new lifecycle configuration for the bucket or replaces an existing lifecycle configuration. Keep in mind that this will overwrite an existing lifecycle configuration, so if you want to retain any configuration details, they must be included in the new lifecycle configuration. For information about lifecycle configuration, see Managing your storage lifecycle. Bucket lifecycle configuration now supports specifying a lifecycle rule using an object key name prefix, one or more object tags, or a combination of both. Accordingly, this section describes the latest API. The previous version of the API supported filtering based only on an object key name prefix, which is supported for backward compatibility. For the related API description, see PutBucketLifecycle. Rules You specify the lifecycle configuration in your request body. The lifecycle configuration is specified as XML consisting of one or more rules. An Amazon S3 Lifecycle configuration can have up to 1,000 rules. This limit is not adjustable. Each rule consists of the following: Filter identifying a subset of objects to which the rule applies. The filter can be based on a key name prefix, object tags, or a combination of both. Status whether the rule is in effect. One or more lifecycle transition and expiration actions that you want Amazon S3 to perform on the objects identified by the filter. If the state of your bucket is versioning-enabled or versioning-suspended, you can have many versions of the same object (one current version and zero or more noncurrent versions). Amazon S3 provides predefined actions that you can specify for current and noncurrent object versions. For more information, see Object Lifecycle Management and Lifecycle Configuration Elements. Permissions By default, all Amazon S3 resources are private, including buckets, objects, and related subresources (for example, lifecycle configuration and website configuration). Only the resource owner (that is, the Amazon Web Services account that created it) can access the resource. The resource owner can optionally grant access permissions to others by writing an access policy. For this operation, a user must get the s3:PutLifecycleConfiguration permission. You can also explicitly deny permissions. Explicit deny also supersedes any other permissions. If you want to block users or accounts from removing or deleting objects from your bucket, you must deny them permissions for the following actions: s3:DeleteObject s3:DeleteObjectVersion s3:PutLifecycleConfiguration For more information about permissions, see Managing Access Permissions to Your Amazon S3 Resources. The following are related to PutBucketLifecycleConfiguration : Examples of Lifecycle Configuration GetBucketLifecycleConfiguration DeleteBucketLifecycle","ref":"aws_s3.html#put_bucket_lifecycle_configuration/3","title":"aws_s3.put_bucket_lifecycle_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_lifecycle_configuration/4","title":"aws_s3.put_bucket_lifecycle_configuration/4","type":"function"},{"doc":"Set the logging parameters for a bucket and to specify permissions for who can view and modify the logging parameters. All logs are saved to buckets in the same Amazon Web Services Region as the source bucket. To set the logging status of a bucket, you must be the bucket owner. The bucket owner is automatically granted FULL_CONTROL to all logs. You use the Grantee request element to grant access to other people. The Permissions request element specifies the kind of access the grantee has to the logs. If the target bucket for log delivery uses the bucket owner enforced setting for S3 Object Ownership, you can't use the Grantee request element to grant access to others. Permissions can only be granted using policies. For more information, see Permissions for server access log delivery in the Amazon S3 User Guide. Grantee Values You can specify the person (grantee) to whom you're assigning access rights (using request elements) in the following ways: By the person's ID: &amp;lt;Grantee xmlns:xsi=&amp;quot;http://www.w3.org/2001/XMLSchema-instance&amp;quot; xsi:type=&amp;quot;CanonicalUser&amp;quot;&amp;gt;&amp;lt;ID&amp;gt;&amp;lt;&amp;gt;ID&amp;lt;&amp;gt;&amp;lt;/ID&amp;gt;&amp;lt;DisplayName&amp;gt;&amp;lt;&amp;gt;GranteesEmail&amp;lt;&amp;gt;&amp;lt;/DisplayName&amp;gt; &amp;lt;/Grantee&amp;gt; DisplayName is optional and ignored in the request. By Email address: &amp;lt;Grantee xmlns:xsi=&amp;quot;http://www.w3.org/2001/XMLSchema-instance&amp;quot; xsi:type=&amp;quot;AmazonCustomerByEmail&amp;quot;&amp;gt;&amp;lt;EmailAddress&amp;gt;&amp;lt;&amp;gt;Grantees@email.com&amp;lt;&amp;gt;&amp;lt;/EmailAddress&amp;gt;&amp;lt;/Grantee&amp;gt; The grantee is resolved to the CanonicalUser and, in a response to a GET Object acl request, appears as the CanonicalUser. By URI: &amp;lt;Grantee xmlns:xsi=&amp;quot;http://www.w3.org/2001/XMLSchema-instance&amp;quot; xsi:type=&amp;quot;Group&amp;quot;&amp;gt;&amp;lt;URI&amp;gt;&amp;lt;&amp;gt;http://acs.amazonaws.com/groups/global/AuthenticatedUsers&amp;lt;&amp;gt;&amp;lt;/URI&amp;gt;&amp;lt;/Grantee&amp;gt; To enable logging, you use LoggingEnabled and its children request elements. To disable logging, you use an empty BucketLoggingStatus request element: &amp;lt;BucketLoggingStatus xmlns=&amp;quot;http://doc.s3.amazonaws.com/2006-03-01&amp;quot; /&amp;gt; For more information about server access logging, see Server Access Logging in the Amazon S3 User Guide. For more information about creating a bucket, see CreateBucket. For more information about returning the logging status of a bucket, see GetBucketLogging. The following operations are related to PutBucketLogging : PutObject DeleteBucket CreateBucket GetBucketLogging","ref":"aws_s3.html#put_bucket_logging/3","title":"aws_s3.put_bucket_logging/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_logging/4","title":"aws_s3.put_bucket_logging/4","type":"function"},{"doc":"Sets a metrics configuration (specified by the metrics configuration ID) for the bucket. You can have up to 1,000 metrics configurations per bucket. If you're updating an existing metrics configuration, note that this is a full replacement of the existing metrics configuration. If you don't include the elements you want to keep, they are erased. To use this operation, you must have permissions to perform the s3:PutMetricsConfiguration action. The bucket owner has this permission by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. For information about CloudWatch request metrics for Amazon S3, see Monitoring Metrics with Amazon CloudWatch. The following operations are related to PutBucketMetricsConfiguration : DeleteBucketMetricsConfiguration GetBucketMetricsConfiguration ListBucketMetricsConfigurations GetBucketLifecycle has the following special error: Error code: TooManyConfigurations Description: You are attempting to create a new configuration but have already reached the 1,000-configuration limit. HTTP Status Code: HTTP 400 Bad Request","ref":"aws_s3.html#put_bucket_metrics_configuration/3","title":"aws_s3.put_bucket_metrics_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_metrics_configuration/4","title":"aws_s3.put_bucket_metrics_configuration/4","type":"function"},{"doc":"No longer used, see the PutBucketNotificationConfiguration operation.","ref":"aws_s3.html#put_bucket_notification/3","title":"aws_s3.put_bucket_notification/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_notification/4","title":"aws_s3.put_bucket_notification/4","type":"function"},{"doc":"Enables notifications of specified events for a bucket. For more information about event notifications, see Configuring Event Notifications. Using this API, you can replace an existing notification configuration. The configuration is an XML file that defines the event types that you want Amazon S3 to publish and the destination where you want Amazon S3 to publish an event notification when it detects an event of the specified type. By default, your bucket has no event notifications configured. That is, the notification configuration will be an empty NotificationConfiguration . &amp;lt;NotificationConfiguration&amp;gt; &amp;lt;/NotificationConfiguration&amp;gt; This action replaces the existing notification configuration with the configuration you include in the request body. After Amazon S3 receives this request, it first verifies that any Amazon Simple Notification Service (Amazon SNS) or Amazon Simple Queue Service (Amazon SQS) destination exists, and that the bucket owner has permission to publish to it by sending a test notification. In the case of Lambda destinations, Amazon S3 verifies that the Lambda function permissions grant Amazon S3 permission to invoke the function from the Amazon S3 bucket. For more information, see Configuring Notifications for Amazon S3 Events. You can disable notifications by adding the empty NotificationConfiguration element. For more information about the number of event notification configurations that you can create per bucket, see Amazon S3 service quotas in Amazon Web Services General Reference. By default, only the bucket owner can configure notifications on a bucket. However, bucket owners can use a bucket policy to grant permission to other users to set this configuration with s3:PutBucketNotification permission. The PUT notification is an atomic operation. For example, suppose your notification configuration includes SNS topic, SQS queue, and Lambda function configurations. When you send a PUT request with this configuration, Amazon S3 sends test messages to your SNS topic. If the message fails, the entire PUT action will fail, and Amazon S3 will not add the configuration to your bucket. Responses If the configuration in the request body includes only one TopicConfiguration specifying only the s3:ReducedRedundancyLostObject event type, the response will also include the x-amz-sns-test-message-id header containing the message ID of the test notification sent to the topic. The following action is related to PutBucketNotificationConfiguration : GetBucketNotificationConfiguration","ref":"aws_s3.html#put_bucket_notification_configuration/3","title":"aws_s3.put_bucket_notification_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_notification_configuration/4","title":"aws_s3.put_bucket_notification_configuration/4","type":"function"},{"doc":"Creates or modifies OwnershipControls for an Amazon S3 bucket. To use this operation, you must have the s3:PutBucketOwnershipControls permission. For more information about Amazon S3 permissions, see Specifying permissions in a policy. For information about Amazon S3 Object Ownership, see Using object ownership. The following operations are related to PutBucketOwnershipControls : GetBucketOwnershipControls DeleteBucketOwnershipControls","ref":"aws_s3.html#put_bucket_ownership_controls/3","title":"aws_s3.put_bucket_ownership_controls/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_ownership_controls/4","title":"aws_s3.put_bucket_ownership_controls/4","type":"function"},{"doc":"Applies an Amazon S3 bucket policy to an Amazon S3 bucket. If you are using an identity other than the root user of the Amazon Web Services account that owns the bucket, the calling identity must have the PutBucketPolicy permissions on the specified bucket and belong to the bucket owner's account in order to use this operation. If you don't have PutBucketPolicy permissions, Amazon S3 returns a 403 Access Denied error. If you have the correct permissions, but you're not using an identity that belongs to the bucket owner's account, Amazon S3 returns a 405 Method Not Allowed error. As a security precaution, the root user of the Amazon Web Services account that owns a bucket can always use this operation, even if the policy explicitly denies the root user the ability to perform this action. For more information, see Bucket policy examples. The following operations are related to PutBucketPolicy : CreateBucket DeleteBucket","ref":"aws_s3.html#put_bucket_policy/3","title":"aws_s3.put_bucket_policy/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_policy/4","title":"aws_s3.put_bucket_policy/4","type":"function"},{"doc":"Creates a replication configuration or replaces an existing one. For more information, see Replication in the Amazon S3 User Guide. Specify the replication configuration in the request body. In the replication configuration, you provide the name of the destination bucket or buckets where you want Amazon S3 to replicate objects, the IAM role that Amazon S3 can assume to replicate objects on your behalf, and other relevant information. A replication configuration must include at least one rule, and can contain a maximum of 1,000. Each rule identifies a subset of objects to replicate by filtering the objects in the source bucket. To choose additional subsets of objects to replicate, add a rule for each subset. To specify a subset of the objects in the source bucket to apply a replication rule to, add the Filter element as a child of the Rule element. You can filter objects based on an object key prefix, one or more object tags, or both. When you add the Filter element in the configuration, you must also add the following elements: DeleteMarkerReplication , Status , and Priority . If you are using an earlier version of the replication configuration, Amazon S3 handles replication of delete markers differently. For more information, see Backward Compatibility. For information about enabling versioning on a bucket, see Using Versioning. Handling Replication of Encrypted Objects By default, Amazon S3 doesn't replicate objects that are stored at rest using server-side encryption with KMS keys. To replicate Amazon Web Services KMS-encrypted objects, add the following: SourceSelectionCriteria , SseKmsEncryptedObjects , Status , EncryptionConfiguration , and ReplicaKmsKeyID . For information about replication configuration, see Replicating Objects Created with SSE Using KMS keys. For information on PutBucketReplication errors, see List of replication-related error codes Permissions To create a PutBucketReplication request, you must have s3:PutReplicationConfiguration permissions for the bucket. By default, a resource owner, in this case the Amazon Web Services account that created the bucket, can perform this operation. The resource owner can also grant others permissions to perform the operation. For more information about permissions, see Specifying Permissions in a Policy and Managing Access Permissions to Your Amazon S3 Resources. To perform this operation, the user or role performing the action must have the iam:PassRole permission. The following operations are related to PutBucketReplication : GetBucketReplication DeleteBucketReplication","ref":"aws_s3.html#put_bucket_replication/3","title":"aws_s3.put_bucket_replication/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_replication/4","title":"aws_s3.put_bucket_replication/4","type":"function"},{"doc":"Sets the request payment configuration for a bucket. By default, the bucket owner pays for downloads from the bucket. This configuration parameter enables the bucket owner (only) to specify that the person requesting the download will be charged for the download. For more information, see Requester Pays Buckets. The following operations are related to PutBucketRequestPayment : CreateBucket GetBucketRequestPayment","ref":"aws_s3.html#put_bucket_request_payment/3","title":"aws_s3.put_bucket_request_payment/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_request_payment/4","title":"aws_s3.put_bucket_request_payment/4","type":"function"},{"doc":"Sets the tags for a bucket. Use tags to organize your Amazon Web Services bill to reflect your own cost structure. To do this, sign up to get your Amazon Web Services account bill with tag key values included. Then, to see the cost of combined resources, organize your billing information according to resources with the same tag key values. For example, you can tag several resources with a specific application name, and then organize your billing information to see the total cost of that application across several services. For more information, see Cost Allocation and Tagging and Using Cost Allocation in Amazon S3 Bucket Tags. When this operation sets the tags for a bucket, it will overwrite any current tags the bucket already has. You cannot use this operation to add tags to an existing list of tags. To use this operation, you must have permissions to perform the s3:PutBucketTagging action. The bucket owner has this permission by default and can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. PutBucketTagging has the following special errors: Error code: InvalidTagError Description: The tag provided was not a valid tag. This error can occur if the tag did not pass input validation. For information about tag restrictions, see User-Defined Tag Restrictions and Amazon Web Services-Generated Cost Allocation Tag Restrictions. Error code: MalformedXMLError Description: The XML provided does not match the schema. Error code: OperationAbortedError Description: A conflicting conditional action is currently in progress against this resource. Please try again. Error code: InternalError Description: The service was unable to apply the provided tag to the bucket. The following operations are related to PutBucketTagging : GetBucketTagging DeleteBucketTagging","ref":"aws_s3.html#put_bucket_tagging/3","title":"aws_s3.put_bucket_tagging/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_tagging/4","title":"aws_s3.put_bucket_tagging/4","type":"function"},{"doc":"Sets the versioning state of an existing bucket. You can set the versioning state with one of the following values: Enabled—Enables versioning for the objects in the bucket. All objects added to the bucket receive a unique version ID. Suspended—Disables versioning for the objects in the bucket. All objects added to the bucket receive the version ID null. If the versioning state has never been set on a bucket, it has no versioning state; a GetBucketVersioning request does not return a versioning state value. In order to enable MFA Delete, you must be the bucket owner. If you are the bucket owner and want to enable MFA Delete in the bucket versioning configuration, you must include the x-amz-mfa request header and the Status and the MfaDelete request elements in a request to set the versioning state of the bucket. If you have an object expiration lifecycle policy in your non-versioned bucket and you want to maintain the same permanent delete behavior when you enable versioning, you must add a noncurrent expiration policy. The noncurrent expiration lifecycle policy will manage the deletes of the noncurrent object versions in the version-enabled bucket. (A version-enabled bucket maintains one current and zero or more noncurrent object versions.) For more information, see Lifecycle and Versioning. Related Resources CreateBucket DeleteBucket GetBucketVersioning","ref":"aws_s3.html#put_bucket_versioning/3","title":"aws_s3.put_bucket_versioning/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_versioning/4","title":"aws_s3.put_bucket_versioning/4","type":"function"},{"doc":"Sets the configuration of the website that is specified in the website subresource. To configure a bucket as a website, you can add this subresource on the bucket with website configuration information such as the file name of the index document and any redirect rules. For more information, see Hosting Websites on Amazon S3. This PUT action requires the S3:PutBucketWebsite permission. By default, only the bucket owner can configure the website attached to a bucket; however, bucket owners can allow other users to set the website configuration by writing a bucket policy that grants them the S3:PutBucketWebsite permission. To redirect all website requests sent to the bucket's website endpoint, you add a website configuration with the following elements. Because all requests are sent to another website, you don't need to provide index document name for the bucket. WebsiteConfiguration RedirectAllRequestsTo HostName Protocol If you want granular control over redirects, you can use the following elements to add routing rules that describe conditions for redirecting requests and information about the redirect destination. In this case, the website configuration must provide an index document for the bucket, because some requests might not be redirected. WebsiteConfiguration IndexDocument Suffix ErrorDocument Key RoutingRules RoutingRule Condition HttpErrorCodeReturnedEquals KeyPrefixEquals Redirect Protocol HostName ReplaceKeyPrefixWith ReplaceKeyWith HttpRedirectCode Amazon S3 has a limitation of 50 routing rules per website configuration. If you require more than 50 routing rules, you can use object redirect. For more information, see Configuring an Object Redirect in the Amazon S3 User Guide.","ref":"aws_s3.html#put_bucket_website/3","title":"aws_s3.put_bucket_website/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_bucket_website/4","title":"aws_s3.put_bucket_website/4","type":"function"},{"doc":"Adds an object to a bucket. You must have WRITE permissions on a bucket to add an object to it. Amazon S3 never adds partial objects; if you receive a success response, Amazon S3 added the entire object to the bucket. Amazon S3 is a distributed system. If it receives multiple write requests for the same object simultaneously, it overwrites all but the last object written. Amazon S3 does not provide object locking; if you need this, make sure to build it into your application layer or use versioning instead. To ensure that data is not corrupted traversing the network, use the Content-MD5 header. When you use this header, Amazon S3 checks the object against the provided MD5 value and, if they do not match, returns an error. Additionally, you can calculate the MD5 while putting an object to Amazon S3 and compare the returned ETag to the calculated MD5 value. To successfully complete the PutObject request, you must have the s3:PutObject in your IAM permissions. To successfully change the objects acl of your PutObject request, you must have the s3:PutObjectAcl in your IAM permissions. The Content-MD5 header is required for any request to upload an object with a retention period configured using Amazon S3 Object Lock. For more information about Amazon S3 Object Lock, see Amazon S3 Object Lock Overview in the Amazon S3 User Guide. Server-side Encryption You can optionally request server-side encryption. With server-side encryption, Amazon S3 encrypts your data as it writes it to disks in its data centers and decrypts the data when you access it. You have the option to provide your own encryption key or use Amazon Web Services managed encryption keys (SSE-S3 or SSE-KMS). For more information, see Using Server-Side Encryption. If you request server-side encryption using Amazon Web Services Key Management Service (SSE-KMS), you can enable an S3 Bucket Key at the object-level. For more information, see Amazon S3 Bucket Keys in the Amazon S3 User Guide. Access Control List (ACL)-Specific Request Headers You can use headers to grant ACL- based permissions. By default, all objects are private. Only the owner has full access control. When adding a new object, you can grant permissions to individual Amazon Web Services accounts or to predefined groups defined by Amazon S3. These permissions are then added to the ACL on the object. For more information, see Access Control List (ACL) Overview and Managing ACLs Using the REST API. If the bucket that you're uploading objects to uses the bucket owner enforced setting for S3 Object Ownership, ACLs are disabled and no longer affect permissions. Buckets that use this setting only accept PUT requests that don't specify an ACL or PUT requests that specify bucket owner full control ACLs, such as the bucket-owner-full-control canned ACL or an equivalent form of this ACL expressed in the XML format. PUT requests that contain other ACLs (for example, custom grants to certain Amazon Web Services accounts) fail and return a 400 error with the error code AccessControlListNotSupported . For more information, see Controlling ownership of objects and disabling ACLs in the Amazon S3 User Guide. If your bucket uses the bucket owner enforced setting for Object Ownership, all objects written to the bucket by any account will be owned by the bucket owner. Storage Class Options By default, Amazon S3 uses the STANDARD Storage Class to store newly created objects. The STANDARD storage class provides high durability and high availability. Depending on performance needs, you can specify a different Storage Class. Amazon S3 on Outposts only uses the OUTPOSTS Storage Class. For more information, see Storage Classes in the Amazon S3 User Guide. Versioning If you enable versioning for a bucket, Amazon S3 automatically generates a unique version ID for the object being stored. Amazon S3 returns this ID in the response. When you enable versioning for a bucket, if Amazon S3 receives multiple write requests for the same object simultaneously, it stores all of the objects. For more information about versioning, see Adding Objects to Versioning Enabled Buckets. For information about returning the versioning state of a bucket, see GetBucketVersioning. Related Resources CopyObject DeleteObject","ref":"aws_s3.html#put_object/4","title":"aws_s3.put_object/4","type":"function"},{"doc":"","ref":"aws_s3.html#put_object/5","title":"aws_s3.put_object/5","type":"function"},{"doc":"Uses the acl subresource to set the access control list (ACL) permissions for a new or existing object in an S3 bucket. You must have WRITE_ACP permission to set the ACL of an object. For more information, see What permissions can I grant? in the Amazon S3 User Guide. This action is not supported by Amazon S3 on Outposts. Depending on your application needs, you can choose to set the ACL on an object using either the request body or the headers. For example, if you have an existing application that updates a bucket ACL using the request body, you can continue to use that approach. For more information, see Access Control List (ACL) Overview in the Amazon S3 User Guide. If your bucket uses the bucket owner enforced setting for S3 Object Ownership, ACLs are disabled and no longer affect permissions. You must use policies to grant access to your bucket and the objects in it. Requests to set ACLs or update ACLs fail and return the AccessControlListNotSupported error code. Requests to read ACLs are still supported. For more information, see Controlling object ownership in the Amazon S3 User Guide. Access Permissions You can set access permissions using one of the following methods: Specify a canned ACL with the x-amz-acl request header. Amazon S3 supports a set of predefined ACLs, known as canned ACLs. Each canned ACL has a predefined set of grantees and permissions. Specify the canned ACL name as the value of x-amz-ac l. If you use this header, you cannot use other access control-specific headers in your request. For more information, see Canned ACL. Specify access permissions explicitly with the x-amz-grant-read , x-amz-grant-read-acp , x-amz-grant-write-acp , and x-amz-grant-full-control headers. When using these headers, you specify explicit access permissions and grantees (Amazon Web Services accounts or Amazon S3 groups) who will receive the permission. If you use these ACL-specific headers, you cannot use x-amz-acl header to set a canned ACL. These parameters map to the set of permissions that Amazon S3 supports in an ACL. For more information, see Access Control List (ACL) Overview. You specify each grantee as a type=value pair, where the type is one of the following: id – if the value specified is the canonical user ID of an Amazon Web Services account uri – if you are granting permissions to a predefined group emailAddress – if the value specified is the email address of an Amazon Web Services account Using email addresses to specify a grantee is only supported in the following Amazon Web Services Regions: US East (N. Virginia) US West (N. California) US West (Oregon) Asia Pacific (Singapore) Asia Pacific (Sydney) Asia Pacific (Tokyo) Europe (Ireland) South America (São Paulo) For a list of all the Amazon S3 supported Regions and endpoints, see Regions and Endpoints in the Amazon Web Services General Reference. For example, the following x-amz-grant-read header grants list objects permission to the two Amazon Web Services accounts identified by their email addresses. x-amz-grant-read: emailAddress=&amp;quot;xyz@amazon.com&amp;quot;, emailAddress=&amp;quot;abc@amazon.com&amp;quot; You can use either a canned ACL or specify access permissions explicitly. You cannot do both. Grantee Values You can specify the person (grantee) to whom you're assigning access rights (using request elements) in the following ways: By the person's ID: &amp;lt;Grantee xmlns:xsi=&amp;quot;http://www.w3.org/2001/XMLSchema-instance&amp;quot; xsi:type=&amp;quot;CanonicalUser&amp;quot;&amp;gt;&amp;lt;ID&amp;gt;&amp;lt;&amp;gt;ID&amp;lt;&amp;gt;&amp;lt;/ID&amp;gt;&amp;lt;DisplayName&amp;gt;&amp;lt;&amp;gt;GranteesEmail&amp;lt;&amp;gt;&amp;lt;/DisplayName&amp;gt; &amp;lt;/Grantee&amp;gt; DisplayName is optional and ignored in the request. By URI: &amp;lt;Grantee xmlns:xsi=&amp;quot;http://www.w3.org/2001/XMLSchema-instance&amp;quot; xsi:type=&amp;quot;Group&amp;quot;&amp;gt;&amp;lt;URI&amp;gt;&amp;lt;&amp;gt;http://acs.amazonaws.com/groups/global/AuthenticatedUsers&amp;lt;&amp;gt;&amp;lt;/URI&amp;gt;&amp;lt;/Grantee&amp;gt; By Email address: &amp;lt;Grantee xmlns:xsi=&amp;quot;http://www.w3.org/2001/XMLSchema-instance&amp;quot; xsi:type=&amp;quot;AmazonCustomerByEmail&amp;quot;&amp;gt;&amp;lt;EmailAddress&amp;gt;&amp;lt;&amp;gt;Grantees@email.com&amp;lt;&amp;gt;&amp;lt;/EmailAddress&amp;gt;lt;/Grantee&amp;gt; The grantee is resolved to the CanonicalUser and, in a response to a GET Object acl request, appears as the CanonicalUser. Using email addresses to specify a grantee is only supported in the following Amazon Web Services Regions: US East (N. Virginia) US West (N. California) US West (Oregon) Asia Pacific (Singapore) Asia Pacific (Sydney) Asia Pacific (Tokyo) Europe (Ireland) South America (São Paulo) For a list of all the Amazon S3 supported Regions and endpoints, see Regions and Endpoints in the Amazon Web Services General Reference. Versioning The ACL of an object is set at the object version level. By default, PUT sets the ACL of the current version of an object. To set the ACL of a different version, use the versionId subresource. Related Resources CopyObject GetObject","ref":"aws_s3.html#put_object_acl/4","title":"aws_s3.put_object_acl/4","type":"function"},{"doc":"","ref":"aws_s3.html#put_object_acl/5","title":"aws_s3.put_object_acl/5","type":"function"},{"doc":"Applies a legal hold configuration to the specified object. For more information, see Locking Objects. This action is not supported by Amazon S3 on Outposts.","ref":"aws_s3.html#put_object_legal_hold/4","title":"aws_s3.put_object_legal_hold/4","type":"function"},{"doc":"","ref":"aws_s3.html#put_object_legal_hold/5","title":"aws_s3.put_object_legal_hold/5","type":"function"},{"doc":"Places an Object Lock configuration on the specified bucket. The rule specified in the Object Lock configuration will be applied by default to every new object placed in the specified bucket. For more information, see Locking Objects. The DefaultRetention settings require both a mode and a period. The DefaultRetention period can be either Days or Years but you must select one. You cannot specify Days and Years at the same time. You can only enable Object Lock for new buckets. If you want to turn on Object Lock for an existing bucket, contact Amazon Web Services Support.","ref":"aws_s3.html#put_object_lock_configuration/3","title":"aws_s3.put_object_lock_configuration/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_object_lock_configuration/4","title":"aws_s3.put_object_lock_configuration/4","type":"function"},{"doc":"Places an Object Retention configuration on an object. For more information, see Locking Objects. Users or accounts require the s3:PutObjectRetention permission in order to place an Object Retention configuration on objects. Bypassing a Governance Retention configuration requires the s3:BypassGovernanceRetention permission. This action is not supported by Amazon S3 on Outposts.","ref":"aws_s3.html#put_object_retention/4","title":"aws_s3.put_object_retention/4","type":"function"},{"doc":"","ref":"aws_s3.html#put_object_retention/5","title":"aws_s3.put_object_retention/5","type":"function"},{"doc":"Sets the supplied tag-set to an object that already exists in a bucket. A tag is a key-value pair. You can associate tags with an object by sending a PUT request against the tagging subresource that is associated with the object. You can retrieve tags by sending a GET request. For more information, see GetObjectTagging. For tagging-related restrictions related to characters and encodings, see Tag Restrictions. Note that Amazon S3 limits the maximum number of tags to 10 tags per object. To use this operation, you must have permission to perform the s3:PutObjectTagging action. By default, the bucket owner has this permission and can grant this permission to others. To put tags of any other version, use the versionId query parameter. You also need permission for the s3:PutObjectVersionTagging action. For information about the Amazon S3 object tagging feature, see Object Tagging. Special Errors Code: InvalidTagError Cause: The tag provided was not a valid tag. This error can occur if the tag did not pass input validation. For more information, see Object Tagging. Code: MalformedXMLError Cause: The XML provided does not match the schema. Code: OperationAbortedError Cause: A conflicting conditional action is currently in progress against this resource. Please try again. Code: InternalError Cause: The service was unable to apply the provided tag to the object. == Related Resources == GetObjectTagging DeleteObjectTagging","ref":"aws_s3.html#put_object_tagging/4","title":"aws_s3.put_object_tagging/4","type":"function"},{"doc":"","ref":"aws_s3.html#put_object_tagging/5","title":"aws_s3.put_object_tagging/5","type":"function"},{"doc":"Creates or modifies the PublicAccessBlock configuration for an Amazon S3 bucket. To use this operation, you must have the s3:PutBucketPublicAccessBlock permission. For more information about Amazon S3 permissions, see Specifying Permissions in a Policy. When Amazon S3 evaluates the PublicAccessBlock configuration for a bucket or an object, it checks the PublicAccessBlock configuration for both the bucket (or the bucket that contains the object) and the bucket owner's account. If the PublicAccessBlock configurations are different between the bucket and the account, Amazon S3 uses the most restrictive combination of the bucket-level and account-level settings. For more information about when Amazon S3 considers a bucket or an object public, see The Meaning of &quot;Public&quot;. Related Resources GetPublicAccessBlock DeletePublicAccessBlock GetBucketPolicyStatus Using Amazon S3 Block Public Access","ref":"aws_s3.html#put_public_access_block/3","title":"aws_s3.put_public_access_block/3","type":"function"},{"doc":"","ref":"aws_s3.html#put_public_access_block/4","title":"aws_s3.put_public_access_block/4","type":"function"},{"doc":"Restores an archived copy of an object back into Amazon S3 This action is not supported by Amazon S3 on Outposts. This action performs the following types of requests: select - Perform a select query on an archived object restore an archive - Restore an archived object To use this operation, you must have permissions to perform the s3:RestoreObject action. The bucket owner has this permission by default and can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources in the Amazon S3 User Guide. Querying Archives with Select Requests You use a select type of request to perform SQL queries on archived objects. The archived objects that are being queried by the select request must be formatted as uncompressed comma-separated values (CSV) files. You can run queries and custom analytics on your archived data without having to restore your data to a hotter Amazon S3 tier. For an overview about select requests, see Querying Archived Objects in the Amazon S3 User Guide. When making a select request, do the following: Define an output location for the select query's output. This must be an Amazon S3 bucket in the same Amazon Web Services Region as the bucket that contains the archive object that is being queried. The Amazon Web Services account that initiates the job must have permissions to write to the S3 bucket. You can specify the storage class and encryption for the output objects stored in the bucket. For more information about output, see Querying Archived Objects in the Amazon S3 User Guide. For more information about the S3 structure in the request body, see the following: PutObject Managing Access with ACLs in the Amazon S3 User Guide Protecting Data Using Server-Side Encryption in the Amazon S3 User Guide Define the SQL expression for the SELECT type of restoration for your query in the request body's SelectParameters structure. You can use expressions like the following examples. The following expression returns all records from the specified object. SELECT * FROM Object Assuming that you are not using any headers for data stored in the object, you can specify columns with positional headers. SELECT s._1, s._2 FROM Object s WHERE s._3 &amp;gt; 100 If you have headers and you set the fileHeaderInfo in the CSV structure in the request body to USE , you can specify headers in the query. (If you set the fileHeaderInfo field to IGNORE , the first row is skipped for the query.) You cannot mix ordinal positions with header column names. SELECT s.Id, s.FirstName, s.SSN FROM S3Object s For more information about using SQL with S3 Glacier Select restore, see SQL Reference for Amazon S3 Select and S3 Glacier Select in the Amazon S3 User Guide. When making a select request, you can also do the following: To expedite your queries, specify the Expedited tier. For more information about tiers, see &quot;Restoring Archives,&quot; later in this topic. Specify details about the data serialization format of both the input object that is being queried and the serialization of the CSV-encoded query results. The following are additional important facts about the select feature: The output results are new Amazon S3 objects. Unlike archive retrievals, they are stored until explicitly deleted-manually or through a lifecycle policy. You can issue more than one select request on the same Amazon S3 object. Amazon S3 doesn't deduplicate requests, so avoid issuing duplicate requests. Amazon S3 accepts a select request even if the object has already been restored. A select request doesn’t return error response 409 . Restoring objects Objects that you archive to the S3 Glacier or S3 Glacier Deep Archive storage class, and S3 Intelligent-Tiering Archive or S3 Intelligent-Tiering Deep Archive tiers are not accessible in real time. For objects in Archive Access or Deep Archive Access tiers you must first initiate a restore request, and then wait until the object is moved into the Frequent Access tier. For objects in S3 Glacier or S3 Glacier Deep Archive storage classes you must first initiate a restore request, and then wait until a temporary copy of the object is available. To access an archived object, you must restore the object for the duration (number of days) that you specify. To restore a specific object version, you can provide a version ID. If you don't provide a version ID, Amazon S3 restores the current version. When restoring an archived object (or using a select request), you can specify one of the following data access tier options in the Tier element of the request body: Expedited - Expedited retrievals allow you to quickly access your data stored in the S3 Glacier storage class or S3 Intelligent-Tiering Archive tier when occasional urgent requests for a subset of archives are required. For all but the largest archived objects (250 MB+), data accessed using Expedited retrievals is typically made available within 1–5 minutes. Provisioned capacity ensures that retrieval capacity for Expedited retrievals is available when you need it. Expedited retrievals and provisioned capacity are not available for objects stored in the S3 Glacier Deep Archive storage class or S3 Intelligent-Tiering Deep Archive tier. Standard - Standard retrievals allow you to access any of your archived objects within several hours. This is the default option for retrieval requests that do not specify the retrieval option. Standard retrievals typically finish within 3–5 hours for objects stored in the S3 Glacier storage class or S3 Intelligent-Tiering Archive tier. They typically finish within 12 hours for objects stored in the S3 Glacier Deep Archive storage class or S3 Intelligent-Tiering Deep Archive tier. Standard retrievals are free for objects stored in S3 Intelligent-Tiering. Bulk - Bulk retrievals are the lowest-cost retrieval option in S3 Glacier, enabling you to retrieve large amounts, even petabytes, of data inexpensively. Bulk retrievals typically finish within 5–12 hours for objects stored in the S3 Glacier storage class or S3 Intelligent-Tiering Archive tier. They typically finish within 48 hours for objects stored in the S3 Glacier Deep Archive storage class or S3 Intelligent-Tiering Deep Archive tier. Bulk retrievals are free for objects stored in S3 Intelligent-Tiering. For more information about archive retrieval options and provisioned capacity for Expedited data access, see Restoring Archived Objects in the Amazon S3 User Guide. You can use Amazon S3 restore speed upgrade to change the restore speed to a faster speed while it is in progress. For more information, see Upgrading the speed of an in-progress restore in the Amazon S3 User Guide. To get the status of object restoration, you can send a HEAD request. Operations return the x-amz-restore header, which provides information about the restoration status, in the response. You can use Amazon S3 event notifications to notify you when a restore is initiated or completed. For more information, see Configuring Amazon S3 Event Notifications in the Amazon S3 User Guide. After restoring an archived object, you can update the restoration period by reissuing the request with a new period. Amazon S3 updates the restoration period relative to the current time and charges only for the request-there are no data transfer charges. You cannot update the restoration period when Amazon S3 is actively processing your current restore request for the object. If your bucket has a lifecycle configuration with a rule that includes an expiration action, the object expiration overrides the life span that you specify in a restore request. For example, if you restore an object copy for 10 days, but the object is scheduled to expire in 3 days, Amazon S3 deletes the object in 3 days. For more information about lifecycle configuration, see PutBucketLifecycleConfiguration and Object Lifecycle Management in Amazon S3 User Guide. Responses A successful action returns either the 200 OK or 202 Accepted status code. If the object is not previously restored, then Amazon S3 returns 202 Accepted in the response. If the object is previously restored, Amazon S3 returns 200 OK in the response. == Special Errors == Code: RestoreAlreadyInProgress Cause: Object restore is already in progress. (This error does not apply to SELECT type requests.) HTTP Status Code: 409 Conflict SOAP Fault Code Prefix: Client Code: GlacierExpeditedRetrievalNotAvailable Cause: expedited retrievals are currently not available. Try again later. (Returned if there is insufficient capacity to process the Expedited request. This error applies only to Expedited retrievals and not to S3 Standard or Bulk retrievals.) HTTP Status Code: 503 SOAP Fault Code Prefix: N/A == Related Resources == PutBucketLifecycleConfiguration GetBucketNotificationConfiguration SQL Reference for Amazon S3 Select and S3 Glacier Select in the Amazon S3 User Guide","ref":"aws_s3.html#restore_object/4","title":"aws_s3.restore_object/4","type":"function"},{"doc":"","ref":"aws_s3.html#restore_object/5","title":"aws_s3.restore_object/5","type":"function"},{"doc":"This action filters the contents of an Amazon S3 object based on a simple structured query language (SQL) statement. In the request, along with the SQL expression, you must also specify a data serialization format (JSON, CSV, or Apache Parquet) of the object. Amazon S3 uses this format to parse object data into records, and returns only records that match the specified SQL expression. You must also specify the data serialization format for the response. This action is not supported by Amazon S3 on Outposts. For more information about Amazon S3 Select, see Selecting Content from Objects and SELECT Command in the Amazon S3 User Guide. For more information about using SQL with Amazon S3 Select, see SQL Reference for Amazon S3 Select and S3 Glacier Select in the Amazon S3 User Guide. Permissions You must have s3:GetObject permission for this operation. Amazon S3 Select does not support anonymous access. For more information about permissions, see Specifying Permissions in a Policy in the Amazon S3 User Guide. Object Data Formats You can use Amazon S3 Select to query objects that have the following format properties: CSV, JSON, and Parquet - Objects must be in CSV, JSON, or Parquet format. UTF-8 - UTF-8 is the only encoding type Amazon S3 Select supports. GZIP or BZIP2 - CSV and JSON files can be compressed using GZIP or BZIP2. GZIP and BZIP2 are the only compression formats that Amazon S3 Select supports for CSV and JSON files. Amazon S3 Select supports columnar compression for Parquet using GZIP or Snappy. Amazon S3 Select does not support whole-object compression for Parquet objects. Server-side encryption - Amazon S3 Select supports querying objects that are protected with server-side encryption. For objects that are encrypted with customer-provided encryption keys (SSE-C), you must use HTTPS, and you must use the headers that are documented in the GetObject. For more information about SSE-C, see Server-Side Encryption (Using Customer-Provided Encryption Keys) in the Amazon S3 User Guide. For objects that are encrypted with Amazon S3 managed encryption keys (SSE-S3) and Amazon Web Services KMS keys (SSE-KMS), server-side encryption is handled transparently, so you don't need to specify anything. For more information about server-side encryption, including SSE-S3 and SSE-KMS, see Protecting Data Using Server-Side Encryption in the Amazon S3 User Guide. Working with the Response Body Given the response size is unknown, Amazon S3 Select streams the response as a series of messages and includes a Transfer-Encoding header with chunked as its value in the response. For more information, see Appendix: SelectObjectContent Response. GetObject Support The SelectObjectContent action does not support the following GetObject functionality. For more information, see GetObject. Range : Although you can specify a scan range for an Amazon S3 Select request (see SelectObjectContentRequest - ScanRange in the request parameters), you cannot specify the range of bytes of an object to return. GLACIER, DEEP_ARCHIVE and REDUCED_REDUNDANCY storage classes: You cannot specify the GLACIER, DEEP_ARCHIVE, or REDUCED_REDUNDANCY storage classes. For more information, about storage classes see Storage Classes in the Amazon S3 User Guide. Special Errors For a list of special errors for this operation, see List of SELECT Object Content Error Codes Related Resources GetObject GetBucketLifecycleConfiguration PutBucketLifecycleConfiguration","ref":"aws_s3.html#select_object_content/4","title":"aws_s3.select_object_content/4","type":"function"},{"doc":"","ref":"aws_s3.html#select_object_content/5","title":"aws_s3.select_object_content/5","type":"function"},{"doc":"Uploads a part in a multipart upload. In this operation, you provide part data in your request. However, you have an option to specify your existing Amazon S3 object as a data source for the part you are uploading. To upload a part from an existing object, you use the UploadPartCopy operation. You must initiate a multipart upload (see CreateMultipartUpload) before you can upload any part. In response to your initiate request, Amazon S3 returns an upload ID, a unique identifier, that you must include in your upload part request. Part numbers can be any number from 1 to 10,000, inclusive. A part number uniquely identifies a part and also defines its position within the object being created. If you upload a new part using the same part number that was used with a previous part, the previously uploaded part is overwritten. For information about maximum and minimum part sizes and other multipart upload specifications, see Multipart upload limits in the Amazon S3 User Guide. To ensure that data is not corrupted when traversing the network, specify the Content-MD5 header in the upload part request. Amazon S3 checks the part data against the provided MD5 value. If they do not match, Amazon S3 returns an error. If the upload request is signed with Signature Version 4, then Amazon Web Services S3 uses the x-amz-content-sha256 header as a checksum instead of Content-MD5 . For more information see Authenticating Requests: Using the Authorization Header (Amazon Web Services Signature Version 4). Note: After you initiate multipart upload and upload one or more parts, you must either complete or abort multipart upload in order to stop getting charged for storage of the uploaded parts. Only after you either complete or abort multipart upload, Amazon S3 frees up the parts storage and stops charging you for the parts storage. For more information on multipart uploads, go to Multipart Upload Overview in the Amazon S3 User Guide . For information on the permissions required to use the multipart upload API, go to Multipart Upload and Permissions in the Amazon S3 User Guide. You can optionally request server-side encryption where Amazon S3 encrypts your data as it writes it to disks in its data centers and decrypts it for you when you access it. You have the option of providing your own encryption key, or you can use the Amazon Web Services managed encryption keys. If you choose to provide your own encryption key, the request headers you provide in the request must match the headers you used in the request to initiate the upload by using CreateMultipartUpload. For more information, go to Using Server-Side Encryption in the Amazon S3 User Guide. Server-side encryption is supported by the S3 Multipart Upload actions. Unless you are using a customer-provided encryption key, you don't need to specify the encryption parameters in each UploadPart request. Instead, you only need to specify the server-side encryption parameters in the initial Initiate Multipart request. For more information, see CreateMultipartUpload. If you requested server-side encryption using a customer-provided encryption key in your initiate multipart upload request, you must provide identical encryption information in each part upload using the following headers. x-amz-server-side-encryption-customer-algorithm x-amz-server-side-encryption-customer-key x-amz-server-side-encryption-customer-key-MD5 == Special Errors == Code: NoSuchUpload Cause: The specified multipart upload does not exist. The upload ID might be invalid, or the multipart upload might have been aborted or completed. HTTP Status Code: 404 Not Found SOAP Fault Code Prefix: Client == Related Resources == CreateMultipartUpload CompleteMultipartUpload AbortMultipartUpload ListParts ListMultipartUploads","ref":"aws_s3.html#upload_part/4","title":"aws_s3.upload_part/4","type":"function"},{"doc":"","ref":"aws_s3.html#upload_part/5","title":"aws_s3.upload_part/5","type":"function"},{"doc":"Uploads a part by copying data from an existing object as data source. You specify the data source by adding the request header x-amz-copy-source in your request and a byte range by adding the request header x-amz-copy-source-range in your request. For information about maximum and minimum part sizes and other multipart upload specifications, see Multipart upload limits in the Amazon S3 User Guide. Instead of using an existing object as part data, you might use the UploadPart action and provide data in your request. You must initiate a multipart upload before you can upload any part. In response to your initiate request. Amazon S3 returns a unique identifier, the upload ID, that you must include in your upload part request. For more information about using the UploadPartCopy operation, see the following: For conceptual information about multipart uploads, see Uploading Objects Using Multipart Upload in the Amazon S3 User Guide. For information about permissions required to use the multipart upload API, see Multipart Upload and Permissions in the Amazon S3 User Guide. For information about copying objects using a single atomic action vs. a multipart upload, see Operations on Objects in the Amazon S3 User Guide. For information about using server-side encryption with customer-provided encryption keys with the UploadPartCopy operation, see CopyObject and UploadPart. Note the following additional considerations about the request headers x-amz-copy-source-if-match , x-amz-copy-source-if-none-match , x-amz-copy-source-if-unmodified-since , and x-amz-copy-source-if-modified-since : Consideration 1 - If both of the x-amz-copy-source-if-match and x-amz-copy-source-if-unmodified-since headers are present in the request as follows: x-amz-copy-source-if-match condition evaluates to true , and; x-amz-copy-source-if-unmodified-since condition evaluates to false ; Amazon S3 returns 200 OK and copies the data. Consideration 2 - If both of the x-amz-copy-source-if-none-match and x-amz-copy-source-if-modified-since headers are present in the request as follows: x-amz-copy-source-if-none-match condition evaluates to false , and; x-amz-copy-source-if-modified-since condition evaluates to true ; Amazon S3 returns 412 Precondition Failed response code. Versioning If your bucket has versioning enabled, you could have multiple versions of the same object. By default, x-amz-copy-source identifies the current version of the object to copy. If the current version is a delete marker and you don't specify a versionId in the x-amz-copy-source , Amazon S3 returns a 404 error, because the object does not exist. If you specify versionId in the x-amz-copy-source and the versionId is a delete marker, Amazon S3 returns an HTTP 400 error, because you are not allowed to specify a delete marker as a version for the x-amz-copy-source . You can optionally specify a specific version of the source object to copy by adding the versionId subresource as shown in the following example: x-amz-copy-source: /bucket/object?versionId=version id Special Errors Code: NoSuchUpload Cause: The specified multipart upload does not exist. The upload ID might be invalid, or the multipart upload might have been aborted or completed. HTTP Status Code: 404 Not Found Code: InvalidRequest Cause: The specified copy source is not supported as a byte-range copy source. HTTP Status Code: 400 Bad Request == Related Resources == CreateMultipartUpload UploadPart CompleteMultipartUpload AbortMultipartUpload ListParts ListMultipartUploads","ref":"aws_s3.html#upload_part_copy/4","title":"aws_s3.upload_part_copy/4","type":"function"},{"doc":"","ref":"aws_s3.html#upload_part_copy/5","title":"aws_s3.upload_part_copy/5","type":"function"},{"doc":"Passes transformed objects to a GetObject operation when using Object Lambda access points. For information about Object Lambda access points, see Transforming objects with Object Lambda access points in the Amazon S3 User Guide. This operation supports metadata that can be returned by GetObject, in addition to RequestRoute , RequestToken , StatusCode , ErrorCode , and ErrorMessage . The GetObject response metadata is supported so that the WriteGetObjectResponse caller, typically an Lambda function, can provide the same metadata when it internally invokes GetObject . When WriteGetObjectResponse is called by a customer-owned Lambda function, the metadata returned to the end user GetObject call might differ from what Amazon S3 would normally return. You can include any number of metadata headers. When including a metadata header, it should be prefaced with x-amz-meta . For example, x-amz-meta-my-custom-header: MyCustomValue . The primary use case for this is to forward GetObject metadata. Amazon Web Services provides some prebuilt Lambda functions that you can use with S3 Object Lambda to detect and redact personally identifiable information (PII) and decompress S3 objects. These Lambda functions are available in the Amazon Web Services Serverless Application Repository, and can be selected through the Amazon Web Services Management Console when you create your Object Lambda access point. Example 1: PII Access Control - This Lambda function uses Amazon Comprehend, a natural language processing (NLP) service using machine learning to find insights and relationships in text. It automatically detects personally identifiable information (PII) such as names, addresses, dates, credit card numbers, and social security numbers from documents in your Amazon S3 bucket. Example 2: PII Redaction - This Lambda function uses Amazon Comprehend, a natural language processing (NLP) service using machine learning to find insights and relationships in text. It automatically redacts personally identifiable information (PII) such as names, addresses, dates, credit card numbers, and social security numbers from documents in your Amazon S3 bucket. Example 3: Decompression - The Lambda function S3ObjectLambdaDecompression, is equipped to decompress objects stored in S3 in one of six compressed file formats including bzip2, gzip, snappy, zlib, zstandard and ZIP. For information on how to view and use these functions, see Using Amazon Web Services built Lambda functions in the Amazon S3 User Guide.","ref":"aws_s3.html#write_get_object_response/2","title":"aws_s3.write_get_object_response/2","type":"function"},{"doc":"","ref":"aws_s3.html#write_get_object_response/3","title":"aws_s3.write_get_object_response/3","type":"function"},{"doc":"Amazon Web Services S3 Control provides access to Amazon S3 control plane actions.","ref":"aws_s3_control.html","title":"aws_s3_control","type":"module"},{"doc":"Creates an access point and associates it with the specified bucket. For more information, see Managing Data Access with Amazon S3 Access Points in the Amazon S3 User Guide. S3 on Outposts only supports VPC-style access points. For more information, see Accessing Amazon S3 on Outposts using virtual private cloud (VPC) only access points in the Amazon S3 User Guide. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to CreateAccessPoint : GetAccessPoint DeleteAccessPoint ListAccessPoints","ref":"aws_s3_control.html#create_access_point/3","title":"aws_s3_control.create_access_point/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#create_access_point/4","title":"aws_s3_control.create_access_point/4","type":"function"},{"doc":"Creates an Object Lambda Access Point. For more information, see Transforming objects with Object Lambda Access Points in the Amazon S3 User Guide. The following actions are related to CreateAccessPointForObjectLambda : DeleteAccessPointForObjectLambda GetAccessPointForObjectLambda ListAccessPointsForObjectLambda","ref":"aws_s3_control.html#create_access_point_for_object_lambda/3","title":"aws_s3_control.create_access_point_for_object_lambda/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#create_access_point_for_object_lambda/4","title":"aws_s3_control.create_access_point_for_object_lambda/4","type":"function"},{"doc":"This action creates an Amazon S3 on Outposts bucket. To create an S3 bucket, see Create Bucket in the Amazon S3 API Reference. Creates a new Outposts bucket. By creating the bucket, you become the bucket owner. To create an Outposts bucket, you must have S3 on Outposts. For more information, see Using Amazon S3 on Outposts in Amazon S3 User Guide. Not every string is an acceptable bucket name. For information on bucket naming restrictions, see Working with Amazon S3 Buckets. S3 on Outposts buckets support: Tags LifecycleConfigurations for deleting expired objects For a complete list of restrictions and Amazon S3 feature limitations on S3 on Outposts, see Amazon S3 on Outposts Restrictions and Limitations. For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and x-amz-outpost-id in your API request, see the Examples section. The following actions are related to CreateBucket for Amazon S3 on Outposts: PutObject GetBucket DeleteBucket CreateAccessPoint PutAccessPointPolicy","ref":"aws_s3_control.html#create_bucket/3","title":"aws_s3_control.create_bucket/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#create_bucket/4","title":"aws_s3_control.create_bucket/4","type":"function"},{"doc":"You can use S3 Batch Operations to perform large-scale batch actions on Amazon S3 objects. Batch Operations can run a single action on lists of Amazon S3 objects that you specify. For more information, see S3 Batch Operations in the Amazon S3 User Guide. This action creates a S3 Batch Operations job. Related actions include: DescribeJob ListJobs UpdateJobPriority UpdateJobStatus JobOperation","ref":"aws_s3_control.html#create_job/2","title":"aws_s3_control.create_job/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#create_job/3","title":"aws_s3_control.create_job/3","type":"function"},{"doc":"Creates a Multi-Region Access Point and associates it with the specified buckets. For more information about creating Multi-Region Access Points, see Creating Multi-Region Access Points in the Amazon S3 User Guide. This action will always be routed to the US West (Oregon) Region. For more information about the restrictions around managing Multi-Region Access Points, see Managing Multi-Region Access Points in the Amazon S3 User Guide. This request is asynchronous, meaning that you might receive a response before the command has completed. When this request provides a response, it provides a token that you can use to monitor the status of the request with DescribeMultiRegionAccessPointOperation . The following actions are related to CreateMultiRegionAccessPoint : DeleteMultiRegionAccessPoint DescribeMultiRegionAccessPointOperation GetMultiRegionAccessPoint ListMultiRegionAccessPoints","ref":"aws_s3_control.html#create_multi_region_access_point/2","title":"aws_s3_control.create_multi_region_access_point/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#create_multi_region_access_point/3","title":"aws_s3_control.create_multi_region_access_point/3","type":"function"},{"doc":"Deletes the specified access point. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to DeleteAccessPoint : CreateAccessPoint GetAccessPoint ListAccessPoints","ref":"aws_s3_control.html#delete_access_point/3","title":"aws_s3_control.delete_access_point/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_access_point/4","title":"aws_s3_control.delete_access_point/4","type":"function"},{"doc":"Deletes the specified Object Lambda Access Point. The following actions are related to DeleteAccessPointForObjectLambda : CreateAccessPointForObjectLambda GetAccessPointForObjectLambda ListAccessPointsForObjectLambda","ref":"aws_s3_control.html#delete_access_point_for_object_lambda/3","title":"aws_s3_control.delete_access_point_for_object_lambda/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_access_point_for_object_lambda/4","title":"aws_s3_control.delete_access_point_for_object_lambda/4","type":"function"},{"doc":"Deletes the access point policy for the specified access point. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to DeleteAccessPointPolicy : PutAccessPointPolicy GetAccessPointPolicy","ref":"aws_s3_control.html#delete_access_point_policy/3","title":"aws_s3_control.delete_access_point_policy/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_access_point_policy/4","title":"aws_s3_control.delete_access_point_policy/4","type":"function"},{"doc":"Removes the resource policy for an Object Lambda Access Point. The following actions are related to DeleteAccessPointPolicyForObjectLambda : GetAccessPointPolicyForObjectLambda PutAccessPointPolicyForObjectLambda","ref":"aws_s3_control.html#delete_access_point_policy_for_object_lambda/3","title":"aws_s3_control.delete_access_point_policy_for_object_lambda/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_access_point_policy_for_object_lambda/4","title":"aws_s3_control.delete_access_point_policy_for_object_lambda/4","type":"function"},{"doc":"This action deletes an Amazon S3 on Outposts bucket. To delete an S3 bucket, see DeleteBucket in the Amazon S3 API Reference. Deletes the Amazon S3 on Outposts bucket. All objects (including all object versions and delete markers) in the bucket must be deleted before the bucket itself can be deleted. For more information, see Using Amazon S3 on Outposts in Amazon S3 User Guide. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. Related Resources CreateBucket GetBucket DeleteObject","ref":"aws_s3_control.html#delete_bucket/3","title":"aws_s3_control.delete_bucket/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_bucket/4","title":"aws_s3_control.delete_bucket/4","type":"function"},{"doc":"This action deletes an Amazon S3 on Outposts bucket's lifecycle configuration. To delete an S3 bucket's lifecycle configuration, see DeleteBucketLifecycle in the Amazon S3 API Reference. Deletes the lifecycle configuration from the specified Outposts bucket. Amazon S3 on Outposts removes all the lifecycle configuration rules in the lifecycle subresource associated with the bucket. Your objects never expire, and Amazon S3 on Outposts no longer automatically deletes any objects on the basis of rules contained in the deleted lifecycle configuration. For more information, see Using Amazon S3 on Outposts in Amazon S3 User Guide. To use this action, you must have permission to perform the s3-outposts:DeleteLifecycleConfiguration action. By default, the bucket owner has this permission and the Outposts bucket owner can grant this permission to others. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. For more information about object expiration, see Elements to Describe Lifecycle Actions. Related actions include: PutBucketLifecycleConfiguration GetBucketLifecycleConfiguration","ref":"aws_s3_control.html#delete_bucket_lifecycle_configuration/3","title":"aws_s3_control.delete_bucket_lifecycle_configuration/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_bucket_lifecycle_configuration/4","title":"aws_s3_control.delete_bucket_lifecycle_configuration/4","type":"function"},{"doc":"This action deletes an Amazon S3 on Outposts bucket policy. To delete an S3 bucket policy, see DeleteBucketPolicy in the Amazon S3 API Reference. This implementation of the DELETE action uses the policy subresource to delete the policy of a specified Amazon S3 on Outposts bucket. If you are using an identity other than the root user of the Amazon Web Services account that owns the bucket, the calling identity must have the s3-outposts:DeleteBucketPolicy permissions on the specified Outposts bucket and belong to the bucket owner's account to use this action. For more information, see Using Amazon S3 on Outposts in Amazon S3 User Guide. If you don't have DeleteBucketPolicy permissions, Amazon S3 returns a 403 Access Denied error. If you have the correct permissions, but you're not using an identity that belongs to the bucket owner's account, Amazon S3 returns a 405 Method Not Allowed error. As a security precaution, the root user of the Amazon Web Services account that owns a bucket can always use this action, even if the policy explicitly denies the root user the ability to perform this action. For more information about bucket policies, see Using Bucket Policies and User Policies. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to DeleteBucketPolicy : GetBucketPolicy PutBucketPolicy","ref":"aws_s3_control.html#delete_bucket_policy/3","title":"aws_s3_control.delete_bucket_policy/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_bucket_policy/4","title":"aws_s3_control.delete_bucket_policy/4","type":"function"},{"doc":"This action deletes an Amazon S3 on Outposts bucket's tags. To delete an S3 bucket tags, see DeleteBucketTagging in the Amazon S3 API Reference. Deletes the tags from the Outposts bucket. For more information, see Using Amazon S3 on Outposts in Amazon S3 User Guide. To use this action, you must have permission to perform the PutBucketTagging action. By default, the bucket owner has this permission and can grant this permission to others. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to DeleteBucketTagging : GetBucketTagging PutBucketTagging","ref":"aws_s3_control.html#delete_bucket_tagging/3","title":"aws_s3_control.delete_bucket_tagging/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_bucket_tagging/4","title":"aws_s3_control.delete_bucket_tagging/4","type":"function"},{"doc":"Removes the entire tag set from the specified S3 Batch Operations job. To use this operation, you must have permission to perform the s3:DeleteJobTagging action. For more information, see Controlling access and labeling jobs using tags in the Amazon S3 User Guide. Related actions include: CreateJob GetJobTagging PutJobTagging","ref":"aws_s3_control.html#delete_job_tagging/3","title":"aws_s3_control.delete_job_tagging/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_job_tagging/4","title":"aws_s3_control.delete_job_tagging/4","type":"function"},{"doc":"Deletes a Multi-Region Access Point. This action does not delete the buckets associated with the Multi-Region Access Point, only the Multi-Region Access Point itself. This action will always be routed to the US West (Oregon) Region. For more information about the restrictions around managing Multi-Region Access Points, see Managing Multi-Region Access Points in the Amazon S3 User Guide. This request is asynchronous, meaning that you might receive a response before the command has completed. When this request provides a response, it provides a token that you can use to monitor the status of the request with DescribeMultiRegionAccessPointOperation . The following actions are related to DeleteMultiRegionAccessPoint : CreateMultiRegionAccessPoint DescribeMultiRegionAccessPointOperation GetMultiRegionAccessPoint ListMultiRegionAccessPoints","ref":"aws_s3_control.html#delete_multi_region_access_point/2","title":"aws_s3_control.delete_multi_region_access_point/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_multi_region_access_point/3","title":"aws_s3_control.delete_multi_region_access_point/3","type":"function"},{"doc":"Removes the PublicAccessBlock configuration for an Amazon Web Services account. For more information, see Using Amazon S3 block public access. Related actions include: GetPublicAccessBlock PutPublicAccessBlock","ref":"aws_s3_control.html#delete_public_access_block/2","title":"aws_s3_control.delete_public_access_block/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_public_access_block/3","title":"aws_s3_control.delete_public_access_block/3","type":"function"},{"doc":"Deletes the Amazon S3 Storage Lens configuration. For more information about S3 Storage Lens, see Assessing your storage activity and usage with Amazon S3 Storage Lens in the Amazon S3 User Guide. To use this action, you must have permission to perform the s3:DeleteStorageLensConfiguration action. For more information, see Setting permissions to use Amazon S3 Storage Lens in the Amazon S3 User Guide.","ref":"aws_s3_control.html#delete_storage_lens_configuration/3","title":"aws_s3_control.delete_storage_lens_configuration/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_storage_lens_configuration/4","title":"aws_s3_control.delete_storage_lens_configuration/4","type":"function"},{"doc":"Deletes the Amazon S3 Storage Lens configuration tags. For more information about S3 Storage Lens, see Assessing your storage activity and usage with Amazon S3 Storage Lens in the Amazon S3 User Guide. To use this action, you must have permission to perform the s3:DeleteStorageLensConfigurationTagging action. For more information, see Setting permissions to use Amazon S3 Storage Lens in the Amazon S3 User Guide.","ref":"aws_s3_control.html#delete_storage_lens_configuration_tagging/3","title":"aws_s3_control.delete_storage_lens_configuration_tagging/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#delete_storage_lens_configuration_tagging/4","title":"aws_s3_control.delete_storage_lens_configuration_tagging/4","type":"function"},{"doc":"Retrieves the configuration parameters and status for a Batch Operations job. For more information, see S3 Batch Operations in the Amazon S3 User Guide. Related actions include: CreateJob ListJobs UpdateJobPriority UpdateJobStatus","ref":"aws_s3_control.html#describe_job/3","title":"aws_s3_control.describe_job/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#describe_job/5","title":"aws_s3_control.describe_job/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#describe_job/6","title":"aws_s3_control.describe_job/6","type":"function"},{"doc":"Retrieves the status of an asynchronous request to manage a Multi-Region Access Point. For more information about managing Multi-Region Access Points and how asynchronous requests work, see Managing Multi-Region Access Points in the Amazon S3 User Guide. The following actions are related to GetMultiRegionAccessPoint : CreateMultiRegionAccessPoint DeleteMultiRegionAccessPoint GetMultiRegionAccessPoint ListMultiRegionAccessPoints","ref":"aws_s3_control.html#describe_multi_region_access_point_operation/3","title":"aws_s3_control.describe_multi_region_access_point_operation/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#describe_multi_region_access_point_operation/5","title":"aws_s3_control.describe_multi_region_access_point_operation/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#describe_multi_region_access_point_operation/6","title":"aws_s3_control.describe_multi_region_access_point_operation/6","type":"function"},{"doc":"Returns configuration information about the specified access point. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to GetAccessPoint : CreateAccessPoint DeleteAccessPoint ListAccessPoints","ref":"aws_s3_control.html#get_access_point/3","title":"aws_s3_control.get_access_point/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point/5","title":"aws_s3_control.get_access_point/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point/6","title":"aws_s3_control.get_access_point/6","type":"function"},{"doc":"Returns configuration for an Object Lambda Access Point. The following actions are related to GetAccessPointConfigurationForObjectLambda : PutAccessPointConfigurationForObjectLambda","ref":"aws_s3_control.html#get_access_point_configuration_for_object_lambda/3","title":"aws_s3_control.get_access_point_configuration_for_object_lambda/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point_configuration_for_object_lambda/5","title":"aws_s3_control.get_access_point_configuration_for_object_lambda/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point_configuration_for_object_lambda/6","title":"aws_s3_control.get_access_point_configuration_for_object_lambda/6","type":"function"},{"doc":"Returns configuration information about the specified Object Lambda Access Point The following actions are related to GetAccessPointForObjectLambda : CreateAccessPointForObjectLambda DeleteAccessPointForObjectLambda ListAccessPointsForObjectLambda","ref":"aws_s3_control.html#get_access_point_for_object_lambda/3","title":"aws_s3_control.get_access_point_for_object_lambda/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point_for_object_lambda/5","title":"aws_s3_control.get_access_point_for_object_lambda/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point_for_object_lambda/6","title":"aws_s3_control.get_access_point_for_object_lambda/6","type":"function"},{"doc":"Returns the access point policy associated with the specified access point. The following actions are related to GetAccessPointPolicy : PutAccessPointPolicy DeleteAccessPointPolicy","ref":"aws_s3_control.html#get_access_point_policy/3","title":"aws_s3_control.get_access_point_policy/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point_policy/5","title":"aws_s3_control.get_access_point_policy/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point_policy/6","title":"aws_s3_control.get_access_point_policy/6","type":"function"},{"doc":"Returns the resource policy for an Object Lambda Access Point. The following actions are related to GetAccessPointPolicyForObjectLambda : DeleteAccessPointPolicyForObjectLambda PutAccessPointPolicyForObjectLambda","ref":"aws_s3_control.html#get_access_point_policy_for_object_lambda/3","title":"aws_s3_control.get_access_point_policy_for_object_lambda/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point_policy_for_object_lambda/5","title":"aws_s3_control.get_access_point_policy_for_object_lambda/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point_policy_for_object_lambda/6","title":"aws_s3_control.get_access_point_policy_for_object_lambda/6","type":"function"},{"doc":"Indicates whether the specified access point currently has a policy that allows public access. For more information about public access through access points, see Managing Data Access with Amazon S3 access points in the Amazon S3 User Guide.","ref":"aws_s3_control.html#get_access_point_policy_status/3","title":"aws_s3_control.get_access_point_policy_status/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point_policy_status/5","title":"aws_s3_control.get_access_point_policy_status/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point_policy_status/6","title":"aws_s3_control.get_access_point_policy_status/6","type":"function"},{"doc":"Returns the status of the resource policy associated with an Object Lambda Access Point.","ref":"aws_s3_control.html#get_access_point_policy_status_for_object_lambda/3","title":"aws_s3_control.get_access_point_policy_status_for_object_lambda/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point_policy_status_for_object_lambda/5","title":"aws_s3_control.get_access_point_policy_status_for_object_lambda/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_access_point_policy_status_for_object_lambda/6","title":"aws_s3_control.get_access_point_policy_status_for_object_lambda/6","type":"function"},{"doc":"Gets an Amazon S3 on Outposts bucket. For more information, see Using Amazon S3 on Outposts in the Amazon S3 User Guide. If you are using an identity other than the root user of the Amazon Web Services account that owns the Outposts bucket, the calling identity must have the s3-outposts:GetBucket permissions on the specified Outposts bucket and belong to the Outposts bucket owner's account in order to use this action. Only users from Outposts bucket owner account with the right permissions can perform actions on an Outposts bucket. If you don't have s3-outposts:GetBucket permissions or you're not using an identity that belongs to the bucket owner's account, Amazon S3 returns a 403 Access Denied error. The following actions are related to GetBucket for Amazon S3 on Outposts: All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. PutObject CreateBucket DeleteBucket","ref":"aws_s3_control.html#get_bucket/3","title":"aws_s3_control.get_bucket/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_bucket/5","title":"aws_s3_control.get_bucket/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_bucket/6","title":"aws_s3_control.get_bucket/6","type":"function"},{"doc":"This action gets an Amazon S3 on Outposts bucket's lifecycle configuration. To get an S3 bucket's lifecycle configuration, see GetBucketLifecycleConfiguration in the Amazon S3 API Reference. Returns the lifecycle configuration information set on the Outposts bucket. For more information, see Using Amazon S3 on Outposts and for information about lifecycle configuration, see Object Lifecycle Management in Amazon S3 User Guide. To use this action, you must have permission to perform the s3-outposts:GetLifecycleConfiguration action. The Outposts bucket owner has this permission, by default. The bucket owner can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing Access Permissions to Your Amazon S3 Resources. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. GetBucketLifecycleConfiguration has the following special error: Error code: NoSuchLifecycleConfiguration Description: The lifecycle configuration does not exist. HTTP Status Code: 404 Not Found SOAP Fault Code Prefix: Client The following actions are related to GetBucketLifecycleConfiguration : PutBucketLifecycleConfiguration DeleteBucketLifecycleConfiguration","ref":"aws_s3_control.html#get_bucket_lifecycle_configuration/3","title":"aws_s3_control.get_bucket_lifecycle_configuration/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_bucket_lifecycle_configuration/5","title":"aws_s3_control.get_bucket_lifecycle_configuration/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_bucket_lifecycle_configuration/6","title":"aws_s3_control.get_bucket_lifecycle_configuration/6","type":"function"},{"doc":"This action gets a bucket policy for an Amazon S3 on Outposts bucket. To get a policy for an S3 bucket, see GetBucketPolicy in the Amazon S3 API Reference. Returns the policy of a specified Outposts bucket. For more information, see Using Amazon S3 on Outposts in the Amazon S3 User Guide. If you are using an identity other than the root user of the Amazon Web Services account that owns the bucket, the calling identity must have the GetBucketPolicy permissions on the specified bucket and belong to the bucket owner's account in order to use this action. Only users from Outposts bucket owner account with the right permissions can perform actions on an Outposts bucket. If you don't have s3-outposts:GetBucketPolicy permissions or you're not using an identity that belongs to the bucket owner's account, Amazon S3 returns a 403 Access Denied error. As a security precaution, the root user of the Amazon Web Services account that owns a bucket can always use this action, even if the policy explicitly denies the root user the ability to perform this action. For more information about bucket policies, see Using Bucket Policies and User Policies. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to GetBucketPolicy : GetObject PutBucketPolicy DeleteBucketPolicy","ref":"aws_s3_control.html#get_bucket_policy/3","title":"aws_s3_control.get_bucket_policy/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_bucket_policy/5","title":"aws_s3_control.get_bucket_policy/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_bucket_policy/6","title":"aws_s3_control.get_bucket_policy/6","type":"function"},{"doc":"This action gets an Amazon S3 on Outposts bucket's tags. To get an S3 bucket tags, see GetBucketTagging in the Amazon S3 API Reference. Returns the tag set associated with the Outposts bucket. For more information, see Using Amazon S3 on Outposts in the Amazon S3 User Guide. To use this action, you must have permission to perform the GetBucketTagging action. By default, the bucket owner has this permission and can grant this permission to others. GetBucketTagging has the following special error: Error code: NoSuchTagSetError Description: There is no tag set associated with the bucket. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to GetBucketTagging : PutBucketTagging DeleteBucketTagging","ref":"aws_s3_control.html#get_bucket_tagging/3","title":"aws_s3_control.get_bucket_tagging/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_bucket_tagging/5","title":"aws_s3_control.get_bucket_tagging/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_bucket_tagging/6","title":"aws_s3_control.get_bucket_tagging/6","type":"function"},{"doc":"This operation returns the versioning state only for S3 on Outposts buckets. To return the versioning state for an S3 bucket, see GetBucketVersioning in the Amazon S3 API Reference. Returns the versioning state for an S3 on Outposts bucket. With versioning, you can save multiple distinct copies of your data and recover from unintended user actions and application failures. If you've never set versioning on your bucket, it has no versioning state. In that case, the GetBucketVersioning request does not return a versioning state value. For more information about versioning, see Versioning in the Amazon S3 User Guide. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following operations are related to GetBucketVersioning for S3 on Outposts. PutBucketVersioning PutBucketLifecycleConfiguration GetBucketLifecycleConfiguration","ref":"aws_s3_control.html#get_bucket_versioning/3","title":"aws_s3_control.get_bucket_versioning/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_bucket_versioning/5","title":"aws_s3_control.get_bucket_versioning/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_bucket_versioning/6","title":"aws_s3_control.get_bucket_versioning/6","type":"function"},{"doc":"Returns the tags on an S3 Batch Operations job. To use this operation, you must have permission to perform the s3:GetJobTagging action. For more information, see Controlling access and labeling jobs using tags in the Amazon S3 User Guide. Related actions include: CreateJob PutJobTagging DeleteJobTagging","ref":"aws_s3_control.html#get_job_tagging/3","title":"aws_s3_control.get_job_tagging/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_job_tagging/5","title":"aws_s3_control.get_job_tagging/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_job_tagging/6","title":"aws_s3_control.get_job_tagging/6","type":"function"},{"doc":"Returns configuration information about the specified Multi-Region Access Point. This action will always be routed to the US West (Oregon) Region. For more information about the restrictions around managing Multi-Region Access Points, see Managing Multi-Region Access Points in the Amazon S3 User Guide. The following actions are related to GetMultiRegionAccessPoint : CreateMultiRegionAccessPoint DeleteMultiRegionAccessPoint DescribeMultiRegionAccessPointOperation ListMultiRegionAccessPoints","ref":"aws_s3_control.html#get_multi_region_access_point/3","title":"aws_s3_control.get_multi_region_access_point/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_multi_region_access_point/5","title":"aws_s3_control.get_multi_region_access_point/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_multi_region_access_point/6","title":"aws_s3_control.get_multi_region_access_point/6","type":"function"},{"doc":"Returns the access control policy of the specified Multi-Region Access Point. This action will always be routed to the US West (Oregon) Region. For more information about the restrictions around managing Multi-Region Access Points, see Managing Multi-Region Access Points in the Amazon S3 User Guide. The following actions are related to GetMultiRegionAccessPointPolicy : GetMultiRegionAccessPointPolicyStatus PutMultiRegionAccessPointPolicy","ref":"aws_s3_control.html#get_multi_region_access_point_policy/3","title":"aws_s3_control.get_multi_region_access_point_policy/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_multi_region_access_point_policy/5","title":"aws_s3_control.get_multi_region_access_point_policy/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_multi_region_access_point_policy/6","title":"aws_s3_control.get_multi_region_access_point_policy/6","type":"function"},{"doc":"Indicates whether the specified Multi-Region Access Point has an access control policy that allows public access. This action will always be routed to the US West (Oregon) Region. For more information about the restrictions around managing Multi-Region Access Points, see Managing Multi-Region Access Points in the Amazon S3 User Guide. The following actions are related to GetMultiRegionAccessPointPolicyStatus : GetMultiRegionAccessPointPolicy PutMultiRegionAccessPointPolicy","ref":"aws_s3_control.html#get_multi_region_access_point_policy_status/3","title":"aws_s3_control.get_multi_region_access_point_policy_status/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_multi_region_access_point_policy_status/5","title":"aws_s3_control.get_multi_region_access_point_policy_status/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_multi_region_access_point_policy_status/6","title":"aws_s3_control.get_multi_region_access_point_policy_status/6","type":"function"},{"doc":"Returns the routing configuration for a Multi-Region Access Point, indicating which Regions are active or passive. To obtain routing control changes and failover requests, use the Amazon S3 failover control infrastructure endpoints in these five Amazon Web Services Regions: us-east-1 us-west-2 ap-southeast-2 ap-northeast-1 eu-west-1 Your Amazon S3 bucket does not need to be in these five Regions.","ref":"aws_s3_control.html#get_multi_region_access_point_routes/3","title":"aws_s3_control.get_multi_region_access_point_routes/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_multi_region_access_point_routes/5","title":"aws_s3_control.get_multi_region_access_point_routes/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_multi_region_access_point_routes/6","title":"aws_s3_control.get_multi_region_access_point_routes/6","type":"function"},{"doc":"Retrieves the PublicAccessBlock configuration for an Amazon Web Services account. For more information, see Using Amazon S3 block public access. Related actions include: DeletePublicAccessBlock PutPublicAccessBlock","ref":"aws_s3_control.html#get_public_access_block/2","title":"aws_s3_control.get_public_access_block/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_public_access_block/4","title":"aws_s3_control.get_public_access_block/4","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_public_access_block/5","title":"aws_s3_control.get_public_access_block/5","type":"function"},{"doc":"Gets the Amazon S3 Storage Lens configuration. For more information, see Assessing your storage activity and usage with Amazon S3 Storage Lens in the Amazon S3 User Guide. For a complete list of S3 Storage Lens metrics, see S3 Storage Lens metrics glossary in the Amazon S3 User Guide. To use this action, you must have permission to perform the s3:GetStorageLensConfiguration action. For more information, see Setting permissions to use Amazon S3 Storage Lens in the Amazon S3 User Guide.","ref":"aws_s3_control.html#get_storage_lens_configuration/3","title":"aws_s3_control.get_storage_lens_configuration/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_storage_lens_configuration/5","title":"aws_s3_control.get_storage_lens_configuration/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_storage_lens_configuration/6","title":"aws_s3_control.get_storage_lens_configuration/6","type":"function"},{"doc":"Gets the tags of Amazon S3 Storage Lens configuration. For more information about S3 Storage Lens, see Assessing your storage activity and usage with Amazon S3 Storage Lens in the Amazon S3 User Guide. To use this action, you must have permission to perform the s3:GetStorageLensConfigurationTagging action. For more information, see Setting permissions to use Amazon S3 Storage Lens in the Amazon S3 User Guide.","ref":"aws_s3_control.html#get_storage_lens_configuration_tagging/3","title":"aws_s3_control.get_storage_lens_configuration_tagging/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_storage_lens_configuration_tagging/5","title":"aws_s3_control.get_storage_lens_configuration_tagging/5","type":"function"},{"doc":"","ref":"aws_s3_control.html#get_storage_lens_configuration_tagging/6","title":"aws_s3_control.get_storage_lens_configuration_tagging/6","type":"function"},{"doc":"Returns a list of the access points owned by the current account associated with the specified bucket. You can retrieve up to 1000 access points per call. If the specified bucket has more than 1,000 access points (or the number specified in maxResults , whichever is less), the response will include a continuation token that you can use to list the additional access points. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to ListAccessPoints : CreateAccessPoint DeleteAccessPoint GetAccessPoint","ref":"aws_s3_control.html#list_access_points/2","title":"aws_s3_control.list_access_points/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#list_access_points/4","title":"aws_s3_control.list_access_points/4","type":"function"},{"doc":"","ref":"aws_s3_control.html#list_access_points/5","title":"aws_s3_control.list_access_points/5","type":"function"},{"doc":"Returns some or all (up to 1,000) access points associated with the Object Lambda Access Point per call. If there are more access points than what can be returned in one call, the response will include a continuation token that you can use to list the additional access points. The following actions are related to ListAccessPointsForObjectLambda : CreateAccessPointForObjectLambda DeleteAccessPointForObjectLambda GetAccessPointForObjectLambda","ref":"aws_s3_control.html#list_access_points_for_object_lambda/2","title":"aws_s3_control.list_access_points_for_object_lambda/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#list_access_points_for_object_lambda/4","title":"aws_s3_control.list_access_points_for_object_lambda/4","type":"function"},{"doc":"","ref":"aws_s3_control.html#list_access_points_for_object_lambda/5","title":"aws_s3_control.list_access_points_for_object_lambda/5","type":"function"},{"doc":"Lists current S3 Batch Operations jobs and jobs that have ended within the last 30 days for the Amazon Web Services account making the request. For more information, see S3 Batch Operations in the Amazon S3 User Guide. Related actions include: CreateJob DescribeJob UpdateJobPriority UpdateJobStatus","ref":"aws_s3_control.html#list_jobs/2","title":"aws_s3_control.list_jobs/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#list_jobs/4","title":"aws_s3_control.list_jobs/4","type":"function"},{"doc":"","ref":"aws_s3_control.html#list_jobs/5","title":"aws_s3_control.list_jobs/5","type":"function"},{"doc":"Returns a list of the Multi-Region Access Points currently associated with the specified Amazon Web Services account. Each call can return up to 100 Multi-Region Access Points, the maximum number of Multi-Region Access Points that can be associated with a single account. This action will always be routed to the US West (Oregon) Region. For more information about the restrictions around managing Multi-Region Access Points, see Managing Multi-Region Access Points in the Amazon S3 User Guide. The following actions are related to ListMultiRegionAccessPoint : CreateMultiRegionAccessPoint DeleteMultiRegionAccessPoint DescribeMultiRegionAccessPointOperation GetMultiRegionAccessPoint","ref":"aws_s3_control.html#list_multi_region_access_points/2","title":"aws_s3_control.list_multi_region_access_points/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#list_multi_region_access_points/4","title":"aws_s3_control.list_multi_region_access_points/4","type":"function"},{"doc":"","ref":"aws_s3_control.html#list_multi_region_access_points/5","title":"aws_s3_control.list_multi_region_access_points/5","type":"function"},{"doc":"Returns a list of all Outposts buckets in an Outpost that are owned by the authenticated sender of the request. For more information, see Using Amazon S3 on Outposts in the Amazon S3 User Guide. For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and x-amz-outpost-id in your request, see the Examples section.","ref":"aws_s3_control.html#list_regional_buckets/2","title":"aws_s3_control.list_regional_buckets/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#list_regional_buckets/4","title":"aws_s3_control.list_regional_buckets/4","type":"function"},{"doc":"","ref":"aws_s3_control.html#list_regional_buckets/5","title":"aws_s3_control.list_regional_buckets/5","type":"function"},{"doc":"Gets a list of Amazon S3 Storage Lens configurations. For more information about S3 Storage Lens, see Assessing your storage activity and usage with Amazon S3 Storage Lens in the Amazon S3 User Guide. To use this action, you must have permission to perform the s3:ListStorageLensConfigurations action. For more information, see Setting permissions to use Amazon S3 Storage Lens in the Amazon S3 User Guide.","ref":"aws_s3_control.html#list_storage_lens_configurations/2","title":"aws_s3_control.list_storage_lens_configurations/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#list_storage_lens_configurations/4","title":"aws_s3_control.list_storage_lens_configurations/4","type":"function"},{"doc":"","ref":"aws_s3_control.html#list_storage_lens_configurations/5","title":"aws_s3_control.list_storage_lens_configurations/5","type":"function"},{"doc":"Replaces configuration for an Object Lambda Access Point. The following actions are related to PutAccessPointConfigurationForObjectLambda : GetAccessPointConfigurationForObjectLambda","ref":"aws_s3_control.html#put_access_point_configuration_for_object_lambda/3","title":"aws_s3_control.put_access_point_configuration_for_object_lambda/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#put_access_point_configuration_for_object_lambda/4","title":"aws_s3_control.put_access_point_configuration_for_object_lambda/4","type":"function"},{"doc":"Associates an access policy with the specified access point. Each access point can have only one policy, so a request made to this API replaces any existing policy associated with the specified access point. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to PutAccessPointPolicy : GetAccessPointPolicy DeleteAccessPointPolicy","ref":"aws_s3_control.html#put_access_point_policy/3","title":"aws_s3_control.put_access_point_policy/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#put_access_point_policy/4","title":"aws_s3_control.put_access_point_policy/4","type":"function"},{"doc":"Creates or replaces resource policy for an Object Lambda Access Point. For an example policy, see Creating Object Lambda Access Points in the Amazon S3 User Guide. The following actions are related to PutAccessPointPolicyForObjectLambda : DeleteAccessPointPolicyForObjectLambda GetAccessPointPolicyForObjectLambda","ref":"aws_s3_control.html#put_access_point_policy_for_object_lambda/3","title":"aws_s3_control.put_access_point_policy_for_object_lambda/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#put_access_point_policy_for_object_lambda/4","title":"aws_s3_control.put_access_point_policy_for_object_lambda/4","type":"function"},{"doc":"This action puts a lifecycle configuration to an Amazon S3 on Outposts bucket. To put a lifecycle configuration to an S3 bucket, see PutBucketLifecycleConfiguration in the Amazon S3 API Reference. Creates a new lifecycle configuration for the S3 on Outposts bucket or replaces an existing lifecycle configuration. Outposts buckets only support lifecycle configurations that delete/expire objects after a certain period of time and abort incomplete multipart uploads. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to PutBucketLifecycleConfiguration : GetBucketLifecycleConfiguration DeleteBucketLifecycleConfiguration","ref":"aws_s3_control.html#put_bucket_lifecycle_configuration/3","title":"aws_s3_control.put_bucket_lifecycle_configuration/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#put_bucket_lifecycle_configuration/4","title":"aws_s3_control.put_bucket_lifecycle_configuration/4","type":"function"},{"doc":"This action puts a bucket policy to an Amazon S3 on Outposts bucket. To put a policy on an S3 bucket, see PutBucketPolicy in the Amazon S3 API Reference. Applies an Amazon S3 bucket policy to an Outposts bucket. For more information, see Using Amazon S3 on Outposts in the Amazon S3 User Guide. If you are using an identity other than the root user of the Amazon Web Services account that owns the Outposts bucket, the calling identity must have the PutBucketPolicy permissions on the specified Outposts bucket and belong to the bucket owner's account in order to use this action. If you don't have PutBucketPolicy permissions, Amazon S3 returns a 403 Access Denied error. If you have the correct permissions, but you're not using an identity that belongs to the bucket owner's account, Amazon S3 returns a 405 Method Not Allowed error. As a security precaution, the root user of the Amazon Web Services account that owns a bucket can always use this action, even if the policy explicitly denies the root user the ability to perform this action. For more information about bucket policies, see Using Bucket Policies and User Policies. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to PutBucketPolicy : GetBucketPolicy DeleteBucketPolicy","ref":"aws_s3_control.html#put_bucket_policy/3","title":"aws_s3_control.put_bucket_policy/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#put_bucket_policy/4","title":"aws_s3_control.put_bucket_policy/4","type":"function"},{"doc":"This action puts tags on an Amazon S3 on Outposts bucket. To put tags on an S3 bucket, see PutBucketTagging in the Amazon S3 API Reference. Sets the tags for an S3 on Outposts bucket. For more information, see Using Amazon S3 on Outposts in the Amazon S3 User Guide. Use tags to organize your Amazon Web Services bill to reflect your own cost structure. To do this, sign up to get your Amazon Web Services account bill with tag key values included. Then, to see the cost of combined resources, organize your billing information according to resources with the same tag key values. For example, you can tag several resources with a specific application name, and then organize your billing information to see the total cost of that application across several services. For more information, see Cost allocation and tagging. Within a bucket, if you add a tag that has the same key as an existing tag, the new value overwrites the old value. For more information, see Using cost allocation in Amazon S3 bucket tags. To use this action, you must have permissions to perform the s3-outposts:PutBucketTagging action. The Outposts bucket owner has this permission by default and can grant this permission to others. For more information about permissions, see Permissions Related to Bucket Subresource Operations and Managing access permissions to your Amazon S3 resources. PutBucketTagging has the following special errors: Error code: InvalidTagError Description: The tag provided was not a valid tag. This error can occur if the tag did not pass input validation. For information about tag restrictions, see User-Defined Tag Restrictions and Amazon Web Services-Generated Cost Allocation Tag Restrictions. Error code: MalformedXMLError Description: The XML provided does not match the schema. Error code: OperationAbortedError Description: A conflicting conditional action is currently in progress against this resource. Try again. Error code: InternalError Description: The service was unable to apply the provided tag to the bucket. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following actions are related to PutBucketTagging : GetBucketTagging DeleteBucketTagging","ref":"aws_s3_control.html#put_bucket_tagging/3","title":"aws_s3_control.put_bucket_tagging/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#put_bucket_tagging/4","title":"aws_s3_control.put_bucket_tagging/4","type":"function"},{"doc":"This operation sets the versioning state only for S3 on Outposts buckets. To set the versioning state for an S3 bucket, see PutBucketVersioning in the Amazon S3 API Reference. Sets the versioning state for an S3 on Outposts bucket. With versioning, you can save multiple distinct copies of your data and recover from unintended user actions and application failures. You can set the versioning state to one of the following: Enabled - Enables versioning for the objects in the bucket. All objects added to the bucket receive a unique version ID. Suspended - Suspends versioning for the objects in the bucket. All objects added to the bucket receive the version ID null . If you've never set versioning on your bucket, it has no versioning state. In that case, a GetBucketVersioning request does not return a versioning state value. When you enable S3 Versioning, for each object in your bucket, you have a current version and zero or more noncurrent versions. You can configure your bucket S3 Lifecycle rules to expire noncurrent versions after a specified time period. For more information, see Creating and managing a lifecycle configuration for your S3 on Outposts bucket in the Amazon S3 User Guide. If you have an object expiration lifecycle policy in your non-versioned bucket and you want to maintain the same permanent delete behavior when you enable versioning, you must add a noncurrent expiration policy. The noncurrent expiration lifecycle policy will manage the deletes of the noncurrent object versions in the version-enabled bucket. For more information, see Versioning in the Amazon S3 User Guide. All Amazon S3 on Outposts REST API requests for this action require an additional parameter of x-amz-outpost-id to be passed with the request. In addition, you must use an S3 on Outposts endpoint hostname prefix instead of s3-control . For an example of the request syntax for Amazon S3 on Outposts that uses the S3 on Outposts endpoint hostname prefix and the x-amz-outpost-id derived by using the access point ARN, see the Examples section. The following operations are related to PutBucketVersioning for S3 on Outposts. GetBucketVersioning PutBucketLifecycleConfiguration GetBucketLifecycleConfiguration","ref":"aws_s3_control.html#put_bucket_versioning/3","title":"aws_s3_control.put_bucket_versioning/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#put_bucket_versioning/4","title":"aws_s3_control.put_bucket_versioning/4","type":"function"},{"doc":"Sets the supplied tag-set on an S3 Batch Operations job. A tag is a key-value pair. You can associate S3 Batch Operations tags with any job by sending a PUT request against the tagging subresource that is associated with the job. To modify the existing tag set, you can either replace the existing tag set entirely, or make changes within the existing tag set by retrieving the existing tag set using GetJobTagging, modify that tag set, and use this action to replace the tag set with the one you modified. For more information, see Controlling access and labeling jobs using tags in the Amazon S3 User Guide. If you send this request with an empty tag set, Amazon S3 deletes the existing tag set on the Batch Operations job. If you use this method, you are charged for a Tier 1 Request (PUT). For more information, see Amazon S3 pricing. For deleting existing tags for your Batch Operations job, a DeleteJobTagging request is preferred because it achieves the same result without incurring charges. A few things to consider about using tags: Amazon S3 limits the maximum number of tags to 50 tags per job. You can associate up to 50 tags with a job as long as they have unique tag keys. A tag key can be up to 128 Unicode characters in length, and tag values can be up to 256 Unicode characters in length. The key and values are case sensitive. For tagging-related restrictions related to characters and encodings, see User-Defined Tag Restrictions in the Billing and Cost Management User Guide. To use this action, you must have permission to perform the s3:PutJobTagging action. Related actions include: CreateJob GetJobTagging DeleteJobTagging","ref":"aws_s3_control.html#put_job_tagging/3","title":"aws_s3_control.put_job_tagging/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#put_job_tagging/4","title":"aws_s3_control.put_job_tagging/4","type":"function"},{"doc":"Associates an access control policy with the specified Multi-Region Access Point. Each Multi-Region Access Point can have only one policy, so a request made to this action replaces any existing policy that is associated with the specified Multi-Region Access Point. This action will always be routed to the US West (Oregon) Region. For more information about the restrictions around managing Multi-Region Access Points, see Managing Multi-Region Access Points in the Amazon S3 User Guide. The following actions are related to PutMultiRegionAccessPointPolicy : GetMultiRegionAccessPointPolicy GetMultiRegionAccessPointPolicyStatus","ref":"aws_s3_control.html#put_multi_region_access_point_policy/2","title":"aws_s3_control.put_multi_region_access_point_policy/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#put_multi_region_access_point_policy/3","title":"aws_s3_control.put_multi_region_access_point_policy/3","type":"function"},{"doc":"Creates or modifies the PublicAccessBlock configuration for an Amazon Web Services account. For this operation, users must have the s3:PutAccountPublicAccessBlock permission. For more information, see Using Amazon S3 block public access. Related actions include: GetPublicAccessBlock DeletePublicAccessBlock","ref":"aws_s3_control.html#put_public_access_block/2","title":"aws_s3_control.put_public_access_block/2","type":"function"},{"doc":"","ref":"aws_s3_control.html#put_public_access_block/3","title":"aws_s3_control.put_public_access_block/3","type":"function"},{"doc":"Puts an Amazon S3 Storage Lens configuration. For more information about S3 Storage Lens, see Working with Amazon S3 Storage Lens in the Amazon S3 User Guide. For a complete list of S3 Storage Lens metrics, see S3 Storage Lens metrics glossary in the Amazon S3 User Guide. To use this action, you must have permission to perform the s3:PutStorageLensConfiguration action. For more information, see Setting permissions to use Amazon S3 Storage Lens in the Amazon S3 User Guide.","ref":"aws_s3_control.html#put_storage_lens_configuration/3","title":"aws_s3_control.put_storage_lens_configuration/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#put_storage_lens_configuration/4","title":"aws_s3_control.put_storage_lens_configuration/4","type":"function"},{"doc":"Put or replace tags on an existing Amazon S3 Storage Lens configuration. For more information about S3 Storage Lens, see Assessing your storage activity and usage with Amazon S3 Storage Lens in the Amazon S3 User Guide. To use this action, you must have permission to perform the s3:PutStorageLensConfigurationTagging action. For more information, see Setting permissions to use Amazon S3 Storage Lens in the Amazon S3 User Guide.","ref":"aws_s3_control.html#put_storage_lens_configuration_tagging/3","title":"aws_s3_control.put_storage_lens_configuration_tagging/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#put_storage_lens_configuration_tagging/4","title":"aws_s3_control.put_storage_lens_configuration_tagging/4","type":"function"},{"doc":"Submits an updated route configuration for a Multi-Region Access Point. This API operation updates the routing status for the specified Regions from active to passive, or from passive to active. A value of 0 indicates a passive status, which means that traffic won't be routed to the specified Region. A value of 100 indicates an active status, which means that traffic will be routed to the specified Region. At least one Region must be active at all times. When the routing configuration is changed, any in-progress operations (uploads, copies, deletes, and so on) to formerly active Regions will continue to run to their final completion state (success or failure). The routing configurations of any Regions that aren’t specified remain unchanged. Updated routing configurations might not be immediately applied. It can take up to 2 minutes for your changes to take effect. To submit routing control changes and failover requests, use the Amazon S3 failover control infrastructure endpoints in these five Amazon Web Services Regions: us-east-1 us-west-2 ap-southeast-2 ap-northeast-1 eu-west-1 Your Amazon S3 bucket does not need to be in these five Regions.","ref":"aws_s3_control.html#submit_multi_region_access_point_routes/3","title":"aws_s3_control.submit_multi_region_access_point_routes/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#submit_multi_region_access_point_routes/4","title":"aws_s3_control.submit_multi_region_access_point_routes/4","type":"function"},{"doc":"Updates an existing S3 Batch Operations job's priority. For more information, see S3 Batch Operations in the Amazon S3 User Guide. Related actions include: CreateJob ListJobs DescribeJob UpdateJobStatus","ref":"aws_s3_control.html#update_job_priority/3","title":"aws_s3_control.update_job_priority/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#update_job_priority/4","title":"aws_s3_control.update_job_priority/4","type":"function"},{"doc":"Updates the status for the specified job. Use this action to confirm that you want to run a job or to cancel an existing job. For more information, see S3 Batch Operations in the Amazon S3 User Guide. Related actions include: CreateJob ListJobs DescribeJob UpdateJobStatus","ref":"aws_s3_control.html#update_job_status/3","title":"aws_s3_control.update_job_status/3","type":"function"},{"doc":"","ref":"aws_s3_control.html#update_job_status/4","title":"aws_s3_control.update_job_status/4","type":"function"},{"doc":"Allows generating either a get or put presigned s3 url. This can be used by external clients such as cURL to access the object in question. See: - https://docs.aws.amazon.com/AmazonS3/latest/API/sigv4-query-string-auth.html - https://docs.aws.amazon.com/AmazonS3/latest/userguide/ShareObjectPreSignedURL.html","ref":"aws_s3_presigned_url.html","title":"aws_s3_presigned_url","type":"module"},{"doc":"","ref":"aws_s3_presigned_url.html#make_presigned_v4_url/5","title":"aws_s3_presigned_url.make_presigned_v4_url/5","type":"function"},{"doc":"Amazon S3 on Outposts provides access to S3 on Outposts operations.","ref":"aws_s3outposts.html","title":"aws_s3outposts","type":"module"},{"doc":"Creates an endpoint and associates it with the specified Outpost. It can take up to 5 minutes for this action to finish. Related actions include: DeleteEndpoint ListEndpoints","ref":"aws_s3outposts.html#create_endpoint/2","title":"aws_s3outposts.create_endpoint/2","type":"function"},{"doc":"","ref":"aws_s3outposts.html#create_endpoint/3","title":"aws_s3outposts.create_endpoint/3","type":"function"},{"doc":"Deletes an endpoint. It can take up to 5 minutes for this action to finish. Related actions include: CreateEndpoint ListEndpoints","ref":"aws_s3outposts.html#delete_endpoint/2","title":"aws_s3outposts.delete_endpoint/2","type":"function"},{"doc":"","ref":"aws_s3outposts.html#delete_endpoint/3","title":"aws_s3outposts.delete_endpoint/3","type":"function"},{"doc":"Lists endpoints associated with the specified Outpost. Related actions include: CreateEndpoint DeleteEndpoint","ref":"aws_s3outposts.html#list_endpoints/1","title":"aws_s3outposts.list_endpoints/1","type":"function"},{"doc":"","ref":"aws_s3outposts.html#list_endpoints/3","title":"aws_s3outposts.list_endpoints/3","type":"function"},{"doc":"","ref":"aws_s3outposts.html#list_endpoints/4","title":"aws_s3outposts.list_endpoints/4","type":"function"},{"doc":"Lists all endpoints associated with an Outpost that has been shared by Amazon Web Services Resource Access Manager (RAM). Related actions include: CreateEndpoint DeleteEndpoint","ref":"aws_s3outposts.html#list_shared_endpoints/2","title":"aws_s3outposts.list_shared_endpoints/2","type":"function"},{"doc":"","ref":"aws_s3outposts.html#list_shared_endpoints/4","title":"aws_s3outposts.list_shared_endpoints/4","type":"function"},{"doc":"","ref":"aws_s3outposts.html#list_shared_endpoints/5","title":"aws_s3outposts.list_shared_endpoints/5","type":"function"},{"doc":"Provides APIs for creating and managing SageMaker resources. Other Resources: SageMaker Developer Guide Amazon Augmented AI Runtime API Reference","ref":"aws_sagemaker.html","title":"aws_sagemaker","type":"module"},{"doc":"Creates an association between the source and the destination. A source can be associated with multiple destinations, and a destination can be associated with multiple sources. An association is a lineage tracking entity. For more information, see Amazon SageMaker ML Lineage Tracking.","ref":"aws_sagemaker.html#add_association/2","title":"aws_sagemaker.add_association/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#add_association/3","title":"aws_sagemaker.add_association/3","type":"function"},{"doc":"Adds or overwrites one or more tags for the specified SageMaker resource. You can add tags to notebook instances, training jobs, hyperparameter tuning jobs, batch transform jobs, models, labeling jobs, work teams, endpoint configurations, and endpoints. Each tag consists of a key and an optional value. Tag keys must be unique per resource. For more information about tags, see For more information, see Amazon Web Services Tagging Strategies. Tags that you add to a hyperparameter tuning job by calling this API are also added to any training jobs that the hyperparameter tuning job launches after you call this API, but not to training jobs that the hyperparameter tuning job launched before you called this API. To make sure that the tags associated with a hyperparameter tuning job are also added to all training jobs that the hyperparameter tuning job launches, add the tags when you first create the tuning job by specifying them in the Tags parameter of CreateHyperParameterTuningJob Tags that you add to a SageMaker Studio Domain or User Profile by calling this API are also added to any Apps that the Domain or User Profile launches after you call this API, but not to Apps that the Domain or User Profile launched before you called this API. To make sure that the tags associated with a Domain or User Profile are also added to all Apps that the Domain or User Profile launches, add the tags when you first create the Domain or User Profile by specifying them in the Tags parameter of CreateDomain or CreateUserProfile .","ref":"aws_sagemaker.html#add_tags/2","title":"aws_sagemaker.add_tags/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#add_tags/3","title":"aws_sagemaker.add_tags/3","type":"function"},{"doc":"Associates a trial component with a trial. A trial component can be associated with multiple trials. To disassociate a trial component from a trial, call the DisassociateTrialComponent API.","ref":"aws_sagemaker.html#associate_trial_component/2","title":"aws_sagemaker.associate_trial_component/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#associate_trial_component/3","title":"aws_sagemaker.associate_trial_component/3","type":"function"},{"doc":"This action batch describes a list of versioned model packages","ref":"aws_sagemaker.html#batch_describe_model_package/2","title":"aws_sagemaker.batch_describe_model_package/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#batch_describe_model_package/3","title":"aws_sagemaker.batch_describe_model_package/3","type":"function"},{"doc":"Creates an action. An action is a lineage tracking entity that represents an action or activity. For example, a model deployment or an HPO job. Generally, an action involves at least one input or output artifact. For more information, see Amazon SageMaker ML Lineage Tracking.","ref":"aws_sagemaker.html#create_action/2","title":"aws_sagemaker.create_action/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_action/3","title":"aws_sagemaker.create_action/3","type":"function"},{"doc":"Create a machine learning algorithm that you can use in SageMaker and list in the Amazon Web Services Marketplace.","ref":"aws_sagemaker.html#create_algorithm/2","title":"aws_sagemaker.create_algorithm/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_algorithm/3","title":"aws_sagemaker.create_algorithm/3","type":"function"},{"doc":"Creates a running app for the specified UserProfile. This operation is automatically invoked by Amazon SageMaker Studio upon access to the associated Domain, and when new kernel configurations are selected by the user. A user may have multiple Apps active simultaneously.","ref":"aws_sagemaker.html#create_app/2","title":"aws_sagemaker.create_app/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_app/3","title":"aws_sagemaker.create_app/3","type":"function"},{"doc":"Creates a configuration for running a SageMaker image as a KernelGateway app. The configuration specifies the Amazon Elastic File System (EFS) storage volume on the image, and a list of the kernels in the image.","ref":"aws_sagemaker.html#create_app_image_config/2","title":"aws_sagemaker.create_app_image_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_app_image_config/3","title":"aws_sagemaker.create_app_image_config/3","type":"function"},{"doc":"Creates an artifact. An artifact is a lineage tracking entity that represents a URI addressable object or data. Some examples are the S3 URI of a dataset and the ECR registry path of an image. For more information, see Amazon SageMaker ML Lineage Tracking.","ref":"aws_sagemaker.html#create_artifact/2","title":"aws_sagemaker.create_artifact/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_artifact/3","title":"aws_sagemaker.create_artifact/3","type":"function"},{"doc":"Creates an Autopilot job. Find the best-performing model after you run an Autopilot job by calling . For information about how to use Autopilot, see Automate Model Development with Amazon SageMaker Autopilot.","ref":"aws_sagemaker.html#create_auto_ml_job/2","title":"aws_sagemaker.create_auto_ml_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_auto_ml_job/3","title":"aws_sagemaker.create_auto_ml_job/3","type":"function"},{"doc":"Creates a Git repository as a resource in your SageMaker account. You can associate the repository with notebook instances so that you can use Git source control for the notebooks you create. The Git repository is a resource in your SageMaker account, so it can be associated with more than one notebook instance, and it persists independently from the lifecycle of any notebook instances it is associated with. The repository can be hosted either in Amazon Web Services CodeCommit or in any other Git repository.","ref":"aws_sagemaker.html#create_code_repository/2","title":"aws_sagemaker.create_code_repository/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_code_repository/3","title":"aws_sagemaker.create_code_repository/3","type":"function"},{"doc":"Starts a model compilation job. After the model has been compiled, Amazon SageMaker saves the resulting model artifacts to an Amazon Simple Storage Service (Amazon S3) bucket that you specify. If you choose to host your model using Amazon SageMaker hosting services, you can use the resulting model artifacts as part of the model. You can also use the artifacts with Amazon Web Services IoT Greengrass. In that case, deploy them as an ML resource. In the request body, you provide the following: A name for the compilation job Information about the input model artifacts The output location for the compiled model and the device (target) that the model runs on The Amazon Resource Name (ARN) of the IAM role that Amazon SageMaker assumes to perform the model compilation job. You can also provide a Tag to track the model compilation job's resource use and costs. The response body contains the CompilationJobArn for the compiled job. To stop a model compilation job, use StopCompilationJob . To get information about a particular model compilation job, use DescribeCompilationJob . To get information about multiple model compilation jobs, use ListCompilationJobs .","ref":"aws_sagemaker.html#create_compilation_job/2","title":"aws_sagemaker.create_compilation_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_compilation_job/3","title":"aws_sagemaker.create_compilation_job/3","type":"function"},{"doc":"Creates a context. A context is a lineage tracking entity that represents a logical grouping of other tracking or experiment entities. Some examples are an endpoint and a model package. For more information, see Amazon SageMaker ML Lineage Tracking.","ref":"aws_sagemaker.html#create_context/2","title":"aws_sagemaker.create_context/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_context/3","title":"aws_sagemaker.create_context/3","type":"function"},{"doc":"Creates a definition for a job that monitors data quality and drift. For information about model monitor, see Amazon SageMaker Model Monitor.","ref":"aws_sagemaker.html#create_data_quality_job_definition/2","title":"aws_sagemaker.create_data_quality_job_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_data_quality_job_definition/3","title":"aws_sagemaker.create_data_quality_job_definition/3","type":"function"},{"doc":"Creates a device fleet.","ref":"aws_sagemaker.html#create_device_fleet/2","title":"aws_sagemaker.create_device_fleet/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_device_fleet/3","title":"aws_sagemaker.create_device_fleet/3","type":"function"},{"doc":"Creates a Domain used by Amazon SageMaker Studio. A domain consists of an associated Amazon Elastic File System (EFS) volume, a list of authorized users, and a variety of security, application, policy, and Amazon Virtual Private Cloud (VPC) configurations. Users within a domain can share notebook files and other artifacts with each other. EFS storage When a domain is created, an EFS volume is created for use by all of the users within the domain. Each user receives a private home directory within the EFS volume for notebooks, Git repositories, and data files. SageMaker uses the Amazon Web Services Key Management Service (Amazon Web Services KMS) to encrypt the EFS volume attached to the domain with an Amazon Web Services managed key by default. For more control, you can specify a customer managed key. For more information, see Protect Data at Rest Using Encryption. VPC configuration All SageMaker Studio traffic between the domain and the EFS volume is through the specified VPC and subnets. For other Studio traffic, you can specify the AppNetworkAccessType parameter. AppNetworkAccessType corresponds to the network access type that you choose when you onboard to Studio. The following options are available: PublicInternetOnly - Non-EFS traffic goes through a VPC managed by Amazon SageMaker, which allows internet access. This is the default value. VpcOnly - All Studio traffic is through the specified VPC and subnets. Internet access is disabled by default. To allow internet access, you must specify a NAT gateway. When internet access is disabled, you won't be able to run a Studio notebook or to train or host models unless your VPC has an interface endpoint to the SageMaker API and runtime or a NAT gateway and your security groups allow outbound connections. NFS traffic over TCP on port 2049 needs to be allowed in both inbound and outbound rules in order to launch a SageMaker Studio app successfully. For more information, see Connect SageMaker Studio Notebooks to Resources in a VPC.","ref":"aws_sagemaker.html#create_domain/2","title":"aws_sagemaker.create_domain/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_domain/3","title":"aws_sagemaker.create_domain/3","type":"function"},{"doc":"Creates an edge deployment plan, consisting of multiple stages. Each stage may have a different deployment configuration and devices.","ref":"aws_sagemaker.html#create_edge_deployment_plan/2","title":"aws_sagemaker.create_edge_deployment_plan/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_edge_deployment_plan/3","title":"aws_sagemaker.create_edge_deployment_plan/3","type":"function"},{"doc":"Creates a new stage in an existing edge deployment plan.","ref":"aws_sagemaker.html#create_edge_deployment_stage/2","title":"aws_sagemaker.create_edge_deployment_stage/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_edge_deployment_stage/3","title":"aws_sagemaker.create_edge_deployment_stage/3","type":"function"},{"doc":"Starts a SageMaker Edge Manager model packaging job. Edge Manager will use the model artifacts from the Amazon Simple Storage Service bucket that you specify. After the model has been packaged, Amazon SageMaker saves the resulting artifacts to an S3 bucket that you specify.","ref":"aws_sagemaker.html#create_edge_packaging_job/2","title":"aws_sagemaker.create_edge_packaging_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_edge_packaging_job/3","title":"aws_sagemaker.create_edge_packaging_job/3","type":"function"},{"doc":"Creates an endpoint using the endpoint configuration specified in the request. SageMaker uses the endpoint to provision resources and deploy models. You create the endpoint configuration with the CreateEndpointConfig API. Use this API to deploy models using SageMaker hosting services. For an example that calls this method when deploying a model to SageMaker hosting services, see the Create Endpoint example notebook. You must not delete an EndpointConfig that is in use by an endpoint that is live or while the UpdateEndpoint or CreateEndpoint operations are being performed on the endpoint. To update an endpoint, you must create a new EndpointConfig . The endpoint name must be unique within an Amazon Web Services Region in your Amazon Web Services account. When it receives the request, SageMaker creates the endpoint, launches the resources (ML compute instances), and deploys the model(s) on them. When you call CreateEndpoint , a load call is made to DynamoDB to verify that your endpoint configuration exists. When you read data from a DynamoDB table supporting Eventually Consistent Reads , the response might not reflect the results of a recently completed write operation. The response might include some stale data. If the dependent entities are not yet in DynamoDB, this causes a validation error. If you repeat your read request after a short time, the response should return the latest data. So retry logic is recommended to handle these possible issues. We also recommend that customers call DescribeEndpointConfig before calling CreateEndpoint to minimize the potential impact of a DynamoDB eventually consistent read. When SageMaker receives the request, it sets the endpoint status to Creating . After it creates the endpoint, it sets the status to InService . SageMaker can then process incoming requests for inferences. To check the status of an endpoint, use the DescribeEndpoint API. If any of the models hosted at this endpoint get model data from an Amazon S3 location, SageMaker uses Amazon Web Services Security Token Service to download model artifacts from the S3 path you provided. Amazon Web Services STS is activated in your Amazon Web Services account by default. If you previously deactivated Amazon Web Services STS for a region, you need to reactivate Amazon Web Services STS for that region. For more information, see Activating and Deactivating Amazon Web Services STS in an Amazon Web Services Region in the Amazon Web Services Identity and Access Management User Guide. To add the IAM role policies for using this API operation, go to the IAM console, and choose Roles in the left navigation pane. Search the IAM role that you want to grant access to use the CreateEndpoint and CreateEndpointConfig API operations, add the following policies to the role. Option 1: For a full SageMaker access, search and attach the AmazonSageMakerFullAccess policy. Option 2: For granting a limited access to an IAM role, paste the following Action elements manually into the JSON file of the IAM role: &amp;quot;Action&amp;quot;: [&amp;quot;sagemaker:CreateEndpoint&amp;quot;, &amp;quot;sagemaker:CreateEndpointConfig&amp;quot;] &amp;quot;Resource&amp;quot;: [ &amp;quot;arn:aws:sagemaker:region:account-id:endpoint/endpointName&amp;quot; &amp;quot;arn:aws:sagemaker:region:account-id:endpoint-config/endpointConfigName&amp;quot; ] For more information, see SageMaker API Permissions: Actions, Permissions, and Resources Reference.","ref":"aws_sagemaker.html#create_endpoint/2","title":"aws_sagemaker.create_endpoint/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_endpoint/3","title":"aws_sagemaker.create_endpoint/3","type":"function"},{"doc":"Creates an endpoint configuration that SageMaker hosting services uses to deploy models. In the configuration, you identify one or more models, created using the CreateModel API, to deploy and the resources that you want SageMaker to provision. Then you call the CreateEndpoint API. Use this API if you want to use SageMaker hosting services to deploy models into production. In the request, you define a ProductionVariant , for each model that you want to deploy. Each ProductionVariant parameter also describes the resources that you want SageMaker to provision. This includes the number and type of ML compute instances to deploy. If you are hosting multiple models, you also assign a VariantWeight to specify how much traffic you want to allocate to each model. For example, suppose that you want to host two models, A and B, and you assign traffic weight 2 for model A and 1 for model B. SageMaker distributes two-thirds of the traffic to Model A, and one-third to model B. When you call CreateEndpoint , a load call is made to DynamoDB to verify that your endpoint configuration exists. When you read data from a DynamoDB table supporting Eventually Consistent Reads , the response might not reflect the results of a recently completed write operation. The response might include some stale data. If the dependent entities are not yet in DynamoDB, this causes a validation error. If you repeat your read request after a short time, the response should return the latest data. So retry logic is recommended to handle these possible issues. We also recommend that customers call DescribeEndpointConfig before calling CreateEndpoint to minimize the potential impact of a DynamoDB eventually consistent read.","ref":"aws_sagemaker.html#create_endpoint_config/2","title":"aws_sagemaker.create_endpoint_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_endpoint_config/3","title":"aws_sagemaker.create_endpoint_config/3","type":"function"},{"doc":"Creates a SageMaker experiment. An experiment is a collection of trials that are observed, compared and evaluated as a group. A trial is a set of steps, called trial components, that produce a machine learning model. In the Studio UI, trials are referred to as run groups and trial components are referred to as runs. The goal of an experiment is to determine the components that produce the best model. Multiple trials are performed, each one isolating and measuring the impact of a change to one or more inputs, while keeping the remaining inputs constant. When you use SageMaker Studio or the SageMaker Python SDK, all experiments, trials, and trial components are automatically tracked, logged, and indexed. When you use the Amazon Web Services SDK for Python (Boto), you must use the logging APIs provided by the SDK. You can add tags to experiments, trials, trial components and then use the Search API to search for the tags. To add a description to an experiment, specify the optional Description parameter. To add a description later, or to change the description, call the UpdateExperiment API. To get a list of all your experiments, call the ListExperiments API. To view an experiment's properties, call the DescribeExperiment API. To get a list of all the trials associated with an experiment, call the ListTrials API. To create a trial call the CreateTrial API.","ref":"aws_sagemaker.html#create_experiment/2","title":"aws_sagemaker.create_experiment/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_experiment/3","title":"aws_sagemaker.create_experiment/3","type":"function"},{"doc":"Create a new FeatureGroup . A FeatureGroup is a group of Features defined in the FeatureStore to describe a Record . The FeatureGroup defines the schema and features contained in the FeatureGroup. A FeatureGroup definition is composed of a list of Features , a RecordIdentifierFeatureName , an EventTimeFeatureName and configurations for its OnlineStore and OfflineStore . Check Amazon Web Services service quotas to see the FeatureGroup s quota for your Amazon Web Services account. You must include at least one of OnlineStoreConfig and OfflineStoreConfig to create a FeatureGroup .","ref":"aws_sagemaker.html#create_feature_group/2","title":"aws_sagemaker.create_feature_group/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_feature_group/3","title":"aws_sagemaker.create_feature_group/3","type":"function"},{"doc":"Creates a flow definition.","ref":"aws_sagemaker.html#create_flow_definition/2","title":"aws_sagemaker.create_flow_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_flow_definition/3","title":"aws_sagemaker.create_flow_definition/3","type":"function"},{"doc":"Create a hub. Hub APIs are only callable through SageMaker Studio.","ref":"aws_sagemaker.html#create_hub/2","title":"aws_sagemaker.create_hub/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_hub/3","title":"aws_sagemaker.create_hub/3","type":"function"},{"doc":"Defines the settings you will use for the human review workflow user interface. Reviewers will see a three-panel interface with an instruction area, the item to review, and an input area.","ref":"aws_sagemaker.html#create_human_task_ui/2","title":"aws_sagemaker.create_human_task_ui/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_human_task_ui/3","title":"aws_sagemaker.create_human_task_ui/3","type":"function"},{"doc":"Starts a hyperparameter tuning job. A hyperparameter tuning job finds the best version of a model by running many training jobs on your dataset using the algorithm you choose and values for hyperparameters within ranges that you specify. It then chooses the hyperparameter values that result in a model that performs the best, as measured by an objective metric that you choose. A hyperparameter tuning job automatically creates Amazon SageMaker experiments, trials, and trial components for each training job that it runs. You can view these entities in Amazon SageMaker Studio. For more information, see View Experiments, Trials, and Trial Components. Do not include any security-sensitive information including account access IDs, secrets or tokens in any hyperparameter field. If the use of security-sensitive credentials are detected, SageMaker will reject your training job request and return an exception error.","ref":"aws_sagemaker.html#create_hyper_parameter_tuning_job/2","title":"aws_sagemaker.create_hyper_parameter_tuning_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_hyper_parameter_tuning_job/3","title":"aws_sagemaker.create_hyper_parameter_tuning_job/3","type":"function"},{"doc":"Creates a custom SageMaker image. A SageMaker image is a set of image versions. Each image version represents a container image stored in Amazon Elastic Container Registry (ECR). For more information, see Bring your own SageMaker image.","ref":"aws_sagemaker.html#create_image/2","title":"aws_sagemaker.create_image/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_image/3","title":"aws_sagemaker.create_image/3","type":"function"},{"doc":"Creates a version of the SageMaker image specified by ImageName . The version represents the Amazon Elastic Container Registry (ECR) container image specified by BaseImage .","ref":"aws_sagemaker.html#create_image_version/2","title":"aws_sagemaker.create_image_version/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_image_version/3","title":"aws_sagemaker.create_image_version/3","type":"function"},{"doc":"Creates an inference experiment using the configurations specified in the request. Use this API to setup and schedule an experiment to compare model variants on a Amazon SageMaker inference endpoint. For more information about inference experiments, see Shadow tests. Amazon SageMaker begins your experiment at the scheduled time and routes traffic to your endpoint's model variants based on your specified configuration. While the experiment is in progress or after it has concluded, you can view metrics that compare your model variants. For more information, see View, monitor, and edit shadow tests.","ref":"aws_sagemaker.html#create_inference_experiment/2","title":"aws_sagemaker.create_inference_experiment/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_inference_experiment/3","title":"aws_sagemaker.create_inference_experiment/3","type":"function"},{"doc":"Starts a recommendation job. You can create either an instance recommendation or load test job.","ref":"aws_sagemaker.html#create_inference_recommendations_job/2","title":"aws_sagemaker.create_inference_recommendations_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_inference_recommendations_job/3","title":"aws_sagemaker.create_inference_recommendations_job/3","type":"function"},{"doc":"Creates a job that uses workers to label the data objects in your input dataset. You can use the labeled data to train machine learning models. You can select your workforce from one of three providers: A private workforce that you create. It can include employees, contractors, and outside experts. Use a private workforce when want the data to stay within your organization or when a specific set of skills is required. One or more vendors that you select from the Amazon Web Services Marketplace. Vendors provide expertise in specific areas. The Amazon Mechanical Turk workforce. This is the largest workforce, but it should only be used for public data or data that has been stripped of any personally identifiable information. You can also use automated data labeling to reduce the number of data objects that need to be labeled by a human. Automated data labeling uses active learning to determine if a data object can be labeled by machine or if it needs to be sent to a human worker. For more information, see Using Automated Data Labeling. The data objects to be labeled are contained in an Amazon S3 bucket. You create a manifest file that describes the location of each object. For more information, see Using Input and Output Data. The output can be used as the manifest file for another labeling job or as training data for your machine learning models. You can use this operation to create a static labeling job or a streaming labeling job. A static labeling job stops if all data objects in the input manifest file identified in ManifestS3Uri have been labeled. A streaming labeling job runs perpetually until it is manually stopped, or remains idle for 10 days. You can send new data objects to an active ( InProgress ) streaming labeling job in real time. To learn how to create a static labeling job, see Create a Labeling Job (API) in the Amazon SageMaker Developer Guide. To learn how to create a streaming labeling job, see Create a Streaming Labeling Job.","ref":"aws_sagemaker.html#create_labeling_job/2","title":"aws_sagemaker.create_labeling_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_labeling_job/3","title":"aws_sagemaker.create_labeling_job/3","type":"function"},{"doc":"Creates a model in SageMaker. In the request, you name the model and describe a primary container. For the primary container, you specify the Docker image that contains inference code, artifacts (from prior training), and a custom environment map that the inference code uses when you deploy the model for predictions. Use this API to create a model if you want to use SageMaker hosting services or run a batch transform job. To host your model, you create an endpoint configuration with the CreateEndpointConfig API, and then create an endpoint with the CreateEndpoint API. SageMaker then deploys all of the containers that you defined for the model in the hosting environment. For an example that calls this method when deploying a model to SageMaker hosting services, see Create a Model (Amazon Web Services SDK for Python (Boto 3)). To run a batch transform using your model, you start a job with the CreateTransformJob API. SageMaker uses your model and your dataset to get inferences which are then saved to a specified S3 location. In the request, you also provide an IAM role that SageMaker can assume to access model artifacts and docker image for deployment on ML compute hosting instances or for batch transform jobs. In addition, you also use the IAM role to manage permissions the inference code needs. For example, if the inference code access any other Amazon Web Services resources, you grant necessary permissions via this role.","ref":"aws_sagemaker.html#create_model/2","title":"aws_sagemaker.create_model/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_model/3","title":"aws_sagemaker.create_model/3","type":"function"},{"doc":"Creates the definition for a model bias job.","ref":"aws_sagemaker.html#create_model_bias_job_definition/2","title":"aws_sagemaker.create_model_bias_job_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_model_bias_job_definition/3","title":"aws_sagemaker.create_model_bias_job_definition/3","type":"function"},{"doc":"Creates an Amazon SageMaker Model Card. For information about how to use model cards, see Amazon SageMaker Model Card.","ref":"aws_sagemaker.html#create_model_card/2","title":"aws_sagemaker.create_model_card/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_model_card/3","title":"aws_sagemaker.create_model_card/3","type":"function"},{"doc":"Creates an Amazon SageMaker Model Card export job.","ref":"aws_sagemaker.html#create_model_card_export_job/2","title":"aws_sagemaker.create_model_card_export_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_model_card_export_job/3","title":"aws_sagemaker.create_model_card_export_job/3","type":"function"},{"doc":"Creates the definition for a model explainability job.","ref":"aws_sagemaker.html#create_model_explainability_job_definition/2","title":"aws_sagemaker.create_model_explainability_job_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_model_explainability_job_definition/3","title":"aws_sagemaker.create_model_explainability_job_definition/3","type":"function"},{"doc":"Creates a model package that you can use to create SageMaker models or list on Amazon Web Services Marketplace, or a versioned model that is part of a model group. Buyers can subscribe to model packages listed on Amazon Web Services Marketplace to create models in SageMaker. To create a model package by specifying a Docker container that contains your inference code and the Amazon S3 location of your model artifacts, provide values for InferenceSpecification . To create a model from an algorithm resource that you created or subscribed to in Amazon Web Services Marketplace, provide a value for SourceAlgorithmSpecification . There are two types of model packages: Versioned - a model that is part of a model group in the model registry. Unversioned - a model package that is not part of a model group.","ref":"aws_sagemaker.html#create_model_package/2","title":"aws_sagemaker.create_model_package/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_model_package/3","title":"aws_sagemaker.create_model_package/3","type":"function"},{"doc":"Creates a model group. A model group contains a group of model versions.","ref":"aws_sagemaker.html#create_model_package_group/2","title":"aws_sagemaker.create_model_package_group/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_model_package_group/3","title":"aws_sagemaker.create_model_package_group/3","type":"function"},{"doc":"Creates a definition for a job that monitors model quality and drift. For information about model monitor, see Amazon SageMaker Model Monitor.","ref":"aws_sagemaker.html#create_model_quality_job_definition/2","title":"aws_sagemaker.create_model_quality_job_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_model_quality_job_definition/3","title":"aws_sagemaker.create_model_quality_job_definition/3","type":"function"},{"doc":"Creates a schedule that regularly starts Amazon SageMaker Processing Jobs to monitor the data captured for an Amazon SageMaker Endoint.","ref":"aws_sagemaker.html#create_monitoring_schedule/2","title":"aws_sagemaker.create_monitoring_schedule/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_monitoring_schedule/3","title":"aws_sagemaker.create_monitoring_schedule/3","type":"function"},{"doc":"Creates an SageMaker notebook instance. A notebook instance is a machine learning (ML) compute instance running on a Jupyter notebook. In a CreateNotebookInstance request, specify the type of ML compute instance that you want to run. SageMaker launches the instance, installs common libraries that you can use to explore datasets for model training, and attaches an ML storage volume to the notebook instance. SageMaker also provides a set of example notebooks. Each notebook demonstrates how to use SageMaker with a specific algorithm or with a machine learning framework. After receiving the request, SageMaker does the following: Creates a network interface in the SageMaker VPC. (Option) If you specified SubnetId , SageMaker creates a network interface in your own VPC, which is inferred from the subnet ID that you provide in the input. When creating this network interface, SageMaker attaches the security group that you specified in the request to the network interface that it creates in your VPC. Launches an EC2 instance of the type specified in the request in the SageMaker VPC. If you specified SubnetId of your VPC, SageMaker specifies both network interfaces when launching this instance. This enables inbound traffic from your own VPC to the notebook instance, assuming that the security groups allow it. After creating the notebook instance, SageMaker returns its Amazon Resource Name (ARN). You can't change the name of a notebook instance after you create it. After SageMaker creates the notebook instance, you can connect to the Jupyter server and work in Jupyter notebooks. For example, you can write code to explore a dataset that you can use for model training, train a model, host models by creating SageMaker endpoints, and validate hosted models. For more information, see How It Works.","ref":"aws_sagemaker.html#create_notebook_instance/2","title":"aws_sagemaker.create_notebook_instance/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_notebook_instance/3","title":"aws_sagemaker.create_notebook_instance/3","type":"function"},{"doc":"Creates a lifecycle configuration that you can associate with a notebook instance. A lifecycle configuration is a collection of shell scripts that run when you create or start a notebook instance. Each lifecycle configuration script has a limit of 16384 characters. The value of the $PATH environment variable that is available to both scripts is /sbin:bin:/usr/sbin:/usr/bin . View CloudWatch Logs for notebook instance lifecycle configurations in log group /aws/sagemaker/NotebookInstances in log stream [notebook-instance-name]/[LifecycleConfigHook] . Lifecycle configuration scripts cannot run for longer than 5 minutes. If a script runs for longer than 5 minutes, it fails and the notebook instance is not created or started. For information about notebook instance lifestyle configurations, see Step 2.1: (Optional) Customize a Notebook Instance.","ref":"aws_sagemaker.html#create_notebook_instance_lifecycle_config/2","title":"aws_sagemaker.create_notebook_instance_lifecycle_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_notebook_instance_lifecycle_config/3","title":"aws_sagemaker.create_notebook_instance_lifecycle_config/3","type":"function"},{"doc":"Creates a pipeline using a JSON pipeline definition.","ref":"aws_sagemaker.html#create_pipeline/2","title":"aws_sagemaker.create_pipeline/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_pipeline/3","title":"aws_sagemaker.create_pipeline/3","type":"function"},{"doc":"Creates a URL for a specified UserProfile in a Domain. When accessed in a web browser, the user will be automatically signed in to Amazon SageMaker Studio, and granted access to all of the Apps and files associated with the Domain's Amazon Elastic File System (EFS) volume. This operation can only be called when the authentication mode equals IAM. The IAM role or user passed to this API defines the permissions to access the app. Once the presigned URL is created, no additional permission is required to access this URL. IAM authorization policies for this API are also enforced for every HTTP request and WebSocket frame that attempts to connect to the app. You can restrict access to this API and to the URL that it returns to a list of IP addresses, Amazon VPCs or Amazon VPC Endpoints that you specify. For more information, see Connect to SageMaker Studio Through an Interface VPC Endpoint . The URL that you get from a call to CreatePresignedDomainUrl has a default timeout of 5 minutes. You can configure this value using ExpiresInSeconds . If you try to use the URL after the timeout limit expires, you are directed to the Amazon Web Services console sign-in page.","ref":"aws_sagemaker.html#create_presigned_domain_url/2","title":"aws_sagemaker.create_presigned_domain_url/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_presigned_domain_url/3","title":"aws_sagemaker.create_presigned_domain_url/3","type":"function"},{"doc":"Returns a URL that you can use to connect to the Jupyter server from a notebook instance. In the SageMaker console, when you choose Open next to a notebook instance, SageMaker opens a new tab showing the Jupyter server home page from the notebook instance. The console uses this API to get the URL and show the page. The IAM role or user used to call this API defines the permissions to access the notebook instance. Once the presigned URL is created, no additional permission is required to access this URL. IAM authorization policies for this API are also enforced for every HTTP request and WebSocket frame that attempts to connect to the notebook instance. You can restrict access to this API and to the URL that it returns to a list of IP addresses that you specify. Use the NotIpAddress condition operator and the aws:SourceIP condition context key to specify the list of IP addresses that you want to have access to the notebook instance. For more information, see Limit Access to a Notebook Instance by IP Address. The URL that you get from a call to CreatePresignedNotebookInstanceUrl is valid only for 5 minutes. If you try to use the URL after the 5-minute limit expires, you are directed to the Amazon Web Services console sign-in page.","ref":"aws_sagemaker.html#create_presigned_notebook_instance_url/2","title":"aws_sagemaker.create_presigned_notebook_instance_url/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_presigned_notebook_instance_url/3","title":"aws_sagemaker.create_presigned_notebook_instance_url/3","type":"function"},{"doc":"Creates a processing job.","ref":"aws_sagemaker.html#create_processing_job/2","title":"aws_sagemaker.create_processing_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_processing_job/3","title":"aws_sagemaker.create_processing_job/3","type":"function"},{"doc":"Creates a machine learning (ML) project that can contain one or more templates that set up an ML pipeline from training to deploying an approved model.","ref":"aws_sagemaker.html#create_project/2","title":"aws_sagemaker.create_project/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_project/3","title":"aws_sagemaker.create_project/3","type":"function"},{"doc":"Creates a space used for real time collaboration in a Domain.","ref":"aws_sagemaker.html#create_space/2","title":"aws_sagemaker.create_space/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_space/3","title":"aws_sagemaker.create_space/3","type":"function"},{"doc":"Creates a new Studio Lifecycle Configuration.","ref":"aws_sagemaker.html#create_studio_lifecycle_config/2","title":"aws_sagemaker.create_studio_lifecycle_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_studio_lifecycle_config/3","title":"aws_sagemaker.create_studio_lifecycle_config/3","type":"function"},{"doc":"Starts a model training job. After training completes, SageMaker saves the resulting model artifacts to an Amazon S3 location that you specify. If you choose to host your model using SageMaker hosting services, you can use the resulting model artifacts as part of the model. You can also use the artifacts in a machine learning service other than SageMaker, provided that you know how to use them for inference. In the request body, you provide the following: AlgorithmSpecification - Identifies the training algorithm to use. HyperParameters - Specify these algorithm-specific parameters to enable the estimation of model parameters during training. Hyperparameters can be tuned to optimize this learning process. For a list of hyperparameters for each training algorithm provided by SageMaker, see Algorithms. Do not include any security-sensitive information including account access IDs, secrets or tokens in any hyperparameter field. If the use of security-sensitive credentials are detected, SageMaker will reject your training job request and return an exception error. InputDataConfig - Describes the input required by the training job and the Amazon S3, EFS, or FSx location where it is stored. OutputDataConfig - Identifies the Amazon S3 bucket where you want SageMaker to save the results of model training. ResourceConfig - Identifies the resources, ML compute instances, and ML storage volumes to deploy for model training. In distributed training, you specify more than one instance. EnableManagedSpotTraining - Optimize the cost of training machine learning models by up to 80% by using Amazon EC2 Spot instances. For more information, see Managed Spot Training. RoleArn - The Amazon Resource Name (ARN) that SageMaker assumes to perform tasks on your behalf during model training. You must grant this role the necessary permissions so that SageMaker can successfully complete model training. StoppingCondition - To help cap training costs, use MaxRuntimeInSeconds to set a time limit for training. Use MaxWaitTimeInSeconds to specify how long a managed spot training job has to complete. Environment - The environment variables to set in the Docker container. RetryStrategy - The number of times to retry the job when the job fails due to an InternalServerError . For more information about SageMaker, see How It Works.","ref":"aws_sagemaker.html#create_training_job/2","title":"aws_sagemaker.create_training_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_training_job/3","title":"aws_sagemaker.create_training_job/3","type":"function"},{"doc":"Starts a transform job. A transform job uses a trained model to get inferences on a dataset and saves these results to an Amazon S3 location that you specify. To perform batch transformations, you create a transform job and use the data that you have readily available. In the request body, you provide the following: TransformJobName - Identifies the transform job. The name must be unique within an Amazon Web Services Region in an Amazon Web Services account. ModelName - Identifies the model to use. ModelName must be the name of an existing Amazon SageMaker model in the same Amazon Web Services Region and Amazon Web Services account. For information on creating a model, see CreateModel. TransformInput - Describes the dataset to be transformed and the Amazon S3 location where it is stored. TransformOutput - Identifies the Amazon S3 location where you want Amazon SageMaker to save the results from the transform job. TransformResources - Identifies the ML compute instances for the transform job. For more information about how batch transformation works, see Batch Transform.","ref":"aws_sagemaker.html#create_transform_job/2","title":"aws_sagemaker.create_transform_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_transform_job/3","title":"aws_sagemaker.create_transform_job/3","type":"function"},{"doc":"Creates an SageMaker trial. A trial is a set of steps called trial components that produce a machine learning model. A trial is part of a single SageMaker experiment. When you use SageMaker Studio or the SageMaker Python SDK, all experiments, trials, and trial components are automatically tracked, logged, and indexed. When you use the Amazon Web Services SDK for Python (Boto), you must use the logging APIs provided by the SDK. You can add tags to a trial and then use the Search API to search for the tags. To get a list of all your trials, call the ListTrials API. To view a trial's properties, call the DescribeTrial API. To create a trial component, call the CreateTrialComponent API.","ref":"aws_sagemaker.html#create_trial/2","title":"aws_sagemaker.create_trial/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_trial/3","title":"aws_sagemaker.create_trial/3","type":"function"},{"doc":"Creates a trial component, which is a stage of a machine learning trial. A trial is composed of one or more trial components. A trial component can be used in multiple trials. Trial components include pre-processing jobs, training jobs, and batch transform jobs. When you use SageMaker Studio or the SageMaker Python SDK, all experiments, trials, and trial components are automatically tracked, logged, and indexed. When you use the Amazon Web Services SDK for Python (Boto), you must use the logging APIs provided by the SDK. You can add tags to a trial component and then use the Search API to search for the tags.","ref":"aws_sagemaker.html#create_trial_component/2","title":"aws_sagemaker.create_trial_component/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_trial_component/3","title":"aws_sagemaker.create_trial_component/3","type":"function"},{"doc":"Creates a user profile. A user profile represents a single user within a domain, and is the main way to reference a &quot;person&quot; for the purposes of sharing, reporting, and other user-oriented features. This entity is created when a user onboards to Amazon SageMaker Studio. If an administrator invites a person by email or imports them from IAM Identity Center, a user profile is automatically created. A user profile is the primary holder of settings for an individual user and has a reference to the user's private Amazon Elastic File System (EFS) home directory.","ref":"aws_sagemaker.html#create_user_profile/2","title":"aws_sagemaker.create_user_profile/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_user_profile/3","title":"aws_sagemaker.create_user_profile/3","type":"function"},{"doc":"Use this operation to create a workforce. This operation will return an error if a workforce already exists in the Amazon Web Services Region that you specify. You can only create one workforce in each Amazon Web Services Region per Amazon Web Services account. If you want to create a new workforce in an Amazon Web Services Region where a workforce already exists, use the API operation to delete the existing workforce and then use CreateWorkforce to create a new workforce. To create a private workforce using Amazon Cognito, you must specify a Cognito user pool in CognitoConfig . You can also create an Amazon Cognito workforce using the Amazon SageMaker console. For more information, see Create a Private Workforce (Amazon Cognito). To create a private workforce using your own OIDC Identity Provider (IdP), specify your IdP configuration in OidcConfig . Your OIDC IdP must support groups because groups are used by Ground Truth and Amazon A2I to create work teams. For more information, see Create a Private Workforce (OIDC IdP).","ref":"aws_sagemaker.html#create_workforce/2","title":"aws_sagemaker.create_workforce/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_workforce/3","title":"aws_sagemaker.create_workforce/3","type":"function"},{"doc":"Creates a new work team for labeling your data. A work team is defined by one or more Amazon Cognito user pools. You must first create the user pools before you can create a work team. You cannot create more than 25 work teams in an account and region.","ref":"aws_sagemaker.html#create_workteam/2","title":"aws_sagemaker.create_workteam/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#create_workteam/3","title":"aws_sagemaker.create_workteam/3","type":"function"},{"doc":"Deletes an action.","ref":"aws_sagemaker.html#delete_action/2","title":"aws_sagemaker.delete_action/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_action/3","title":"aws_sagemaker.delete_action/3","type":"function"},{"doc":"Removes the specified algorithm from your account.","ref":"aws_sagemaker.html#delete_algorithm/2","title":"aws_sagemaker.delete_algorithm/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_algorithm/3","title":"aws_sagemaker.delete_algorithm/3","type":"function"},{"doc":"Used to stop and delete an app.","ref":"aws_sagemaker.html#delete_app/2","title":"aws_sagemaker.delete_app/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_app/3","title":"aws_sagemaker.delete_app/3","type":"function"},{"doc":"Deletes an AppImageConfig.","ref":"aws_sagemaker.html#delete_app_image_config/2","title":"aws_sagemaker.delete_app_image_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_app_image_config/3","title":"aws_sagemaker.delete_app_image_config/3","type":"function"},{"doc":"Deletes an artifact. Either ArtifactArn or Source must be specified.","ref":"aws_sagemaker.html#delete_artifact/2","title":"aws_sagemaker.delete_artifact/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_artifact/3","title":"aws_sagemaker.delete_artifact/3","type":"function"},{"doc":"Deletes an association.","ref":"aws_sagemaker.html#delete_association/2","title":"aws_sagemaker.delete_association/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_association/3","title":"aws_sagemaker.delete_association/3","type":"function"},{"doc":"Deletes the specified Git repository from your account.","ref":"aws_sagemaker.html#delete_code_repository/2","title":"aws_sagemaker.delete_code_repository/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_code_repository/3","title":"aws_sagemaker.delete_code_repository/3","type":"function"},{"doc":"Deletes an context.","ref":"aws_sagemaker.html#delete_context/2","title":"aws_sagemaker.delete_context/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_context/3","title":"aws_sagemaker.delete_context/3","type":"function"},{"doc":"Deletes a data quality monitoring job definition.","ref":"aws_sagemaker.html#delete_data_quality_job_definition/2","title":"aws_sagemaker.delete_data_quality_job_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_data_quality_job_definition/3","title":"aws_sagemaker.delete_data_quality_job_definition/3","type":"function"},{"doc":"Deletes a fleet.","ref":"aws_sagemaker.html#delete_device_fleet/2","title":"aws_sagemaker.delete_device_fleet/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_device_fleet/3","title":"aws_sagemaker.delete_device_fleet/3","type":"function"},{"doc":"Used to delete a domain. If you onboarded with IAM mode, you will need to delete your domain to onboard again using IAM Identity Center. Use with caution. All of the members of the domain will lose access to their EFS volume, including data, notebooks, and other artifacts.","ref":"aws_sagemaker.html#delete_domain/2","title":"aws_sagemaker.delete_domain/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_domain/3","title":"aws_sagemaker.delete_domain/3","type":"function"},{"doc":"Deletes an edge deployment plan if (and only if) all the stages in the plan are inactive or there are no stages in the plan.","ref":"aws_sagemaker.html#delete_edge_deployment_plan/2","title":"aws_sagemaker.delete_edge_deployment_plan/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_edge_deployment_plan/3","title":"aws_sagemaker.delete_edge_deployment_plan/3","type":"function"},{"doc":"Delete a stage in an edge deployment plan if (and only if) the stage is inactive.","ref":"aws_sagemaker.html#delete_edge_deployment_stage/2","title":"aws_sagemaker.delete_edge_deployment_stage/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_edge_deployment_stage/3","title":"aws_sagemaker.delete_edge_deployment_stage/3","type":"function"},{"doc":"Deletes an endpoint. SageMaker frees up all of the resources that were deployed when the endpoint was created. SageMaker retires any custom KMS key grants associated with the endpoint, meaning you don't need to use the RevokeGrant API call. When you delete your endpoint, SageMaker asynchronously deletes associated endpoint resources such as KMS key grants. You might still see these resources in your account for a few minutes after deleting your endpoint. Do not delete or revoke the permissions for your ExecutionRoleArn , otherwise SageMaker cannot delete these resources.","ref":"aws_sagemaker.html#delete_endpoint/2","title":"aws_sagemaker.delete_endpoint/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_endpoint/3","title":"aws_sagemaker.delete_endpoint/3","type":"function"},{"doc":"Deletes an endpoint configuration. The DeleteEndpointConfig API deletes only the specified configuration. It does not delete endpoints created using the configuration. You must not delete an EndpointConfig in use by an endpoint that is live or while the UpdateEndpoint or CreateEndpoint operations are being performed on the endpoint. If you delete the EndpointConfig of an endpoint that is active or being created or updated you may lose visibility into the instance type the endpoint is using. The endpoint must be deleted in order to stop incurring charges.","ref":"aws_sagemaker.html#delete_endpoint_config/2","title":"aws_sagemaker.delete_endpoint_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_endpoint_config/3","title":"aws_sagemaker.delete_endpoint_config/3","type":"function"},{"doc":"Deletes an SageMaker experiment. All trials associated with the experiment must be deleted first. Use the ListTrials API to get a list of the trials associated with the experiment.","ref":"aws_sagemaker.html#delete_experiment/2","title":"aws_sagemaker.delete_experiment/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_experiment/3","title":"aws_sagemaker.delete_experiment/3","type":"function"},{"doc":"Delete the FeatureGroup and any data that was written to the OnlineStore of the FeatureGroup . Data cannot be accessed from the OnlineStore immediately after DeleteFeatureGroup is called. Data written into the OfflineStore will not be deleted. The Amazon Web Services Glue database and tables that are automatically created for your OfflineStore are not deleted.","ref":"aws_sagemaker.html#delete_feature_group/2","title":"aws_sagemaker.delete_feature_group/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_feature_group/3","title":"aws_sagemaker.delete_feature_group/3","type":"function"},{"doc":"Deletes the specified flow definition.","ref":"aws_sagemaker.html#delete_flow_definition/2","title":"aws_sagemaker.delete_flow_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_flow_definition/3","title":"aws_sagemaker.delete_flow_definition/3","type":"function"},{"doc":"Delete a hub. Hub APIs are only callable through SageMaker Studio.","ref":"aws_sagemaker.html#delete_hub/2","title":"aws_sagemaker.delete_hub/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_hub/3","title":"aws_sagemaker.delete_hub/3","type":"function"},{"doc":"Delete the contents of a hub. Hub APIs are only callable through SageMaker Studio.","ref":"aws_sagemaker.html#delete_hub_content/2","title":"aws_sagemaker.delete_hub_content/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_hub_content/3","title":"aws_sagemaker.delete_hub_content/3","type":"function"},{"doc":"Use this operation to delete a human task user interface (worker task template). To see a list of human task user interfaces (work task templates) in your account, use . When you delete a worker task template, it no longer appears when you call ListHumanTaskUis .","ref":"aws_sagemaker.html#delete_human_task_ui/2","title":"aws_sagemaker.delete_human_task_ui/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_human_task_ui/3","title":"aws_sagemaker.delete_human_task_ui/3","type":"function"},{"doc":"Deletes a SageMaker image and all versions of the image. The container images aren't deleted.","ref":"aws_sagemaker.html#delete_image/2","title":"aws_sagemaker.delete_image/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_image/3","title":"aws_sagemaker.delete_image/3","type":"function"},{"doc":"Deletes a version of a SageMaker image. The container image the version represents isn't deleted.","ref":"aws_sagemaker.html#delete_image_version/2","title":"aws_sagemaker.delete_image_version/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_image_version/3","title":"aws_sagemaker.delete_image_version/3","type":"function"},{"doc":"Deletes an inference experiment. This operation does not delete your endpoint, variants, or any underlying resources. This operation only deletes the metadata of your experiment.","ref":"aws_sagemaker.html#delete_inference_experiment/2","title":"aws_sagemaker.delete_inference_experiment/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_inference_experiment/3","title":"aws_sagemaker.delete_inference_experiment/3","type":"function"},{"doc":"Deletes a model. The DeleteModel API deletes only the model entry that was created in SageMaker when you called the CreateModel API. It does not delete model artifacts, inference code, or the IAM role that you specified when creating the model.","ref":"aws_sagemaker.html#delete_model/2","title":"aws_sagemaker.delete_model/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_model/3","title":"aws_sagemaker.delete_model/3","type":"function"},{"doc":"Deletes an Amazon SageMaker model bias job definition.","ref":"aws_sagemaker.html#delete_model_bias_job_definition/2","title":"aws_sagemaker.delete_model_bias_job_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_model_bias_job_definition/3","title":"aws_sagemaker.delete_model_bias_job_definition/3","type":"function"},{"doc":"Deletes an Amazon SageMaker Model Card.","ref":"aws_sagemaker.html#delete_model_card/2","title":"aws_sagemaker.delete_model_card/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_model_card/3","title":"aws_sagemaker.delete_model_card/3","type":"function"},{"doc":"Deletes an Amazon SageMaker model explainability job definition.","ref":"aws_sagemaker.html#delete_model_explainability_job_definition/2","title":"aws_sagemaker.delete_model_explainability_job_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_model_explainability_job_definition/3","title":"aws_sagemaker.delete_model_explainability_job_definition/3","type":"function"},{"doc":"Deletes a model package. A model package is used to create SageMaker models or list on Amazon Web Services Marketplace. Buyers can subscribe to model packages listed on Amazon Web Services Marketplace to create models in SageMaker.","ref":"aws_sagemaker.html#delete_model_package/2","title":"aws_sagemaker.delete_model_package/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_model_package/3","title":"aws_sagemaker.delete_model_package/3","type":"function"},{"doc":"Deletes the specified model group.","ref":"aws_sagemaker.html#delete_model_package_group/2","title":"aws_sagemaker.delete_model_package_group/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_model_package_group/3","title":"aws_sagemaker.delete_model_package_group/3","type":"function"},{"doc":"Deletes a model group resource policy.","ref":"aws_sagemaker.html#delete_model_package_group_policy/2","title":"aws_sagemaker.delete_model_package_group_policy/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_model_package_group_policy/3","title":"aws_sagemaker.delete_model_package_group_policy/3","type":"function"},{"doc":"Deletes the secified model quality monitoring job definition.","ref":"aws_sagemaker.html#delete_model_quality_job_definition/2","title":"aws_sagemaker.delete_model_quality_job_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_model_quality_job_definition/3","title":"aws_sagemaker.delete_model_quality_job_definition/3","type":"function"},{"doc":"Deletes a monitoring schedule. Also stops the schedule had not already been stopped. This does not delete the job execution history of the monitoring schedule.","ref":"aws_sagemaker.html#delete_monitoring_schedule/2","title":"aws_sagemaker.delete_monitoring_schedule/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_monitoring_schedule/3","title":"aws_sagemaker.delete_monitoring_schedule/3","type":"function"},{"doc":"Deletes an SageMaker notebook instance. Before you can delete a notebook instance, you must call the StopNotebookInstance API. When you delete a notebook instance, you lose all of your data. SageMaker removes the ML compute instance, and deletes the ML storage volume and the network interface associated with the notebook instance.","ref":"aws_sagemaker.html#delete_notebook_instance/2","title":"aws_sagemaker.delete_notebook_instance/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_notebook_instance/3","title":"aws_sagemaker.delete_notebook_instance/3","type":"function"},{"doc":"Deletes a notebook instance lifecycle configuration.","ref":"aws_sagemaker.html#delete_notebook_instance_lifecycle_config/2","title":"aws_sagemaker.delete_notebook_instance_lifecycle_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_notebook_instance_lifecycle_config/3","title":"aws_sagemaker.delete_notebook_instance_lifecycle_config/3","type":"function"},{"doc":"Deletes a pipeline if there are no running instances of the pipeline. To delete a pipeline, you must stop all running instances of the pipeline using the StopPipelineExecution API. When you delete a pipeline, all instances of the pipeline are deleted.","ref":"aws_sagemaker.html#delete_pipeline/2","title":"aws_sagemaker.delete_pipeline/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_pipeline/3","title":"aws_sagemaker.delete_pipeline/3","type":"function"},{"doc":"Delete the specified project.","ref":"aws_sagemaker.html#delete_project/2","title":"aws_sagemaker.delete_project/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_project/3","title":"aws_sagemaker.delete_project/3","type":"function"},{"doc":"Used to delete a space.","ref":"aws_sagemaker.html#delete_space/2","title":"aws_sagemaker.delete_space/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_space/3","title":"aws_sagemaker.delete_space/3","type":"function"},{"doc":"Deletes the Studio Lifecycle Configuration. In order to delete the Lifecycle Configuration, there must be no running apps using the Lifecycle Configuration. You must also remove the Lifecycle Configuration from UserSettings in all Domains and UserProfiles.","ref":"aws_sagemaker.html#delete_studio_lifecycle_config/2","title":"aws_sagemaker.delete_studio_lifecycle_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_studio_lifecycle_config/3","title":"aws_sagemaker.delete_studio_lifecycle_config/3","type":"function"},{"doc":"Deletes the specified tags from an SageMaker resource. To list a resource's tags, use the ListTags API. When you call this API to delete tags from a hyperparameter tuning job, the deleted tags are not removed from training jobs that the hyperparameter tuning job launched before you called this API. When you call this API to delete tags from a SageMaker Studio Domain or User Profile, the deleted tags are not removed from Apps that the SageMaker Studio Domain or User Profile launched before you called this API.","ref":"aws_sagemaker.html#delete_tags/2","title":"aws_sagemaker.delete_tags/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_tags/3","title":"aws_sagemaker.delete_tags/3","type":"function"},{"doc":"Deletes the specified trial. All trial components that make up the trial must be deleted first. Use the DescribeTrialComponent API to get the list of trial components.","ref":"aws_sagemaker.html#delete_trial/2","title":"aws_sagemaker.delete_trial/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_trial/3","title":"aws_sagemaker.delete_trial/3","type":"function"},{"doc":"Deletes the specified trial component. A trial component must be disassociated from all trials before the trial component can be deleted. To disassociate a trial component from a trial, call the DisassociateTrialComponent API.","ref":"aws_sagemaker.html#delete_trial_component/2","title":"aws_sagemaker.delete_trial_component/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_trial_component/3","title":"aws_sagemaker.delete_trial_component/3","type":"function"},{"doc":"Deletes a user profile. When a user profile is deleted, the user loses access to their EFS volume, including data, notebooks, and other artifacts.","ref":"aws_sagemaker.html#delete_user_profile/2","title":"aws_sagemaker.delete_user_profile/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_user_profile/3","title":"aws_sagemaker.delete_user_profile/3","type":"function"},{"doc":"Use this operation to delete a workforce. If you want to create a new workforce in an Amazon Web Services Region where a workforce already exists, use this operation to delete the existing workforce and then use to create a new workforce. If a private workforce contains one or more work teams, you must use the operation to delete all work teams before you delete the workforce. If you try to delete a workforce that contains one or more work teams, you will recieve a ResourceInUse error.","ref":"aws_sagemaker.html#delete_workforce/2","title":"aws_sagemaker.delete_workforce/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_workforce/3","title":"aws_sagemaker.delete_workforce/3","type":"function"},{"doc":"Deletes an existing work team. This operation can't be undone.","ref":"aws_sagemaker.html#delete_workteam/2","title":"aws_sagemaker.delete_workteam/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#delete_workteam/3","title":"aws_sagemaker.delete_workteam/3","type":"function"},{"doc":"Deregisters the specified devices. After you deregister a device, you will need to re-register the devices.","ref":"aws_sagemaker.html#deregister_devices/2","title":"aws_sagemaker.deregister_devices/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#deregister_devices/3","title":"aws_sagemaker.deregister_devices/3","type":"function"},{"doc":"Describes an action.","ref":"aws_sagemaker.html#describe_action/2","title":"aws_sagemaker.describe_action/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_action/3","title":"aws_sagemaker.describe_action/3","type":"function"},{"doc":"Returns a description of the specified algorithm that is in your account.","ref":"aws_sagemaker.html#describe_algorithm/2","title":"aws_sagemaker.describe_algorithm/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_algorithm/3","title":"aws_sagemaker.describe_algorithm/3","type":"function"},{"doc":"Describes the app.","ref":"aws_sagemaker.html#describe_app/2","title":"aws_sagemaker.describe_app/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_app/3","title":"aws_sagemaker.describe_app/3","type":"function"},{"doc":"Describes an AppImageConfig.","ref":"aws_sagemaker.html#describe_app_image_config/2","title":"aws_sagemaker.describe_app_image_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_app_image_config/3","title":"aws_sagemaker.describe_app_image_config/3","type":"function"},{"doc":"Describes an artifact.","ref":"aws_sagemaker.html#describe_artifact/2","title":"aws_sagemaker.describe_artifact/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_artifact/3","title":"aws_sagemaker.describe_artifact/3","type":"function"},{"doc":"Returns information about an Amazon SageMaker AutoML job.","ref":"aws_sagemaker.html#describe_auto_ml_job/2","title":"aws_sagemaker.describe_auto_ml_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_auto_ml_job/3","title":"aws_sagemaker.describe_auto_ml_job/3","type":"function"},{"doc":"Gets details about the specified Git repository.","ref":"aws_sagemaker.html#describe_code_repository/2","title":"aws_sagemaker.describe_code_repository/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_code_repository/3","title":"aws_sagemaker.describe_code_repository/3","type":"function"},{"doc":"Returns information about a model compilation job. To create a model compilation job, use CreateCompilationJob . To get information about multiple model compilation jobs, use ListCompilationJobs .","ref":"aws_sagemaker.html#describe_compilation_job/2","title":"aws_sagemaker.describe_compilation_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_compilation_job/3","title":"aws_sagemaker.describe_compilation_job/3","type":"function"},{"doc":"Describes a context.","ref":"aws_sagemaker.html#describe_context/2","title":"aws_sagemaker.describe_context/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_context/3","title":"aws_sagemaker.describe_context/3","type":"function"},{"doc":"Gets the details of a data quality monitoring job definition.","ref":"aws_sagemaker.html#describe_data_quality_job_definition/2","title":"aws_sagemaker.describe_data_quality_job_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_data_quality_job_definition/3","title":"aws_sagemaker.describe_data_quality_job_definition/3","type":"function"},{"doc":"Describes the device.","ref":"aws_sagemaker.html#describe_device/2","title":"aws_sagemaker.describe_device/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_device/3","title":"aws_sagemaker.describe_device/3","type":"function"},{"doc":"A description of the fleet the device belongs to.","ref":"aws_sagemaker.html#describe_device_fleet/2","title":"aws_sagemaker.describe_device_fleet/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_device_fleet/3","title":"aws_sagemaker.describe_device_fleet/3","type":"function"},{"doc":"The description of the domain.","ref":"aws_sagemaker.html#describe_domain/2","title":"aws_sagemaker.describe_domain/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_domain/3","title":"aws_sagemaker.describe_domain/3","type":"function"},{"doc":"Describes an edge deployment plan with deployment status per stage.","ref":"aws_sagemaker.html#describe_edge_deployment_plan/2","title":"aws_sagemaker.describe_edge_deployment_plan/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_edge_deployment_plan/3","title":"aws_sagemaker.describe_edge_deployment_plan/3","type":"function"},{"doc":"A description of edge packaging jobs.","ref":"aws_sagemaker.html#describe_edge_packaging_job/2","title":"aws_sagemaker.describe_edge_packaging_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_edge_packaging_job/3","title":"aws_sagemaker.describe_edge_packaging_job/3","type":"function"},{"doc":"Returns the description of an endpoint.","ref":"aws_sagemaker.html#describe_endpoint/2","title":"aws_sagemaker.describe_endpoint/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_endpoint/3","title":"aws_sagemaker.describe_endpoint/3","type":"function"},{"doc":"Returns the description of an endpoint configuration created using the CreateEndpointConfig API.","ref":"aws_sagemaker.html#describe_endpoint_config/2","title":"aws_sagemaker.describe_endpoint_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_endpoint_config/3","title":"aws_sagemaker.describe_endpoint_config/3","type":"function"},{"doc":"Provides a list of an experiment's properties.","ref":"aws_sagemaker.html#describe_experiment/2","title":"aws_sagemaker.describe_experiment/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_experiment/3","title":"aws_sagemaker.describe_experiment/3","type":"function"},{"doc":"Use this operation to describe a FeatureGroup . The response includes information on the creation time, FeatureGroup name, the unique identifier for each FeatureGroup , and more.","ref":"aws_sagemaker.html#describe_feature_group/2","title":"aws_sagemaker.describe_feature_group/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_feature_group/3","title":"aws_sagemaker.describe_feature_group/3","type":"function"},{"doc":"Shows the metadata for a feature within a feature group.","ref":"aws_sagemaker.html#describe_feature_metadata/2","title":"aws_sagemaker.describe_feature_metadata/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_feature_metadata/3","title":"aws_sagemaker.describe_feature_metadata/3","type":"function"},{"doc":"Returns information about the specified flow definition.","ref":"aws_sagemaker.html#describe_flow_definition/2","title":"aws_sagemaker.describe_flow_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_flow_definition/3","title":"aws_sagemaker.describe_flow_definition/3","type":"function"},{"doc":"Describe a hub. Hub APIs are only callable through SageMaker Studio.","ref":"aws_sagemaker.html#describe_hub/2","title":"aws_sagemaker.describe_hub/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_hub/3","title":"aws_sagemaker.describe_hub/3","type":"function"},{"doc":"Describe the content of a hub. Hub APIs are only callable through SageMaker Studio.","ref":"aws_sagemaker.html#describe_hub_content/2","title":"aws_sagemaker.describe_hub_content/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_hub_content/3","title":"aws_sagemaker.describe_hub_content/3","type":"function"},{"doc":"Returns information about the requested human task user interface (worker task template).","ref":"aws_sagemaker.html#describe_human_task_ui/2","title":"aws_sagemaker.describe_human_task_ui/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_human_task_ui/3","title":"aws_sagemaker.describe_human_task_ui/3","type":"function"},{"doc":"Gets a description of a hyperparameter tuning job.","ref":"aws_sagemaker.html#describe_hyper_parameter_tuning_job/2","title":"aws_sagemaker.describe_hyper_parameter_tuning_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_hyper_parameter_tuning_job/3","title":"aws_sagemaker.describe_hyper_parameter_tuning_job/3","type":"function"},{"doc":"Describes a SageMaker image.","ref":"aws_sagemaker.html#describe_image/2","title":"aws_sagemaker.describe_image/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_image/3","title":"aws_sagemaker.describe_image/3","type":"function"},{"doc":"Describes a version of a SageMaker image.","ref":"aws_sagemaker.html#describe_image_version/2","title":"aws_sagemaker.describe_image_version/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_image_version/3","title":"aws_sagemaker.describe_image_version/3","type":"function"},{"doc":"Returns details about an inference experiment.","ref":"aws_sagemaker.html#describe_inference_experiment/2","title":"aws_sagemaker.describe_inference_experiment/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_inference_experiment/3","title":"aws_sagemaker.describe_inference_experiment/3","type":"function"},{"doc":"Provides the results of the Inference Recommender job. One or more recommendation jobs are returned.","ref":"aws_sagemaker.html#describe_inference_recommendations_job/2","title":"aws_sagemaker.describe_inference_recommendations_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_inference_recommendations_job/3","title":"aws_sagemaker.describe_inference_recommendations_job/3","type":"function"},{"doc":"Gets information about a labeling job.","ref":"aws_sagemaker.html#describe_labeling_job/2","title":"aws_sagemaker.describe_labeling_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_labeling_job/3","title":"aws_sagemaker.describe_labeling_job/3","type":"function"},{"doc":"Provides a list of properties for the requested lineage group. For more information, see Cross-Account Lineage Tracking in the Amazon SageMaker Developer Guide.","ref":"aws_sagemaker.html#describe_lineage_group/2","title":"aws_sagemaker.describe_lineage_group/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_lineage_group/3","title":"aws_sagemaker.describe_lineage_group/3","type":"function"},{"doc":"Describes a model that you created using the CreateModel API.","ref":"aws_sagemaker.html#describe_model/2","title":"aws_sagemaker.describe_model/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_model/3","title":"aws_sagemaker.describe_model/3","type":"function"},{"doc":"Returns a description of a model bias job definition.","ref":"aws_sagemaker.html#describe_model_bias_job_definition/2","title":"aws_sagemaker.describe_model_bias_job_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_model_bias_job_definition/3","title":"aws_sagemaker.describe_model_bias_job_definition/3","type":"function"},{"doc":"Describes the content, creation time, and security configuration of an Amazon SageMaker Model Card.","ref":"aws_sagemaker.html#describe_model_card/2","title":"aws_sagemaker.describe_model_card/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_model_card/3","title":"aws_sagemaker.describe_model_card/3","type":"function"},{"doc":"Describes an Amazon SageMaker Model Card export job.","ref":"aws_sagemaker.html#describe_model_card_export_job/2","title":"aws_sagemaker.describe_model_card_export_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_model_card_export_job/3","title":"aws_sagemaker.describe_model_card_export_job/3","type":"function"},{"doc":"Returns a description of a model explainability job definition.","ref":"aws_sagemaker.html#describe_model_explainability_job_definition/2","title":"aws_sagemaker.describe_model_explainability_job_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_model_explainability_job_definition/3","title":"aws_sagemaker.describe_model_explainability_job_definition/3","type":"function"},{"doc":"Returns a description of the specified model package, which is used to create SageMaker models or list them on Amazon Web Services Marketplace. To create models in SageMaker, buyers can subscribe to model packages listed on Amazon Web Services Marketplace.","ref":"aws_sagemaker.html#describe_model_package/2","title":"aws_sagemaker.describe_model_package/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_model_package/3","title":"aws_sagemaker.describe_model_package/3","type":"function"},{"doc":"Gets a description for the specified model group.","ref":"aws_sagemaker.html#describe_model_package_group/2","title":"aws_sagemaker.describe_model_package_group/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_model_package_group/3","title":"aws_sagemaker.describe_model_package_group/3","type":"function"},{"doc":"Returns a description of a model quality job definition.","ref":"aws_sagemaker.html#describe_model_quality_job_definition/2","title":"aws_sagemaker.describe_model_quality_job_definition/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_model_quality_job_definition/3","title":"aws_sagemaker.describe_model_quality_job_definition/3","type":"function"},{"doc":"Describes the schedule for a monitoring job.","ref":"aws_sagemaker.html#describe_monitoring_schedule/2","title":"aws_sagemaker.describe_monitoring_schedule/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_monitoring_schedule/3","title":"aws_sagemaker.describe_monitoring_schedule/3","type":"function"},{"doc":"Returns information about a notebook instance.","ref":"aws_sagemaker.html#describe_notebook_instance/2","title":"aws_sagemaker.describe_notebook_instance/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_notebook_instance/3","title":"aws_sagemaker.describe_notebook_instance/3","type":"function"},{"doc":"Returns a description of a notebook instance lifecycle configuration. For information about notebook instance lifestyle configurations, see Step 2.1: (Optional) Customize a Notebook Instance.","ref":"aws_sagemaker.html#describe_notebook_instance_lifecycle_config/2","title":"aws_sagemaker.describe_notebook_instance_lifecycle_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_notebook_instance_lifecycle_config/3","title":"aws_sagemaker.describe_notebook_instance_lifecycle_config/3","type":"function"},{"doc":"Describes the details of a pipeline.","ref":"aws_sagemaker.html#describe_pipeline/2","title":"aws_sagemaker.describe_pipeline/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_pipeline/3","title":"aws_sagemaker.describe_pipeline/3","type":"function"},{"doc":"Describes the details of an execution's pipeline definition.","ref":"aws_sagemaker.html#describe_pipeline_definition_for_execution/2","title":"aws_sagemaker.describe_pipeline_definition_for_execution/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_pipeline_definition_for_execution/3","title":"aws_sagemaker.describe_pipeline_definition_for_execution/3","type":"function"},{"doc":"Describes the details of a pipeline execution.","ref":"aws_sagemaker.html#describe_pipeline_execution/2","title":"aws_sagemaker.describe_pipeline_execution/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_pipeline_execution/3","title":"aws_sagemaker.describe_pipeline_execution/3","type":"function"},{"doc":"Returns a description of a processing job.","ref":"aws_sagemaker.html#describe_processing_job/2","title":"aws_sagemaker.describe_processing_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_processing_job/3","title":"aws_sagemaker.describe_processing_job/3","type":"function"},{"doc":"Describes the details of a project.","ref":"aws_sagemaker.html#describe_project/2","title":"aws_sagemaker.describe_project/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_project/3","title":"aws_sagemaker.describe_project/3","type":"function"},{"doc":"Describes the space.","ref":"aws_sagemaker.html#describe_space/2","title":"aws_sagemaker.describe_space/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_space/3","title":"aws_sagemaker.describe_space/3","type":"function"},{"doc":"Describes the Studio Lifecycle Configuration.","ref":"aws_sagemaker.html#describe_studio_lifecycle_config/2","title":"aws_sagemaker.describe_studio_lifecycle_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_studio_lifecycle_config/3","title":"aws_sagemaker.describe_studio_lifecycle_config/3","type":"function"},{"doc":"Gets information about a work team provided by a vendor. It returns details about the subscription with a vendor in the Amazon Web Services Marketplace.","ref":"aws_sagemaker.html#describe_subscribed_workteam/2","title":"aws_sagemaker.describe_subscribed_workteam/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_subscribed_workteam/3","title":"aws_sagemaker.describe_subscribed_workteam/3","type":"function"},{"doc":"Returns information about a training job. Some of the attributes below only appear if the training job successfully starts. If the training job fails, TrainingJobStatus is Failed and, depending on the FailureReason , attributes like TrainingStartTime , TrainingTimeInSeconds , TrainingEndTime , and BillableTimeInSeconds may not be present in the response.","ref":"aws_sagemaker.html#describe_training_job/2","title":"aws_sagemaker.describe_training_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_training_job/3","title":"aws_sagemaker.describe_training_job/3","type":"function"},{"doc":"Returns information about a transform job.","ref":"aws_sagemaker.html#describe_transform_job/2","title":"aws_sagemaker.describe_transform_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_transform_job/3","title":"aws_sagemaker.describe_transform_job/3","type":"function"},{"doc":"Provides a list of a trial's properties.","ref":"aws_sagemaker.html#describe_trial/2","title":"aws_sagemaker.describe_trial/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_trial/3","title":"aws_sagemaker.describe_trial/3","type":"function"},{"doc":"Provides a list of a trials component's properties.","ref":"aws_sagemaker.html#describe_trial_component/2","title":"aws_sagemaker.describe_trial_component/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_trial_component/3","title":"aws_sagemaker.describe_trial_component/3","type":"function"},{"doc":"Describes a user profile. For more information, see CreateUserProfile .","ref":"aws_sagemaker.html#describe_user_profile/2","title":"aws_sagemaker.describe_user_profile/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_user_profile/3","title":"aws_sagemaker.describe_user_profile/3","type":"function"},{"doc":"Lists private workforce information, including workforce name, Amazon Resource Name (ARN), and, if applicable, allowed IP address ranges (CIDRs). Allowable IP address ranges are the IP addresses that workers can use to access tasks. This operation applies only to private workforces.","ref":"aws_sagemaker.html#describe_workforce/2","title":"aws_sagemaker.describe_workforce/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_workforce/3","title":"aws_sagemaker.describe_workforce/3","type":"function"},{"doc":"Gets information about a specific work team. You can see information such as the create date, the last updated date, membership information, and the work team's Amazon Resource Name (ARN).","ref":"aws_sagemaker.html#describe_workteam/2","title":"aws_sagemaker.describe_workteam/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#describe_workteam/3","title":"aws_sagemaker.describe_workteam/3","type":"function"},{"doc":"Disables using Service Catalog in SageMaker. Service Catalog is used to create SageMaker projects.","ref":"aws_sagemaker.html#disable_sagemaker_servicecatalog_portfolio/2","title":"aws_sagemaker.disable_sagemaker_servicecatalog_portfolio/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#disable_sagemaker_servicecatalog_portfolio/3","title":"aws_sagemaker.disable_sagemaker_servicecatalog_portfolio/3","type":"function"},{"doc":"Disassociates a trial component from a trial. This doesn't effect other trials the component is associated with. Before you can delete a component, you must disassociate the component from all trials it is associated with. To associate a trial component with a trial, call the AssociateTrialComponent API. To get a list of the trials a component is associated with, use the Search API. Specify ExperimentTrialComponent for the Resource parameter. The list appears in the response under Results.TrialComponent.Parents .","ref":"aws_sagemaker.html#disassociate_trial_component/2","title":"aws_sagemaker.disassociate_trial_component/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#disassociate_trial_component/3","title":"aws_sagemaker.disassociate_trial_component/3","type":"function"},{"doc":"Enables using Service Catalog in SageMaker. Service Catalog is used to create SageMaker projects.","ref":"aws_sagemaker.html#enable_sagemaker_servicecatalog_portfolio/2","title":"aws_sagemaker.enable_sagemaker_servicecatalog_portfolio/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#enable_sagemaker_servicecatalog_portfolio/3","title":"aws_sagemaker.enable_sagemaker_servicecatalog_portfolio/3","type":"function"},{"doc":"Describes a fleet.","ref":"aws_sagemaker.html#get_device_fleet_report/2","title":"aws_sagemaker.get_device_fleet_report/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#get_device_fleet_report/3","title":"aws_sagemaker.get_device_fleet_report/3","type":"function"},{"doc":"The resource policy for the lineage group.","ref":"aws_sagemaker.html#get_lineage_group_policy/2","title":"aws_sagemaker.get_lineage_group_policy/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#get_lineage_group_policy/3","title":"aws_sagemaker.get_lineage_group_policy/3","type":"function"},{"doc":"Gets a resource policy that manages access for a model group. For information about resource policies, see Identity-based policies and resource-based policies in the Amazon Web Services Identity and Access Management User Guide..","ref":"aws_sagemaker.html#get_model_package_group_policy/2","title":"aws_sagemaker.get_model_package_group_policy/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#get_model_package_group_policy/3","title":"aws_sagemaker.get_model_package_group_policy/3","type":"function"},{"doc":"Gets the status of Service Catalog in SageMaker. Service Catalog is used to create SageMaker projects.","ref":"aws_sagemaker.html#get_sagemaker_servicecatalog_portfolio_status/2","title":"aws_sagemaker.get_sagemaker_servicecatalog_portfolio_status/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#get_sagemaker_servicecatalog_portfolio_status/3","title":"aws_sagemaker.get_sagemaker_servicecatalog_portfolio_status/3","type":"function"},{"doc":"An auto-complete API for the search functionality in the Amazon SageMaker console. It returns suggestions of possible matches for the property name to use in Search queries. Provides suggestions for HyperParameters , Tags , and Metrics .","ref":"aws_sagemaker.html#get_search_suggestions/2","title":"aws_sagemaker.get_search_suggestions/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#get_search_suggestions/3","title":"aws_sagemaker.get_search_suggestions/3","type":"function"},{"doc":"Import hub content. Hub APIs are only callable through SageMaker Studio.","ref":"aws_sagemaker.html#import_hub_content/2","title":"aws_sagemaker.import_hub_content/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#import_hub_content/3","title":"aws_sagemaker.import_hub_content/3","type":"function"},{"doc":"Lists the actions in your account and their properties.","ref":"aws_sagemaker.html#list_actions/2","title":"aws_sagemaker.list_actions/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_actions/3","title":"aws_sagemaker.list_actions/3","type":"function"},{"doc":"Lists the machine learning algorithms that have been created.","ref":"aws_sagemaker.html#list_algorithms/2","title":"aws_sagemaker.list_algorithms/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_algorithms/3","title":"aws_sagemaker.list_algorithms/3","type":"function"},{"doc":"Lists the aliases of a specified image or image version.","ref":"aws_sagemaker.html#list_aliases/2","title":"aws_sagemaker.list_aliases/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_aliases/3","title":"aws_sagemaker.list_aliases/3","type":"function"},{"doc":"Lists the AppImageConfigs in your account and their properties. The list can be filtered by creation time or modified time, and whether the AppImageConfig name contains a specified string.","ref":"aws_sagemaker.html#list_app_image_configs/2","title":"aws_sagemaker.list_app_image_configs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_app_image_configs/3","title":"aws_sagemaker.list_app_image_configs/3","type":"function"},{"doc":"Lists apps.","ref":"aws_sagemaker.html#list_apps/2","title":"aws_sagemaker.list_apps/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_apps/3","title":"aws_sagemaker.list_apps/3","type":"function"},{"doc":"Lists the artifacts in your account and their properties.","ref":"aws_sagemaker.html#list_artifacts/2","title":"aws_sagemaker.list_artifacts/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_artifacts/3","title":"aws_sagemaker.list_artifacts/3","type":"function"},{"doc":"Lists the associations in your account and their properties.","ref":"aws_sagemaker.html#list_associations/2","title":"aws_sagemaker.list_associations/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_associations/3","title":"aws_sagemaker.list_associations/3","type":"function"},{"doc":"Request a list of jobs.","ref":"aws_sagemaker.html#list_auto_ml_jobs/2","title":"aws_sagemaker.list_auto_ml_jobs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_auto_ml_jobs/3","title":"aws_sagemaker.list_auto_ml_jobs/3","type":"function"},{"doc":"List the candidates created for the job.","ref":"aws_sagemaker.html#list_candidates_for_auto_ml_job/2","title":"aws_sagemaker.list_candidates_for_auto_ml_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_candidates_for_auto_ml_job/3","title":"aws_sagemaker.list_candidates_for_auto_ml_job/3","type":"function"},{"doc":"Gets a list of the Git repositories in your account.","ref":"aws_sagemaker.html#list_code_repositories/2","title":"aws_sagemaker.list_code_repositories/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_code_repositories/3","title":"aws_sagemaker.list_code_repositories/3","type":"function"},{"doc":"Lists model compilation jobs that satisfy various filters. To create a model compilation job, use CreateCompilationJob . To get information about a particular model compilation job you have created, use DescribeCompilationJob .","ref":"aws_sagemaker.html#list_compilation_jobs/2","title":"aws_sagemaker.list_compilation_jobs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_compilation_jobs/3","title":"aws_sagemaker.list_compilation_jobs/3","type":"function"},{"doc":"Lists the contexts in your account and their properties.","ref":"aws_sagemaker.html#list_contexts/2","title":"aws_sagemaker.list_contexts/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_contexts/3","title":"aws_sagemaker.list_contexts/3","type":"function"},{"doc":"Lists the data quality job definitions in your account.","ref":"aws_sagemaker.html#list_data_quality_job_definitions/2","title":"aws_sagemaker.list_data_quality_job_definitions/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_data_quality_job_definitions/3","title":"aws_sagemaker.list_data_quality_job_definitions/3","type":"function"},{"doc":"Returns a list of devices in the fleet.","ref":"aws_sagemaker.html#list_device_fleets/2","title":"aws_sagemaker.list_device_fleets/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_device_fleets/3","title":"aws_sagemaker.list_device_fleets/3","type":"function"},{"doc":"A list of devices.","ref":"aws_sagemaker.html#list_devices/2","title":"aws_sagemaker.list_devices/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_devices/3","title":"aws_sagemaker.list_devices/3","type":"function"},{"doc":"Lists the domains.","ref":"aws_sagemaker.html#list_domains/2","title":"aws_sagemaker.list_domains/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_domains/3","title":"aws_sagemaker.list_domains/3","type":"function"},{"doc":"Lists all edge deployment plans.","ref":"aws_sagemaker.html#list_edge_deployment_plans/2","title":"aws_sagemaker.list_edge_deployment_plans/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_edge_deployment_plans/3","title":"aws_sagemaker.list_edge_deployment_plans/3","type":"function"},{"doc":"Returns a list of edge packaging jobs.","ref":"aws_sagemaker.html#list_edge_packaging_jobs/2","title":"aws_sagemaker.list_edge_packaging_jobs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_edge_packaging_jobs/3","title":"aws_sagemaker.list_edge_packaging_jobs/3","type":"function"},{"doc":"Lists endpoint configurations.","ref":"aws_sagemaker.html#list_endpoint_configs/2","title":"aws_sagemaker.list_endpoint_configs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_endpoint_configs/3","title":"aws_sagemaker.list_endpoint_configs/3","type":"function"},{"doc":"Lists endpoints.","ref":"aws_sagemaker.html#list_endpoints/2","title":"aws_sagemaker.list_endpoints/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_endpoints/3","title":"aws_sagemaker.list_endpoints/3","type":"function"},{"doc":"Lists all the experiments in your account. The list can be filtered to show only experiments that were created in a specific time range. The list can be sorted by experiment name or creation time.","ref":"aws_sagemaker.html#list_experiments/2","title":"aws_sagemaker.list_experiments/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_experiments/3","title":"aws_sagemaker.list_experiments/3","type":"function"},{"doc":"List FeatureGroup s based on given filter and order.","ref":"aws_sagemaker.html#list_feature_groups/2","title":"aws_sagemaker.list_feature_groups/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_feature_groups/3","title":"aws_sagemaker.list_feature_groups/3","type":"function"},{"doc":"Returns information about the flow definitions in your account.","ref":"aws_sagemaker.html#list_flow_definitions/2","title":"aws_sagemaker.list_flow_definitions/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_flow_definitions/3","title":"aws_sagemaker.list_flow_definitions/3","type":"function"},{"doc":"List hub content versions. Hub APIs are only callable through SageMaker Studio.","ref":"aws_sagemaker.html#list_hub_content_versions/2","title":"aws_sagemaker.list_hub_content_versions/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_hub_content_versions/3","title":"aws_sagemaker.list_hub_content_versions/3","type":"function"},{"doc":"List the contents of a hub. Hub APIs are only callable through SageMaker Studio.","ref":"aws_sagemaker.html#list_hub_contents/2","title":"aws_sagemaker.list_hub_contents/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_hub_contents/3","title":"aws_sagemaker.list_hub_contents/3","type":"function"},{"doc":"List all existing hubs. Hub APIs are only callable through SageMaker Studio.","ref":"aws_sagemaker.html#list_hubs/2","title":"aws_sagemaker.list_hubs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_hubs/3","title":"aws_sagemaker.list_hubs/3","type":"function"},{"doc":"Returns information about the human task user interfaces in your account.","ref":"aws_sagemaker.html#list_human_task_uis/2","title":"aws_sagemaker.list_human_task_uis/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_human_task_uis/3","title":"aws_sagemaker.list_human_task_uis/3","type":"function"},{"doc":"Gets a list of HyperParameterTuningJobSummary objects that describe the hyperparameter tuning jobs launched in your account.","ref":"aws_sagemaker.html#list_hyper_parameter_tuning_jobs/2","title":"aws_sagemaker.list_hyper_parameter_tuning_jobs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_hyper_parameter_tuning_jobs/3","title":"aws_sagemaker.list_hyper_parameter_tuning_jobs/3","type":"function"},{"doc":"Lists the versions of a specified image and their properties. The list can be filtered by creation time or modified time.","ref":"aws_sagemaker.html#list_image_versions/2","title":"aws_sagemaker.list_image_versions/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_image_versions/3","title":"aws_sagemaker.list_image_versions/3","type":"function"},{"doc":"Lists the images in your account and their properties. The list can be filtered by creation time or modified time, and whether the image name contains a specified string.","ref":"aws_sagemaker.html#list_images/2","title":"aws_sagemaker.list_images/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_images/3","title":"aws_sagemaker.list_images/3","type":"function"},{"doc":"Returns the list of all inference experiments.","ref":"aws_sagemaker.html#list_inference_experiments/2","title":"aws_sagemaker.list_inference_experiments/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_inference_experiments/3","title":"aws_sagemaker.list_inference_experiments/3","type":"function"},{"doc":"Returns a list of the subtasks for an Inference Recommender job. The supported subtasks are benchmarks, which evaluate the performance of your model on different instance types.","ref":"aws_sagemaker.html#list_inference_recommendations_job_steps/2","title":"aws_sagemaker.list_inference_recommendations_job_steps/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_inference_recommendations_job_steps/3","title":"aws_sagemaker.list_inference_recommendations_job_steps/3","type":"function"},{"doc":"Lists recommendation jobs that satisfy various filters.","ref":"aws_sagemaker.html#list_inference_recommendations_jobs/2","title":"aws_sagemaker.list_inference_recommendations_jobs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_inference_recommendations_jobs/3","title":"aws_sagemaker.list_inference_recommendations_jobs/3","type":"function"},{"doc":"Gets a list of labeling jobs.","ref":"aws_sagemaker.html#list_labeling_jobs/2","title":"aws_sagemaker.list_labeling_jobs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_labeling_jobs/3","title":"aws_sagemaker.list_labeling_jobs/3","type":"function"},{"doc":"Gets a list of labeling jobs assigned to a specified work team.","ref":"aws_sagemaker.html#list_labeling_jobs_for_workteam/2","title":"aws_sagemaker.list_labeling_jobs_for_workteam/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_labeling_jobs_for_workteam/3","title":"aws_sagemaker.list_labeling_jobs_for_workteam/3","type":"function"},{"doc":"A list of lineage groups shared with your Amazon Web Services account. For more information, see Cross-Account Lineage Tracking in the Amazon SageMaker Developer Guide.","ref":"aws_sagemaker.html#list_lineage_groups/2","title":"aws_sagemaker.list_lineage_groups/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_lineage_groups/3","title":"aws_sagemaker.list_lineage_groups/3","type":"function"},{"doc":"Lists model bias jobs definitions that satisfy various filters.","ref":"aws_sagemaker.html#list_model_bias_job_definitions/2","title":"aws_sagemaker.list_model_bias_job_definitions/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_model_bias_job_definitions/3","title":"aws_sagemaker.list_model_bias_job_definitions/3","type":"function"},{"doc":"List the export jobs for the Amazon SageMaker Model Card.","ref":"aws_sagemaker.html#list_model_card_export_jobs/2","title":"aws_sagemaker.list_model_card_export_jobs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_model_card_export_jobs/3","title":"aws_sagemaker.list_model_card_export_jobs/3","type":"function"},{"doc":"List existing versions of an Amazon SageMaker Model Card.","ref":"aws_sagemaker.html#list_model_card_versions/2","title":"aws_sagemaker.list_model_card_versions/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_model_card_versions/3","title":"aws_sagemaker.list_model_card_versions/3","type":"function"},{"doc":"List existing model cards.","ref":"aws_sagemaker.html#list_model_cards/2","title":"aws_sagemaker.list_model_cards/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_model_cards/3","title":"aws_sagemaker.list_model_cards/3","type":"function"},{"doc":"Lists model explainability job definitions that satisfy various filters.","ref":"aws_sagemaker.html#list_model_explainability_job_definitions/2","title":"aws_sagemaker.list_model_explainability_job_definitions/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_model_explainability_job_definitions/3","title":"aws_sagemaker.list_model_explainability_job_definitions/3","type":"function"},{"doc":"Lists the domain, framework, task, and model name of standard machine learning models found in common model zoos.","ref":"aws_sagemaker.html#list_model_metadata/2","title":"aws_sagemaker.list_model_metadata/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_model_metadata/3","title":"aws_sagemaker.list_model_metadata/3","type":"function"},{"doc":"Gets a list of the model groups in your Amazon Web Services account.","ref":"aws_sagemaker.html#list_model_package_groups/2","title":"aws_sagemaker.list_model_package_groups/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_model_package_groups/3","title":"aws_sagemaker.list_model_package_groups/3","type":"function"},{"doc":"Lists the model packages that have been created.","ref":"aws_sagemaker.html#list_model_packages/2","title":"aws_sagemaker.list_model_packages/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_model_packages/3","title":"aws_sagemaker.list_model_packages/3","type":"function"},{"doc":"Gets a list of model quality monitoring job definitions in your account.","ref":"aws_sagemaker.html#list_model_quality_job_definitions/2","title":"aws_sagemaker.list_model_quality_job_definitions/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_model_quality_job_definitions/3","title":"aws_sagemaker.list_model_quality_job_definitions/3","type":"function"},{"doc":"Lists models created with the CreateModel API.","ref":"aws_sagemaker.html#list_models/2","title":"aws_sagemaker.list_models/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_models/3","title":"aws_sagemaker.list_models/3","type":"function"},{"doc":"Gets a list of past alerts in a model monitoring schedule.","ref":"aws_sagemaker.html#list_monitoring_alert_history/2","title":"aws_sagemaker.list_monitoring_alert_history/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_monitoring_alert_history/3","title":"aws_sagemaker.list_monitoring_alert_history/3","type":"function"},{"doc":"Gets the alerts for a single monitoring schedule.","ref":"aws_sagemaker.html#list_monitoring_alerts/2","title":"aws_sagemaker.list_monitoring_alerts/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_monitoring_alerts/3","title":"aws_sagemaker.list_monitoring_alerts/3","type":"function"},{"doc":"Returns list of all monitoring job executions.","ref":"aws_sagemaker.html#list_monitoring_executions/2","title":"aws_sagemaker.list_monitoring_executions/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_monitoring_executions/3","title":"aws_sagemaker.list_monitoring_executions/3","type":"function"},{"doc":"Returns list of all monitoring schedules.","ref":"aws_sagemaker.html#list_monitoring_schedules/2","title":"aws_sagemaker.list_monitoring_schedules/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_monitoring_schedules/3","title":"aws_sagemaker.list_monitoring_schedules/3","type":"function"},{"doc":"Lists notebook instance lifestyle configurations created with the CreateNotebookInstanceLifecycleConfig API.","ref":"aws_sagemaker.html#list_notebook_instance_lifecycle_configs/2","title":"aws_sagemaker.list_notebook_instance_lifecycle_configs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_notebook_instance_lifecycle_configs/3","title":"aws_sagemaker.list_notebook_instance_lifecycle_configs/3","type":"function"},{"doc":"Returns a list of the SageMaker notebook instances in the requester's account in an Amazon Web Services Region.","ref":"aws_sagemaker.html#list_notebook_instances/2","title":"aws_sagemaker.list_notebook_instances/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_notebook_instances/3","title":"aws_sagemaker.list_notebook_instances/3","type":"function"},{"doc":"Gets a list of PipeLineExecutionStep objects.","ref":"aws_sagemaker.html#list_pipeline_execution_steps/2","title":"aws_sagemaker.list_pipeline_execution_steps/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_pipeline_execution_steps/3","title":"aws_sagemaker.list_pipeline_execution_steps/3","type":"function"},{"doc":"Gets a list of the pipeline executions.","ref":"aws_sagemaker.html#list_pipeline_executions/2","title":"aws_sagemaker.list_pipeline_executions/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_pipeline_executions/3","title":"aws_sagemaker.list_pipeline_executions/3","type":"function"},{"doc":"Gets a list of parameters for a pipeline execution.","ref":"aws_sagemaker.html#list_pipeline_parameters_for_execution/2","title":"aws_sagemaker.list_pipeline_parameters_for_execution/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_pipeline_parameters_for_execution/3","title":"aws_sagemaker.list_pipeline_parameters_for_execution/3","type":"function"},{"doc":"Gets a list of pipelines.","ref":"aws_sagemaker.html#list_pipelines/2","title":"aws_sagemaker.list_pipelines/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_pipelines/3","title":"aws_sagemaker.list_pipelines/3","type":"function"},{"doc":"Lists processing jobs that satisfy various filters.","ref":"aws_sagemaker.html#list_processing_jobs/2","title":"aws_sagemaker.list_processing_jobs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_processing_jobs/3","title":"aws_sagemaker.list_processing_jobs/3","type":"function"},{"doc":"Gets a list of the projects in an Amazon Web Services account.","ref":"aws_sagemaker.html#list_projects/2","title":"aws_sagemaker.list_projects/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_projects/3","title":"aws_sagemaker.list_projects/3","type":"function"},{"doc":"Lists spaces.","ref":"aws_sagemaker.html#list_spaces/2","title":"aws_sagemaker.list_spaces/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_spaces/3","title":"aws_sagemaker.list_spaces/3","type":"function"},{"doc":"Lists devices allocated to the stage, containing detailed device information and deployment status.","ref":"aws_sagemaker.html#list_stage_devices/2","title":"aws_sagemaker.list_stage_devices/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_stage_devices/3","title":"aws_sagemaker.list_stage_devices/3","type":"function"},{"doc":"Lists the Studio Lifecycle Configurations in your Amazon Web Services Account.","ref":"aws_sagemaker.html#list_studio_lifecycle_configs/2","title":"aws_sagemaker.list_studio_lifecycle_configs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_studio_lifecycle_configs/3","title":"aws_sagemaker.list_studio_lifecycle_configs/3","type":"function"},{"doc":"Gets a list of the work teams that you are subscribed to in the Amazon Web Services Marketplace. The list may be empty if no work team satisfies the filter specified in the NameContains parameter.","ref":"aws_sagemaker.html#list_subscribed_workteams/2","title":"aws_sagemaker.list_subscribed_workteams/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_subscribed_workteams/3","title":"aws_sagemaker.list_subscribed_workteams/3","type":"function"},{"doc":"Returns the tags for the specified SageMaker resource.","ref":"aws_sagemaker.html#list_tags/2","title":"aws_sagemaker.list_tags/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_tags/3","title":"aws_sagemaker.list_tags/3","type":"function"},{"doc":"Lists training jobs. When StatusEquals and MaxResults are set at the same time, the MaxResults number of training jobs are first retrieved ignoring the StatusEquals parameter and then they are filtered by the StatusEquals parameter, which is returned as a response. For example, if ListTrainingJobs is invoked with the following parameters: { ... MaxResults: 100, StatusEquals: InProgress ... } First, 100 trainings jobs with any status, including those other than InProgress , are selected (sorted according to the creation time, from the most current to the oldest). Next, those with a status of InProgress are returned. You can quickly test the API using the following Amazon Web Services CLI code. aws sagemaker list-training-jobs --max-results 100 --status-equals InProgress","ref":"aws_sagemaker.html#list_training_jobs/2","title":"aws_sagemaker.list_training_jobs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_training_jobs/3","title":"aws_sagemaker.list_training_jobs/3","type":"function"},{"doc":"Gets a list of TrainingJobSummary objects that describe the training jobs that a hyperparameter tuning job launched.","ref":"aws_sagemaker.html#list_training_jobs_for_hyper_parameter_tuning_job/2","title":"aws_sagemaker.list_training_jobs_for_hyper_parameter_tuning_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_training_jobs_for_hyper_parameter_tuning_job/3","title":"aws_sagemaker.list_training_jobs_for_hyper_parameter_tuning_job/3","type":"function"},{"doc":"Lists transform jobs.","ref":"aws_sagemaker.html#list_transform_jobs/2","title":"aws_sagemaker.list_transform_jobs/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_transform_jobs/3","title":"aws_sagemaker.list_transform_jobs/3","type":"function"},{"doc":"Lists the trial components in your account. You can sort the list by trial component name or creation time. You can filter the list to show only components that were created in a specific time range. You can also filter on one of the following: ExperimentName SourceArn TrialName","ref":"aws_sagemaker.html#list_trial_components/2","title":"aws_sagemaker.list_trial_components/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_trial_components/3","title":"aws_sagemaker.list_trial_components/3","type":"function"},{"doc":"Lists the trials in your account. Specify an experiment name to limit the list to the trials that are part of that experiment. Specify a trial component name to limit the list to the trials that associated with that trial component. The list can be filtered to show only trials that were created in a specific time range. The list can be sorted by trial name or creation time.","ref":"aws_sagemaker.html#list_trials/2","title":"aws_sagemaker.list_trials/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_trials/3","title":"aws_sagemaker.list_trials/3","type":"function"},{"doc":"Lists user profiles.","ref":"aws_sagemaker.html#list_user_profiles/2","title":"aws_sagemaker.list_user_profiles/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_user_profiles/3","title":"aws_sagemaker.list_user_profiles/3","type":"function"},{"doc":"Use this operation to list all private and vendor workforces in an Amazon Web Services Region. Note that you can only have one private workforce per Amazon Web Services Region.","ref":"aws_sagemaker.html#list_workforces/2","title":"aws_sagemaker.list_workforces/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_workforces/3","title":"aws_sagemaker.list_workforces/3","type":"function"},{"doc":"Gets a list of private work teams that you have defined in a region. The list may be empty if no work team satisfies the filter specified in the NameContains parameter.","ref":"aws_sagemaker.html#list_workteams/2","title":"aws_sagemaker.list_workteams/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#list_workteams/3","title":"aws_sagemaker.list_workteams/3","type":"function"},{"doc":"Adds a resouce policy to control access to a model group. For information about resoure policies, see Identity-based policies and resource-based policies in the Amazon Web Services Identity and Access Management User Guide..","ref":"aws_sagemaker.html#put_model_package_group_policy/2","title":"aws_sagemaker.put_model_package_group_policy/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#put_model_package_group_policy/3","title":"aws_sagemaker.put_model_package_group_policy/3","type":"function"},{"doc":"Use this action to inspect your lineage and discover relationships between entities. For more information, see Querying Lineage Entities in the Amazon SageMaker Developer Guide.","ref":"aws_sagemaker.html#query_lineage/2","title":"aws_sagemaker.query_lineage/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#query_lineage/3","title":"aws_sagemaker.query_lineage/3","type":"function"},{"doc":"Register devices.","ref":"aws_sagemaker.html#register_devices/2","title":"aws_sagemaker.register_devices/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#register_devices/3","title":"aws_sagemaker.register_devices/3","type":"function"},{"doc":"Renders the UI template so that you can preview the worker's experience.","ref":"aws_sagemaker.html#render_ui_template/2","title":"aws_sagemaker.render_ui_template/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#render_ui_template/3","title":"aws_sagemaker.render_ui_template/3","type":"function"},{"doc":"Retry the execution of the pipeline.","ref":"aws_sagemaker.html#retry_pipeline_execution/2","title":"aws_sagemaker.retry_pipeline_execution/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#retry_pipeline_execution/3","title":"aws_sagemaker.retry_pipeline_execution/3","type":"function"},{"doc":"Finds Amazon SageMaker resources that match a search query. Matching resources are returned as a list of SearchRecord objects in the response. You can sort the search results by any resource property in a ascending or descending order. You can query against the following value types: numeric, text, Boolean, and timestamp.","ref":"aws_sagemaker.html#search/2","title":"aws_sagemaker.search/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#search/3","title":"aws_sagemaker.search/3","type":"function"},{"doc":"Notifies the pipeline that the execution of a callback step failed, along with a message describing why. When a callback step is run, the pipeline generates a callback token and includes the token in a message sent to Amazon Simple Queue Service (Amazon SQS).","ref":"aws_sagemaker.html#send_pipeline_execution_step_failure/2","title":"aws_sagemaker.send_pipeline_execution_step_failure/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#send_pipeline_execution_step_failure/3","title":"aws_sagemaker.send_pipeline_execution_step_failure/3","type":"function"},{"doc":"Notifies the pipeline that the execution of a callback step succeeded and provides a list of the step's output parameters. When a callback step is run, the pipeline generates a callback token and includes the token in a message sent to Amazon Simple Queue Service (Amazon SQS).","ref":"aws_sagemaker.html#send_pipeline_execution_step_success/2","title":"aws_sagemaker.send_pipeline_execution_step_success/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#send_pipeline_execution_step_success/3","title":"aws_sagemaker.send_pipeline_execution_step_success/3","type":"function"},{"doc":"Starts a stage in an edge deployment plan.","ref":"aws_sagemaker.html#start_edge_deployment_stage/2","title":"aws_sagemaker.start_edge_deployment_stage/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#start_edge_deployment_stage/3","title":"aws_sagemaker.start_edge_deployment_stage/3","type":"function"},{"doc":"Starts an inference experiment.","ref":"aws_sagemaker.html#start_inference_experiment/2","title":"aws_sagemaker.start_inference_experiment/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#start_inference_experiment/3","title":"aws_sagemaker.start_inference_experiment/3","type":"function"},{"doc":"Starts a previously stopped monitoring schedule. By default, when you successfully create a new schedule, the status of a monitoring schedule is scheduled .","ref":"aws_sagemaker.html#start_monitoring_schedule/2","title":"aws_sagemaker.start_monitoring_schedule/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#start_monitoring_schedule/3","title":"aws_sagemaker.start_monitoring_schedule/3","type":"function"},{"doc":"Launches an ML compute instance with the latest version of the libraries and attaches your ML storage volume. After configuring the notebook instance, SageMaker sets the notebook instance status to InService . A notebook instance's status must be InService before you can connect to your Jupyter notebook.","ref":"aws_sagemaker.html#start_notebook_instance/2","title":"aws_sagemaker.start_notebook_instance/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#start_notebook_instance/3","title":"aws_sagemaker.start_notebook_instance/3","type":"function"},{"doc":"Starts a pipeline execution.","ref":"aws_sagemaker.html#start_pipeline_execution/2","title":"aws_sagemaker.start_pipeline_execution/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#start_pipeline_execution/3","title":"aws_sagemaker.start_pipeline_execution/3","type":"function"},{"doc":"A method for forcing a running job to shut down.","ref":"aws_sagemaker.html#stop_auto_ml_job/2","title":"aws_sagemaker.stop_auto_ml_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_auto_ml_job/3","title":"aws_sagemaker.stop_auto_ml_job/3","type":"function"},{"doc":"Stops a model compilation job. To stop a job, Amazon SageMaker sends the algorithm the SIGTERM signal. This gracefully shuts the job down. If the job hasn't stopped, it sends the SIGKILL signal. When it receives a StopCompilationJob request, Amazon SageMaker changes the CompilationJobSummary$CompilationJobStatus of the job to Stopping . After Amazon SageMaker stops the job, it sets the CompilationJobSummary$CompilationJobStatus to Stopped .","ref":"aws_sagemaker.html#stop_compilation_job/2","title":"aws_sagemaker.stop_compilation_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_compilation_job/3","title":"aws_sagemaker.stop_compilation_job/3","type":"function"},{"doc":"Stops a stage in an edge deployment plan.","ref":"aws_sagemaker.html#stop_edge_deployment_stage/2","title":"aws_sagemaker.stop_edge_deployment_stage/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_edge_deployment_stage/3","title":"aws_sagemaker.stop_edge_deployment_stage/3","type":"function"},{"doc":"Request to stop an edge packaging job.","ref":"aws_sagemaker.html#stop_edge_packaging_job/2","title":"aws_sagemaker.stop_edge_packaging_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_edge_packaging_job/3","title":"aws_sagemaker.stop_edge_packaging_job/3","type":"function"},{"doc":"Stops a running hyperparameter tuning job and all running training jobs that the tuning job launched. All model artifacts output from the training jobs are stored in Amazon Simple Storage Service (Amazon S3). All data that the training jobs write to Amazon CloudWatch Logs are still available in CloudWatch. After the tuning job moves to the Stopped state, it releases all reserved resources for the tuning job.","ref":"aws_sagemaker.html#stop_hyper_parameter_tuning_job/2","title":"aws_sagemaker.stop_hyper_parameter_tuning_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_hyper_parameter_tuning_job/3","title":"aws_sagemaker.stop_hyper_parameter_tuning_job/3","type":"function"},{"doc":"Stops an inference experiment.","ref":"aws_sagemaker.html#stop_inference_experiment/2","title":"aws_sagemaker.stop_inference_experiment/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_inference_experiment/3","title":"aws_sagemaker.stop_inference_experiment/3","type":"function"},{"doc":"Stops an Inference Recommender job.","ref":"aws_sagemaker.html#stop_inference_recommendations_job/2","title":"aws_sagemaker.stop_inference_recommendations_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_inference_recommendations_job/3","title":"aws_sagemaker.stop_inference_recommendations_job/3","type":"function"},{"doc":"Stops a running labeling job. A job that is stopped cannot be restarted. Any results obtained before the job is stopped are placed in the Amazon S3 output bucket.","ref":"aws_sagemaker.html#stop_labeling_job/2","title":"aws_sagemaker.stop_labeling_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_labeling_job/3","title":"aws_sagemaker.stop_labeling_job/3","type":"function"},{"doc":"Stops a previously started monitoring schedule.","ref":"aws_sagemaker.html#stop_monitoring_schedule/2","title":"aws_sagemaker.stop_monitoring_schedule/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_monitoring_schedule/3","title":"aws_sagemaker.stop_monitoring_schedule/3","type":"function"},{"doc":"Terminates the ML compute instance. Before terminating the instance, SageMaker disconnects the ML storage volume from it. SageMaker preserves the ML storage volume. SageMaker stops charging you for the ML compute instance when you call StopNotebookInstance . To access data on the ML storage volume for a notebook instance that has been terminated, call the StartNotebookInstance API. StartNotebookInstance launches another ML compute instance, configures it, and attaches the preserved ML storage volume so you can continue your work.","ref":"aws_sagemaker.html#stop_notebook_instance/2","title":"aws_sagemaker.stop_notebook_instance/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_notebook_instance/3","title":"aws_sagemaker.stop_notebook_instance/3","type":"function"},{"doc":"Stops a pipeline execution. Callback Step A pipeline execution won't stop while a callback step is running. When you call StopPipelineExecution on a pipeline execution with a running callback step, SageMaker Pipelines sends an additional Amazon SQS message to the specified SQS queue. The body of the SQS message contains a &quot;Status&quot; field which is set to &quot;Stopping&quot;. You should add logic to your Amazon SQS message consumer to take any needed action (for example, resource cleanup) upon receipt of the message followed by a call to SendPipelineExecutionStepSuccess or SendPipelineExecutionStepFailure . Only when SageMaker Pipelines receives one of these calls will it stop the pipeline execution. Lambda Step A pipeline execution can't be stopped while a lambda step is running because the Lambda function invoked by the lambda step can't be stopped. If you attempt to stop the execution while the Lambda function is running, the pipeline waits for the Lambda function to finish or until the timeout is hit, whichever occurs first, and then stops. If the Lambda function finishes, the pipeline execution status is Stopped . If the timeout is hit the pipeline execution status is Failed .","ref":"aws_sagemaker.html#stop_pipeline_execution/2","title":"aws_sagemaker.stop_pipeline_execution/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_pipeline_execution/3","title":"aws_sagemaker.stop_pipeline_execution/3","type":"function"},{"doc":"Stops a processing job.","ref":"aws_sagemaker.html#stop_processing_job/2","title":"aws_sagemaker.stop_processing_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_processing_job/3","title":"aws_sagemaker.stop_processing_job/3","type":"function"},{"doc":"Stops a training job. To stop a job, SageMaker sends the algorithm the SIGTERM signal, which delays job termination for 120 seconds. Algorithms might use this 120-second window to save the model artifacts, so the results of the training is not lost. When it receives a StopTrainingJob request, SageMaker changes the status of the job to Stopping . After SageMaker stops the job, it sets the status to Stopped .","ref":"aws_sagemaker.html#stop_training_job/2","title":"aws_sagemaker.stop_training_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_training_job/3","title":"aws_sagemaker.stop_training_job/3","type":"function"},{"doc":"Stops a batch transform job. When Amazon SageMaker receives a StopTransformJob request, the status of the job changes to Stopping . After Amazon SageMaker stops the job, the status is set to Stopped . When you stop a batch transform job before it is completed, Amazon SageMaker doesn't store the job's output in Amazon S3.","ref":"aws_sagemaker.html#stop_transform_job/2","title":"aws_sagemaker.stop_transform_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#stop_transform_job/3","title":"aws_sagemaker.stop_transform_job/3","type":"function"},{"doc":"Updates an action.","ref":"aws_sagemaker.html#update_action/2","title":"aws_sagemaker.update_action/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_action/3","title":"aws_sagemaker.update_action/3","type":"function"},{"doc":"Updates the properties of an AppImageConfig.","ref":"aws_sagemaker.html#update_app_image_config/2","title":"aws_sagemaker.update_app_image_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_app_image_config/3","title":"aws_sagemaker.update_app_image_config/3","type":"function"},{"doc":"Updates an artifact.","ref":"aws_sagemaker.html#update_artifact/2","title":"aws_sagemaker.update_artifact/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_artifact/3","title":"aws_sagemaker.update_artifact/3","type":"function"},{"doc":"Updates the specified Git repository with the specified values.","ref":"aws_sagemaker.html#update_code_repository/2","title":"aws_sagemaker.update_code_repository/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_code_repository/3","title":"aws_sagemaker.update_code_repository/3","type":"function"},{"doc":"Updates a context.","ref":"aws_sagemaker.html#update_context/2","title":"aws_sagemaker.update_context/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_context/3","title":"aws_sagemaker.update_context/3","type":"function"},{"doc":"Updates a fleet of devices.","ref":"aws_sagemaker.html#update_device_fleet/2","title":"aws_sagemaker.update_device_fleet/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_device_fleet/3","title":"aws_sagemaker.update_device_fleet/3","type":"function"},{"doc":"Updates one or more devices in a fleet.","ref":"aws_sagemaker.html#update_devices/2","title":"aws_sagemaker.update_devices/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_devices/3","title":"aws_sagemaker.update_devices/3","type":"function"},{"doc":"Updates the default settings for new user profiles in the domain.","ref":"aws_sagemaker.html#update_domain/2","title":"aws_sagemaker.update_domain/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_domain/3","title":"aws_sagemaker.update_domain/3","type":"function"},{"doc":"Deploys the new EndpointConfig specified in the request, switches to using newly created endpoint, and then deletes resources provisioned for the endpoint using the previous EndpointConfig (there is no availability loss). When SageMaker receives the request, it sets the endpoint status to Updating . After updating the endpoint, it sets the status to InService . To check the status of an endpoint, use the DescribeEndpoint API. You must not delete an EndpointConfig in use by an endpoint that is live or while the UpdateEndpoint or CreateEndpoint operations are being performed on the endpoint. To update an endpoint, you must create a new EndpointConfig . If you delete the EndpointConfig of an endpoint that is active or being created or updated you may lose visibility into the instance type the endpoint is using. The endpoint must be deleted in order to stop incurring charges.","ref":"aws_sagemaker.html#update_endpoint/2","title":"aws_sagemaker.update_endpoint/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_endpoint/3","title":"aws_sagemaker.update_endpoint/3","type":"function"},{"doc":"Updates variant weight of one or more variants associated with an existing endpoint, or capacity of one variant associated with an existing endpoint. When it receives the request, SageMaker sets the endpoint status to Updating . After updating the endpoint, it sets the status to InService . To check the status of an endpoint, use the DescribeEndpoint API.","ref":"aws_sagemaker.html#update_endpoint_weights_and_capacities/2","title":"aws_sagemaker.update_endpoint_weights_and_capacities/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_endpoint_weights_and_capacities/3","title":"aws_sagemaker.update_endpoint_weights_and_capacities/3","type":"function"},{"doc":"Adds, updates, or removes the description of an experiment. Updates the display name of an experiment.","ref":"aws_sagemaker.html#update_experiment/2","title":"aws_sagemaker.update_experiment/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_experiment/3","title":"aws_sagemaker.update_experiment/3","type":"function"},{"doc":"Updates the feature group.","ref":"aws_sagemaker.html#update_feature_group/2","title":"aws_sagemaker.update_feature_group/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_feature_group/3","title":"aws_sagemaker.update_feature_group/3","type":"function"},{"doc":"Updates the description and parameters of the feature group.","ref":"aws_sagemaker.html#update_feature_metadata/2","title":"aws_sagemaker.update_feature_metadata/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_feature_metadata/3","title":"aws_sagemaker.update_feature_metadata/3","type":"function"},{"doc":"Update a hub. Hub APIs are only callable through SageMaker Studio.","ref":"aws_sagemaker.html#update_hub/2","title":"aws_sagemaker.update_hub/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_hub/3","title":"aws_sagemaker.update_hub/3","type":"function"},{"doc":"Updates the properties of a SageMaker image. To change the image's tags, use the AddTags and DeleteTags APIs.","ref":"aws_sagemaker.html#update_image/2","title":"aws_sagemaker.update_image/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_image/3","title":"aws_sagemaker.update_image/3","type":"function"},{"doc":"Updates the properties of a SageMaker image version.","ref":"aws_sagemaker.html#update_image_version/2","title":"aws_sagemaker.update_image_version/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_image_version/3","title":"aws_sagemaker.update_image_version/3","type":"function"},{"doc":"Updates an inference experiment that you created. The status of the inference experiment has to be either Created , Running . For more information on the status of an inference experiment, see DescribeInferenceExperimentResponse$Status .","ref":"aws_sagemaker.html#update_inference_experiment/2","title":"aws_sagemaker.update_inference_experiment/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_inference_experiment/3","title":"aws_sagemaker.update_inference_experiment/3","type":"function"},{"doc":"Update an Amazon SageMaker Model Card. You cannot update both model card content and model card status in a single call.","ref":"aws_sagemaker.html#update_model_card/2","title":"aws_sagemaker.update_model_card/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_model_card/3","title":"aws_sagemaker.update_model_card/3","type":"function"},{"doc":"Updates a versioned model.","ref":"aws_sagemaker.html#update_model_package/2","title":"aws_sagemaker.update_model_package/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_model_package/3","title":"aws_sagemaker.update_model_package/3","type":"function"},{"doc":"Update the parameters of a model monitor alert.","ref":"aws_sagemaker.html#update_monitoring_alert/2","title":"aws_sagemaker.update_monitoring_alert/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_monitoring_alert/3","title":"aws_sagemaker.update_monitoring_alert/3","type":"function"},{"doc":"Updates a previously created schedule.","ref":"aws_sagemaker.html#update_monitoring_schedule/2","title":"aws_sagemaker.update_monitoring_schedule/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_monitoring_schedule/3","title":"aws_sagemaker.update_monitoring_schedule/3","type":"function"},{"doc":"Updates a notebook instance. NotebookInstance updates include upgrading or downgrading the ML compute instance used for your notebook instance to accommodate changes in your workload requirements.","ref":"aws_sagemaker.html#update_notebook_instance/2","title":"aws_sagemaker.update_notebook_instance/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_notebook_instance/3","title":"aws_sagemaker.update_notebook_instance/3","type":"function"},{"doc":"Updates a notebook instance lifecycle configuration created with the CreateNotebookInstanceLifecycleConfig API.","ref":"aws_sagemaker.html#update_notebook_instance_lifecycle_config/2","title":"aws_sagemaker.update_notebook_instance_lifecycle_config/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_notebook_instance_lifecycle_config/3","title":"aws_sagemaker.update_notebook_instance_lifecycle_config/3","type":"function"},{"doc":"Updates a pipeline.","ref":"aws_sagemaker.html#update_pipeline/2","title":"aws_sagemaker.update_pipeline/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_pipeline/3","title":"aws_sagemaker.update_pipeline/3","type":"function"},{"doc":"Updates a pipeline execution.","ref":"aws_sagemaker.html#update_pipeline_execution/2","title":"aws_sagemaker.update_pipeline_execution/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_pipeline_execution/3","title":"aws_sagemaker.update_pipeline_execution/3","type":"function"},{"doc":"Updates a machine learning (ML) project that is created from a template that sets up an ML pipeline from training to deploying an approved model. You must not update a project that is in use. If you update the ServiceCatalogProvisioningUpdateDetails of a project that is active or being created, or updated, you may lose resources already created by the project.","ref":"aws_sagemaker.html#update_project/2","title":"aws_sagemaker.update_project/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_project/3","title":"aws_sagemaker.update_project/3","type":"function"},{"doc":"Updates the settings of a space.","ref":"aws_sagemaker.html#update_space/2","title":"aws_sagemaker.update_space/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_space/3","title":"aws_sagemaker.update_space/3","type":"function"},{"doc":"Update a model training job to request a new Debugger profiling configuration or to change warm pool retention length.","ref":"aws_sagemaker.html#update_training_job/2","title":"aws_sagemaker.update_training_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_training_job/3","title":"aws_sagemaker.update_training_job/3","type":"function"},{"doc":"Updates the display name of a trial.","ref":"aws_sagemaker.html#update_trial/2","title":"aws_sagemaker.update_trial/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_trial/3","title":"aws_sagemaker.update_trial/3","type":"function"},{"doc":"Updates one or more properties of a trial component.","ref":"aws_sagemaker.html#update_trial_component/2","title":"aws_sagemaker.update_trial_component/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_trial_component/3","title":"aws_sagemaker.update_trial_component/3","type":"function"},{"doc":"Updates a user profile.","ref":"aws_sagemaker.html#update_user_profile/2","title":"aws_sagemaker.update_user_profile/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_user_profile/3","title":"aws_sagemaker.update_user_profile/3","type":"function"},{"doc":"Use this operation to update your workforce. You can use this operation to require that workers use specific IP addresses to work on tasks and to update your OpenID Connect (OIDC) Identity Provider (IdP) workforce configuration. The worker portal is now supported in VPC and public internet. Use SourceIpConfig to restrict worker access to tasks to a specific range of IP addresses. You specify allowed IP addresses by creating a list of up to ten CIDRs. By default, a workforce isn't restricted to specific IP addresses. If you specify a range of IP addresses, workers who attempt to access tasks using any IP address outside the specified range are denied and get a Not Found error message on the worker portal. To restrict access to all the workers in public internet, add the SourceIpConfig CIDR value as &quot;0.0.0.0/0&quot;. Amazon SageMaker does not support Source Ip restriction for worker portals in VPC. Use OidcConfig to update the configuration of a workforce created using your own OIDC IdP. You can only update your OIDC IdP configuration when there are no work teams associated with your workforce. You can delete work teams using the operation. After restricting access to a range of IP addresses or updating your OIDC IdP configuration with this operation, you can view details about your update workforce using the operation. This operation only applies to private workforces.","ref":"aws_sagemaker.html#update_workforce/2","title":"aws_sagemaker.update_workforce/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_workforce/3","title":"aws_sagemaker.update_workforce/3","type":"function"},{"doc":"Updates an existing work team with new member definitions or description.","ref":"aws_sagemaker.html#update_workteam/2","title":"aws_sagemaker.update_workteam/2","type":"function"},{"doc":"","ref":"aws_sagemaker.html#update_workteam/3","title":"aws_sagemaker.update_workteam/3","type":"function"},{"doc":"Amazon Augmented AI (Amazon A2I) adds the benefit of human judgment to any machine learning application. When an AI application can't evaluate data with a high degree of confidence, human reviewers can take over. This human review is called a human review workflow. To create and start a human review workflow, you need three resources: a worker task template, a flow definition, and a human loop. For information about these resources and prerequisites for using Amazon A2I, see Get Started with Amazon Augmented AI in the Amazon SageMaker Developer Guide. This API reference includes information about API actions and data types that you can use to interact with Amazon A2I programmatically. Use this guide to: Start a human loop with the StartHumanLoop operation when using Amazon A2I with a custom task type. To learn more about the difference between custom and built-in task types, see Use Task Types . To learn how to start a human loop using this API, see Create and Start a Human Loop for a Custom Task Type in the Amazon SageMaker Developer Guide. Manage your human loops. You can list all human loops that you have created, describe individual human loops, and stop and delete human loops. To learn more, see Monitor and Manage Your Human Loop in the Amazon SageMaker Developer Guide. Amazon A2I integrates APIs from various AWS services to create and start human review workflows for those services. To learn how Amazon A2I uses these APIs, see Use APIs in Amazon A2I in the Amazon SageMaker Developer Guide.","ref":"aws_sagemaker_a2i_runtime.html","title":"aws_sagemaker_a2i_runtime","type":"module"},{"doc":"Deletes the specified human loop for a flow definition. If the human loop was deleted, this operation will return a ResourceNotFoundException .","ref":"aws_sagemaker_a2i_runtime.html#delete_human_loop/3","title":"aws_sagemaker_a2i_runtime.delete_human_loop/3","type":"function"},{"doc":"","ref":"aws_sagemaker_a2i_runtime.html#delete_human_loop/4","title":"aws_sagemaker_a2i_runtime.delete_human_loop/4","type":"function"},{"doc":"Returns information about the specified human loop. If the human loop was deleted, this operation will return a ResourceNotFoundException error.","ref":"aws_sagemaker_a2i_runtime.html#describe_human_loop/2","title":"aws_sagemaker_a2i_runtime.describe_human_loop/2","type":"function"},{"doc":"","ref":"aws_sagemaker_a2i_runtime.html#describe_human_loop/4","title":"aws_sagemaker_a2i_runtime.describe_human_loop/4","type":"function"},{"doc":"","ref":"aws_sagemaker_a2i_runtime.html#describe_human_loop/5","title":"aws_sagemaker_a2i_runtime.describe_human_loop/5","type":"function"},{"doc":"Returns information about human loops, given the specified parameters. If a human loop was deleted, it will not be included.","ref":"aws_sagemaker_a2i_runtime.html#list_human_loops/2","title":"aws_sagemaker_a2i_runtime.list_human_loops/2","type":"function"},{"doc":"","ref":"aws_sagemaker_a2i_runtime.html#list_human_loops/4","title":"aws_sagemaker_a2i_runtime.list_human_loops/4","type":"function"},{"doc":"","ref":"aws_sagemaker_a2i_runtime.html#list_human_loops/5","title":"aws_sagemaker_a2i_runtime.list_human_loops/5","type":"function"},{"doc":"Starts a human loop, provided that at least one activation condition is met.","ref":"aws_sagemaker_a2i_runtime.html#start_human_loop/2","title":"aws_sagemaker_a2i_runtime.start_human_loop/2","type":"function"},{"doc":"","ref":"aws_sagemaker_a2i_runtime.html#start_human_loop/3","title":"aws_sagemaker_a2i_runtime.start_human_loop/3","type":"function"},{"doc":"Stops the specified human loop.","ref":"aws_sagemaker_a2i_runtime.html#stop_human_loop/2","title":"aws_sagemaker_a2i_runtime.stop_human_loop/2","type":"function"},{"doc":"","ref":"aws_sagemaker_a2i_runtime.html#stop_human_loop/3","title":"aws_sagemaker_a2i_runtime.stop_human_loop/3","type":"function"},{"doc":"SageMaker Edge Manager dataplane service for communicating with active agents.","ref":"aws_sagemaker_edge.html","title":"aws_sagemaker_edge","type":"module"},{"doc":"Use to get the active deployments from a device.","ref":"aws_sagemaker_edge.html#get_deployments/2","title":"aws_sagemaker_edge.get_deployments/2","type":"function"},{"doc":"","ref":"aws_sagemaker_edge.html#get_deployments/3","title":"aws_sagemaker_edge.get_deployments/3","type":"function"},{"doc":"Use to check if a device is registered with SageMaker Edge Manager.","ref":"aws_sagemaker_edge.html#get_device_registration/2","title":"aws_sagemaker_edge.get_device_registration/2","type":"function"},{"doc":"","ref":"aws_sagemaker_edge.html#get_device_registration/3","title":"aws_sagemaker_edge.get_device_registration/3","type":"function"},{"doc":"Use to get the current status of devices registered on SageMaker Edge Manager.","ref":"aws_sagemaker_edge.html#send_heartbeat/2","title":"aws_sagemaker_edge.send_heartbeat/2","type":"function"},{"doc":"","ref":"aws_sagemaker_edge.html#send_heartbeat/3","title":"aws_sagemaker_edge.send_heartbeat/3","type":"function"},{"doc":"Contains all data plane API operations and data types for the Amazon SageMaker Feature Store. Use this API to put, delete, and retrieve (get) features from a feature store. Use the following operations to configure your OnlineStore and OfflineStore features, and to create and manage feature groups: CreateFeatureGroup DeleteFeatureGroup DescribeFeatureGroup ListFeatureGroups","ref":"aws_sagemaker_featurestore_runtime.html","title":"aws_sagemaker_featurestore_runtime","type":"module"},{"doc":"Retrieves a batch of Records from a FeatureGroup .","ref":"aws_sagemaker_featurestore_runtime.html#batch_get_record/2","title":"aws_sagemaker_featurestore_runtime.batch_get_record/2","type":"function"},{"doc":"","ref":"aws_sagemaker_featurestore_runtime.html#batch_get_record/3","title":"aws_sagemaker_featurestore_runtime.batch_get_record/3","type":"function"},{"doc":"Deletes a Record from a FeatureGroup . When the DeleteRecord API is called a new record will be added to the OfflineStore and the Record will be removed from the OnlineStore . This record will have a value of True in the is_deleted column.","ref":"aws_sagemaker_featurestore_runtime.html#delete_record/3","title":"aws_sagemaker_featurestore_runtime.delete_record/3","type":"function"},{"doc":"","ref":"aws_sagemaker_featurestore_runtime.html#delete_record/4","title":"aws_sagemaker_featurestore_runtime.delete_record/4","type":"function"},{"doc":"Use for OnlineStore serving from a FeatureStore . Only the latest records stored in the OnlineStore can be retrieved. If no Record with RecordIdentifierValue is found, then an empty result is returned.","ref":"aws_sagemaker_featurestore_runtime.html#get_record/3","title":"aws_sagemaker_featurestore_runtime.get_record/3","type":"function"},{"doc":"","ref":"aws_sagemaker_featurestore_runtime.html#get_record/5","title":"aws_sagemaker_featurestore_runtime.get_record/5","type":"function"},{"doc":"","ref":"aws_sagemaker_featurestore_runtime.html#get_record/6","title":"aws_sagemaker_featurestore_runtime.get_record/6","type":"function"},{"doc":"Used for data ingestion into the FeatureStore . The PutRecord API writes to both the OnlineStore and OfflineStore . If the record is the latest record for the recordIdentifier , the record is written to both the OnlineStore and OfflineStore . If the record is a historic record, it is written only to the OfflineStore .","ref":"aws_sagemaker_featurestore_runtime.html#put_record/3","title":"aws_sagemaker_featurestore_runtime.put_record/3","type":"function"},{"doc":"","ref":"aws_sagemaker_featurestore_runtime.html#put_record/4","title":"aws_sagemaker_featurestore_runtime.put_record/4","type":"function"},{"doc":"Provides APIs for creating and managing SageMaker geospatial resources.","ref":"aws_sagemaker_geospatial.html","title":"aws_sagemaker_geospatial","type":"module"},{"doc":"Use this operation to delete an Earth Observation job.","ref":"aws_sagemaker_geospatial.html#delete_earth_observation_job/3","title":"aws_sagemaker_geospatial.delete_earth_observation_job/3","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#delete_earth_observation_job/4","title":"aws_sagemaker_geospatial.delete_earth_observation_job/4","type":"function"},{"doc":"Use this operation to delete a Vector Enrichment job.","ref":"aws_sagemaker_geospatial.html#delete_vector_enrichment_job/3","title":"aws_sagemaker_geospatial.delete_vector_enrichment_job/3","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#delete_vector_enrichment_job/4","title":"aws_sagemaker_geospatial.delete_vector_enrichment_job/4","type":"function"},{"doc":"Use this operation to export results of an Earth Observation job and optionally source images used as input to the EOJ to an S3 location.","ref":"aws_sagemaker_geospatial.html#export_earth_observation_job/2","title":"aws_sagemaker_geospatial.export_earth_observation_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#export_earth_observation_job/3","title":"aws_sagemaker_geospatial.export_earth_observation_job/3","type":"function"},{"doc":"Use this operation to copy results of a Vector Enrichment job to an S3 location.","ref":"aws_sagemaker_geospatial.html#export_vector_enrichment_job/2","title":"aws_sagemaker_geospatial.export_vector_enrichment_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#export_vector_enrichment_job/3","title":"aws_sagemaker_geospatial.export_vector_enrichment_job/3","type":"function"},{"doc":"Get the details for a previously initiated Earth Observation job.","ref":"aws_sagemaker_geospatial.html#get_earth_observation_job/2","title":"aws_sagemaker_geospatial.get_earth_observation_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#get_earth_observation_job/4","title":"aws_sagemaker_geospatial.get_earth_observation_job/4","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#get_earth_observation_job/5","title":"aws_sagemaker_geospatial.get_earth_observation_job/5","type":"function"},{"doc":"Use this operation to get details of a specific raster data collection.","ref":"aws_sagemaker_geospatial.html#get_raster_data_collection/2","title":"aws_sagemaker_geospatial.get_raster_data_collection/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#get_raster_data_collection/4","title":"aws_sagemaker_geospatial.get_raster_data_collection/4","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#get_raster_data_collection/5","title":"aws_sagemaker_geospatial.get_raster_data_collection/5","type":"function"},{"doc":"Gets a web mercator tile for the given Earth Observation job.","ref":"aws_sagemaker_geospatial.html#get_tile/7","title":"aws_sagemaker_geospatial.get_tile/7","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#get_tile/9","title":"aws_sagemaker_geospatial.get_tile/9","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#get_tile/10","title":"aws_sagemaker_geospatial.get_tile/10","type":"function"},{"doc":"Retrieves details of a Vector Enrichment Job for a given job Amazon Resource Name (ARN).","ref":"aws_sagemaker_geospatial.html#get_vector_enrichment_job/2","title":"aws_sagemaker_geospatial.get_vector_enrichment_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#get_vector_enrichment_job/4","title":"aws_sagemaker_geospatial.get_vector_enrichment_job/4","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#get_vector_enrichment_job/5","title":"aws_sagemaker_geospatial.get_vector_enrichment_job/5","type":"function"},{"doc":"Use this operation to get a list of the Earth Observation jobs associated with the calling Amazon Web Services account.","ref":"aws_sagemaker_geospatial.html#list_earth_observation_jobs/2","title":"aws_sagemaker_geospatial.list_earth_observation_jobs/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#list_earth_observation_jobs/3","title":"aws_sagemaker_geospatial.list_earth_observation_jobs/3","type":"function"},{"doc":"Use this operation to get raster data collections.","ref":"aws_sagemaker_geospatial.html#list_raster_data_collections/1","title":"aws_sagemaker_geospatial.list_raster_data_collections/1","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#list_raster_data_collections/3","title":"aws_sagemaker_geospatial.list_raster_data_collections/3","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#list_raster_data_collections/4","title":"aws_sagemaker_geospatial.list_raster_data_collections/4","type":"function"},{"doc":"Lists the tags attached to the resource.","ref":"aws_sagemaker_geospatial.html#list_tags_for_resource/2","title":"aws_sagemaker_geospatial.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#list_tags_for_resource/4","title":"aws_sagemaker_geospatial.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#list_tags_for_resource/5","title":"aws_sagemaker_geospatial.list_tags_for_resource/5","type":"function"},{"doc":"Retrieves a list of vector enrichment jobs.","ref":"aws_sagemaker_geospatial.html#list_vector_enrichment_jobs/2","title":"aws_sagemaker_geospatial.list_vector_enrichment_jobs/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#list_vector_enrichment_jobs/3","title":"aws_sagemaker_geospatial.list_vector_enrichment_jobs/3","type":"function"},{"doc":"Allows you run image query on a specific raster data collection to get a list of the satellite imagery matching the selected filters.","ref":"aws_sagemaker_geospatial.html#search_raster_data_collection/2","title":"aws_sagemaker_geospatial.search_raster_data_collection/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#search_raster_data_collection/3","title":"aws_sagemaker_geospatial.search_raster_data_collection/3","type":"function"},{"doc":"Use this operation to create an Earth observation job.","ref":"aws_sagemaker_geospatial.html#start_earth_observation_job/2","title":"aws_sagemaker_geospatial.start_earth_observation_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#start_earth_observation_job/3","title":"aws_sagemaker_geospatial.start_earth_observation_job/3","type":"function"},{"doc":"Creates a Vector Enrichment job for the supplied job type. Currently, there are two supported job types: reverse geocoding and map matching.","ref":"aws_sagemaker_geospatial.html#start_vector_enrichment_job/2","title":"aws_sagemaker_geospatial.start_vector_enrichment_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#start_vector_enrichment_job/3","title":"aws_sagemaker_geospatial.start_vector_enrichment_job/3","type":"function"},{"doc":"Use this operation to stop an existing earth observation job.","ref":"aws_sagemaker_geospatial.html#stop_earth_observation_job/2","title":"aws_sagemaker_geospatial.stop_earth_observation_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#stop_earth_observation_job/3","title":"aws_sagemaker_geospatial.stop_earth_observation_job/3","type":"function"},{"doc":"Stops the Vector Enrichment job for a given job ARN.","ref":"aws_sagemaker_geospatial.html#stop_vector_enrichment_job/2","title":"aws_sagemaker_geospatial.stop_vector_enrichment_job/2","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#stop_vector_enrichment_job/3","title":"aws_sagemaker_geospatial.stop_vector_enrichment_job/3","type":"function"},{"doc":"The resource you want to tag.","ref":"aws_sagemaker_geospatial.html#tag_resource/3","title":"aws_sagemaker_geospatial.tag_resource/3","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#tag_resource/4","title":"aws_sagemaker_geospatial.tag_resource/4","type":"function"},{"doc":"The resource you want to untag.","ref":"aws_sagemaker_geospatial.html#untag_resource/3","title":"aws_sagemaker_geospatial.untag_resource/3","type":"function"},{"doc":"","ref":"aws_sagemaker_geospatial.html#untag_resource/4","title":"aws_sagemaker_geospatial.untag_resource/4","type":"function"},{"doc":"Contains all data plane API operations and data types for Amazon SageMaker Metrics. Use these APIs to put and retrieve (get) features related to your training run. BatchPutMetrics","ref":"aws_sagemaker_metrics.html","title":"aws_sagemaker_metrics","type":"module"},{"doc":"Used to ingest training metrics into SageMaker. These metrics can be visualized in SageMaker Studio and retrieved with the GetMetrics API.","ref":"aws_sagemaker_metrics.html#batch_put_metrics/2","title":"aws_sagemaker_metrics.batch_put_metrics/2","type":"function"},{"doc":"","ref":"aws_sagemaker_metrics.html#batch_put_metrics/3","title":"aws_sagemaker_metrics.batch_put_metrics/3","type":"function"},{"doc":"The Amazon SageMaker runtime API.","ref":"aws_sagemaker_runtime.html","title":"aws_sagemaker_runtime","type":"module"},{"doc":"After you deploy a model into production using Amazon SageMaker hosting services, your client applications use this API to get inferences from the model hosted at the specified endpoint. For an overview of Amazon SageMaker, see How It Works. Amazon SageMaker strips all POST headers except those supported by the API. Amazon SageMaker might add additional headers. You should not rely on the behavior of headers outside those enumerated in the request syntax. Calls to InvokeEndpoint are authenticated by using Amazon Web Services Signature Version 4. For information, see Authenticating Requests (Amazon Web Services Signature Version 4) in the Amazon S3 API Reference. A customer's model containers must respond to requests within 60 seconds. The model itself can have a maximum processing time of 60 seconds before responding to invocations. If your model is going to take 50-60 seconds of processing time, the SDK socket timeout should be set to be 70 seconds. Endpoints are scoped to an individual account, and are not public. The URL does not contain the account ID, but Amazon SageMaker determines the account ID from the authentication token that is supplied by the caller.","ref":"aws_sagemaker_runtime.html#invoke_endpoint/3","title":"aws_sagemaker_runtime.invoke_endpoint/3","type":"function"},{"doc":"","ref":"aws_sagemaker_runtime.html#invoke_endpoint/4","title":"aws_sagemaker_runtime.invoke_endpoint/4","type":"function"},{"doc":"After you deploy a model into production using Amazon SageMaker hosting services, your client applications use this API to get inferences from the model hosted at the specified endpoint in an asynchronous manner. Inference requests sent to this API are enqueued for asynchronous processing. The processing of the inference request may or may not complete before you receive a response from this API. The response from this API will not contain the result of the inference request but contain information about where you can locate it. Amazon SageMaker strips all POST headers except those supported by the API. Amazon SageMaker might add additional headers. You should not rely on the behavior of headers outside those enumerated in the request syntax. Calls to InvokeEndpointAsync are authenticated by using Amazon Web Services Signature Version 4. For information, see Authenticating Requests (Amazon Web Services Signature Version 4) in the Amazon S3 API Reference.","ref":"aws_sagemaker_runtime.html#invoke_endpoint_async/3","title":"aws_sagemaker_runtime.invoke_endpoint_async/3","type":"function"},{"doc":"","ref":"aws_sagemaker_runtime.html#invoke_endpoint_async/4","title":"aws_sagemaker_runtime.invoke_endpoint_async/4","type":"function"},{"doc":"Savings Plans are a pricing model that offer significant savings on AWS usage (for example, on Amazon EC2 instances). You commit to a consistent amount of usage, in USD per hour, for a term of 1 or 3 years, and receive a lower price for that usage. For more information, see the AWS Savings Plans User Guide.","ref":"aws_savingsplans.html","title":"aws_savingsplans","type":"module"},{"doc":"Creates a Savings Plan.","ref":"aws_savingsplans.html#create_savings_plan/2","title":"aws_savingsplans.create_savings_plan/2","type":"function"},{"doc":"","ref":"aws_savingsplans.html#create_savings_plan/3","title":"aws_savingsplans.create_savings_plan/3","type":"function"},{"doc":"Deletes the queued purchase for the specified Savings Plan.","ref":"aws_savingsplans.html#delete_queued_savings_plan/2","title":"aws_savingsplans.delete_queued_savings_plan/2","type":"function"},{"doc":"","ref":"aws_savingsplans.html#delete_queued_savings_plan/3","title":"aws_savingsplans.delete_queued_savings_plan/3","type":"function"},{"doc":"Describes the specified Savings Plans rates.","ref":"aws_savingsplans.html#describe_savings_plan_rates/2","title":"aws_savingsplans.describe_savings_plan_rates/2","type":"function"},{"doc":"","ref":"aws_savingsplans.html#describe_savings_plan_rates/3","title":"aws_savingsplans.describe_savings_plan_rates/3","type":"function"},{"doc":"Describes the specified Savings Plans.","ref":"aws_savingsplans.html#describe_savings_plans/2","title":"aws_savingsplans.describe_savings_plans/2","type":"function"},{"doc":"","ref":"aws_savingsplans.html#describe_savings_plans/3","title":"aws_savingsplans.describe_savings_plans/3","type":"function"},{"doc":"Describes the specified Savings Plans offering rates.","ref":"aws_savingsplans.html#describe_savings_plans_offering_rates/2","title":"aws_savingsplans.describe_savings_plans_offering_rates/2","type":"function"},{"doc":"","ref":"aws_savingsplans.html#describe_savings_plans_offering_rates/3","title":"aws_savingsplans.describe_savings_plans_offering_rates/3","type":"function"},{"doc":"Describes the specified Savings Plans offerings.","ref":"aws_savingsplans.html#describe_savings_plans_offerings/2","title":"aws_savingsplans.describe_savings_plans_offerings/2","type":"function"},{"doc":"","ref":"aws_savingsplans.html#describe_savings_plans_offerings/3","title":"aws_savingsplans.describe_savings_plans_offerings/3","type":"function"},{"doc":"Lists the tags for the specified resource.","ref":"aws_savingsplans.html#list_tags_for_resource/2","title":"aws_savingsplans.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_savingsplans.html#list_tags_for_resource/3","title":"aws_savingsplans.list_tags_for_resource/3","type":"function"},{"doc":"Adds the specified tags to the specified resource.","ref":"aws_savingsplans.html#tag_resource/2","title":"aws_savingsplans.tag_resource/2","type":"function"},{"doc":"","ref":"aws_savingsplans.html#tag_resource/3","title":"aws_savingsplans.tag_resource/3","type":"function"},{"doc":"Removes the specified tags from the specified resource.","ref":"aws_savingsplans.html#untag_resource/2","title":"aws_savingsplans.untag_resource/2","type":"function"},{"doc":"","ref":"aws_savingsplans.html#untag_resource/3","title":"aws_savingsplans.untag_resource/3","type":"function"},{"doc":"Amazon EventBridge Scheduler is a serverless scheduler that allows you to create, run, and manage tasks from one central, managed service. EventBridge Scheduler delivers your tasks reliably, with built-in mechanisms that adjust your schedules based on the availability of downstream targets. The following reference lists the available API actions, and data types for EventBridge Scheduler.","ref":"aws_scheduler.html","title":"aws_scheduler","type":"module"},{"doc":"Creates the specified schedule.","ref":"aws_scheduler.html#create_schedule/3","title":"aws_scheduler.create_schedule/3","type":"function"},{"doc":"","ref":"aws_scheduler.html#create_schedule/4","title":"aws_scheduler.create_schedule/4","type":"function"},{"doc":"Creates the specified schedule group.","ref":"aws_scheduler.html#create_schedule_group/3","title":"aws_scheduler.create_schedule_group/3","type":"function"},{"doc":"","ref":"aws_scheduler.html#create_schedule_group/4","title":"aws_scheduler.create_schedule_group/4","type":"function"},{"doc":"Deletes the specified schedule.","ref":"aws_scheduler.html#delete_schedule/3","title":"aws_scheduler.delete_schedule/3","type":"function"},{"doc":"","ref":"aws_scheduler.html#delete_schedule/4","title":"aws_scheduler.delete_schedule/4","type":"function"},{"doc":"Deletes the specified schedule group. Deleting a schedule group results in EventBridge Scheduler deleting all schedules associated with the group. When you delete a group, it remains in a DELETING state until all of its associated schedules are deleted. Schedules associated with the group that are set to run while the schedule group is in the process of being deleted might continue to invoke their targets until the schedule group and its associated schedules are deleted. This operation is eventually consistent.","ref":"aws_scheduler.html#delete_schedule_group/3","title":"aws_scheduler.delete_schedule_group/3","type":"function"},{"doc":"","ref":"aws_scheduler.html#delete_schedule_group/4","title":"aws_scheduler.delete_schedule_group/4","type":"function"},{"doc":"Retrieves the specified schedule.","ref":"aws_scheduler.html#get_schedule/2","title":"aws_scheduler.get_schedule/2","type":"function"},{"doc":"","ref":"aws_scheduler.html#get_schedule/4","title":"aws_scheduler.get_schedule/4","type":"function"},{"doc":"","ref":"aws_scheduler.html#get_schedule/5","title":"aws_scheduler.get_schedule/5","type":"function"},{"doc":"Retrieves the specified schedule group.","ref":"aws_scheduler.html#get_schedule_group/2","title":"aws_scheduler.get_schedule_group/2","type":"function"},{"doc":"","ref":"aws_scheduler.html#get_schedule_group/4","title":"aws_scheduler.get_schedule_group/4","type":"function"},{"doc":"","ref":"aws_scheduler.html#get_schedule_group/5","title":"aws_scheduler.get_schedule_group/5","type":"function"},{"doc":"Returns a paginated list of your schedule groups.","ref":"aws_scheduler.html#list_schedule_groups/1","title":"aws_scheduler.list_schedule_groups/1","type":"function"},{"doc":"","ref":"aws_scheduler.html#list_schedule_groups/3","title":"aws_scheduler.list_schedule_groups/3","type":"function"},{"doc":"","ref":"aws_scheduler.html#list_schedule_groups/4","title":"aws_scheduler.list_schedule_groups/4","type":"function"},{"doc":"Returns a paginated list of your EventBridge Scheduler schedules.","ref":"aws_scheduler.html#list_schedules/1","title":"aws_scheduler.list_schedules/1","type":"function"},{"doc":"","ref":"aws_scheduler.html#list_schedules/3","title":"aws_scheduler.list_schedules/3","type":"function"},{"doc":"","ref":"aws_scheduler.html#list_schedules/4","title":"aws_scheduler.list_schedules/4","type":"function"},{"doc":"Lists the tags associated with the Scheduler resource.","ref":"aws_scheduler.html#list_tags_for_resource/2","title":"aws_scheduler.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_scheduler.html#list_tags_for_resource/4","title":"aws_scheduler.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_scheduler.html#list_tags_for_resource/5","title":"aws_scheduler.list_tags_for_resource/5","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified EventBridge Scheduler resource. You can only assign tags to schedule groups.","ref":"aws_scheduler.html#tag_resource/3","title":"aws_scheduler.tag_resource/3","type":"function"},{"doc":"","ref":"aws_scheduler.html#tag_resource/4","title":"aws_scheduler.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from the specified EventBridge Scheduler schedule group.","ref":"aws_scheduler.html#untag_resource/3","title":"aws_scheduler.untag_resource/3","type":"function"},{"doc":"","ref":"aws_scheduler.html#untag_resource/4","title":"aws_scheduler.untag_resource/4","type":"function"},{"doc":"Updates the specified schedule. When you call UpdateSchedule , EventBridge Scheduler uses all values, including empty values, specified in the request and overrides the existing schedule. This is by design. This means that if you do not set an optional field in your request, that field will be set to its system-default value after the update. Before calling this operation, we recommend that you call the GetSchedule API operation and make a note of all optional parameters for your UpdateSchedule call.","ref":"aws_scheduler.html#update_schedule/3","title":"aws_scheduler.update_schedule/3","type":"function"},{"doc":"","ref":"aws_scheduler.html#update_schedule/4","title":"aws_scheduler.update_schedule/4","type":"function"},{"doc":"Amazon EventBridge Schema Registry","ref":"aws_schemas.html","title":"aws_schemas","type":"module"},{"doc":"Creates a discoverer.","ref":"aws_schemas.html#create_discoverer/2","title":"aws_schemas.create_discoverer/2","type":"function"},{"doc":"","ref":"aws_schemas.html#create_discoverer/3","title":"aws_schemas.create_discoverer/3","type":"function"},{"doc":"Creates a registry.","ref":"aws_schemas.html#create_registry/3","title":"aws_schemas.create_registry/3","type":"function"},{"doc":"","ref":"aws_schemas.html#create_registry/4","title":"aws_schemas.create_registry/4","type":"function"},{"doc":"Creates a schema definition. Inactive schemas will be deleted after two years.","ref":"aws_schemas.html#create_schema/4","title":"aws_schemas.create_schema/4","type":"function"},{"doc":"","ref":"aws_schemas.html#create_schema/5","title":"aws_schemas.create_schema/5","type":"function"},{"doc":"Deletes a discoverer.","ref":"aws_schemas.html#delete_discoverer/3","title":"aws_schemas.delete_discoverer/3","type":"function"},{"doc":"","ref":"aws_schemas.html#delete_discoverer/4","title":"aws_schemas.delete_discoverer/4","type":"function"},{"doc":"Deletes a Registry.","ref":"aws_schemas.html#delete_registry/3","title":"aws_schemas.delete_registry/3","type":"function"},{"doc":"","ref":"aws_schemas.html#delete_registry/4","title":"aws_schemas.delete_registry/4","type":"function"},{"doc":"Delete the resource-based policy attached to the specified registry.","ref":"aws_schemas.html#delete_resource_policy/2","title":"aws_schemas.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_schemas.html#delete_resource_policy/3","title":"aws_schemas.delete_resource_policy/3","type":"function"},{"doc":"Delete a schema definition.","ref":"aws_schemas.html#delete_schema/4","title":"aws_schemas.delete_schema/4","type":"function"},{"doc":"","ref":"aws_schemas.html#delete_schema/5","title":"aws_schemas.delete_schema/5","type":"function"},{"doc":"Delete the schema version definition","ref":"aws_schemas.html#delete_schema_version/5","title":"aws_schemas.delete_schema_version/5","type":"function"},{"doc":"","ref":"aws_schemas.html#delete_schema_version/6","title":"aws_schemas.delete_schema_version/6","type":"function"},{"doc":"Describe the code binding URI.","ref":"aws_schemas.html#describe_code_binding/4","title":"aws_schemas.describe_code_binding/4","type":"function"},{"doc":"","ref":"aws_schemas.html#describe_code_binding/6","title":"aws_schemas.describe_code_binding/6","type":"function"},{"doc":"","ref":"aws_schemas.html#describe_code_binding/7","title":"aws_schemas.describe_code_binding/7","type":"function"},{"doc":"Describes the discoverer.","ref":"aws_schemas.html#describe_discoverer/2","title":"aws_schemas.describe_discoverer/2","type":"function"},{"doc":"","ref":"aws_schemas.html#describe_discoverer/4","title":"aws_schemas.describe_discoverer/4","type":"function"},{"doc":"","ref":"aws_schemas.html#describe_discoverer/5","title":"aws_schemas.describe_discoverer/5","type":"function"},{"doc":"Describes the registry.","ref":"aws_schemas.html#describe_registry/2","title":"aws_schemas.describe_registry/2","type":"function"},{"doc":"","ref":"aws_schemas.html#describe_registry/4","title":"aws_schemas.describe_registry/4","type":"function"},{"doc":"","ref":"aws_schemas.html#describe_registry/5","title":"aws_schemas.describe_registry/5","type":"function"},{"doc":"Retrieve the schema definition.","ref":"aws_schemas.html#describe_schema/3","title":"aws_schemas.describe_schema/3","type":"function"},{"doc":"","ref":"aws_schemas.html#describe_schema/5","title":"aws_schemas.describe_schema/5","type":"function"},{"doc":"","ref":"aws_schemas.html#describe_schema/6","title":"aws_schemas.describe_schema/6","type":"function"},{"doc":"Exports a schema to a different specification.","ref":"aws_schemas.html#export_schema/4","title":"aws_schemas.export_schema/4","type":"function"},{"doc":"","ref":"aws_schemas.html#export_schema/6","title":"aws_schemas.export_schema/6","type":"function"},{"doc":"","ref":"aws_schemas.html#export_schema/7","title":"aws_schemas.export_schema/7","type":"function"},{"doc":"Get the code binding source URI.","ref":"aws_schemas.html#get_code_binding_source/4","title":"aws_schemas.get_code_binding_source/4","type":"function"},{"doc":"","ref":"aws_schemas.html#get_code_binding_source/6","title":"aws_schemas.get_code_binding_source/6","type":"function"},{"doc":"","ref":"aws_schemas.html#get_code_binding_source/7","title":"aws_schemas.get_code_binding_source/7","type":"function"},{"doc":"Get the discovered schema that was generated based on sampled events.","ref":"aws_schemas.html#get_discovered_schema/2","title":"aws_schemas.get_discovered_schema/2","type":"function"},{"doc":"","ref":"aws_schemas.html#get_discovered_schema/3","title":"aws_schemas.get_discovered_schema/3","type":"function"},{"doc":"Retrieves the resource-based policy attached to a given registry.","ref":"aws_schemas.html#get_resource_policy/1","title":"aws_schemas.get_resource_policy/1","type":"function"},{"doc":"","ref":"aws_schemas.html#get_resource_policy/3","title":"aws_schemas.get_resource_policy/3","type":"function"},{"doc":"","ref":"aws_schemas.html#get_resource_policy/4","title":"aws_schemas.get_resource_policy/4","type":"function"},{"doc":"List the discoverers.","ref":"aws_schemas.html#list_discoverers/1","title":"aws_schemas.list_discoverers/1","type":"function"},{"doc":"","ref":"aws_schemas.html#list_discoverers/3","title":"aws_schemas.list_discoverers/3","type":"function"},{"doc":"","ref":"aws_schemas.html#list_discoverers/4","title":"aws_schemas.list_discoverers/4","type":"function"},{"doc":"List the registries.","ref":"aws_schemas.html#list_registries/1","title":"aws_schemas.list_registries/1","type":"function"},{"doc":"","ref":"aws_schemas.html#list_registries/3","title":"aws_schemas.list_registries/3","type":"function"},{"doc":"","ref":"aws_schemas.html#list_registries/4","title":"aws_schemas.list_registries/4","type":"function"},{"doc":"Provides a list of the schema versions and related information.","ref":"aws_schemas.html#list_schema_versions/3","title":"aws_schemas.list_schema_versions/3","type":"function"},{"doc":"","ref":"aws_schemas.html#list_schema_versions/5","title":"aws_schemas.list_schema_versions/5","type":"function"},{"doc":"","ref":"aws_schemas.html#list_schema_versions/6","title":"aws_schemas.list_schema_versions/6","type":"function"},{"doc":"List the schemas.","ref":"aws_schemas.html#list_schemas/2","title":"aws_schemas.list_schemas/2","type":"function"},{"doc":"","ref":"aws_schemas.html#list_schemas/4","title":"aws_schemas.list_schemas/4","type":"function"},{"doc":"","ref":"aws_schemas.html#list_schemas/5","title":"aws_schemas.list_schemas/5","type":"function"},{"doc":"Get tags for resource.","ref":"aws_schemas.html#list_tags_for_resource/2","title":"aws_schemas.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_schemas.html#list_tags_for_resource/4","title":"aws_schemas.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_schemas.html#list_tags_for_resource/5","title":"aws_schemas.list_tags_for_resource/5","type":"function"},{"doc":"Put code binding URI","ref":"aws_schemas.html#put_code_binding/5","title":"aws_schemas.put_code_binding/5","type":"function"},{"doc":"","ref":"aws_schemas.html#put_code_binding/6","title":"aws_schemas.put_code_binding/6","type":"function"},{"doc":"The name of the policy.","ref":"aws_schemas.html#put_resource_policy/2","title":"aws_schemas.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_schemas.html#put_resource_policy/3","title":"aws_schemas.put_resource_policy/3","type":"function"},{"doc":"Search the schemas","ref":"aws_schemas.html#search_schemas/3","title":"aws_schemas.search_schemas/3","type":"function"},{"doc":"","ref":"aws_schemas.html#search_schemas/5","title":"aws_schemas.search_schemas/5","type":"function"},{"doc":"","ref":"aws_schemas.html#search_schemas/6","title":"aws_schemas.search_schemas/6","type":"function"},{"doc":"Starts the discoverer","ref":"aws_schemas.html#start_discoverer/3","title":"aws_schemas.start_discoverer/3","type":"function"},{"doc":"","ref":"aws_schemas.html#start_discoverer/4","title":"aws_schemas.start_discoverer/4","type":"function"},{"doc":"Stops the discoverer","ref":"aws_schemas.html#stop_discoverer/3","title":"aws_schemas.stop_discoverer/3","type":"function"},{"doc":"","ref":"aws_schemas.html#stop_discoverer/4","title":"aws_schemas.stop_discoverer/4","type":"function"},{"doc":"Add tags to a resource.","ref":"aws_schemas.html#tag_resource/3","title":"aws_schemas.tag_resource/3","type":"function"},{"doc":"","ref":"aws_schemas.html#tag_resource/4","title":"aws_schemas.tag_resource/4","type":"function"},{"doc":"Removes tags from a resource.","ref":"aws_schemas.html#untag_resource/3","title":"aws_schemas.untag_resource/3","type":"function"},{"doc":"","ref":"aws_schemas.html#untag_resource/4","title":"aws_schemas.untag_resource/4","type":"function"},{"doc":"Updates the discoverer","ref":"aws_schemas.html#update_discoverer/3","title":"aws_schemas.update_discoverer/3","type":"function"},{"doc":"","ref":"aws_schemas.html#update_discoverer/4","title":"aws_schemas.update_discoverer/4","type":"function"},{"doc":"Updates a registry.","ref":"aws_schemas.html#update_registry/3","title":"aws_schemas.update_registry/3","type":"function"},{"doc":"","ref":"aws_schemas.html#update_registry/4","title":"aws_schemas.update_registry/4","type":"function"},{"doc":"Updates the schema definition Inactive schemas will be deleted after two years.","ref":"aws_schemas.html#update_schema/4","title":"aws_schemas.update_schema/4","type":"function"},{"doc":"","ref":"aws_schemas.html#update_schema/5","title":"aws_schemas.update_schema/5","type":"function"},{"doc":"Amazon SimpleDB is a web service providing the core database functions of data indexing and querying in the cloud. By offloading the time and effort associated with building and operating a web-scale database, SimpleDB provides developers the freedom to focus on application development. A traditional, clustered relational database requires a sizable upfront capital outlay, is complex to design, and often requires extensive and repetitive database administration. Amazon SimpleDB is dramatically simpler, requiring no schema, automatically indexing your data and providing a simple API for storage and access. This approach eliminates the administrative burden of data modeling, index maintenance, and performance tuning. Developers gain access to this functionality within Amazon's proven computing environment, are able to scale instantly, and pay only for what they use. Visit http://aws.amazon.com/simpledb/ for more information.","ref":"aws_sdb.html","title":"aws_sdb","type":"module"},{"doc":"Performs multiple DeleteAttributes operations in a single call, which reduces round trips and latencies. This enables Amazon SimpleDB to optimize requests, which generally yields better throughput. If you specify BatchDeleteAttributes without attributes or values, all the attributes for the item are deleted. BatchDeleteAttributes is an idempotent operation; running it multiple times on the same item or attribute doesn't result in an error. The BatchDeleteAttributes operation succeeds or fails in its entirety. There are no partial deletes. You can execute multiple BatchDeleteAttributes operations and other operations in parallel. However, large numbers of concurrent BatchDeleteAttributes calls can result in Service Unavailable (503) responses. This operation is vulnerable to exceeding the maximum URL size when making a REST request using the HTTP GET method. This operation does not support conditions using Expected.X.Name, Expected.X.Value, or Expected.X.Exists. The following limitations are enforced for this operation: 1 MB request size 25 item limit per BatchDeleteAttributes operation","ref":"aws_sdb.html#batch_delete_attributes/2","title":"aws_sdb.batch_delete_attributes/2","type":"function"},{"doc":"","ref":"aws_sdb.html#batch_delete_attributes/3","title":"aws_sdb.batch_delete_attributes/3","type":"function"},{"doc":"The BatchPutAttributes operation creates or replaces attributes within one or more items. By using this operation, the client can perform multiple PutAttribute operation with a single call. This helps yield savings in round trips and latencies, enabling Amazon SimpleDB to optimize requests and generally produce better throughput. The client may specify the item name with the Item.X.ItemName parameter. The client may specify new attributes using a combination of the Item.X.Attribute.Y.Name and Item.X.Attribute.Y.Value parameters. The client may specify the first attribute for the first item using the parameters Item.0.Attribute.0.Name and Item.0.Attribute.0.Value , and for the second attribute for the first item by the parameters Item.0.Attribute.1.Name and Item.0.Attribute.1.Value , and so on. Attributes are uniquely identified within an item by their name/value combination. For example, a single item can have the attributes { &quot;first_name&quot;, &quot;first_value&quot; } and { &quot;first_name&quot;, &quot;second_value&quot; } . However, it cannot have two attribute instances where both the Item.X.Attribute.Y.Name and Item.X.Attribute.Y.Value are the same. Optionally, the requester can supply the Replace parameter for each individual value. Setting this value to true will cause the new attribute values to replace the existing attribute values. For example, if an item I has the attributes { a', '1' }, { 'b', '2'}' and { b', '3' }' and the requester does a BatchPutAttributes of { I', 'b', '4' }' with the Replace parameter set to true, the final attributes of the item will be { a', '1' }' and { b', '4' }', replacing the previous values of the 'b' attribute with the new value. You cannot specify an empty string as an item or as an attribute name. The BatchPutAttributes operation succeeds or fails in its entirety. There are no partial puts. This operation is vulnerable to exceeding the maximum URL size when making a REST request using the HTTP GET method. This operation does not support conditions using Expected.X.Name , Expected.X.Value , or Expected.X.Exists . You can execute multiple BatchPutAttributes operations and other operations in parallel. However, large numbers of concurrent BatchPutAttributes calls can result in Service Unavailable (503) responses. The following limitations are enforced for this operation: 256 attribute name-value pairs per item 1 MB request size 1 billion attributes per domain 10 GB of total user data storage per domain 25 item limit per BatchPutAttributes operation","ref":"aws_sdb.html#batch_put_attributes/2","title":"aws_sdb.batch_put_attributes/2","type":"function"},{"doc":"","ref":"aws_sdb.html#batch_put_attributes/3","title":"aws_sdb.batch_put_attributes/3","type":"function"},{"doc":"The CreateDomain operation creates a new domain. The domain name should be unique among the domains associated with the Access Key ID provided in the request. The CreateDomain operation may take 10 or more seconds to complete. CreateDomain is an idempotent operation; running it multiple times using the same domain name will not result in an error response. The client can create up to 100 domains per account. If the client requires additional domains, go to http://aws.amazon.com/contact-us/simpledb-limit-request/.","ref":"aws_sdb.html#create_domain/2","title":"aws_sdb.create_domain/2","type":"function"},{"doc":"","ref":"aws_sdb.html#create_domain/3","title":"aws_sdb.create_domain/3","type":"function"},{"doc":"Deletes one or more attributes associated with an item. If all attributes of the item are deleted, the item is deleted. If DeleteAttributes is called without being passed any attributes or values specified, all the attributes for the item are deleted. DeleteAttributes is an idempotent operation; running it multiple times on the same item or attribute does not result in an error response. Because Amazon SimpleDB makes multiple copies of item data and uses an eventual consistency update model, performing a GetAttributes or Select operation (read) immediately after a DeleteAttributes or PutAttributes operation (write) might not return updated item data.","ref":"aws_sdb.html#delete_attributes/2","title":"aws_sdb.delete_attributes/2","type":"function"},{"doc":"","ref":"aws_sdb.html#delete_attributes/3","title":"aws_sdb.delete_attributes/3","type":"function"},{"doc":"The DeleteDomain operation deletes a domain. Any items (and their attributes) in the domain are deleted as well. The DeleteDomain operation might take 10 or more seconds to complete. Running DeleteDomain on a domain that does not exist or running the function multiple times using the same domain name will not result in an error response.","ref":"aws_sdb.html#delete_domain/2","title":"aws_sdb.delete_domain/2","type":"function"},{"doc":"","ref":"aws_sdb.html#delete_domain/3","title":"aws_sdb.delete_domain/3","type":"function"},{"doc":"Returns information about the domain, including when the domain was created, the number of items and attributes in the domain, and the size of the attribute names and values.","ref":"aws_sdb.html#domain_metadata/2","title":"aws_sdb.domain_metadata/2","type":"function"},{"doc":"","ref":"aws_sdb.html#domain_metadata/3","title":"aws_sdb.domain_metadata/3","type":"function"},{"doc":"Returns all of the attributes associated with the specified item. Optionally, the attributes returned can be limited to one or more attributes by specifying an attribute name parameter. If the item does not exist on the replica that was accessed for this operation, an empty set is returned. The system does not return an error as it cannot guarantee the item does not exist on other replicas. If GetAttributes is called without being passed any attribute names, all the attributes for the item are returned.","ref":"aws_sdb.html#get_attributes/2","title":"aws_sdb.get_attributes/2","type":"function"},{"doc":"","ref":"aws_sdb.html#get_attributes/3","title":"aws_sdb.get_attributes/3","type":"function"},{"doc":"The ListDomains operation lists all domains associated with the Access Key ID. It returns domain names up to the limit set by MaxNumberOfDomains. A NextToken is returned if there are more than MaxNumberOfDomains domains. Calling ListDomains successive times with the NextToken provided by the operation returns up to MaxNumberOfDomains more domain names with each successive operation call.","ref":"aws_sdb.html#list_domains/2","title":"aws_sdb.list_domains/2","type":"function"},{"doc":"","ref":"aws_sdb.html#list_domains/3","title":"aws_sdb.list_domains/3","type":"function"},{"doc":"The PutAttributes operation creates or replaces attributes in an item. The client may specify new attributes using a combination of the Attribute.X.Name and Attribute.X.Value parameters. The client specifies the first attribute by the parameters Attribute.0.Name and Attribute.0.Value , the second attribute by the parameters Attribute.1.Name and Attribute.1.Value , and so on. Attributes are uniquely identified in an item by their name/value combination. For example, a single item can have the attributes { &quot;first_name&quot;, &quot;first_value&quot; } and { &quot;first_name&quot;, second_value&quot; } . However, it cannot have two attribute instances where both the Attribute.X.Name and Attribute.X.Value are the same. Optionally, the requestor can supply the Replace parameter for each individual attribute. Setting this value to true causes the new attribute value to replace the existing attribute value(s). For example, if an item has the attributes { a', '1' }', { b', '2'}' and { b', '3' }' and the requestor calls PutAttributes using the attributes { b', '4' }' with the Replace parameter set to true, the final attributes of the item are changed to { a', '1' }' and { b', '4' }', which replaces the previous values of the 'b' attribute with the new value. Using PutAttributes to replace attribute values that do not exist will not result in an error response. You cannot specify an empty string as an attribute name. Because Amazon SimpleDB makes multiple copies of client data and uses an eventual consistency update model, an immediate GetAttributes or Select operation (read) immediately after a PutAttributes or DeleteAttributes operation (write) might not return the updated data. The following limitations are enforced for this operation: 256 total attribute name-value pairs per item One billion attributes per domain 10 GB of total user data storage per domain","ref":"aws_sdb.html#put_attributes/2","title":"aws_sdb.put_attributes/2","type":"function"},{"doc":"","ref":"aws_sdb.html#put_attributes/3","title":"aws_sdb.put_attributes/3","type":"function"},{"doc":"The Select operation returns a set of attributes for ItemNames that match the select expression. Select is similar to the standard SQL SELECT statement. The total size of the response cannot exceed 1 MB in total size. Amazon SimpleDB automatically adjusts the number of items returned per page to enforce this limit. For example, if the client asks to retrieve 2500 items, but each individual item is 10 kB in size, the system returns 100 items and an appropriate NextToken so the client can access the next page of results. For information on how to construct select expressions, see Using Select to Create Amazon SimpleDB Queries in the Developer Guide.","ref":"aws_sdb.html#select/2","title":"aws_sdb.select/2","type":"function"},{"doc":"","ref":"aws_sdb.html#select/3","title":"aws_sdb.select/3","type":"function"},{"doc":"Amazon Web Services Secrets Manager Amazon Web Services Secrets Manager provides a service to enable you to store, manage, and retrieve, secrets. This guide provides descriptions of the Secrets Manager API. For more information about using this service, see the Amazon Web Services Secrets Manager User Guide. API Version This version of the Secrets Manager API Reference documents the Secrets Manager API version 2017-10-17. For a list of endpoints, see Amazon Web Services Secrets Manager endpoints. Support and Feedback for Amazon Web Services Secrets Manager We welcome your feedback. Send your comments to awssecretsmanager-feedback@amazon.com, or post your feedback and questions in the Amazon Web Services Secrets Manager Discussion Forum. For more information about the Amazon Web Services Discussion Forums, see Forums Help. Logging API Requests Amazon Web Services Secrets Manager supports Amazon Web Services CloudTrail, a service that records Amazon Web Services API calls for your Amazon Web Services account and delivers log files to an Amazon S3 bucket. By using information that's collected by Amazon Web Services CloudTrail, you can determine the requests successfully made to Secrets Manager, who made the request, when it was made, and so on. For more about Amazon Web Services Secrets Manager and support for Amazon Web Services CloudTrail, see Logging Amazon Web Services Secrets Manager Events with Amazon Web Services CloudTrail in the Amazon Web Services Secrets Manager User Guide. To learn more about CloudTrail, including enabling it and find your log files, see the Amazon Web Services CloudTrail User Guide.","ref":"aws_secrets_manager.html","title":"aws_secrets_manager","type":"module"},{"doc":"Turns off automatic rotation, and if a rotation is currently in progress, cancels the rotation. If you cancel a rotation in progress, it can leave the VersionStage labels in an unexpected state. You might need to remove the staging label AWSPENDING from the partially created version. You also need to determine whether to roll back to the previous version of the secret by moving the staging label AWSCURRENT to the version that has AWSPENDING . To determine which version has a specific staging label, call ListSecretVersionIds . Then use UpdateSecretVersionStage to change staging labels. For more information, see How rotation works. To turn on automatic rotation again, call RotateSecret . Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:CancelRotateSecret . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#cancel_rotate_secret/2","title":"aws_secrets_manager.cancel_rotate_secret/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#cancel_rotate_secret/3","title":"aws_secrets_manager.cancel_rotate_secret/3","type":"function"},{"doc":"Creates a new secret. A secret can be a password, a set of credentials such as a user name and password, an OAuth token, or other secret information that you store in an encrypted form in Secrets Manager. The secret also includes the connection information to access a database or other service, which Secrets Manager doesn't encrypt. A secret in Secrets Manager consists of both the protected secret data and the important information needed to manage the secret. For secrets that use managed rotation, you need to create the secret through the managing service. For more information, see Secrets Manager secrets managed by other Amazon Web Services services. For information about creating a secret in the console, see Create a secret. To create a secret, you can provide the secret value to be encrypted in either the SecretString parameter or the SecretBinary parameter, but not both. If you include SecretString or SecretBinary then Secrets Manager creates an initial secret version and automatically attaches the staging label AWSCURRENT to it. For database credentials you want to rotate, for Secrets Manager to be able to rotate the secret, you must make sure the JSON you store in the SecretString matches the JSON structure of a database secret. If you don't specify an KMS encryption key, Secrets Manager uses the Amazon Web Services managed key aws/secretsmanager . If this key doesn't already exist in your account, then Secrets Manager creates it for you automatically. All users and roles in the Amazon Web Services account automatically have access to use aws/secretsmanager . Creating aws/secretsmanager can result in a one-time significant delay in returning the result. If the secret is in a different Amazon Web Services account from the credentials calling the API, then you can't use aws/secretsmanager to encrypt the secret, and you must create and use a customer managed KMS key. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters except SecretBinary or SecretString because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:CreateSecret . If you include tags in the secret, you also need secretsmanager:TagResource . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager. To encrypt the secret with a KMS key other than aws/secretsmanager , you need kms:GenerateDataKey and kms:Decrypt permission to the key.","ref":"aws_secrets_manager.html#create_secret/2","title":"aws_secrets_manager.create_secret/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#create_secret/3","title":"aws_secrets_manager.create_secret/3","type":"function"},{"doc":"Deletes the resource-based permission policy attached to the secret. To attach a policy to a secret, use PutResourcePolicy . Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:DeleteResourcePolicy . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#delete_resource_policy/2","title":"aws_secrets_manager.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#delete_resource_policy/3","title":"aws_secrets_manager.delete_resource_policy/3","type":"function"},{"doc":"Deletes a secret and all of its versions. You can specify a recovery window during which you can restore the secret. The minimum recovery window is 7 days. The default recovery window is 30 days. Secrets Manager attaches a DeletionDate stamp to the secret that specifies the end of the recovery window. At the end of the recovery window, Secrets Manager deletes the secret permanently. You can't delete a primary secret that is replicated to other Regions. You must first delete the replicas using RemoveRegionsFromReplication , and then delete the primary secret. When you delete a replica, it is deleted immediately. You can't directly delete a version of a secret. Instead, you remove all staging labels from the version using UpdateSecretVersionStage . This marks the version as deprecated, and then Secrets Manager can automatically delete the version in the background. To determine whether an application still uses a secret, you can create an Amazon CloudWatch alarm to alert you to any attempts to access a secret during the recovery window. For more information, see Monitor secrets scheduled for deletion. Secrets Manager performs the permanent secret deletion at the end of the waiting period as a background task with low priority. There is no guarantee of a specific time after the recovery window for the permanent delete to occur. At any time before recovery window ends, you can use RestoreSecret to remove the DeletionDate and cancel the deletion of the secret. When a secret is scheduled for deletion, you cannot retrieve the secret value. You must first cancel the deletion with RestoreSecret and then you can retrieve the secret. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:DeleteSecret . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#delete_secret/2","title":"aws_secrets_manager.delete_secret/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#delete_secret/3","title":"aws_secrets_manager.delete_secret/3","type":"function"},{"doc":"Retrieves the details of a secret. It does not include the encrypted secret value. Secrets Manager only returns fields that have a value in the response. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:DescribeSecret . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#describe_secret/2","title":"aws_secrets_manager.describe_secret/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#describe_secret/3","title":"aws_secrets_manager.describe_secret/3","type":"function"},{"doc":"Generates a random password. We recommend that you specify the maximum length and include every character type that the system you are generating a password for can support. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:GetRandomPassword . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#get_random_password/2","title":"aws_secrets_manager.get_random_password/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#get_random_password/3","title":"aws_secrets_manager.get_random_password/3","type":"function"},{"doc":"Retrieves the JSON text of the resource-based policy document attached to the secret. For more information about permissions policies attached to a secret, see Permissions policies attached to a secret. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:GetResourcePolicy . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#get_resource_policy/2","title":"aws_secrets_manager.get_resource_policy/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#get_resource_policy/3","title":"aws_secrets_manager.get_resource_policy/3","type":"function"},{"doc":"Retrieves the contents of the encrypted fields SecretString or SecretBinary from the specified version of a secret, whichever contains content. We recommend that you cache your secret values by using client-side caching. Caching secrets improves speed and reduces your costs. For more information, see Cache secrets for your applications. To retrieve the previous version of a secret, use VersionStage and specify AWSPREVIOUS. To revert to the previous version of a secret, call UpdateSecretVersionStage. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:GetSecretValue . If the secret is encrypted using a customer-managed key instead of the Amazon Web Services managed key aws/secretsmanager , then you also need kms:Decrypt permissions for that key. For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#get_secret_value/2","title":"aws_secrets_manager.get_secret_value/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#get_secret_value/3","title":"aws_secrets_manager.get_secret_value/3","type":"function"},{"doc":"Lists the versions of a secret. Secrets Manager uses staging labels to indicate the different versions of a secret. For more information, see Secrets Manager concepts: Versions. To list the secrets in the account, use ListSecrets . Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:ListSecretVersionIds . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#list_secret_version_ids/2","title":"aws_secrets_manager.list_secret_version_ids/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#list_secret_version_ids/3","title":"aws_secrets_manager.list_secret_version_ids/3","type":"function"},{"doc":"Lists the secrets that are stored by Secrets Manager in the Amazon Web Services account, not including secrets that are marked for deletion. To see secrets marked for deletion, use the Secrets Manager console. ListSecrets is eventually consistent, however it might not reflect changes from the last five minutes. To get the latest information for a specific secret, use DescribeSecret . To list the versions of a secret, use ListSecretVersionIds . To get the secret value from SecretString or SecretBinary , call GetSecretValue . For information about finding secrets in the console, see Find secrets in Secrets Manager. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:ListSecrets . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#list_secrets/2","title":"aws_secrets_manager.list_secrets/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#list_secrets/3","title":"aws_secrets_manager.list_secrets/3","type":"function"},{"doc":"Attaches a resource-based permission policy to a secret. A resource-based policy is optional. For more information, see Authentication and access control for Secrets Manager For information about attaching a policy in the console, see Attach a permissions policy to a secret. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:PutResourcePolicy . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#put_resource_policy/2","title":"aws_secrets_manager.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#put_resource_policy/3","title":"aws_secrets_manager.put_resource_policy/3","type":"function"},{"doc":"Creates a new version with a new encrypted secret value and attaches it to the secret. The version can contain a new SecretString value or a new SecretBinary value. We recommend you avoid calling PutSecretValue at a sustained rate of more than once every 10 minutes. When you update the secret value, Secrets Manager creates a new version of the secret. Secrets Manager removes outdated versions when there are more than 100, but it does not remove versions created less than 24 hours ago. If you call PutSecretValue more than once every 10 minutes, you create more versions than Secrets Manager removes, and you will reach the quota for secret versions. You can specify the staging labels to attach to the new version in VersionStages . If you don't include VersionStages , then Secrets Manager automatically moves the staging label AWSCURRENT to this version. If this operation creates the first version for the secret, then Secrets Manager automatically attaches the staging label AWSCURRENT to it. If this operation moves the staging label AWSCURRENT from another version to this version, then Secrets Manager also automatically moves the staging label AWSPREVIOUS to the version that AWSCURRENT was removed from. This operation is idempotent. If you call this operation with a ClientRequestToken that matches an existing version's VersionId, and you specify the same secret data, the operation succeeds but does nothing. However, if the secret data is different, then the operation fails because you can't modify an existing version; you can only create new ones. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters except SecretBinary or SecretString because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:PutSecretValue . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#put_secret_value/2","title":"aws_secrets_manager.put_secret_value/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#put_secret_value/3","title":"aws_secrets_manager.put_secret_value/3","type":"function"},{"doc":"For a secret that is replicated to other Regions, deletes the secret replicas from the Regions you specify. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:RemoveRegionsFromReplication . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#remove_regions_from_replication/2","title":"aws_secrets_manager.remove_regions_from_replication/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#remove_regions_from_replication/3","title":"aws_secrets_manager.remove_regions_from_replication/3","type":"function"},{"doc":"Replicates the secret to a new Regions. See Multi-Region secrets. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:ReplicateSecretToRegions . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#replicate_secret_to_regions/2","title":"aws_secrets_manager.replicate_secret_to_regions/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#replicate_secret_to_regions/3","title":"aws_secrets_manager.replicate_secret_to_regions/3","type":"function"},{"doc":"Cancels the scheduled deletion of a secret by removing the DeletedDate time stamp. You can access a secret again after it has been restored. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:RestoreSecret . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#restore_secret/2","title":"aws_secrets_manager.restore_secret/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#restore_secret/3","title":"aws_secrets_manager.restore_secret/3","type":"function"},{"doc":"Configures and starts the asynchronous process of rotating the secret. For information about rotation, see Rotate secrets in the Secrets Manager User Guide. If you include the configuration parameters, the operation sets the values for the secret and then immediately starts a rotation. If you don't include the configuration parameters, the operation starts a rotation with the values already stored in the secret. When rotation is successful, the AWSPENDING staging label might be attached to the same version as the AWSCURRENT version, or it might not be attached to any version. If the AWSPENDING staging label is present but not attached to the same version as AWSCURRENT , then any later invocation of RotateSecret assumes that a previous rotation request is still in progress and returns an error. When rotation is unsuccessful, the AWSPENDING staging label might be attached to an empty secret version. For more information, see Troubleshoot rotation in the Secrets Manager User Guide. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:RotateSecret . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager. You also need lambda:InvokeFunction permissions on the rotation function. For more information, see Permissions for rotation.","ref":"aws_secrets_manager.html#rotate_secret/2","title":"aws_secrets_manager.rotate_secret/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#rotate_secret/3","title":"aws_secrets_manager.rotate_secret/3","type":"function"},{"doc":"Removes the link between the replica secret and the primary secret and promotes the replica to a primary secret in the replica Region. You must call this operation from the Region in which you want to promote the replica to a primary secret. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:StopReplicationToReplica . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#stop_replication_to_replica/2","title":"aws_secrets_manager.stop_replication_to_replica/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#stop_replication_to_replica/3","title":"aws_secrets_manager.stop_replication_to_replica/3","type":"function"},{"doc":"Attaches tags to a secret. Tags consist of a key name and a value. Tags are part of the secret's metadata. They are not associated with specific versions of the secret. This operation appends tags to the existing list of tags. The following restrictions apply to tags: Maximum number of tags per secret: 50 Maximum key length: 127 Unicode characters in UTF-8 Maximum value length: 255 Unicode characters in UTF-8 Tag keys and values are case sensitive. Do not use the aws: prefix in your tag names or values because Amazon Web Services reserves it for Amazon Web Services use. You can't edit or delete tag names or values with this prefix. Tags with this prefix do not count against your tags per secret limit. If you use your tagging schema across multiple services and resources, other services might have restrictions on allowed characters. Generally allowed characters: letters, spaces, and numbers representable in UTF-8, plus the following special characters: + - = . _ : / @. If you use tags as part of your security strategy, then adding or removing a tag can change permissions. If successfully completing this operation would result in you losing your permissions for this secret, then the operation is blocked and returns an Access Denied error. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:TagResource . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#tag_resource/2","title":"aws_secrets_manager.tag_resource/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#tag_resource/3","title":"aws_secrets_manager.tag_resource/3","type":"function"},{"doc":"Removes specific tags from a secret. This operation is idempotent. If a requested tag is not attached to the secret, no error is returned and the secret metadata is unchanged. If you use tags as part of your security strategy, then removing a tag can change permissions. If successfully completing this operation would result in you losing your permissions for this secret, then the operation is blocked and returns an Access Denied error. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:UntagResource . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#untag_resource/2","title":"aws_secrets_manager.untag_resource/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#untag_resource/3","title":"aws_secrets_manager.untag_resource/3","type":"function"},{"doc":"Modifies the details of a secret, including metadata and the secret value. To change the secret value, you can also use PutSecretValue . To change the rotation configuration of a secret, use RotateSecret instead. To change a secret so that it is managed by another service, you need to recreate the secret in that service. See Secrets Manager secrets managed by other Amazon Web Services services. We recommend you avoid calling UpdateSecret at a sustained rate of more than once every 10 minutes. When you call UpdateSecret to update the secret value, Secrets Manager creates a new version of the secret. Secrets Manager removes outdated versions when there are more than 100, but it does not remove versions created less than 24 hours ago. If you update the secret value more than once every 10 minutes, you create more versions than Secrets Manager removes, and you will reach the quota for secret versions. If you include SecretString or SecretBinary to create a new secret version, Secrets Manager automatically moves the staging label AWSCURRENT to the new version. Then it attaches the label AWSPREVIOUS to the version that AWSCURRENT was removed from. If you call this operation with a ClientRequestToken that matches an existing version's VersionId , the operation results in an error. You can't modify an existing version, you can only create a new version. To remove a version, remove all staging labels from it. See UpdateSecretVersionStage . Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters except SecretBinary or SecretString because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:UpdateSecret . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager. If you use a customer managed key, you must also have kms:GenerateDataKey and kms:Decrypt permissions on the key. For more information, see Secret encryption and decryption.","ref":"aws_secrets_manager.html#update_secret/2","title":"aws_secrets_manager.update_secret/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#update_secret/3","title":"aws_secrets_manager.update_secret/3","type":"function"},{"doc":"Modifies the staging labels attached to a version of a secret. Secrets Manager uses staging labels to track a version as it progresses through the secret rotation process. Each staging label can be attached to only one version at a time. To add a staging label to a version when it is already attached to another version, Secrets Manager first removes it from the other version first and then attaches it to this one. For more information about versions and staging labels, see Concepts: Version. The staging labels that you specify in the VersionStage parameter are added to the existing list of staging labels for the version. You can move the AWSCURRENT staging label to this version by including it in this call. Whenever you move AWSCURRENT , Secrets Manager automatically moves the label AWSPREVIOUS to the version that AWSCURRENT was removed from. If this action results in the last label being removed from a version, then the version is considered to be 'deprecated' and can be deleted by Secrets Manager. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:UpdateSecretVersionStage . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#update_secret_version_stage/2","title":"aws_secrets_manager.update_secret_version_stage/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#update_secret_version_stage/3","title":"aws_secrets_manager.update_secret_version_stage/3","type":"function"},{"doc":"Validates that a resource policy does not grant a wide range of principals access to your secret. A resource-based policy is optional for secrets. The API performs three checks when validating the policy: Sends a call to Zelkova, an automated reasoning engine, to ensure your resource policy does not allow broad access to your secret, for example policies that use a wildcard for the principal. Checks for correct syntax in a policy. Verifies the policy does not lock out a caller. Secrets Manager generates a CloudTrail log entry when you call this action. Do not include sensitive information in request parameters because it might be logged. For more information, see Logging Secrets Manager events with CloudTrail. Required permissions: secretsmanager:ValidateResourcePolicy . For more information, see IAM policy actions for Secrets Manager and Authentication and access control in Secrets Manager.","ref":"aws_secrets_manager.html#validate_resource_policy/2","title":"aws_secrets_manager.validate_resource_policy/2","type":"function"},{"doc":"","ref":"aws_secrets_manager.html#validate_resource_policy/3","title":"aws_secrets_manager.validate_resource_policy/3","type":"function"},{"doc":"Security Hub provides you with a comprehensive view of the security state of your Amazon Web Services environment and resources. It also provides you with the readiness status of your environment based on controls from supported security standards. Security Hub collects security data from Amazon Web Services accounts, services, and integrated third-party products and helps you analyze security trends in your environment to identify the highest priority security issues. For more information about Security Hub, see the Security HubUser Guide . When you use operations in the Security Hub API, the requests are executed only in the Amazon Web Services Region that is currently active or in the specific Amazon Web Services Region that you specify in your request. Any configuration or settings change that results from the operation is applied only to that Region. To make the same change in other Regions, execute the same command for each Region to apply the change to. For example, if your Region is set to us-west-2 , when you use CreateMembers to add a member account to Security Hub, the association of the member account with the administrator account is created only in the us-west-2 Region. Security Hub must be enabled for the member account in the same Region that the invitation was sent from. The following throttling limits apply to using Security Hub API operations. BatchEnableStandards - RateLimit of 1 request per second, BurstLimit of 1 request per second. GetFindings - RateLimit of 3 requests per second. BurstLimit of 6 requests per second. BatchImportFindings - RateLimit of 10 requests per second. BurstLimit of 30 requests per second. BatchUpdateFindings - RateLimit of 10 requests per second. BurstLimit of 30 requests per second. UpdateStandardsControl - RateLimit of 1 request per second, BurstLimit of 5 requests per second. All other operations - RateLimit of 10 requests per second. BurstLimit of 30 requests per second.","ref":"aws_securityhub.html","title":"aws_securityhub","type":"module"},{"doc":"Accepts the invitation to be a member account and be monitored by the Security Hub administrator account that the invitation was sent from. This operation is only used by member accounts that are not added through Organizations. When the member account accepts the invitation, permission is granted to the administrator account to view findings generated in the member account.","ref":"aws_securityhub.html#accept_administrator_invitation/2","title":"aws_securityhub.accept_administrator_invitation/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#accept_administrator_invitation/3","title":"aws_securityhub.accept_administrator_invitation/3","type":"function"},{"doc":"This method is deprecated. Instead, use AcceptAdministratorInvitation . The Security Hub console continues to use AcceptInvitation . It will eventually change to use AcceptAdministratorInvitation . Any IAM policies that specifically control access to this function must continue to use AcceptInvitation . You should also add AcceptAdministratorInvitation to your policies to ensure that the correct permissions are in place after the console begins to use AcceptAdministratorInvitation . Accepts the invitation to be a member account and be monitored by the Security Hub administrator account that the invitation was sent from. This operation is only used by member accounts that are not added through Organizations. When the member account accepts the invitation, permission is granted to the administrator account to view findings generated in the member account.","ref":"aws_securityhub.html#accept_invitation/2","title":"aws_securityhub.accept_invitation/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#accept_invitation/3","title":"aws_securityhub.accept_invitation/3","type":"function"},{"doc":"Disables the standards specified by the provided StandardsSubscriptionArns . For more information, see Security Standards section of the Security Hub User Guide.","ref":"aws_securityhub.html#batch_disable_standards/2","title":"aws_securityhub.batch_disable_standards/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#batch_disable_standards/3","title":"aws_securityhub.batch_disable_standards/3","type":"function"},{"doc":"Enables the standards specified by the provided StandardsArn . To obtain the ARN for a standard, use the DescribeStandards operation. For more information, see the Security Standards section of the Security Hub User Guide.","ref":"aws_securityhub.html#batch_enable_standards/2","title":"aws_securityhub.batch_enable_standards/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#batch_enable_standards/3","title":"aws_securityhub.batch_enable_standards/3","type":"function"},{"doc":"Imports security findings generated by a finding provider into Security Hub. This action is requested by the finding provider to import its findings into Security Hub. BatchImportFindings must be called by one of the following: The Amazon Web Services account that is associated with a finding if you are using the default product ARN or are a partner sending findings from within a customer's Amazon Web Services account. In these cases, the identifier of the account that you are calling BatchImportFindings from needs to be the same as the AwsAccountId attribute for the finding. An Amazon Web Services account that Security Hub has allow-listed for an official partner integration. In this case, you can call BatchImportFindings from the allow-listed account and send findings from different customer accounts in the same batch. The maximum allowed size for a finding is 240 Kb. An error is returned for any finding larger than 240 Kb. After a finding is created, BatchImportFindings cannot be used to update the following finding fields and objects, which Security Hub customers use to manage their investigation workflow. Note UserDefinedFields VerificationState Workflow Finding providers also should not use BatchImportFindings to update the following attributes. Confidence Criticality RelatedFindings Severity Types Instead, finding providers use FindingProviderFields to provide values for these attributes.","ref":"aws_securityhub.html#batch_import_findings/2","title":"aws_securityhub.batch_import_findings/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#batch_import_findings/3","title":"aws_securityhub.batch_import_findings/3","type":"function"},{"doc":"Used by Security Hub customers to update information about their investigation into a finding. Requested by administrator accounts or member accounts. Administrator accounts can update findings for their account and their member accounts. Member accounts can update findings for their account. Updates from BatchUpdateFindings do not affect the value of UpdatedAt for a finding. Administrator and member accounts can use BatchUpdateFindings to update the following finding fields and objects. Confidence Criticality Note RelatedFindings Severity Types UserDefinedFields VerificationState Workflow You can configure IAM policies to restrict access to fields and field values. For example, you might not want member accounts to be able to suppress findings or change the finding severity. See Configuring access to BatchUpdateFindings in the Security Hub User Guide.","ref":"aws_securityhub.html#batch_update_findings/2","title":"aws_securityhub.batch_update_findings/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#batch_update_findings/3","title":"aws_securityhub.batch_update_findings/3","type":"function"},{"doc":"Creates a custom action target in Security Hub. You can use custom actions on findings and insights in Security Hub to trigger target actions in Amazon CloudWatch Events.","ref":"aws_securityhub.html#create_action_target/2","title":"aws_securityhub.create_action_target/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#create_action_target/3","title":"aws_securityhub.create_action_target/3","type":"function"},{"doc":"Used to enable finding aggregation. Must be called from the aggregation Region. For more details about cross-Region replication, see Configuring finding aggregation in the Security Hub User Guide.","ref":"aws_securityhub.html#create_finding_aggregator/2","title":"aws_securityhub.create_finding_aggregator/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#create_finding_aggregator/3","title":"aws_securityhub.create_finding_aggregator/3","type":"function"},{"doc":"Creates a custom insight in Security Hub. An insight is a consolidation of findings that relate to a security issue that requires attention or remediation. To group the related findings in the insight, use the GroupByAttribute .","ref":"aws_securityhub.html#create_insight/2","title":"aws_securityhub.create_insight/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#create_insight/3","title":"aws_securityhub.create_insight/3","type":"function"},{"doc":"Creates a member association in Security Hub between the specified accounts and the account used to make the request, which is the administrator account. If you are integrated with Organizations, then the administrator account is designated by the organization management account. CreateMembers is always used to add accounts that are not organization members. For accounts that are managed using Organizations, CreateMembers is only used in the following cases: Security Hub is not configured to automatically add new organization accounts. The account was disassociated or deleted in Security Hub. This action can only be used by an account that has Security Hub enabled. To enable Security Hub, you can use the EnableSecurityHub operation. For accounts that are not organization members, you create the account association and then send an invitation to the member account. To send the invitation, you use the InviteMembers operation. If the account owner accepts the invitation, the account becomes a member account in Security Hub. Accounts that are managed using Organizations do not receive an invitation. They automatically become a member account in Security Hub. If the organization account does not have Security Hub enabled, then Security Hub and the default standards are automatically enabled. Note that Security Hub cannot be enabled automatically for the organization management account. The organization management account must enable Security Hub before the administrator account enables it as a member account. For organization accounts that already have Security Hub enabled, Security Hub does not make any other changes to those accounts. It does not change their enabled standards or controls. A permissions policy is added that permits the administrator account to view the findings generated in the member account. To remove the association between the administrator and member accounts, use the DisassociateFromMasterAccount or DisassociateMembers operation.","ref":"aws_securityhub.html#create_members/2","title":"aws_securityhub.create_members/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#create_members/3","title":"aws_securityhub.create_members/3","type":"function"},{"doc":"Declines invitations to become a member account. This operation is only used by accounts that are not part of an organization. Organization accounts do not receive invitations.","ref":"aws_securityhub.html#decline_invitations/2","title":"aws_securityhub.decline_invitations/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#decline_invitations/3","title":"aws_securityhub.decline_invitations/3","type":"function"},{"doc":"Deletes a custom action target from Security Hub. Deleting a custom action target does not affect any findings or insights that were already sent to Amazon CloudWatch Events using the custom action.","ref":"aws_securityhub.html#delete_action_target/3","title":"aws_securityhub.delete_action_target/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#delete_action_target/4","title":"aws_securityhub.delete_action_target/4","type":"function"},{"doc":"Deletes a finding aggregator. When you delete the finding aggregator, you stop finding aggregation. When you stop finding aggregation, findings that were already aggregated to the aggregation Region are still visible from the aggregation Region. New findings and finding updates are not aggregated.","ref":"aws_securityhub.html#delete_finding_aggregator/3","title":"aws_securityhub.delete_finding_aggregator/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#delete_finding_aggregator/4","title":"aws_securityhub.delete_finding_aggregator/4","type":"function"},{"doc":"Deletes the insight specified by the InsightArn .","ref":"aws_securityhub.html#delete_insight/3","title":"aws_securityhub.delete_insight/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#delete_insight/4","title":"aws_securityhub.delete_insight/4","type":"function"},{"doc":"Deletes invitations received by the Amazon Web Services account to become a member account. This operation is only used by accounts that are not part of an organization. Organization accounts do not receive invitations.","ref":"aws_securityhub.html#delete_invitations/2","title":"aws_securityhub.delete_invitations/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#delete_invitations/3","title":"aws_securityhub.delete_invitations/3","type":"function"},{"doc":"Deletes the specified member accounts from Security Hub. Can be used to delete member accounts that belong to an organization as well as member accounts that were invited manually.","ref":"aws_securityhub.html#delete_members/2","title":"aws_securityhub.delete_members/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#delete_members/3","title":"aws_securityhub.delete_members/3","type":"function"},{"doc":"Returns a list of the custom action targets in Security Hub in your account.","ref":"aws_securityhub.html#describe_action_targets/2","title":"aws_securityhub.describe_action_targets/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#describe_action_targets/3","title":"aws_securityhub.describe_action_targets/3","type":"function"},{"doc":"Returns details about the Hub resource in your account, including the HubArn and the time when you enabled Security Hub.","ref":"aws_securityhub.html#describe_hub/1","title":"aws_securityhub.describe_hub/1","type":"function"},{"doc":"","ref":"aws_securityhub.html#describe_hub/3","title":"aws_securityhub.describe_hub/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#describe_hub/4","title":"aws_securityhub.describe_hub/4","type":"function"},{"doc":"Returns information about the Organizations configuration for Security Hub. Can only be called from a Security Hub administrator account.","ref":"aws_securityhub.html#describe_organization_configuration/1","title":"aws_securityhub.describe_organization_configuration/1","type":"function"},{"doc":"","ref":"aws_securityhub.html#describe_organization_configuration/3","title":"aws_securityhub.describe_organization_configuration/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#describe_organization_configuration/4","title":"aws_securityhub.describe_organization_configuration/4","type":"function"},{"doc":"Returns information about product integrations in Security Hub. You can optionally provide an integration ARN. If you provide an integration ARN, then the results only include that integration. If you do not provide an integration ARN, then the results include all of the available product integrations.","ref":"aws_securityhub.html#describe_products/1","title":"aws_securityhub.describe_products/1","type":"function"},{"doc":"","ref":"aws_securityhub.html#describe_products/3","title":"aws_securityhub.describe_products/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#describe_products/4","title":"aws_securityhub.describe_products/4","type":"function"},{"doc":"Returns a list of the available standards in Security Hub. For each standard, the results include the standard ARN, the name, and a description.","ref":"aws_securityhub.html#describe_standards/1","title":"aws_securityhub.describe_standards/1","type":"function"},{"doc":"","ref":"aws_securityhub.html#describe_standards/3","title":"aws_securityhub.describe_standards/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#describe_standards/4","title":"aws_securityhub.describe_standards/4","type":"function"},{"doc":"Returns a list of security standards controls. For each control, the results include information about whether it is currently enabled, the severity, and a link to remediation information.","ref":"aws_securityhub.html#describe_standards_controls/2","title":"aws_securityhub.describe_standards_controls/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#describe_standards_controls/4","title":"aws_securityhub.describe_standards_controls/4","type":"function"},{"doc":"","ref":"aws_securityhub.html#describe_standards_controls/5","title":"aws_securityhub.describe_standards_controls/5","type":"function"},{"doc":"Disables the integration of the specified product with Security Hub. After the integration is disabled, findings from that product are no longer sent to Security Hub.","ref":"aws_securityhub.html#disable_import_findings_for_product/3","title":"aws_securityhub.disable_import_findings_for_product/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#disable_import_findings_for_product/4","title":"aws_securityhub.disable_import_findings_for_product/4","type":"function"},{"doc":"Disables a Security Hub administrator account. Can only be called by the organization management account.","ref":"aws_securityhub.html#disable_organization_admin_account/2","title":"aws_securityhub.disable_organization_admin_account/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#disable_organization_admin_account/3","title":"aws_securityhub.disable_organization_admin_account/3","type":"function"},{"doc":"Disables Security Hub in your account only in the current Region. To disable Security Hub in all Regions, you must submit one request per Region where you have enabled Security Hub. When you disable Security Hub for an administrator account, it doesn't disable Security Hub for any associated member accounts. When you disable Security Hub, your existing findings and insights and any Security Hub configuration settings are deleted after 90 days and cannot be recovered. Any standards that were enabled are disabled, and your administrator and member account associations are removed. If you want to save your existing findings, you must export them before you disable Security Hub.","ref":"aws_securityhub.html#disable_security_hub/2","title":"aws_securityhub.disable_security_hub/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#disable_security_hub/3","title":"aws_securityhub.disable_security_hub/3","type":"function"},{"doc":"Disassociates the current Security Hub member account from the associated administrator account. This operation is only used by accounts that are not part of an organization. For organization accounts, only the administrator account can disassociate a member account.","ref":"aws_securityhub.html#disassociate_from_administrator_account/2","title":"aws_securityhub.disassociate_from_administrator_account/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#disassociate_from_administrator_account/3","title":"aws_securityhub.disassociate_from_administrator_account/3","type":"function"},{"doc":"This method is deprecated. Instead, use DisassociateFromAdministratorAccount . The Security Hub console continues to use DisassociateFromMasterAccount . It will eventually change to use DisassociateFromAdministratorAccount . Any IAM policies that specifically control access to this function must continue to use DisassociateFromMasterAccount . You should also add DisassociateFromAdministratorAccount to your policies to ensure that the correct permissions are in place after the console begins to use DisassociateFromAdministratorAccount . Disassociates the current Security Hub member account from the associated administrator account. This operation is only used by accounts that are not part of an organization. For organization accounts, only the administrator account can disassociate a member account.","ref":"aws_securityhub.html#disassociate_from_master_account/2","title":"aws_securityhub.disassociate_from_master_account/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#disassociate_from_master_account/3","title":"aws_securityhub.disassociate_from_master_account/3","type":"function"},{"doc":"Disassociates the specified member accounts from the associated administrator account. Can be used to disassociate both accounts that are managed using Organizations and accounts that were invited manually.","ref":"aws_securityhub.html#disassociate_members/2","title":"aws_securityhub.disassociate_members/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#disassociate_members/3","title":"aws_securityhub.disassociate_members/3","type":"function"},{"doc":"Enables the integration of a partner product with Security Hub. Integrated products send findings to Security Hub. When you enable a product integration, a permissions policy that grants permission for the product to send findings to Security Hub is applied.","ref":"aws_securityhub.html#enable_import_findings_for_product/2","title":"aws_securityhub.enable_import_findings_for_product/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#enable_import_findings_for_product/3","title":"aws_securityhub.enable_import_findings_for_product/3","type":"function"},{"doc":"Designates the Security Hub administrator account for an organization. Can only be called by the organization management account.","ref":"aws_securityhub.html#enable_organization_admin_account/2","title":"aws_securityhub.enable_organization_admin_account/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#enable_organization_admin_account/3","title":"aws_securityhub.enable_organization_admin_account/3","type":"function"},{"doc":"Enables Security Hub for your account in the current Region or the Region you specify in the request. When you enable Security Hub, you grant to Security Hub the permissions necessary to gather findings from other services that are integrated with Security Hub. When you use the EnableSecurityHub operation to enable Security Hub, you also automatically enable the following standards. CIS Amazon Web Services Foundations Amazon Web Services Foundational Security Best Practices You do not enable the Payment Card Industry Data Security Standard (PCI DSS) standard. To not enable the automatically enabled standards, set EnableDefaultStandards to false . After you enable Security Hub, to enable a standard, use the BatchEnableStandards operation. To disable a standard, use the BatchDisableStandards operation. To learn more, see the setup information in the Security Hub User Guide.","ref":"aws_securityhub.html#enable_security_hub/2","title":"aws_securityhub.enable_security_hub/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#enable_security_hub/3","title":"aws_securityhub.enable_security_hub/3","type":"function"},{"doc":"Provides the details for the Security Hub administrator account for the current member account. Can be used by both member accounts that are managed using Organizations and accounts that were invited manually.","ref":"aws_securityhub.html#get_administrator_account/1","title":"aws_securityhub.get_administrator_account/1","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_administrator_account/3","title":"aws_securityhub.get_administrator_account/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_administrator_account/4","title":"aws_securityhub.get_administrator_account/4","type":"function"},{"doc":"Returns a list of the standards that are currently enabled.","ref":"aws_securityhub.html#get_enabled_standards/2","title":"aws_securityhub.get_enabled_standards/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_enabled_standards/3","title":"aws_securityhub.get_enabled_standards/3","type":"function"},{"doc":"Returns the current finding aggregation configuration.","ref":"aws_securityhub.html#get_finding_aggregator/2","title":"aws_securityhub.get_finding_aggregator/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_finding_aggregator/4","title":"aws_securityhub.get_finding_aggregator/4","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_finding_aggregator/5","title":"aws_securityhub.get_finding_aggregator/5","type":"function"},{"doc":"Returns a list of findings that match the specified criteria. If finding aggregation is enabled, then when you call GetFindings from the aggregation Region, the results include all of the matching findings from both the aggregation Region and the linked Regions.","ref":"aws_securityhub.html#get_findings/2","title":"aws_securityhub.get_findings/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_findings/3","title":"aws_securityhub.get_findings/3","type":"function"},{"doc":"Lists the results of the Security Hub insight specified by the insight ARN.","ref":"aws_securityhub.html#get_insight_results/2","title":"aws_securityhub.get_insight_results/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_insight_results/4","title":"aws_securityhub.get_insight_results/4","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_insight_results/5","title":"aws_securityhub.get_insight_results/5","type":"function"},{"doc":"Lists and describes insights for the specified insight ARNs.","ref":"aws_securityhub.html#get_insights/2","title":"aws_securityhub.get_insights/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_insights/3","title":"aws_securityhub.get_insights/3","type":"function"},{"doc":"Returns the count of all Security Hub membership invitations that were sent to the current member account, not including the currently accepted invitation.","ref":"aws_securityhub.html#get_invitations_count/1","title":"aws_securityhub.get_invitations_count/1","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_invitations_count/3","title":"aws_securityhub.get_invitations_count/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_invitations_count/4","title":"aws_securityhub.get_invitations_count/4","type":"function"},{"doc":"This method is deprecated. Instead, use GetAdministratorAccount . The Security Hub console continues to use GetMasterAccount . It will eventually change to use GetAdministratorAccount . Any IAM policies that specifically control access to this function must continue to use GetMasterAccount . You should also add GetAdministratorAccount to your policies to ensure that the correct permissions are in place after the console begins to use GetAdministratorAccount . Provides the details for the Security Hub administrator account for the current member account. Can be used by both member accounts that are managed using Organizations and accounts that were invited manually.","ref":"aws_securityhub.html#get_master_account/1","title":"aws_securityhub.get_master_account/1","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_master_account/3","title":"aws_securityhub.get_master_account/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_master_account/4","title":"aws_securityhub.get_master_account/4","type":"function"},{"doc":"Returns the details for the Security Hub member accounts for the specified account IDs. An administrator account can be either the delegated Security Hub administrator account for an organization or an administrator account that enabled Security Hub manually. The results include both member accounts that are managed using Organizations and accounts that were invited manually.","ref":"aws_securityhub.html#get_members/2","title":"aws_securityhub.get_members/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#get_members/3","title":"aws_securityhub.get_members/3","type":"function"},{"doc":"Invites other Amazon Web Services accounts to become member accounts for the Security Hub administrator account that the invitation is sent from. This operation is only used to invite accounts that do not belong to an organization. Organization accounts do not receive invitations. Before you can use this action to invite a member, you must first use the CreateMembers action to create the member account in Security Hub. When the account owner enables Security Hub and accepts the invitation to become a member account, the administrator account can view the findings generated from the member account.","ref":"aws_securityhub.html#invite_members/2","title":"aws_securityhub.invite_members/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#invite_members/3","title":"aws_securityhub.invite_members/3","type":"function"},{"doc":"Lists all findings-generating solutions (products) that you are subscribed to receive findings from in Security Hub.","ref":"aws_securityhub.html#list_enabled_products_for_import/1","title":"aws_securityhub.list_enabled_products_for_import/1","type":"function"},{"doc":"","ref":"aws_securityhub.html#list_enabled_products_for_import/3","title":"aws_securityhub.list_enabled_products_for_import/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#list_enabled_products_for_import/4","title":"aws_securityhub.list_enabled_products_for_import/4","type":"function"},{"doc":"If finding aggregation is enabled, then ListFindingAggregators returns the ARN of the finding aggregator. You can run this operation from any Region.","ref":"aws_securityhub.html#list_finding_aggregators/1","title":"aws_securityhub.list_finding_aggregators/1","type":"function"},{"doc":"","ref":"aws_securityhub.html#list_finding_aggregators/3","title":"aws_securityhub.list_finding_aggregators/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#list_finding_aggregators/4","title":"aws_securityhub.list_finding_aggregators/4","type":"function"},{"doc":"Lists all Security Hub membership invitations that were sent to the current Amazon Web Services account. This operation is only used by accounts that are managed by invitation. Accounts that are managed using the integration with Organizations do not receive invitations.","ref":"aws_securityhub.html#list_invitations/1","title":"aws_securityhub.list_invitations/1","type":"function"},{"doc":"","ref":"aws_securityhub.html#list_invitations/3","title":"aws_securityhub.list_invitations/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#list_invitations/4","title":"aws_securityhub.list_invitations/4","type":"function"},{"doc":"Lists details about all member accounts for the current Security Hub administrator account. The results include both member accounts that belong to an organization and member accounts that were invited manually.","ref":"aws_securityhub.html#list_members/1","title":"aws_securityhub.list_members/1","type":"function"},{"doc":"","ref":"aws_securityhub.html#list_members/3","title":"aws_securityhub.list_members/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#list_members/4","title":"aws_securityhub.list_members/4","type":"function"},{"doc":"Lists the Security Hub administrator accounts. Can only be called by the organization management account.","ref":"aws_securityhub.html#list_organization_admin_accounts/1","title":"aws_securityhub.list_organization_admin_accounts/1","type":"function"},{"doc":"","ref":"aws_securityhub.html#list_organization_admin_accounts/3","title":"aws_securityhub.list_organization_admin_accounts/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#list_organization_admin_accounts/4","title":"aws_securityhub.list_organization_admin_accounts/4","type":"function"},{"doc":"Returns a list of tags associated with a resource.","ref":"aws_securityhub.html#list_tags_for_resource/2","title":"aws_securityhub.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#list_tags_for_resource/4","title":"aws_securityhub.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_securityhub.html#list_tags_for_resource/5","title":"aws_securityhub.list_tags_for_resource/5","type":"function"},{"doc":"Adds one or more tags to a resource.","ref":"aws_securityhub.html#tag_resource/3","title":"aws_securityhub.tag_resource/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#tag_resource/4","title":"aws_securityhub.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from a resource.","ref":"aws_securityhub.html#untag_resource/3","title":"aws_securityhub.untag_resource/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#untag_resource/4","title":"aws_securityhub.untag_resource/4","type":"function"},{"doc":"Updates the name and description of a custom action target in Security Hub.","ref":"aws_securityhub.html#update_action_target/3","title":"aws_securityhub.update_action_target/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#update_action_target/4","title":"aws_securityhub.update_action_target/4","type":"function"},{"doc":"Updates the finding aggregation configuration. Used to update the Region linking mode and the list of included or excluded Regions. You cannot use UpdateFindingAggregator to change the aggregation Region. You must run UpdateFindingAggregator from the current aggregation Region.","ref":"aws_securityhub.html#update_finding_aggregator/2","title":"aws_securityhub.update_finding_aggregator/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#update_finding_aggregator/3","title":"aws_securityhub.update_finding_aggregator/3","type":"function"},{"doc":"UpdateFindings is deprecated. Instead of UpdateFindings , use BatchUpdateFindings . Updates the Note and RecordState of the Security Hub-aggregated findings that the filter attributes specify. Any member account that can view the finding also sees the update to the finding.","ref":"aws_securityhub.html#update_findings/2","title":"aws_securityhub.update_findings/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#update_findings/3","title":"aws_securityhub.update_findings/3","type":"function"},{"doc":"Updates the Security Hub insight identified by the specified insight ARN.","ref":"aws_securityhub.html#update_insight/3","title":"aws_securityhub.update_insight/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#update_insight/4","title":"aws_securityhub.update_insight/4","type":"function"},{"doc":"Used to update the configuration related to Organizations. Can only be called from a Security Hub administrator account.","ref":"aws_securityhub.html#update_organization_configuration/2","title":"aws_securityhub.update_organization_configuration/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#update_organization_configuration/3","title":"aws_securityhub.update_organization_configuration/3","type":"function"},{"doc":"Updates configuration options for Security Hub.","ref":"aws_securityhub.html#update_security_hub_configuration/2","title":"aws_securityhub.update_security_hub_configuration/2","type":"function"},{"doc":"","ref":"aws_securityhub.html#update_security_hub_configuration/3","title":"aws_securityhub.update_security_hub_configuration/3","type":"function"},{"doc":"Used to control whether an individual security standard control is enabled or disabled.","ref":"aws_securityhub.html#update_standards_control/3","title":"aws_securityhub.update_standards_control/3","type":"function"},{"doc":"","ref":"aws_securityhub.html#update_standards_control/4","title":"aws_securityhub.update_standards_control/4","type":"function"},{"doc":"Amazon Security Lake is in preview release. Your use of the Security Lake preview is subject to Section 2 of the Amazon Web Services Service Terms(&quot;Betas and Previews&quot;). Amazon Security Lake is a fully managed security data lake service. You can use Security Lake to automatically centralize security data from cloud, on-premises, and custom sources into a data lake that's stored in your Amazon Web Servicesaccount. Amazon Web Services Organizations is an account management service that lets you consolidate multiple Amazon Web Services accounts into an organization that you create and centrally manage. With Organizations, you can create member accounts and invite existing accounts to join your organization. Security Lake helps you analyze security data for a more complete understanding of your security posture across the entire organization. It can also help you improve the protection of your workloads, applications, and data. The data lake is backed by Amazon Simple Storage Service (Amazon S3) buckets, and you retain ownership over your data. Amazon Security Lake integrates with CloudTrail, a service that provides a record of actions taken by a user, role, or an Amazon Web Services service in Security Lake CloudTrail captures API calls for Security Lake as events. The calls captured include calls from the Security Lake console and code calls to the Security Lake API operations. If you create a trail, you can enable continuous delivery of CloudTrail events to an Amazon S3 bucket, including events for Security Lake. If you don't configure a trail, you can still view the most recent events in the CloudTrail console in Event history. Using the information collected by CloudTrail you can determine the request that was made to Security Lake, the IP address from which the request was made, who made the request, when it was made, and additional details. To learn more about Security Lake information in CloudTrail, see the Amazon Security Lake User Guide. Security Lake automates the collection of security-related log and event data from integrated Amazon Web Services and third-party services. It also helps you manage the lifecycle of data with customizable retention and replication settings. Security Lake converts ingested data into Apache Parquet format and a standard open-source schema called the Open Cybersecurity Schema Framework (OCSF). Other Amazon Web Services and third-party services can subscribe to the data that's stored in Security Lake for incident response and security data analytics.","ref":"aws_securitylake.html","title":"aws_securitylake","type":"module"},{"doc":"Adds a natively supported Amazon Web Service as an Amazon Security Lake source. Enables source types for member accounts in required Amazon Web Services Regions, based on the parameters you specify. You can choose any source type in any Region for either accounts that are part of a trusted organization or standalone accounts. At least one of the three dimensions is a mandatory input to this API. However, you can supply any combination of the three dimensions to this API. By default, a dimension refers to the entire set. When you don't provide a dimension, Security Lake assumes that the missing dimension refers to the entire set. This is overridden when you supply any one of the inputs. For instance, when you do not specify members, the API enables all Security Lake member accounts for all sources. Similarly, when you do not specify Regions, Security Lake is enabled for all the Regions where Security Lake is available as a service. You can use this API only to enable natively supported Amazon Web Services as a source. Use CreateCustomLogSource to enable data collection from a custom source.","ref":"aws_securitylake.html#create_aws_log_source/2","title":"aws_securitylake.create_aws_log_source/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#create_aws_log_source/3","title":"aws_securitylake.create_aws_log_source/3","type":"function"},{"doc":"Adds a third-party custom source in Amazon Security Lake, from the Amazon Web Services Region where you want to create a custom source. Security Lake can collect logs and events from third-party custom sources. After creating the appropriate IAM role to invoke Glue crawler, use this API to add a custom source name in Security Lake. This operation creates a partition in the Amazon S3 bucket for Security Lake as the target location for log files from the custom source in addition to an associated Glue table and an Glue crawler.","ref":"aws_securitylake.html#create_custom_log_source/2","title":"aws_securitylake.create_custom_log_source/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#create_custom_log_source/3","title":"aws_securitylake.create_custom_log_source/3","type":"function"},{"doc":"Initializes an Amazon Security Lake instance with the provided (or default) configuration. You can enable Security Lake in Amazon Web Services Regions with customized settings before enabling log collection in Regions. You can either use the enableAll parameter to specify all Regions or specify the Regions where you want to enable Security Lake. To specify particular Regions, use the Regions parameter and then configure these Regions using the configurations parameter. If you have already enabled Security Lake in a Region when you call this command, the command will update the Region if you provide new configuration parameters. If you have not already enabled Security Lake in the Region when you call this API, it will set up the data lake in the Region with the specified configurations. When you enable Security Lake, it starts ingesting security data after the CreateAwsLogSource call. This includes ingesting security data from sources, storing data, and making data accessible to subscribers. Security Lake also enables all the existing settings and resources that it stores or maintains for your Amazon Web Services account in the current Region, including security log and event data. For more information, see the Amazon Security Lake User Guide.","ref":"aws_securitylake.html#create_datalake/2","title":"aws_securitylake.create_datalake/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#create_datalake/3","title":"aws_securitylake.create_datalake/3","type":"function"},{"doc":"Automatically enables Amazon Security Lake for new member accounts in your organization. Security Lake is not automatically enabled for any existing member accounts in your organization.","ref":"aws_securitylake.html#create_datalake_auto_enable/2","title":"aws_securitylake.create_datalake_auto_enable/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#create_datalake_auto_enable/3","title":"aws_securitylake.create_datalake_auto_enable/3","type":"function"},{"doc":"Designates the Amazon Security Lake delegated administrator account for the organization. This API can only be called by the organization management account. The organization management account cannot be the delegated administrator account.","ref":"aws_securitylake.html#create_datalake_delegated_admin/2","title":"aws_securitylake.create_datalake_delegated_admin/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#create_datalake_delegated_admin/3","title":"aws_securitylake.create_datalake_delegated_admin/3","type":"function"},{"doc":"Creates the specified notification subscription in Amazon Security Lake for the organization you specify.","ref":"aws_securitylake.html#create_datalake_exceptions_subscription/2","title":"aws_securitylake.create_datalake_exceptions_subscription/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#create_datalake_exceptions_subscription/3","title":"aws_securitylake.create_datalake_exceptions_subscription/3","type":"function"},{"doc":"Creates a subscription permission for accounts that are already enabled in Amazon Security Lake. You can create a subscriber with access to data in the current Amazon Web Services Region.","ref":"aws_securitylake.html#create_subscriber/2","title":"aws_securitylake.create_subscriber/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#create_subscriber/3","title":"aws_securitylake.create_subscriber/3","type":"function"},{"doc":"Notifies the subscriber when new data is written to the data lake for the sources that the subscriber consumes in Security Lake.","ref":"aws_securitylake.html#create_subscription_notification_configuration/3","title":"aws_securitylake.create_subscription_notification_configuration/3","type":"function"},{"doc":"","ref":"aws_securitylake.html#create_subscription_notification_configuration/4","title":"aws_securitylake.create_subscription_notification_configuration/4","type":"function"},{"doc":"Removes a natively supported Amazon Web Service as an Amazon Security Lake source. When you remove the source, Security Lake stops collecting data from that source, and subscribers can no longer consume new data from the source. Subscribers can still consume data that Security Lake collected from the source before disablement. You can choose any source type in any Amazon Web Services Region for either accounts that are part of a trusted organization or standalone accounts. At least one of the three dimensions is a mandatory input to this API. However, you can supply any combination of the three dimensions to this API. By default, a dimension refers to the entire set. This is overridden when you supply any one of the inputs. For instance, when you do not specify members, the API disables all Security Lake member accounts for sources. Similarly, when you do not specify Regions, Security Lake is disabled for all the Regions where Security Lake is available as a service. When you don't provide a dimension, Security Lake assumes that the missing dimension refers to the entire set. For example, if you don't provide specific accounts, the API applies to the entire set of accounts in your organization.","ref":"aws_securitylake.html#delete_aws_log_source/2","title":"aws_securitylake.delete_aws_log_source/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#delete_aws_log_source/3","title":"aws_securitylake.delete_aws_log_source/3","type":"function"},{"doc":"Removes a custom log source from Amazon Security Lake.","ref":"aws_securitylake.html#delete_custom_log_source/2","title":"aws_securitylake.delete_custom_log_source/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#delete_custom_log_source/3","title":"aws_securitylake.delete_custom_log_source/3","type":"function"},{"doc":"When you delete Amazon Security Lake from your account, Security Lake is disabled in all Amazon Web Services Regions. Also, this API automatically takes steps to remove the account from Security Lake . This operation disables security data collection from sources, deletes data stored, and stops making data accessible to subscribers. Security Lake also deletes all the existing settings and resources that it stores or maintains for your Amazon Web Services account in the current Region, including security log and event data. The DeleteDatalake operation does not delete the Amazon S3 bucket, which is owned by your Amazon Web Services account. For more information, see the Amazon Security Lake User Guide.","ref":"aws_securitylake.html#delete_datalake/2","title":"aws_securitylake.delete_datalake/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#delete_datalake/3","title":"aws_securitylake.delete_datalake/3","type":"function"},{"doc":"Automatically deletes Amazon Security Lake to stop collecting security data. When you delete Amazon Security Lake from your account, Security Lake is disabled in all Regions. Also, this API automatically takes steps to remove the account from Security Lake . This operation disables security data collection from sources, deletes data stored, and stops making data accessible to subscribers. Security Lake also deletes all the existing settings and resources that it stores or maintains for your Amazon Web Services account in the current Region, including security log and event data. The DeleteDatalake operation does not delete the Amazon S3 bucket, which is owned by your Amazon Web Services account. For more information, see the Amazon Security Lake User Guide.","ref":"aws_securitylake.html#delete_datalake_auto_enable/2","title":"aws_securitylake.delete_datalake_auto_enable/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#delete_datalake_auto_enable/3","title":"aws_securitylake.delete_datalake_auto_enable/3","type":"function"},{"doc":"Deletes the Amazon Security Lake delegated administrator account for the organization. This API can only be called by the organization management account. The organization management account cannot be the delegated administrator account.","ref":"aws_securitylake.html#delete_datalake_delegated_admin/3","title":"aws_securitylake.delete_datalake_delegated_admin/3","type":"function"},{"doc":"","ref":"aws_securitylake.html#delete_datalake_delegated_admin/4","title":"aws_securitylake.delete_datalake_delegated_admin/4","type":"function"},{"doc":"Deletes the specified notification subscription in Amazon Security Lake for the organization you specify.","ref":"aws_securitylake.html#delete_datalake_exceptions_subscription/2","title":"aws_securitylake.delete_datalake_exceptions_subscription/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#delete_datalake_exceptions_subscription/3","title":"aws_securitylake.delete_datalake_exceptions_subscription/3","type":"function"},{"doc":"Deletes the subscription permission for accounts that are already enabled in Amazon Security Lake. You can delete a subscriber and remove access to data in the current Amazon Web Services Region.","ref":"aws_securitylake.html#delete_subscriber/2","title":"aws_securitylake.delete_subscriber/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#delete_subscriber/3","title":"aws_securitylake.delete_subscriber/3","type":"function"},{"doc":"Deletes the specified notification subscription in Amazon Security Lake for the organization you specify.","ref":"aws_securitylake.html#delete_subscription_notification_configuration/3","title":"aws_securitylake.delete_subscription_notification_configuration/3","type":"function"},{"doc":"","ref":"aws_securitylake.html#delete_subscription_notification_configuration/4","title":"aws_securitylake.delete_subscription_notification_configuration/4","type":"function"},{"doc":"Retrieves the Amazon Security Lake configuration object for the specified Amazon Web Services account ID. You can use the GetDatalake API to know whether Security Lake is enabled for the current Region. This API does not take input parameters.","ref":"aws_securitylake.html#get_datalake/1","title":"aws_securitylake.get_datalake/1","type":"function"},{"doc":"","ref":"aws_securitylake.html#get_datalake/3","title":"aws_securitylake.get_datalake/3","type":"function"},{"doc":"","ref":"aws_securitylake.html#get_datalake/4","title":"aws_securitylake.get_datalake/4","type":"function"},{"doc":"Retrieves the configuration that will be automatically set up for accounts added to the organization after the organization has onboarded to Amazon Security Lake. This API does not take input parameters.","ref":"aws_securitylake.html#get_datalake_auto_enable/1","title":"aws_securitylake.get_datalake_auto_enable/1","type":"function"},{"doc":"","ref":"aws_securitylake.html#get_datalake_auto_enable/3","title":"aws_securitylake.get_datalake_auto_enable/3","type":"function"},{"doc":"","ref":"aws_securitylake.html#get_datalake_auto_enable/4","title":"aws_securitylake.get_datalake_auto_enable/4","type":"function"},{"doc":"Retrieves the expiration period and time-to-live (TTL) for which the exception message will remain. Exceptions are stored by default, for 2 weeks from when a record was created in Amazon Security Lake. This API does not take input parameters.","ref":"aws_securitylake.html#get_datalake_exceptions_expiry/1","title":"aws_securitylake.get_datalake_exceptions_expiry/1","type":"function"},{"doc":"","ref":"aws_securitylake.html#get_datalake_exceptions_expiry/3","title":"aws_securitylake.get_datalake_exceptions_expiry/3","type":"function"},{"doc":"","ref":"aws_securitylake.html#get_datalake_exceptions_expiry/4","title":"aws_securitylake.get_datalake_exceptions_expiry/4","type":"function"},{"doc":"Retrieves the details of exception notifications for the account in Amazon Security Lake.","ref":"aws_securitylake.html#get_datalake_exceptions_subscription/1","title":"aws_securitylake.get_datalake_exceptions_subscription/1","type":"function"},{"doc":"","ref":"aws_securitylake.html#get_datalake_exceptions_subscription/3","title":"aws_securitylake.get_datalake_exceptions_subscription/3","type":"function"},{"doc":"","ref":"aws_securitylake.html#get_datalake_exceptions_subscription/4","title":"aws_securitylake.get_datalake_exceptions_subscription/4","type":"function"},{"doc":"Retrieves a snapshot of the current Region, including whether Amazon Security Lake is enabled for those accounts and which sources Security Lake is collecting data from.","ref":"aws_securitylake.html#get_datalake_status/2","title":"aws_securitylake.get_datalake_status/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#get_datalake_status/3","title":"aws_securitylake.get_datalake_status/3","type":"function"},{"doc":"Retrieves the subscription information for the specified subscription ID. You can get information about a specific subscriber.","ref":"aws_securitylake.html#get_subscriber/2","title":"aws_securitylake.get_subscriber/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#get_subscriber/4","title":"aws_securitylake.get_subscriber/4","type":"function"},{"doc":"","ref":"aws_securitylake.html#get_subscriber/5","title":"aws_securitylake.get_subscriber/5","type":"function"},{"doc":"Lists the Amazon Security Lake exceptions that you can use to find the source of problems and fix them.","ref":"aws_securitylake.html#list_datalake_exceptions/2","title":"aws_securitylake.list_datalake_exceptions/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#list_datalake_exceptions/3","title":"aws_securitylake.list_datalake_exceptions/3","type":"function"},{"doc":"Retrieves the log sources in the current Amazon Web Services Region.","ref":"aws_securitylake.html#list_log_sources/2","title":"aws_securitylake.list_log_sources/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#list_log_sources/3","title":"aws_securitylake.list_log_sources/3","type":"function"},{"doc":"List all subscribers for the specific Amazon Security Lake account ID. You can retrieve a list of subscriptions associated with a specific organization or Amazon Web Services account.","ref":"aws_securitylake.html#list_subscribers/1","title":"aws_securitylake.list_subscribers/1","type":"function"},{"doc":"","ref":"aws_securitylake.html#list_subscribers/3","title":"aws_securitylake.list_subscribers/3","type":"function"},{"doc":"","ref":"aws_securitylake.html#list_subscribers/4","title":"aws_securitylake.list_subscribers/4","type":"function"},{"doc":"Specifies where to store your security data and for how long. You can add a rollup Region to consolidate data from multiple Amazon Web Services Regions.","ref":"aws_securitylake.html#update_datalake/2","title":"aws_securitylake.update_datalake/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#update_datalake/3","title":"aws_securitylake.update_datalake/3","type":"function"},{"doc":"Update the expiration period for the exception message to your preferred time, and control the time-to-live (TTL) for the exception message to remain. Exceptions are stored by default for 2 weeks from when a record was created in Amazon Security Lake.","ref":"aws_securitylake.html#update_datalake_exceptions_expiry/2","title":"aws_securitylake.update_datalake_exceptions_expiry/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#update_datalake_exceptions_expiry/3","title":"aws_securitylake.update_datalake_exceptions_expiry/3","type":"function"},{"doc":"Updates the specified notification subscription in Amazon Security Lake for the organization you specify.","ref":"aws_securitylake.html#update_datalake_exceptions_subscription/2","title":"aws_securitylake.update_datalake_exceptions_subscription/2","type":"function"},{"doc":"","ref":"aws_securitylake.html#update_datalake_exceptions_subscription/3","title":"aws_securitylake.update_datalake_exceptions_subscription/3","type":"function"},{"doc":"Updates an existing subscription for the given Amazon Security Lake account ID. You can update a subscriber by changing the sources that the subscriber consumes data from.","ref":"aws_securitylake.html#update_subscriber/3","title":"aws_securitylake.update_subscriber/3","type":"function"},{"doc":"","ref":"aws_securitylake.html#update_subscriber/4","title":"aws_securitylake.update_subscriber/4","type":"function"},{"doc":"Creates a new subscription notification or adds the existing subscription notification setting for the specified subscription ID.","ref":"aws_securitylake.html#update_subscription_notification_configuration/3","title":"aws_securitylake.update_subscription_notification_configuration/3","type":"function"},{"doc":"","ref":"aws_securitylake.html#update_subscription_notification_configuration/4","title":"aws_securitylake.update_subscription_notification_configuration/4","type":"function"},{"doc":"The AWS Serverless Application Repository makes it easy for developers and enterprises to quickly find and deploy serverless applications in the AWS Cloud. For more information about serverless applications, see Serverless Computing and Applications on the AWS website. The AWS Serverless Application Repository is deeply integrated with the AWS Lambda console, so that developers of all levels can get started with serverless computing without needing to learn anything new. You can use category keywords to browse for applications such as web and mobile backends, data processing applications, or chatbots. You can also search for applications by name, publisher, or event source. To use an application, you simply choose it, configure any required fields, and deploy it with a few clicks. You can also easily publish applications, sharing them publicly with the community at large, or privately within your team or across your organization. To publish a serverless application (or app), you can use the AWS Management Console, AWS Command Line Interface (AWS CLI), or AWS SDKs to upload the code. Along with the code, you upload a simple manifest file, also known as the AWS Serverless Application Model (AWS SAM) template. For more information about AWS SAM, see AWS Serverless Application Model (AWS SAM) on the AWS Labs GitHub repository. The AWS Serverless Application Repository Developer Guide contains more information about the two developer experiences available: Consuming Applications – Browse for applications and view information about them, including source code and readme files. Also install, configure, and deploy applications of your choosing. Publishing Applications – Configure and upload applications to make them available to other developers, and publish new versions of applications.","ref":"aws_serverlessapplicationrepository.html","title":"aws_serverlessapplicationrepository","type":"module"},{"doc":"Creates an application, optionally including an AWS SAM file to create the first application version in the same call.","ref":"aws_serverlessapplicationrepository.html#create_application/2","title":"aws_serverlessapplicationrepository.create_application/2","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#create_application/3","title":"aws_serverlessapplicationrepository.create_application/3","type":"function"},{"doc":"Creates an application version.","ref":"aws_serverlessapplicationrepository.html#create_application_version/4","title":"aws_serverlessapplicationrepository.create_application_version/4","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#create_application_version/5","title":"aws_serverlessapplicationrepository.create_application_version/5","type":"function"},{"doc":"Creates an AWS CloudFormation change set for the given application.","ref":"aws_serverlessapplicationrepository.html#create_cloud_formation_change_set/3","title":"aws_serverlessapplicationrepository.create_cloud_formation_change_set/3","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#create_cloud_formation_change_set/4","title":"aws_serverlessapplicationrepository.create_cloud_formation_change_set/4","type":"function"},{"doc":"Creates an AWS CloudFormation template.","ref":"aws_serverlessapplicationrepository.html#create_cloud_formation_template/3","title":"aws_serverlessapplicationrepository.create_cloud_formation_template/3","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#create_cloud_formation_template/4","title":"aws_serverlessapplicationrepository.create_cloud_formation_template/4","type":"function"},{"doc":"Deletes the specified application.","ref":"aws_serverlessapplicationrepository.html#delete_application/3","title":"aws_serverlessapplicationrepository.delete_application/3","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#delete_application/4","title":"aws_serverlessapplicationrepository.delete_application/4","type":"function"},{"doc":"Gets the specified application.","ref":"aws_serverlessapplicationrepository.html#get_application/2","title":"aws_serverlessapplicationrepository.get_application/2","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#get_application/4","title":"aws_serverlessapplicationrepository.get_application/4","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#get_application/5","title":"aws_serverlessapplicationrepository.get_application/5","type":"function"},{"doc":"Retrieves the policy for the application.","ref":"aws_serverlessapplicationrepository.html#get_application_policy/2","title":"aws_serverlessapplicationrepository.get_application_policy/2","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#get_application_policy/4","title":"aws_serverlessapplicationrepository.get_application_policy/4","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#get_application_policy/5","title":"aws_serverlessapplicationrepository.get_application_policy/5","type":"function"},{"doc":"Gets the specified AWS CloudFormation template.","ref":"aws_serverlessapplicationrepository.html#get_cloud_formation_template/3","title":"aws_serverlessapplicationrepository.get_cloud_formation_template/3","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#get_cloud_formation_template/5","title":"aws_serverlessapplicationrepository.get_cloud_formation_template/5","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#get_cloud_formation_template/6","title":"aws_serverlessapplicationrepository.get_cloud_formation_template/6","type":"function"},{"doc":"Retrieves the list of applications nested in the containing application.","ref":"aws_serverlessapplicationrepository.html#list_application_dependencies/2","title":"aws_serverlessapplicationrepository.list_application_dependencies/2","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#list_application_dependencies/4","title":"aws_serverlessapplicationrepository.list_application_dependencies/4","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#list_application_dependencies/5","title":"aws_serverlessapplicationrepository.list_application_dependencies/5","type":"function"},{"doc":"Lists versions for the specified application.","ref":"aws_serverlessapplicationrepository.html#list_application_versions/2","title":"aws_serverlessapplicationrepository.list_application_versions/2","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#list_application_versions/4","title":"aws_serverlessapplicationrepository.list_application_versions/4","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#list_application_versions/5","title":"aws_serverlessapplicationrepository.list_application_versions/5","type":"function"},{"doc":"Lists applications owned by the requester.","ref":"aws_serverlessapplicationrepository.html#list_applications/1","title":"aws_serverlessapplicationrepository.list_applications/1","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#list_applications/3","title":"aws_serverlessapplicationrepository.list_applications/3","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#list_applications/4","title":"aws_serverlessapplicationrepository.list_applications/4","type":"function"},{"doc":"Sets the permission policy for an application. For the list of actions supported for this operation, see Application Permissions .","ref":"aws_serverlessapplicationrepository.html#put_application_policy/3","title":"aws_serverlessapplicationrepository.put_application_policy/3","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#put_application_policy/4","title":"aws_serverlessapplicationrepository.put_application_policy/4","type":"function"},{"doc":"Unshares an application from an AWS Organization. This operation can be called only from the organization's master account.","ref":"aws_serverlessapplicationrepository.html#unshare_application/3","title":"aws_serverlessapplicationrepository.unshare_application/3","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#unshare_application/4","title":"aws_serverlessapplicationrepository.unshare_application/4","type":"function"},{"doc":"Updates the specified application.","ref":"aws_serverlessapplicationrepository.html#update_application/3","title":"aws_serverlessapplicationrepository.update_application/3","type":"function"},{"doc":"","ref":"aws_serverlessapplicationrepository.html#update_application/4","title":"aws_serverlessapplicationrepository.update_application/4","type":"function"},{"doc":"Service Catalog Service Catalog enables organizations to create and manage catalogs of IT services that are approved for Amazon Web Services. To get the most out of this documentation, you should be familiar with the terminology discussed in Service Catalog Concepts.","ref":"aws_service_catalog.html","title":"aws_service_catalog","type":"module"},{"doc":"Accepts an offer to share the specified portfolio.","ref":"aws_service_catalog.html#accept_portfolio_share/2","title":"aws_service_catalog.accept_portfolio_share/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#accept_portfolio_share/3","title":"aws_service_catalog.accept_portfolio_share/3","type":"function"},{"doc":"Associates the specified budget with the specified resource.","ref":"aws_service_catalog.html#associate_budget_with_resource/2","title":"aws_service_catalog.associate_budget_with_resource/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#associate_budget_with_resource/3","title":"aws_service_catalog.associate_budget_with_resource/3","type":"function"},{"doc":"Associates the specified principal ARN with the specified portfolio. If you share the portfolio with principal name sharing enabled, the PrincipalARN association is included in the share. The PortfolioID , PrincipalARN , and PrincipalType parameters are required. You can associate a maximum of 10 Principals with a portfolio using PrincipalType as IAM_PATTERN When you associate a principal with portfolio, a potential privilege escalation path may occur when that portfolio is then shared with other accounts. For a user in a recipient account who is not an Service Catalog Admin, but still has the ability to create Principals (Users/Groups/Roles), that user could create a role that matches a principal name association for the portfolio. Although this user may not know which principal names are associated through Service Catalog, they may be able to guess the user. If this potential escalation path is a concern, then Service Catalog recommends using PrincipalType as IAM . With this configuration, the PrincipalARN must already exist in the recipient account before it can be associated.","ref":"aws_service_catalog.html#associate_principal_with_portfolio/2","title":"aws_service_catalog.associate_principal_with_portfolio/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#associate_principal_with_portfolio/3","title":"aws_service_catalog.associate_principal_with_portfolio/3","type":"function"},{"doc":"Associates the specified product with the specified portfolio. A delegated admin is authorized to invoke this command.","ref":"aws_service_catalog.html#associate_product_with_portfolio/2","title":"aws_service_catalog.associate_product_with_portfolio/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#associate_product_with_portfolio/3","title":"aws_service_catalog.associate_product_with_portfolio/3","type":"function"},{"doc":"Associates a self-service action with a provisioning artifact.","ref":"aws_service_catalog.html#associate_service_action_with_provisioning_artifact/2","title":"aws_service_catalog.associate_service_action_with_provisioning_artifact/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#associate_service_action_with_provisioning_artifact/3","title":"aws_service_catalog.associate_service_action_with_provisioning_artifact/3","type":"function"},{"doc":"Associate the specified TagOption with the specified portfolio or product.","ref":"aws_service_catalog.html#associate_tag_option_with_resource/2","title":"aws_service_catalog.associate_tag_option_with_resource/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#associate_tag_option_with_resource/3","title":"aws_service_catalog.associate_tag_option_with_resource/3","type":"function"},{"doc":"Associates multiple self-service actions with provisioning artifacts.","ref":"aws_service_catalog.html#batch_associate_service_action_with_provisioning_artifact/2","title":"aws_service_catalog.batch_associate_service_action_with_provisioning_artifact/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#batch_associate_service_action_with_provisioning_artifact/3","title":"aws_service_catalog.batch_associate_service_action_with_provisioning_artifact/3","type":"function"},{"doc":"Disassociates a batch of self-service actions from the specified provisioning artifact.","ref":"aws_service_catalog.html#batch_disassociate_service_action_from_provisioning_artifact/2","title":"aws_service_catalog.batch_disassociate_service_action_from_provisioning_artifact/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#batch_disassociate_service_action_from_provisioning_artifact/3","title":"aws_service_catalog.batch_disassociate_service_action_from_provisioning_artifact/3","type":"function"},{"doc":"Copies the specified source product to the specified target product or a new product. You can copy a product to the same account or another account. You can copy a product to the same Region or another Region. If you copy a product to another account, you must first share the product in a portfolio using CreatePortfolioShare . This operation is performed asynchronously. To track the progress of the operation, use DescribeCopyProductStatus .","ref":"aws_service_catalog.html#copy_product/2","title":"aws_service_catalog.copy_product/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#copy_product/3","title":"aws_service_catalog.copy_product/3","type":"function"},{"doc":"Creates a constraint. A delegated admin is authorized to invoke this command.","ref":"aws_service_catalog.html#create_constraint/2","title":"aws_service_catalog.create_constraint/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#create_constraint/3","title":"aws_service_catalog.create_constraint/3","type":"function"},{"doc":"Creates a portfolio. A delegated admin is authorized to invoke this command.","ref":"aws_service_catalog.html#create_portfolio/2","title":"aws_service_catalog.create_portfolio/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#create_portfolio/3","title":"aws_service_catalog.create_portfolio/3","type":"function"},{"doc":"Shares the specified portfolio with the specified account or organization node. Shares to an organization node can only be created by the management account of an organization or by a delegated administrator. You can share portfolios to an organization, an organizational unit, or a specific account. Note that if a delegated admin is de-registered, they can no longer create portfolio shares. AWSOrganizationsAccess must be enabled in order to create a portfolio share to an organization node. You can't share a shared resource, including portfolios that contain a shared product. If the portfolio share with the specified account or organization node already exists, this action will have no effect and will not return an error. To update an existing share, you must use the UpdatePortfolioShare API instead. When you associate a principal with portfolio, a potential privilege escalation path may occur when that portfolio is then shared with other accounts. For a user in a recipient account who is not an Service Catalog Admin, but still has the ability to create Principals (Users/Groups/Roles), that user could create a role that matches a principal name association for the portfolio. Although this user may not know which principal names are associated through Service Catalog, they may be able to guess the user. If this potential escalation path is a concern, then Service Catalog recommends using PrincipalType as IAM . With this configuration, the PrincipalARN must already exist in the recipient account before it can be associated.","ref":"aws_service_catalog.html#create_portfolio_share/2","title":"aws_service_catalog.create_portfolio_share/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#create_portfolio_share/3","title":"aws_service_catalog.create_portfolio_share/3","type":"function"},{"doc":"Creates a product. A delegated admin is authorized to invoke this command. The user or role that performs this operation must have the cloudformation:GetTemplate IAM policy permission. This policy permission is required when using the ImportFromPhysicalId template source in the information data section.","ref":"aws_service_catalog.html#create_product/2","title":"aws_service_catalog.create_product/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#create_product/3","title":"aws_service_catalog.create_product/3","type":"function"},{"doc":"Creates a plan. A plan includes the list of resources to be created (when provisioning a new product) or modified (when updating a provisioned product) when the plan is executed. You can create one plan for each provisioned product. To create a plan for an existing provisioned product, the product status must be AVAILABLE or TAINTED. To view the resource changes in the change set, use DescribeProvisionedProductPlan . To create or modify the provisioned product, use ExecuteProvisionedProductPlan .","ref":"aws_service_catalog.html#create_provisioned_product_plan/2","title":"aws_service_catalog.create_provisioned_product_plan/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#create_provisioned_product_plan/3","title":"aws_service_catalog.create_provisioned_product_plan/3","type":"function"},{"doc":"Creates a provisioning artifact (also known as a version) for the specified product. You cannot create a provisioning artifact for a product that was shared with you. The user or role that performs this operation must have the cloudformation:GetTemplate IAM policy permission. This policy permission is required when using the ImportFromPhysicalId template source in the information data section.","ref":"aws_service_catalog.html#create_provisioning_artifact/2","title":"aws_service_catalog.create_provisioning_artifact/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#create_provisioning_artifact/3","title":"aws_service_catalog.create_provisioning_artifact/3","type":"function"},{"doc":"Creates a self-service action.","ref":"aws_service_catalog.html#create_service_action/2","title":"aws_service_catalog.create_service_action/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#create_service_action/3","title":"aws_service_catalog.create_service_action/3","type":"function"},{"doc":"Creates a TagOption.","ref":"aws_service_catalog.html#create_tag_option/2","title":"aws_service_catalog.create_tag_option/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#create_tag_option/3","title":"aws_service_catalog.create_tag_option/3","type":"function"},{"doc":"Deletes the specified constraint. A delegated admin is authorized to invoke this command.","ref":"aws_service_catalog.html#delete_constraint/2","title":"aws_service_catalog.delete_constraint/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#delete_constraint/3","title":"aws_service_catalog.delete_constraint/3","type":"function"},{"doc":"Deletes the specified portfolio. You cannot delete a portfolio if it was shared with you or if it has associated products, users, constraints, or shared accounts. A delegated admin is authorized to invoke this command.","ref":"aws_service_catalog.html#delete_portfolio/2","title":"aws_service_catalog.delete_portfolio/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#delete_portfolio/3","title":"aws_service_catalog.delete_portfolio/3","type":"function"},{"doc":"Stops sharing the specified portfolio with the specified account or organization node. Shares to an organization node can only be deleted by the management account of an organization or by a delegated administrator. Note that if a delegated admin is de-registered, portfolio shares created from that account are removed.","ref":"aws_service_catalog.html#delete_portfolio_share/2","title":"aws_service_catalog.delete_portfolio_share/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#delete_portfolio_share/3","title":"aws_service_catalog.delete_portfolio_share/3","type":"function"},{"doc":"Deletes the specified product. You cannot delete a product if it was shared with you or is associated with a portfolio. A delegated admin is authorized to invoke this command.","ref":"aws_service_catalog.html#delete_product/2","title":"aws_service_catalog.delete_product/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#delete_product/3","title":"aws_service_catalog.delete_product/3","type":"function"},{"doc":"Deletes the specified plan.","ref":"aws_service_catalog.html#delete_provisioned_product_plan/2","title":"aws_service_catalog.delete_provisioned_product_plan/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#delete_provisioned_product_plan/3","title":"aws_service_catalog.delete_provisioned_product_plan/3","type":"function"},{"doc":"Deletes the specified provisioning artifact (also known as a version) for the specified product. You cannot delete a provisioning artifact associated with a product that was shared with you. You cannot delete the last provisioning artifact for a product, because a product must have at least one provisioning artifact.","ref":"aws_service_catalog.html#delete_provisioning_artifact/2","title":"aws_service_catalog.delete_provisioning_artifact/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#delete_provisioning_artifact/3","title":"aws_service_catalog.delete_provisioning_artifact/3","type":"function"},{"doc":"Deletes a self-service action.","ref":"aws_service_catalog.html#delete_service_action/2","title":"aws_service_catalog.delete_service_action/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#delete_service_action/3","title":"aws_service_catalog.delete_service_action/3","type":"function"},{"doc":"Deletes the specified TagOption. You cannot delete a TagOption if it is associated with a product or portfolio.","ref":"aws_service_catalog.html#delete_tag_option/2","title":"aws_service_catalog.delete_tag_option/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#delete_tag_option/3","title":"aws_service_catalog.delete_tag_option/3","type":"function"},{"doc":"Gets information about the specified constraint.","ref":"aws_service_catalog.html#describe_constraint/2","title":"aws_service_catalog.describe_constraint/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_constraint/3","title":"aws_service_catalog.describe_constraint/3","type":"function"},{"doc":"Gets the status of the specified copy product operation.","ref":"aws_service_catalog.html#describe_copy_product_status/2","title":"aws_service_catalog.describe_copy_product_status/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_copy_product_status/3","title":"aws_service_catalog.describe_copy_product_status/3","type":"function"},{"doc":"Gets information about the specified portfolio. A delegated admin is authorized to invoke this command.","ref":"aws_service_catalog.html#describe_portfolio/2","title":"aws_service_catalog.describe_portfolio/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_portfolio/3","title":"aws_service_catalog.describe_portfolio/3","type":"function"},{"doc":"Gets the status of the specified portfolio share operation. This API can only be called by the management account in the organization or by a delegated admin.","ref":"aws_service_catalog.html#describe_portfolio_share_status/2","title":"aws_service_catalog.describe_portfolio_share_status/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_portfolio_share_status/3","title":"aws_service_catalog.describe_portfolio_share_status/3","type":"function"},{"doc":"Returns a summary of each of the portfolio shares that were created for the specified portfolio. You can use this API to determine which accounts or organizational nodes this portfolio have been shared, whether the recipient entity has imported the share, and whether TagOptions are included with the share. The PortfolioId and Type parameters are both required.","ref":"aws_service_catalog.html#describe_portfolio_shares/2","title":"aws_service_catalog.describe_portfolio_shares/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_portfolio_shares/3","title":"aws_service_catalog.describe_portfolio_shares/3","type":"function"},{"doc":"Gets information about the specified product.","ref":"aws_service_catalog.html#describe_product/2","title":"aws_service_catalog.describe_product/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_product/3","title":"aws_service_catalog.describe_product/3","type":"function"},{"doc":"Gets information about the specified product. This operation is run with administrator access.","ref":"aws_service_catalog.html#describe_product_as_admin/2","title":"aws_service_catalog.describe_product_as_admin/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_product_as_admin/3","title":"aws_service_catalog.describe_product_as_admin/3","type":"function"},{"doc":"Gets information about the specified product.","ref":"aws_service_catalog.html#describe_product_view/2","title":"aws_service_catalog.describe_product_view/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_product_view/3","title":"aws_service_catalog.describe_product_view/3","type":"function"},{"doc":"Gets information about the specified provisioned product.","ref":"aws_service_catalog.html#describe_provisioned_product/2","title":"aws_service_catalog.describe_provisioned_product/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_provisioned_product/3","title":"aws_service_catalog.describe_provisioned_product/3","type":"function"},{"doc":"Gets information about the resource changes for the specified plan.","ref":"aws_service_catalog.html#describe_provisioned_product_plan/2","title":"aws_service_catalog.describe_provisioned_product_plan/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_provisioned_product_plan/3","title":"aws_service_catalog.describe_provisioned_product_plan/3","type":"function"},{"doc":"Gets information about the specified provisioning artifact (also known as a version) for the specified product.","ref":"aws_service_catalog.html#describe_provisioning_artifact/2","title":"aws_service_catalog.describe_provisioning_artifact/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_provisioning_artifact/3","title":"aws_service_catalog.describe_provisioning_artifact/3","type":"function"},{"doc":"Gets information about the configuration required to provision the specified product using the specified provisioning artifact. If the output contains a TagOption key with an empty list of values, there is a TagOption conflict for that key. The end user cannot take action to fix the conflict, and launch is not blocked. In subsequent calls to ProvisionProduct , do not include conflicted TagOption keys as tags, or this causes the error &quot;Parameter validation failed: Missing required parameter in Tags[N]:Value&quot;. Tag the provisioned product with the value sc-tagoption-conflict-portfolioId-productId .","ref":"aws_service_catalog.html#describe_provisioning_parameters/2","title":"aws_service_catalog.describe_provisioning_parameters/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_provisioning_parameters/3","title":"aws_service_catalog.describe_provisioning_parameters/3","type":"function"},{"doc":"Gets information about the specified request operation. Use this operation after calling a request operation (for example, ProvisionProduct , TerminateProvisionedProduct , or UpdateProvisionedProduct ). If a provisioned product was transferred to a new owner using UpdateProvisionedProductProperties , the new owner will be able to describe all past records for that product. The previous owner will no longer be able to describe the records, but will be able to use ListRecordHistory to see the product's history from when he was the owner.","ref":"aws_service_catalog.html#describe_record/2","title":"aws_service_catalog.describe_record/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_record/3","title":"aws_service_catalog.describe_record/3","type":"function"},{"doc":"Describes a self-service action.","ref":"aws_service_catalog.html#describe_service_action/2","title":"aws_service_catalog.describe_service_action/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_service_action/3","title":"aws_service_catalog.describe_service_action/3","type":"function"},{"doc":"Finds the default parameters for a specific self-service action on a specific provisioned product and returns a map of the results to the user.","ref":"aws_service_catalog.html#describe_service_action_execution_parameters/2","title":"aws_service_catalog.describe_service_action_execution_parameters/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_service_action_execution_parameters/3","title":"aws_service_catalog.describe_service_action_execution_parameters/3","type":"function"},{"doc":"Gets information about the specified TagOption.","ref":"aws_service_catalog.html#describe_tag_option/2","title":"aws_service_catalog.describe_tag_option/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#describe_tag_option/3","title":"aws_service_catalog.describe_tag_option/3","type":"function"},{"doc":"Disable portfolio sharing through the Organizations service. This command will not delete your current shares, but prevents you from creating new shares throughout your organization. Current shares are not kept in sync with your organization structure if the structure changes after calling this API. Only the management account in the organization can call this API. You cannot call this API if there are active delegated administrators in the organization. Note that a delegated administrator is not authorized to invoke DisableAWSOrganizationsAccess . If you share an Service Catalog portfolio in an organization within Organizations, and then disable Organizations access for Service Catalog, the portfolio access permissions will not sync with the latest changes to the organization structure. Specifically, accounts that you removed from the organization after disabling Service Catalog access will retain access to the previously shared portfolio.","ref":"aws_service_catalog.html#disable_aws_organizations_access/2","title":"aws_service_catalog.disable_aws_organizations_access/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#disable_aws_organizations_access/3","title":"aws_service_catalog.disable_aws_organizations_access/3","type":"function"},{"doc":"Disassociates the specified budget from the specified resource.","ref":"aws_service_catalog.html#disassociate_budget_from_resource/2","title":"aws_service_catalog.disassociate_budget_from_resource/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#disassociate_budget_from_resource/3","title":"aws_service_catalog.disassociate_budget_from_resource/3","type":"function"},{"doc":"Disassociates a previously associated principal ARN from a specified portfolio. The PrincipalType and PrincipalARN must match the AssociatePrincipalWithPortfolio call request details. For example, to disassociate an association created with a PrincipalARN of PrincipalType IAM you must use the PrincipalType IAM when calling DisassociatePrincipalFromPortfolio . For portfolios that have been shared with principal name sharing enabled: after disassociating a principal, share recipient accounts will no longer be able to provision products in this portfolio using a role matching the name of the associated principal.","ref":"aws_service_catalog.html#disassociate_principal_from_portfolio/2","title":"aws_service_catalog.disassociate_principal_from_portfolio/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#disassociate_principal_from_portfolio/3","title":"aws_service_catalog.disassociate_principal_from_portfolio/3","type":"function"},{"doc":"Disassociates the specified product from the specified portfolio. A delegated admin is authorized to invoke this command.","ref":"aws_service_catalog.html#disassociate_product_from_portfolio/2","title":"aws_service_catalog.disassociate_product_from_portfolio/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#disassociate_product_from_portfolio/3","title":"aws_service_catalog.disassociate_product_from_portfolio/3","type":"function"},{"doc":"Disassociates the specified self-service action association from the specified provisioning artifact.","ref":"aws_service_catalog.html#disassociate_service_action_from_provisioning_artifact/2","title":"aws_service_catalog.disassociate_service_action_from_provisioning_artifact/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#disassociate_service_action_from_provisioning_artifact/3","title":"aws_service_catalog.disassociate_service_action_from_provisioning_artifact/3","type":"function"},{"doc":"Disassociates the specified TagOption from the specified resource.","ref":"aws_service_catalog.html#disassociate_tag_option_from_resource/2","title":"aws_service_catalog.disassociate_tag_option_from_resource/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#disassociate_tag_option_from_resource/3","title":"aws_service_catalog.disassociate_tag_option_from_resource/3","type":"function"},{"doc":"Enable portfolio sharing feature through Organizations. This API will allow Service Catalog to receive updates on your organization in order to sync your shares with the current structure. This API can only be called by the management account in the organization. When you call this API, Service Catalog calls organizations:EnableAWSServiceAccess on your behalf so that your shares stay in sync with any changes in your Organizations structure. Note that a delegated administrator is not authorized to invoke EnableAWSOrganizationsAccess . If you have previously disabled Organizations access for Service Catalog, and then enable access again, the portfolio access permissions might not sync with the latest changes to the organization structure. Specifically, accounts that you removed from the organization after disabling Service Catalog access, and before you enabled access again, can retain access to the previously shared portfolio. As a result, an account that has been removed from the organization might still be able to create or manage Amazon Web Services resources when it is no longer authorized to do so. Amazon Web Services is working to resolve this issue.","ref":"aws_service_catalog.html#enable_aws_organizations_access/2","title":"aws_service_catalog.enable_aws_organizations_access/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#enable_aws_organizations_access/3","title":"aws_service_catalog.enable_aws_organizations_access/3","type":"function"},{"doc":"Provisions or modifies a product based on the resource changes for the specified plan.","ref":"aws_service_catalog.html#execute_provisioned_product_plan/2","title":"aws_service_catalog.execute_provisioned_product_plan/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#execute_provisioned_product_plan/3","title":"aws_service_catalog.execute_provisioned_product_plan/3","type":"function"},{"doc":"Executes a self-service action against a provisioned product.","ref":"aws_service_catalog.html#execute_provisioned_product_service_action/2","title":"aws_service_catalog.execute_provisioned_product_service_action/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#execute_provisioned_product_service_action/3","title":"aws_service_catalog.execute_provisioned_product_service_action/3","type":"function"},{"doc":"Get the Access Status for Organizations portfolio share feature. This API can only be called by the management account in the organization or by a delegated admin.","ref":"aws_service_catalog.html#get_aws_organizations_access_status/2","title":"aws_service_catalog.get_aws_organizations_access_status/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#get_aws_organizations_access_status/3","title":"aws_service_catalog.get_aws_organizations_access_status/3","type":"function"},{"doc":"This API takes either a ProvisonedProductId or a ProvisionedProductName , along with a list of one or more output keys, and responds with the key/value pairs of those outputs.","ref":"aws_service_catalog.html#get_provisioned_product_outputs/2","title":"aws_service_catalog.get_provisioned_product_outputs/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#get_provisioned_product_outputs/3","title":"aws_service_catalog.get_provisioned_product_outputs/3","type":"function"},{"doc":"Requests the import of a resource as an Service Catalog provisioned product that is associated to an Service Catalog product and provisioning artifact. Once imported, all supported Service Catalog governance actions are supported on the provisioned product. Resource import only supports CloudFormation stack ARNs. CloudFormation StackSets and non-root nested stacks are not supported. The CloudFormation stack must have one of the following statuses to be imported: CREATE_COMPLETE , UPDATE_COMPLETE , UPDATE_ROLLBACK_COMPLETE , IMPORT_COMPLETE , IMPORT_ROLLBACK_COMPLETE . Import of the resource requires that the CloudFormation stack template matches the associated Service Catalog product provisioning artifact. The user or role that performs this operation must have the cloudformation:GetTemplate and cloudformation:DescribeStacks IAM policy permissions.","ref":"aws_service_catalog.html#import_as_provisioned_product/2","title":"aws_service_catalog.import_as_provisioned_product/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#import_as_provisioned_product/3","title":"aws_service_catalog.import_as_provisioned_product/3","type":"function"},{"doc":"Lists all imported portfolios for which account-to-account shares were accepted by this account. By specifying the PortfolioShareType , you can list portfolios for which organizational shares were accepted by this account.","ref":"aws_service_catalog.html#list_accepted_portfolio_shares/2","title":"aws_service_catalog.list_accepted_portfolio_shares/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_accepted_portfolio_shares/3","title":"aws_service_catalog.list_accepted_portfolio_shares/3","type":"function"},{"doc":"Lists all the budgets associated to the specified resource.","ref":"aws_service_catalog.html#list_budgets_for_resource/2","title":"aws_service_catalog.list_budgets_for_resource/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_budgets_for_resource/3","title":"aws_service_catalog.list_budgets_for_resource/3","type":"function"},{"doc":"Lists the constraints for the specified portfolio and product.","ref":"aws_service_catalog.html#list_constraints_for_portfolio/2","title":"aws_service_catalog.list_constraints_for_portfolio/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_constraints_for_portfolio/3","title":"aws_service_catalog.list_constraints_for_portfolio/3","type":"function"},{"doc":"Lists the paths to the specified product. A path is how the user has access to a specified product, and is necessary when provisioning a product. A path also determines the constraints put on the product.","ref":"aws_service_catalog.html#list_launch_paths/2","title":"aws_service_catalog.list_launch_paths/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_launch_paths/3","title":"aws_service_catalog.list_launch_paths/3","type":"function"},{"doc":"Lists the organization nodes that have access to the specified portfolio. This API can only be called by the management account in the organization or by a delegated admin. If a delegated admin is de-registered, they can no longer perform this operation.","ref":"aws_service_catalog.html#list_organization_portfolio_access/2","title":"aws_service_catalog.list_organization_portfolio_access/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_organization_portfolio_access/3","title":"aws_service_catalog.list_organization_portfolio_access/3","type":"function"},{"doc":"Lists the account IDs that have access to the specified portfolio. A delegated admin can list the accounts that have access to the shared portfolio. Note that if a delegated admin is de-registered, they can no longer perform this operation.","ref":"aws_service_catalog.html#list_portfolio_access/2","title":"aws_service_catalog.list_portfolio_access/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_portfolio_access/3","title":"aws_service_catalog.list_portfolio_access/3","type":"function"},{"doc":"Lists all portfolios in the catalog.","ref":"aws_service_catalog.html#list_portfolios/2","title":"aws_service_catalog.list_portfolios/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_portfolios/3","title":"aws_service_catalog.list_portfolios/3","type":"function"},{"doc":"Lists all portfolios that the specified product is associated with.","ref":"aws_service_catalog.html#list_portfolios_for_product/2","title":"aws_service_catalog.list_portfolios_for_product/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_portfolios_for_product/3","title":"aws_service_catalog.list_portfolios_for_product/3","type":"function"},{"doc":"Lists all PrincipalARN s and corresponding PrincipalType s associated with the specified portfolio.","ref":"aws_service_catalog.html#list_principals_for_portfolio/2","title":"aws_service_catalog.list_principals_for_portfolio/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_principals_for_portfolio/3","title":"aws_service_catalog.list_principals_for_portfolio/3","type":"function"},{"doc":"Lists the plans for the specified provisioned product or all plans to which the user has access.","ref":"aws_service_catalog.html#list_provisioned_product_plans/2","title":"aws_service_catalog.list_provisioned_product_plans/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_provisioned_product_plans/3","title":"aws_service_catalog.list_provisioned_product_plans/3","type":"function"},{"doc":"Lists all provisioning artifacts (also known as versions) for the specified product.","ref":"aws_service_catalog.html#list_provisioning_artifacts/2","title":"aws_service_catalog.list_provisioning_artifacts/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_provisioning_artifacts/3","title":"aws_service_catalog.list_provisioning_artifacts/3","type":"function"},{"doc":"Lists all provisioning artifacts (also known as versions) for the specified self-service action.","ref":"aws_service_catalog.html#list_provisioning_artifacts_for_service_action/2","title":"aws_service_catalog.list_provisioning_artifacts_for_service_action/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_provisioning_artifacts_for_service_action/3","title":"aws_service_catalog.list_provisioning_artifacts_for_service_action/3","type":"function"},{"doc":"Lists the specified requests or all performed requests.","ref":"aws_service_catalog.html#list_record_history/2","title":"aws_service_catalog.list_record_history/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_record_history/3","title":"aws_service_catalog.list_record_history/3","type":"function"},{"doc":"Lists the resources associated with the specified TagOption.","ref":"aws_service_catalog.html#list_resources_for_tag_option/2","title":"aws_service_catalog.list_resources_for_tag_option/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_resources_for_tag_option/3","title":"aws_service_catalog.list_resources_for_tag_option/3","type":"function"},{"doc":"Lists all self-service actions.","ref":"aws_service_catalog.html#list_service_actions/2","title":"aws_service_catalog.list_service_actions/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_service_actions/3","title":"aws_service_catalog.list_service_actions/3","type":"function"},{"doc":"Returns a paginated list of self-service actions associated with the specified Product ID and Provisioning Artifact ID.","ref":"aws_service_catalog.html#list_service_actions_for_provisioning_artifact/2","title":"aws_service_catalog.list_service_actions_for_provisioning_artifact/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_service_actions_for_provisioning_artifact/3","title":"aws_service_catalog.list_service_actions_for_provisioning_artifact/3","type":"function"},{"doc":"Returns summary information about stack instances that are associated with the specified CFN_STACKSET type provisioned product. You can filter for stack instances that are associated with a specific Amazon Web Services account name or Region.","ref":"aws_service_catalog.html#list_stack_instances_for_provisioned_product/2","title":"aws_service_catalog.list_stack_instances_for_provisioned_product/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_stack_instances_for_provisioned_product/3","title":"aws_service_catalog.list_stack_instances_for_provisioned_product/3","type":"function"},{"doc":"Lists the specified TagOptions or all TagOptions.","ref":"aws_service_catalog.html#list_tag_options/2","title":"aws_service_catalog.list_tag_options/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#list_tag_options/3","title":"aws_service_catalog.list_tag_options/3","type":"function"},{"doc":"Provisions the specified product. A provisioned product is a resourced instance of a product. For example, provisioning a product based on a CloudFormation template launches a CloudFormation stack and its underlying resources. You can check the status of this request using DescribeRecord . If the request contains a tag key with an empty list of values, there is a tag conflict for that key. Do not include conflicted keys as tags, or this causes the error &quot;Parameter validation failed: Missing required parameter in Tags[N]:Value&quot;.","ref":"aws_service_catalog.html#provision_product/2","title":"aws_service_catalog.provision_product/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#provision_product/3","title":"aws_service_catalog.provision_product/3","type":"function"},{"doc":"Rejects an offer to share the specified portfolio.","ref":"aws_service_catalog.html#reject_portfolio_share/2","title":"aws_service_catalog.reject_portfolio_share/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#reject_portfolio_share/3","title":"aws_service_catalog.reject_portfolio_share/3","type":"function"},{"doc":"Lists the provisioned products that are available (not terminated). To use additional filtering, see SearchProvisionedProducts .","ref":"aws_service_catalog.html#scan_provisioned_products/2","title":"aws_service_catalog.scan_provisioned_products/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#scan_provisioned_products/3","title":"aws_service_catalog.scan_provisioned_products/3","type":"function"},{"doc":"Gets information about the products to which the caller has access.","ref":"aws_service_catalog.html#search_products/2","title":"aws_service_catalog.search_products/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#search_products/3","title":"aws_service_catalog.search_products/3","type":"function"},{"doc":"Gets information about the products for the specified portfolio or all products.","ref":"aws_service_catalog.html#search_products_as_admin/2","title":"aws_service_catalog.search_products_as_admin/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#search_products_as_admin/3","title":"aws_service_catalog.search_products_as_admin/3","type":"function"},{"doc":"Gets information about the provisioned products that meet the specified criteria. To ensure a complete list of provisioned products and remove duplicate products, use sort-by createdTime . Here is a CLI example: aws servicecatalog search-provisioned-products --sort-by createdTime","ref":"aws_service_catalog.html#search_provisioned_products/2","title":"aws_service_catalog.search_provisioned_products/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#search_provisioned_products/3","title":"aws_service_catalog.search_provisioned_products/3","type":"function"},{"doc":"Terminates the specified provisioned product. This operation does not delete any records associated with the provisioned product. You can check the status of this request using DescribeRecord .","ref":"aws_service_catalog.html#terminate_provisioned_product/2","title":"aws_service_catalog.terminate_provisioned_product/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#terminate_provisioned_product/3","title":"aws_service_catalog.terminate_provisioned_product/3","type":"function"},{"doc":"Updates the specified constraint.","ref":"aws_service_catalog.html#update_constraint/2","title":"aws_service_catalog.update_constraint/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#update_constraint/3","title":"aws_service_catalog.update_constraint/3","type":"function"},{"doc":"Updates the specified portfolio. You cannot update a product that was shared with you.","ref":"aws_service_catalog.html#update_portfolio/2","title":"aws_service_catalog.update_portfolio/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#update_portfolio/3","title":"aws_service_catalog.update_portfolio/3","type":"function"},{"doc":"Updates the specified portfolio share. You can use this API to enable or disable TagOptions sharing or Principal sharing for an existing portfolio share. The portfolio share cannot be updated if the CreatePortfolioShare operation is IN_PROGRESS , as the share is not available to recipient entities. In this case, you must wait for the portfolio share to be COMPLETED. You must provide the accountId or organization node in the input, but not both. If the portfolio is shared to both an external account and an organization node, and both shares need to be updated, you must invoke UpdatePortfolioShare separately for each share type. This API cannot be used for removing the portfolio share. You must use DeletePortfolioShare API for that action. When you associate a principal with portfolio, a potential privilege escalation path may occur when that portfolio is then shared with other accounts. For a user in a recipient account who is not an Service Catalog Admin, but still has the ability to create Principals (Users/Groups/Roles), that user could create a role that matches a principal name association for the portfolio. Although this user may not know which principal names are associated through Service Catalog, they may be able to guess the user. If this potential escalation path is a concern, then Service Catalog recommends using PrincipalType as IAM . With this configuration, the PrincipalARN must already exist in the recipient account before it can be associated.","ref":"aws_service_catalog.html#update_portfolio_share/2","title":"aws_service_catalog.update_portfolio_share/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#update_portfolio_share/3","title":"aws_service_catalog.update_portfolio_share/3","type":"function"},{"doc":"Updates the specified product.","ref":"aws_service_catalog.html#update_product/2","title":"aws_service_catalog.update_product/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#update_product/3","title":"aws_service_catalog.update_product/3","type":"function"},{"doc":"Requests updates to the configuration of the specified provisioned product. If there are tags associated with the object, they cannot be updated or added. Depending on the specific updates requested, this operation can update with no interruption, with some interruption, or replace the provisioned product entirely. You can check the status of this request using DescribeRecord .","ref":"aws_service_catalog.html#update_provisioned_product/2","title":"aws_service_catalog.update_provisioned_product/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#update_provisioned_product/3","title":"aws_service_catalog.update_provisioned_product/3","type":"function"},{"doc":"Requests updates to the properties of the specified provisioned product.","ref":"aws_service_catalog.html#update_provisioned_product_properties/2","title":"aws_service_catalog.update_provisioned_product_properties/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#update_provisioned_product_properties/3","title":"aws_service_catalog.update_provisioned_product_properties/3","type":"function"},{"doc":"Updates the specified provisioning artifact (also known as a version) for the specified product. You cannot update a provisioning artifact for a product that was shared with you.","ref":"aws_service_catalog.html#update_provisioning_artifact/2","title":"aws_service_catalog.update_provisioning_artifact/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#update_provisioning_artifact/3","title":"aws_service_catalog.update_provisioning_artifact/3","type":"function"},{"doc":"Updates a self-service action.","ref":"aws_service_catalog.html#update_service_action/2","title":"aws_service_catalog.update_service_action/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#update_service_action/3","title":"aws_service_catalog.update_service_action/3","type":"function"},{"doc":"Updates the specified TagOption.","ref":"aws_service_catalog.html#update_tag_option/2","title":"aws_service_catalog.update_tag_option/2","type":"function"},{"doc":"","ref":"aws_service_catalog.html#update_tag_option/3","title":"aws_service_catalog.update_tag_option/3","type":"function"},{"doc":"Amazon Web Services Service Catalog AppRegistry enables organizations to understand the application context of their Amazon Web Services resources. AppRegistry provides a repository of your applications, their resources, and the application metadata that you use within your enterprise.","ref":"aws_service_catalog_appregistry.html","title":"aws_service_catalog_appregistry","type":"module"},{"doc":"Associates an attribute group with an application to augment the application's metadata with the group's attributes. This feature enables applications to be described with user-defined details that are machine-readable, such as third-party integrations.","ref":"aws_service_catalog_appregistry.html#associate_attribute_group/4","title":"aws_service_catalog_appregistry.associate_attribute_group/4","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#associate_attribute_group/5","title":"aws_service_catalog_appregistry.associate_attribute_group/5","type":"function"},{"doc":"Associates a resource with an application. Both the resource and the application can be specified either by ID or name.","ref":"aws_service_catalog_appregistry.html#associate_resource/5","title":"aws_service_catalog_appregistry.associate_resource/5","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#associate_resource/6","title":"aws_service_catalog_appregistry.associate_resource/6","type":"function"},{"doc":"Creates a new application that is the top-level node in a hierarchy of related cloud resource abstractions.","ref":"aws_service_catalog_appregistry.html#create_application/2","title":"aws_service_catalog_appregistry.create_application/2","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#create_application/3","title":"aws_service_catalog_appregistry.create_application/3","type":"function"},{"doc":"Creates a new attribute group as a container for user-defined attributes. This feature enables users to have full control over their cloud application's metadata in a rich machine-readable format to facilitate integration with automated workflows and third-party tools.","ref":"aws_service_catalog_appregistry.html#create_attribute_group/2","title":"aws_service_catalog_appregistry.create_attribute_group/2","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#create_attribute_group/3","title":"aws_service_catalog_appregistry.create_attribute_group/3","type":"function"},{"doc":"Deletes an application that is specified either by its application ID or name. All associated attribute groups and resources must be disassociated from it before deleting an application.","ref":"aws_service_catalog_appregistry.html#delete_application/3","title":"aws_service_catalog_appregistry.delete_application/3","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#delete_application/4","title":"aws_service_catalog_appregistry.delete_application/4","type":"function"},{"doc":"Deletes an attribute group, specified either by its attribute group ID or name.","ref":"aws_service_catalog_appregistry.html#delete_attribute_group/3","title":"aws_service_catalog_appregistry.delete_attribute_group/3","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#delete_attribute_group/4","title":"aws_service_catalog_appregistry.delete_attribute_group/4","type":"function"},{"doc":"Disassociates an attribute group from an application to remove the extra attributes contained in the attribute group from the application's metadata. This operation reverts AssociateAttributeGroup .","ref":"aws_service_catalog_appregistry.html#disassociate_attribute_group/4","title":"aws_service_catalog_appregistry.disassociate_attribute_group/4","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#disassociate_attribute_group/5","title":"aws_service_catalog_appregistry.disassociate_attribute_group/5","type":"function"},{"doc":"Disassociates a resource from application. Both the resource and the application can be specified either by ID or name.","ref":"aws_service_catalog_appregistry.html#disassociate_resource/5","title":"aws_service_catalog_appregistry.disassociate_resource/5","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#disassociate_resource/6","title":"aws_service_catalog_appregistry.disassociate_resource/6","type":"function"},{"doc":"Retrieves metadata information about one of your applications. The application can be specified either by its unique ID or by its name (which is unique within one account in one region at a given point in time). Specify by ID in automated workflows if you want to make sure that the exact same application is returned or a ResourceNotFoundException is thrown, avoiding the ABA addressing problem.","ref":"aws_service_catalog_appregistry.html#get_application/2","title":"aws_service_catalog_appregistry.get_application/2","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#get_application/4","title":"aws_service_catalog_appregistry.get_application/4","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#get_application/5","title":"aws_service_catalog_appregistry.get_application/5","type":"function"},{"doc":"Gets the resource associated with the application.","ref":"aws_service_catalog_appregistry.html#get_associated_resource/4","title":"aws_service_catalog_appregistry.get_associated_resource/4","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#get_associated_resource/6","title":"aws_service_catalog_appregistry.get_associated_resource/6","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#get_associated_resource/7","title":"aws_service_catalog_appregistry.get_associated_resource/7","type":"function"},{"doc":"Retrieves an attribute group, either by its name or its ID. The attribute group can be specified either by its unique ID or by its name.","ref":"aws_service_catalog_appregistry.html#get_attribute_group/2","title":"aws_service_catalog_appregistry.get_attribute_group/2","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#get_attribute_group/4","title":"aws_service_catalog_appregistry.get_attribute_group/4","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#get_attribute_group/5","title":"aws_service_catalog_appregistry.get_attribute_group/5","type":"function"},{"doc":"Retrieves a TagKey configuration from an account.","ref":"aws_service_catalog_appregistry.html#get_configuration/1","title":"aws_service_catalog_appregistry.get_configuration/1","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#get_configuration/3","title":"aws_service_catalog_appregistry.get_configuration/3","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#get_configuration/4","title":"aws_service_catalog_appregistry.get_configuration/4","type":"function"},{"doc":"Retrieves a list of all of your applications. Results are paginated.","ref":"aws_service_catalog_appregistry.html#list_applications/1","title":"aws_service_catalog_appregistry.list_applications/1","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#list_applications/3","title":"aws_service_catalog_appregistry.list_applications/3","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#list_applications/4","title":"aws_service_catalog_appregistry.list_applications/4","type":"function"},{"doc":"Lists all attribute groups that are associated with specified application. Results are paginated.","ref":"aws_service_catalog_appregistry.html#list_associated_attribute_groups/2","title":"aws_service_catalog_appregistry.list_associated_attribute_groups/2","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#list_associated_attribute_groups/4","title":"aws_service_catalog_appregistry.list_associated_attribute_groups/4","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#list_associated_attribute_groups/5","title":"aws_service_catalog_appregistry.list_associated_attribute_groups/5","type":"function"},{"doc":"Lists all of the resources that are associated with the specified application. Results are paginated. If you share an application, and a consumer account associates a tag query to the application, all of the users who can access the application can also view the tag values in all accounts that are associated with it using this API.","ref":"aws_service_catalog_appregistry.html#list_associated_resources/2","title":"aws_service_catalog_appregistry.list_associated_resources/2","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#list_associated_resources/4","title":"aws_service_catalog_appregistry.list_associated_resources/4","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#list_associated_resources/5","title":"aws_service_catalog_appregistry.list_associated_resources/5","type":"function"},{"doc":"Lists all attribute groups which you have access to. Results are paginated.","ref":"aws_service_catalog_appregistry.html#list_attribute_groups/1","title":"aws_service_catalog_appregistry.list_attribute_groups/1","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#list_attribute_groups/3","title":"aws_service_catalog_appregistry.list_attribute_groups/3","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#list_attribute_groups/4","title":"aws_service_catalog_appregistry.list_attribute_groups/4","type":"function"},{"doc":"Lists the details of all attribute groups associated with a specific application. The results display in pages.","ref":"aws_service_catalog_appregistry.html#list_attribute_groups_for_application/2","title":"aws_service_catalog_appregistry.list_attribute_groups_for_application/2","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#list_attribute_groups_for_application/4","title":"aws_service_catalog_appregistry.list_attribute_groups_for_application/4","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#list_attribute_groups_for_application/5","title":"aws_service_catalog_appregistry.list_attribute_groups_for_application/5","type":"function"},{"doc":"Lists all of the tags on the resource.","ref":"aws_service_catalog_appregistry.html#list_tags_for_resource/2","title":"aws_service_catalog_appregistry.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#list_tags_for_resource/4","title":"aws_service_catalog_appregistry.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#list_tags_for_resource/5","title":"aws_service_catalog_appregistry.list_tags_for_resource/5","type":"function"},{"doc":"Associates a TagKey configuration to an account.","ref":"aws_service_catalog_appregistry.html#put_configuration/2","title":"aws_service_catalog_appregistry.put_configuration/2","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#put_configuration/3","title":"aws_service_catalog_appregistry.put_configuration/3","type":"function"},{"doc":"Syncs the resource with current AppRegistry records. Specifically, the resource’s AppRegistry system tags sync with its associated application. We remove the resource's AppRegistry system tags if it does not associate with the application. The caller must have permissions to read and update the resource.","ref":"aws_service_catalog_appregistry.html#sync_resource/4","title":"aws_service_catalog_appregistry.sync_resource/4","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#sync_resource/5","title":"aws_service_catalog_appregistry.sync_resource/5","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified resource. Each tag consists of a key and an optional value. If a tag with the same key is already associated with the resource, this action updates its value. This operation returns an empty response if the call was successful.","ref":"aws_service_catalog_appregistry.html#tag_resource/3","title":"aws_service_catalog_appregistry.tag_resource/3","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#tag_resource/4","title":"aws_service_catalog_appregistry.tag_resource/4","type":"function"},{"doc":"Removes tags from a resource. This operation returns an empty response if the call was successful.","ref":"aws_service_catalog_appregistry.html#untag_resource/3","title":"aws_service_catalog_appregistry.untag_resource/3","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#untag_resource/4","title":"aws_service_catalog_appregistry.untag_resource/4","type":"function"},{"doc":"Updates an existing application with new attributes.","ref":"aws_service_catalog_appregistry.html#update_application/3","title":"aws_service_catalog_appregistry.update_application/3","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#update_application/4","title":"aws_service_catalog_appregistry.update_application/4","type":"function"},{"doc":"Updates an existing attribute group with new details.","ref":"aws_service_catalog_appregistry.html#update_attribute_group/3","title":"aws_service_catalog_appregistry.update_attribute_group/3","type":"function"},{"doc":"","ref":"aws_service_catalog_appregistry.html#update_attribute_group/4","title":"aws_service_catalog_appregistry.update_attribute_group/4","type":"function"},{"doc":"With Service Quotas, you can view and manage your quotas easily as your AWS workloads grow. Quotas, also referred to as limits, are the maximum number of resources that you can create in your AWS account. For more information, see the Service Quotas User Guide.","ref":"aws_service_quotas.html","title":"aws_service_quotas","type":"module"},{"doc":"Associates your quota request template with your organization. When a new account is created in your organization, the quota increase requests in the template are automatically applied to the account. You can add a quota increase request for any adjustable quota to your template.","ref":"aws_service_quotas.html#associate_service_quota_template/2","title":"aws_service_quotas.associate_service_quota_template/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#associate_service_quota_template/3","title":"aws_service_quotas.associate_service_quota_template/3","type":"function"},{"doc":"Deletes the quota increase request for the specified quota from your quota request template.","ref":"aws_service_quotas.html#delete_service_quota_increase_request_from_template/2","title":"aws_service_quotas.delete_service_quota_increase_request_from_template/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#delete_service_quota_increase_request_from_template/3","title":"aws_service_quotas.delete_service_quota_increase_request_from_template/3","type":"function"},{"doc":"Disables your quota request template. After a template is disabled, the quota increase requests in the template are not applied to new accounts in your organization. Disabling a quota request template does not apply its quota increase requests.","ref":"aws_service_quotas.html#disassociate_service_quota_template/2","title":"aws_service_quotas.disassociate_service_quota_template/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#disassociate_service_quota_template/3","title":"aws_service_quotas.disassociate_service_quota_template/3","type":"function"},{"doc":"Retrieves the status of the association for the quota request template.","ref":"aws_service_quotas.html#get_association_for_service_quota_template/2","title":"aws_service_quotas.get_association_for_service_quota_template/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#get_association_for_service_quota_template/3","title":"aws_service_quotas.get_association_for_service_quota_template/3","type":"function"},{"doc":"Retrieves the default value for the specified quota. The default value does not reflect any quota increases.","ref":"aws_service_quotas.html#get_aws_default_service_quota/2","title":"aws_service_quotas.get_aws_default_service_quota/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#get_aws_default_service_quota/3","title":"aws_service_quotas.get_aws_default_service_quota/3","type":"function"},{"doc":"Retrieves information about the specified quota increase request.","ref":"aws_service_quotas.html#get_requested_service_quota_change/2","title":"aws_service_quotas.get_requested_service_quota_change/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#get_requested_service_quota_change/3","title":"aws_service_quotas.get_requested_service_quota_change/3","type":"function"},{"doc":"Retrieves the applied quota value for the specified quota. For some quotas, only the default values are available. If the applied quota value is not available for a quota, the quota is not retrieved.","ref":"aws_service_quotas.html#get_service_quota/2","title":"aws_service_quotas.get_service_quota/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#get_service_quota/3","title":"aws_service_quotas.get_service_quota/3","type":"function"},{"doc":"Retrieves information about the specified quota increase request in your quota request template.","ref":"aws_service_quotas.html#get_service_quota_increase_request_from_template/2","title":"aws_service_quotas.get_service_quota_increase_request_from_template/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#get_service_quota_increase_request_from_template/3","title":"aws_service_quotas.get_service_quota_increase_request_from_template/3","type":"function"},{"doc":"Lists the default values for the quotas for the specified AWS service. A default value does not reflect any quota increases.","ref":"aws_service_quotas.html#list_aws_default_service_quotas/2","title":"aws_service_quotas.list_aws_default_service_quotas/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#list_aws_default_service_quotas/3","title":"aws_service_quotas.list_aws_default_service_quotas/3","type":"function"},{"doc":"Retrieves the quota increase requests for the specified service.","ref":"aws_service_quotas.html#list_requested_service_quota_change_history/2","title":"aws_service_quotas.list_requested_service_quota_change_history/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#list_requested_service_quota_change_history/3","title":"aws_service_quotas.list_requested_service_quota_change_history/3","type":"function"},{"doc":"Retrieves the quota increase requests for the specified quota.","ref":"aws_service_quotas.html#list_requested_service_quota_change_history_by_quota/2","title":"aws_service_quotas.list_requested_service_quota_change_history_by_quota/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#list_requested_service_quota_change_history_by_quota/3","title":"aws_service_quotas.list_requested_service_quota_change_history_by_quota/3","type":"function"},{"doc":"Lists the quota increase requests in the specified quota request template.","ref":"aws_service_quotas.html#list_service_quota_increase_requests_in_template/2","title":"aws_service_quotas.list_service_quota_increase_requests_in_template/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#list_service_quota_increase_requests_in_template/3","title":"aws_service_quotas.list_service_quota_increase_requests_in_template/3","type":"function"},{"doc":"Lists the applied quota values for the specified AWS service. For some quotas, only the default values are available. If the applied quota value is not available for a quota, the quota is not retrieved.","ref":"aws_service_quotas.html#list_service_quotas/2","title":"aws_service_quotas.list_service_quotas/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#list_service_quotas/3","title":"aws_service_quotas.list_service_quotas/3","type":"function"},{"doc":"Lists the names and codes for the services integrated with Service Quotas.","ref":"aws_service_quotas.html#list_services/2","title":"aws_service_quotas.list_services/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#list_services/3","title":"aws_service_quotas.list_services/3","type":"function"},{"doc":"Returns a list of the tags assigned to the specified applied quota.","ref":"aws_service_quotas.html#list_tags_for_resource/2","title":"aws_service_quotas.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#list_tags_for_resource/3","title":"aws_service_quotas.list_tags_for_resource/3","type":"function"},{"doc":"Adds a quota increase request to your quota request template.","ref":"aws_service_quotas.html#put_service_quota_increase_request_into_template/2","title":"aws_service_quotas.put_service_quota_increase_request_into_template/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#put_service_quota_increase_request_into_template/3","title":"aws_service_quotas.put_service_quota_increase_request_into_template/3","type":"function"},{"doc":"Submits a quota increase request for the specified quota.","ref":"aws_service_quotas.html#request_service_quota_increase/2","title":"aws_service_quotas.request_service_quota_increase/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#request_service_quota_increase/3","title":"aws_service_quotas.request_service_quota_increase/3","type":"function"},{"doc":"Adds tags to the specified applied quota. You can include one or more tags to add to the quota.","ref":"aws_service_quotas.html#tag_resource/2","title":"aws_service_quotas.tag_resource/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#tag_resource/3","title":"aws_service_quotas.tag_resource/3","type":"function"},{"doc":"Removes tags from the specified applied quota. You can specify one or more tags to remove.","ref":"aws_service_quotas.html#untag_resource/2","title":"aws_service_quotas.untag_resource/2","type":"function"},{"doc":"","ref":"aws_service_quotas.html#untag_resource/3","title":"aws_service_quotas.untag_resource/3","type":"function"},{"doc":"Cloud Map With Cloud Map, you can configure public DNS, private DNS, or HTTP namespaces that your microservice applications run in. When an instance becomes available, you can call the Cloud Map API to register the instance with Cloud Map. For public or private DNS namespaces, Cloud Map automatically creates DNS records and an optional health check. Clients that submit public or private DNS queries, or HTTP requests, for the service receive an answer that contains up to eight healthy records.","ref":"aws_servicediscovery.html","title":"aws_servicediscovery","type":"module"},{"doc":"Creates an HTTP namespace. Service instances registered using an HTTP namespace can be discovered using a DiscoverInstances request but can't be discovered using DNS. For the current quota on the number of namespaces that you can create using the same Amazon Web Services account, see Cloud Map quotas in the Cloud Map Developer Guide.","ref":"aws_servicediscovery.html#create_http_namespace/2","title":"aws_servicediscovery.create_http_namespace/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#create_http_namespace/3","title":"aws_servicediscovery.create_http_namespace/3","type":"function"},{"doc":"Creates a private namespace based on DNS, which is visible only inside a specified Amazon VPC. The namespace defines your service naming scheme. For example, if you name your namespace example.com and name your service backend , the resulting DNS name for the service is backend.example.com . Service instances that are registered using a private DNS namespace can be discovered using either a DiscoverInstances request or using DNS. For the current quota on the number of namespaces that you can create using the same Amazon Web Services account, see Cloud Map quotas in the Cloud Map Developer Guide.","ref":"aws_servicediscovery.html#create_private_dns_namespace/2","title":"aws_servicediscovery.create_private_dns_namespace/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#create_private_dns_namespace/3","title":"aws_servicediscovery.create_private_dns_namespace/3","type":"function"},{"doc":"Creates a public namespace based on DNS, which is visible on the internet. The namespace defines your service naming scheme. For example, if you name your namespace example.com and name your service backend , the resulting DNS name for the service is backend.example.com . You can discover instances that were registered with a public DNS namespace by using either a DiscoverInstances request or using DNS. For the current quota on the number of namespaces that you can create using the same Amazon Web Services account, see Cloud Map quotas in the Cloud Map Developer Guide. The CreatePublicDnsNamespace API operation is not supported in the Amazon Web Services GovCloud (US) Regions.","ref":"aws_servicediscovery.html#create_public_dns_namespace/2","title":"aws_servicediscovery.create_public_dns_namespace/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#create_public_dns_namespace/3","title":"aws_servicediscovery.create_public_dns_namespace/3","type":"function"},{"doc":"Creates a service. This action defines the configuration for the following entities: For public and private DNS namespaces, one of the following combinations of DNS records in Amazon Route 53: A AAAA A and AAAA SRV CNAME Optionally, a health check After you create the service, you can submit a RegisterInstance request, and Cloud Map uses the values in the configuration to create the specified entities. For the current quota on the number of instances that you can register using the same namespace and using the same service, see Cloud Map quotas in the Cloud Map Developer Guide.","ref":"aws_servicediscovery.html#create_service/2","title":"aws_servicediscovery.create_service/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#create_service/3","title":"aws_servicediscovery.create_service/3","type":"function"},{"doc":"Deletes a namespace from the current account. If the namespace still contains one or more services, the request fails.","ref":"aws_servicediscovery.html#delete_namespace/2","title":"aws_servicediscovery.delete_namespace/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#delete_namespace/3","title":"aws_servicediscovery.delete_namespace/3","type":"function"},{"doc":"Deletes a specified service. If the service still contains one or more registered instances, the request fails.","ref":"aws_servicediscovery.html#delete_service/2","title":"aws_servicediscovery.delete_service/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#delete_service/3","title":"aws_servicediscovery.delete_service/3","type":"function"},{"doc":"Deletes the Amazon Route 53 DNS records and health check, if any, that Cloud Map created for the specified instance.","ref":"aws_servicediscovery.html#deregister_instance/2","title":"aws_servicediscovery.deregister_instance/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#deregister_instance/3","title":"aws_servicediscovery.deregister_instance/3","type":"function"},{"doc":"Discovers registered instances for a specified namespace and service. You can use DiscoverInstances to discover instances for any type of namespace. For public and private DNS namespaces, you can also use DNS queries to discover instances.","ref":"aws_servicediscovery.html#discover_instances/2","title":"aws_servicediscovery.discover_instances/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#discover_instances/3","title":"aws_servicediscovery.discover_instances/3","type":"function"},{"doc":"Gets information about a specified instance.","ref":"aws_servicediscovery.html#get_instance/2","title":"aws_servicediscovery.get_instance/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#get_instance/3","title":"aws_servicediscovery.get_instance/3","type":"function"},{"doc":"Gets the current health status ( Healthy , Unhealthy , or Unknown ) of one or more instances that are associated with a specified service. There's a brief delay between when you register an instance and when the health status for the instance is available.","ref":"aws_servicediscovery.html#get_instances_health_status/2","title":"aws_servicediscovery.get_instances_health_status/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#get_instances_health_status/3","title":"aws_servicediscovery.get_instances_health_status/3","type":"function"},{"doc":"Gets information about a namespace.","ref":"aws_servicediscovery.html#get_namespace/2","title":"aws_servicediscovery.get_namespace/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#get_namespace/3","title":"aws_servicediscovery.get_namespace/3","type":"function"},{"doc":"Gets information about any operation that returns an operation ID in the response, such as a CreateService request. To get a list of operations that match specified criteria, see ListOperations.","ref":"aws_servicediscovery.html#get_operation/2","title":"aws_servicediscovery.get_operation/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#get_operation/3","title":"aws_servicediscovery.get_operation/3","type":"function"},{"doc":"Gets the settings for a specified service.","ref":"aws_servicediscovery.html#get_service/2","title":"aws_servicediscovery.get_service/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#get_service/3","title":"aws_servicediscovery.get_service/3","type":"function"},{"doc":"Lists summary information about the instances that you registered by using a specified service.","ref":"aws_servicediscovery.html#list_instances/2","title":"aws_servicediscovery.list_instances/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#list_instances/3","title":"aws_servicediscovery.list_instances/3","type":"function"},{"doc":"Lists summary information about the namespaces that were created by the current Amazon Web Services account.","ref":"aws_servicediscovery.html#list_namespaces/2","title":"aws_servicediscovery.list_namespaces/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#list_namespaces/3","title":"aws_servicediscovery.list_namespaces/3","type":"function"},{"doc":"Lists operations that match the criteria that you specify.","ref":"aws_servicediscovery.html#list_operations/2","title":"aws_servicediscovery.list_operations/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#list_operations/3","title":"aws_servicediscovery.list_operations/3","type":"function"},{"doc":"Lists summary information for all the services that are associated with one or more specified namespaces.","ref":"aws_servicediscovery.html#list_services/2","title":"aws_servicediscovery.list_services/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#list_services/3","title":"aws_servicediscovery.list_services/3","type":"function"},{"doc":"Lists tags for the specified resource.","ref":"aws_servicediscovery.html#list_tags_for_resource/2","title":"aws_servicediscovery.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#list_tags_for_resource/3","title":"aws_servicediscovery.list_tags_for_resource/3","type":"function"},{"doc":"Creates or updates one or more records and, optionally, creates a health check based on the settings in a specified service. When you submit a RegisterInstance request, the following occurs: For each DNS record that you define in the service that's specified by ServiceId , a record is created or updated in the hosted zone that's associated with the corresponding namespace. If the service includes HealthCheckConfig , a health check is created based on the settings in the health check configuration. The health check, if any, is associated with each of the new or updated records. One RegisterInstance request must complete before you can submit another request and specify the same service ID and instance ID. For more information, see CreateService. When Cloud Map receives a DNS query for the specified DNS name, it returns the applicable value: If the health check is healthy: returns all the records If the health check is unhealthy: returns the applicable value for the last healthy instance If you didn't specify a health check configuration: returns all the records For the current quota on the number of instances that you can register using the same namespace and using the same service, see Cloud Map quotas in the Cloud Map Developer Guide.","ref":"aws_servicediscovery.html#register_instance/2","title":"aws_servicediscovery.register_instance/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#register_instance/3","title":"aws_servicediscovery.register_instance/3","type":"function"},{"doc":"Adds one or more tags to the specified resource.","ref":"aws_servicediscovery.html#tag_resource/2","title":"aws_servicediscovery.tag_resource/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#tag_resource/3","title":"aws_servicediscovery.tag_resource/3","type":"function"},{"doc":"Removes one or more tags from the specified resource.","ref":"aws_servicediscovery.html#untag_resource/2","title":"aws_servicediscovery.untag_resource/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#untag_resource/3","title":"aws_servicediscovery.untag_resource/3","type":"function"},{"doc":"Updates an HTTP namespace.","ref":"aws_servicediscovery.html#update_http_namespace/2","title":"aws_servicediscovery.update_http_namespace/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#update_http_namespace/3","title":"aws_servicediscovery.update_http_namespace/3","type":"function"},{"doc":"Submits a request to change the health status of a custom health check to healthy or unhealthy. You can use UpdateInstanceCustomHealthStatus to change the status only for custom health checks, which you define using HealthCheckCustomConfig when you create a service. You can't use it to change the status for Route 53 health checks, which you define using HealthCheckConfig . For more information, see HealthCheckCustomConfig.","ref":"aws_servicediscovery.html#update_instance_custom_health_status/2","title":"aws_servicediscovery.update_instance_custom_health_status/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#update_instance_custom_health_status/3","title":"aws_servicediscovery.update_instance_custom_health_status/3","type":"function"},{"doc":"Updates a private DNS namespace.","ref":"aws_servicediscovery.html#update_private_dns_namespace/2","title":"aws_servicediscovery.update_private_dns_namespace/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#update_private_dns_namespace/3","title":"aws_servicediscovery.update_private_dns_namespace/3","type":"function"},{"doc":"Updates a public DNS namespace.","ref":"aws_servicediscovery.html#update_public_dns_namespace/2","title":"aws_servicediscovery.update_public_dns_namespace/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#update_public_dns_namespace/3","title":"aws_servicediscovery.update_public_dns_namespace/3","type":"function"},{"doc":"Submits a request to perform the following operations: Update the TTL setting for existing DnsRecords configurations Add, update, or delete HealthCheckConfig for a specified service You can't add, update, or delete a HealthCheckCustomConfig configuration. For public and private DNS namespaces, note the following: If you omit any existing DnsRecords or HealthCheckConfig configurations from an UpdateService request, the configurations are deleted from the service. If you omit an existing HealthCheckCustomConfig configuration from an UpdateService request, the configuration isn't deleted from the service. When you update settings for a service, Cloud Map also updates the corresponding settings in all the records and health checks that were created by using the specified service.","ref":"aws_servicediscovery.html#update_service/2","title":"aws_servicediscovery.update_service/2","type":"function"},{"doc":"","ref":"aws_servicediscovery.html#update_service/3","title":"aws_servicediscovery.update_service/3","type":"function"},{"doc":"Amazon Simple Email Service This document contains reference information for the Amazon Simple Email Service (Amazon SES) API, version 2010-12-01. This document is best used in conjunction with the Amazon SES Developer Guide. For a list of Amazon SES endpoints to use in service requests, see Regions and Amazon SES in the Amazon SES Developer Guide.","ref":"aws_ses.html","title":"aws_ses","type":"module"},{"doc":"Creates a receipt rule set by cloning an existing one. All receipt rules and configurations are copied to the new receipt rule set and are completely independent of the source rule set. For information about setting up rule sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#clone_receipt_rule_set/2","title":"aws_ses.clone_receipt_rule_set/2","type":"function"},{"doc":"","ref":"aws_ses.html#clone_receipt_rule_set/3","title":"aws_ses.clone_receipt_rule_set/3","type":"function"},{"doc":"Creates a configuration set. Configuration sets enable you to publish email sending events. For information about using configuration sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#create_configuration_set/2","title":"aws_ses.create_configuration_set/2","type":"function"},{"doc":"","ref":"aws_ses.html#create_configuration_set/3","title":"aws_ses.create_configuration_set/3","type":"function"},{"doc":"Creates a configuration set event destination. When you create or update an event destination, you must provide one, and only one, destination. The destination can be CloudWatch, Amazon Kinesis Firehose, or Amazon Simple Notification Service (Amazon SNS). An event destination is the AWS service to which Amazon SES publishes the email sending events associated with a configuration set. For information about using configuration sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#create_configuration_set_event_destination/2","title":"aws_ses.create_configuration_set_event_destination/2","type":"function"},{"doc":"","ref":"aws_ses.html#create_configuration_set_event_destination/3","title":"aws_ses.create_configuration_set_event_destination/3","type":"function"},{"doc":"Creates an association between a configuration set and a custom domain for open and click event tracking. By default, images and links used for tracking open and click events are hosted on domains operated by Amazon SES. You can configure a subdomain of your own to handle these events. For information about using custom domains, see the Amazon SES Developer Guide.","ref":"aws_ses.html#create_configuration_set_tracking_options/2","title":"aws_ses.create_configuration_set_tracking_options/2","type":"function"},{"doc":"","ref":"aws_ses.html#create_configuration_set_tracking_options/3","title":"aws_ses.create_configuration_set_tracking_options/3","type":"function"},{"doc":"Creates a new custom verification email template. For more information about custom verification email templates, see Using Custom Verification Email Templates in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#create_custom_verification_email_template/2","title":"aws_ses.create_custom_verification_email_template/2","type":"function"},{"doc":"","ref":"aws_ses.html#create_custom_verification_email_template/3","title":"aws_ses.create_custom_verification_email_template/3","type":"function"},{"doc":"Creates a new IP address filter. For information about setting up IP address filters, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#create_receipt_filter/2","title":"aws_ses.create_receipt_filter/2","type":"function"},{"doc":"","ref":"aws_ses.html#create_receipt_filter/3","title":"aws_ses.create_receipt_filter/3","type":"function"},{"doc":"Creates a receipt rule. For information about setting up receipt rules, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#create_receipt_rule/2","title":"aws_ses.create_receipt_rule/2","type":"function"},{"doc":"","ref":"aws_ses.html#create_receipt_rule/3","title":"aws_ses.create_receipt_rule/3","type":"function"},{"doc":"Creates an empty receipt rule set. For information about setting up receipt rule sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#create_receipt_rule_set/2","title":"aws_ses.create_receipt_rule_set/2","type":"function"},{"doc":"","ref":"aws_ses.html#create_receipt_rule_set/3","title":"aws_ses.create_receipt_rule_set/3","type":"function"},{"doc":"Creates an email template. Email templates enable you to send personalized email to one or more destinations in a single API operation. For more information, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#create_template/2","title":"aws_ses.create_template/2","type":"function"},{"doc":"","ref":"aws_ses.html#create_template/3","title":"aws_ses.create_template/3","type":"function"},{"doc":"Deletes a configuration set. Configuration sets enable you to publish email sending events. For information about using configuration sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#delete_configuration_set/2","title":"aws_ses.delete_configuration_set/2","type":"function"},{"doc":"","ref":"aws_ses.html#delete_configuration_set/3","title":"aws_ses.delete_configuration_set/3","type":"function"},{"doc":"Deletes a configuration set event destination. Configuration set event destinations are associated with configuration sets, which enable you to publish email sending events. For information about using configuration sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#delete_configuration_set_event_destination/2","title":"aws_ses.delete_configuration_set_event_destination/2","type":"function"},{"doc":"","ref":"aws_ses.html#delete_configuration_set_event_destination/3","title":"aws_ses.delete_configuration_set_event_destination/3","type":"function"},{"doc":"Deletes an association between a configuration set and a custom domain for open and click event tracking. By default, images and links used for tracking open and click events are hosted on domains operated by Amazon SES. You can configure a subdomain of your own to handle these events. For information about using custom domains, see the Amazon SES Developer Guide. Deleting this kind of association will result in emails sent using the specified configuration set to capture open and click events using the standard, Amazon SES-operated domains.","ref":"aws_ses.html#delete_configuration_set_tracking_options/2","title":"aws_ses.delete_configuration_set_tracking_options/2","type":"function"},{"doc":"","ref":"aws_ses.html#delete_configuration_set_tracking_options/3","title":"aws_ses.delete_configuration_set_tracking_options/3","type":"function"},{"doc":"Deletes an existing custom verification email template. For more information about custom verification email templates, see Using Custom Verification Email Templates in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#delete_custom_verification_email_template/2","title":"aws_ses.delete_custom_verification_email_template/2","type":"function"},{"doc":"","ref":"aws_ses.html#delete_custom_verification_email_template/3","title":"aws_ses.delete_custom_verification_email_template/3","type":"function"},{"doc":"Deletes the specified identity (an email address or a domain) from the list of verified identities. You can execute this operation no more than once per second.","ref":"aws_ses.html#delete_identity/2","title":"aws_ses.delete_identity/2","type":"function"},{"doc":"","ref":"aws_ses.html#delete_identity/3","title":"aws_ses.delete_identity/3","type":"function"},{"doc":"Deletes the specified sending authorization policy for the given identity (an email address or a domain). This API returns successfully even if a policy with the specified name does not exist. This API is for the identity owner only. If you have not verified the identity, this API will return an error. Sending authorization is a feature that enables an identity owner to authorize other senders to use its identities. For information about using sending authorization, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#delete_identity_policy/2","title":"aws_ses.delete_identity_policy/2","type":"function"},{"doc":"","ref":"aws_ses.html#delete_identity_policy/3","title":"aws_ses.delete_identity_policy/3","type":"function"},{"doc":"Deletes the specified IP address filter. For information about managing IP address filters, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#delete_receipt_filter/2","title":"aws_ses.delete_receipt_filter/2","type":"function"},{"doc":"","ref":"aws_ses.html#delete_receipt_filter/3","title":"aws_ses.delete_receipt_filter/3","type":"function"},{"doc":"Deletes the specified receipt rule. For information about managing receipt rules, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#delete_receipt_rule/2","title":"aws_ses.delete_receipt_rule/2","type":"function"},{"doc":"","ref":"aws_ses.html#delete_receipt_rule/3","title":"aws_ses.delete_receipt_rule/3","type":"function"},{"doc":"Deletes the specified receipt rule set and all of the receipt rules it contains. The currently active rule set cannot be deleted. For information about managing receipt rule sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#delete_receipt_rule_set/2","title":"aws_ses.delete_receipt_rule_set/2","type":"function"},{"doc":"","ref":"aws_ses.html#delete_receipt_rule_set/3","title":"aws_ses.delete_receipt_rule_set/3","type":"function"},{"doc":"Deletes an email template. You can execute this operation no more than once per second.","ref":"aws_ses.html#delete_template/2","title":"aws_ses.delete_template/2","type":"function"},{"doc":"","ref":"aws_ses.html#delete_template/3","title":"aws_ses.delete_template/3","type":"function"},{"doc":"Deprecated. Use the DeleteIdentity operation to delete email addresses and domains.","ref":"aws_ses.html#delete_verified_email_address/2","title":"aws_ses.delete_verified_email_address/2","type":"function"},{"doc":"","ref":"aws_ses.html#delete_verified_email_address/3","title":"aws_ses.delete_verified_email_address/3","type":"function"},{"doc":"Returns the metadata and receipt rules for the receipt rule set that is currently active. For information about setting up receipt rule sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#describe_active_receipt_rule_set/2","title":"aws_ses.describe_active_receipt_rule_set/2","type":"function"},{"doc":"","ref":"aws_ses.html#describe_active_receipt_rule_set/3","title":"aws_ses.describe_active_receipt_rule_set/3","type":"function"},{"doc":"Returns the details of the specified configuration set. For information about using configuration sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#describe_configuration_set/2","title":"aws_ses.describe_configuration_set/2","type":"function"},{"doc":"","ref":"aws_ses.html#describe_configuration_set/3","title":"aws_ses.describe_configuration_set/3","type":"function"},{"doc":"Returns the details of the specified receipt rule. For information about setting up receipt rules, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#describe_receipt_rule/2","title":"aws_ses.describe_receipt_rule/2","type":"function"},{"doc":"","ref":"aws_ses.html#describe_receipt_rule/3","title":"aws_ses.describe_receipt_rule/3","type":"function"},{"doc":"Returns the details of the specified receipt rule set. For information about managing receipt rule sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#describe_receipt_rule_set/2","title":"aws_ses.describe_receipt_rule_set/2","type":"function"},{"doc":"","ref":"aws_ses.html#describe_receipt_rule_set/3","title":"aws_ses.describe_receipt_rule_set/3","type":"function"},{"doc":"Returns the email sending status of the Amazon SES account for the current region. You can execute this operation no more than once per second.","ref":"aws_ses.html#get_account_sending_enabled/2","title":"aws_ses.get_account_sending_enabled/2","type":"function"},{"doc":"","ref":"aws_ses.html#get_account_sending_enabled/3","title":"aws_ses.get_account_sending_enabled/3","type":"function"},{"doc":"Returns the custom email verification template for the template name you specify. For more information about custom verification email templates, see Using Custom Verification Email Templates in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#get_custom_verification_email_template/2","title":"aws_ses.get_custom_verification_email_template/2","type":"function"},{"doc":"","ref":"aws_ses.html#get_custom_verification_email_template/3","title":"aws_ses.get_custom_verification_email_template/3","type":"function"},{"doc":"Returns the current status of Easy DKIM signing for an entity. For domain name identities, this operation also returns the DKIM tokens that are required for Easy DKIM signing, and whether Amazon SES has successfully verified that these tokens have been published. This operation takes a list of identities as input and returns the following information for each: Whether Easy DKIM signing is enabled or disabled. A set of DKIM tokens that represent the identity. If the identity is an email address, the tokens represent the domain of that address. Whether Amazon SES has successfully verified the DKIM tokens published in the domain's DNS. This information is only returned for domain name identities, not for email addresses. This operation is throttled at one request per second and can only get DKIM attributes for up to 100 identities at a time. For more information about creating DNS records using DKIM tokens, go to the Amazon SES Developer Guide.","ref":"aws_ses.html#get_identity_dkim_attributes/2","title":"aws_ses.get_identity_dkim_attributes/2","type":"function"},{"doc":"","ref":"aws_ses.html#get_identity_dkim_attributes/3","title":"aws_ses.get_identity_dkim_attributes/3","type":"function"},{"doc":"Returns the custom MAIL FROM attributes for a list of identities (email addresses : domains). This operation is throttled at one request per second and can only get custom MAIL FROM attributes for up to 100 identities at a time.","ref":"aws_ses.html#get_identity_mail_from_domain_attributes/2","title":"aws_ses.get_identity_mail_from_domain_attributes/2","type":"function"},{"doc":"","ref":"aws_ses.html#get_identity_mail_from_domain_attributes/3","title":"aws_ses.get_identity_mail_from_domain_attributes/3","type":"function"},{"doc":"Given a list of verified identities (email addresses and/or domains), returns a structure describing identity notification attributes. This operation is throttled at one request per second and can only get notification attributes for up to 100 identities at a time. For more information about using notifications with Amazon SES, see the Amazon SES Developer Guide.","ref":"aws_ses.html#get_identity_notification_attributes/2","title":"aws_ses.get_identity_notification_attributes/2","type":"function"},{"doc":"","ref":"aws_ses.html#get_identity_notification_attributes/3","title":"aws_ses.get_identity_notification_attributes/3","type":"function"},{"doc":"Returns the requested sending authorization policies for the given identity (an email address or a domain). The policies are returned as a map of policy names to policy contents. You can retrieve a maximum of 20 policies at a time. This API is for the identity owner only. If you have not verified the identity, this API will return an error. Sending authorization is a feature that enables an identity owner to authorize other senders to use its identities. For information about using sending authorization, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#get_identity_policies/2","title":"aws_ses.get_identity_policies/2","type":"function"},{"doc":"","ref":"aws_ses.html#get_identity_policies/3","title":"aws_ses.get_identity_policies/3","type":"function"},{"doc":"Given a list of identities (email addresses and/or domains), returns the verification status and (for domain identities) the verification token for each identity. The verification status of an email address is &quot;Pending&quot; until the email address owner clicks the link within the verification email that Amazon SES sent to that address. If the email address owner clicks the link within 24 hours, the verification status of the email address changes to &quot;Success&quot;. If the link is not clicked within 24 hours, the verification status changes to &quot;Failed.&quot; In that case, if you still want to verify the email address, you must restart the verification process from the beginning. For domain identities, the domain's verification status is &quot;Pending&quot; as Amazon SES searches for the required TXT record in the DNS settings of the domain. When Amazon SES detects the record, the domain's verification status changes to &quot;Success&quot;. If Amazon SES is unable to detect the record within 72 hours, the domain's verification status changes to &quot;Failed.&quot; In that case, if you still want to verify the domain, you must restart the verification process from the beginning. This operation is throttled at one request per second and can only get verification attributes for up to 100 identities at a time.","ref":"aws_ses.html#get_identity_verification_attributes/2","title":"aws_ses.get_identity_verification_attributes/2","type":"function"},{"doc":"","ref":"aws_ses.html#get_identity_verification_attributes/3","title":"aws_ses.get_identity_verification_attributes/3","type":"function"},{"doc":"Provides the sending limits for the Amazon SES account. You can execute this operation no more than once per second.","ref":"aws_ses.html#get_send_quota/2","title":"aws_ses.get_send_quota/2","type":"function"},{"doc":"","ref":"aws_ses.html#get_send_quota/3","title":"aws_ses.get_send_quota/3","type":"function"},{"doc":"Provides sending statistics for the current AWS Region. The result is a list of data points, representing the last two weeks of sending activity. Each data point in the list contains statistics for a 15-minute period of time. You can execute this operation no more than once per second.","ref":"aws_ses.html#get_send_statistics/2","title":"aws_ses.get_send_statistics/2","type":"function"},{"doc":"","ref":"aws_ses.html#get_send_statistics/3","title":"aws_ses.get_send_statistics/3","type":"function"},{"doc":"Displays the template object (which includes the Subject line, HTML part and text part) for the template you specify. You can execute this operation no more than once per second.","ref":"aws_ses.html#get_template/2","title":"aws_ses.get_template/2","type":"function"},{"doc":"","ref":"aws_ses.html#get_template/3","title":"aws_ses.get_template/3","type":"function"},{"doc":"Provides a list of the configuration sets associated with your Amazon SES account in the current AWS Region. For information about using configuration sets, see Monitoring Your Amazon SES Sending Activity in the Amazon SES Developer Guide. You can execute this operation no more than once per second. This operation will return up to 1,000 configuration sets each time it is run. If your Amazon SES account has more than 1,000 configuration sets, this operation will also return a NextToken element. You can then execute the ListConfigurationSets operation again, passing the NextToken parameter and the value of the NextToken element to retrieve additional results.","ref":"aws_ses.html#list_configuration_sets/2","title":"aws_ses.list_configuration_sets/2","type":"function"},{"doc":"","ref":"aws_ses.html#list_configuration_sets/3","title":"aws_ses.list_configuration_sets/3","type":"function"},{"doc":"Lists the existing custom verification email templates for your account in the current AWS Region. For more information about custom verification email templates, see Using Custom Verification Email Templates in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#list_custom_verification_email_templates/2","title":"aws_ses.list_custom_verification_email_templates/2","type":"function"},{"doc":"","ref":"aws_ses.html#list_custom_verification_email_templates/3","title":"aws_ses.list_custom_verification_email_templates/3","type":"function"},{"doc":"Returns a list containing all of the identities (email addresses and domains) for your AWS account in the current AWS Region, regardless of verification status. You can execute this operation no more than once per second.","ref":"aws_ses.html#list_identities/2","title":"aws_ses.list_identities/2","type":"function"},{"doc":"","ref":"aws_ses.html#list_identities/3","title":"aws_ses.list_identities/3","type":"function"},{"doc":"Returns a list of sending authorization policies that are attached to the given identity (an email address or a domain). This API returns only a list. If you want the actual policy content, you can use GetIdentityPolicies . This API is for the identity owner only. If you have not verified the identity, this API will return an error. Sending authorization is a feature that enables an identity owner to authorize other senders to use its identities. For information about using sending authorization, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#list_identity_policies/2","title":"aws_ses.list_identity_policies/2","type":"function"},{"doc":"","ref":"aws_ses.html#list_identity_policies/3","title":"aws_ses.list_identity_policies/3","type":"function"},{"doc":"Lists the IP address filters associated with your AWS account in the current AWS Region. For information about managing IP address filters, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#list_receipt_filters/2","title":"aws_ses.list_receipt_filters/2","type":"function"},{"doc":"","ref":"aws_ses.html#list_receipt_filters/3","title":"aws_ses.list_receipt_filters/3","type":"function"},{"doc":"Lists the receipt rule sets that exist under your AWS account in the current AWS Region. If there are additional receipt rule sets to be retrieved, you will receive a NextToken that you can provide to the next call to ListReceiptRuleSets to retrieve the additional entries. For information about managing receipt rule sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#list_receipt_rule_sets/2","title":"aws_ses.list_receipt_rule_sets/2","type":"function"},{"doc":"","ref":"aws_ses.html#list_receipt_rule_sets/3","title":"aws_ses.list_receipt_rule_sets/3","type":"function"},{"doc":"Lists the email templates present in your Amazon SES account in the current AWS Region. You can execute this operation no more than once per second.","ref":"aws_ses.html#list_templates/2","title":"aws_ses.list_templates/2","type":"function"},{"doc":"","ref":"aws_ses.html#list_templates/3","title":"aws_ses.list_templates/3","type":"function"},{"doc":"Deprecated. Use the ListIdentities operation to list the email addresses and domains associated with your account.","ref":"aws_ses.html#list_verified_email_addresses/2","title":"aws_ses.list_verified_email_addresses/2","type":"function"},{"doc":"","ref":"aws_ses.html#list_verified_email_addresses/3","title":"aws_ses.list_verified_email_addresses/3","type":"function"},{"doc":"Adds or updates the delivery options for a configuration set.","ref":"aws_ses.html#put_configuration_set_delivery_options/2","title":"aws_ses.put_configuration_set_delivery_options/2","type":"function"},{"doc":"","ref":"aws_ses.html#put_configuration_set_delivery_options/3","title":"aws_ses.put_configuration_set_delivery_options/3","type":"function"},{"doc":"Adds or updates a sending authorization policy for the specified identity (an email address or a domain). This API is for the identity owner only. If you have not verified the identity, this API will return an error. Sending authorization is a feature that enables an identity owner to authorize other senders to use its identities. For information about using sending authorization, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#put_identity_policy/2","title":"aws_ses.put_identity_policy/2","type":"function"},{"doc":"","ref":"aws_ses.html#put_identity_policy/3","title":"aws_ses.put_identity_policy/3","type":"function"},{"doc":"Reorders the receipt rules within a receipt rule set. All of the rules in the rule set must be represented in this request. That is, this API will return an error if the reorder request doesn't explicitly position all of the rules. For information about managing receipt rule sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#reorder_receipt_rule_set/2","title":"aws_ses.reorder_receipt_rule_set/2","type":"function"},{"doc":"","ref":"aws_ses.html#reorder_receipt_rule_set/3","title":"aws_ses.reorder_receipt_rule_set/3","type":"function"},{"doc":"Generates and sends a bounce message to the sender of an email you received through Amazon SES. You can only use this API on an email up to 24 hours after you receive it. You cannot use this API to send generic bounces for mail that was not received by Amazon SES. For information about receiving email through Amazon SES, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#send_bounce/2","title":"aws_ses.send_bounce/2","type":"function"},{"doc":"","ref":"aws_ses.html#send_bounce/3","title":"aws_ses.send_bounce/3","type":"function"},{"doc":"Composes an email message to multiple destinations. The message body is created using an email template. In order to send email using the SendBulkTemplatedEmail operation, your call to the API must meet the following requirements: The call must refer to an existing email template. You can create email templates using the CreateTemplate operation. The message must be sent from a verified email address or domain. If your account is still in the Amazon SES sandbox, you may only send to verified addresses or domains, or to email addresses associated with the Amazon SES Mailbox Simulator. For more information, see Verifying Email Addresses and Domains in the Amazon SES Developer Guide. The maximum message size is 10 MB. Each Destination parameter must include at least one recipient email address. The recipient address can be a To: address, a CC: address, or a BCC: address. If a recipient email address is invalid (that is, it is not in the format UserName@[SubDomain.]Domain.TopLevelDomain), the entire message will be rejected, even if the message contains other recipients that are valid. The message may not include more than 50 recipients, across the To:, CC: and BCC: fields. If you need to send an email message to a larger audience, you can divide your recipient list into groups of 50 or fewer, and then call the SendBulkTemplatedEmail operation several times to send the message to each group. The number of destinations you can contact in a single call to the API may be limited by your account's maximum sending rate.","ref":"aws_ses.html#send_bulk_templated_email/2","title":"aws_ses.send_bulk_templated_email/2","type":"function"},{"doc":"","ref":"aws_ses.html#send_bulk_templated_email/3","title":"aws_ses.send_bulk_templated_email/3","type":"function"},{"doc":"Adds an email address to the list of identities for your Amazon SES account in the current AWS Region and attempts to verify it. As a result of executing this operation, a customized verification email is sent to the specified address. To use this operation, you must first create a custom verification email template. For more information about creating and using custom verification email templates, see Using Custom Verification Email Templates in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#send_custom_verification_email/2","title":"aws_ses.send_custom_verification_email/2","type":"function"},{"doc":"","ref":"aws_ses.html#send_custom_verification_email/3","title":"aws_ses.send_custom_verification_email/3","type":"function"},{"doc":"Composes an email message and immediately queues it for sending. In order to send email using the SendEmail operation, your message must meet the following requirements: The message must be sent from a verified email address or domain. If you attempt to send email using a non-verified address or domain, the operation will result in an &quot;Email address not verified&quot; error. If your account is still in the Amazon SES sandbox, you may only send to verified addresses or domains, or to email addresses associated with the Amazon SES Mailbox Simulator. For more information, see Verifying Email Addresses and Domains in the Amazon SES Developer Guide. The maximum message size is 10 MB. The message must include at least one recipient email address. The recipient address can be a To: address, a CC: address, or a BCC: address. If a recipient email address is invalid (that is, it is not in the format UserName@[SubDomain.]Domain.TopLevelDomain), the entire message will be rejected, even if the message contains other recipients that are valid. The message may not include more than 50 recipients, across the To:, CC: and BCC: fields. If you need to send an email message to a larger audience, you can divide your recipient list into groups of 50 or fewer, and then call the SendEmail operation several times to send the message to each group. For every message that you send, the total number of recipients (including each recipient in the To:, CC: and BCC: fields) is counted against the maximum number of emails you can send in a 24-hour period (your sending quota). For more information about sending quotas in Amazon SES, see Managing Your Amazon SES Sending Limits in the Amazon SES Developer Guide.","ref":"aws_ses.html#send_email/2","title":"aws_ses.send_email/2","type":"function"},{"doc":"","ref":"aws_ses.html#send_email/3","title":"aws_ses.send_email/3","type":"function"},{"doc":"Composes an email message and immediately queues it for sending. This operation is more flexible than the SendEmail API operation. When you use the SendRawEmail operation, you can specify the headers of the message as well as its content. This flexibility is useful, for example, when you want to send a multipart MIME email (such a message that contains both a text and an HTML version). You can also use this operation to send messages that include attachments. The SendRawEmail operation has the following requirements: You can only send email from verified email addresses or domains. If you try to send email from an address that isn't verified, the operation results in an &quot;Email address not verified&quot; error. If your account is still in the Amazon SES sandbox, you can only send email to other verified addresses in your account, or to addresses that are associated with the Amazon SES mailbox simulator. The maximum message size, including attachments, is 10 MB. Each message has to include at least one recipient address. A recipient address includes any address on the To:, CC:, or BCC: lines. If you send a single message to more than one recipient address, and one of the recipient addresses isn't in a valid format (that is, it's not in the format UserName@[SubDomain.]Domain.TopLevelDomain), Amazon SES rejects the entire message, even if the other addresses are valid. Each message can include up to 50 recipient addresses across the To:, CC:, or BCC: lines. If you need to send a single message to more than 50 recipients, you have to split the list of recipient addresses into groups of less than 50 recipients, and send separate messages to each group. Amazon SES allows you to specify 8-bit Content-Transfer-Encoding for MIME message parts. However, if Amazon SES has to modify the contents of your message (for example, if you use open and click tracking), 8-bit content isn't preserved. For this reason, we highly recommend that you encode all content that isn't 7-bit ASCII. For more information, see MIME Encoding in the Amazon SES Developer Guide. Additionally, keep the following considerations in mind when using the SendRawEmail operation: Although you can customize the message headers when using the SendRawEmail operation, Amazon SES will automatically apply its own Message-ID and Date headers; if you passed these headers when creating the message, they will be overwritten by the values that Amazon SES provides. If you are using sending authorization to send on behalf of another user, SendRawEmail enables you to specify the cross-account identity for the email's Source, From, and Return-Path parameters in one of two ways: you can pass optional parameters SourceArn , FromArn , and/or ReturnPathArn to the API, or you can include the following X-headers in the header of your raw email: X-SES-SOURCE-ARN X-SES-FROM-ARN X-SES-RETURN-PATH-ARN Don't include these X-headers in the DKIM signature. Amazon SES removes these before it sends the email. If you only specify the SourceIdentityArn parameter, Amazon SES sets the From and Return-Path addresses to the same identity that you specified. For more information about sending authorization, see the Using Sending Authorization with Amazon SES in the Amazon SES Developer Guide. For every message that you send, the total number of recipients (including each recipient in the To:, CC: and BCC: fields) is counted against the maximum number of emails you can send in a 24-hour period (your sending quota). For more information about sending quotas in Amazon SES, see Managing Your Amazon SES Sending Limits in the Amazon SES Developer Guide.","ref":"aws_ses.html#send_raw_email/2","title":"aws_ses.send_raw_email/2","type":"function"},{"doc":"","ref":"aws_ses.html#send_raw_email/3","title":"aws_ses.send_raw_email/3","type":"function"},{"doc":"Composes an email message using an email template and immediately queues it for sending. In order to send email using the SendTemplatedEmail operation, your call to the API must meet the following requirements: The call must refer to an existing email template. You can create email templates using the CreateTemplate operation. The message must be sent from a verified email address or domain. If your account is still in the Amazon SES sandbox, you may only send to verified addresses or domains, or to email addresses associated with the Amazon SES Mailbox Simulator. For more information, see Verifying Email Addresses and Domains in the Amazon SES Developer Guide. The maximum message size is 10 MB. Calls to the SendTemplatedEmail operation may only include one Destination parameter. A destination is a set of recipients who will receive the same version of the email. The Destination parameter can include up to 50 recipients, across the To:, CC: and BCC: fields. The Destination parameter must include at least one recipient email address. The recipient address can be a To: address, a CC: address, or a BCC: address. If a recipient email address is invalid (that is, it is not in the format UserName@[SubDomain.]Domain.TopLevelDomain), the entire message will be rejected, even if the message contains other recipients that are valid. If your call to the SendTemplatedEmail operation includes all of the required parameters, Amazon SES accepts it and returns a Message ID. However, if Amazon SES can't render the email because the template contains errors, it doesn't send the email. Additionally, because it already accepted the message, Amazon SES doesn't return a message stating that it was unable to send the email. For these reasons, we highly recommend that you set up Amazon SES to send you notifications when Rendering Failure events occur. For more information, see Sending Personalized Email Using the Amazon SES API in the Amazon Simple Email Service Developer Guide.","ref":"aws_ses.html#send_templated_email/2","title":"aws_ses.send_templated_email/2","type":"function"},{"doc":"","ref":"aws_ses.html#send_templated_email/3","title":"aws_ses.send_templated_email/3","type":"function"},{"doc":"Sets the specified receipt rule set as the active receipt rule set. To disable your email-receiving through Amazon SES completely, you can call this API with RuleSetName set to null. For information about managing receipt rule sets, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#set_active_receipt_rule_set/2","title":"aws_ses.set_active_receipt_rule_set/2","type":"function"},{"doc":"","ref":"aws_ses.html#set_active_receipt_rule_set/3","title":"aws_ses.set_active_receipt_rule_set/3","type":"function"},{"doc":"Enables or disables Easy DKIM signing of email sent from an identity. If Easy DKIM signing is enabled for a domain, then Amazon SES uses DKIM to sign all email that it sends from addresses on that domain. If Easy DKIM signing is enabled for an email address, then Amazon SES uses DKIM to sign all email it sends from that address. For email addresses (for example, user@example.com ), you can only enable DKIM signing if the corresponding domain (in this case, example.com ) has been set up to use Easy DKIM. You can enable DKIM signing for an identity at any time after you start the verification process for the identity, even if the verification process isn't complete. You can execute this operation no more than once per second. For more information about Easy DKIM signing, go to the Amazon SES Developer Guide.","ref":"aws_ses.html#set_identity_dkim_enabled/2","title":"aws_ses.set_identity_dkim_enabled/2","type":"function"},{"doc":"","ref":"aws_ses.html#set_identity_dkim_enabled/3","title":"aws_ses.set_identity_dkim_enabled/3","type":"function"},{"doc":"Given an identity (an email address or a domain), enables or disables whether Amazon SES forwards bounce and complaint notifications as email. Feedback forwarding can only be disabled when Amazon Simple Notification Service (Amazon SNS) topics are specified for both bounces and complaints. Feedback forwarding does not apply to delivery notifications. Delivery notifications are only available through Amazon SNS. You can execute this operation no more than once per second. For more information about using notifications with Amazon SES, see the Amazon SES Developer Guide.","ref":"aws_ses.html#set_identity_feedback_forwarding_enabled/2","title":"aws_ses.set_identity_feedback_forwarding_enabled/2","type":"function"},{"doc":"","ref":"aws_ses.html#set_identity_feedback_forwarding_enabled/3","title":"aws_ses.set_identity_feedback_forwarding_enabled/3","type":"function"},{"doc":"Given an identity (an email address or a domain), sets whether Amazon SES includes the original email headers in the Amazon Simple Notification Service (Amazon SNS) notifications of a specified type. You can execute this operation no more than once per second. For more information about using notifications with Amazon SES, see the Amazon SES Developer Guide.","ref":"aws_ses.html#set_identity_headers_in_notifications_enabled/2","title":"aws_ses.set_identity_headers_in_notifications_enabled/2","type":"function"},{"doc":"","ref":"aws_ses.html#set_identity_headers_in_notifications_enabled/3","title":"aws_ses.set_identity_headers_in_notifications_enabled/3","type":"function"},{"doc":"Enables or disables the custom MAIL FROM domain setup for a verified identity (an email address or a domain). To send emails using the specified MAIL FROM domain, you must add an MX record to your MAIL FROM domain's DNS settings. If you want your emails to pass Sender Policy Framework (SPF) checks, you must also add or update an SPF record. For more information, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#set_identity_mail_from_domain/2","title":"aws_ses.set_identity_mail_from_domain/2","type":"function"},{"doc":"","ref":"aws_ses.html#set_identity_mail_from_domain/3","title":"aws_ses.set_identity_mail_from_domain/3","type":"function"},{"doc":"Sets an Amazon Simple Notification Service (Amazon SNS) topic to use when delivering notifications. When you use this operation, you specify a verified identity, such as an email address or domain. When you send an email that uses the chosen identity in the Source field, Amazon SES sends notifications to the topic you specified. You can send bounce, complaint, or delivery notifications (or any combination of the three) to the Amazon SNS topic that you specify. You can execute this operation no more than once per second. For more information about feedback notification, see the Amazon SES Developer Guide.","ref":"aws_ses.html#set_identity_notification_topic/2","title":"aws_ses.set_identity_notification_topic/2","type":"function"},{"doc":"","ref":"aws_ses.html#set_identity_notification_topic/3","title":"aws_ses.set_identity_notification_topic/3","type":"function"},{"doc":"Sets the position of the specified receipt rule in the receipt rule set. For information about managing receipt rules, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#set_receipt_rule_position/2","title":"aws_ses.set_receipt_rule_position/2","type":"function"},{"doc":"","ref":"aws_ses.html#set_receipt_rule_position/3","title":"aws_ses.set_receipt_rule_position/3","type":"function"},{"doc":"Creates a preview of the MIME content of an email when provided with a template and a set of replacement data. You can execute this operation no more than once per second.","ref":"aws_ses.html#test_render_template/2","title":"aws_ses.test_render_template/2","type":"function"},{"doc":"","ref":"aws_ses.html#test_render_template/3","title":"aws_ses.test_render_template/3","type":"function"},{"doc":"Enables or disables email sending across your entire Amazon SES account in the current AWS Region. You can use this operation in conjunction with Amazon CloudWatch alarms to temporarily pause email sending across your Amazon SES account in a given AWS Region when reputation metrics (such as your bounce or complaint rates) reach certain thresholds. You can execute this operation no more than once per second.","ref":"aws_ses.html#update_account_sending_enabled/2","title":"aws_ses.update_account_sending_enabled/2","type":"function"},{"doc":"","ref":"aws_ses.html#update_account_sending_enabled/3","title":"aws_ses.update_account_sending_enabled/3","type":"function"},{"doc":"Updates the event destination of a configuration set. Event destinations are associated with configuration sets, which enable you to publish email sending events to Amazon CloudWatch, Amazon Kinesis Firehose, or Amazon Simple Notification Service (Amazon SNS). For information about using configuration sets, see Monitoring Your Amazon SES Sending Activity in the Amazon SES Developer Guide. When you create or update an event destination, you must provide one, and only one, destination. The destination can be Amazon CloudWatch, Amazon Kinesis Firehose, or Amazon Simple Notification Service (Amazon SNS). You can execute this operation no more than once per second.","ref":"aws_ses.html#update_configuration_set_event_destination/2","title":"aws_ses.update_configuration_set_event_destination/2","type":"function"},{"doc":"","ref":"aws_ses.html#update_configuration_set_event_destination/3","title":"aws_ses.update_configuration_set_event_destination/3","type":"function"},{"doc":"Enables or disables the publishing of reputation metrics for emails sent using a specific configuration set in a given AWS Region. Reputation metrics include bounce and complaint rates. These metrics are published to Amazon CloudWatch. By using CloudWatch, you can create alarms when bounce or complaint rates exceed certain thresholds. You can execute this operation no more than once per second.","ref":"aws_ses.html#update_configuration_set_reputation_metrics_enabled/2","title":"aws_ses.update_configuration_set_reputation_metrics_enabled/2","type":"function"},{"doc":"","ref":"aws_ses.html#update_configuration_set_reputation_metrics_enabled/3","title":"aws_ses.update_configuration_set_reputation_metrics_enabled/3","type":"function"},{"doc":"Enables or disables email sending for messages sent using a specific configuration set in a given AWS Region. You can use this operation in conjunction with Amazon CloudWatch alarms to temporarily pause email sending for a configuration set when the reputation metrics for that configuration set (such as your bounce on complaint rate) exceed certain thresholds. You can execute this operation no more than once per second.","ref":"aws_ses.html#update_configuration_set_sending_enabled/2","title":"aws_ses.update_configuration_set_sending_enabled/2","type":"function"},{"doc":"","ref":"aws_ses.html#update_configuration_set_sending_enabled/3","title":"aws_ses.update_configuration_set_sending_enabled/3","type":"function"},{"doc":"Modifies an association between a configuration set and a custom domain for open and click event tracking. By default, images and links used for tracking open and click events are hosted on domains operated by Amazon SES. You can configure a subdomain of your own to handle these events. For information about using custom domains, see the Amazon SES Developer Guide.","ref":"aws_ses.html#update_configuration_set_tracking_options/2","title":"aws_ses.update_configuration_set_tracking_options/2","type":"function"},{"doc":"","ref":"aws_ses.html#update_configuration_set_tracking_options/3","title":"aws_ses.update_configuration_set_tracking_options/3","type":"function"},{"doc":"Updates an existing custom verification email template. For more information about custom verification email templates, see Using Custom Verification Email Templates in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#update_custom_verification_email_template/2","title":"aws_ses.update_custom_verification_email_template/2","type":"function"},{"doc":"","ref":"aws_ses.html#update_custom_verification_email_template/3","title":"aws_ses.update_custom_verification_email_template/3","type":"function"},{"doc":"Updates a receipt rule. For information about managing receipt rules, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#update_receipt_rule/2","title":"aws_ses.update_receipt_rule/2","type":"function"},{"doc":"","ref":"aws_ses.html#update_receipt_rule/3","title":"aws_ses.update_receipt_rule/3","type":"function"},{"doc":"Updates an email template. Email templates enable you to send personalized email to one or more destinations in a single API operation. For more information, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#update_template/2","title":"aws_ses.update_template/2","type":"function"},{"doc":"","ref":"aws_ses.html#update_template/3","title":"aws_ses.update_template/3","type":"function"},{"doc":"Returns a set of DKIM tokens for a domain identity. When you execute the VerifyDomainDkim operation, the domain that you specify is added to the list of identities that are associated with your account. This is true even if you haven't already associated the domain with your account by using the VerifyDomainIdentity operation. However, you can't send email from the domain until you either successfully verify it or you successfully set up DKIM for it. You use the tokens that are generated by this operation to create CNAME records. When Amazon SES detects that you've added these records to the DNS configuration for a domain, you can start sending email from that domain. You can start sending email even if you haven't added the TXT record provided by the VerifyDomainIdentity operation to the DNS configuration for your domain. All email that you send from the domain is authenticated using DKIM. To create the CNAME records for DKIM authentication, use the following values: Name: token._domainkey.example.com Type: CNAME Value: token.dkim.amazonses.com In the preceding example, replace token with one of the tokens that are generated when you execute this operation. Replace example.com with your domain. Repeat this process for each token that's generated by this operation. You can execute this operation no more than once per second.","ref":"aws_ses.html#verify_domain_dkim/2","title":"aws_ses.verify_domain_dkim/2","type":"function"},{"doc":"","ref":"aws_ses.html#verify_domain_dkim/3","title":"aws_ses.verify_domain_dkim/3","type":"function"},{"doc":"Adds a domain to the list of identities for your Amazon SES account in the current AWS Region and attempts to verify it. For more information about verifying domains, see Verifying Email Addresses and Domains in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_ses.html#verify_domain_identity/2","title":"aws_ses.verify_domain_identity/2","type":"function"},{"doc":"","ref":"aws_ses.html#verify_domain_identity/3","title":"aws_ses.verify_domain_identity/3","type":"function"},{"doc":"Deprecated. Use the VerifyEmailIdentity operation to verify a new email address.","ref":"aws_ses.html#verify_email_address/2","title":"aws_ses.verify_email_address/2","type":"function"},{"doc":"","ref":"aws_ses.html#verify_email_address/3","title":"aws_ses.verify_email_address/3","type":"function"},{"doc":"Adds an email address to the list of identities for your Amazon SES account in the current AWS region and attempts to verify it. As a result of executing this operation, a verification email is sent to the specified address. You can execute this operation no more than once per second.","ref":"aws_ses.html#verify_email_identity/2","title":"aws_ses.verify_email_identity/2","type":"function"},{"doc":"","ref":"aws_ses.html#verify_email_identity/3","title":"aws_ses.verify_email_identity/3","type":"function"},{"doc":"Amazon SES API v2 Amazon SES is an Amazon Web Services service that you can use to send email messages to your customers. If you're new to Amazon SES API v2, you might find it helpful to review the Amazon Simple Email Service Developer Guide. The Amazon SES Developer Guide provides information and code samples that demonstrate how to use Amazon SES API v2 features programmatically.","ref":"aws_sesv2.html","title":"aws_sesv2","type":"module"},{"doc":"Retrieves batches of metric data collected based on your sending activity. You can execute this operation no more than 16 times per second, and with at most 160 queries from the batches per second (cumulative).","ref":"aws_sesv2.html#batch_get_metric_data/2","title":"aws_sesv2.batch_get_metric_data/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#batch_get_metric_data/3","title":"aws_sesv2.batch_get_metric_data/3","type":"function"},{"doc":"Create a configuration set. Configuration sets are groups of rules that you can apply to the emails that you send. You apply a configuration set to an email by specifying the name of the configuration set when you call the Amazon SES API v2. When you apply a configuration set to an email, all of the rules in that configuration set are applied to the email.","ref":"aws_sesv2.html#create_configuration_set/2","title":"aws_sesv2.create_configuration_set/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#create_configuration_set/3","title":"aws_sesv2.create_configuration_set/3","type":"function"},{"doc":"Create an event destination. Events include message sends, deliveries, opens, clicks, bounces, and complaints. Event destinations are places that you can send information about these events to. For example, you can send event data to Amazon SNS to receive notifications when you receive bounces or complaints, or you can use Amazon Kinesis Data Firehose to stream data to Amazon S3 for long-term storage. A single configuration set can include more than one event destination.","ref":"aws_sesv2.html#create_configuration_set_event_destination/3","title":"aws_sesv2.create_configuration_set_event_destination/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#create_configuration_set_event_destination/4","title":"aws_sesv2.create_configuration_set_event_destination/4","type":"function"},{"doc":"Creates a contact, which is an end-user who is receiving the email, and adds them to a contact list.","ref":"aws_sesv2.html#create_contact/3","title":"aws_sesv2.create_contact/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#create_contact/4","title":"aws_sesv2.create_contact/4","type":"function"},{"doc":"Creates a contact list.","ref":"aws_sesv2.html#create_contact_list/2","title":"aws_sesv2.create_contact_list/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#create_contact_list/3","title":"aws_sesv2.create_contact_list/3","type":"function"},{"doc":"Creates a new custom verification email template. For more information about custom verification email templates, see Using custom verification email templates in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#create_custom_verification_email_template/2","title":"aws_sesv2.create_custom_verification_email_template/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#create_custom_verification_email_template/3","title":"aws_sesv2.create_custom_verification_email_template/3","type":"function"},{"doc":"Create a new pool of dedicated IP addresses. A pool can include one or more dedicated IP addresses that are associated with your Amazon Web Services account. You can associate a pool with a configuration set. When you send an email that uses that configuration set, the message is sent from one of the addresses in the associated pool.","ref":"aws_sesv2.html#create_dedicated_ip_pool/2","title":"aws_sesv2.create_dedicated_ip_pool/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#create_dedicated_ip_pool/3","title":"aws_sesv2.create_dedicated_ip_pool/3","type":"function"},{"doc":"Create a new predictive inbox placement test. Predictive inbox placement tests can help you predict how your messages will be handled by various email providers around the world. When you perform a predictive inbox placement test, you provide a sample message that contains the content that you plan to send to your customers. Amazon SES then sends that message to special email addresses spread across several major email providers. After about 24 hours, the test is complete, and you can use the GetDeliverabilityTestReport operation to view the results of the test.","ref":"aws_sesv2.html#create_deliverability_test_report/2","title":"aws_sesv2.create_deliverability_test_report/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#create_deliverability_test_report/3","title":"aws_sesv2.create_deliverability_test_report/3","type":"function"},{"doc":"Starts the process of verifying an email identity. An identity is an email address or domain that you use when you send email. Before you can use an identity to send email, you first have to verify it. By verifying an identity, you demonstrate that you're the owner of the identity, and that you've given Amazon SES API v2 permission to send email from the identity. When you verify an email address, Amazon SES sends an email to the address. Your email address is verified as soon as you follow the link in the verification email. When you verify a domain without specifying the DkimSigningAttributes object, this operation provides a set of DKIM tokens. You can convert these tokens into CNAME records, which you then add to the DNS configuration for your domain. Your domain is verified when Amazon SES detects these records in the DNS configuration for your domain. This verification method is known as Easy DKIM. Alternatively, you can perform the verification process by providing your own public-private key pair. This verification method is known as Bring Your Own DKIM (BYODKIM). To use BYODKIM, your call to the CreateEmailIdentity operation has to include the DkimSigningAttributes object. When you specify this object, you provide a selector (a component of the DNS record name that identifies the public key to use for DKIM authentication) and a private key. When you verify a domain, this operation provides a set of DKIM tokens, which you can convert into CNAME tokens. You add these CNAME tokens to the DNS configuration for your domain. Your domain is verified when Amazon SES detects these records in the DNS configuration for your domain. For some DNS providers, it can take 72 hours or more to complete the domain verification process. Additionally, you can associate an existing configuration set with the email identity that you're verifying.","ref":"aws_sesv2.html#create_email_identity/2","title":"aws_sesv2.create_email_identity/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#create_email_identity/3","title":"aws_sesv2.create_email_identity/3","type":"function"},{"doc":"Creates the specified sending authorization policy for the given identity (an email address or a domain). This API is for the identity owner only. If you have not verified the identity, this API will return an error. Sending authorization is a feature that enables an identity owner to authorize other senders to use its identities. For information about using sending authorization, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#create_email_identity_policy/4","title":"aws_sesv2.create_email_identity_policy/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#create_email_identity_policy/5","title":"aws_sesv2.create_email_identity_policy/5","type":"function"},{"doc":"Creates an email template. Email templates enable you to send personalized email to one or more destinations in a single API operation. For more information, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#create_email_template/2","title":"aws_sesv2.create_email_template/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#create_email_template/3","title":"aws_sesv2.create_email_template/3","type":"function"},{"doc":"Creates an import job for a data destination.","ref":"aws_sesv2.html#create_import_job/2","title":"aws_sesv2.create_import_job/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#create_import_job/3","title":"aws_sesv2.create_import_job/3","type":"function"},{"doc":"Delete an existing configuration set. Configuration sets are groups of rules that you can apply to the emails you send. You apply a configuration set to an email by including a reference to the configuration set in the headers of the email. When you apply a configuration set to an email, all of the rules in that configuration set are applied to the email.","ref":"aws_sesv2.html#delete_configuration_set/3","title":"aws_sesv2.delete_configuration_set/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#delete_configuration_set/4","title":"aws_sesv2.delete_configuration_set/4","type":"function"},{"doc":"Delete an event destination. Events include message sends, deliveries, opens, clicks, bounces, and complaints. Event destinations are places that you can send information about these events to. For example, you can send event data to Amazon SNS to receive notifications when you receive bounces or complaints, or you can use Amazon Kinesis Data Firehose to stream data to Amazon S3 for long-term storage.","ref":"aws_sesv2.html#delete_configuration_set_event_destination/4","title":"aws_sesv2.delete_configuration_set_event_destination/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#delete_configuration_set_event_destination/5","title":"aws_sesv2.delete_configuration_set_event_destination/5","type":"function"},{"doc":"Removes a contact from a contact list.","ref":"aws_sesv2.html#delete_contact/4","title":"aws_sesv2.delete_contact/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#delete_contact/5","title":"aws_sesv2.delete_contact/5","type":"function"},{"doc":"Deletes a contact list and all of the contacts on that list.","ref":"aws_sesv2.html#delete_contact_list/3","title":"aws_sesv2.delete_contact_list/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#delete_contact_list/4","title":"aws_sesv2.delete_contact_list/4","type":"function"},{"doc":"Deletes an existing custom verification email template. For more information about custom verification email templates, see Using custom verification email templates in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#delete_custom_verification_email_template/3","title":"aws_sesv2.delete_custom_verification_email_template/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#delete_custom_verification_email_template/4","title":"aws_sesv2.delete_custom_verification_email_template/4","type":"function"},{"doc":"Delete a dedicated IP pool.","ref":"aws_sesv2.html#delete_dedicated_ip_pool/3","title":"aws_sesv2.delete_dedicated_ip_pool/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#delete_dedicated_ip_pool/4","title":"aws_sesv2.delete_dedicated_ip_pool/4","type":"function"},{"doc":"Deletes an email identity. An identity can be either an email address or a domain name.","ref":"aws_sesv2.html#delete_email_identity/3","title":"aws_sesv2.delete_email_identity/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#delete_email_identity/4","title":"aws_sesv2.delete_email_identity/4","type":"function"},{"doc":"Deletes the specified sending authorization policy for the given identity (an email address or a domain). This API returns successfully even if a policy with the specified name does not exist. This API is for the identity owner only. If you have not verified the identity, this API will return an error. Sending authorization is a feature that enables an identity owner to authorize other senders to use its identities. For information about using sending authorization, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#delete_email_identity_policy/4","title":"aws_sesv2.delete_email_identity_policy/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#delete_email_identity_policy/5","title":"aws_sesv2.delete_email_identity_policy/5","type":"function"},{"doc":"Deletes an email template. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#delete_email_template/3","title":"aws_sesv2.delete_email_template/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#delete_email_template/4","title":"aws_sesv2.delete_email_template/4","type":"function"},{"doc":"Removes an email address from the suppression list for your account.","ref":"aws_sesv2.html#delete_suppressed_destination/3","title":"aws_sesv2.delete_suppressed_destination/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#delete_suppressed_destination/4","title":"aws_sesv2.delete_suppressed_destination/4","type":"function"},{"doc":"Obtain information about the email-sending status and capabilities of your Amazon SES account in the current Amazon Web Services Region.","ref":"aws_sesv2.html#get_account/1","title":"aws_sesv2.get_account/1","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_account/3","title":"aws_sesv2.get_account/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_account/4","title":"aws_sesv2.get_account/4","type":"function"},{"doc":"Retrieve a list of the blacklists that your dedicated IP addresses appear on.","ref":"aws_sesv2.html#get_blacklist_reports/2","title":"aws_sesv2.get_blacklist_reports/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_blacklist_reports/4","title":"aws_sesv2.get_blacklist_reports/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_blacklist_reports/5","title":"aws_sesv2.get_blacklist_reports/5","type":"function"},{"doc":"Get information about an existing configuration set, including the dedicated IP pool that it's associated with, whether or not it's enabled for sending email, and more. Configuration sets are groups of rules that you can apply to the emails you send. You apply a configuration set to an email by including a reference to the configuration set in the headers of the email. When you apply a configuration set to an email, all of the rules in that configuration set are applied to the email.","ref":"aws_sesv2.html#get_configuration_set/2","title":"aws_sesv2.get_configuration_set/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_configuration_set/4","title":"aws_sesv2.get_configuration_set/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_configuration_set/5","title":"aws_sesv2.get_configuration_set/5","type":"function"},{"doc":"Retrieve a list of event destinations that are associated with a configuration set. Events include message sends, deliveries, opens, clicks, bounces, and complaints. Event destinations are places that you can send information about these events to. For example, you can send event data to Amazon SNS to receive notifications when you receive bounces or complaints, or you can use Amazon Kinesis Data Firehose to stream data to Amazon S3 for long-term storage.","ref":"aws_sesv2.html#get_configuration_set_event_destinations/2","title":"aws_sesv2.get_configuration_set_event_destinations/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_configuration_set_event_destinations/4","title":"aws_sesv2.get_configuration_set_event_destinations/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_configuration_set_event_destinations/5","title":"aws_sesv2.get_configuration_set_event_destinations/5","type":"function"},{"doc":"Returns a contact from a contact list.","ref":"aws_sesv2.html#get_contact/3","title":"aws_sesv2.get_contact/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_contact/5","title":"aws_sesv2.get_contact/5","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_contact/6","title":"aws_sesv2.get_contact/6","type":"function"},{"doc":"Returns contact list metadata. It does not return any information about the contacts present in the list.","ref":"aws_sesv2.html#get_contact_list/2","title":"aws_sesv2.get_contact_list/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_contact_list/4","title":"aws_sesv2.get_contact_list/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_contact_list/5","title":"aws_sesv2.get_contact_list/5","type":"function"},{"doc":"Returns the custom email verification template for the template name you specify. For more information about custom verification email templates, see Using custom verification email templates in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#get_custom_verification_email_template/2","title":"aws_sesv2.get_custom_verification_email_template/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_custom_verification_email_template/4","title":"aws_sesv2.get_custom_verification_email_template/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_custom_verification_email_template/5","title":"aws_sesv2.get_custom_verification_email_template/5","type":"function"},{"doc":"Get information about a dedicated IP address, including the name of the dedicated IP pool that it's associated with, as well information about the automatic warm-up process for the address.","ref":"aws_sesv2.html#get_dedicated_ip/2","title":"aws_sesv2.get_dedicated_ip/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_dedicated_ip/4","title":"aws_sesv2.get_dedicated_ip/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_dedicated_ip/5","title":"aws_sesv2.get_dedicated_ip/5","type":"function"},{"doc":"Retrieve information about the dedicated pool.","ref":"aws_sesv2.html#get_dedicated_ip_pool/2","title":"aws_sesv2.get_dedicated_ip_pool/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_dedicated_ip_pool/4","title":"aws_sesv2.get_dedicated_ip_pool/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_dedicated_ip_pool/5","title":"aws_sesv2.get_dedicated_ip_pool/5","type":"function"},{"doc":"List the dedicated IP addresses that are associated with your Amazon Web Services account.","ref":"aws_sesv2.html#get_dedicated_ips/1","title":"aws_sesv2.get_dedicated_ips/1","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_dedicated_ips/3","title":"aws_sesv2.get_dedicated_ips/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_dedicated_ips/4","title":"aws_sesv2.get_dedicated_ips/4","type":"function"},{"doc":"Retrieve information about the status of the Deliverability dashboard for your account. When the Deliverability dashboard is enabled, you gain access to reputation, deliverability, and other metrics for the domains that you use to send email. You also gain the ability to perform predictive inbox placement tests. When you use the Deliverability dashboard, you pay a monthly subscription charge, in addition to any other fees that you accrue by using Amazon SES and other Amazon Web Services services. For more information about the features and cost of a Deliverability dashboard subscription, see Amazon SES Pricing.","ref":"aws_sesv2.html#get_deliverability_dashboard_options/1","title":"aws_sesv2.get_deliverability_dashboard_options/1","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_deliverability_dashboard_options/3","title":"aws_sesv2.get_deliverability_dashboard_options/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_deliverability_dashboard_options/4","title":"aws_sesv2.get_deliverability_dashboard_options/4","type":"function"},{"doc":"Retrieve the results of a predictive inbox placement test.","ref":"aws_sesv2.html#get_deliverability_test_report/2","title":"aws_sesv2.get_deliverability_test_report/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_deliverability_test_report/4","title":"aws_sesv2.get_deliverability_test_report/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_deliverability_test_report/5","title":"aws_sesv2.get_deliverability_test_report/5","type":"function"},{"doc":"Retrieve all the deliverability data for a specific campaign. This data is available for a campaign only if the campaign sent email by using a domain that the Deliverability dashboard is enabled for.","ref":"aws_sesv2.html#get_domain_deliverability_campaign/2","title":"aws_sesv2.get_domain_deliverability_campaign/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_domain_deliverability_campaign/4","title":"aws_sesv2.get_domain_deliverability_campaign/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_domain_deliverability_campaign/5","title":"aws_sesv2.get_domain_deliverability_campaign/5","type":"function"},{"doc":"Retrieve inbox placement and engagement rates for the domains that you use to send email.","ref":"aws_sesv2.html#get_domain_statistics_report/4","title":"aws_sesv2.get_domain_statistics_report/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_domain_statistics_report/6","title":"aws_sesv2.get_domain_statistics_report/6","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_domain_statistics_report/7","title":"aws_sesv2.get_domain_statistics_report/7","type":"function"},{"doc":"Provides information about a specific identity, including the identity's verification status, sending authorization policies, its DKIM authentication status, and its custom Mail-From settings.","ref":"aws_sesv2.html#get_email_identity/2","title":"aws_sesv2.get_email_identity/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_email_identity/4","title":"aws_sesv2.get_email_identity/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_email_identity/5","title":"aws_sesv2.get_email_identity/5","type":"function"},{"doc":"Returns the requested sending authorization policies for the given identity (an email address or a domain). The policies are returned as a map of policy names to policy contents. You can retrieve a maximum of 20 policies at a time. This API is for the identity owner only. If you have not verified the identity, this API will return an error. Sending authorization is a feature that enables an identity owner to authorize other senders to use its identities. For information about using sending authorization, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#get_email_identity_policies/2","title":"aws_sesv2.get_email_identity_policies/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_email_identity_policies/4","title":"aws_sesv2.get_email_identity_policies/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_email_identity_policies/5","title":"aws_sesv2.get_email_identity_policies/5","type":"function"},{"doc":"Displays the template object (which includes the subject line, HTML part and text part) for the template you specify. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#get_email_template/2","title":"aws_sesv2.get_email_template/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_email_template/4","title":"aws_sesv2.get_email_template/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_email_template/5","title":"aws_sesv2.get_email_template/5","type":"function"},{"doc":"Provides information about an import job.","ref":"aws_sesv2.html#get_import_job/2","title":"aws_sesv2.get_import_job/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_import_job/4","title":"aws_sesv2.get_import_job/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_import_job/5","title":"aws_sesv2.get_import_job/5","type":"function"},{"doc":"Retrieves information about a specific email address that's on the suppression list for your account.","ref":"aws_sesv2.html#get_suppressed_destination/2","title":"aws_sesv2.get_suppressed_destination/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_suppressed_destination/4","title":"aws_sesv2.get_suppressed_destination/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#get_suppressed_destination/5","title":"aws_sesv2.get_suppressed_destination/5","type":"function"},{"doc":"List all of the configuration sets associated with your account in the current region. Configuration sets are groups of rules that you can apply to the emails you send. You apply a configuration set to an email by including a reference to the configuration set in the headers of the email. When you apply a configuration set to an email, all of the rules in that configuration set are applied to the email.","ref":"aws_sesv2.html#list_configuration_sets/1","title":"aws_sesv2.list_configuration_sets/1","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_configuration_sets/3","title":"aws_sesv2.list_configuration_sets/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_configuration_sets/4","title":"aws_sesv2.list_configuration_sets/4","type":"function"},{"doc":"Lists all of the contact lists available.","ref":"aws_sesv2.html#list_contact_lists/1","title":"aws_sesv2.list_contact_lists/1","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_contact_lists/3","title":"aws_sesv2.list_contact_lists/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_contact_lists/4","title":"aws_sesv2.list_contact_lists/4","type":"function"},{"doc":"Lists the contacts present in a specific contact list.","ref":"aws_sesv2.html#list_contacts/2","title":"aws_sesv2.list_contacts/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_contacts/4","title":"aws_sesv2.list_contacts/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_contacts/5","title":"aws_sesv2.list_contacts/5","type":"function"},{"doc":"Lists the existing custom verification email templates for your account in the current Amazon Web Services Region. For more information about custom verification email templates, see Using custom verification email templates in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#list_custom_verification_email_templates/1","title":"aws_sesv2.list_custom_verification_email_templates/1","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_custom_verification_email_templates/3","title":"aws_sesv2.list_custom_verification_email_templates/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_custom_verification_email_templates/4","title":"aws_sesv2.list_custom_verification_email_templates/4","type":"function"},{"doc":"List all of the dedicated IP pools that exist in your Amazon Web Services account in the current Region.","ref":"aws_sesv2.html#list_dedicated_ip_pools/1","title":"aws_sesv2.list_dedicated_ip_pools/1","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_dedicated_ip_pools/3","title":"aws_sesv2.list_dedicated_ip_pools/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_dedicated_ip_pools/4","title":"aws_sesv2.list_dedicated_ip_pools/4","type":"function"},{"doc":"Show a list of the predictive inbox placement tests that you've performed, regardless of their statuses. For predictive inbox placement tests that are complete, you can use the GetDeliverabilityTestReport operation to view the results.","ref":"aws_sesv2.html#list_deliverability_test_reports/1","title":"aws_sesv2.list_deliverability_test_reports/1","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_deliverability_test_reports/3","title":"aws_sesv2.list_deliverability_test_reports/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_deliverability_test_reports/4","title":"aws_sesv2.list_deliverability_test_reports/4","type":"function"},{"doc":"Retrieve deliverability data for all the campaigns that used a specific domain to send email during a specified time range. This data is available for a domain only if you enabled the Deliverability dashboard for the domain.","ref":"aws_sesv2.html#list_domain_deliverability_campaigns/4","title":"aws_sesv2.list_domain_deliverability_campaigns/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_domain_deliverability_campaigns/6","title":"aws_sesv2.list_domain_deliverability_campaigns/6","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_domain_deliverability_campaigns/7","title":"aws_sesv2.list_domain_deliverability_campaigns/7","type":"function"},{"doc":"Returns a list of all of the email identities that are associated with your Amazon Web Services account. An identity can be either an email address or a domain. This operation returns identities that are verified as well as those that aren't. This operation returns identities that are associated with Amazon SES and Amazon Pinpoint.","ref":"aws_sesv2.html#list_email_identities/1","title":"aws_sesv2.list_email_identities/1","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_email_identities/3","title":"aws_sesv2.list_email_identities/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_email_identities/4","title":"aws_sesv2.list_email_identities/4","type":"function"},{"doc":"Lists the email templates present in your Amazon SES account in the current Amazon Web Services Region. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#list_email_templates/1","title":"aws_sesv2.list_email_templates/1","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_email_templates/3","title":"aws_sesv2.list_email_templates/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_email_templates/4","title":"aws_sesv2.list_email_templates/4","type":"function"},{"doc":"Lists all of the import jobs.","ref":"aws_sesv2.html#list_import_jobs/1","title":"aws_sesv2.list_import_jobs/1","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_import_jobs/3","title":"aws_sesv2.list_import_jobs/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_import_jobs/4","title":"aws_sesv2.list_import_jobs/4","type":"function"},{"doc":"Lists the recommendations present in your Amazon SES account in the current Amazon Web Services Region. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#list_recommendations/2","title":"aws_sesv2.list_recommendations/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_recommendations/3","title":"aws_sesv2.list_recommendations/3","type":"function"},{"doc":"Retrieves a list of email addresses that are on the suppression list for your account.","ref":"aws_sesv2.html#list_suppressed_destinations/1","title":"aws_sesv2.list_suppressed_destinations/1","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_suppressed_destinations/3","title":"aws_sesv2.list_suppressed_destinations/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_suppressed_destinations/4","title":"aws_sesv2.list_suppressed_destinations/4","type":"function"},{"doc":"Retrieve a list of the tags (keys and values) that are associated with a specified resource. A tag is a label that you optionally define and associate with a resource. Each tag consists of a required tag key and an optional associated tag value. A tag key is a general label that acts as a category for more specific tag values. A tag value acts as a descriptor within a tag key.","ref":"aws_sesv2.html#list_tags_for_resource/2","title":"aws_sesv2.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_tags_for_resource/4","title":"aws_sesv2.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#list_tags_for_resource/5","title":"aws_sesv2.list_tags_for_resource/5","type":"function"},{"doc":"Enable or disable the automatic warm-up feature for dedicated IP addresses.","ref":"aws_sesv2.html#put_account_dedicated_ip_warmup_attributes/2","title":"aws_sesv2.put_account_dedicated_ip_warmup_attributes/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_account_dedicated_ip_warmup_attributes/3","title":"aws_sesv2.put_account_dedicated_ip_warmup_attributes/3","type":"function"},{"doc":"Update your Amazon SES account details.","ref":"aws_sesv2.html#put_account_details/2","title":"aws_sesv2.put_account_details/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_account_details/3","title":"aws_sesv2.put_account_details/3","type":"function"},{"doc":"Enable or disable the ability of your account to send email.","ref":"aws_sesv2.html#put_account_sending_attributes/2","title":"aws_sesv2.put_account_sending_attributes/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_account_sending_attributes/3","title":"aws_sesv2.put_account_sending_attributes/3","type":"function"},{"doc":"Change the settings for the account-level suppression list.","ref":"aws_sesv2.html#put_account_suppression_attributes/2","title":"aws_sesv2.put_account_suppression_attributes/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_account_suppression_attributes/3","title":"aws_sesv2.put_account_suppression_attributes/3","type":"function"},{"doc":"Update your Amazon SES account VDM attributes. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#put_account_vdm_attributes/2","title":"aws_sesv2.put_account_vdm_attributes/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_account_vdm_attributes/3","title":"aws_sesv2.put_account_vdm_attributes/3","type":"function"},{"doc":"Associate a configuration set with a dedicated IP pool. You can use dedicated IP pools to create groups of dedicated IP addresses for sending specific types of email.","ref":"aws_sesv2.html#put_configuration_set_delivery_options/3","title":"aws_sesv2.put_configuration_set_delivery_options/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_configuration_set_delivery_options/4","title":"aws_sesv2.put_configuration_set_delivery_options/4","type":"function"},{"doc":"Enable or disable collection of reputation metrics for emails that you send using a particular configuration set in a specific Amazon Web Services Region.","ref":"aws_sesv2.html#put_configuration_set_reputation_options/3","title":"aws_sesv2.put_configuration_set_reputation_options/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_configuration_set_reputation_options/4","title":"aws_sesv2.put_configuration_set_reputation_options/4","type":"function"},{"doc":"Enable or disable email sending for messages that use a particular configuration set in a specific Amazon Web Services Region.","ref":"aws_sesv2.html#put_configuration_set_sending_options/3","title":"aws_sesv2.put_configuration_set_sending_options/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_configuration_set_sending_options/4","title":"aws_sesv2.put_configuration_set_sending_options/4","type":"function"},{"doc":"Specify the account suppression list preferences for a configuration set.","ref":"aws_sesv2.html#put_configuration_set_suppression_options/3","title":"aws_sesv2.put_configuration_set_suppression_options/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_configuration_set_suppression_options/4","title":"aws_sesv2.put_configuration_set_suppression_options/4","type":"function"},{"doc":"Specify a custom domain to use for open and click tracking elements in email that you send.","ref":"aws_sesv2.html#put_configuration_set_tracking_options/3","title":"aws_sesv2.put_configuration_set_tracking_options/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_configuration_set_tracking_options/4","title":"aws_sesv2.put_configuration_set_tracking_options/4","type":"function"},{"doc":"Specify VDM preferences for email that you send using the configuration set. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#put_configuration_set_vdm_options/3","title":"aws_sesv2.put_configuration_set_vdm_options/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_configuration_set_vdm_options/4","title":"aws_sesv2.put_configuration_set_vdm_options/4","type":"function"},{"doc":"Move a dedicated IP address to an existing dedicated IP pool. The dedicated IP address that you specify must already exist, and must be associated with your Amazon Web Services account. The dedicated IP pool you specify must already exist. You can create a new pool by using the CreateDedicatedIpPool operation.","ref":"aws_sesv2.html#put_dedicated_ip_in_pool/3","title":"aws_sesv2.put_dedicated_ip_in_pool/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_dedicated_ip_in_pool/4","title":"aws_sesv2.put_dedicated_ip_in_pool/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_dedicated_ip_warmup_attributes/3","title":"aws_sesv2.put_dedicated_ip_warmup_attributes/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_dedicated_ip_warmup_attributes/4","title":"aws_sesv2.put_dedicated_ip_warmup_attributes/4","type":"function"},{"doc":"Enable or disable the Deliverability dashboard. When you enable the Deliverability dashboard, you gain access to reputation, deliverability, and other metrics for the domains that you use to send email. You also gain the ability to perform predictive inbox placement tests. When you use the Deliverability dashboard, you pay a monthly subscription charge, in addition to any other fees that you accrue by using Amazon SES and other Amazon Web Services services. For more information about the features and cost of a Deliverability dashboard subscription, see Amazon SES Pricing.","ref":"aws_sesv2.html#put_deliverability_dashboard_option/2","title":"aws_sesv2.put_deliverability_dashboard_option/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_deliverability_dashboard_option/3","title":"aws_sesv2.put_deliverability_dashboard_option/3","type":"function"},{"doc":"Used to associate a configuration set with an email identity.","ref":"aws_sesv2.html#put_email_identity_configuration_set_attributes/3","title":"aws_sesv2.put_email_identity_configuration_set_attributes/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_email_identity_configuration_set_attributes/4","title":"aws_sesv2.put_email_identity_configuration_set_attributes/4","type":"function"},{"doc":"Used to enable or disable DKIM authentication for an email identity.","ref":"aws_sesv2.html#put_email_identity_dkim_attributes/3","title":"aws_sesv2.put_email_identity_dkim_attributes/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_email_identity_dkim_attributes/4","title":"aws_sesv2.put_email_identity_dkim_attributes/4","type":"function"},{"doc":"Used to configure or change the DKIM authentication settings for an email domain identity. You can use this operation to do any of the following: Update the signing attributes for an identity that uses Bring Your Own DKIM (BYODKIM). Update the key length that should be used for Easy DKIM. Change from using no DKIM authentication to using Easy DKIM. Change from using no DKIM authentication to using BYODKIM. Change from using Easy DKIM to using BYODKIM. Change from using BYODKIM to using Easy DKIM.","ref":"aws_sesv2.html#put_email_identity_dkim_signing_attributes/3","title":"aws_sesv2.put_email_identity_dkim_signing_attributes/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_email_identity_dkim_signing_attributes/4","title":"aws_sesv2.put_email_identity_dkim_signing_attributes/4","type":"function"},{"doc":"Used to enable or disable feedback forwarding for an identity. This setting determines what happens when an identity is used to send an email that results in a bounce or complaint event. If the value is true , you receive email notifications when bounce or complaint events occur. These notifications are sent to the address that you specified in the Return-Path header of the original email. You're required to have a method of tracking bounces and complaints. If you haven't set up another mechanism for receiving bounce or complaint notifications (for example, by setting up an event destination), you receive an email notification when these events occur (even if this setting is disabled).","ref":"aws_sesv2.html#put_email_identity_feedback_attributes/3","title":"aws_sesv2.put_email_identity_feedback_attributes/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_email_identity_feedback_attributes/4","title":"aws_sesv2.put_email_identity_feedback_attributes/4","type":"function"},{"doc":"Used to enable or disable the custom Mail-From domain configuration for an email identity.","ref":"aws_sesv2.html#put_email_identity_mail_from_attributes/3","title":"aws_sesv2.put_email_identity_mail_from_attributes/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_email_identity_mail_from_attributes/4","title":"aws_sesv2.put_email_identity_mail_from_attributes/4","type":"function"},{"doc":"Adds an email address to the suppression list for your account.","ref":"aws_sesv2.html#put_suppressed_destination/2","title":"aws_sesv2.put_suppressed_destination/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#put_suppressed_destination/3","title":"aws_sesv2.put_suppressed_destination/3","type":"function"},{"doc":"Composes an email message to multiple destinations.","ref":"aws_sesv2.html#send_bulk_email/2","title":"aws_sesv2.send_bulk_email/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#send_bulk_email/3","title":"aws_sesv2.send_bulk_email/3","type":"function"},{"doc":"Adds an email address to the list of identities for your Amazon SES account in the current Amazon Web Services Region and attempts to verify it. As a result of executing this operation, a customized verification email is sent to the specified address. To use this operation, you must first create a custom verification email template. For more information about creating and using custom verification email templates, see Using custom verification email templates in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#send_custom_verification_email/2","title":"aws_sesv2.send_custom_verification_email/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#send_custom_verification_email/3","title":"aws_sesv2.send_custom_verification_email/3","type":"function"},{"doc":"Sends an email message. You can use the Amazon SES API v2 to send the following types of messages: Simple – A standard email message. When you create this type of message, you specify the sender, the recipient, and the message body, and Amazon SES assembles the message for you. Raw – A raw, MIME-formatted email message. When you send this type of email, you have to specify all of the message headers, as well as the message body. You can use this message type to send messages that contain attachments. The message that you specify has to be a valid MIME message. Templated – A message that contains personalization tags. When you send this type of email, Amazon SES API v2 automatically replaces the tags with values that you specify.","ref":"aws_sesv2.html#send_email/2","title":"aws_sesv2.send_email/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#send_email/3","title":"aws_sesv2.send_email/3","type":"function"},{"doc":"Add one or more tags (keys and values) to a specified resource. A tag is a label that you optionally define and associate with a resource. Tags can help you categorize and manage resources in different ways, such as by purpose, owner, environment, or other criteria. A resource can have as many as 50 tags. Each tag consists of a required tag key and an associated tag value, both of which you define. A tag key is a general label that acts as a category for more specific tag values. A tag value acts as a descriptor within a tag key.","ref":"aws_sesv2.html#tag_resource/2","title":"aws_sesv2.tag_resource/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#tag_resource/3","title":"aws_sesv2.tag_resource/3","type":"function"},{"doc":"Creates a preview of the MIME content of an email when provided with a template and a set of replacement data. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#test_render_email_template/3","title":"aws_sesv2.test_render_email_template/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#test_render_email_template/4","title":"aws_sesv2.test_render_email_template/4","type":"function"},{"doc":"Remove one or more tags (keys and values) from a specified resource.","ref":"aws_sesv2.html#untag_resource/2","title":"aws_sesv2.untag_resource/2","type":"function"},{"doc":"","ref":"aws_sesv2.html#untag_resource/3","title":"aws_sesv2.untag_resource/3","type":"function"},{"doc":"Update the configuration of an event destination for a configuration set. Events include message sends, deliveries, opens, clicks, bounces, and complaints. Event destinations are places that you can send information about these events to. For example, you can send event data to Amazon SNS to receive notifications when you receive bounces or complaints, or you can use Amazon Kinesis Data Firehose to stream data to Amazon S3 for long-term storage.","ref":"aws_sesv2.html#update_configuration_set_event_destination/4","title":"aws_sesv2.update_configuration_set_event_destination/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#update_configuration_set_event_destination/5","title":"aws_sesv2.update_configuration_set_event_destination/5","type":"function"},{"doc":"Updates a contact's preferences for a list. It is not necessary to specify all existing topic preferences in the TopicPreferences object, just the ones that need updating.","ref":"aws_sesv2.html#update_contact/4","title":"aws_sesv2.update_contact/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#update_contact/5","title":"aws_sesv2.update_contact/5","type":"function"},{"doc":"Updates contact list metadata. This operation does a complete replacement.","ref":"aws_sesv2.html#update_contact_list/3","title":"aws_sesv2.update_contact_list/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#update_contact_list/4","title":"aws_sesv2.update_contact_list/4","type":"function"},{"doc":"Updates an existing custom verification email template. For more information about custom verification email templates, see Using custom verification email templates in the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#update_custom_verification_email_template/3","title":"aws_sesv2.update_custom_verification_email_template/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#update_custom_verification_email_template/4","title":"aws_sesv2.update_custom_verification_email_template/4","type":"function"},{"doc":"Updates the specified sending authorization policy for the given identity (an email address or a domain). This API returns successfully even if a policy with the specified name does not exist. This API is for the identity owner only. If you have not verified the identity, this API will return an error. Sending authorization is a feature that enables an identity owner to authorize other senders to use its identities. For information about using sending authorization, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#update_email_identity_policy/4","title":"aws_sesv2.update_email_identity_policy/4","type":"function"},{"doc":"","ref":"aws_sesv2.html#update_email_identity_policy/5","title":"aws_sesv2.update_email_identity_policy/5","type":"function"},{"doc":"Updates an email template. Email templates enable you to send personalized email to one or more destinations in a single API operation. For more information, see the Amazon SES Developer Guide. You can execute this operation no more than once per second.","ref":"aws_sesv2.html#update_email_template/3","title":"aws_sesv2.update_email_template/3","type":"function"},{"doc":"","ref":"aws_sesv2.html#update_email_template/4","title":"aws_sesv2.update_email_template/4","type":"function"},{"doc":"Step Functions Step Functions is a service that lets you coordinate the components of distributed applications and microservices using visual workflows. You can use Step Functions to build applications from individual components, each of which performs a discrete function, or task, allowing you to scale and change applications quickly. Step Functions provides a console that helps visualize the components of your application as a series of steps. Step Functions automatically triggers and tracks each step, and retries steps when there are errors, so your application executes predictably and in the right order every time. Step Functions logs the state of each step, so you can quickly diagnose and debug any issues. Step Functions manages operations and underlying infrastructure to ensure your application is available at any scale. You can run tasks on Amazon Web Services, your own servers, or any system that has access to Amazon Web Services. You can access and use Step Functions using the console, the Amazon Web Services SDKs, or an HTTP API. For more information about Step Functions, see the Step Functions Developer Guide .","ref":"aws_sfn.html","title":"aws_sfn","type":"module"},{"doc":"Creates an activity. An activity is a task that you write in any programming language and host on any machine that has access to Step Functions. Activities must poll Step Functions using the GetActivityTask API action and respond using SendTask* API actions. This function lets Step Functions know the existence of your activity and returns an identifier for use in a state machine and when polling from the activity. This operation is eventually consistent. The results are best effort and may not reflect very recent updates and changes. CreateActivity is an idempotent API. Subsequent requests won’t create a duplicate resource if it was already created. CreateActivity 's idempotency check is based on the activity name . If a following request has different tags values, Step Functions will ignore these differences and treat it as an idempotent request of the previous. In this case, tags will not be updated, even if they are different.","ref":"aws_sfn.html#create_activity/2","title":"aws_sfn.create_activity/2","type":"function"},{"doc":"","ref":"aws_sfn.html#create_activity/3","title":"aws_sfn.create_activity/3","type":"function"},{"doc":"Creates a state machine. A state machine consists of a collection of states that can do work ( Task states), determine to which states to transition next ( Choice states), stop an execution with an error ( Fail states), and so on. State machines are specified using a JSON-based, structured language. For more information, see Amazon States Language in the Step Functions User Guide. This operation is eventually consistent. The results are best effort and may not reflect very recent updates and changes. CreateStateMachine is an idempotent API. Subsequent requests won’t create a duplicate resource if it was already created. CreateStateMachine 's idempotency check is based on the state machine name , definition , type , LoggingConfiguration and TracingConfiguration . If a following request has a different roleArn or tags , Step Functions will ignore these differences and treat it as an idempotent request of the previous. In this case, roleArn and tags will not be updated, even if they are different.","ref":"aws_sfn.html#create_state_machine/2","title":"aws_sfn.create_state_machine/2","type":"function"},{"doc":"","ref":"aws_sfn.html#create_state_machine/3","title":"aws_sfn.create_state_machine/3","type":"function"},{"doc":"Deletes an activity.","ref":"aws_sfn.html#delete_activity/2","title":"aws_sfn.delete_activity/2","type":"function"},{"doc":"","ref":"aws_sfn.html#delete_activity/3","title":"aws_sfn.delete_activity/3","type":"function"},{"doc":"Deletes a state machine. This is an asynchronous operation: It sets the state machine's status to DELETING and begins the deletion process. If the given state machine Amazon Resource Name (ARN) is a qualified state machine ARN, it will fail with ValidationException. A qualified state machine ARN refers to a Distributed Map state defined within a state machine. For example, the qualified state machine ARN arn:partition:states:region:account-id:stateMachine:stateMachineName/mapStateLabel refers to a Distributed Map state with a label mapStateLabel in the state machine named stateMachineName . For EXPRESS state machines, the deletion will happen eventually (usually less than a minute). Running executions may emit logs after DeleteStateMachine API is called.","ref":"aws_sfn.html#delete_state_machine/2","title":"aws_sfn.delete_state_machine/2","type":"function"},{"doc":"","ref":"aws_sfn.html#delete_state_machine/3","title":"aws_sfn.delete_state_machine/3","type":"function"},{"doc":"Describes an activity. This operation is eventually consistent. The results are best effort and may not reflect very recent updates and changes.","ref":"aws_sfn.html#describe_activity/2","title":"aws_sfn.describe_activity/2","type":"function"},{"doc":"","ref":"aws_sfn.html#describe_activity/3","title":"aws_sfn.describe_activity/3","type":"function"},{"doc":"Provides all information about a state machine execution, such as the state machine associated with the execution, the execution input and output, and relevant execution metadata. Use this API action to return the Map Run ARN if the execution was dispatched by a Map Run. This operation is eventually consistent. The results are best effort and may not reflect very recent updates and changes. This API action is not supported by EXPRESS state machine executions unless they were dispatched by a Map Run.","ref":"aws_sfn.html#describe_execution/2","title":"aws_sfn.describe_execution/2","type":"function"},{"doc":"","ref":"aws_sfn.html#describe_execution/3","title":"aws_sfn.describe_execution/3","type":"function"},{"doc":"Provides information about a Map Run's configuration, progress, and results. For more information, see Examining Map Run in the Step Functions Developer Guide.","ref":"aws_sfn.html#describe_map_run/2","title":"aws_sfn.describe_map_run/2","type":"function"},{"doc":"","ref":"aws_sfn.html#describe_map_run/3","title":"aws_sfn.describe_map_run/3","type":"function"},{"doc":"Provides information about a state machine's definition, its IAM role Amazon Resource Name (ARN), and configuration. If the state machine ARN is a qualified state machine ARN, the response returned includes the Map state's label. A qualified state machine ARN refers to a Distributed Map state defined within a state machine. For example, the qualified state machine ARN arn:partition:states:region:account-id:stateMachine:stateMachineName/mapStateLabel refers to a Distributed Map state with a label mapStateLabel in the state machine named stateMachineName . This operation is eventually consistent. The results are best effort and may not reflect very recent updates and changes.","ref":"aws_sfn.html#describe_state_machine/2","title":"aws_sfn.describe_state_machine/2","type":"function"},{"doc":"","ref":"aws_sfn.html#describe_state_machine/3","title":"aws_sfn.describe_state_machine/3","type":"function"},{"doc":"Provides information about a state machine's definition, its execution role ARN, and configuration. If an execution was dispatched by a Map Run, the Map Run is returned in the response. Additionally, the state machine returned will be the state machine associated with the Map Run. This operation is eventually consistent. The results are best effort and may not reflect very recent updates and changes. This API action is not supported by EXPRESS state machines.","ref":"aws_sfn.html#describe_state_machine_for_execution/2","title":"aws_sfn.describe_state_machine_for_execution/2","type":"function"},{"doc":"","ref":"aws_sfn.html#describe_state_machine_for_execution/3","title":"aws_sfn.describe_state_machine_for_execution/3","type":"function"},{"doc":"Used by workers to retrieve a task (with the specified activity ARN) which has been scheduled for execution by a running state machine. This initiates a long poll, where the service holds the HTTP connection open and responds as soon as a task becomes available (i.e. an execution of a task of this type is needed.) The maximum time the service holds on to the request before responding is 60 seconds. If no task is available within 60 seconds, the poll returns a taskToken with a null string. This API action isn't logged in CloudTrail. Workers should set their client side socket timeout to at least 65 seconds (5 seconds higher than the maximum time the service may hold the poll request). Polling with GetActivityTask can cause latency in some implementations. See Avoid Latency When Polling for Activity Tasks in the Step Functions Developer Guide.","ref":"aws_sfn.html#get_activity_task/2","title":"aws_sfn.get_activity_task/2","type":"function"},{"doc":"","ref":"aws_sfn.html#get_activity_task/3","title":"aws_sfn.get_activity_task/3","type":"function"},{"doc":"Returns the history of the specified execution as a list of events. By default, the results are returned in ascending order of the timeStamp of the events. Use the reverseOrder parameter to get the latest events first. If nextToken is returned, there are more results available. The value of nextToken is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an HTTP 400 InvalidToken error. This API action is not supported by EXPRESS state machines.","ref":"aws_sfn.html#get_execution_history/2","title":"aws_sfn.get_execution_history/2","type":"function"},{"doc":"","ref":"aws_sfn.html#get_execution_history/3","title":"aws_sfn.get_execution_history/3","type":"function"},{"doc":"Lists the existing activities. If nextToken is returned, there are more results available. The value of nextToken is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an HTTP 400 InvalidToken error. This operation is eventually consistent. The results are best effort and may not reflect very recent updates and changes.","ref":"aws_sfn.html#list_activities/2","title":"aws_sfn.list_activities/2","type":"function"},{"doc":"","ref":"aws_sfn.html#list_activities/3","title":"aws_sfn.list_activities/3","type":"function"},{"doc":"Lists all executions of a state machine or a Map Run. You can list all executions related to a state machine by specifying a state machine Amazon Resource Name (ARN), or those related to a Map Run by specifying a Map Run ARN. Results are sorted by time, with the most recent execution first. If nextToken is returned, there are more results available. The value of nextToken is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an HTTP 400 InvalidToken error. This operation is eventually consistent. The results are best effort and may not reflect very recent updates and changes. This API action is not supported by EXPRESS state machines.","ref":"aws_sfn.html#list_executions/2","title":"aws_sfn.list_executions/2","type":"function"},{"doc":"","ref":"aws_sfn.html#list_executions/3","title":"aws_sfn.list_executions/3","type":"function"},{"doc":"Lists all Map Runs that were started by a given state machine execution. Use this API action to obtain Map Run ARNs, and then call DescribeMapRun to obtain more information, if needed.","ref":"aws_sfn.html#list_map_runs/2","title":"aws_sfn.list_map_runs/2","type":"function"},{"doc":"","ref":"aws_sfn.html#list_map_runs/3","title":"aws_sfn.list_map_runs/3","type":"function"},{"doc":"Lists the existing state machines. If nextToken is returned, there are more results available. The value of nextToken is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an HTTP 400 InvalidToken error. This operation is eventually consistent. The results are best effort and may not reflect very recent updates and changes.","ref":"aws_sfn.html#list_state_machines/2","title":"aws_sfn.list_state_machines/2","type":"function"},{"doc":"","ref":"aws_sfn.html#list_state_machines/3","title":"aws_sfn.list_state_machines/3","type":"function"},{"doc":"List tags for a given resource. Tags may only contain Unicode letters, digits, white space, or these symbols: _ . : / = + - @ .","ref":"aws_sfn.html#list_tags_for_resource/2","title":"aws_sfn.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_sfn.html#list_tags_for_resource/3","title":"aws_sfn.list_tags_for_resource/3","type":"function"},{"doc":"Used by activity workers and task states using the callback pattern to report that the task identified by the taskToken failed.","ref":"aws_sfn.html#send_task_failure/2","title":"aws_sfn.send_task_failure/2","type":"function"},{"doc":"","ref":"aws_sfn.html#send_task_failure/3","title":"aws_sfn.send_task_failure/3","type":"function"},{"doc":"Used by activity workers and task states using the callback pattern to report to Step Functions that the task represented by the specified taskToken is still making progress. This action resets the Heartbeat clock. The Heartbeat threshold is specified in the state machine's Amazon States Language definition ( HeartbeatSeconds ). This action does not in itself create an event in the execution history. However, if the task times out, the execution history contains an ActivityTimedOut entry for activities, or a TaskTimedOut entry for for tasks using the job run or callback pattern. The Timeout of a task, defined in the state machine's Amazon States Language definition, is its maximum allowed duration, regardless of the number of SendTaskHeartbeat requests received. Use HeartbeatSeconds to configure the timeout interval for heartbeats.","ref":"aws_sfn.html#send_task_heartbeat/2","title":"aws_sfn.send_task_heartbeat/2","type":"function"},{"doc":"","ref":"aws_sfn.html#send_task_heartbeat/3","title":"aws_sfn.send_task_heartbeat/3","type":"function"},{"doc":"Used by activity workers and task states using the callback pattern to report that the task identified by the taskToken completed successfully.","ref":"aws_sfn.html#send_task_success/2","title":"aws_sfn.send_task_success/2","type":"function"},{"doc":"","ref":"aws_sfn.html#send_task_success/3","title":"aws_sfn.send_task_success/3","type":"function"},{"doc":"Starts a state machine execution. If the given state machine Amazon Resource Name (ARN) is a qualified state machine ARN, it will fail with ValidationException. A qualified state machine ARN refers to a Distributed Map state defined within a state machine. For example, the qualified state machine ARN arn:partition:states:region:account-id:stateMachine:stateMachineName/mapStateLabel refers to a Distributed Map state with a label mapStateLabel in the state machine named stateMachineName . StartExecution is idempotent for STANDARD workflows. For a STANDARD workflow, if StartExecution is called with the same name and input as a running execution, the call will succeed and return the same response as the original request. If the execution is closed or if the input is different, it will return a 400 ExecutionAlreadyExists error. Names can be reused after 90 days. StartExecution is not idempotent for EXPRESS workflows.","ref":"aws_sfn.html#start_execution/2","title":"aws_sfn.start_execution/2","type":"function"},{"doc":"","ref":"aws_sfn.html#start_execution/3","title":"aws_sfn.start_execution/3","type":"function"},{"doc":"Starts a Synchronous Express state machine execution. StartSyncExecution is not available for STANDARD workflows. StartSyncExecution will return a 200 OK response, even if your execution fails, because the status code in the API response doesn't reflect function errors. Error codes are reserved for errors that prevent your execution from running, such as permissions errors, limit errors, or issues with your state machine code and configuration. This API action isn't logged in CloudTrail.","ref":"aws_sfn.html#start_sync_execution/2","title":"aws_sfn.start_sync_execution/2","type":"function"},{"doc":"","ref":"aws_sfn.html#start_sync_execution/3","title":"aws_sfn.start_sync_execution/3","type":"function"},{"doc":"Stops an execution. This API action is not supported by EXPRESS state machines.","ref":"aws_sfn.html#stop_execution/2","title":"aws_sfn.stop_execution/2","type":"function"},{"doc":"","ref":"aws_sfn.html#stop_execution/3","title":"aws_sfn.stop_execution/3","type":"function"},{"doc":"Add a tag to a Step Functions resource. An array of key-value pairs. For more information, see Using Cost Allocation Tags in the Amazon Web Services Billing and Cost Management User Guide, and Controlling Access Using IAM Tags. Tags may only contain Unicode letters, digits, white space, or these symbols: _ . : / = + - @ .","ref":"aws_sfn.html#tag_resource/2","title":"aws_sfn.tag_resource/2","type":"function"},{"doc":"","ref":"aws_sfn.html#tag_resource/3","title":"aws_sfn.tag_resource/3","type":"function"},{"doc":"Remove a tag from a Step Functions resource","ref":"aws_sfn.html#untag_resource/2","title":"aws_sfn.untag_resource/2","type":"function"},{"doc":"","ref":"aws_sfn.html#untag_resource/3","title":"aws_sfn.untag_resource/3","type":"function"},{"doc":"Updates an in-progress Map Run's configuration to include changes to the settings that control maximum concurrency and Map Run failure.","ref":"aws_sfn.html#update_map_run/2","title":"aws_sfn.update_map_run/2","type":"function"},{"doc":"","ref":"aws_sfn.html#update_map_run/3","title":"aws_sfn.update_map_run/3","type":"function"},{"doc":"Updates an existing state machine by modifying its definition , roleArn , or loggingConfiguration . Running executions will continue to use the previous definition and roleArn . You must include at least one of definition or roleArn or you will receive a MissingRequiredParameter error. If the given state machine Amazon Resource Name (ARN) is a qualified state machine ARN, it will fail with ValidationException. A qualified state machine ARN refers to a Distributed Map state defined within a state machine. For example, the qualified state machine ARN arn:partition:states:region:account-id:stateMachine:stateMachineName/mapStateLabel refers to a Distributed Map state with a label mapStateLabel in the state machine named stateMachineName . All StartExecution calls within a few seconds will use the updated definition and roleArn . Executions started immediately after calling UpdateStateMachine may use the previous state machine definition and roleArn .","ref":"aws_sfn.html#update_state_machine/2","title":"aws_sfn.update_state_machine/2","type":"function"},{"doc":"","ref":"aws_sfn.html#update_state_machine/3","title":"aws_sfn.update_state_machine/3","type":"function"},{"doc":"Shield Advanced This is the Shield Advanced API Reference. This guide is for developers who need detailed information about the Shield Advanced API actions, data types, and errors. For detailed information about WAF and Shield Advanced features and an overview of how to use the WAF and Shield Advanced APIs, see the WAF and Shield Developer Guide.","ref":"aws_shield.html","title":"aws_shield","type":"module"},{"doc":"Authorizes the Shield Response Team (SRT) to access the specified Amazon S3 bucket containing log data such as Application Load Balancer access logs, CloudFront logs, or logs from third party sources. You can associate up to 10 Amazon S3 buckets with your subscription. To use the services of the SRT and make an AssociateDRTLogBucket request, you must be subscribed to the Business Support plan or the Enterprise Support plan.","ref":"aws_shield.html#associate_drt_log_bucket/2","title":"aws_shield.associate_drt_log_bucket/2","type":"function"},{"doc":"","ref":"aws_shield.html#associate_drt_log_bucket/3","title":"aws_shield.associate_drt_log_bucket/3","type":"function"},{"doc":"Authorizes the Shield Response Team (SRT) using the specified role, to access your Amazon Web Services account to assist with DDoS attack mitigation during potential attacks. This enables the SRT to inspect your WAF configuration and create or update WAF rules and web ACLs. You can associate only one RoleArn with your subscription. If you submit an AssociateDRTRole request for an account that already has an associated role, the new RoleArn will replace the existing RoleArn . Prior to making the AssociateDRTRole request, you must attach the AWSShieldDRTAccessPolicy managed policy to the role that you'll specify in the request. You can access this policy in the IAM console at AWSShieldDRTAccessPolicy. For more information see Adding and removing IAM identity permissions. The role must also trust the service principal drt.shield.amazonaws.com . For more information, see IAM JSON policy elements: Principal. The SRT will have access only to your WAF and Shield resources. By submitting this request, you authorize the SRT to inspect your WAF and Shield configuration and create and update WAF rules and web ACLs on your behalf. The SRT takes these actions only if explicitly authorized by you. You must have the iam:PassRole permission to make an AssociateDRTRole request. For more information, see Granting a user permissions to pass a role to an Amazon Web Services service. To use the services of the SRT and make an AssociateDRTRole request, you must be subscribed to the Business Support plan or the Enterprise Support plan.","ref":"aws_shield.html#associate_drt_role/2","title":"aws_shield.associate_drt_role/2","type":"function"},{"doc":"","ref":"aws_shield.html#associate_drt_role/3","title":"aws_shield.associate_drt_role/3","type":"function"},{"doc":"Adds health-based detection to the Shield Advanced protection for a resource. Shield Advanced health-based detection uses the health of your Amazon Web Services resource to improve responsiveness and accuracy in attack detection and response. You define the health check in Route 53 and then associate it with your Shield Advanced protection. For more information, see Shield Advanced Health-Based Detection in the WAF Developer Guide.","ref":"aws_shield.html#associate_health_check/2","title":"aws_shield.associate_health_check/2","type":"function"},{"doc":"","ref":"aws_shield.html#associate_health_check/3","title":"aws_shield.associate_health_check/3","type":"function"},{"doc":"Initializes proactive engagement and sets the list of contacts for the Shield Response Team (SRT) to use. You must provide at least one phone number in the emergency contact list. After you have initialized proactive engagement using this call, to disable or enable proactive engagement, use the calls DisableProactiveEngagement and EnableProactiveEngagement . This call defines the list of email addresses and phone numbers that the SRT can use to contact you for escalations to the SRT and to initiate proactive customer support. The contacts that you provide in the request replace any contacts that were already defined. If you already have contacts defined and want to use them, retrieve the list using DescribeEmergencyContactSettings and then provide it to this call.","ref":"aws_shield.html#associate_proactive_engagement_details/2","title":"aws_shield.associate_proactive_engagement_details/2","type":"function"},{"doc":"","ref":"aws_shield.html#associate_proactive_engagement_details/3","title":"aws_shield.associate_proactive_engagement_details/3","type":"function"},{"doc":"Enables Shield Advanced for a specific Amazon Web Services resource. The resource can be an Amazon CloudFront distribution, Amazon Route 53 hosted zone, Global Accelerator standard accelerator, Elastic IP Address, Application Load Balancer, or a Classic Load Balancer. You can protect Amazon EC2 instances and Network Load Balancers by association with protected Amazon EC2 Elastic IP addresses. You can add protection to only a single resource with each CreateProtection request. You can add protection to multiple resources at once through the Shield Advanced console at https://console.aws.amazon.com/wafv2/shieldv2#/ . For more information see Getting Started with Shield Advanced and Adding Shield Advanced protection to Amazon Web Services resources.","ref":"aws_shield.html#create_protection/2","title":"aws_shield.create_protection/2","type":"function"},{"doc":"","ref":"aws_shield.html#create_protection/3","title":"aws_shield.create_protection/3","type":"function"},{"doc":"Creates a grouping of protected resources so they can be handled as a collective. This resource grouping improves the accuracy of detection and reduces false positives.","ref":"aws_shield.html#create_protection_group/2","title":"aws_shield.create_protection_group/2","type":"function"},{"doc":"","ref":"aws_shield.html#create_protection_group/3","title":"aws_shield.create_protection_group/3","type":"function"},{"doc":"Activates Shield Advanced for an account. For accounts that are members of an Organizations organization, Shield Advanced subscriptions are billed against the organization's payer account, regardless of whether the payer account itself is subscribed. When you initially create a subscription, your subscription is set to be automatically renewed at the end of the existing subscription period. You can change this by submitting an UpdateSubscription request.","ref":"aws_shield.html#create_subscription/2","title":"aws_shield.create_subscription/2","type":"function"},{"doc":"","ref":"aws_shield.html#create_subscription/3","title":"aws_shield.create_subscription/3","type":"function"},{"doc":"Deletes an Shield Advanced Protection .","ref":"aws_shield.html#delete_protection/2","title":"aws_shield.delete_protection/2","type":"function"},{"doc":"","ref":"aws_shield.html#delete_protection/3","title":"aws_shield.delete_protection/3","type":"function"},{"doc":"Removes the specified protection group.","ref":"aws_shield.html#delete_protection_group/2","title":"aws_shield.delete_protection_group/2","type":"function"},{"doc":"","ref":"aws_shield.html#delete_protection_group/3","title":"aws_shield.delete_protection_group/3","type":"function"},{"doc":"Removes Shield Advanced from an account. Shield Advanced requires a 1-year subscription commitment. You cannot delete a subscription prior to the completion of that commitment.","ref":"aws_shield.html#delete_subscription/2","title":"aws_shield.delete_subscription/2","type":"function"},{"doc":"","ref":"aws_shield.html#delete_subscription/3","title":"aws_shield.delete_subscription/3","type":"function"},{"doc":"Describes the details of a DDoS attack.","ref":"aws_shield.html#describe_attack/2","title":"aws_shield.describe_attack/2","type":"function"},{"doc":"","ref":"aws_shield.html#describe_attack/3","title":"aws_shield.describe_attack/3","type":"function"},{"doc":"Provides information about the number and type of attacks Shield has detected in the last year for all resources that belong to your account, regardless of whether you've defined Shield protections for them. This operation is available to Shield customers as well as to Shield Advanced customers. The operation returns data for the time range of midnight UTC, one year ago, to midnight UTC, today. For example, if the current time is 2020-10-26 15:39:32 PDT , equal to 2020-10-26 22:39:32 UTC , then the time range for the attack data returned is from 2019-10-26 00:00:00 UTC to 2020-10-26 00:00:00 UTC . The time range indicates the period covered by the attack statistics data items.","ref":"aws_shield.html#describe_attack_statistics/2","title":"aws_shield.describe_attack_statistics/2","type":"function"},{"doc":"","ref":"aws_shield.html#describe_attack_statistics/3","title":"aws_shield.describe_attack_statistics/3","type":"function"},{"doc":"Returns the current role and list of Amazon S3 log buckets used by the Shield Response Team (SRT) to access your Amazon Web Services account while assisting with attack mitigation.","ref":"aws_shield.html#describe_drt_access/2","title":"aws_shield.describe_drt_access/2","type":"function"},{"doc":"","ref":"aws_shield.html#describe_drt_access/3","title":"aws_shield.describe_drt_access/3","type":"function"},{"doc":"A list of email addresses and phone numbers that the Shield Response Team (SRT) can use to contact you if you have proactive engagement enabled, for escalations to the SRT and to initiate proactive customer support.","ref":"aws_shield.html#describe_emergency_contact_settings/2","title":"aws_shield.describe_emergency_contact_settings/2","type":"function"},{"doc":"","ref":"aws_shield.html#describe_emergency_contact_settings/3","title":"aws_shield.describe_emergency_contact_settings/3","type":"function"},{"doc":"Lists the details of a Protection object.","ref":"aws_shield.html#describe_protection/2","title":"aws_shield.describe_protection/2","type":"function"},{"doc":"","ref":"aws_shield.html#describe_protection/3","title":"aws_shield.describe_protection/3","type":"function"},{"doc":"Returns the specification for the specified protection group.","ref":"aws_shield.html#describe_protection_group/2","title":"aws_shield.describe_protection_group/2","type":"function"},{"doc":"","ref":"aws_shield.html#describe_protection_group/3","title":"aws_shield.describe_protection_group/3","type":"function"},{"doc":"Provides details about the Shield Advanced subscription for an account.","ref":"aws_shield.html#describe_subscription/2","title":"aws_shield.describe_subscription/2","type":"function"},{"doc":"","ref":"aws_shield.html#describe_subscription/3","title":"aws_shield.describe_subscription/3","type":"function"},{"doc":"Disable the Shield Advanced automatic application layer DDoS mitigation feature for the protected resource. This stops Shield Advanced from creating, verifying, and applying WAF rules for attacks that it detects for the resource.","ref":"aws_shield.html#disable_application_layer_automatic_response/2","title":"aws_shield.disable_application_layer_automatic_response/2","type":"function"},{"doc":"","ref":"aws_shield.html#disable_application_layer_automatic_response/3","title":"aws_shield.disable_application_layer_automatic_response/3","type":"function"},{"doc":"Removes authorization from the Shield Response Team (SRT) to notify contacts about escalations to the SRT and to initiate proactive customer support.","ref":"aws_shield.html#disable_proactive_engagement/2","title":"aws_shield.disable_proactive_engagement/2","type":"function"},{"doc":"","ref":"aws_shield.html#disable_proactive_engagement/3","title":"aws_shield.disable_proactive_engagement/3","type":"function"},{"doc":"Removes the Shield Response Team's (SRT) access to the specified Amazon S3 bucket containing the logs that you shared previously.","ref":"aws_shield.html#disassociate_drt_log_bucket/2","title":"aws_shield.disassociate_drt_log_bucket/2","type":"function"},{"doc":"","ref":"aws_shield.html#disassociate_drt_log_bucket/3","title":"aws_shield.disassociate_drt_log_bucket/3","type":"function"},{"doc":"Removes the Shield Response Team's (SRT) access to your Amazon Web Services account.","ref":"aws_shield.html#disassociate_drt_role/2","title":"aws_shield.disassociate_drt_role/2","type":"function"},{"doc":"","ref":"aws_shield.html#disassociate_drt_role/3","title":"aws_shield.disassociate_drt_role/3","type":"function"},{"doc":"Removes health-based detection from the Shield Advanced protection for a resource. Shield Advanced health-based detection uses the health of your Amazon Web Services resource to improve responsiveness and accuracy in attack detection and response. You define the health check in Route 53 and then associate or disassociate it with your Shield Advanced protection. For more information, see Shield Advanced Health-Based Detection in the WAF Developer Guide.","ref":"aws_shield.html#disassociate_health_check/2","title":"aws_shield.disassociate_health_check/2","type":"function"},{"doc":"","ref":"aws_shield.html#disassociate_health_check/3","title":"aws_shield.disassociate_health_check/3","type":"function"},{"doc":"Enable the Shield Advanced automatic application layer DDoS mitigation for the protected resource. This feature is available for Amazon CloudFront distributions and Application Load Balancers only. This causes Shield Advanced to create, verify, and apply WAF rules for DDoS attacks that it detects for the resource. Shield Advanced applies the rules in a Shield rule group inside the web ACL that you've associated with the resource. For information about how automatic mitigation works and the requirements for using it, see Shield Advanced automatic application layer DDoS mitigation. Don't use this action to make changes to automatic mitigation settings when it's already enabled for a resource. Instead, use UpdateApplicationLayerAutomaticResponse . To use this feature, you must associate a web ACL with the protected resource. The web ACL must be created using the latest version of WAF (v2). You can associate the web ACL through the Shield Advanced console at https://console.aws.amazon.com/wafv2/shieldv2#/ . For more information, see Getting Started with Shield Advanced. You can also associate the web ACL to the resource through the WAF console or the WAF API, but you must manage Shield Advanced automatic mitigation through Shield Advanced. For information about WAF, see WAF Developer Guide.","ref":"aws_shield.html#enable_application_layer_automatic_response/2","title":"aws_shield.enable_application_layer_automatic_response/2","type":"function"},{"doc":"","ref":"aws_shield.html#enable_application_layer_automatic_response/3","title":"aws_shield.enable_application_layer_automatic_response/3","type":"function"},{"doc":"Authorizes the Shield Response Team (SRT) to use email and phone to notify contacts about escalations to the SRT and to initiate proactive customer support.","ref":"aws_shield.html#enable_proactive_engagement/2","title":"aws_shield.enable_proactive_engagement/2","type":"function"},{"doc":"","ref":"aws_shield.html#enable_proactive_engagement/3","title":"aws_shield.enable_proactive_engagement/3","type":"function"},{"doc":"Returns the SubscriptionState , either Active or Inactive .","ref":"aws_shield.html#get_subscription_state/2","title":"aws_shield.get_subscription_state/2","type":"function"},{"doc":"","ref":"aws_shield.html#get_subscription_state/3","title":"aws_shield.get_subscription_state/3","type":"function"},{"doc":"Returns all ongoing DDoS attacks or all DDoS attacks during a specified time period.","ref":"aws_shield.html#list_attacks/2","title":"aws_shield.list_attacks/2","type":"function"},{"doc":"","ref":"aws_shield.html#list_attacks/3","title":"aws_shield.list_attacks/3","type":"function"},{"doc":"Retrieves ProtectionGroup objects for the account. You can retrieve all protection groups or you can provide filtering criteria and retrieve just the subset of protection groups that match the criteria.","ref":"aws_shield.html#list_protection_groups/2","title":"aws_shield.list_protection_groups/2","type":"function"},{"doc":"","ref":"aws_shield.html#list_protection_groups/3","title":"aws_shield.list_protection_groups/3","type":"function"},{"doc":"Retrieves Protection objects for the account. You can retrieve all protections or you can provide filtering criteria and retrieve just the subset of protections that match the criteria.","ref":"aws_shield.html#list_protections/2","title":"aws_shield.list_protections/2","type":"function"},{"doc":"","ref":"aws_shield.html#list_protections/3","title":"aws_shield.list_protections/3","type":"function"},{"doc":"Retrieves the resources that are included in the protection group.","ref":"aws_shield.html#list_resources_in_protection_group/2","title":"aws_shield.list_resources_in_protection_group/2","type":"function"},{"doc":"","ref":"aws_shield.html#list_resources_in_protection_group/3","title":"aws_shield.list_resources_in_protection_group/3","type":"function"},{"doc":"Gets information about Amazon Web Services tags for a specified Amazon Resource Name (ARN) in Shield.","ref":"aws_shield.html#list_tags_for_resource/2","title":"aws_shield.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_shield.html#list_tags_for_resource/3","title":"aws_shield.list_tags_for_resource/3","type":"function"},{"doc":"Adds or updates tags for a resource in Shield.","ref":"aws_shield.html#tag_resource/2","title":"aws_shield.tag_resource/2","type":"function"},{"doc":"","ref":"aws_shield.html#tag_resource/3","title":"aws_shield.tag_resource/3","type":"function"},{"doc":"Removes tags from a resource in Shield.","ref":"aws_shield.html#untag_resource/2","title":"aws_shield.untag_resource/2","type":"function"},{"doc":"","ref":"aws_shield.html#untag_resource/3","title":"aws_shield.untag_resource/3","type":"function"},{"doc":"Updates an existing Shield Advanced automatic application layer DDoS mitigation configuration for the specified resource.","ref":"aws_shield.html#update_application_layer_automatic_response/2","title":"aws_shield.update_application_layer_automatic_response/2","type":"function"},{"doc":"","ref":"aws_shield.html#update_application_layer_automatic_response/3","title":"aws_shield.update_application_layer_automatic_response/3","type":"function"},{"doc":"Updates the details of the list of email addresses and phone numbers that the Shield Response Team (SRT) can use to contact you if you have proactive engagement enabled, for escalations to the SRT and to initiate proactive customer support.","ref":"aws_shield.html#update_emergency_contact_settings/2","title":"aws_shield.update_emergency_contact_settings/2","type":"function"},{"doc":"","ref":"aws_shield.html#update_emergency_contact_settings/3","title":"aws_shield.update_emergency_contact_settings/3","type":"function"},{"doc":"Updates an existing protection group. A protection group is a grouping of protected resources so they can be handled as a collective. This resource grouping improves the accuracy of detection and reduces false positives.","ref":"aws_shield.html#update_protection_group/2","title":"aws_shield.update_protection_group/2","type":"function"},{"doc":"","ref":"aws_shield.html#update_protection_group/3","title":"aws_shield.update_protection_group/3","type":"function"},{"doc":"Updates the details of an existing subscription. Only enter values for parameters you want to change. Empty parameters are not updated. For accounts that are members of an Organizations organization, Shield Advanced subscriptions are billed against the organization's payer account, regardless of whether the payer account itself is subscribed.","ref":"aws_shield.html#update_subscription/2","title":"aws_shield.update_subscription/2","type":"function"},{"doc":"","ref":"aws_shield.html#update_subscription/3","title":"aws_shield.update_subscription/3","type":"function"},{"doc":"AWS Signer is a fully managed code signing service to help you ensure the trust and integrity of your code. AWS Signer supports the following applications: With code signing for AWS Lambda, you can sign AWS Lambda deployment packages. Integrated support is provided for Amazon S3, Amazon CloudWatch, and AWS CloudTrail. In order to sign code, you create a signing profile and then use Signer to sign Lambda zip files in S3. With code signing for IoT, you can sign code for any IoT device that is supported by AWS. IoT code signing is available for Amazon FreeRTOS and AWS IoT Device Management, and is integrated with AWS Certificate Manager (ACM). In order to sign code, you import a third-party code signing certificate using ACM, and use that to sign updates in Amazon FreeRTOS and AWS IoT Device Management. For more information about AWS Signer, see the AWS Signer Developer Guide.","ref":"aws_signer.html","title":"aws_signer","type":"module"},{"doc":"Adds cross-account permissions to a signing profile.","ref":"aws_signer.html#add_profile_permission/3","title":"aws_signer.add_profile_permission/3","type":"function"},{"doc":"","ref":"aws_signer.html#add_profile_permission/4","title":"aws_signer.add_profile_permission/4","type":"function"},{"doc":"Changes the state of an ACTIVE signing profile to CANCELED . A canceled profile is still viewable with the ListSigningProfiles operation, but it cannot perform new signing jobs, and is deleted two years after cancelation.","ref":"aws_signer.html#cancel_signing_profile/3","title":"aws_signer.cancel_signing_profile/3","type":"function"},{"doc":"","ref":"aws_signer.html#cancel_signing_profile/4","title":"aws_signer.cancel_signing_profile/4","type":"function"},{"doc":"Returns information about a specific code signing job. You specify the job by using the jobId value that is returned by the StartSigningJob operation.","ref":"aws_signer.html#describe_signing_job/2","title":"aws_signer.describe_signing_job/2","type":"function"},{"doc":"","ref":"aws_signer.html#describe_signing_job/4","title":"aws_signer.describe_signing_job/4","type":"function"},{"doc":"","ref":"aws_signer.html#describe_signing_job/5","title":"aws_signer.describe_signing_job/5","type":"function"},{"doc":"Returns information on a specific signing platform.","ref":"aws_signer.html#get_signing_platform/2","title":"aws_signer.get_signing_platform/2","type":"function"},{"doc":"","ref":"aws_signer.html#get_signing_platform/4","title":"aws_signer.get_signing_platform/4","type":"function"},{"doc":"","ref":"aws_signer.html#get_signing_platform/5","title":"aws_signer.get_signing_platform/5","type":"function"},{"doc":"Returns information on a specific signing profile.","ref":"aws_signer.html#get_signing_profile/2","title":"aws_signer.get_signing_profile/2","type":"function"},{"doc":"","ref":"aws_signer.html#get_signing_profile/4","title":"aws_signer.get_signing_profile/4","type":"function"},{"doc":"","ref":"aws_signer.html#get_signing_profile/5","title":"aws_signer.get_signing_profile/5","type":"function"},{"doc":"Lists the cross-account permissions associated with a signing profile.","ref":"aws_signer.html#list_profile_permissions/2","title":"aws_signer.list_profile_permissions/2","type":"function"},{"doc":"","ref":"aws_signer.html#list_profile_permissions/4","title":"aws_signer.list_profile_permissions/4","type":"function"},{"doc":"","ref":"aws_signer.html#list_profile_permissions/5","title":"aws_signer.list_profile_permissions/5","type":"function"},{"doc":"Lists all your signing jobs. You can use the maxResults parameter to limit the number of signing jobs that are returned in the response. If additional jobs remain to be listed, code signing returns a nextToken value. Use this value in subsequent calls to ListSigningJobs to fetch the remaining values. You can continue calling ListSigningJobs with your maxResults parameter and with new values that code signing returns in the nextToken parameter until all of your signing jobs have been returned.","ref":"aws_signer.html#list_signing_jobs/1","title":"aws_signer.list_signing_jobs/1","type":"function"},{"doc":"","ref":"aws_signer.html#list_signing_jobs/3","title":"aws_signer.list_signing_jobs/3","type":"function"},{"doc":"","ref":"aws_signer.html#list_signing_jobs/4","title":"aws_signer.list_signing_jobs/4","type":"function"},{"doc":"Lists all signing platforms available in code signing that match the request parameters. If additional jobs remain to be listed, code signing returns a nextToken value. Use this value in subsequent calls to ListSigningJobs to fetch the remaining values. You can continue calling ListSigningJobs with your maxResults parameter and with new values that code signing returns in the nextToken parameter until all of your signing jobs have been returned.","ref":"aws_signer.html#list_signing_platforms/1","title":"aws_signer.list_signing_platforms/1","type":"function"},{"doc":"","ref":"aws_signer.html#list_signing_platforms/3","title":"aws_signer.list_signing_platforms/3","type":"function"},{"doc":"","ref":"aws_signer.html#list_signing_platforms/4","title":"aws_signer.list_signing_platforms/4","type":"function"},{"doc":"Lists all available signing profiles in your AWS account. Returns only profiles with an ACTIVE status unless the includeCanceled request field is set to true . If additional jobs remain to be listed, code signing returns a nextToken value. Use this value in subsequent calls to ListSigningJobs to fetch the remaining values. You can continue calling ListSigningJobs with your maxResults parameter and with new values that code signing returns in the nextToken parameter until all of your signing jobs have been returned.","ref":"aws_signer.html#list_signing_profiles/1","title":"aws_signer.list_signing_profiles/1","type":"function"},{"doc":"","ref":"aws_signer.html#list_signing_profiles/3","title":"aws_signer.list_signing_profiles/3","type":"function"},{"doc":"","ref":"aws_signer.html#list_signing_profiles/4","title":"aws_signer.list_signing_profiles/4","type":"function"},{"doc":"Returns a list of the tags associated with a signing profile resource.","ref":"aws_signer.html#list_tags_for_resource/2","title":"aws_signer.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_signer.html#list_tags_for_resource/4","title":"aws_signer.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_signer.html#list_tags_for_resource/5","title":"aws_signer.list_tags_for_resource/5","type":"function"},{"doc":"Creates a signing profile. A signing profile is a code signing template that can be used to carry out a pre-defined signing job. For more information, see http://docs.aws.amazon.com/signer/latest/developerguide/gs-profile.html","ref":"aws_signer.html#put_signing_profile/3","title":"aws_signer.put_signing_profile/3","type":"function"},{"doc":"","ref":"aws_signer.html#put_signing_profile/4","title":"aws_signer.put_signing_profile/4","type":"function"},{"doc":"Removes cross-account permissions from a signing profile.","ref":"aws_signer.html#remove_profile_permission/4","title":"aws_signer.remove_profile_permission/4","type":"function"},{"doc":"","ref":"aws_signer.html#remove_profile_permission/5","title":"aws_signer.remove_profile_permission/5","type":"function"},{"doc":"Changes the state of a signing job to REVOKED. This indicates that the signature is no longer valid.","ref":"aws_signer.html#revoke_signature/3","title":"aws_signer.revoke_signature/3","type":"function"},{"doc":"","ref":"aws_signer.html#revoke_signature/4","title":"aws_signer.revoke_signature/4","type":"function"},{"doc":"Changes the state of a signing profile to REVOKED. This indicates that signatures generated using the signing profile after an effective start date are no longer valid.","ref":"aws_signer.html#revoke_signing_profile/3","title":"aws_signer.revoke_signing_profile/3","type":"function"},{"doc":"","ref":"aws_signer.html#revoke_signing_profile/4","title":"aws_signer.revoke_signing_profile/4","type":"function"},{"doc":"Initiates a signing job to be performed on the code provided. Signing jobs are viewable by the ListSigningJobs operation for two years after they are performed. Note the following requirements: You must create an Amazon S3 source bucket. For more information, see Create a Bucket in the Amazon S3 Getting Started Guide. Your S3 source bucket must be version enabled. You must create an S3 destination bucket. Code signing uses your S3 destination bucket to write your signed code. You specify the name of the source and destination buckets when calling the StartSigningJob operation. You must also specify a request token that identifies your request to code signing. You can call the DescribeSigningJob and the ListSigningJobs actions after you call StartSigningJob . For a Java example that shows how to use this action, see http://docs.aws.amazon.com/acm/latest/userguide/","ref":"aws_signer.html#start_signing_job/2","title":"aws_signer.start_signing_job/2","type":"function"},{"doc":"","ref":"aws_signer.html#start_signing_job/3","title":"aws_signer.start_signing_job/3","type":"function"},{"doc":"Adds one or more tags to a signing profile. Tags are labels that you can use to identify and organize your AWS resources. Each tag consists of a key and an optional value. To specify the signing profile, use its Amazon Resource Name (ARN). To specify the tag, use a key-value pair.","ref":"aws_signer.html#tag_resource/3","title":"aws_signer.tag_resource/3","type":"function"},{"doc":"","ref":"aws_signer.html#tag_resource/4","title":"aws_signer.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from a signing profile. To remove the tags, specify a list of tag keys.","ref":"aws_signer.html#untag_resource/3","title":"aws_signer.untag_resource/3","type":"function"},{"doc":"","ref":"aws_signer.html#untag_resource/4","title":"aws_signer.untag_resource/4","type":"function"},{"doc":"Amazon SimpleDB is a web service providing the core database functions of data indexing and querying in the cloud. By offloading the time and effort associated with building and operating a web-scale database, SimpleDB provides developers the freedom to focus on application development. A traditional, clustered relational database requires a sizable upfront capital outlay, is complex to design, and often requires extensive and repetitive database administration. Amazon SimpleDB is dramatically simpler, requiring no schema, automatically indexing your data and providing a simple API for storage and access. This approach eliminates the administrative burden of data modeling, index maintenance, and performance tuning. Developers gain access to this functionality within Amazon's proven computing environment, are able to scale instantly, and pay only for what they use. Visit http://aws.amazon.com/simpledb/ for more information.","ref":"aws_simpledb.html","title":"aws_simpledb","type":"module"},{"doc":"Performs multiple DeleteAttributes operations in a single call, which reduces round trips and latencies. This enables Amazon SimpleDB to optimize requests, which generally yields better throughput. If you specify BatchDeleteAttributes without attributes or values, all the attributes for the item are deleted. BatchDeleteAttributes is an idempotent operation; running it multiple times on the same item or attribute doesn't result in an error. The BatchDeleteAttributes operation succeeds or fails in its entirety. There are no partial deletes. You can execute multiple BatchDeleteAttributes operations and other operations in parallel. However, large numbers of concurrent BatchDeleteAttributes calls can result in Service Unavailable (503) responses. This operation is vulnerable to exceeding the maximum URL size when making a REST request using the HTTP GET method. This operation does not support conditions using Expected.X.Name, Expected.X.Value, or Expected.X.Exists. The following limitations are enforced for this operation: 1 MB request size 25 item limit per BatchDeleteAttributes operation","ref":"aws_simpledb.html#batch_delete_attributes/2","title":"aws_simpledb.batch_delete_attributes/2","type":"function"},{"doc":"","ref":"aws_simpledb.html#batch_delete_attributes/3","title":"aws_simpledb.batch_delete_attributes/3","type":"function"},{"doc":"The BatchPutAttributes operation creates or replaces attributes within one or more items. By using this operation, the client can perform multiple PutAttribute operation with a single call. This helps yield savings in round trips and latencies, enabling Amazon SimpleDB to optimize requests and generally produce better throughput. The client may specify the item name with the Item.X.ItemName parameter. The client may specify new attributes using a combination of the Item.X.Attribute.Y.Name and Item.X.Attribute.Y.Value parameters. The client may specify the first attribute for the first item using the parameters Item.0.Attribute.0.Name and Item.0.Attribute.0.Value , and for the second attribute for the first item by the parameters Item.0.Attribute.1.Name and Item.0.Attribute.1.Value , and so on. Attributes are uniquely identified within an item by their name/value combination. For example, a single item can have the attributes { &amp;quot;first_name&amp;quot;, &amp;quot;first_value&amp;quot; } and { &amp;quot;first_name&amp;quot;, &amp;quot;second_value&amp;quot; } . However, it cannot have two attribute instances where both the Item.X.Attribute.Y.Name and Item.X.Attribute.Y.Value are the same. Optionally, the requester can supply the Replace parameter for each individual value. Setting this value to true will cause the new attribute values to replace the existing attribute values. For example, if an item I has the attributes { a', '1' }, { 'b', '2'}' and { b', '3' }' and the requester does a BatchPutAttributes of { I', 'b', '4' }' with the Replace parameter set to true, the final attributes of the item will be { a', '1' }' and { b', '4' }', replacing the previous values of the 'b' attribute with the new value. You cannot specify an empty string as an item or as an attribute name. The BatchPutAttributes operation succeeds or fails in its entirety. There are no partial puts. This operation is vulnerable to exceeding the maximum URL size when making a REST request using the HTTP GET method. This operation does not support conditions using Expected.X.Name , Expected.X.Value , or Expected.X.Exists . You can execute multiple BatchPutAttributes operations and other operations in parallel. However, large numbers of concurrent BatchPutAttributes calls can result in Service Unavailable (503) responses. The following limitations are enforced for this operation: 256 attribute name-value pairs per item 1 MB request size 1 billion attributes per domain 10 GB of total user data storage per domain 25 item limit per BatchPutAttributes operation","ref":"aws_simpledb.html#batch_put_attributes/2","title":"aws_simpledb.batch_put_attributes/2","type":"function"},{"doc":"","ref":"aws_simpledb.html#batch_put_attributes/3","title":"aws_simpledb.batch_put_attributes/3","type":"function"},{"doc":"The CreateDomain operation creates a new domain. The domain name should be unique among the domains associated with the Access Key ID provided in the request. The CreateDomain operation may take 10 or more seconds to complete. CreateDomain is an idempotent operation; running it multiple times using the same domain name will not result in an error response. The client can create up to 100 domains per account. If the client requires additional domains, go to http://aws.amazon.com/contact-us/simpledb-limit-request/.","ref":"aws_simpledb.html#create_domain/2","title":"aws_simpledb.create_domain/2","type":"function"},{"doc":"","ref":"aws_simpledb.html#create_domain/3","title":"aws_simpledb.create_domain/3","type":"function"},{"doc":"Deletes one or more attributes associated with an item. If all attributes of the item are deleted, the item is deleted. If DeleteAttributes is called without being passed any attributes or values specified, all the attributes for the item are deleted. DeleteAttributes is an idempotent operation; running it multiple times on the same item or attribute does not result in an error response. Because Amazon SimpleDB makes multiple copies of item data and uses an eventual consistency update model, performing a GetAttributes or Select operation (read) immediately after a DeleteAttributes or PutAttributes operation (write) might not return updated item data.","ref":"aws_simpledb.html#delete_attributes/2","title":"aws_simpledb.delete_attributes/2","type":"function"},{"doc":"","ref":"aws_simpledb.html#delete_attributes/3","title":"aws_simpledb.delete_attributes/3","type":"function"},{"doc":"The DeleteDomain operation deletes a domain. Any items (and their attributes) in the domain are deleted as well. The DeleteDomain operation might take 10 or more seconds to complete. Running DeleteDomain on a domain that does not exist or running the function multiple times using the same domain name will not result in an error response.","ref":"aws_simpledb.html#delete_domain/2","title":"aws_simpledb.delete_domain/2","type":"function"},{"doc":"","ref":"aws_simpledb.html#delete_domain/3","title":"aws_simpledb.delete_domain/3","type":"function"},{"doc":"Returns information about the domain, including when the domain was created, the number of items and attributes in the domain, and the size of the attribute names and values.","ref":"aws_simpledb.html#domain_metadata/2","title":"aws_simpledb.domain_metadata/2","type":"function"},{"doc":"","ref":"aws_simpledb.html#domain_metadata/3","title":"aws_simpledb.domain_metadata/3","type":"function"},{"doc":"Returns all of the attributes associated with the specified item. Optionally, the attributes returned can be limited to one or more attributes by specifying an attribute name parameter. If the item does not exist on the replica that was accessed for this operation, an empty set is returned. The system does not return an error as it cannot guarantee the item does not exist on other replicas. If GetAttributes is called without being passed any attribute names, all the attributes for the item are returned.","ref":"aws_simpledb.html#get_attributes/2","title":"aws_simpledb.get_attributes/2","type":"function"},{"doc":"","ref":"aws_simpledb.html#get_attributes/3","title":"aws_simpledb.get_attributes/3","type":"function"},{"doc":"The ListDomains operation lists all domains associated with the Access Key ID. It returns domain names up to the limit set by MaxNumberOfDomains. A NextToken is returned if there are more than MaxNumberOfDomains domains. Calling ListDomains successive times with the NextToken provided by the operation returns up to MaxNumberOfDomains more domain names with each successive operation call.","ref":"aws_simpledb.html#list_domains/2","title":"aws_simpledb.list_domains/2","type":"function"},{"doc":"","ref":"aws_simpledb.html#list_domains/3","title":"aws_simpledb.list_domains/3","type":"function"},{"doc":"The PutAttributes operation creates or replaces attributes in an item. The client may specify new attributes using a combination of the Attribute.X.Name and Attribute.X.Value parameters. The client specifies the first attribute by the parameters Attribute.0.Name and Attribute.0.Value , the second attribute by the parameters Attribute.1.Name and Attribute.1.Value , and so on. Attributes are uniquely identified in an item by their name/value combination. For example, a single item can have the attributes { &amp;quot;first_name&amp;quot;, &amp;quot;first_value&amp;quot; } and { &amp;quot;first_name&amp;quot;, second_value&amp;quot; } . However, it cannot have two attribute instances where both the Attribute.X.Name and Attribute.X.Value are the same. Optionally, the requestor can supply the Replace parameter for each individual attribute. Setting this value to true causes the new attribute value to replace the existing attribute value(s). For example, if an item has the attributes { a', '1' }', { b', '2'}' and { b', '3' }' and the requestor calls PutAttributes using the attributes { b', '4' }' with the Replace parameter set to true, the final attributes of the item are changed to { a', '1' }' and { b', '4' }', which replaces the previous values of the 'b' attribute with the new value. Using PutAttributes to replace attribute values that do not exist will not result in an error response. You cannot specify an empty string as an attribute name. Because Amazon SimpleDB makes multiple copies of client data and uses an eventual consistency update model, an immediate GetAttributes or Select operation (read) immediately after a PutAttributes or DeleteAttributes operation (write) might not return the updated data. The following limitations are enforced for this operation: 256 total attribute name-value pairs per item One billion attributes per domain 10 GB of total user data storage per domain","ref":"aws_simpledb.html#put_attributes/2","title":"aws_simpledb.put_attributes/2","type":"function"},{"doc":"","ref":"aws_simpledb.html#put_attributes/3","title":"aws_simpledb.put_attributes/3","type":"function"},{"doc":"The Select operation returns a set of attributes for ItemNames that match the select expression. Select is similar to the standard SQL SELECT statement. The total size of the response cannot exceed 1 MB in total size. Amazon SimpleDB automatically adjusts the number of items returned per page to enforce this limit. For example, if the client asks to retrieve 2500 items, but each individual item is 10 kB in size, the system returns 100 items and an appropriate NextToken so the client can access the next page of results. For information on how to construct select expressions, see Using Select to Create Amazon SimpleDB Queries in the Developer Guide.","ref":"aws_simpledb.html#select/2","title":"aws_simpledb.select/2","type":"function"},{"doc":"","ref":"aws_simpledb.html#select/3","title":"aws_simpledb.select/3","type":"function"},{"doc":"Amazon Web Services SimSpace Weaver (SimSpace Weaver) is a managed service that you can use to build and operate large-scale spatial simulations in the Amazon Web Services Cloud. For example, you can create a digital twin of a city, crowd simulations with millions of people and objects, and massilvely-multiplayer games with hundreds of thousands of connected players. For more information about SimSpace Weaver, see the Amazon Web Services SimSpace Weaver User Guide . This API reference describes the API operations and data types that you can use to communicate directly with SimSpace Weaver. SimSpace Weaver also provides the SimSpace Weaver app SDK, which you use for app development. The SimSpace Weaver app SDK API reference is included in the SimSpace Weaver app SDK documentation, which is part of the SimSpace Weaver app SDK distributable package.","ref":"aws_simspaceweaver.html","title":"aws_simspaceweaver","type":"module"},{"doc":"Deletes the instance of the given custom app.","ref":"aws_simspaceweaver.html#delete_app/2","title":"aws_simspaceweaver.delete_app/2","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#delete_app/3","title":"aws_simspaceweaver.delete_app/3","type":"function"},{"doc":"Deletes all SimSpace Weaver resources assigned to the given simulation. Your simulation uses resources in other Amazon Web Services services. This API operation doesn't delete resources in other Amazon Web Services services.","ref":"aws_simspaceweaver.html#delete_simulation/2","title":"aws_simspaceweaver.delete_simulation/2","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#delete_simulation/3","title":"aws_simspaceweaver.delete_simulation/3","type":"function"},{"doc":"Returns the state of the given custom app.","ref":"aws_simspaceweaver.html#describe_app/4","title":"aws_simspaceweaver.describe_app/4","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#describe_app/6","title":"aws_simspaceweaver.describe_app/6","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#describe_app/7","title":"aws_simspaceweaver.describe_app/7","type":"function"},{"doc":"Returns the current state of the given simulation.","ref":"aws_simspaceweaver.html#describe_simulation/2","title":"aws_simspaceweaver.describe_simulation/2","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#describe_simulation/4","title":"aws_simspaceweaver.describe_simulation/4","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#describe_simulation/5","title":"aws_simspaceweaver.describe_simulation/5","type":"function"},{"doc":"Lists all custom apps or service apps for the given simulation and domain.","ref":"aws_simspaceweaver.html#list_apps/2","title":"aws_simspaceweaver.list_apps/2","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#list_apps/4","title":"aws_simspaceweaver.list_apps/4","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#list_apps/5","title":"aws_simspaceweaver.list_apps/5","type":"function"},{"doc":"Lists the SimSpace Weaver simulations in the Amazon Web Services account used to make the API call.","ref":"aws_simspaceweaver.html#list_simulations/1","title":"aws_simspaceweaver.list_simulations/1","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#list_simulations/3","title":"aws_simspaceweaver.list_simulations/3","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#list_simulations/4","title":"aws_simspaceweaver.list_simulations/4","type":"function"},{"doc":"Lists all tags on a SimSpace Weaver resource.","ref":"aws_simspaceweaver.html#list_tags_for_resource/2","title":"aws_simspaceweaver.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#list_tags_for_resource/4","title":"aws_simspaceweaver.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#list_tags_for_resource/5","title":"aws_simspaceweaver.list_tags_for_resource/5","type":"function"},{"doc":"Starts a custom app with the configuration specified in the simulation schema.","ref":"aws_simspaceweaver.html#start_app/2","title":"aws_simspaceweaver.start_app/2","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#start_app/3","title":"aws_simspaceweaver.start_app/3","type":"function"},{"doc":"Starts the simulation clock.","ref":"aws_simspaceweaver.html#start_clock/2","title":"aws_simspaceweaver.start_clock/2","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#start_clock/3","title":"aws_simspaceweaver.start_clock/3","type":"function"},{"doc":"Starts a simulation with the given name and schema.","ref":"aws_simspaceweaver.html#start_simulation/2","title":"aws_simspaceweaver.start_simulation/2","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#start_simulation/3","title":"aws_simspaceweaver.start_simulation/3","type":"function"},{"doc":"Stops the given custom app and shuts down all of its allocated compute resources.","ref":"aws_simspaceweaver.html#stop_app/2","title":"aws_simspaceweaver.stop_app/2","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#stop_app/3","title":"aws_simspaceweaver.stop_app/3","type":"function"},{"doc":"Stops the simulation clock.","ref":"aws_simspaceweaver.html#stop_clock/2","title":"aws_simspaceweaver.stop_clock/2","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#stop_clock/3","title":"aws_simspaceweaver.stop_clock/3","type":"function"},{"doc":"Stops the given simulation. You can't restart a simulation after you stop it. If you need to restart a simulation, you must stop it, delete it, and start a new instance of it.","ref":"aws_simspaceweaver.html#stop_simulation/2","title":"aws_simspaceweaver.stop_simulation/2","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#stop_simulation/3","title":"aws_simspaceweaver.stop_simulation/3","type":"function"},{"doc":"Adds tags to a SimSpace Weaver resource. For more information about tags, see Tagging Amazon Web Services resources in the Amazon Web Services General Reference.","ref":"aws_simspaceweaver.html#tag_resource/3","title":"aws_simspaceweaver.tag_resource/3","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#tag_resource/4","title":"aws_simspaceweaver.tag_resource/4","type":"function"},{"doc":"Removes tags from a SimSpace Weaver resource. For more information about tags, see Tagging Amazon Web Services resources in the Amazon Web Services General Reference.","ref":"aws_simspaceweaver.html#untag_resource/3","title":"aws_simspaceweaver.untag_resource/3","type":"function"},{"doc":"","ref":"aws_simspaceweaver.html#untag_resource/4","title":"aws_simspaceweaver.untag_resource/4","type":"function"},{"doc":"Product update We recommend Amazon Web Services Application Migration Service (Amazon Web Services MGN) as the primary migration service for lift-and-shift migrations. If Amazon Web Services MGN is unavailable in a specific Amazon Web Services Region, you can use the Server Migration Service APIs through March 2023. Server Migration Service (Server Migration Service) makes it easier and faster for you to migrate your on-premises workloads to Amazon Web Services. To learn more about Server Migration Service, see the following resources: Server Migration Service product page Server Migration Service User Guide","ref":"aws_sms.html","title":"aws_sms","type":"module"},{"doc":"Creates an application. An application consists of one or more server groups. Each server group contain one or more servers.","ref":"aws_sms.html#create_app/2","title":"aws_sms.create_app/2","type":"function"},{"doc":"","ref":"aws_sms.html#create_app/3","title":"aws_sms.create_app/3","type":"function"},{"doc":"Creates a replication job. The replication job schedules periodic replication runs to replicate your server to Amazon Web Services. Each replication run creates an Amazon Machine Image (AMI).","ref":"aws_sms.html#create_replication_job/2","title":"aws_sms.create_replication_job/2","type":"function"},{"doc":"","ref":"aws_sms.html#create_replication_job/3","title":"aws_sms.create_replication_job/3","type":"function"},{"doc":"Deletes the specified application. Optionally deletes the launched stack associated with the application and all Server Migration Service replication jobs for servers in the application.","ref":"aws_sms.html#delete_app/2","title":"aws_sms.delete_app/2","type":"function"},{"doc":"","ref":"aws_sms.html#delete_app/3","title":"aws_sms.delete_app/3","type":"function"},{"doc":"Deletes the launch configuration for the specified application.","ref":"aws_sms.html#delete_app_launch_configuration/2","title":"aws_sms.delete_app_launch_configuration/2","type":"function"},{"doc":"","ref":"aws_sms.html#delete_app_launch_configuration/3","title":"aws_sms.delete_app_launch_configuration/3","type":"function"},{"doc":"Deletes the replication configuration for the specified application.","ref":"aws_sms.html#delete_app_replication_configuration/2","title":"aws_sms.delete_app_replication_configuration/2","type":"function"},{"doc":"","ref":"aws_sms.html#delete_app_replication_configuration/3","title":"aws_sms.delete_app_replication_configuration/3","type":"function"},{"doc":"Deletes the validation configuration for the specified application.","ref":"aws_sms.html#delete_app_validation_configuration/2","title":"aws_sms.delete_app_validation_configuration/2","type":"function"},{"doc":"","ref":"aws_sms.html#delete_app_validation_configuration/3","title":"aws_sms.delete_app_validation_configuration/3","type":"function"},{"doc":"Deletes the specified replication job. After you delete a replication job, there are no further replication runs. Amazon Web Services deletes the contents of the Amazon S3 bucket used to store Server Migration Service artifacts. The AMIs created by the replication runs are not deleted.","ref":"aws_sms.html#delete_replication_job/2","title":"aws_sms.delete_replication_job/2","type":"function"},{"doc":"","ref":"aws_sms.html#delete_replication_job/3","title":"aws_sms.delete_replication_job/3","type":"function"},{"doc":"Deletes all servers from your server catalog.","ref":"aws_sms.html#delete_server_catalog/2","title":"aws_sms.delete_server_catalog/2","type":"function"},{"doc":"","ref":"aws_sms.html#delete_server_catalog/3","title":"aws_sms.delete_server_catalog/3","type":"function"},{"doc":"Disassociates the specified connector from Server Migration Service. After you disassociate a connector, it is no longer available to support replication jobs.","ref":"aws_sms.html#disassociate_connector/2","title":"aws_sms.disassociate_connector/2","type":"function"},{"doc":"","ref":"aws_sms.html#disassociate_connector/3","title":"aws_sms.disassociate_connector/3","type":"function"},{"doc":"Generates a target change set for a currently launched stack and writes it to an Amazon S3 object in the customer’s Amazon S3 bucket.","ref":"aws_sms.html#generate_change_set/2","title":"aws_sms.generate_change_set/2","type":"function"},{"doc":"","ref":"aws_sms.html#generate_change_set/3","title":"aws_sms.generate_change_set/3","type":"function"},{"doc":"Generates an CloudFormation template based on the current launch configuration and writes it to an Amazon S3 object in the customer’s Amazon S3 bucket.","ref":"aws_sms.html#generate_template/2","title":"aws_sms.generate_template/2","type":"function"},{"doc":"","ref":"aws_sms.html#generate_template/3","title":"aws_sms.generate_template/3","type":"function"},{"doc":"Retrieve information about the specified application.","ref":"aws_sms.html#get_app/2","title":"aws_sms.get_app/2","type":"function"},{"doc":"","ref":"aws_sms.html#get_app/3","title":"aws_sms.get_app/3","type":"function"},{"doc":"Retrieves the application launch configuration associated with the specified application.","ref":"aws_sms.html#get_app_launch_configuration/2","title":"aws_sms.get_app_launch_configuration/2","type":"function"},{"doc":"","ref":"aws_sms.html#get_app_launch_configuration/3","title":"aws_sms.get_app_launch_configuration/3","type":"function"},{"doc":"Retrieves the application replication configuration associated with the specified application.","ref":"aws_sms.html#get_app_replication_configuration/2","title":"aws_sms.get_app_replication_configuration/2","type":"function"},{"doc":"","ref":"aws_sms.html#get_app_replication_configuration/3","title":"aws_sms.get_app_replication_configuration/3","type":"function"},{"doc":"Retrieves information about a configuration for validating an application.","ref":"aws_sms.html#get_app_validation_configuration/2","title":"aws_sms.get_app_validation_configuration/2","type":"function"},{"doc":"","ref":"aws_sms.html#get_app_validation_configuration/3","title":"aws_sms.get_app_validation_configuration/3","type":"function"},{"doc":"Retrieves output from validating an application.","ref":"aws_sms.html#get_app_validation_output/2","title":"aws_sms.get_app_validation_output/2","type":"function"},{"doc":"","ref":"aws_sms.html#get_app_validation_output/3","title":"aws_sms.get_app_validation_output/3","type":"function"},{"doc":"Describes the connectors registered with the Server Migration Service.","ref":"aws_sms.html#get_connectors/2","title":"aws_sms.get_connectors/2","type":"function"},{"doc":"","ref":"aws_sms.html#get_connectors/3","title":"aws_sms.get_connectors/3","type":"function"},{"doc":"Describes the specified replication job or all of your replication jobs.","ref":"aws_sms.html#get_replication_jobs/2","title":"aws_sms.get_replication_jobs/2","type":"function"},{"doc":"","ref":"aws_sms.html#get_replication_jobs/3","title":"aws_sms.get_replication_jobs/3","type":"function"},{"doc":"Describes the replication runs for the specified replication job.","ref":"aws_sms.html#get_replication_runs/2","title":"aws_sms.get_replication_runs/2","type":"function"},{"doc":"","ref":"aws_sms.html#get_replication_runs/3","title":"aws_sms.get_replication_runs/3","type":"function"},{"doc":"Describes the servers in your server catalog. Before you can describe your servers, you must import them using ImportServerCatalog .","ref":"aws_sms.html#get_servers/2","title":"aws_sms.get_servers/2","type":"function"},{"doc":"","ref":"aws_sms.html#get_servers/3","title":"aws_sms.get_servers/3","type":"function"},{"doc":"Allows application import from Migration Hub.","ref":"aws_sms.html#import_app_catalog/2","title":"aws_sms.import_app_catalog/2","type":"function"},{"doc":"","ref":"aws_sms.html#import_app_catalog/3","title":"aws_sms.import_app_catalog/3","type":"function"},{"doc":"Gathers a complete list of on-premises servers. Connectors must be installed and monitoring all servers to import. This call returns immediately, but might take additional time to retrieve all the servers.","ref":"aws_sms.html#import_server_catalog/2","title":"aws_sms.import_server_catalog/2","type":"function"},{"doc":"","ref":"aws_sms.html#import_server_catalog/3","title":"aws_sms.import_server_catalog/3","type":"function"},{"doc":"Launches the specified application as a stack in CloudFormation.","ref":"aws_sms.html#launch_app/2","title":"aws_sms.launch_app/2","type":"function"},{"doc":"","ref":"aws_sms.html#launch_app/3","title":"aws_sms.launch_app/3","type":"function"},{"doc":"Retrieves summaries for all applications.","ref":"aws_sms.html#list_apps/2","title":"aws_sms.list_apps/2","type":"function"},{"doc":"","ref":"aws_sms.html#list_apps/3","title":"aws_sms.list_apps/3","type":"function"},{"doc":"Provides information to Server Migration Service about whether application validation is successful.","ref":"aws_sms.html#notify_app_validation_output/2","title":"aws_sms.notify_app_validation_output/2","type":"function"},{"doc":"","ref":"aws_sms.html#notify_app_validation_output/3","title":"aws_sms.notify_app_validation_output/3","type":"function"},{"doc":"Creates or updates the launch configuration for the specified application.","ref":"aws_sms.html#put_app_launch_configuration/2","title":"aws_sms.put_app_launch_configuration/2","type":"function"},{"doc":"","ref":"aws_sms.html#put_app_launch_configuration/3","title":"aws_sms.put_app_launch_configuration/3","type":"function"},{"doc":"Creates or updates the replication configuration for the specified application.","ref":"aws_sms.html#put_app_replication_configuration/2","title":"aws_sms.put_app_replication_configuration/2","type":"function"},{"doc":"","ref":"aws_sms.html#put_app_replication_configuration/3","title":"aws_sms.put_app_replication_configuration/3","type":"function"},{"doc":"Creates or updates a validation configuration for the specified application.","ref":"aws_sms.html#put_app_validation_configuration/2","title":"aws_sms.put_app_validation_configuration/2","type":"function"},{"doc":"","ref":"aws_sms.html#put_app_validation_configuration/3","title":"aws_sms.put_app_validation_configuration/3","type":"function"},{"doc":"Starts replicating the specified application by creating replication jobs for each server in the application.","ref":"aws_sms.html#start_app_replication/2","title":"aws_sms.start_app_replication/2","type":"function"},{"doc":"","ref":"aws_sms.html#start_app_replication/3","title":"aws_sms.start_app_replication/3","type":"function"},{"doc":"Starts an on-demand replication run for the specified application.","ref":"aws_sms.html#start_on_demand_app_replication/2","title":"aws_sms.start_on_demand_app_replication/2","type":"function"},{"doc":"","ref":"aws_sms.html#start_on_demand_app_replication/3","title":"aws_sms.start_on_demand_app_replication/3","type":"function"},{"doc":"Starts an on-demand replication run for the specified replication job. This replication run starts immediately. This replication run is in addition to the ones already scheduled. There is a limit on the number of on-demand replications runs that you can request in a 24-hour period.","ref":"aws_sms.html#start_on_demand_replication_run/2","title":"aws_sms.start_on_demand_replication_run/2","type":"function"},{"doc":"","ref":"aws_sms.html#start_on_demand_replication_run/3","title":"aws_sms.start_on_demand_replication_run/3","type":"function"},{"doc":"Stops replicating the specified application by deleting the replication job for each server in the application.","ref":"aws_sms.html#stop_app_replication/2","title":"aws_sms.stop_app_replication/2","type":"function"},{"doc":"","ref":"aws_sms.html#stop_app_replication/3","title":"aws_sms.stop_app_replication/3","type":"function"},{"doc":"Terminates the stack for the specified application.","ref":"aws_sms.html#terminate_app/2","title":"aws_sms.terminate_app/2","type":"function"},{"doc":"","ref":"aws_sms.html#terminate_app/3","title":"aws_sms.terminate_app/3","type":"function"},{"doc":"Updates the specified application.","ref":"aws_sms.html#update_app/2","title":"aws_sms.update_app/2","type":"function"},{"doc":"","ref":"aws_sms.html#update_app/3","title":"aws_sms.update_app/3","type":"function"},{"doc":"Updates the specified settings for the specified replication job.","ref":"aws_sms.html#update_replication_job/2","title":"aws_sms.update_replication_job/2","type":"function"},{"doc":"","ref":"aws_sms.html#update_replication_job/3","title":"aws_sms.update_replication_job/3","type":"function"},{"doc":"Amazon Web Services Snow Device Management documentation.","ref":"aws_snow_device_management.html","title":"aws_snow_device_management","type":"module"},{"doc":"Sends a cancel request for a specified task. You can cancel a task only if it's still in a QUEUED state. Tasks that are already running can't be cancelled. A task might still run if it's processed from the queue before the CancelTask operation changes the task's state.","ref":"aws_snow_device_management.html#cancel_task/3","title":"aws_snow_device_management.cancel_task/3","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#cancel_task/4","title":"aws_snow_device_management.cancel_task/4","type":"function"},{"doc":"Instructs one or more devices to start a task, such as unlocking or rebooting.","ref":"aws_snow_device_management.html#create_task/2","title":"aws_snow_device_management.create_task/2","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#create_task/3","title":"aws_snow_device_management.create_task/3","type":"function"},{"doc":"Checks device-specific information, such as the device type, software version, IP addresses, and lock status.","ref":"aws_snow_device_management.html#describe_device/3","title":"aws_snow_device_management.describe_device/3","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#describe_device/4","title":"aws_snow_device_management.describe_device/4","type":"function"},{"doc":"Checks the current state of the Amazon EC2 instances. The output is similar to describeDevice , but the results are sourced from the device cache in the Amazon Web Services Cloud and include a subset of the available fields.","ref":"aws_snow_device_management.html#describe_device_ec2_instances/3","title":"aws_snow_device_management.describe_device_ec2_instances/3","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#describe_device_ec2_instances/4","title":"aws_snow_device_management.describe_device_ec2_instances/4","type":"function"},{"doc":"Checks the status of a remote task running on one or more target devices.","ref":"aws_snow_device_management.html#describe_execution/4","title":"aws_snow_device_management.describe_execution/4","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#describe_execution/5","title":"aws_snow_device_management.describe_execution/5","type":"function"},{"doc":"Checks the metadata for a given task on a device.","ref":"aws_snow_device_management.html#describe_task/3","title":"aws_snow_device_management.describe_task/3","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#describe_task/4","title":"aws_snow_device_management.describe_task/4","type":"function"},{"doc":"Returns a list of the Amazon Web Services resources available for a device. Currently, Amazon EC2 instances are the only supported resource type.","ref":"aws_snow_device_management.html#list_device_resources/2","title":"aws_snow_device_management.list_device_resources/2","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#list_device_resources/4","title":"aws_snow_device_management.list_device_resources/4","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#list_device_resources/5","title":"aws_snow_device_management.list_device_resources/5","type":"function"},{"doc":"Returns a list of all devices on your Amazon Web Services account that have Amazon Web Services Snow Device Management enabled in the Amazon Web Services Region where the command is run.","ref":"aws_snow_device_management.html#list_devices/1","title":"aws_snow_device_management.list_devices/1","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#list_devices/3","title":"aws_snow_device_management.list_devices/3","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#list_devices/4","title":"aws_snow_device_management.list_devices/4","type":"function"},{"doc":"Returns the status of tasks for one or more target devices.","ref":"aws_snow_device_management.html#list_executions/2","title":"aws_snow_device_management.list_executions/2","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#list_executions/4","title":"aws_snow_device_management.list_executions/4","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#list_executions/5","title":"aws_snow_device_management.list_executions/5","type":"function"},{"doc":"Returns a list of tags for a managed device or task.","ref":"aws_snow_device_management.html#list_tags_for_resource/2","title":"aws_snow_device_management.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#list_tags_for_resource/4","title":"aws_snow_device_management.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#list_tags_for_resource/5","title":"aws_snow_device_management.list_tags_for_resource/5","type":"function"},{"doc":"Returns a list of tasks that can be filtered by state.","ref":"aws_snow_device_management.html#list_tasks/1","title":"aws_snow_device_management.list_tasks/1","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#list_tasks/3","title":"aws_snow_device_management.list_tasks/3","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#list_tasks/4","title":"aws_snow_device_management.list_tasks/4","type":"function"},{"doc":"Adds or replaces tags on a device or task.","ref":"aws_snow_device_management.html#tag_resource/3","title":"aws_snow_device_management.tag_resource/3","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#tag_resource/4","title":"aws_snow_device_management.tag_resource/4","type":"function"},{"doc":"Removes a tag from a device or task.","ref":"aws_snow_device_management.html#untag_resource/3","title":"aws_snow_device_management.untag_resource/3","type":"function"},{"doc":"","ref":"aws_snow_device_management.html#untag_resource/4","title":"aws_snow_device_management.untag_resource/4","type":"function"},{"doc":"The Amazon Web Services Snow Family provides a petabyte-scale data transport solution that uses secure devices to transfer large amounts of data between your on-premises data centers and Amazon Simple Storage Service (Amazon S3). The Snow Family commands described here provide access to the same functionality that is available in the Amazon Web Services Snow Family Management Console, which enables you to create and manage jobs for a Snow Family device. To transfer data locally with a Snow Family device, you'll need to use the Snowball Edge client or the Amazon S3 API Interface for Snowball or OpsHub for Snow Family. For more information, see the User Guide.","ref":"aws_snowball.html","title":"aws_snowball","type":"module"},{"doc":"Cancels a cluster job. You can only cancel a cluster job while it's in the AwaitingQuorum status. You'll have at least an hour after creating a cluster job to cancel it.","ref":"aws_snowball.html#cancel_cluster/2","title":"aws_snowball.cancel_cluster/2","type":"function"},{"doc":"","ref":"aws_snowball.html#cancel_cluster/3","title":"aws_snowball.cancel_cluster/3","type":"function"},{"doc":"Cancels the specified job. You can only cancel a job before its JobState value changes to PreparingAppliance . Requesting the ListJobs or DescribeJob action returns a job's JobState as part of the response element data returned.","ref":"aws_snowball.html#cancel_job/2","title":"aws_snowball.cancel_job/2","type":"function"},{"doc":"","ref":"aws_snowball.html#cancel_job/3","title":"aws_snowball.cancel_job/3","type":"function"},{"doc":"Creates an address for a Snow device to be shipped to. In most regions, addresses are validated at the time of creation. The address you provide must be located within the serviceable area of your region. If the address is invalid or unsupported, then an exception is thrown.","ref":"aws_snowball.html#create_address/2","title":"aws_snowball.create_address/2","type":"function"},{"doc":"","ref":"aws_snowball.html#create_address/3","title":"aws_snowball.create_address/3","type":"function"},{"doc":"Creates an empty cluster. Each cluster supports five nodes. You use the CreateJob action separately to create the jobs for each of these nodes. The cluster does not ship until these five node jobs have been created.","ref":"aws_snowball.html#create_cluster/2","title":"aws_snowball.create_cluster/2","type":"function"},{"doc":"","ref":"aws_snowball.html#create_cluster/3","title":"aws_snowball.create_cluster/3","type":"function"},{"doc":"Creates a job to import or export data between Amazon S3 and your on-premises data center. Your Amazon Web Services account must have the right trust policies and permissions in place to create a job for a Snow device. If you're creating a job for a node in a cluster, you only need to provide the clusterId value; the other job attributes are inherited from the cluster. Only the Snowball; Edge device type is supported when ordering clustered jobs. The device capacity is optional. Availability of device types differ by Amazon Web Services Region. For more information about Region availability, see Amazon Web Services Regional Services. Snow Family devices and their capacities. Snow Family device type: SNC1_SSD Capacity: T14 Description: Snowcone Snow Family device type: SNC1_HDD Capacity: T8 Description: Snowcone Device type: EDGE_S Capacity: T98 Description: Snowball Edge Storage Optimized for data transfer only Device type: EDGE_CG Capacity: T42 Description: Snowball Edge Compute Optimized with GPU Device type: EDGE_C Capacity: T42 Description: Snowball Edge Compute Optimized without GPU Device type: EDGE Capacity: T100 Description: Snowball Edge Storage Optimized with EC2 Compute Device type: STANDARD Capacity: T50 Description: Original Snowball device This device is only available in the Ningxia, Beijing, and Singapore Amazon Web Services Region Device type: STANDARD Capacity: T80 Description: Original Snowball device This device is only available in the Ningxia, Beijing, and Singapore Amazon Web Services Region.","ref":"aws_snowball.html#create_job/2","title":"aws_snowball.create_job/2","type":"function"},{"doc":"","ref":"aws_snowball.html#create_job/3","title":"aws_snowball.create_job/3","type":"function"},{"doc":"Creates a job with the long-term usage option for a device. The long-term usage is a 1-year or 3-year long-term pricing type for the device. You are billed upfront, and Amazon Web Services provides discounts for long-term pricing.","ref":"aws_snowball.html#create_long_term_pricing/2","title":"aws_snowball.create_long_term_pricing/2","type":"function"},{"doc":"","ref":"aws_snowball.html#create_long_term_pricing/3","title":"aws_snowball.create_long_term_pricing/3","type":"function"},{"doc":"Creates a shipping label that will be used to return the Snow device to Amazon Web Services.","ref":"aws_snowball.html#create_return_shipping_label/2","title":"aws_snowball.create_return_shipping_label/2","type":"function"},{"doc":"","ref":"aws_snowball.html#create_return_shipping_label/3","title":"aws_snowball.create_return_shipping_label/3","type":"function"},{"doc":"Takes an AddressId and returns specific details about that address in the form of an Address object.","ref":"aws_snowball.html#describe_address/2","title":"aws_snowball.describe_address/2","type":"function"},{"doc":"","ref":"aws_snowball.html#describe_address/3","title":"aws_snowball.describe_address/3","type":"function"},{"doc":"Returns a specified number of ADDRESS objects. Calling this API in one of the US regions will return addresses from the list of all addresses associated with this account in all US regions.","ref":"aws_snowball.html#describe_addresses/2","title":"aws_snowball.describe_addresses/2","type":"function"},{"doc":"","ref":"aws_snowball.html#describe_addresses/3","title":"aws_snowball.describe_addresses/3","type":"function"},{"doc":"Returns information about a specific cluster including shipping information, cluster status, and other important metadata.","ref":"aws_snowball.html#describe_cluster/2","title":"aws_snowball.describe_cluster/2","type":"function"},{"doc":"","ref":"aws_snowball.html#describe_cluster/3","title":"aws_snowball.describe_cluster/3","type":"function"},{"doc":"Returns information about a specific job including shipping information, job status, and other important metadata.","ref":"aws_snowball.html#describe_job/2","title":"aws_snowball.describe_job/2","type":"function"},{"doc":"","ref":"aws_snowball.html#describe_job/3","title":"aws_snowball.describe_job/3","type":"function"},{"doc":"Information on the shipping label of a Snow device that is being returned to Amazon Web Services.","ref":"aws_snowball.html#describe_return_shipping_label/2","title":"aws_snowball.describe_return_shipping_label/2","type":"function"},{"doc":"","ref":"aws_snowball.html#describe_return_shipping_label/3","title":"aws_snowball.describe_return_shipping_label/3","type":"function"},{"doc":"Returns a link to an Amazon S3 presigned URL for the manifest file associated with the specified JobId value. You can access the manifest file for up to 60 minutes after this request has been made. To access the manifest file after 60 minutes have passed, you'll have to make another call to the GetJobManifest action. The manifest is an encrypted file that you can download after your job enters the WithCustomer status. This is the only valid status for calling this API as the manifest and UnlockCode code value are used for securing your device and should only be used when you have the device. The manifest is decrypted by using the UnlockCode code value, when you pass both values to the Snow device through the Snowball client when the client is started for the first time. As a best practice, we recommend that you don't save a copy of an UnlockCode value in the same location as the manifest file for that job. Saving these separately helps prevent unauthorized parties from gaining access to the Snow device associated with that job. The credentials of a given job, including its manifest file and unlock code, expire 360 days after the job is created.","ref":"aws_snowball.html#get_job_manifest/2","title":"aws_snowball.get_job_manifest/2","type":"function"},{"doc":"","ref":"aws_snowball.html#get_job_manifest/3","title":"aws_snowball.get_job_manifest/3","type":"function"},{"doc":"Returns the UnlockCode code value for the specified job. A particular UnlockCode value can be accessed for up to 360 days after the associated job has been created. The UnlockCode value is a 29-character code with 25 alphanumeric characters and 4 hyphens. This code is used to decrypt the manifest file when it is passed along with the manifest to the Snow device through the Snowball client when the client is started for the first time. The only valid status for calling this API is WithCustomer as the manifest and Unlock code values are used for securing your device and should only be used when you have the device. As a best practice, we recommend that you don't save a copy of the UnlockCode in the same location as the manifest file for that job. Saving these separately helps prevent unauthorized parties from gaining access to the Snow device associated with that job.","ref":"aws_snowball.html#get_job_unlock_code/2","title":"aws_snowball.get_job_unlock_code/2","type":"function"},{"doc":"","ref":"aws_snowball.html#get_job_unlock_code/3","title":"aws_snowball.get_job_unlock_code/3","type":"function"},{"doc":"Returns information about the Snow Family service limit for your account, and also the number of Snow devices your account has in use. The default service limit for the number of Snow devices that you can have at one time is 1. If you want to increase your service limit, contact Amazon Web Services Support.","ref":"aws_snowball.html#get_snowball_usage/2","title":"aws_snowball.get_snowball_usage/2","type":"function"},{"doc":"","ref":"aws_snowball.html#get_snowball_usage/3","title":"aws_snowball.get_snowball_usage/3","type":"function"},{"doc":"Returns an Amazon S3 presigned URL for an update file associated with a specified JobId .","ref":"aws_snowball.html#get_software_updates/2","title":"aws_snowball.get_software_updates/2","type":"function"},{"doc":"","ref":"aws_snowball.html#get_software_updates/3","title":"aws_snowball.get_software_updates/3","type":"function"},{"doc":"Returns an array of JobListEntry objects of the specified length. Each JobListEntry object is for a job in the specified cluster and contains a job's state, a job's ID, and other information.","ref":"aws_snowball.html#list_cluster_jobs/2","title":"aws_snowball.list_cluster_jobs/2","type":"function"},{"doc":"","ref":"aws_snowball.html#list_cluster_jobs/3","title":"aws_snowball.list_cluster_jobs/3","type":"function"},{"doc":"Returns an array of ClusterListEntry objects of the specified length. Each ClusterListEntry object contains a cluster's state, a cluster's ID, and other important status information.","ref":"aws_snowball.html#list_clusters/2","title":"aws_snowball.list_clusters/2","type":"function"},{"doc":"","ref":"aws_snowball.html#list_clusters/3","title":"aws_snowball.list_clusters/3","type":"function"},{"doc":"This action returns a list of the different Amazon EC2 Amazon Machine Images (AMIs) that are owned by your Amazon Web Services accountthat would be supported for use on a Snow device. Currently, supported AMIs are based on the CentOS 7 (x86_64) - with Updates HVM, Ubuntu Server 14.04 LTS (HVM), and Ubuntu 16.04 LTS - Xenial (HVM) images, available on the Amazon Web Services Marketplace.","ref":"aws_snowball.html#list_compatible_images/2","title":"aws_snowball.list_compatible_images/2","type":"function"},{"doc":"","ref":"aws_snowball.html#list_compatible_images/3","title":"aws_snowball.list_compatible_images/3","type":"function"},{"doc":"Returns an array of JobListEntry objects of the specified length. Each JobListEntry object contains a job's state, a job's ID, and a value that indicates whether the job is a job part, in the case of export jobs. Calling this API action in one of the US regions will return jobs from the list of all jobs associated with this account in all US regions.","ref":"aws_snowball.html#list_jobs/2","title":"aws_snowball.list_jobs/2","type":"function"},{"doc":"","ref":"aws_snowball.html#list_jobs/3","title":"aws_snowball.list_jobs/3","type":"function"},{"doc":"Lists all long-term pricing types.","ref":"aws_snowball.html#list_long_term_pricing/2","title":"aws_snowball.list_long_term_pricing/2","type":"function"},{"doc":"","ref":"aws_snowball.html#list_long_term_pricing/3","title":"aws_snowball.list_long_term_pricing/3","type":"function"},{"doc":"Lists all supported versions for Snow on-device services. Returns an array of ServiceVersion object containing the supported versions for a particular service.","ref":"aws_snowball.html#list_service_versions/2","title":"aws_snowball.list_service_versions/2","type":"function"},{"doc":"","ref":"aws_snowball.html#list_service_versions/3","title":"aws_snowball.list_service_versions/3","type":"function"},{"doc":"While a cluster's ClusterState value is in the AwaitingQuorum state, you can update some of the information associated with a cluster. Once the cluster changes to a different job state, usually 60 minutes after the cluster being created, this action is no longer available.","ref":"aws_snowball.html#update_cluster/2","title":"aws_snowball.update_cluster/2","type":"function"},{"doc":"","ref":"aws_snowball.html#update_cluster/3","title":"aws_snowball.update_cluster/3","type":"function"},{"doc":"While a job's JobState value is New , you can update some of the information associated with a job. Once the job changes to a different job state, usually within 60 minutes of the job being created, this action is no longer available.","ref":"aws_snowball.html#update_job/2","title":"aws_snowball.update_job/2","type":"function"},{"doc":"","ref":"aws_snowball.html#update_job/3","title":"aws_snowball.update_job/3","type":"function"},{"doc":"Updates the state when a shipment state changes to a different state.","ref":"aws_snowball.html#update_job_shipment_state/2","title":"aws_snowball.update_job_shipment_state/2","type":"function"},{"doc":"","ref":"aws_snowball.html#update_job_shipment_state/3","title":"aws_snowball.update_job_shipment_state/3","type":"function"},{"doc":"Updates the long-term pricing type.","ref":"aws_snowball.html#update_long_term_pricing/2","title":"aws_snowball.update_long_term_pricing/2","type":"function"},{"doc":"","ref":"aws_snowball.html#update_long_term_pricing/3","title":"aws_snowball.update_long_term_pricing/3","type":"function"},{"doc":"Amazon Simple Notification Service Amazon Simple Notification Service (Amazon SNS) is a web service that enables you to build distributed web-enabled applications. Applications can use Amazon SNS to easily push real-time notification messages to interested subscribers over multiple delivery protocols. For more information about this product see the Amazon SNS product page. For detailed information about Amazon SNS features and their associated API calls, see the Amazon SNS Developer Guide. For information on the permissions you need to use this API, see Identity and access management in Amazon SNS in the Amazon SNS Developer Guide. We also provide SDKs that enable you to access Amazon SNS from your preferred programming language. The SDKs contain functionality that automatically takes care of tasks such as: cryptographically signing your service requests, retrying requests, and handling error responses. For a list of available SDKs, go to Tools for Amazon Web Services.","ref":"aws_sns.html","title":"aws_sns","type":"module"},{"doc":"Adds a statement to a topic's access control policy, granting access for the specified Amazon Web Services accounts to the specified actions. To remove the ability to change topic permissions, you must deny permissions to the AddPermission , RemovePermission , and SetTopicAttributes actions in your IAM policy.","ref":"aws_sns.html#add_permission/2","title":"aws_sns.add_permission/2","type":"function"},{"doc":"","ref":"aws_sns.html#add_permission/3","title":"aws_sns.add_permission/3","type":"function"},{"doc":"Accepts a phone number and indicates whether the phone holder has opted out of receiving SMS messages from your Amazon Web Services account. You cannot send SMS messages to a number that is opted out. To resume sending messages, you can opt in the number by using the OptInPhoneNumber action.","ref":"aws_sns.html#check_if_phone_number_is_opted_out/2","title":"aws_sns.check_if_phone_number_is_opted_out/2","type":"function"},{"doc":"","ref":"aws_sns.html#check_if_phone_number_is_opted_out/3","title":"aws_sns.check_if_phone_number_is_opted_out/3","type":"function"},{"doc":"Verifies an endpoint owner's intent to receive messages by validating the token sent to the endpoint by an earlier Subscribe action. If the token is valid, the action creates a new subscription and returns its Amazon Resource Name (ARN). This call requires an AWS signature only when the AuthenticateOnUnsubscribe flag is set to &quot;true&quot;.","ref":"aws_sns.html#confirm_subscription/2","title":"aws_sns.confirm_subscription/2","type":"function"},{"doc":"","ref":"aws_sns.html#confirm_subscription/3","title":"aws_sns.confirm_subscription/3","type":"function"},{"doc":"Creates a platform application object for one of the supported push notification services, such as APNS and GCM (Firebase Cloud Messaging), to which devices and mobile apps may register. You must specify PlatformPrincipal and PlatformCredential attributes when using the CreatePlatformApplication action. PlatformPrincipal and PlatformCredential are received from the notification service. For ADM , PlatformPrincipal is client id and PlatformCredential is client secret . For Baidu , PlatformPrincipal is API key and PlatformCredential is secret key . For APNS and APNS_SANDBOX using certificate credentials, PlatformPrincipal is SSL certificate and PlatformCredential is private key . For APNS and APNS_SANDBOX using token credentials, PlatformPrincipal is signing key ID and PlatformCredential is signing key . For GCM (Firebase Cloud Messaging), there is no PlatformPrincipal and the PlatformCredential is API key . For MPNS , PlatformPrincipal is TLS certificate and PlatformCredential is private key . For WNS , PlatformPrincipal is Package Security Identifier and PlatformCredential is secret key . You can use the returned PlatformApplicationArn as an attribute for the CreatePlatformEndpoint action.","ref":"aws_sns.html#create_platform_application/2","title":"aws_sns.create_platform_application/2","type":"function"},{"doc":"","ref":"aws_sns.html#create_platform_application/3","title":"aws_sns.create_platform_application/3","type":"function"},{"doc":"Creates an endpoint for a device and mobile app on one of the supported push notification services, such as GCM (Firebase Cloud Messaging) and APNS. CreatePlatformEndpoint requires the PlatformApplicationArn that is returned from CreatePlatformApplication . You can use the returned EndpointArn to send a message to a mobile app or by the Subscribe action for subscription to a topic. The CreatePlatformEndpoint action is idempotent, so if the requester already owns an endpoint with the same device token and attributes, that endpoint's ARN is returned without creating a new endpoint. For more information, see Using Amazon SNS Mobile Push Notifications. When using CreatePlatformEndpoint with Baidu, two attributes must be provided: ChannelId and UserId. The token field must also contain the ChannelId. For more information, see Creating an Amazon SNS Endpoint for Baidu.","ref":"aws_sns.html#create_platform_endpoint/2","title":"aws_sns.create_platform_endpoint/2","type":"function"},{"doc":"","ref":"aws_sns.html#create_platform_endpoint/3","title":"aws_sns.create_platform_endpoint/3","type":"function"},{"doc":"Adds a destination phone number to an Amazon Web Services account in the SMS sandbox and sends a one-time password (OTP) to that phone number. When you start using Amazon SNS to send SMS messages, your Amazon Web Services account is in the SMS sandbox. The SMS sandbox provides a safe environment for you to try Amazon SNS features without risking your reputation as an SMS sender. While your Amazon Web Services account is in the SMS sandbox, you can use all of the features of Amazon SNS. However, you can send SMS messages only to verified destination phone numbers. For more information, including how to move out of the sandbox to send messages without restrictions, see SMS sandbox in the Amazon SNS Developer Guide.","ref":"aws_sns.html#create_sms_sandbox_phone_number/2","title":"aws_sns.create_sms_sandbox_phone_number/2","type":"function"},{"doc":"","ref":"aws_sns.html#create_sms_sandbox_phone_number/3","title":"aws_sns.create_sms_sandbox_phone_number/3","type":"function"},{"doc":"Creates a topic to which notifications can be published. Users can create at most 100,000 standard topics (at most 1,000 FIFO topics). For more information, see Creating an Amazon SNS topic in the Amazon SNS Developer Guide. This action is idempotent, so if the requester already owns a topic with the specified name, that topic's ARN is returned without creating a new topic.","ref":"aws_sns.html#create_topic/2","title":"aws_sns.create_topic/2","type":"function"},{"doc":"","ref":"aws_sns.html#create_topic/3","title":"aws_sns.create_topic/3","type":"function"},{"doc":"Deletes the endpoint for a device and mobile app from Amazon SNS. This action is idempotent. For more information, see Using Amazon SNS Mobile Push Notifications. When you delete an endpoint that is also subscribed to a topic, then you must also unsubscribe the endpoint from the topic.","ref":"aws_sns.html#delete_endpoint/2","title":"aws_sns.delete_endpoint/2","type":"function"},{"doc":"","ref":"aws_sns.html#delete_endpoint/3","title":"aws_sns.delete_endpoint/3","type":"function"},{"doc":"Deletes a platform application object for one of the supported push notification services, such as APNS and GCM (Firebase Cloud Messaging). For more information, see Using Amazon SNS Mobile Push Notifications.","ref":"aws_sns.html#delete_platform_application/2","title":"aws_sns.delete_platform_application/2","type":"function"},{"doc":"","ref":"aws_sns.html#delete_platform_application/3","title":"aws_sns.delete_platform_application/3","type":"function"},{"doc":"Deletes an Amazon Web Services account's verified or pending phone number from the SMS sandbox. When you start using Amazon SNS to send SMS messages, your Amazon Web Services account is in the SMS sandbox. The SMS sandbox provides a safe environment for you to try Amazon SNS features without risking your reputation as an SMS sender. While your Amazon Web Services account is in the SMS sandbox, you can use all of the features of Amazon SNS. However, you can send SMS messages only to verified destination phone numbers. For more information, including how to move out of the sandbox to send messages without restrictions, see SMS sandbox in the Amazon SNS Developer Guide.","ref":"aws_sns.html#delete_sms_sandbox_phone_number/2","title":"aws_sns.delete_sms_sandbox_phone_number/2","type":"function"},{"doc":"","ref":"aws_sns.html#delete_sms_sandbox_phone_number/3","title":"aws_sns.delete_sms_sandbox_phone_number/3","type":"function"},{"doc":"Deletes a topic and all its subscriptions. Deleting a topic might prevent some messages previously sent to the topic from being delivered to subscribers. This action is idempotent, so deleting a topic that does not exist does not result in an error.","ref":"aws_sns.html#delete_topic/2","title":"aws_sns.delete_topic/2","type":"function"},{"doc":"","ref":"aws_sns.html#delete_topic/3","title":"aws_sns.delete_topic/3","type":"function"},{"doc":"Retrieves the specified inline DataProtectionPolicy document that is stored in the specified Amazon SNS topic.","ref":"aws_sns.html#get_data_protection_policy/2","title":"aws_sns.get_data_protection_policy/2","type":"function"},{"doc":"","ref":"aws_sns.html#get_data_protection_policy/3","title":"aws_sns.get_data_protection_policy/3","type":"function"},{"doc":"Retrieves the endpoint attributes for a device on one of the supported push notification services, such as GCM (Firebase Cloud Messaging) and APNS. For more information, see Using Amazon SNS Mobile Push Notifications.","ref":"aws_sns.html#get_endpoint_attributes/2","title":"aws_sns.get_endpoint_attributes/2","type":"function"},{"doc":"","ref":"aws_sns.html#get_endpoint_attributes/3","title":"aws_sns.get_endpoint_attributes/3","type":"function"},{"doc":"Retrieves the attributes of the platform application object for the supported push notification services, such as APNS and GCM (Firebase Cloud Messaging). For more information, see Using Amazon SNS Mobile Push Notifications.","ref":"aws_sns.html#get_platform_application_attributes/2","title":"aws_sns.get_platform_application_attributes/2","type":"function"},{"doc":"","ref":"aws_sns.html#get_platform_application_attributes/3","title":"aws_sns.get_platform_application_attributes/3","type":"function"},{"doc":"Returns the settings for sending SMS messages from your Amazon Web Services account. These settings are set with the SetSMSAttributes action.","ref":"aws_sns.html#get_sms_attributes/2","title":"aws_sns.get_sms_attributes/2","type":"function"},{"doc":"","ref":"aws_sns.html#get_sms_attributes/3","title":"aws_sns.get_sms_attributes/3","type":"function"},{"doc":"Retrieves the SMS sandbox status for the calling Amazon Web Services account in the target Amazon Web Services Region. When you start using Amazon SNS to send SMS messages, your Amazon Web Services account is in the SMS sandbox. The SMS sandbox provides a safe environment for you to try Amazon SNS features without risking your reputation as an SMS sender. While your Amazon Web Services account is in the SMS sandbox, you can use all of the features of Amazon SNS. However, you can send SMS messages only to verified destination phone numbers. For more information, including how to move out of the sandbox to send messages without restrictions, see SMS sandbox in the Amazon SNS Developer Guide.","ref":"aws_sns.html#get_sms_sandbox_account_status/2","title":"aws_sns.get_sms_sandbox_account_status/2","type":"function"},{"doc":"","ref":"aws_sns.html#get_sms_sandbox_account_status/3","title":"aws_sns.get_sms_sandbox_account_status/3","type":"function"},{"doc":"Returns all of the properties of a subscription.","ref":"aws_sns.html#get_subscription_attributes/2","title":"aws_sns.get_subscription_attributes/2","type":"function"},{"doc":"","ref":"aws_sns.html#get_subscription_attributes/3","title":"aws_sns.get_subscription_attributes/3","type":"function"},{"doc":"Returns all of the properties of a topic. Topic properties returned might differ based on the authorization of the user.","ref":"aws_sns.html#get_topic_attributes/2","title":"aws_sns.get_topic_attributes/2","type":"function"},{"doc":"","ref":"aws_sns.html#get_topic_attributes/3","title":"aws_sns.get_topic_attributes/3","type":"function"},{"doc":"Lists the endpoints and endpoint attributes for devices in a supported push notification service, such as GCM (Firebase Cloud Messaging) and APNS. The results for ListEndpointsByPlatformApplication are paginated and return a limited list of endpoints, up to 100. If additional records are available after the first page results, then a NextToken string will be returned. To receive the next page, you call ListEndpointsByPlatformApplication again using the NextToken string received from the previous call. When there are no more records to return, NextToken will be null. For more information, see Using Amazon SNS Mobile Push Notifications. This action is throttled at 30 transactions per second (TPS).","ref":"aws_sns.html#list_endpoints_by_platform_application/2","title":"aws_sns.list_endpoints_by_platform_application/2","type":"function"},{"doc":"","ref":"aws_sns.html#list_endpoints_by_platform_application/3","title":"aws_sns.list_endpoints_by_platform_application/3","type":"function"},{"doc":"Lists the calling Amazon Web Services account's dedicated origination numbers and their metadata. For more information about origination numbers, see Origination numbers in the Amazon SNS Developer Guide.","ref":"aws_sns.html#list_origination_numbers/2","title":"aws_sns.list_origination_numbers/2","type":"function"},{"doc":"","ref":"aws_sns.html#list_origination_numbers/3","title":"aws_sns.list_origination_numbers/3","type":"function"},{"doc":"Returns a list of phone numbers that are opted out, meaning you cannot send SMS messages to them. The results for ListPhoneNumbersOptedOut are paginated, and each page returns up to 100 phone numbers. If additional phone numbers are available after the first page of results, then a NextToken string will be returned. To receive the next page, you call ListPhoneNumbersOptedOut again using the NextToken string received from the previous call. When there are no more records to return, NextToken will be null.","ref":"aws_sns.html#list_phone_numbers_opted_out/2","title":"aws_sns.list_phone_numbers_opted_out/2","type":"function"},{"doc":"","ref":"aws_sns.html#list_phone_numbers_opted_out/3","title":"aws_sns.list_phone_numbers_opted_out/3","type":"function"},{"doc":"Lists the platform application objects for the supported push notification services, such as APNS and GCM (Firebase Cloud Messaging). The results for ListPlatformApplications are paginated and return a limited list of applications, up to 100. If additional records are available after the first page results, then a NextToken string will be returned. To receive the next page, you call ListPlatformApplications using the NextToken string received from the previous call. When there are no more records to return, NextToken will be null. For more information, see Using Amazon SNS Mobile Push Notifications. This action is throttled at 15 transactions per second (TPS).","ref":"aws_sns.html#list_platform_applications/2","title":"aws_sns.list_platform_applications/2","type":"function"},{"doc":"","ref":"aws_sns.html#list_platform_applications/3","title":"aws_sns.list_platform_applications/3","type":"function"},{"doc":"Lists the calling Amazon Web Services account's current verified and pending destination phone numbers in the SMS sandbox. When you start using Amazon SNS to send SMS messages, your Amazon Web Services account is in the SMS sandbox. The SMS sandbox provides a safe environment for you to try Amazon SNS features without risking your reputation as an SMS sender. While your Amazon Web Services account is in the SMS sandbox, you can use all of the features of Amazon SNS. However, you can send SMS messages only to verified destination phone numbers. For more information, including how to move out of the sandbox to send messages without restrictions, see SMS sandbox in the Amazon SNS Developer Guide.","ref":"aws_sns.html#list_sms_sandbox_phone_numbers/2","title":"aws_sns.list_sms_sandbox_phone_numbers/2","type":"function"},{"doc":"","ref":"aws_sns.html#list_sms_sandbox_phone_numbers/3","title":"aws_sns.list_sms_sandbox_phone_numbers/3","type":"function"},{"doc":"Returns a list of the requester's subscriptions. Each call returns a limited list of subscriptions, up to 100. If there are more subscriptions, a NextToken is also returned. Use the NextToken parameter in a new ListSubscriptions call to get further results. This action is throttled at 30 transactions per second (TPS).","ref":"aws_sns.html#list_subscriptions/2","title":"aws_sns.list_subscriptions/2","type":"function"},{"doc":"","ref":"aws_sns.html#list_subscriptions/3","title":"aws_sns.list_subscriptions/3","type":"function"},{"doc":"Returns a list of the subscriptions to a specific topic. Each call returns a limited list of subscriptions, up to 100. If there are more subscriptions, a NextToken is also returned. Use the NextToken parameter in a new ListSubscriptionsByTopic call to get further results. This action is throttled at 30 transactions per second (TPS).","ref":"aws_sns.html#list_subscriptions_by_topic/2","title":"aws_sns.list_subscriptions_by_topic/2","type":"function"},{"doc":"","ref":"aws_sns.html#list_subscriptions_by_topic/3","title":"aws_sns.list_subscriptions_by_topic/3","type":"function"},{"doc":"List all tags added to the specified Amazon SNS topic. For an overview, see Amazon SNS Tags in the Amazon Simple Notification Service Developer Guide.","ref":"aws_sns.html#list_tags_for_resource/2","title":"aws_sns.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_sns.html#list_tags_for_resource/3","title":"aws_sns.list_tags_for_resource/3","type":"function"},{"doc":"Returns a list of the requester's topics. Each call returns a limited list of topics, up to 100. If there are more topics, a NextToken is also returned. Use the NextToken parameter in a new ListTopics call to get further results. This action is throttled at 30 transactions per second (TPS).","ref":"aws_sns.html#list_topics/2","title":"aws_sns.list_topics/2","type":"function"},{"doc":"","ref":"aws_sns.html#list_topics/3","title":"aws_sns.list_topics/3","type":"function"},{"doc":"Use this request to opt in a phone number that is opted out, which enables you to resume sending SMS messages to the number. You can opt in a phone number only once every 30 days.","ref":"aws_sns.html#opt_in_phone_number/2","title":"aws_sns.opt_in_phone_number/2","type":"function"},{"doc":"","ref":"aws_sns.html#opt_in_phone_number/3","title":"aws_sns.opt_in_phone_number/3","type":"function"},{"doc":"Sends a message to an Amazon SNS topic, a text message (SMS message) directly to a phone number, or a message to a mobile platform endpoint (when you specify the TargetArn ). If you send a message to a topic, Amazon SNS delivers the message to each endpoint that is subscribed to the topic. The format of the message depends on the notification protocol for each subscribed endpoint. When a messageId is returned, the message is saved and Amazon SNS immediately delivers it to subscribers. To use the Publish action for publishing a message to a mobile endpoint, such as an app on a Kindle device or mobile phone, you must specify the EndpointArn for the TargetArn parameter. The EndpointArn is returned when making a call with the CreatePlatformEndpoint action. For more information about formatting messages, see Send Custom Platform-Specific Payloads in Messages to Mobile Devices. You can publish messages only to topics and endpoints in the same Amazon Web Services Region.","ref":"aws_sns.html#publish/2","title":"aws_sns.publish/2","type":"function"},{"doc":"","ref":"aws_sns.html#publish/3","title":"aws_sns.publish/3","type":"function"},{"doc":"Publishes up to ten messages to the specified topic. This is a batch version of Publish . For FIFO topics, multiple messages within a single batch are published in the order they are sent, and messages are deduplicated within the batch and across batches for 5 minutes. The result of publishing each message is reported individually in the response. Because the batch request can result in a combination of successful and unsuccessful actions, you should check for batch errors even when the call returns an HTTP status code of 200 . The maximum allowed individual message size and the maximum total payload size (the sum of the individual lengths of all of the batched messages) are both 256 KB (262,144 bytes). Some actions take lists of parameters. These lists are specified using the param.n notation. Values of n are integers starting from 1. For example, a parameter list with two elements looks like this: &amp;AttributeName.1=first &amp;AttributeName.2=second If you send a batch message to a topic, Amazon SNS publishes the batch message to each endpoint that is subscribed to the topic. The format of the batch message depends on the notification protocol for each subscribed endpoint. When a messageId is returned, the batch message is saved and Amazon SNS immediately delivers the message to subscribers.","ref":"aws_sns.html#publish_batch/2","title":"aws_sns.publish_batch/2","type":"function"},{"doc":"","ref":"aws_sns.html#publish_batch/3","title":"aws_sns.publish_batch/3","type":"function"},{"doc":"Adds or updates an inline policy document that is stored in the specified Amazon SNS topic.","ref":"aws_sns.html#put_data_protection_policy/2","title":"aws_sns.put_data_protection_policy/2","type":"function"},{"doc":"","ref":"aws_sns.html#put_data_protection_policy/3","title":"aws_sns.put_data_protection_policy/3","type":"function"},{"doc":"Removes a statement from a topic's access control policy. To remove the ability to change topic permissions, you must deny permissions to the AddPermission , RemovePermission , and SetTopicAttributes actions in your IAM policy.","ref":"aws_sns.html#remove_permission/2","title":"aws_sns.remove_permission/2","type":"function"},{"doc":"","ref":"aws_sns.html#remove_permission/3","title":"aws_sns.remove_permission/3","type":"function"},{"doc":"Sets the attributes for an endpoint for a device on one of the supported push notification services, such as GCM (Firebase Cloud Messaging) and APNS. For more information, see Using Amazon SNS Mobile Push Notifications.","ref":"aws_sns.html#set_endpoint_attributes/2","title":"aws_sns.set_endpoint_attributes/2","type":"function"},{"doc":"","ref":"aws_sns.html#set_endpoint_attributes/3","title":"aws_sns.set_endpoint_attributes/3","type":"function"},{"doc":"Sets the attributes of the platform application object for the supported push notification services, such as APNS and GCM (Firebase Cloud Messaging). For more information, see Using Amazon SNS Mobile Push Notifications. For information on configuring attributes for message delivery status, see Using Amazon SNS Application Attributes for Message Delivery Status.","ref":"aws_sns.html#set_platform_application_attributes/2","title":"aws_sns.set_platform_application_attributes/2","type":"function"},{"doc":"","ref":"aws_sns.html#set_platform_application_attributes/3","title":"aws_sns.set_platform_application_attributes/3","type":"function"},{"doc":"Use this request to set the default settings for sending SMS messages and receiving daily SMS usage reports. You can override some of these settings for a single message when you use the Publish action with the MessageAttributes.entry.N parameter. For more information, see Publishing to a mobile phone in the Amazon SNS Developer Guide. To use this operation, you must grant the Amazon SNS service principal ( sns.amazonaws.com ) permission to perform the s3:ListBucket action.","ref":"aws_sns.html#set_sms_attributes/2","title":"aws_sns.set_sms_attributes/2","type":"function"},{"doc":"","ref":"aws_sns.html#set_sms_attributes/3","title":"aws_sns.set_sms_attributes/3","type":"function"},{"doc":"Allows a subscription owner to set an attribute of the subscription to a new value.","ref":"aws_sns.html#set_subscription_attributes/2","title":"aws_sns.set_subscription_attributes/2","type":"function"},{"doc":"","ref":"aws_sns.html#set_subscription_attributes/3","title":"aws_sns.set_subscription_attributes/3","type":"function"},{"doc":"Allows a topic owner to set an attribute of the topic to a new value. To remove the ability to change topic permissions, you must deny permissions to the AddPermission , RemovePermission , and SetTopicAttributes actions in your IAM policy.","ref":"aws_sns.html#set_topic_attributes/2","title":"aws_sns.set_topic_attributes/2","type":"function"},{"doc":"","ref":"aws_sns.html#set_topic_attributes/3","title":"aws_sns.set_topic_attributes/3","type":"function"},{"doc":"Subscribes an endpoint to an Amazon SNS topic. If the endpoint type is HTTP/S or email, or if the endpoint and the topic are not in the same Amazon Web Services account, the endpoint owner must run the ConfirmSubscription action to confirm the subscription. You call the ConfirmSubscription action with the token from the subscription response. Confirmation tokens are valid for three days. This action is throttled at 100 transactions per second (TPS).","ref":"aws_sns.html#subscribe/2","title":"aws_sns.subscribe/2","type":"function"},{"doc":"","ref":"aws_sns.html#subscribe/3","title":"aws_sns.subscribe/3","type":"function"},{"doc":"Add tags to the specified Amazon SNS topic. For an overview, see Amazon SNS Tags in the Amazon SNS Developer Guide. When you use topic tags, keep the following guidelines in mind: Adding more than 50 tags to a topic isn't recommended. Tags don't have any semantic meaning. Amazon SNS interprets tags as character strings. Tags are case-sensitive. A new tag with a key identical to that of an existing tag overwrites the existing tag. Tagging actions are limited to 10 TPS per Amazon Web Services account, per Amazon Web Services Region. If your application requires a higher throughput, file a technical support request.","ref":"aws_sns.html#tag_resource/2","title":"aws_sns.tag_resource/2","type":"function"},{"doc":"","ref":"aws_sns.html#tag_resource/3","title":"aws_sns.tag_resource/3","type":"function"},{"doc":"Deletes a subscription. If the subscription requires authentication for deletion, only the owner of the subscription or the topic's owner can unsubscribe, and an Amazon Web Services signature is required. If the Unsubscribe call does not require authentication and the requester is not the subscription owner, a final cancellation message is delivered to the endpoint, so that the endpoint owner can easily resubscribe to the topic if the Unsubscribe request was unintended. Amazon SQS queue subscriptions require authentication for deletion. Only the owner of the subscription, or the owner of the topic can unsubscribe using the required Amazon Web Services signature. This action is throttled at 100 transactions per second (TPS).","ref":"aws_sns.html#unsubscribe/2","title":"aws_sns.unsubscribe/2","type":"function"},{"doc":"","ref":"aws_sns.html#unsubscribe/3","title":"aws_sns.unsubscribe/3","type":"function"},{"doc":"Remove tags from the specified Amazon SNS topic. For an overview, see Amazon SNS Tags in the Amazon SNS Developer Guide.","ref":"aws_sns.html#untag_resource/2","title":"aws_sns.untag_resource/2","type":"function"},{"doc":"","ref":"aws_sns.html#untag_resource/3","title":"aws_sns.untag_resource/3","type":"function"},{"doc":"Verifies a destination phone number with a one-time password (OTP) for the calling Amazon Web Services account. When you start using Amazon SNS to send SMS messages, your Amazon Web Services account is in the SMS sandbox. The SMS sandbox provides a safe environment for you to try Amazon SNS features without risking your reputation as an SMS sender. While your Amazon Web Services account is in the SMS sandbox, you can use all of the features of Amazon SNS. However, you can send SMS messages only to verified destination phone numbers. For more information, including how to move out of the sandbox to send messages without restrictions, see SMS sandbox in the Amazon SNS Developer Guide.","ref":"aws_sns.html#verify_sms_sandbox_phone_number/2","title":"aws_sns.verify_sms_sandbox_phone_number/2","type":"function"},{"doc":"","ref":"aws_sns.html#verify_sms_sandbox_phone_number/3","title":"aws_sns.verify_sms_sandbox_phone_number/3","type":"function"},{"doc":"Welcome to the Amazon SQS API Reference. Amazon SQS is a reliable, highly-scalable hosted queue for storing messages as they travel between applications or microservices. Amazon SQS moves data between distributed application components and helps you decouple these components. For information on the permissions you need to use this API, see Identity and access management in the Amazon SQS Developer Guide. You can use Amazon Web Services SDKs to access Amazon SQS using your favorite programming language. The SDKs perform tasks such as the following automatically: Cryptographically sign your service requests Retry requests Handle error responses Additional information Amazon SQS Product Page Amazon SQS Developer Guide Making API Requests Amazon SQS Message Attributes Amazon SQS Dead-Letter Queues Amazon SQS in the Command Line Interface Amazon Web Services General Reference Regions and Endpoints","ref":"aws_sqs.html","title":"aws_sqs","type":"module"},{"doc":"Adds a permission to a queue for a specific principal. This allows sharing access to the queue. When you create a queue, you have full control access rights for the queue. Only you, the owner of the queue, can grant or deny permissions to the queue. For more information about these permissions, see Allow Developers to Write Messages to a Shared Queue in the Amazon SQS Developer Guide. AddPermission generates a policy for you. You can use `SetQueueAttributes ' to upload your policy. For more information, see Using Custom Policies with the Amazon SQS Access Policy Language in the Amazon SQS Developer Guide. An Amazon SQS policy can have a maximum of 7 actions. To remove the ability to change queue permissions, you must deny permission to the AddPermission , RemovePermission , and SetQueueAttributes actions in your IAM policy. Some actions take lists of parameters. These lists are specified using the param.n notation. Values of n are integers starting from 1. For example, a parameter list with two elements looks like this: &amp;amp;AttributeName.1=first &amp;amp;AttributeName.2=second Cross-account permissions don't apply to this action. For more information, see Grant cross-account permissions to a role and a user name in the Amazon SQS Developer Guide.","ref":"aws_sqs.html#add_permission/2","title":"aws_sqs.add_permission/2","type":"function"},{"doc":"","ref":"aws_sqs.html#add_permission/3","title":"aws_sqs.add_permission/3","type":"function"},{"doc":"Changes the visibility timeout of a specified message in a queue to a new value. The default visibility timeout for a message is 30 seconds. The minimum is 0 seconds. The maximum is 12 hours. For more information, see Visibility Timeout in the Amazon SQS Developer Guide. For example, you have a message with a visibility timeout of 5 minutes. After 3 minutes, you call ChangeMessageVisibility with a timeout of 10 minutes. You can continue to call ChangeMessageVisibility to extend the visibility timeout to the maximum allowed time. If you try to extend the visibility timeout beyond the maximum, your request is rejected. An Amazon SQS message has three basic states: Sent to a queue by a producer. Received from the queue by a consumer. Deleted from the queue. A message is considered to be stored after it is sent to a queue by a producer, but not yet received from the queue by a consumer (that is, between states 1 and 2). There is no limit to the number of stored messages. A message is considered to be in flight after it is received from a queue by a consumer, but not yet deleted from the queue (that is, between states 2 and 3). There is a limit to the number of inflight messages. Limits that apply to inflight messages are unrelated to the unlimited number of stored messages. For most standard queues (depending on queue traffic and message backlog), there can be a maximum of approximately 120,000 inflight messages (received from a queue by a consumer, but not yet deleted from the queue). If you reach this limit, Amazon SQS returns the OverLimit error message. To avoid reaching the limit, you should delete messages from the queue after they're processed. You can also increase the number of queues you use to process your messages. To request a limit increase, file a support request. For FIFO queues, there can be a maximum of 20,000 inflight messages (received from a queue by a consumer, but not yet deleted from the queue). If you reach this limit, Amazon SQS returns no error messages. If you attempt to set the VisibilityTimeout to a value greater than the maximum time left, Amazon SQS returns an error. Amazon SQS doesn't automatically recalculate and increase the timeout to the maximum remaining time. Unlike with a queue, when you change the visibility timeout for a specific message the timeout value is applied immediately but isn't saved in memory for that message. If you don't delete a message after it is received, the visibility timeout for the message reverts to the original timeout value (not to the value you set using the ChangeMessageVisibility action) the next time the message is received.","ref":"aws_sqs.html#change_message_visibility/2","title":"aws_sqs.change_message_visibility/2","type":"function"},{"doc":"","ref":"aws_sqs.html#change_message_visibility/3","title":"aws_sqs.change_message_visibility/3","type":"function"},{"doc":"Changes the visibility timeout of multiple messages. This is a batch version of `ChangeMessageVisibility .' The result of the action on each message is reported individually in the response. You can send up to 10 `ChangeMessageVisibility ' requests with each ChangeMessageVisibilityBatch action. Because the batch request can result in a combination of successful and unsuccessful actions, you should check for batch errors even when the call returns an HTTP status code of 200 . Some actions take lists of parameters. These lists are specified using the param.n notation. Values of n are integers starting from 1. For example, a parameter list with two elements looks like this: &amp;amp;AttributeName.1=first &amp;amp;AttributeName.2=second","ref":"aws_sqs.html#change_message_visibility_batch/2","title":"aws_sqs.change_message_visibility_batch/2","type":"function"},{"doc":"","ref":"aws_sqs.html#change_message_visibility_batch/3","title":"aws_sqs.change_message_visibility_batch/3","type":"function"},{"doc":"Creates a new standard or FIFO queue. You can pass one or more attributes in the request. Keep the following in mind: If you don't specify the FifoQueue attribute, Amazon SQS creates a standard queue. You can't change the queue type after you create it and you can't convert an existing standard queue into a FIFO queue. You must either create a new FIFO queue for your application or delete your existing standard queue and recreate it as a FIFO queue. For more information, see Moving From a Standard Queue to a FIFO Queue in the Amazon SQS Developer Guide. If you don't provide a value for an attribute, the queue is created with the default value for the attribute. If you delete a queue, you must wait at least 60 seconds before creating a queue with the same name. To successfully create a new queue, you must provide a queue name that adheres to the limits related to queues and is unique within the scope of your queues. After you create a queue, you must wait at least one second after the queue is created to be able to use the queue. To get the queue URL, use the `GetQueueUrl ' action. `GetQueueUrl ' requires only the QueueName parameter. be aware of existing queue names: If you provide the name of an existing queue along with the exact names and values of all the queue's attributes, CreateQueue returns the queue URL for the existing queue. If the queue name, attribute names, or attribute values don't match an existing queue, CreateQueue returns an error. Some actions take lists of parameters. These lists are specified using the param.n notation. Values of n are integers starting from 1. For example, a parameter list with two elements looks like this: &amp;amp;AttributeName.1=first &amp;amp;AttributeName.2=second Cross-account permissions don't apply to this action. For more information, see Grant cross-account permissions to a role and a user name in the Amazon SQS Developer Guide.","ref":"aws_sqs.html#create_queue/2","title":"aws_sqs.create_queue/2","type":"function"},{"doc":"","ref":"aws_sqs.html#create_queue/3","title":"aws_sqs.create_queue/3","type":"function"},{"doc":"Deletes the specified message from the specified queue. To select the message to delete, use the ReceiptHandle of the message (not the MessageId which you receive when you send the message). Amazon SQS can delete a message from a queue even if a visibility timeout setting causes the message to be locked by another consumer. Amazon SQS automatically deletes messages left in a queue longer than the retention period configured for the queue. The ReceiptHandle is associated with a specific instance of receiving a message. If you receive a message more than once, the ReceiptHandle is different each time you receive a message. When you use the DeleteMessage action, you must provide the most recently received ReceiptHandle for the message (otherwise, the request succeeds, but the message might not be deleted). For standard queues, it is possible to receive a message even after you delete it. This might happen on rare occasions if one of the servers which stores a copy of the message is unavailable when you send the request to delete the message. The copy remains on the server and might be returned to you during a subsequent receive request. You should ensure that your application is idempotent, so that receiving a message more than once does not cause issues.","ref":"aws_sqs.html#delete_message/2","title":"aws_sqs.delete_message/2","type":"function"},{"doc":"","ref":"aws_sqs.html#delete_message/3","title":"aws_sqs.delete_message/3","type":"function"},{"doc":"Deletes up to ten messages from the specified queue. This is a batch version of `DeleteMessage .' The result of the action on each message is reported individually in the response. Because the batch request can result in a combination of successful and unsuccessful actions, you should check for batch errors even when the call returns an HTTP status code of 200 . Some actions take lists of parameters. These lists are specified using the param.n notation. Values of n are integers starting from 1. For example, a parameter list with two elements looks like this: &amp;amp;AttributeName.1=first &amp;amp;AttributeName.2=second","ref":"aws_sqs.html#delete_message_batch/2","title":"aws_sqs.delete_message_batch/2","type":"function"},{"doc":"","ref":"aws_sqs.html#delete_message_batch/3","title":"aws_sqs.delete_message_batch/3","type":"function"},{"doc":"Deletes the queue specified by the QueueUrl , regardless of the queue's contents. Be careful with the DeleteQueue action: When you delete a queue, any messages in the queue are no longer available. When you delete a queue, the deletion process takes up to 60 seconds. Requests you send involving that queue during the 60 seconds might succeed. For example, a `SendMessage ' request might succeed, but after 60 seconds the queue and the message you sent no longer exist. When you delete a queue, you must wait at least 60 seconds before creating a queue with the same name. Cross-account permissions don't apply to this action. For more information, see Grant cross-account permissions to a role and a user name in the Amazon SQS Developer Guide.","ref":"aws_sqs.html#delete_queue/2","title":"aws_sqs.delete_queue/2","type":"function"},{"doc":"","ref":"aws_sqs.html#delete_queue/3","title":"aws_sqs.delete_queue/3","type":"function"},{"doc":"Gets attributes for the specified queue. To determine whether a queue is FIFO, you can check whether QueueName ends with the .fifo suffix.","ref":"aws_sqs.html#get_queue_attributes/2","title":"aws_sqs.get_queue_attributes/2","type":"function"},{"doc":"","ref":"aws_sqs.html#get_queue_attributes/3","title":"aws_sqs.get_queue_attributes/3","type":"function"},{"doc":"Returns the URL of an existing Amazon SQS queue. To access a queue that belongs to another AWS account, use the QueueOwnerAWSAccountId parameter to specify the account ID of the queue's owner. The queue's owner must grant you permission to access the queue. For more information about shared queue access, see `AddPermission ' or see Allow Developers to Write Messages to a Shared Queue in the Amazon SQS Developer Guide.","ref":"aws_sqs.html#get_queue_url/2","title":"aws_sqs.get_queue_url/2","type":"function"},{"doc":"","ref":"aws_sqs.html#get_queue_url/3","title":"aws_sqs.get_queue_url/3","type":"function"},{"doc":"Returns a list of your queues that have the RedrivePolicy queue attribute configured with a dead-letter queue. The ListDeadLetterSourceQueues methods supports pagination. Set parameter MaxResults in the request to specify the maximum number of results to be returned in the response. If you do not set MaxResults , the response includes a maximum of 1,000 results. If you set MaxResults and there are additional results to display, the response includes a value for NextToken . Use NextToken as a parameter in your next request to ListDeadLetterSourceQueues to receive the next page of results. For more information about using dead-letter queues, see Using Amazon SQS Dead-Letter Queues in the Amazon SQS Developer Guide.","ref":"aws_sqs.html#list_dead_letter_source_queues/2","title":"aws_sqs.list_dead_letter_source_queues/2","type":"function"},{"doc":"","ref":"aws_sqs.html#list_dead_letter_source_queues/3","title":"aws_sqs.list_dead_letter_source_queues/3","type":"function"},{"doc":"List all cost allocation tags added to the specified Amazon SQS queue. For an overview, see Tagging Your Amazon SQS Queues in the Amazon SQS Developer Guide. Cross-account permissions don't apply to this action. For more information, see Grant cross-account permissions to a role and a user name in the Amazon SQS Developer Guide.","ref":"aws_sqs.html#list_queue_tags/2","title":"aws_sqs.list_queue_tags/2","type":"function"},{"doc":"","ref":"aws_sqs.html#list_queue_tags/3","title":"aws_sqs.list_queue_tags/3","type":"function"},{"doc":"Returns a list of your queues in the current region. The response includes a maximum of 1,000 results. If you specify a value for the optional QueueNamePrefix parameter, only queues with a name that begins with the specified value are returned. The listQueues methods supports pagination. Set parameter MaxResults in the request to specify the maximum number of results to be returned in the response. If you do not set MaxResults , the response includes a maximum of 1,000 results. If you set MaxResults and there are additional results to display, the response includes a value for NextToken . Use NextToken as a parameter in your next request to listQueues to receive the next page of results. Cross-account permissions don't apply to this action. For more information, see Grant cross-account permissions to a role and a user name in the Amazon SQS Developer Guide.","ref":"aws_sqs.html#list_queues/2","title":"aws_sqs.list_queues/2","type":"function"},{"doc":"","ref":"aws_sqs.html#list_queues/3","title":"aws_sqs.list_queues/3","type":"function"},{"doc":"Deletes the messages in a queue specified by the QueueURL parameter. When you use the PurgeQueue action, you can't retrieve any messages deleted from a queue. The message deletion process takes up to 60 seconds. We recommend waiting for 60 seconds regardless of your queue's size. Messages sent to the queue before you call PurgeQueue might be received but are deleted within the next minute. Messages sent to the queue after you call PurgeQueue might be deleted while the queue is being purged.","ref":"aws_sqs.html#purge_queue/2","title":"aws_sqs.purge_queue/2","type":"function"},{"doc":"","ref":"aws_sqs.html#purge_queue/3","title":"aws_sqs.purge_queue/3","type":"function"},{"doc":"Retrieves one or more messages (up to 10), from the specified queue. Using the WaitTimeSeconds parameter enables long-poll support. For more information, see Amazon SQS Long Polling in the Amazon SQS Developer Guide. Short poll is the default behavior where a weighted random set of machines is sampled on a ReceiveMessage call. Thus, only the messages on the sampled machines are returned. If the number of messages in the queue is small (fewer than 1,000), you most likely get fewer messages than you requested per ReceiveMessage call. If the number of messages in the queue is extremely small, you might not receive any messages in a particular ReceiveMessage response. If this happens, repeat the request. For each message returned, the response includes the following: The message body. An MD5 digest of the message body. For information about MD5, see RFC1321. The MessageId you received when you sent the message to the queue. The receipt handle. The message attributes. An MD5 digest of the message attributes. The receipt handle is the identifier you must provide when deleting the message. For more information, see Queue and Message Identifiers in the Amazon SQS Developer Guide. You can provide the VisibilityTimeout parameter in your request. The parameter is applied to the messages that Amazon SQS returns in the response. If you don't include the parameter, the overall visibility timeout for the queue is used for the returned messages. For more information, see Visibility Timeout in the Amazon SQS Developer Guide. A message that isn't deleted or a message whose visibility isn't extended before the visibility timeout expires counts as a failed receive. Depending on the configuration of the queue, the message might be sent to the dead-letter queue. In the future, new attributes might be added. If you write code that calls this action, we recommend that you structure your code so that it can handle new attributes gracefully.","ref":"aws_sqs.html#receive_message/2","title":"aws_sqs.receive_message/2","type":"function"},{"doc":"","ref":"aws_sqs.html#receive_message/3","title":"aws_sqs.receive_message/3","type":"function"},{"doc":"Revokes any permissions in the queue policy that matches the specified Label parameter. Only the owner of a queue can remove permissions from it. Cross-account permissions don't apply to this action. For more information, see Grant cross-account permissions to a role and a user name in the Amazon SQS Developer Guide. To remove the ability to change queue permissions, you must deny permission to the AddPermission , RemovePermission , and SetQueueAttributes actions in your IAM policy.","ref":"aws_sqs.html#remove_permission/2","title":"aws_sqs.remove_permission/2","type":"function"},{"doc":"","ref":"aws_sqs.html#remove_permission/3","title":"aws_sqs.remove_permission/3","type":"function"},{"doc":"Delivers a message to the specified queue. A message can include only XML, JSON, and unformatted text. The following Unicode characters are allowed: #x9 | #xA | #xD | #x20 to #xD7FF | #xE000 to #xFFFD | #x10000 to #x10FFFF Any characters not included in this list will be rejected. For more information, see the W3C specification for characters.","ref":"aws_sqs.html#send_message/2","title":"aws_sqs.send_message/2","type":"function"},{"doc":"","ref":"aws_sqs.html#send_message/3","title":"aws_sqs.send_message/3","type":"function"},{"doc":"Delivers up to ten messages to the specified queue. This is a batch version of `SendMessage .' For a FIFO queue, multiple messages within a single batch are enqueued in the order they are sent. The result of sending each message is reported individually in the response. Because the batch request can result in a combination of successful and unsuccessful actions, you should check for batch errors even when the call returns an HTTP status code of 200 . The maximum allowed individual message size and the maximum total payload size (the sum of the individual lengths of all of the batched messages) are both 256 KB (262,144 bytes). A message can include only XML, JSON, and unformatted text. The following Unicode characters are allowed: #x9 | #xA | #xD | #x20 to #xD7FF | #xE000 to #xFFFD | #x10000 to #x10FFFF Any characters not included in this list will be rejected. For more information, see the W3C specification for characters. If you don't specify the DelaySeconds parameter for an entry, Amazon SQS uses the default value for the queue. Some actions take lists of parameters. These lists are specified using the param.n notation. Values of n are integers starting from 1. For example, a parameter list with two elements looks like this: &amp;amp;AttributeName.1=first &amp;amp;AttributeName.2=second","ref":"aws_sqs.html#send_message_batch/2","title":"aws_sqs.send_message_batch/2","type":"function"},{"doc":"","ref":"aws_sqs.html#send_message_batch/3","title":"aws_sqs.send_message_batch/3","type":"function"},{"doc":"Sets the value of one or more queue attributes. When you change a queue's attributes, the change can take up to 60 seconds for most of the attributes to propagate throughout the Amazon SQS system. Changes made to the MessageRetentionPeriod attribute can take up to 15 minutes. In the future, new attributes might be added. If you write code that calls this action, we recommend that you structure your code so that it can handle new attributes gracefully. Cross-account permissions don't apply to this action. For more information, see Grant cross-account permissions to a role and a user name in the Amazon SQS Developer Guide. To remove the ability to change queue permissions, you must deny permission to the AddPermission , RemovePermission , and SetQueueAttributes actions in your IAM policy.","ref":"aws_sqs.html#set_queue_attributes/2","title":"aws_sqs.set_queue_attributes/2","type":"function"},{"doc":"","ref":"aws_sqs.html#set_queue_attributes/3","title":"aws_sqs.set_queue_attributes/3","type":"function"},{"doc":"Add cost allocation tags to the specified Amazon SQS queue. For an overview, see Tagging Your Amazon SQS Queues in the Amazon SQS Developer Guide. When you use queue tags, keep the following guidelines in mind: Adding more than 50 tags to a queue isn't recommended. Tags don't have any semantic meaning. Amazon SQS interprets tags as character strings. Tags are case-sensitive. A new tag with a key identical to that of an existing tag overwrites the existing tag. For a full list of tag restrictions, see Quotas related to queues in the Amazon SQS Developer Guide. Cross-account permissions don't apply to this action. For more information, see Grant cross-account permissions to a role and a user name in the Amazon SQS Developer Guide.","ref":"aws_sqs.html#tag_queue/2","title":"aws_sqs.tag_queue/2","type":"function"},{"doc":"","ref":"aws_sqs.html#tag_queue/3","title":"aws_sqs.tag_queue/3","type":"function"},{"doc":"Remove cost allocation tags from the specified Amazon SQS queue. For an overview, see Tagging Your Amazon SQS Queues in the Amazon SQS Developer Guide. Cross-account permissions don't apply to this action. For more information, see Grant cross-account permissions to a role and a user name in the Amazon SQS Developer Guide.","ref":"aws_sqs.html#untag_queue/2","title":"aws_sqs.untag_queue/2","type":"function"},{"doc":"","ref":"aws_sqs.html#untag_queue/3","title":"aws_sqs.untag_queue/3","type":"function"},{"doc":"Amazon Web Services Systems Manager is the operations hub for your Amazon Web Services applications and resources and a secure end-to-end management solution for hybrid cloud environments that enables safe and secure operations at scale. This reference is intended to be used with the Amazon Web Services Systems Manager User Guide. To get started, see Setting up Amazon Web Services Systems Manager. Related resources For information about each of the capabilities that comprise Systems Manager, see Systems Manager capabilities in the Amazon Web Services Systems Manager User Guide. For details about predefined runbooks for Automation, a capability of Amazon Web Services Systems Manager, see the Systems Manager Automation runbook reference . For information about AppConfig, a capability of Systems Manager, see the AppConfig User Guide and the AppConfig API Reference . For information about Incident Manager, a capability of Systems Manager, see the Systems Manager Incident Manager User Guide and the Systems Manager Incident Manager API Reference .","ref":"aws_ssm.html","title":"aws_ssm","type":"module"},{"doc":"Adds or overwrites one or more tags for the specified resource. Tags are metadata that you can assign to your automations, documents, managed nodes, maintenance windows, Parameter Store parameters, and patch baselines. Tags enable you to categorize your resources in different ways, for example, by purpose, owner, or environment. Each tag consists of a key and an optional value, both of which you define. For example, you could define a set of tags for your account's managed nodes that helps you track each node's owner and stack level. For example: Key=Owner,Value=DbAdmin Key=Owner,Value=SysAdmin Key=Owner,Value=Dev Key=Stack,Value=Production Key=Stack,Value=Pre-Production Key=Stack,Value=Test Most resources can have a maximum of 50 tags. Automations can have a maximum of 5 tags. We recommend that you devise a set of tag keys that meets your needs for each resource type. Using a consistent set of tag keys makes it easier for you to manage your resources. You can search and filter the resources based on the tags you add. Tags don't have any semantic meaning to and are interpreted strictly as a string of characters. For more information about using tags with Amazon Elastic Compute Cloud (Amazon EC2) instances, see Tagging your Amazon EC2 resources in the Amazon EC2 User Guide.","ref":"aws_ssm.html#add_tags_to_resource/2","title":"aws_ssm.add_tags_to_resource/2","type":"function"},{"doc":"","ref":"aws_ssm.html#add_tags_to_resource/3","title":"aws_ssm.add_tags_to_resource/3","type":"function"},{"doc":"Associates a related item to a Systems Manager OpsCenter OpsItem. For example, you can associate an Incident Manager incident or analysis with an OpsItem. Incident Manager and OpsCenter are capabilities of Amazon Web Services Systems Manager.","ref":"aws_ssm.html#associate_ops_item_related_item/2","title":"aws_ssm.associate_ops_item_related_item/2","type":"function"},{"doc":"","ref":"aws_ssm.html#associate_ops_item_related_item/3","title":"aws_ssm.associate_ops_item_related_item/3","type":"function"},{"doc":"Attempts to cancel the command specified by the Command ID. There is no guarantee that the command will be terminated and the underlying process stopped.","ref":"aws_ssm.html#cancel_command/2","title":"aws_ssm.cancel_command/2","type":"function"},{"doc":"","ref":"aws_ssm.html#cancel_command/3","title":"aws_ssm.cancel_command/3","type":"function"},{"doc":"Stops a maintenance window execution that is already in progress and cancels any tasks in the window that haven't already starting running. Tasks already in progress will continue to completion.","ref":"aws_ssm.html#cancel_maintenance_window_execution/2","title":"aws_ssm.cancel_maintenance_window_execution/2","type":"function"},{"doc":"","ref":"aws_ssm.html#cancel_maintenance_window_execution/3","title":"aws_ssm.cancel_maintenance_window_execution/3","type":"function"},{"doc":"Generates an activation code and activation ID you can use to register your on-premises servers, edge devices, or virtual machine (VM) with Amazon Web Services Systems Manager. Registering these machines with Systems Manager makes it possible to manage them using Systems Manager capabilities. You use the activation code and ID when installing SSM Agent on machines in your hybrid environment. For more information about requirements for managing on-premises machines using Systems Manager, see Setting up Amazon Web Services Systems Manager for hybrid environments in the Amazon Web Services Systems Manager User Guide. Amazon Elastic Compute Cloud (Amazon EC2) instances, edge devices, and on-premises servers and VMs that are configured for Systems Manager are all called managed nodes.","ref":"aws_ssm.html#create_activation/2","title":"aws_ssm.create_activation/2","type":"function"},{"doc":"","ref":"aws_ssm.html#create_activation/3","title":"aws_ssm.create_activation/3","type":"function"},{"doc":"A State Manager association defines the state that you want to maintain on your managed nodes. For example, an association can specify that anti-virus software must be installed and running on your managed nodes, or that certain ports must be closed. For static targets, the association specifies a schedule for when the configuration is reapplied. For dynamic targets, such as an Amazon Web Services resource group or an Amazon Web Services autoscaling group, State Manager, a capability of Amazon Web Services Systems Manager applies the configuration when new managed nodes are added to the group. The association also specifies actions to take when applying the configuration. For example, an association for anti-virus software might run once a day. If the software isn't installed, then State Manager installs it. If the software is installed, but the service isn't running, then the association might instruct State Manager to start the service.","ref":"aws_ssm.html#create_association/2","title":"aws_ssm.create_association/2","type":"function"},{"doc":"","ref":"aws_ssm.html#create_association/3","title":"aws_ssm.create_association/3","type":"function"},{"doc":"Associates the specified Amazon Web Services Systems Manager document (SSM document) with the specified managed nodes or targets. When you associate a document with one or more managed nodes using IDs or tags, Amazon Web Services Systems Manager Agent (SSM Agent) running on the managed node processes the document and configures the node as specified. If you associate a document with a managed node that already has an associated document, the system returns the AssociationAlreadyExists exception.","ref":"aws_ssm.html#create_association_batch/2","title":"aws_ssm.create_association_batch/2","type":"function"},{"doc":"","ref":"aws_ssm.html#create_association_batch/3","title":"aws_ssm.create_association_batch/3","type":"function"},{"doc":"Creates a Amazon Web Services Systems Manager (SSM document). An SSM document defines the actions that Systems Manager performs on your managed nodes. For more information about SSM documents, including information about supported schemas, features, and syntax, see Amazon Web Services Systems Manager Documents in the Amazon Web Services Systems Manager User Guide.","ref":"aws_ssm.html#create_document/2","title":"aws_ssm.create_document/2","type":"function"},{"doc":"","ref":"aws_ssm.html#create_document/3","title":"aws_ssm.create_document/3","type":"function"},{"doc":"Creates a new maintenance window. The value you specify for Duration determines the specific end time for the maintenance window based on the time it begins. No maintenance window tasks are permitted to start after the resulting endtime minus the number of hours you specify for Cutoff . For example, if the maintenance window starts at 3 PM, the duration is three hours, and the value you specify for Cutoff is one hour, no maintenance window tasks can start after 5 PM.","ref":"aws_ssm.html#create_maintenance_window/2","title":"aws_ssm.create_maintenance_window/2","type":"function"},{"doc":"","ref":"aws_ssm.html#create_maintenance_window/3","title":"aws_ssm.create_maintenance_window/3","type":"function"},{"doc":"Creates a new OpsItem. You must have permission in Identity and Access Management (IAM) to create a new OpsItem. For more information, see Getting started with OpsCenter in the Amazon Web Services Systems Manager User Guide. Operations engineers and IT professionals use Amazon Web Services Systems Manager OpsCenter to view, investigate, and remediate operational issues impacting the performance and health of their Amazon Web Services resources. For more information, see Amazon Web Services Systems Manager OpsCenter in the Amazon Web Services Systems Manager User Guide.","ref":"aws_ssm.html#create_ops_item/2","title":"aws_ssm.create_ops_item/2","type":"function"},{"doc":"","ref":"aws_ssm.html#create_ops_item/3","title":"aws_ssm.create_ops_item/3","type":"function"},{"doc":"If you create a new application in Application Manager, Amazon Web Services Systems Manager calls this API operation to specify information about the new application, including the application type.","ref":"aws_ssm.html#create_ops_metadata/2","title":"aws_ssm.create_ops_metadata/2","type":"function"},{"doc":"","ref":"aws_ssm.html#create_ops_metadata/3","title":"aws_ssm.create_ops_metadata/3","type":"function"},{"doc":"Creates a patch baseline. For information about valid key-value pairs in PatchFilters for each supported operating system type, see PatchFilter .","ref":"aws_ssm.html#create_patch_baseline/2","title":"aws_ssm.create_patch_baseline/2","type":"function"},{"doc":"","ref":"aws_ssm.html#create_patch_baseline/3","title":"aws_ssm.create_patch_baseline/3","type":"function"},{"doc":"A resource data sync helps you view data from multiple sources in a single location. Amazon Web Services Systems Manager offers two types of resource data sync: SyncToDestination and SyncFromSource . You can configure Systems Manager Inventory to use the SyncToDestination type to synchronize Inventory data from multiple Amazon Web Services Regions to a single Amazon Simple Storage Service (Amazon S3) bucket. For more information, see Configuring resource data sync for Inventory in the Amazon Web Services Systems Manager User Guide. You can configure Systems Manager Explorer to use the SyncFromSource type to synchronize operational work items (OpsItems) and operational data (OpsData) from multiple Amazon Web Services Regions to a single Amazon S3 bucket. This type can synchronize OpsItems and OpsData from multiple Amazon Web Services accounts and Amazon Web Services Regions or EntireOrganization by using Organizations. For more information, see Setting up Systems Manager Explorer to display data from multiple accounts and Regions in the Amazon Web Services Systems Manager User Guide. A resource data sync is an asynchronous operation that returns immediately. After a successful initial sync is completed, the system continuously syncs data. To check the status of a sync, use the ListResourceDataSync . By default, data isn't encrypted in Amazon S3. We strongly recommend that you enable encryption in Amazon S3 to ensure secure data storage. We also recommend that you secure access to the Amazon S3 bucket by creating a restrictive bucket policy.","ref":"aws_ssm.html#create_resource_data_sync/2","title":"aws_ssm.create_resource_data_sync/2","type":"function"},{"doc":"","ref":"aws_ssm.html#create_resource_data_sync/3","title":"aws_ssm.create_resource_data_sync/3","type":"function"},{"doc":"Deletes an activation. You aren't required to delete an activation. If you delete an activation, you can no longer use it to register additional managed nodes. Deleting an activation doesn't de-register managed nodes. You must manually de-register managed nodes.","ref":"aws_ssm.html#delete_activation/2","title":"aws_ssm.delete_activation/2","type":"function"},{"doc":"","ref":"aws_ssm.html#delete_activation/3","title":"aws_ssm.delete_activation/3","type":"function"},{"doc":"Disassociates the specified Amazon Web Services Systems Manager document (SSM document) from the specified managed node. If you created the association by using the Targets parameter, then you must delete the association by using the association ID. When you disassociate a document from a managed node, it doesn't change the configuration of the node. To change the configuration state of a managed node after you disassociate a document, you must create a new document with the desired configuration and associate it with the node.","ref":"aws_ssm.html#delete_association/2","title":"aws_ssm.delete_association/2","type":"function"},{"doc":"","ref":"aws_ssm.html#delete_association/3","title":"aws_ssm.delete_association/3","type":"function"},{"doc":"Deletes the Amazon Web Services Systems Manager document (SSM document) and all managed node associations to the document. Before you delete the document, we recommend that you use DeleteAssociation to disassociate all managed nodes that are associated with the document.","ref":"aws_ssm.html#delete_document/2","title":"aws_ssm.delete_document/2","type":"function"},{"doc":"","ref":"aws_ssm.html#delete_document/3","title":"aws_ssm.delete_document/3","type":"function"},{"doc":"Delete a custom inventory type or the data associated with a custom Inventory type. Deleting a custom inventory type is also referred to as deleting a custom inventory schema.","ref":"aws_ssm.html#delete_inventory/2","title":"aws_ssm.delete_inventory/2","type":"function"},{"doc":"","ref":"aws_ssm.html#delete_inventory/3","title":"aws_ssm.delete_inventory/3","type":"function"},{"doc":"Deletes a maintenance window.","ref":"aws_ssm.html#delete_maintenance_window/2","title":"aws_ssm.delete_maintenance_window/2","type":"function"},{"doc":"","ref":"aws_ssm.html#delete_maintenance_window/3","title":"aws_ssm.delete_maintenance_window/3","type":"function"},{"doc":"Delete OpsMetadata related to an application.","ref":"aws_ssm.html#delete_ops_metadata/2","title":"aws_ssm.delete_ops_metadata/2","type":"function"},{"doc":"","ref":"aws_ssm.html#delete_ops_metadata/3","title":"aws_ssm.delete_ops_metadata/3","type":"function"},{"doc":"Delete a parameter from the system. After deleting a parameter, wait for at least 30 seconds to create a parameter with the same name.","ref":"aws_ssm.html#delete_parameter/2","title":"aws_ssm.delete_parameter/2","type":"function"},{"doc":"","ref":"aws_ssm.html#delete_parameter/3","title":"aws_ssm.delete_parameter/3","type":"function"},{"doc":"Delete a list of parameters. After deleting a parameter, wait for at least 30 seconds to create a parameter with the same name.","ref":"aws_ssm.html#delete_parameters/2","title":"aws_ssm.delete_parameters/2","type":"function"},{"doc":"","ref":"aws_ssm.html#delete_parameters/3","title":"aws_ssm.delete_parameters/3","type":"function"},{"doc":"Deletes a patch baseline.","ref":"aws_ssm.html#delete_patch_baseline/2","title":"aws_ssm.delete_patch_baseline/2","type":"function"},{"doc":"","ref":"aws_ssm.html#delete_patch_baseline/3","title":"aws_ssm.delete_patch_baseline/3","type":"function"},{"doc":"Deletes a resource data sync configuration. After the configuration is deleted, changes to data on managed nodes are no longer synced to or from the target. Deleting a sync configuration doesn't delete data.","ref":"aws_ssm.html#delete_resource_data_sync/2","title":"aws_ssm.delete_resource_data_sync/2","type":"function"},{"doc":"","ref":"aws_ssm.html#delete_resource_data_sync/3","title":"aws_ssm.delete_resource_data_sync/3","type":"function"},{"doc":"Deletes a Systems Manager resource policy. A resource policy helps you to define the IAM entity (for example, an Amazon Web Services account) that can manage your Systems Manager resources. Currently, OpsItemGroup is the only resource that supports Systems Manager resource policies. The resource policy for OpsItemGroup enables Amazon Web Services accounts to view and interact with OpsCenter operational work items (OpsItems).","ref":"aws_ssm.html#delete_resource_policy/2","title":"aws_ssm.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_ssm.html#delete_resource_policy/3","title":"aws_ssm.delete_resource_policy/3","type":"function"},{"doc":"Removes the server or virtual machine from the list of registered servers. You can reregister the node again at any time. If you don't plan to use Run Command on the server, we suggest uninstalling SSM Agent first.","ref":"aws_ssm.html#deregister_managed_instance/2","title":"aws_ssm.deregister_managed_instance/2","type":"function"},{"doc":"","ref":"aws_ssm.html#deregister_managed_instance/3","title":"aws_ssm.deregister_managed_instance/3","type":"function"},{"doc":"Removes a patch group from a patch baseline.","ref":"aws_ssm.html#deregister_patch_baseline_for_patch_group/2","title":"aws_ssm.deregister_patch_baseline_for_patch_group/2","type":"function"},{"doc":"","ref":"aws_ssm.html#deregister_patch_baseline_for_patch_group/3","title":"aws_ssm.deregister_patch_baseline_for_patch_group/3","type":"function"},{"doc":"Removes a target from a maintenance window.","ref":"aws_ssm.html#deregister_target_from_maintenance_window/2","title":"aws_ssm.deregister_target_from_maintenance_window/2","type":"function"},{"doc":"","ref":"aws_ssm.html#deregister_target_from_maintenance_window/3","title":"aws_ssm.deregister_target_from_maintenance_window/3","type":"function"},{"doc":"Removes a task from a maintenance window.","ref":"aws_ssm.html#deregister_task_from_maintenance_window/2","title":"aws_ssm.deregister_task_from_maintenance_window/2","type":"function"},{"doc":"","ref":"aws_ssm.html#deregister_task_from_maintenance_window/3","title":"aws_ssm.deregister_task_from_maintenance_window/3","type":"function"},{"doc":"Describes details about the activation, such as the date and time the activation was created, its expiration date, the Identity and Access Management (IAM) role assigned to the managed nodes in the activation, and the number of nodes registered by using this activation.","ref":"aws_ssm.html#describe_activations/2","title":"aws_ssm.describe_activations/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_activations/3","title":"aws_ssm.describe_activations/3","type":"function"},{"doc":"Describes the association for the specified target or managed node. If you created the association by using the Targets parameter, then you must retrieve the association by using the association ID.","ref":"aws_ssm.html#describe_association/2","title":"aws_ssm.describe_association/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_association/3","title":"aws_ssm.describe_association/3","type":"function"},{"doc":"Views information about a specific execution of a specific association.","ref":"aws_ssm.html#describe_association_execution_targets/2","title":"aws_ssm.describe_association_execution_targets/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_association_execution_targets/3","title":"aws_ssm.describe_association_execution_targets/3","type":"function"},{"doc":"Views all executions for a specific association ID.","ref":"aws_ssm.html#describe_association_executions/2","title":"aws_ssm.describe_association_executions/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_association_executions/3","title":"aws_ssm.describe_association_executions/3","type":"function"},{"doc":"Provides details about all active and terminated Automation executions.","ref":"aws_ssm.html#describe_automation_executions/2","title":"aws_ssm.describe_automation_executions/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_automation_executions/3","title":"aws_ssm.describe_automation_executions/3","type":"function"},{"doc":"Information about all active and terminated step executions in an Automation workflow.","ref":"aws_ssm.html#describe_automation_step_executions/2","title":"aws_ssm.describe_automation_step_executions/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_automation_step_executions/3","title":"aws_ssm.describe_automation_step_executions/3","type":"function"},{"doc":"Lists all patches eligible to be included in a patch baseline.","ref":"aws_ssm.html#describe_available_patches/2","title":"aws_ssm.describe_available_patches/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_available_patches/3","title":"aws_ssm.describe_available_patches/3","type":"function"},{"doc":"Describes the specified Amazon Web Services Systems Manager document (SSM document).","ref":"aws_ssm.html#describe_document/2","title":"aws_ssm.describe_document/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_document/3","title":"aws_ssm.describe_document/3","type":"function"},{"doc":"Describes the permissions for a Amazon Web Services Systems Manager document (SSM document). If you created the document, you are the owner. If a document is shared, it can either be shared privately (by specifying a user's Amazon Web Services account ID) or publicly (All).","ref":"aws_ssm.html#describe_document_permission/2","title":"aws_ssm.describe_document_permission/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_document_permission/3","title":"aws_ssm.describe_document_permission/3","type":"function"},{"doc":"All associations for the managed node(s).","ref":"aws_ssm.html#describe_effective_instance_associations/2","title":"aws_ssm.describe_effective_instance_associations/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_effective_instance_associations/3","title":"aws_ssm.describe_effective_instance_associations/3","type":"function"},{"doc":"Retrieves the current effective patches (the patch and the approval state) for the specified patch baseline. Applies to patch baselines for Windows only.","ref":"aws_ssm.html#describe_effective_patches_for_patch_baseline/2","title":"aws_ssm.describe_effective_patches_for_patch_baseline/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_effective_patches_for_patch_baseline/3","title":"aws_ssm.describe_effective_patches_for_patch_baseline/3","type":"function"},{"doc":"The status of the associations for the managed node(s).","ref":"aws_ssm.html#describe_instance_associations_status/2","title":"aws_ssm.describe_instance_associations_status/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_instance_associations_status/3","title":"aws_ssm.describe_instance_associations_status/3","type":"function"},{"doc":"Describes one or more of your managed nodes, including information about the operating system platform, the version of SSM Agent installed on the managed node, node status, and so on. If you specify one or more managed node IDs, it returns information for those managed nodes. If you don't specify node IDs, it returns information for all your managed nodes. If you specify a node ID that isn't valid or a node that you don't own, you receive an error. The IamRole field for this API operation is the Identity and Access Management (IAM) role assigned to on-premises managed nodes. This call doesn't return the IAM role for EC2 instances.","ref":"aws_ssm.html#describe_instance_information/2","title":"aws_ssm.describe_instance_information/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_instance_information/3","title":"aws_ssm.describe_instance_information/3","type":"function"},{"doc":"Retrieves the high-level patch state of one or more managed nodes.","ref":"aws_ssm.html#describe_instance_patch_states/2","title":"aws_ssm.describe_instance_patch_states/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_instance_patch_states/3","title":"aws_ssm.describe_instance_patch_states/3","type":"function"},{"doc":"Retrieves the high-level patch state for the managed nodes in the specified patch group.","ref":"aws_ssm.html#describe_instance_patch_states_for_patch_group/2","title":"aws_ssm.describe_instance_patch_states_for_patch_group/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_instance_patch_states_for_patch_group/3","title":"aws_ssm.describe_instance_patch_states_for_patch_group/3","type":"function"},{"doc":"Retrieves information about the patches on the specified managed node and their state relative to the patch baseline being used for the node.","ref":"aws_ssm.html#describe_instance_patches/2","title":"aws_ssm.describe_instance_patches/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_instance_patches/3","title":"aws_ssm.describe_instance_patches/3","type":"function"},{"doc":"Describes a specific delete inventory operation.","ref":"aws_ssm.html#describe_inventory_deletions/2","title":"aws_ssm.describe_inventory_deletions/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_inventory_deletions/3","title":"aws_ssm.describe_inventory_deletions/3","type":"function"},{"doc":"Retrieves the individual task executions (one per target) for a particular task run as part of a maintenance window execution.","ref":"aws_ssm.html#describe_maintenance_window_execution_task_invocations/2","title":"aws_ssm.describe_maintenance_window_execution_task_invocations/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_maintenance_window_execution_task_invocations/3","title":"aws_ssm.describe_maintenance_window_execution_task_invocations/3","type":"function"},{"doc":"For a given maintenance window execution, lists the tasks that were run.","ref":"aws_ssm.html#describe_maintenance_window_execution_tasks/2","title":"aws_ssm.describe_maintenance_window_execution_tasks/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_maintenance_window_execution_tasks/3","title":"aws_ssm.describe_maintenance_window_execution_tasks/3","type":"function"},{"doc":"Lists the executions of a maintenance window. This includes information about when the maintenance window was scheduled to be active, and information about tasks registered and run with the maintenance window.","ref":"aws_ssm.html#describe_maintenance_window_executions/2","title":"aws_ssm.describe_maintenance_window_executions/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_maintenance_window_executions/3","title":"aws_ssm.describe_maintenance_window_executions/3","type":"function"},{"doc":"Retrieves information about upcoming executions of a maintenance window.","ref":"aws_ssm.html#describe_maintenance_window_schedule/2","title":"aws_ssm.describe_maintenance_window_schedule/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_maintenance_window_schedule/3","title":"aws_ssm.describe_maintenance_window_schedule/3","type":"function"},{"doc":"Lists the targets registered with the maintenance window.","ref":"aws_ssm.html#describe_maintenance_window_targets/2","title":"aws_ssm.describe_maintenance_window_targets/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_maintenance_window_targets/3","title":"aws_ssm.describe_maintenance_window_targets/3","type":"function"},{"doc":"Lists the tasks in a maintenance window. For maintenance window tasks without a specified target, you can't supply values for --max-errors and --max-concurrency . Instead, the system inserts a placeholder value of 1 , which may be reported in the response to this command. These values don't affect the running of your task and can be ignored.","ref":"aws_ssm.html#describe_maintenance_window_tasks/2","title":"aws_ssm.describe_maintenance_window_tasks/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_maintenance_window_tasks/3","title":"aws_ssm.describe_maintenance_window_tasks/3","type":"function"},{"doc":"Retrieves the maintenance windows in an Amazon Web Services account.","ref":"aws_ssm.html#describe_maintenance_windows/2","title":"aws_ssm.describe_maintenance_windows/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_maintenance_windows/3","title":"aws_ssm.describe_maintenance_windows/3","type":"function"},{"doc":"Retrieves information about the maintenance window targets or tasks that a managed node is associated with.","ref":"aws_ssm.html#describe_maintenance_windows_for_target/2","title":"aws_ssm.describe_maintenance_windows_for_target/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_maintenance_windows_for_target/3","title":"aws_ssm.describe_maintenance_windows_for_target/3","type":"function"},{"doc":"Query a set of OpsItems. You must have permission in Identity and Access Management (IAM) to query a list of OpsItems. For more information, see Getting started with OpsCenter in the Amazon Web Services Systems Manager User Guide. Operations engineers and IT professionals use Amazon Web Services Systems Manager OpsCenter to view, investigate, and remediate operational issues impacting the performance and health of their Amazon Web Services resources. For more information, see OpsCenter in the Amazon Web Services Systems Manager User Guide.","ref":"aws_ssm.html#describe_ops_items/2","title":"aws_ssm.describe_ops_items/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_ops_items/3","title":"aws_ssm.describe_ops_items/3","type":"function"},{"doc":"Get information about a parameter. Request results are returned on a best-effort basis. If you specify MaxResults in the request, the response includes information up to the limit specified. The number of items returned, however, can be between zero and the value of MaxResults . If the service reaches an internal limit while processing the results, it stops the operation and returns the matching values up to that point and a NextToken . You can specify the NextToken in a subsequent call to get the next set of results. If you change the KMS key alias for the KMS key used to encrypt a parameter, then you must also update the key alias the parameter uses to reference KMS. Otherwise, DescribeParameters retrieves whatever the original key alias was referencing.","ref":"aws_ssm.html#describe_parameters/2","title":"aws_ssm.describe_parameters/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_parameters/3","title":"aws_ssm.describe_parameters/3","type":"function"},{"doc":"Lists the patch baselines in your Amazon Web Services account.","ref":"aws_ssm.html#describe_patch_baselines/2","title":"aws_ssm.describe_patch_baselines/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_patch_baselines/3","title":"aws_ssm.describe_patch_baselines/3","type":"function"},{"doc":"Returns high-level aggregated patch compliance state information for a patch group.","ref":"aws_ssm.html#describe_patch_group_state/2","title":"aws_ssm.describe_patch_group_state/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_patch_group_state/3","title":"aws_ssm.describe_patch_group_state/3","type":"function"},{"doc":"Lists all patch groups that have been registered with patch baselines.","ref":"aws_ssm.html#describe_patch_groups/2","title":"aws_ssm.describe_patch_groups/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_patch_groups/3","title":"aws_ssm.describe_patch_groups/3","type":"function"},{"doc":"Lists the properties of available patches organized by product, product family, classification, severity, and other properties of available patches. You can use the reported properties in the filters you specify in requests for operations such as CreatePatchBaseline , UpdatePatchBaseline , DescribeAvailablePatches , and DescribePatchBaselines . The following section lists the properties that can be used in filters for each major operating system type: AMAZON_LINUX Valid properties: PRODUCT | CLASSIFICATION | SEVERITY AMAZON_LINUX_2 Valid properties: PRODUCT | CLASSIFICATION | SEVERITY CENTOS Valid properties: PRODUCT | CLASSIFICATION | SEVERITY DEBIAN Valid properties: PRODUCT | PRIORITY MACOS Valid properties: PRODUCT | CLASSIFICATION ORACLE_LINUX Valid properties: PRODUCT | CLASSIFICATION | SEVERITY REDHAT_ENTERPRISE_LINUX Valid properties: PRODUCT | CLASSIFICATION | SEVERITY SUSE Valid properties: PRODUCT | CLASSIFICATION | SEVERITY UBUNTU Valid properties: PRODUCT | PRIORITY WINDOWS Valid properties: PRODUCT | PRODUCT_FAMILY | CLASSIFICATION | MSRC_SEVERITY","ref":"aws_ssm.html#describe_patch_properties/2","title":"aws_ssm.describe_patch_properties/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_patch_properties/3","title":"aws_ssm.describe_patch_properties/3","type":"function"},{"doc":"Retrieves a list of all active sessions (both connected and disconnected) or terminated sessions from the past 30 days.","ref":"aws_ssm.html#describe_sessions/2","title":"aws_ssm.describe_sessions/2","type":"function"},{"doc":"","ref":"aws_ssm.html#describe_sessions/3","title":"aws_ssm.describe_sessions/3","type":"function"},{"doc":"Deletes the association between an OpsItem and a related item. For example, this API operation can delete an Incident Manager incident from an OpsItem. Incident Manager is a capability of Amazon Web Services Systems Manager.","ref":"aws_ssm.html#disassociate_ops_item_related_item/2","title":"aws_ssm.disassociate_ops_item_related_item/2","type":"function"},{"doc":"","ref":"aws_ssm.html#disassociate_ops_item_related_item/3","title":"aws_ssm.disassociate_ops_item_related_item/3","type":"function"},{"doc":"Get detailed information about a particular Automation execution.","ref":"aws_ssm.html#get_automation_execution/2","title":"aws_ssm.get_automation_execution/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_automation_execution/3","title":"aws_ssm.get_automation_execution/3","type":"function"},{"doc":"Gets the state of a Amazon Web Services Systems Manager change calendar at the current time or a specified time. If you specify a time, GetCalendarState returns the state of the calendar at that specific time, and returns the next time that the change calendar state will transition. If you don't specify a time, GetCalendarState uses the current time. Change Calendar entries have two possible states: OPEN or CLOSED . If you specify more than one calendar in a request, the command returns the status of OPEN only if all calendars in the request are open. If one or more calendars in the request are closed, the status returned is CLOSED . For more information about Change Calendar, a capability of Amazon Web Services Systems Manager, see Amazon Web Services Systems Manager Change Calendar in the Amazon Web Services Systems Manager User Guide.","ref":"aws_ssm.html#get_calendar_state/2","title":"aws_ssm.get_calendar_state/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_calendar_state/3","title":"aws_ssm.get_calendar_state/3","type":"function"},{"doc":"Returns detailed information about command execution for an invocation or plugin. GetCommandInvocation only gives the execution status of a plugin in a document. To get the command execution status on a specific managed node, use ListCommandInvocations . To get the command execution status across managed nodes, use ListCommands .","ref":"aws_ssm.html#get_command_invocation/2","title":"aws_ssm.get_command_invocation/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_command_invocation/3","title":"aws_ssm.get_command_invocation/3","type":"function"},{"doc":"Retrieves the Session Manager connection status for a managed node to determine whether it is running and ready to receive Session Manager connections.","ref":"aws_ssm.html#get_connection_status/2","title":"aws_ssm.get_connection_status/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_connection_status/3","title":"aws_ssm.get_connection_status/3","type":"function"},{"doc":"Retrieves the default patch baseline. Amazon Web Services Systems Manager supports creating multiple default patch baselines. For example, you can create a default patch baseline for each operating system. If you don't specify an operating system value, the default patch baseline for Windows is returned.","ref":"aws_ssm.html#get_default_patch_baseline/2","title":"aws_ssm.get_default_patch_baseline/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_default_patch_baseline/3","title":"aws_ssm.get_default_patch_baseline/3","type":"function"},{"doc":"Retrieves the current snapshot for the patch baseline the managed node uses. This API is primarily used by the AWS-RunPatchBaseline Systems Manager document (SSM document). If you run the command locally, such as with the Command Line Interface (CLI), the system attempts to use your local Amazon Web Services credentials and the operation fails. To avoid this, you can run the command in the Amazon Web Services Systems Manager console. Use Run Command, a capability of Amazon Web Services Systems Manager, with an SSM document that enables you to target a managed node with a script or command. For example, run the command using the AWS-RunShellScript document or the AWS-RunPowerShellScript document.","ref":"aws_ssm.html#get_deployable_patch_snapshot_for_instance/2","title":"aws_ssm.get_deployable_patch_snapshot_for_instance/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_deployable_patch_snapshot_for_instance/3","title":"aws_ssm.get_deployable_patch_snapshot_for_instance/3","type":"function"},{"doc":"Gets the contents of the specified Amazon Web Services Systems Manager document (SSM document).","ref":"aws_ssm.html#get_document/2","title":"aws_ssm.get_document/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_document/3","title":"aws_ssm.get_document/3","type":"function"},{"doc":"Query inventory information. This includes managed node status, such as Stopped or Terminated .","ref":"aws_ssm.html#get_inventory/2","title":"aws_ssm.get_inventory/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_inventory/3","title":"aws_ssm.get_inventory/3","type":"function"},{"doc":"Return a list of inventory type names for the account, or return a list of attribute names for a specific Inventory item type.","ref":"aws_ssm.html#get_inventory_schema/2","title":"aws_ssm.get_inventory_schema/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_inventory_schema/3","title":"aws_ssm.get_inventory_schema/3","type":"function"},{"doc":"Retrieves a maintenance window.","ref":"aws_ssm.html#get_maintenance_window/2","title":"aws_ssm.get_maintenance_window/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_maintenance_window/3","title":"aws_ssm.get_maintenance_window/3","type":"function"},{"doc":"Retrieves details about a specific a maintenance window execution.","ref":"aws_ssm.html#get_maintenance_window_execution/2","title":"aws_ssm.get_maintenance_window_execution/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_maintenance_window_execution/3","title":"aws_ssm.get_maintenance_window_execution/3","type":"function"},{"doc":"Retrieves the details about a specific task run as part of a maintenance window execution.","ref":"aws_ssm.html#get_maintenance_window_execution_task/2","title":"aws_ssm.get_maintenance_window_execution_task/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_maintenance_window_execution_task/3","title":"aws_ssm.get_maintenance_window_execution_task/3","type":"function"},{"doc":"Retrieves information about a specific task running on a specific target.","ref":"aws_ssm.html#get_maintenance_window_execution_task_invocation/2","title":"aws_ssm.get_maintenance_window_execution_task_invocation/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_maintenance_window_execution_task_invocation/3","title":"aws_ssm.get_maintenance_window_execution_task_invocation/3","type":"function"},{"doc":"Retrieves the details of a maintenance window task. For maintenance window tasks without a specified target, you can't supply values for --max-errors and --max-concurrency . Instead, the system inserts a placeholder value of 1 , which may be reported in the response to this command. These values don't affect the running of your task and can be ignored. To retrieve a list of tasks in a maintenance window, instead use the DescribeMaintenanceWindowTasks command.","ref":"aws_ssm.html#get_maintenance_window_task/2","title":"aws_ssm.get_maintenance_window_task/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_maintenance_window_task/3","title":"aws_ssm.get_maintenance_window_task/3","type":"function"},{"doc":"Get information about an OpsItem by using the ID. You must have permission in Identity and Access Management (IAM) to view information about an OpsItem. For more information, see Getting started with OpsCenter in the Amazon Web Services Systems Manager User Guide. Operations engineers and IT professionals use Amazon Web Services Systems Manager OpsCenter to view, investigate, and remediate operational issues impacting the performance and health of their Amazon Web Services resources. For more information, see OpsCenter in the Amazon Web Services Systems Manager User Guide.","ref":"aws_ssm.html#get_ops_item/2","title":"aws_ssm.get_ops_item/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_ops_item/3","title":"aws_ssm.get_ops_item/3","type":"function"},{"doc":"View operational metadata related to an application in Application Manager.","ref":"aws_ssm.html#get_ops_metadata/2","title":"aws_ssm.get_ops_metadata/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_ops_metadata/3","title":"aws_ssm.get_ops_metadata/3","type":"function"},{"doc":"View a summary of operations metadata (OpsData) based on specified filters and aggregators. OpsData can include information about Amazon Web Services Systems Manager OpsCenter operational workitems (OpsItems) as well as information about any Amazon Web Services resource or service configured to report OpsData to Amazon Web Services Systems Manager Explorer.","ref":"aws_ssm.html#get_ops_summary/2","title":"aws_ssm.get_ops_summary/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_ops_summary/3","title":"aws_ssm.get_ops_summary/3","type":"function"},{"doc":"Get information about a single parameter by specifying the parameter name. To get information about more than one parameter at a time, use the GetParameters operation.","ref":"aws_ssm.html#get_parameter/2","title":"aws_ssm.get_parameter/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_parameter/3","title":"aws_ssm.get_parameter/3","type":"function"},{"doc":"Retrieves the history of all changes to a parameter. If you change the KMS key alias for the KMS key used to encrypt a parameter, then you must also update the key alias the parameter uses to reference KMS. Otherwise, GetParameterHistory retrieves whatever the original key alias was referencing.","ref":"aws_ssm.html#get_parameter_history/2","title":"aws_ssm.get_parameter_history/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_parameter_history/3","title":"aws_ssm.get_parameter_history/3","type":"function"},{"doc":"Get information about one or more parameters by specifying multiple parameter names. To get information about a single parameter, you can use the GetParameter operation instead.","ref":"aws_ssm.html#get_parameters/2","title":"aws_ssm.get_parameters/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_parameters/3","title":"aws_ssm.get_parameters/3","type":"function"},{"doc":"Retrieve information about one or more parameters in a specific hierarchy. Request results are returned on a best-effort basis. If you specify MaxResults in the request, the response includes information up to the limit specified. The number of items returned, however, can be between zero and the value of MaxResults . If the service reaches an internal limit while processing the results, it stops the operation and returns the matching values up to that point and a NextToken . You can specify the NextToken in a subsequent call to get the next set of results.","ref":"aws_ssm.html#get_parameters_by_path/2","title":"aws_ssm.get_parameters_by_path/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_parameters_by_path/3","title":"aws_ssm.get_parameters_by_path/3","type":"function"},{"doc":"Retrieves information about a patch baseline.","ref":"aws_ssm.html#get_patch_baseline/2","title":"aws_ssm.get_patch_baseline/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_patch_baseline/3","title":"aws_ssm.get_patch_baseline/3","type":"function"},{"doc":"Retrieves the patch baseline that should be used for the specified patch group.","ref":"aws_ssm.html#get_patch_baseline_for_patch_group/2","title":"aws_ssm.get_patch_baseline_for_patch_group/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_patch_baseline_for_patch_group/3","title":"aws_ssm.get_patch_baseline_for_patch_group/3","type":"function"},{"doc":"Returns an array of the Policy object.","ref":"aws_ssm.html#get_resource_policies/2","title":"aws_ssm.get_resource_policies/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_resource_policies/3","title":"aws_ssm.get_resource_policies/3","type":"function"},{"doc":"ServiceSetting is an account-level setting for an Amazon Web Services service. This setting defines how a user interacts with or uses a service or a feature of a service. For example, if an Amazon Web Services service charges money to the account based on feature or service usage, then the Amazon Web Services service team might create a default setting of false . This means the user can't use this feature unless they change the setting to true and intentionally opt in for a paid feature. Services map a SettingId object to a setting value. Amazon Web Services services teams define the default value for a SettingId . You can't create a new SettingId , but you can overwrite the default value if you have the ssm:UpdateServiceSetting permission for the setting. Use the UpdateServiceSetting API operation to change the default setting. Or use the ResetServiceSetting to change the value back to the original value defined by the Amazon Web Services service team. Query the current service setting for the Amazon Web Services account.","ref":"aws_ssm.html#get_service_setting/2","title":"aws_ssm.get_service_setting/2","type":"function"},{"doc":"","ref":"aws_ssm.html#get_service_setting/3","title":"aws_ssm.get_service_setting/3","type":"function"},{"doc":"A parameter label is a user-defined alias to help you manage different versions of a parameter. When you modify a parameter, Amazon Web Services Systems Manager automatically saves a new version and increments the version number by one. A label can help you remember the purpose of a parameter when there are multiple versions. Parameter labels have the following requirements and restrictions. A version of a parameter can have a maximum of 10 labels. You can't attach the same label to different versions of the same parameter. For example, if version 1 has the label Production, then you can't attach Production to version 2. You can move a label from one version of a parameter to another. You can't create a label when you create a new parameter. You must attach a label to a specific version of a parameter. If you no longer want to use a parameter label, then you can either delete it or move it to a different version of a parameter. A label can have a maximum of 100 characters. Labels can contain letters (case sensitive), numbers, periods (.), hyphens (-), or underscores (_). Labels can't begin with a number, &quot; aws &quot; or &quot; ssm &quot; (not case sensitive). If a label fails to meet these requirements, then the label isn't associated with a parameter and the system displays it in the list of InvalidLabels.","ref":"aws_ssm.html#label_parameter_version/2","title":"aws_ssm.label_parameter_version/2","type":"function"},{"doc":"","ref":"aws_ssm.html#label_parameter_version/3","title":"aws_ssm.label_parameter_version/3","type":"function"},{"doc":"Retrieves all versions of an association for a specific association ID.","ref":"aws_ssm.html#list_association_versions/2","title":"aws_ssm.list_association_versions/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_association_versions/3","title":"aws_ssm.list_association_versions/3","type":"function"},{"doc":"Returns all State Manager associations in the current Amazon Web Services account and Amazon Web Services Region. You can limit the results to a specific State Manager association document or managed node by specifying a filter. State Manager is a capability of Amazon Web Services Systems Manager.","ref":"aws_ssm.html#list_associations/2","title":"aws_ssm.list_associations/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_associations/3","title":"aws_ssm.list_associations/3","type":"function"},{"doc":"An invocation is copy of a command sent to a specific managed node. A command can apply to one or more managed nodes. A command invocation applies to one managed node. For example, if a user runs SendCommand against three managed nodes, then a command invocation is created for each requested managed node ID. ListCommandInvocations provide status about command execution.","ref":"aws_ssm.html#list_command_invocations/2","title":"aws_ssm.list_command_invocations/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_command_invocations/3","title":"aws_ssm.list_command_invocations/3","type":"function"},{"doc":"Lists the commands requested by users of the Amazon Web Services account.","ref":"aws_ssm.html#list_commands/2","title":"aws_ssm.list_commands/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_commands/3","title":"aws_ssm.list_commands/3","type":"function"},{"doc":"For a specified resource ID, this API operation returns a list of compliance statuses for different resource types. Currently, you can only specify one resource ID per call. List results depend on the criteria specified in the filter.","ref":"aws_ssm.html#list_compliance_items/2","title":"aws_ssm.list_compliance_items/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_compliance_items/3","title":"aws_ssm.list_compliance_items/3","type":"function"},{"doc":"Returns a summary count of compliant and non-compliant resources for a compliance type. For example, this call can return State Manager associations, patches, or custom compliance types according to the filter criteria that you specify.","ref":"aws_ssm.html#list_compliance_summaries/2","title":"aws_ssm.list_compliance_summaries/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_compliance_summaries/3","title":"aws_ssm.list_compliance_summaries/3","type":"function"},{"doc":"Information about approval reviews for a version of a change template in Change Manager.","ref":"aws_ssm.html#list_document_metadata_history/2","title":"aws_ssm.list_document_metadata_history/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_document_metadata_history/3","title":"aws_ssm.list_document_metadata_history/3","type":"function"},{"doc":"List all versions for a document.","ref":"aws_ssm.html#list_document_versions/2","title":"aws_ssm.list_document_versions/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_document_versions/3","title":"aws_ssm.list_document_versions/3","type":"function"},{"doc":"Returns all Systems Manager (SSM) documents in the current Amazon Web Services account and Amazon Web Services Region. You can limit the results of this request by using a filter.","ref":"aws_ssm.html#list_documents/2","title":"aws_ssm.list_documents/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_documents/3","title":"aws_ssm.list_documents/3","type":"function"},{"doc":"A list of inventory items returned by the request.","ref":"aws_ssm.html#list_inventory_entries/2","title":"aws_ssm.list_inventory_entries/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_inventory_entries/3","title":"aws_ssm.list_inventory_entries/3","type":"function"},{"doc":"Returns a list of all OpsItem events in the current Amazon Web Services Region and Amazon Web Services account. You can limit the results to events associated with specific OpsItems by specifying a filter.","ref":"aws_ssm.html#list_ops_item_events/2","title":"aws_ssm.list_ops_item_events/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_ops_item_events/3","title":"aws_ssm.list_ops_item_events/3","type":"function"},{"doc":"Lists all related-item resources associated with a Systems Manager OpsCenter OpsItem. OpsCenter is a capability of Amazon Web Services Systems Manager.","ref":"aws_ssm.html#list_ops_item_related_items/2","title":"aws_ssm.list_ops_item_related_items/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_ops_item_related_items/3","title":"aws_ssm.list_ops_item_related_items/3","type":"function"},{"doc":"Amazon Web Services Systems Manager calls this API operation when displaying all Application Manager OpsMetadata objects or blobs.","ref":"aws_ssm.html#list_ops_metadata/2","title":"aws_ssm.list_ops_metadata/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_ops_metadata/3","title":"aws_ssm.list_ops_metadata/3","type":"function"},{"doc":"Returns a resource-level summary count. The summary includes information about compliant and non-compliant statuses and detailed compliance-item severity counts, according to the filter criteria you specify.","ref":"aws_ssm.html#list_resource_compliance_summaries/2","title":"aws_ssm.list_resource_compliance_summaries/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_resource_compliance_summaries/3","title":"aws_ssm.list_resource_compliance_summaries/3","type":"function"},{"doc":"Lists your resource data sync configurations. Includes information about the last time a sync attempted to start, the last sync status, and the last time a sync successfully completed. The number of sync configurations might be too large to return using a single call to ListResourceDataSync . You can limit the number of sync configurations returned by using the MaxResults parameter. To determine whether there are more sync configurations to list, check the value of NextToken in the output. If there are more sync configurations to list, you can request them by specifying the NextToken returned in the call to the parameter of a subsequent call.","ref":"aws_ssm.html#list_resource_data_sync/2","title":"aws_ssm.list_resource_data_sync/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_resource_data_sync/3","title":"aws_ssm.list_resource_data_sync/3","type":"function"},{"doc":"Returns a list of the tags assigned to the specified resource. For information about the ID format for each supported resource type, see AddTagsToResource .","ref":"aws_ssm.html#list_tags_for_resource/2","title":"aws_ssm.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_ssm.html#list_tags_for_resource/3","title":"aws_ssm.list_tags_for_resource/3","type":"function"},{"doc":"Shares a Amazon Web Services Systems Manager document (SSM document)publicly or privately. If you share a document privately, you must specify the Amazon Web Services user account IDs for those people who can use the document. If you share a document publicly, you must specify All as the account ID.","ref":"aws_ssm.html#modify_document_permission/2","title":"aws_ssm.modify_document_permission/2","type":"function"},{"doc":"","ref":"aws_ssm.html#modify_document_permission/3","title":"aws_ssm.modify_document_permission/3","type":"function"},{"doc":"Registers a compliance type and other compliance details on a designated resource. This operation lets you register custom compliance details with a resource. This call overwrites existing compliance information on the resource, so you must provide a full list of compliance items each time that you send the request. ComplianceType can be one of the following: ExecutionId: The execution ID when the patch, association, or custom compliance item was applied. ExecutionType: Specify patch, association, or Custom: string . ExecutionTime. The time the patch, association, or custom compliance item was applied to the managed node. Id: The patch, association, or custom compliance ID. Title: A title. Status: The status of the compliance item. For example, approved for patches, or Failed for associations. Severity: A patch severity. For example, Critical . DocumentName: An SSM document name. For example, AWS-RunPatchBaseline . DocumentVersion: An SSM document version number. For example, 4. Classification: A patch classification. For example, security updates . PatchBaselineId: A patch baseline ID. PatchSeverity: A patch severity. For example, Critical . PatchState: A patch state. For example, InstancesWithFailedPatches . PatchGroup: The name of a patch group. InstalledTime: The time the association, patch, or custom compliance item was applied to the resource. Specify the time by using the following format: yyyy-MM-dd'T'HH:mm:ss'Z'","ref":"aws_ssm.html#put_compliance_items/2","title":"aws_ssm.put_compliance_items/2","type":"function"},{"doc":"","ref":"aws_ssm.html#put_compliance_items/3","title":"aws_ssm.put_compliance_items/3","type":"function"},{"doc":"Bulk update custom inventory items on one or more managed nodes. The request adds an inventory item, if it doesn't already exist, or updates an inventory item, if it does exist.","ref":"aws_ssm.html#put_inventory/2","title":"aws_ssm.put_inventory/2","type":"function"},{"doc":"","ref":"aws_ssm.html#put_inventory/3","title":"aws_ssm.put_inventory/3","type":"function"},{"doc":"Add a parameter to the system.","ref":"aws_ssm.html#put_parameter/2","title":"aws_ssm.put_parameter/2","type":"function"},{"doc":"","ref":"aws_ssm.html#put_parameter/3","title":"aws_ssm.put_parameter/3","type":"function"},{"doc":"Creates or updates a Systems Manager resource policy. A resource policy helps you to define the IAM entity (for example, an Amazon Web Services account) that can manage your Systems Manager resources. Currently, OpsItemGroup is the only resource that supports Systems Manager resource policies. The resource policy for OpsItemGroup enables Amazon Web Services accounts to view and interact with OpsCenter operational work items (OpsItems).","ref":"aws_ssm.html#put_resource_policy/2","title":"aws_ssm.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_ssm.html#put_resource_policy/3","title":"aws_ssm.put_resource_policy/3","type":"function"},{"doc":"Defines the default patch baseline for the relevant operating system. To reset the Amazon Web Services-predefined patch baseline as the default, specify the full patch baseline Amazon Resource Name (ARN) as the baseline ID value. For example, for CentOS, specify arn:aws:ssm:us-east-2:733109147000:patchbaseline/pb-0574b43a65ea646ed instead of pb-0574b43a65ea646ed .","ref":"aws_ssm.html#register_default_patch_baseline/2","title":"aws_ssm.register_default_patch_baseline/2","type":"function"},{"doc":"","ref":"aws_ssm.html#register_default_patch_baseline/3","title":"aws_ssm.register_default_patch_baseline/3","type":"function"},{"doc":"Registers a patch baseline for a patch group.","ref":"aws_ssm.html#register_patch_baseline_for_patch_group/2","title":"aws_ssm.register_patch_baseline_for_patch_group/2","type":"function"},{"doc":"","ref":"aws_ssm.html#register_patch_baseline_for_patch_group/3","title":"aws_ssm.register_patch_baseline_for_patch_group/3","type":"function"},{"doc":"Registers a target with a maintenance window.","ref":"aws_ssm.html#register_target_with_maintenance_window/2","title":"aws_ssm.register_target_with_maintenance_window/2","type":"function"},{"doc":"","ref":"aws_ssm.html#register_target_with_maintenance_window/3","title":"aws_ssm.register_target_with_maintenance_window/3","type":"function"},{"doc":"Adds a new task to a maintenance window.","ref":"aws_ssm.html#register_task_with_maintenance_window/2","title":"aws_ssm.register_task_with_maintenance_window/2","type":"function"},{"doc":"","ref":"aws_ssm.html#register_task_with_maintenance_window/3","title":"aws_ssm.register_task_with_maintenance_window/3","type":"function"},{"doc":"Removes tag keys from the specified resource.","ref":"aws_ssm.html#remove_tags_from_resource/2","title":"aws_ssm.remove_tags_from_resource/2","type":"function"},{"doc":"","ref":"aws_ssm.html#remove_tags_from_resource/3","title":"aws_ssm.remove_tags_from_resource/3","type":"function"},{"doc":"ServiceSetting is an account-level setting for an Amazon Web Services service. This setting defines how a user interacts with or uses a service or a feature of a service. For example, if an Amazon Web Services service charges money to the account based on feature or service usage, then the Amazon Web Services service team might create a default setting of &quot;false&quot;. This means the user can't use this feature unless they change the setting to &quot;true&quot; and intentionally opt in for a paid feature. Services map a SettingId object to a setting value. Amazon Web Services services teams define the default value for a SettingId . You can't create a new SettingId , but you can overwrite the default value if you have the ssm:UpdateServiceSetting permission for the setting. Use the GetServiceSetting API operation to view the current value. Use the UpdateServiceSetting API operation to change the default setting. Reset the service setting for the account to the default value as provisioned by the Amazon Web Services service team.","ref":"aws_ssm.html#reset_service_setting/2","title":"aws_ssm.reset_service_setting/2","type":"function"},{"doc":"","ref":"aws_ssm.html#reset_service_setting/3","title":"aws_ssm.reset_service_setting/3","type":"function"},{"doc":"Reconnects a session to a managed node after it has been disconnected. Connections can be resumed for disconnected sessions, but not terminated sessions. This command is primarily for use by client machines to automatically reconnect during intermittent network issues. It isn't intended for any other use.","ref":"aws_ssm.html#resume_session/2","title":"aws_ssm.resume_session/2","type":"function"},{"doc":"","ref":"aws_ssm.html#resume_session/3","title":"aws_ssm.resume_session/3","type":"function"},{"doc":"Sends a signal to an Automation execution to change the current behavior or status of the execution.","ref":"aws_ssm.html#send_automation_signal/2","title":"aws_ssm.send_automation_signal/2","type":"function"},{"doc":"","ref":"aws_ssm.html#send_automation_signal/3","title":"aws_ssm.send_automation_signal/3","type":"function"},{"doc":"Runs commands on one or more managed nodes.","ref":"aws_ssm.html#send_command/2","title":"aws_ssm.send_command/2","type":"function"},{"doc":"","ref":"aws_ssm.html#send_command/3","title":"aws_ssm.send_command/3","type":"function"},{"doc":"Runs an association immediately and only one time. This operation can be helpful when troubleshooting associations.","ref":"aws_ssm.html#start_associations_once/2","title":"aws_ssm.start_associations_once/2","type":"function"},{"doc":"","ref":"aws_ssm.html#start_associations_once/3","title":"aws_ssm.start_associations_once/3","type":"function"},{"doc":"Initiates execution of an Automation runbook.","ref":"aws_ssm.html#start_automation_execution/2","title":"aws_ssm.start_automation_execution/2","type":"function"},{"doc":"","ref":"aws_ssm.html#start_automation_execution/3","title":"aws_ssm.start_automation_execution/3","type":"function"},{"doc":"Creates a change request for Change Manager. The Automation runbooks specified in the change request run only after all required approvals for the change request have been received.","ref":"aws_ssm.html#start_change_request_execution/2","title":"aws_ssm.start_change_request_execution/2","type":"function"},{"doc":"","ref":"aws_ssm.html#start_change_request_execution/3","title":"aws_ssm.start_change_request_execution/3","type":"function"},{"doc":"Initiates a connection to a target (for example, a managed node) for a Session Manager session. Returns a URL and token that can be used to open a WebSocket connection for sending input and receiving outputs. Amazon Web Services CLI usage: start-session is an interactive command that requires the Session Manager plugin to be installed on the client machine making the call. For information, see Install the Session Manager plugin for the Amazon Web Services CLI in the Amazon Web Services Systems Manager User Guide. Amazon Web Services Tools for PowerShell usage: Start-SSMSession isn't currently supported by Amazon Web Services Tools for PowerShell on Windows local machines.","ref":"aws_ssm.html#start_session/2","title":"aws_ssm.start_session/2","type":"function"},{"doc":"","ref":"aws_ssm.html#start_session/3","title":"aws_ssm.start_session/3","type":"function"},{"doc":"Stop an Automation that is currently running.","ref":"aws_ssm.html#stop_automation_execution/2","title":"aws_ssm.stop_automation_execution/2","type":"function"},{"doc":"","ref":"aws_ssm.html#stop_automation_execution/3","title":"aws_ssm.stop_automation_execution/3","type":"function"},{"doc":"Permanently ends a session and closes the data connection between the Session Manager client and SSM Agent on the managed node. A terminated session can't be resumed.","ref":"aws_ssm.html#terminate_session/2","title":"aws_ssm.terminate_session/2","type":"function"},{"doc":"","ref":"aws_ssm.html#terminate_session/3","title":"aws_ssm.terminate_session/3","type":"function"},{"doc":"Remove a label or labels from a parameter.","ref":"aws_ssm.html#unlabel_parameter_version/2","title":"aws_ssm.unlabel_parameter_version/2","type":"function"},{"doc":"","ref":"aws_ssm.html#unlabel_parameter_version/3","title":"aws_ssm.unlabel_parameter_version/3","type":"function"},{"doc":"Updates an association. You can update the association name and version, the document version, schedule, parameters, and Amazon Simple Storage Service (Amazon S3) output. When you call UpdateAssociation , the system removes all optional parameters from the request and overwrites the association with null values for those parameters. This is by design. You must specify all optional parameters in the call, even if you are not changing the parameters. This includes the Name parameter. Before calling this API action, we recommend that you call the DescribeAssociation API operation and make a note of all optional parameters required for your UpdateAssociation call. In order to call this API operation, your Identity and Access Management (IAM) user account, group, or role must be configured with permission to call the DescribeAssociation API operation. If you don't have permission to call DescribeAssociation , then you receive the following error: An error occurred (AccessDeniedException) when calling the UpdateAssociation operation: User: &amp;lt;user_arn&amp;gt; isn t authorized to perform: ssm:DescribeAssociation on resource: &lt;resource_arn&gt;' When you update an association, the association immediately runs against the specified targets. You can add the ApplyOnlyAtCronInterval parameter to run the association during the next schedule run.","ref":"aws_ssm.html#update_association/2","title":"aws_ssm.update_association/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_association/3","title":"aws_ssm.update_association/3","type":"function"},{"doc":"Updates the status of the Amazon Web Services Systems Manager document (SSM document) associated with the specified managed node. UpdateAssociationStatus is primarily used by the Amazon Web Services Systems Manager Agent (SSM Agent) to report status updates about your associations and is only used for associations created with the InstanceId legacy parameter.","ref":"aws_ssm.html#update_association_status/2","title":"aws_ssm.update_association_status/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_association_status/3","title":"aws_ssm.update_association_status/3","type":"function"},{"doc":"Updates one or more values for an SSM document.","ref":"aws_ssm.html#update_document/2","title":"aws_ssm.update_document/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_document/3","title":"aws_ssm.update_document/3","type":"function"},{"doc":"Set the default version of a document. If you change a document version for a State Manager association, Systems Manager immediately runs the association unless you previously specifed the apply-only-at-cron-interval parameter.","ref":"aws_ssm.html#update_document_default_version/2","title":"aws_ssm.update_document_default_version/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_document_default_version/3","title":"aws_ssm.update_document_default_version/3","type":"function"},{"doc":"Updates information related to approval reviews for a specific version of a change template in Change Manager.","ref":"aws_ssm.html#update_document_metadata/2","title":"aws_ssm.update_document_metadata/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_document_metadata/3","title":"aws_ssm.update_document_metadata/3","type":"function"},{"doc":"Updates an existing maintenance window. Only specified parameters are modified. The value you specify for Duration determines the specific end time for the maintenance window based on the time it begins. No maintenance window tasks are permitted to start after the resulting endtime minus the number of hours you specify for Cutoff . For example, if the maintenance window starts at 3 PM, the duration is three hours, and the value you specify for Cutoff is one hour, no maintenance window tasks can start after 5 PM.","ref":"aws_ssm.html#update_maintenance_window/2","title":"aws_ssm.update_maintenance_window/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_maintenance_window/3","title":"aws_ssm.update_maintenance_window/3","type":"function"},{"doc":"Modifies the target of an existing maintenance window. You can change the following: Name Description Owner IDs for an ID target Tags for a Tag target From any supported tag type to another. The three supported tag types are ID target, Tag target, and resource group. For more information, see Target . If a parameter is null, then the corresponding field isn't modified.","ref":"aws_ssm.html#update_maintenance_window_target/2","title":"aws_ssm.update_maintenance_window_target/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_maintenance_window_target/3","title":"aws_ssm.update_maintenance_window_target/3","type":"function"},{"doc":"Modifies a task assigned to a maintenance window. You can't change the task type, but you can change the following values: TaskARN . For example, you can change a RUN_COMMAND task from AWS-RunPowerShellScript to AWS-RunShellScript . ServiceRoleArn TaskInvocationParameters Priority MaxConcurrency MaxErrors One or more targets must be specified for maintenance window Run Command-type tasks. Depending on the task, targets are optional for other maintenance window task types (Automation, Lambda, and Step Functions). For more information about running tasks that don't specify targets, see Registering maintenance window tasks without targets in the Amazon Web Services Systems Manager User Guide. If the value for a parameter in UpdateMaintenanceWindowTask is null, then the corresponding field isn't modified. If you set Replace to true, then all fields required by the RegisterTaskWithMaintenanceWindow operation are required for this request. Optional fields that aren't specified are set to null. When you update a maintenance window task that has options specified in TaskInvocationParameters , you must provide again all the TaskInvocationParameters values that you want to retain. The values you don't specify again are removed. For example, suppose that when you registered a Run Command task, you specified TaskInvocationParameters values for Comment , NotificationConfig , and OutputS3BucketName . If you update the maintenance window task and specify only a different OutputS3BucketName value, the values for Comment and NotificationConfig are removed.","ref":"aws_ssm.html#update_maintenance_window_task/2","title":"aws_ssm.update_maintenance_window_task/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_maintenance_window_task/3","title":"aws_ssm.update_maintenance_window_task/3","type":"function"},{"doc":"Changes the Identity and Access Management (IAM) role that is assigned to the on-premises server, edge device, or virtual machines (VM). IAM roles are first assigned to these hybrid nodes during the activation process. For more information, see CreateActivation .","ref":"aws_ssm.html#update_managed_instance_role/2","title":"aws_ssm.update_managed_instance_role/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_managed_instance_role/3","title":"aws_ssm.update_managed_instance_role/3","type":"function"},{"doc":"Edit or change an OpsItem. You must have permission in Identity and Access Management (IAM) to update an OpsItem. For more information, see Getting started with OpsCenter in the Amazon Web Services Systems Manager User Guide. Operations engineers and IT professionals use Amazon Web Services Systems Manager OpsCenter to view, investigate, and remediate operational issues impacting the performance and health of their Amazon Web Services resources. For more information, see OpsCenter in the Amazon Web Services Systems Manager User Guide.","ref":"aws_ssm.html#update_ops_item/2","title":"aws_ssm.update_ops_item/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_ops_item/3","title":"aws_ssm.update_ops_item/3","type":"function"},{"doc":"Amazon Web Services Systems Manager calls this API operation when you edit OpsMetadata in Application Manager.","ref":"aws_ssm.html#update_ops_metadata/2","title":"aws_ssm.update_ops_metadata/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_ops_metadata/3","title":"aws_ssm.update_ops_metadata/3","type":"function"},{"doc":"Modifies an existing patch baseline. Fields not specified in the request are left unchanged. For information about valid key-value pairs in PatchFilters for each supported operating system type, see PatchFilter .","ref":"aws_ssm.html#update_patch_baseline/2","title":"aws_ssm.update_patch_baseline/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_patch_baseline/3","title":"aws_ssm.update_patch_baseline/3","type":"function"},{"doc":"Update a resource data sync. After you create a resource data sync for a Region, you can't change the account options for that sync. For example, if you create a sync in the us-east-2 (Ohio) Region and you choose the Include only the current account option, you can't edit that sync later and choose the Include all accounts from my Organizations configuration option. Instead, you must delete the first resource data sync, and create a new one. This API operation only supports a resource data sync that was created with a SyncFromSource SyncType .","ref":"aws_ssm.html#update_resource_data_sync/2","title":"aws_ssm.update_resource_data_sync/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_resource_data_sync/3","title":"aws_ssm.update_resource_data_sync/3","type":"function"},{"doc":"ServiceSetting is an account-level setting for an Amazon Web Services service. This setting defines how a user interacts with or uses a service or a feature of a service. For example, if an Amazon Web Services service charges money to the account based on feature or service usage, then the Amazon Web Services service team might create a default setting of &quot;false&quot;. This means the user can't use this feature unless they change the setting to &quot;true&quot; and intentionally opt in for a paid feature. Services map a SettingId object to a setting value. Amazon Web Services services teams define the default value for a SettingId . You can't create a new SettingId , but you can overwrite the default value if you have the ssm:UpdateServiceSetting permission for the setting. Use the GetServiceSetting API operation to view the current value. Or, use the ResetServiceSetting to change the value back to the original value defined by the Amazon Web Services service team. Update the service setting for the account.","ref":"aws_ssm.html#update_service_setting/2","title":"aws_ssm.update_service_setting/2","type":"function"},{"doc":"","ref":"aws_ssm.html#update_service_setting/3","title":"aws_ssm.update_service_setting/3","type":"function"},{"doc":"Systems Manager Incident Manager is an incident management console designed to help users mitigate and recover from incidents affecting their Amazon Web Services-hosted applications. An incident is any unplanned interruption or reduction in quality of services. Incident Manager increases incident resolution by notifying responders of impact, highlighting relevant troubleshooting data, and providing collaboration tools to get services back up and running. To achieve the primary goal of reducing the time-to-resolution of critical incidents, Incident Manager automates response plans and enables responder team escalation.","ref":"aws_ssm_contacts.html","title":"aws_ssm_contacts","type":"module"},{"doc":"Used to acknowledge an engagement to a contact channel during an incident.","ref":"aws_ssm_contacts.html#accept_page/2","title":"aws_ssm_contacts.accept_page/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#accept_page/3","title":"aws_ssm_contacts.accept_page/3","type":"function"},{"doc":"Activates a contact's contact channel. Incident Manager can't engage a contact until the contact channel has been activated.","ref":"aws_ssm_contacts.html#activate_contact_channel/2","title":"aws_ssm_contacts.activate_contact_channel/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#activate_contact_channel/3","title":"aws_ssm_contacts.activate_contact_channel/3","type":"function"},{"doc":"Contacts are either the contacts that Incident Manager engages during an incident or the escalation plans that Incident Manager uses to engage contacts in phases during an incident.","ref":"aws_ssm_contacts.html#create_contact/2","title":"aws_ssm_contacts.create_contact/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#create_contact/3","title":"aws_ssm_contacts.create_contact/3","type":"function"},{"doc":"A contact channel is the method that Incident Manager uses to engage your contact.","ref":"aws_ssm_contacts.html#create_contact_channel/2","title":"aws_ssm_contacts.create_contact_channel/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#create_contact_channel/3","title":"aws_ssm_contacts.create_contact_channel/3","type":"function"},{"doc":"To no longer receive Incident Manager engagements to a contact channel, you can deactivate the channel.","ref":"aws_ssm_contacts.html#deactivate_contact_channel/2","title":"aws_ssm_contacts.deactivate_contact_channel/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#deactivate_contact_channel/3","title":"aws_ssm_contacts.deactivate_contact_channel/3","type":"function"},{"doc":"To remove a contact from Incident Manager, you can delete the contact. Deleting a contact removes them from all escalation plans and related response plans. Deleting an escalation plan removes it from all related response plans. You will have to recreate the contact and its contact channels before you can use it again.","ref":"aws_ssm_contacts.html#delete_contact/2","title":"aws_ssm_contacts.delete_contact/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#delete_contact/3","title":"aws_ssm_contacts.delete_contact/3","type":"function"},{"doc":"To no longer receive engagements on a contact channel, you can delete the channel from a contact. Deleting the contact channel removes it from the contact's engagement plan. If you delete the only contact channel for a contact, you won't be able to engage that contact during an incident.","ref":"aws_ssm_contacts.html#delete_contact_channel/2","title":"aws_ssm_contacts.delete_contact_channel/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#delete_contact_channel/3","title":"aws_ssm_contacts.delete_contact_channel/3","type":"function"},{"doc":"Incident Manager uses engagements to engage contacts and escalation plans during an incident. Use this command to describe the engagement that occurred during an incident.","ref":"aws_ssm_contacts.html#describe_engagement/2","title":"aws_ssm_contacts.describe_engagement/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#describe_engagement/3","title":"aws_ssm_contacts.describe_engagement/3","type":"function"},{"doc":"Lists details of the engagement to a contact channel.","ref":"aws_ssm_contacts.html#describe_page/2","title":"aws_ssm_contacts.describe_page/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#describe_page/3","title":"aws_ssm_contacts.describe_page/3","type":"function"},{"doc":"Retrieves information about the specified contact or escalation plan.","ref":"aws_ssm_contacts.html#get_contact/2","title":"aws_ssm_contacts.get_contact/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#get_contact/3","title":"aws_ssm_contacts.get_contact/3","type":"function"},{"doc":"List details about a specific contact channel.","ref":"aws_ssm_contacts.html#get_contact_channel/2","title":"aws_ssm_contacts.get_contact_channel/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#get_contact_channel/3","title":"aws_ssm_contacts.get_contact_channel/3","type":"function"},{"doc":"Retrieves the resource policies attached to the specified contact or escalation plan.","ref":"aws_ssm_contacts.html#get_contact_policy/2","title":"aws_ssm_contacts.get_contact_policy/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#get_contact_policy/3","title":"aws_ssm_contacts.get_contact_policy/3","type":"function"},{"doc":"Lists all contact channels for the specified contact.","ref":"aws_ssm_contacts.html#list_contact_channels/2","title":"aws_ssm_contacts.list_contact_channels/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#list_contact_channels/3","title":"aws_ssm_contacts.list_contact_channels/3","type":"function"},{"doc":"Lists all contacts and escalation plans in Incident Manager.","ref":"aws_ssm_contacts.html#list_contacts/2","title":"aws_ssm_contacts.list_contacts/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#list_contacts/3","title":"aws_ssm_contacts.list_contacts/3","type":"function"},{"doc":"Lists all engagements that have happened in an incident.","ref":"aws_ssm_contacts.html#list_engagements/2","title":"aws_ssm_contacts.list_engagements/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#list_engagements/3","title":"aws_ssm_contacts.list_engagements/3","type":"function"},{"doc":"Lists all of the engagements to contact channels that have been acknowledged.","ref":"aws_ssm_contacts.html#list_page_receipts/2","title":"aws_ssm_contacts.list_page_receipts/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#list_page_receipts/3","title":"aws_ssm_contacts.list_page_receipts/3","type":"function"},{"doc":"Lists the engagements to a contact's contact channels.","ref":"aws_ssm_contacts.html#list_pages_by_contact/2","title":"aws_ssm_contacts.list_pages_by_contact/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#list_pages_by_contact/3","title":"aws_ssm_contacts.list_pages_by_contact/3","type":"function"},{"doc":"Lists the engagements to contact channels that occurred by engaging a contact.","ref":"aws_ssm_contacts.html#list_pages_by_engagement/2","title":"aws_ssm_contacts.list_pages_by_engagement/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#list_pages_by_engagement/3","title":"aws_ssm_contacts.list_pages_by_engagement/3","type":"function"},{"doc":"Lists the tags of an escalation plan or contact.","ref":"aws_ssm_contacts.html#list_tags_for_resource/2","title":"aws_ssm_contacts.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#list_tags_for_resource/3","title":"aws_ssm_contacts.list_tags_for_resource/3","type":"function"},{"doc":"Adds a resource policy to the specified contact or escalation plan. The resource policy is used to share the contact or escalation plan using Resource Access Manager (RAM). For more information about cross-account sharing, see Setting up cross-account functionality.","ref":"aws_ssm_contacts.html#put_contact_policy/2","title":"aws_ssm_contacts.put_contact_policy/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#put_contact_policy/3","title":"aws_ssm_contacts.put_contact_policy/3","type":"function"},{"doc":"Sends an activation code to a contact channel. The contact can use this code to activate the contact channel in the console or with the ActivateChannel operation. Incident Manager can't engage a contact channel until it has been activated.","ref":"aws_ssm_contacts.html#send_activation_code/2","title":"aws_ssm_contacts.send_activation_code/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#send_activation_code/3","title":"aws_ssm_contacts.send_activation_code/3","type":"function"},{"doc":"Starts an engagement to a contact or escalation plan. The engagement engages each contact specified in the incident.","ref":"aws_ssm_contacts.html#start_engagement/2","title":"aws_ssm_contacts.start_engagement/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#start_engagement/3","title":"aws_ssm_contacts.start_engagement/3","type":"function"},{"doc":"Stops an engagement before it finishes the final stage of the escalation plan or engagement plan. Further contacts aren't engaged.","ref":"aws_ssm_contacts.html#stop_engagement/2","title":"aws_ssm_contacts.stop_engagement/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#stop_engagement/3","title":"aws_ssm_contacts.stop_engagement/3","type":"function"},{"doc":"Tags a contact or escalation plan. You can tag only contacts and escalation plans in the first region of your replication set.","ref":"aws_ssm_contacts.html#tag_resource/2","title":"aws_ssm_contacts.tag_resource/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#tag_resource/3","title":"aws_ssm_contacts.tag_resource/3","type":"function"},{"doc":"Removes tags from the specified resource.","ref":"aws_ssm_contacts.html#untag_resource/2","title":"aws_ssm_contacts.untag_resource/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#untag_resource/3","title":"aws_ssm_contacts.untag_resource/3","type":"function"},{"doc":"Updates the contact or escalation plan specified.","ref":"aws_ssm_contacts.html#update_contact/2","title":"aws_ssm_contacts.update_contact/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#update_contact/3","title":"aws_ssm_contacts.update_contact/3","type":"function"},{"doc":"Updates a contact's contact channel.","ref":"aws_ssm_contacts.html#update_contact_channel/2","title":"aws_ssm_contacts.update_contact_channel/2","type":"function"},{"doc":"","ref":"aws_ssm_contacts.html#update_contact_channel/3","title":"aws_ssm_contacts.update_contact_channel/3","type":"function"},{"doc":"Systems Manager Incident Manager is an incident management console designed to help users mitigate and recover from incidents affecting their Amazon Web Services-hosted applications. An incident is any unplanned interruption or reduction in quality of services. Incident Manager increases incident resolution by notifying responders of impact, highlighting relevant troubleshooting data, and providing collaboration tools to get services back up and running. To achieve the primary goal of reducing the time-to-resolution of critical incidents, Incident Manager automates response plans and enables responder team escalation.","ref":"aws_ssm_incidents.html","title":"aws_ssm_incidents","type":"module"},{"doc":"A replication set replicates and encrypts your data to the provided Regions with the provided KMS key.","ref":"aws_ssm_incidents.html#create_replication_set/2","title":"aws_ssm_incidents.create_replication_set/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#create_replication_set/3","title":"aws_ssm_incidents.create_replication_set/3","type":"function"},{"doc":"Creates a response plan that automates the initial response to incidents. A response plan engages contacts, starts chat channel collaboration, and initiates runbooks at the beginning of an incident.","ref":"aws_ssm_incidents.html#create_response_plan/2","title":"aws_ssm_incidents.create_response_plan/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#create_response_plan/3","title":"aws_ssm_incidents.create_response_plan/3","type":"function"},{"doc":"Creates a custom timeline event on the incident details page of an incident record. Timeline events are automatically created by Incident Manager, marking key moment during an incident. You can create custom timeline events to mark important events that are automatically detected by Incident Manager.","ref":"aws_ssm_incidents.html#create_timeline_event/2","title":"aws_ssm_incidents.create_timeline_event/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#create_timeline_event/3","title":"aws_ssm_incidents.create_timeline_event/3","type":"function"},{"doc":"Delete an incident record from Incident Manager.","ref":"aws_ssm_incidents.html#delete_incident_record/2","title":"aws_ssm_incidents.delete_incident_record/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#delete_incident_record/3","title":"aws_ssm_incidents.delete_incident_record/3","type":"function"},{"doc":"Deletes all Regions in your replication set. Deleting the replication set deletes all Incident Manager data.","ref":"aws_ssm_incidents.html#delete_replication_set/2","title":"aws_ssm_incidents.delete_replication_set/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#delete_replication_set/3","title":"aws_ssm_incidents.delete_replication_set/3","type":"function"},{"doc":"Deletes the resource policy that Resource Access Manager uses to share your Incident Manager resource.","ref":"aws_ssm_incidents.html#delete_resource_policy/2","title":"aws_ssm_incidents.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#delete_resource_policy/3","title":"aws_ssm_incidents.delete_resource_policy/3","type":"function"},{"doc":"Deletes the specified response plan. Deleting a response plan stops all linked CloudWatch alarms and EventBridge events from creating an incident with this response plan.","ref":"aws_ssm_incidents.html#delete_response_plan/2","title":"aws_ssm_incidents.delete_response_plan/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#delete_response_plan/3","title":"aws_ssm_incidents.delete_response_plan/3","type":"function"},{"doc":"Deletes a timeline event from an incident.","ref":"aws_ssm_incidents.html#delete_timeline_event/2","title":"aws_ssm_incidents.delete_timeline_event/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#delete_timeline_event/3","title":"aws_ssm_incidents.delete_timeline_event/3","type":"function"},{"doc":"Returns the details for the specified incident record.","ref":"aws_ssm_incidents.html#get_incident_record/2","title":"aws_ssm_incidents.get_incident_record/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#get_incident_record/4","title":"aws_ssm_incidents.get_incident_record/4","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#get_incident_record/5","title":"aws_ssm_incidents.get_incident_record/5","type":"function"},{"doc":"Retrieve your Incident Manager replication set.","ref":"aws_ssm_incidents.html#get_replication_set/2","title":"aws_ssm_incidents.get_replication_set/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#get_replication_set/4","title":"aws_ssm_incidents.get_replication_set/4","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#get_replication_set/5","title":"aws_ssm_incidents.get_replication_set/5","type":"function"},{"doc":"Retrieves the resource policies attached to the specified response plan.","ref":"aws_ssm_incidents.html#get_resource_policies/2","title":"aws_ssm_incidents.get_resource_policies/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#get_resource_policies/3","title":"aws_ssm_incidents.get_resource_policies/3","type":"function"},{"doc":"Retrieves the details of the specified response plan.","ref":"aws_ssm_incidents.html#get_response_plan/2","title":"aws_ssm_incidents.get_response_plan/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#get_response_plan/4","title":"aws_ssm_incidents.get_response_plan/4","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#get_response_plan/5","title":"aws_ssm_incidents.get_response_plan/5","type":"function"},{"doc":"Retrieves a timeline event based on its ID and incident record.","ref":"aws_ssm_incidents.html#get_timeline_event/3","title":"aws_ssm_incidents.get_timeline_event/3","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#get_timeline_event/5","title":"aws_ssm_incidents.get_timeline_event/5","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#get_timeline_event/6","title":"aws_ssm_incidents.get_timeline_event/6","type":"function"},{"doc":"Lists all incident records in your account. Use this command to retrieve the Amazon Resource Name (ARN) of the incident record you want to update.","ref":"aws_ssm_incidents.html#list_incident_records/2","title":"aws_ssm_incidents.list_incident_records/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#list_incident_records/3","title":"aws_ssm_incidents.list_incident_records/3","type":"function"},{"doc":"List all related items for an incident record.","ref":"aws_ssm_incidents.html#list_related_items/2","title":"aws_ssm_incidents.list_related_items/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#list_related_items/3","title":"aws_ssm_incidents.list_related_items/3","type":"function"},{"doc":"Lists details about the replication set configured in your account.","ref":"aws_ssm_incidents.html#list_replication_sets/2","title":"aws_ssm_incidents.list_replication_sets/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#list_replication_sets/3","title":"aws_ssm_incidents.list_replication_sets/3","type":"function"},{"doc":"Lists all response plans in your account.","ref":"aws_ssm_incidents.html#list_response_plans/2","title":"aws_ssm_incidents.list_response_plans/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#list_response_plans/3","title":"aws_ssm_incidents.list_response_plans/3","type":"function"},{"doc":"Lists the tags that are attached to the specified response plan.","ref":"aws_ssm_incidents.html#list_tags_for_resource/2","title":"aws_ssm_incidents.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#list_tags_for_resource/4","title":"aws_ssm_incidents.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#list_tags_for_resource/5","title":"aws_ssm_incidents.list_tags_for_resource/5","type":"function"},{"doc":"Lists timeline events for the specified incident record.","ref":"aws_ssm_incidents.html#list_timeline_events/2","title":"aws_ssm_incidents.list_timeline_events/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#list_timeline_events/3","title":"aws_ssm_incidents.list_timeline_events/3","type":"function"},{"doc":"Adds a resource policy to the specified response plan. The resource policy is used to share the response plan using Resource Access Manager (RAM). For more information about cross-account sharing, see Cross-Region and cross-account incident management.","ref":"aws_ssm_incidents.html#put_resource_policy/2","title":"aws_ssm_incidents.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#put_resource_policy/3","title":"aws_ssm_incidents.put_resource_policy/3","type":"function"},{"doc":"Used to start an incident from CloudWatch alarms, EventBridge events, or manually.","ref":"aws_ssm_incidents.html#start_incident/2","title":"aws_ssm_incidents.start_incident/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#start_incident/3","title":"aws_ssm_incidents.start_incident/3","type":"function"},{"doc":"Adds a tag to a response plan.","ref":"aws_ssm_incidents.html#tag_resource/3","title":"aws_ssm_incidents.tag_resource/3","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#tag_resource/4","title":"aws_ssm_incidents.tag_resource/4","type":"function"},{"doc":"Removes a tag from a resource.","ref":"aws_ssm_incidents.html#untag_resource/3","title":"aws_ssm_incidents.untag_resource/3","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#untag_resource/4","title":"aws_ssm_incidents.untag_resource/4","type":"function"},{"doc":"Update deletion protection to either allow or deny deletion of the final Region in a replication set.","ref":"aws_ssm_incidents.html#update_deletion_protection/2","title":"aws_ssm_incidents.update_deletion_protection/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#update_deletion_protection/3","title":"aws_ssm_incidents.update_deletion_protection/3","type":"function"},{"doc":"Update the details of an incident record. You can use this operation to update an incident record from the defined chat channel. For more information about using actions in chat channels, see Interacting through chat.","ref":"aws_ssm_incidents.html#update_incident_record/2","title":"aws_ssm_incidents.update_incident_record/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#update_incident_record/3","title":"aws_ssm_incidents.update_incident_record/3","type":"function"},{"doc":"Add or remove related items from the related items tab of an incident record.","ref":"aws_ssm_incidents.html#update_related_items/2","title":"aws_ssm_incidents.update_related_items/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#update_related_items/3","title":"aws_ssm_incidents.update_related_items/3","type":"function"},{"doc":"Add or delete Regions from your replication set.","ref":"aws_ssm_incidents.html#update_replication_set/2","title":"aws_ssm_incidents.update_replication_set/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#update_replication_set/3","title":"aws_ssm_incidents.update_replication_set/3","type":"function"},{"doc":"Updates the specified response plan.","ref":"aws_ssm_incidents.html#update_response_plan/2","title":"aws_ssm_incidents.update_response_plan/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#update_response_plan/3","title":"aws_ssm_incidents.update_response_plan/3","type":"function"},{"doc":"Updates a timeline event. You can update events of type Custom Event .","ref":"aws_ssm_incidents.html#update_timeline_event/2","title":"aws_ssm_incidents.update_timeline_event/2","type":"function"},{"doc":"","ref":"aws_ssm_incidents.html#update_timeline_event/3","title":"aws_ssm_incidents.update_timeline_event/3","type":"function"},{"doc":"This API reference provides descriptions, syntax, and other details about each of the actions and data types for AWS Systems Manager for SAP. The topic for each action shows the API request parameters and responses.","ref":"aws_ssm_sap.html","title":"aws_ssm_sap","type":"module"},{"doc":"Removes permissions associated with the target database.","ref":"aws_ssm_sap.html#delete_resource_permission/2","title":"aws_ssm_sap.delete_resource_permission/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#delete_resource_permission/3","title":"aws_ssm_sap.delete_resource_permission/3","type":"function"},{"doc":"Deregister an SAP application with AWS Systems Manager for SAP. This action does not aﬀect the existing setup of your SAP workloads on Amazon EC2.","ref":"aws_ssm_sap.html#deregister_application/2","title":"aws_ssm_sap.deregister_application/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#deregister_application/3","title":"aws_ssm_sap.deregister_application/3","type":"function"},{"doc":"Gets an application registered with AWS Systems Manager for SAP. It also returns the components of the application.","ref":"aws_ssm_sap.html#get_application/2","title":"aws_ssm_sap.get_application/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#get_application/3","title":"aws_ssm_sap.get_application/3","type":"function"},{"doc":"Gets the component of an application registered with AWS Systems Manager for SAP.","ref":"aws_ssm_sap.html#get_component/2","title":"aws_ssm_sap.get_component/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#get_component/3","title":"aws_ssm_sap.get_component/3","type":"function"},{"doc":"Gets the SAP HANA database of an application registered with AWS Systems Manager for SAP.","ref":"aws_ssm_sap.html#get_database/2","title":"aws_ssm_sap.get_database/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#get_database/3","title":"aws_ssm_sap.get_database/3","type":"function"},{"doc":"Gets the details of an operation by specifying the operation ID.","ref":"aws_ssm_sap.html#get_operation/2","title":"aws_ssm_sap.get_operation/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#get_operation/3","title":"aws_ssm_sap.get_operation/3","type":"function"},{"doc":"Gets permissions associated with the target database.","ref":"aws_ssm_sap.html#get_resource_permission/2","title":"aws_ssm_sap.get_resource_permission/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#get_resource_permission/3","title":"aws_ssm_sap.get_resource_permission/3","type":"function"},{"doc":"Lists all the applications registered with AWS Systems Manager for SAP.","ref":"aws_ssm_sap.html#list_applications/2","title":"aws_ssm_sap.list_applications/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#list_applications/3","title":"aws_ssm_sap.list_applications/3","type":"function"},{"doc":"Lists all the components registered with AWS Systems Manager for SAP.","ref":"aws_ssm_sap.html#list_components/2","title":"aws_ssm_sap.list_components/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#list_components/3","title":"aws_ssm_sap.list_components/3","type":"function"},{"doc":"Lists the SAP HANA databases of an application registered with AWS Systems Manager for SAP.","ref":"aws_ssm_sap.html#list_databases/2","title":"aws_ssm_sap.list_databases/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#list_databases/3","title":"aws_ssm_sap.list_databases/3","type":"function"},{"doc":"Lists the operations performed by AWS Systems Manager for SAP.","ref":"aws_ssm_sap.html#list_operations/2","title":"aws_ssm_sap.list_operations/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#list_operations/3","title":"aws_ssm_sap.list_operations/3","type":"function"},{"doc":"Lists all tags on an SAP HANA application and/or database registered with AWS Systems Manager for SAP.","ref":"aws_ssm_sap.html#list_tags_for_resource/2","title":"aws_ssm_sap.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#list_tags_for_resource/4","title":"aws_ssm_sap.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#list_tags_for_resource/5","title":"aws_ssm_sap.list_tags_for_resource/5","type":"function"},{"doc":"Adds permissions to the target database.","ref":"aws_ssm_sap.html#put_resource_permission/2","title":"aws_ssm_sap.put_resource_permission/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#put_resource_permission/3","title":"aws_ssm_sap.put_resource_permission/3","type":"function"},{"doc":"Register an SAP application with AWS Systems Manager for SAP. You must meet the following requirements before registering. The SAP application you want to register with AWS Systems Manager for SAP is running on Amazon EC2. AWS Systems Manager Agent must be setup on an Amazon EC2 instance along with the required IAM permissions. Amazon EC2 instance(s) must have access to the secrets created in AWS Secrets Manager to manage SAP applications and components.","ref":"aws_ssm_sap.html#register_application/2","title":"aws_ssm_sap.register_application/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#register_application/3","title":"aws_ssm_sap.register_application/3","type":"function"},{"doc":"Creates tag for a resource by specifying the ARN.","ref":"aws_ssm_sap.html#tag_resource/3","title":"aws_ssm_sap.tag_resource/3","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#tag_resource/4","title":"aws_ssm_sap.tag_resource/4","type":"function"},{"doc":"Delete the tags for a resource.","ref":"aws_ssm_sap.html#untag_resource/3","title":"aws_ssm_sap.untag_resource/3","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#untag_resource/4","title":"aws_ssm_sap.untag_resource/4","type":"function"},{"doc":"Updates the settings of an application registered with AWS Systems Manager for SAP.","ref":"aws_ssm_sap.html#update_application_settings/2","title":"aws_ssm_sap.update_application_settings/2","type":"function"},{"doc":"","ref":"aws_ssm_sap.html#update_application_settings/3","title":"aws_ssm_sap.update_application_settings/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html","title":"aws_ssmsap","type":"module"},{"doc":"","ref":"aws_ssmsap.html#delete_resource_permission/2","title":"aws_ssmsap.delete_resource_permission/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#delete_resource_permission/3","title":"aws_ssmsap.delete_resource_permission/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#deregister_application/2","title":"aws_ssmsap.deregister_application/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#deregister_application/3","title":"aws_ssmsap.deregister_application/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#get_application/2","title":"aws_ssmsap.get_application/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#get_application/3","title":"aws_ssmsap.get_application/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#get_component/2","title":"aws_ssmsap.get_component/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#get_component/3","title":"aws_ssmsap.get_component/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#get_database/2","title":"aws_ssmsap.get_database/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#get_database/3","title":"aws_ssmsap.get_database/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#get_operation/2","title":"aws_ssmsap.get_operation/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#get_operation/3","title":"aws_ssmsap.get_operation/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#get_resource_permission/2","title":"aws_ssmsap.get_resource_permission/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#get_resource_permission/3","title":"aws_ssmsap.get_resource_permission/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#list_applications/2","title":"aws_ssmsap.list_applications/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#list_applications/3","title":"aws_ssmsap.list_applications/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#list_components/2","title":"aws_ssmsap.list_components/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#list_components/3","title":"aws_ssmsap.list_components/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#list_databases/2","title":"aws_ssmsap.list_databases/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#list_databases/3","title":"aws_ssmsap.list_databases/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#list_tags_for_resource/2","title":"aws_ssmsap.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#list_tags_for_resource/4","title":"aws_ssmsap.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_ssmsap.html#list_tags_for_resource/5","title":"aws_ssmsap.list_tags_for_resource/5","type":"function"},{"doc":"","ref":"aws_ssmsap.html#put_resource_permission/2","title":"aws_ssmsap.put_resource_permission/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#put_resource_permission/3","title":"aws_ssmsap.put_resource_permission/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#register_application/2","title":"aws_ssmsap.register_application/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#register_application/3","title":"aws_ssmsap.register_application/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#tag_resource/3","title":"aws_ssmsap.tag_resource/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#tag_resource/4","title":"aws_ssmsap.tag_resource/4","type":"function"},{"doc":"","ref":"aws_ssmsap.html#untag_resource/3","title":"aws_ssmsap.untag_resource/3","type":"function"},{"doc":"","ref":"aws_ssmsap.html#untag_resource/4","title":"aws_ssmsap.untag_resource/4","type":"function"},{"doc":"","ref":"aws_ssmsap.html#update_application_settings/2","title":"aws_ssmsap.update_application_settings/2","type":"function"},{"doc":"","ref":"aws_ssmsap.html#update_application_settings/3","title":"aws_ssmsap.update_application_settings/3","type":"function"},{"doc":"AWS IAM Identity Center (successor to AWS Single Sign-On) Portal is a web service that makes it easy for you to assign user access to IAM Identity Center resources such as the AWS access portal. Users can get AWS account applications and roles assigned to them and get federated into the application. Although AWS Single Sign-On was renamed, the sso and identitystore API namespaces will continue to retain their original name for backward compatibility purposes. For more information, see IAM Identity Center rename. This reference guide describes the IAM Identity Center Portal operations that you can call programatically and includes detailed information on data types and errors. AWS provides SDKs that consist of libraries and sample code for various programming languages and platforms, such as Java, Ruby, .Net, iOS, or Android. The SDKs provide a convenient way to create programmatic access to IAM Identity Center and other AWS services. For more information about the AWS SDKs, including how to download and install them, see Tools for Amazon Web Services.","ref":"aws_sso.html","title":"aws_sso","type":"module"},{"doc":"Returns the STS short-term credentials for a given role name that is assigned to the user.","ref":"aws_sso.html#get_role_credentials/4","title":"aws_sso.get_role_credentials/4","type":"function"},{"doc":"","ref":"aws_sso.html#get_role_credentials/6","title":"aws_sso.get_role_credentials/6","type":"function"},{"doc":"","ref":"aws_sso.html#get_role_credentials/7","title":"aws_sso.get_role_credentials/7","type":"function"},{"doc":"Lists all roles that are assigned to the user for a given AWS account.","ref":"aws_sso.html#list_account_roles/3","title":"aws_sso.list_account_roles/3","type":"function"},{"doc":"","ref":"aws_sso.html#list_account_roles/5","title":"aws_sso.list_account_roles/5","type":"function"},{"doc":"","ref":"aws_sso.html#list_account_roles/6","title":"aws_sso.list_account_roles/6","type":"function"},{"doc":"Lists all AWS accounts assigned to the user. These AWS accounts are assigned by the administrator of the account. For more information, see Assign User Access in the IAM Identity Center User Guide. This operation returns a paginated response.","ref":"aws_sso.html#list_accounts/2","title":"aws_sso.list_accounts/2","type":"function"},{"doc":"","ref":"aws_sso.html#list_accounts/4","title":"aws_sso.list_accounts/4","type":"function"},{"doc":"","ref":"aws_sso.html#list_accounts/5","title":"aws_sso.list_accounts/5","type":"function"},{"doc":"Removes the locally stored SSO tokens from the client-side cache and sends an API call to the IAM Identity Center service to invalidate the corresponding server-side IAM Identity Center sign in session. If a user uses IAM Identity Center to access the AWS CLI, the user’s IAM Identity Center sign in session is used to obtain an IAM session, as specified in the corresponding IAM Identity Center permission set. More specifically, IAM Identity Center assumes an IAM role in the target account on behalf of the user, and the corresponding temporary AWS credentials are returned to the client. After user logout, any existing IAM role sessions that were created by using IAM Identity Center permission sets continue based on the duration configured in the permission set. For more information, see User authentications in the IAM Identity Center User Guide.","ref":"aws_sso.html#logout/2","title":"aws_sso.logout/2","type":"function"},{"doc":"","ref":"aws_sso.html#logout/3","title":"aws_sso.logout/3","type":"function"},{"doc":"AWS IAM Identity Center (successor to AWS Single Sign-On) helps you securely create, or connect, your workforce identities and manage their access centrally across AWS accounts and applications. IAM Identity Center is the recommended approach for workforce authentication and authorization in AWS, for organizations of any size and type. Although AWS Single Sign-On was renamed, the sso and identitystore API namespaces will continue to retain their original name for backward compatibility purposes. For more information, see IAM Identity Center rename. This reference guide provides information on single sign-on operations which could be used for access management of AWS accounts. For information about IAM Identity Center features, see the IAM Identity Center User Guide. Many operations in the IAM Identity Center APIs rely on identifiers for users and groups, known as principals. For more information about how to work with principals and principal IDs in IAM Identity Center, see the Identity Store API Reference. AWS provides SDKs that consist of libraries and sample code for various programming languages and platforms (Java, Ruby, .Net, iOS, Android, and more). The SDKs provide a convenient way to create programmatic access to IAM Identity Center and other AWS services. For more information about the AWS SDKs, including how to download and install them, see Tools for Amazon Web Services.","ref":"aws_sso_admin.html","title":"aws_sso_admin","type":"module"},{"doc":"Attaches the specified customer managed policy to the specified PermissionSet .","ref":"aws_sso_admin.html#attach_customer_managed_policy_reference_to_permission_set/2","title":"aws_sso_admin.attach_customer_managed_policy_reference_to_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#attach_customer_managed_policy_reference_to_permission_set/3","title":"aws_sso_admin.attach_customer_managed_policy_reference_to_permission_set/3","type":"function"},{"doc":"Attaches an AWS managed policy ARN to a permission set. If the permission set is already referenced by one or more account assignments, you will need to call `ProvisionPermissionSet ' after this operation. Calling ProvisionPermissionSet applies the corresponding IAM policy updates to all assigned accounts.","ref":"aws_sso_admin.html#attach_managed_policy_to_permission_set/2","title":"aws_sso_admin.attach_managed_policy_to_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#attach_managed_policy_to_permission_set/3","title":"aws_sso_admin.attach_managed_policy_to_permission_set/3","type":"function"},{"doc":"Assigns access to a principal for a specified AWS account using a specified permission set. The term principal here refers to a user or group that is defined in IAM Identity Center. As part of a successful CreateAccountAssignment call, the specified permission set will automatically be provisioned to the account in the form of an IAM policy. That policy is attached to the IAM role created in IAM Identity Center. If the permission set is subsequently updated, the corresponding IAM policies attached to roles in your accounts will not be updated automatically. In this case, you must call `ProvisionPermissionSet ' to make these updates. After a successful response, call DescribeAccountAssignmentCreationStatus to describe the status of an assignment creation request.","ref":"aws_sso_admin.html#create_account_assignment/2","title":"aws_sso_admin.create_account_assignment/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#create_account_assignment/3","title":"aws_sso_admin.create_account_assignment/3","type":"function"},{"doc":"Enables the attributes-based access control (ABAC) feature for the specified IAM Identity Center instance. You can also specify new attributes to add to your ABAC configuration during the enabling process. For more information about ABAC, see Attribute-Based Access Control in the IAM Identity Center User Guide. After a successful response, call DescribeInstanceAccessControlAttributeConfiguration to validate that InstanceAccessControlAttributeConfiguration was created.","ref":"aws_sso_admin.html#create_instance_access_control_attribute_configuration/2","title":"aws_sso_admin.create_instance_access_control_attribute_configuration/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#create_instance_access_control_attribute_configuration/3","title":"aws_sso_admin.create_instance_access_control_attribute_configuration/3","type":"function"},{"doc":"Creates a permission set within a specified IAM Identity Center instance. To grant users and groups access to AWS account resources, use `CreateAccountAssignment '.","ref":"aws_sso_admin.html#create_permission_set/2","title":"aws_sso_admin.create_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#create_permission_set/3","title":"aws_sso_admin.create_permission_set/3","type":"function"},{"doc":"Deletes a principal's access from a specified AWS account using a specified permission set. After a successful response, call DescribeAccountAssignmentCreationStatus to describe the status of an assignment deletion request.","ref":"aws_sso_admin.html#delete_account_assignment/2","title":"aws_sso_admin.delete_account_assignment/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#delete_account_assignment/3","title":"aws_sso_admin.delete_account_assignment/3","type":"function"},{"doc":"Deletes the inline policy from a specified permission set.","ref":"aws_sso_admin.html#delete_inline_policy_from_permission_set/2","title":"aws_sso_admin.delete_inline_policy_from_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#delete_inline_policy_from_permission_set/3","title":"aws_sso_admin.delete_inline_policy_from_permission_set/3","type":"function"},{"doc":"Disables the attributes-based access control (ABAC) feature for the specified IAM Identity Center instance and deletes all of the attribute mappings that have been configured. Once deleted, any attributes that are received from an identity source and any custom attributes you have previously configured will not be passed. For more information about ABAC, see Attribute-Based Access Control in the IAM Identity Center User Guide.","ref":"aws_sso_admin.html#delete_instance_access_control_attribute_configuration/2","title":"aws_sso_admin.delete_instance_access_control_attribute_configuration/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#delete_instance_access_control_attribute_configuration/3","title":"aws_sso_admin.delete_instance_access_control_attribute_configuration/3","type":"function"},{"doc":"Deletes the specified permission set.","ref":"aws_sso_admin.html#delete_permission_set/2","title":"aws_sso_admin.delete_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#delete_permission_set/3","title":"aws_sso_admin.delete_permission_set/3","type":"function"},{"doc":"Deletes the permissions boundary from a specified PermissionSet .","ref":"aws_sso_admin.html#delete_permissions_boundary_from_permission_set/2","title":"aws_sso_admin.delete_permissions_boundary_from_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#delete_permissions_boundary_from_permission_set/3","title":"aws_sso_admin.delete_permissions_boundary_from_permission_set/3","type":"function"},{"doc":"Describes the status of the assignment creation request.","ref":"aws_sso_admin.html#describe_account_assignment_creation_status/2","title":"aws_sso_admin.describe_account_assignment_creation_status/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#describe_account_assignment_creation_status/3","title":"aws_sso_admin.describe_account_assignment_creation_status/3","type":"function"},{"doc":"Describes the status of the assignment deletion request.","ref":"aws_sso_admin.html#describe_account_assignment_deletion_status/2","title":"aws_sso_admin.describe_account_assignment_deletion_status/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#describe_account_assignment_deletion_status/3","title":"aws_sso_admin.describe_account_assignment_deletion_status/3","type":"function"},{"doc":"Returns the list of IAM Identity Center identity store attributes that have been configured to work with attributes-based access control (ABAC) for the specified IAM Identity Center instance. This will not return attributes configured and sent by an external identity provider. For more information about ABAC, see Attribute-Based Access Control in the IAM Identity Center User Guide.","ref":"aws_sso_admin.html#describe_instance_access_control_attribute_configuration/2","title":"aws_sso_admin.describe_instance_access_control_attribute_configuration/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#describe_instance_access_control_attribute_configuration/3","title":"aws_sso_admin.describe_instance_access_control_attribute_configuration/3","type":"function"},{"doc":"Gets the details of the permission set.","ref":"aws_sso_admin.html#describe_permission_set/2","title":"aws_sso_admin.describe_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#describe_permission_set/3","title":"aws_sso_admin.describe_permission_set/3","type":"function"},{"doc":"Describes the status for the given permission set provisioning request.","ref":"aws_sso_admin.html#describe_permission_set_provisioning_status/2","title":"aws_sso_admin.describe_permission_set_provisioning_status/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#describe_permission_set_provisioning_status/3","title":"aws_sso_admin.describe_permission_set_provisioning_status/3","type":"function"},{"doc":"Detaches the specified customer managed policy from the specified PermissionSet .","ref":"aws_sso_admin.html#detach_customer_managed_policy_reference_from_permission_set/2","title":"aws_sso_admin.detach_customer_managed_policy_reference_from_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#detach_customer_managed_policy_reference_from_permission_set/3","title":"aws_sso_admin.detach_customer_managed_policy_reference_from_permission_set/3","type":"function"},{"doc":"Detaches the attached AWS managed policy ARN from the specified permission set.","ref":"aws_sso_admin.html#detach_managed_policy_from_permission_set/2","title":"aws_sso_admin.detach_managed_policy_from_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#detach_managed_policy_from_permission_set/3","title":"aws_sso_admin.detach_managed_policy_from_permission_set/3","type":"function"},{"doc":"Obtains the inline policy assigned to the permission set.","ref":"aws_sso_admin.html#get_inline_policy_for_permission_set/2","title":"aws_sso_admin.get_inline_policy_for_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#get_inline_policy_for_permission_set/3","title":"aws_sso_admin.get_inline_policy_for_permission_set/3","type":"function"},{"doc":"Obtains the permissions boundary for a specified PermissionSet .","ref":"aws_sso_admin.html#get_permissions_boundary_for_permission_set/2","title":"aws_sso_admin.get_permissions_boundary_for_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#get_permissions_boundary_for_permission_set/3","title":"aws_sso_admin.get_permissions_boundary_for_permission_set/3","type":"function"},{"doc":"Lists the status of the AWS account assignment creation requests for a specified IAM Identity Center instance.","ref":"aws_sso_admin.html#list_account_assignment_creation_status/2","title":"aws_sso_admin.list_account_assignment_creation_status/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#list_account_assignment_creation_status/3","title":"aws_sso_admin.list_account_assignment_creation_status/3","type":"function"},{"doc":"Lists the status of the AWS account assignment deletion requests for a specified IAM Identity Center instance.","ref":"aws_sso_admin.html#list_account_assignment_deletion_status/2","title":"aws_sso_admin.list_account_assignment_deletion_status/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#list_account_assignment_deletion_status/3","title":"aws_sso_admin.list_account_assignment_deletion_status/3","type":"function"},{"doc":"Lists the assignee of the specified AWS account with the specified permission set.","ref":"aws_sso_admin.html#list_account_assignments/2","title":"aws_sso_admin.list_account_assignments/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#list_account_assignments/3","title":"aws_sso_admin.list_account_assignments/3","type":"function"},{"doc":"Lists all the AWS accounts where the specified permission set is provisioned.","ref":"aws_sso_admin.html#list_accounts_for_provisioned_permission_set/2","title":"aws_sso_admin.list_accounts_for_provisioned_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#list_accounts_for_provisioned_permission_set/3","title":"aws_sso_admin.list_accounts_for_provisioned_permission_set/3","type":"function"},{"doc":"Lists all customer managed policies attached to a specified PermissionSet .","ref":"aws_sso_admin.html#list_customer_managed_policy_references_in_permission_set/2","title":"aws_sso_admin.list_customer_managed_policy_references_in_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#list_customer_managed_policy_references_in_permission_set/3","title":"aws_sso_admin.list_customer_managed_policy_references_in_permission_set/3","type":"function"},{"doc":"Lists the IAM Identity Center instances that the caller has access to.","ref":"aws_sso_admin.html#list_instances/2","title":"aws_sso_admin.list_instances/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#list_instances/3","title":"aws_sso_admin.list_instances/3","type":"function"},{"doc":"Lists the AWS managed policy that is attached to a specified permission set.","ref":"aws_sso_admin.html#list_managed_policies_in_permission_set/2","title":"aws_sso_admin.list_managed_policies_in_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#list_managed_policies_in_permission_set/3","title":"aws_sso_admin.list_managed_policies_in_permission_set/3","type":"function"},{"doc":"Lists the status of the permission set provisioning requests for a specified IAM Identity Center instance.","ref":"aws_sso_admin.html#list_permission_set_provisioning_status/2","title":"aws_sso_admin.list_permission_set_provisioning_status/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#list_permission_set_provisioning_status/3","title":"aws_sso_admin.list_permission_set_provisioning_status/3","type":"function"},{"doc":"Lists the PermissionSet s in an IAM Identity Center instance.","ref":"aws_sso_admin.html#list_permission_sets/2","title":"aws_sso_admin.list_permission_sets/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#list_permission_sets/3","title":"aws_sso_admin.list_permission_sets/3","type":"function"},{"doc":"Lists all the permission sets that are provisioned to a specified AWS account.","ref":"aws_sso_admin.html#list_permission_sets_provisioned_to_account/2","title":"aws_sso_admin.list_permission_sets_provisioned_to_account/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#list_permission_sets_provisioned_to_account/3","title":"aws_sso_admin.list_permission_sets_provisioned_to_account/3","type":"function"},{"doc":"Lists the tags that are attached to a specified resource.","ref":"aws_sso_admin.html#list_tags_for_resource/2","title":"aws_sso_admin.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#list_tags_for_resource/3","title":"aws_sso_admin.list_tags_for_resource/3","type":"function"},{"doc":"The process by which a specified permission set is provisioned to the specified target.","ref":"aws_sso_admin.html#provision_permission_set/2","title":"aws_sso_admin.provision_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#provision_permission_set/3","title":"aws_sso_admin.provision_permission_set/3","type":"function"},{"doc":"Attaches an inline policy to a permission set. If the permission set is already referenced by one or more account assignments, you will need to call `ProvisionPermissionSet ' after this action to apply the corresponding IAM policy updates to all assigned accounts.","ref":"aws_sso_admin.html#put_inline_policy_to_permission_set/2","title":"aws_sso_admin.put_inline_policy_to_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#put_inline_policy_to_permission_set/3","title":"aws_sso_admin.put_inline_policy_to_permission_set/3","type":"function"},{"doc":"Attaches an AWS managed or customer managed policy to the specified PermissionSet as a permissions boundary.","ref":"aws_sso_admin.html#put_permissions_boundary_to_permission_set/2","title":"aws_sso_admin.put_permissions_boundary_to_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#put_permissions_boundary_to_permission_set/3","title":"aws_sso_admin.put_permissions_boundary_to_permission_set/3","type":"function"},{"doc":"Associates a set of tags with a specified resource.","ref":"aws_sso_admin.html#tag_resource/2","title":"aws_sso_admin.tag_resource/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#tag_resource/3","title":"aws_sso_admin.tag_resource/3","type":"function"},{"doc":"Disassociates a set of tags from a specified resource.","ref":"aws_sso_admin.html#untag_resource/2","title":"aws_sso_admin.untag_resource/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#untag_resource/3","title":"aws_sso_admin.untag_resource/3","type":"function"},{"doc":"Updates the IAM Identity Center identity store attributes that you can use with the IAM Identity Center instance for attributes-based access control (ABAC). When using an external identity provider as an identity source, you can pass attributes through the SAML assertion as an alternative to configuring attributes from the IAM Identity Center identity store. If a SAML assertion passes any of these attributes, IAM Identity Center replaces the attribute value with the value from the IAM Identity Center identity store. For more information about ABAC, see Attribute-Based Access Control in the IAM Identity Center User Guide.","ref":"aws_sso_admin.html#update_instance_access_control_attribute_configuration/2","title":"aws_sso_admin.update_instance_access_control_attribute_configuration/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#update_instance_access_control_attribute_configuration/3","title":"aws_sso_admin.update_instance_access_control_attribute_configuration/3","type":"function"},{"doc":"Updates an existing permission set.","ref":"aws_sso_admin.html#update_permission_set/2","title":"aws_sso_admin.update_permission_set/2","type":"function"},{"doc":"","ref":"aws_sso_admin.html#update_permission_set/3","title":"aws_sso_admin.update_permission_set/3","type":"function"},{"doc":"AWS IAM Identity Center (successor to AWS Single Sign-On) OpenID Connect (OIDC) is a web service that enables a client (such as AWS CLI or a native application) to register with IAM Identity Center. The service also enables the client to fetch the user’s access token upon successful authentication and authorization with IAM Identity Center. Although AWS Single Sign-On was renamed, the sso and identitystore API namespaces will continue to retain their original name for backward compatibility purposes. For more information, see IAM Identity Center rename. Considerations for Using This Guide Before you begin using this guide, we recommend that you first review the following important information about how the IAM Identity Center OIDC service works. The IAM Identity Center OIDC service currently implements only the portions of the OAuth 2.0 Device Authorization Grant standard ( https://tools.ietf.org/html/rfc8628 ) that are necessary to enable single sign-on authentication with the AWS CLI. Support for other OIDC flows frequently needed for native applications, such as Authorization Code Flow (+ PKCE), will be addressed in future releases. The service emits only OIDC access tokens, such that obtaining a new token (For example, token refresh) requires explicit user re-authentication. The access tokens provided by this service grant access to all AWS account entitlements assigned to an IAM Identity Center user, not just a particular application. The documentation in this guide does not describe the mechanism to convert the access token into AWS Auth (“sigv4”) credentials for use with IAM-protected AWS service endpoints. For more information, see GetRoleCredentials in the IAM Identity Center Portal API Reference Guide. For general information about IAM Identity Center, see What is IAM Identity Center? in the IAM Identity Center User Guide.","ref":"aws_sso_oidc.html","title":"aws_sso_oidc","type":"module"},{"doc":"Creates and returns an access token for the authorized client. The access token issued will be used to fetch short-term credentials for the assigned roles in the AWS account.","ref":"aws_sso_oidc.html#create_token/2","title":"aws_sso_oidc.create_token/2","type":"function"},{"doc":"","ref":"aws_sso_oidc.html#create_token/3","title":"aws_sso_oidc.create_token/3","type":"function"},{"doc":"Registers a client with IAM Identity Center. This allows clients to initiate device authorization. The output should be persisted for reuse through many authentication requests.","ref":"aws_sso_oidc.html#register_client/2","title":"aws_sso_oidc.register_client/2","type":"function"},{"doc":"","ref":"aws_sso_oidc.html#register_client/3","title":"aws_sso_oidc.register_client/3","type":"function"},{"doc":"Initiates device authorization by requesting a pair of verification codes from the authorization service.","ref":"aws_sso_oidc.html#start_device_authorization/2","title":"aws_sso_oidc.start_device_authorization/2","type":"function"},{"doc":"","ref":"aws_sso_oidc.html#start_device_authorization/3","title":"aws_sso_oidc.start_device_authorization/3","type":"function"},{"doc":"Storage Gateway Service Storage Gateway is the service that connects an on-premises software appliance with cloud-based storage to provide seamless and secure integration between an organization's on-premises IT environment and the Amazon Web Services storage infrastructure. The service enables you to securely upload data to the Amazon Web Services Cloud for cost effective backup and rapid disaster recovery. Use the following links to get started using the Storage Gateway Service API Reference: Storage Gateway required request headers: Describes the required headers that you must send with every POST request to Storage Gateway. Signing requests: Storage Gateway requires that you authenticate every request you send; this topic describes how sign such a request. Error responses: Provides reference information about Storage Gateway errors. Operations in Storage Gateway: Contains detailed descriptions of all Storage Gateway operations, their request parameters, response elements, possible errors, and examples of requests and responses. Storage Gateway endpoints and quotas: Provides a list of each Amazon Web Services Region and the endpoints available for use with Storage Gateway. Storage Gateway resource IDs are in uppercase. When you use these resource IDs with the Amazon EC2 API, EC2 expects resource IDs in lowercase. You must change your resource ID to lowercase to use it with the EC2 API. For example, in Storage Gateway the ID for a volume might be vol-AA22BB012345DAF670 . When you use this ID with the EC2 API, you must change it to vol-aa22bb012345daf670 . Otherwise, the EC2 API might not behave as expected. IDs for Storage Gateway volumes and Amazon EBS snapshots created from gateway volumes are changing to a longer format. Starting in December 2016, all new volumes and snapshots will be created with a 17-character string. Starting in April 2016, you will be able to use these longer IDs so you can test your systems with the new format. For more information, see Longer EC2 and EBS resource IDs. For example, a volume Amazon Resource Name (ARN) with the longer volume ID format looks like the following: arn:aws:storagegateway:us-west-2:111122223333:gateway/sgw-12A3456B/volume/vol-1122AABBCCDDEEFFG . A snapshot ID with the longer ID format looks like the following: snap-78e226633445566ee . For more information, see Announcement: Heads-up – Longer Storage Gateway volume and snapshot IDs coming in 2016.","ref":"aws_storage_gateway.html","title":"aws_storage_gateway","type":"module"},{"doc":"Activates the gateway you previously deployed on your host. In the activation process, you specify information such as the Amazon Web Services Region that you want to use for storing snapshots or tapes, the time zone for scheduled snapshots the gateway snapshot schedule window, an activation key, and a name for your gateway. The activation process also associates your gateway with your account. For more information, see UpdateGatewayInformation . You must turn on the gateway VM before you can activate your gateway.","ref":"aws_storage_gateway.html#activate_gateway/2","title":"aws_storage_gateway.activate_gateway/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#activate_gateway/3","title":"aws_storage_gateway.activate_gateway/3","type":"function"},{"doc":"Configures one or more gateway local disks as cache for a gateway. This operation is only supported in the cached volume, tape, and file gateway type (see How Storage Gateway works (architecture). In the request, you specify the gateway Amazon Resource Name (ARN) to which you want to add cache, and one or more disk IDs that you want to configure as cache.","ref":"aws_storage_gateway.html#add_cache/2","title":"aws_storage_gateway.add_cache/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#add_cache/3","title":"aws_storage_gateway.add_cache/3","type":"function"},{"doc":"Adds one or more tags to the specified resource. You use tags to add metadata to resources, which you can use to categorize these resources. For example, you can categorize resources by purpose, owner, environment, or team. Each tag consists of a key and a value, which you define. You can add tags to the following Storage Gateway resources: Storage gateways of all types Storage volumes Virtual tapes NFS and SMB file shares File System associations You can create a maximum of 50 tags for each resource. Virtual tapes and storage volumes that are recovered to a new gateway maintain their tags.","ref":"aws_storage_gateway.html#add_tags_to_resource/2","title":"aws_storage_gateway.add_tags_to_resource/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#add_tags_to_resource/3","title":"aws_storage_gateway.add_tags_to_resource/3","type":"function"},{"doc":"Configures one or more gateway local disks as upload buffer for a specified gateway. This operation is supported for the stored volume, cached volume, and tape gateway types. In the request, you specify the gateway Amazon Resource Name (ARN) to which you want to add upload buffer, and one or more disk IDs that you want to configure as upload buffer.","ref":"aws_storage_gateway.html#add_upload_buffer/2","title":"aws_storage_gateway.add_upload_buffer/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#add_upload_buffer/3","title":"aws_storage_gateway.add_upload_buffer/3","type":"function"},{"doc":"Configures one or more gateway local disks as working storage for a gateway. This operation is only supported in the stored volume gateway type. This operation is deprecated in cached volume API version 20120630. Use AddUploadBuffer instead. Working storage is also referred to as upload buffer. You can also use the AddUploadBuffer operation to add upload buffer to a stored volume gateway. In the request, you specify the gateway Amazon Resource Name (ARN) to which you want to add working storage, and one or more disk IDs that you want to configure as working storage.","ref":"aws_storage_gateway.html#add_working_storage/2","title":"aws_storage_gateway.add_working_storage/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#add_working_storage/3","title":"aws_storage_gateway.add_working_storage/3","type":"function"},{"doc":"Assigns a tape to a tape pool for archiving. The tape assigned to a pool is archived in the S3 storage class that is associated with the pool. When you use your backup application to eject the tape, the tape is archived directly into the S3 storage class (S3 Glacier or S3 Glacier Deep Archive) that corresponds to the pool.","ref":"aws_storage_gateway.html#assign_tape_pool/2","title":"aws_storage_gateway.assign_tape_pool/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#assign_tape_pool/3","title":"aws_storage_gateway.assign_tape_pool/3","type":"function"},{"doc":"Associate an Amazon FSx file system with the FSx File Gateway. After the association process is complete, the file shares on the Amazon FSx file system are available for access through the gateway. This operation only supports the FSx File Gateway type.","ref":"aws_storage_gateway.html#associate_file_system/2","title":"aws_storage_gateway.associate_file_system/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#associate_file_system/3","title":"aws_storage_gateway.associate_file_system/3","type":"function"},{"doc":"Connects a volume to an iSCSI connection and then attaches the volume to the specified gateway. Detaching and attaching a volume enables you to recover your data from one gateway to a different gateway without creating a snapshot. It also makes it easier to move your volumes from an on-premises gateway to a gateway hosted on an Amazon EC2 instance.","ref":"aws_storage_gateway.html#attach_volume/2","title":"aws_storage_gateway.attach_volume/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#attach_volume/3","title":"aws_storage_gateway.attach_volume/3","type":"function"},{"doc":"Cancels archiving of a virtual tape to the virtual tape shelf (VTS) after the archiving process is initiated. This operation is only supported in the tape gateway type.","ref":"aws_storage_gateway.html#cancel_archival/2","title":"aws_storage_gateway.cancel_archival/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#cancel_archival/3","title":"aws_storage_gateway.cancel_archival/3","type":"function"},{"doc":"Cancels retrieval of a virtual tape from the virtual tape shelf (VTS) to a gateway after the retrieval process is initiated. The virtual tape is returned to the VTS. This operation is only supported in the tape gateway type.","ref":"aws_storage_gateway.html#cancel_retrieval/2","title":"aws_storage_gateway.cancel_retrieval/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#cancel_retrieval/3","title":"aws_storage_gateway.cancel_retrieval/3","type":"function"},{"doc":"Creates a cached volume on a specified cached volume gateway. This operation is only supported in the cached volume gateway type. Cache storage must be allocated to the gateway before you can create a cached volume. Use the AddCache operation to add cache storage to a gateway. In the request, you must specify the gateway, size of the volume in bytes, the iSCSI target name, an IP address on which to expose the target, and a unique client token. In response, the gateway creates the volume and returns information about it. This information includes the volume Amazon Resource Name (ARN), its size, and the iSCSI target ARN that initiators can use to connect to the volume target. Optionally, you can provide the ARN for an existing volume as the SourceVolumeARN for this cached volume, which creates an exact copy of the existing volume’s latest recovery point. The VolumeSizeInBytes value must be equal to or larger than the size of the copied volume, in bytes.","ref":"aws_storage_gateway.html#create_cached_iscsi_volume/2","title":"aws_storage_gateway.create_cached_iscsi_volume/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#create_cached_iscsi_volume/3","title":"aws_storage_gateway.create_cached_iscsi_volume/3","type":"function"},{"doc":"Creates a Network File System (NFS) file share on an existing S3 File Gateway. In Storage Gateway, a file share is a file system mount point backed by Amazon S3 cloud storage. Storage Gateway exposes file shares using an NFS interface. This operation is only supported for S3 File Gateways. S3 File gateway requires Security Token Service (Amazon Web Services STS) to be activated to enable you to create a file share. Make sure Amazon Web Services STS is activated in the Amazon Web Services Region you are creating your S3 File Gateway in. If Amazon Web Services STS is not activated in the Amazon Web Services Region, activate it. For information about how to activate Amazon Web Services STS, see Activating and deactivating Amazon Web Services STS in an Amazon Web Services Region in the Identity and Access Management User Guide. S3 File Gateways do not support creating hard or symbolic links on a file share.","ref":"aws_storage_gateway.html#create_nfs_file_share/2","title":"aws_storage_gateway.create_nfs_file_share/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#create_nfs_file_share/3","title":"aws_storage_gateway.create_nfs_file_share/3","type":"function"},{"doc":"Creates a Server Message Block (SMB) file share on an existing S3 File Gateway. In Storage Gateway, a file share is a file system mount point backed by Amazon S3 cloud storage. Storage Gateway exposes file shares using an SMB interface. This operation is only supported for S3 File Gateways. S3 File Gateways require Security Token Service (Amazon Web Services STS) to be activated to enable you to create a file share. Make sure that Amazon Web Services STS is activated in the Amazon Web Services Region you are creating your S3 File Gateway in. If Amazon Web Services STS is not activated in this Amazon Web Services Region, activate it. For information about how to activate Amazon Web Services STS, see Activating and deactivating Amazon Web Services STS in an Amazon Web Services Region in the Identity and Access Management User Guide. File gateways don't support creating hard or symbolic links on a file share.","ref":"aws_storage_gateway.html#create_smb_file_share/2","title":"aws_storage_gateway.create_smb_file_share/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#create_smb_file_share/3","title":"aws_storage_gateway.create_smb_file_share/3","type":"function"},{"doc":"Initiates a snapshot of a volume. Storage Gateway provides the ability to back up point-in-time snapshots of your data to Amazon Simple Storage (Amazon S3) for durable off-site recovery, and also import the data to an Amazon Elastic Block Store (EBS) volume in Amazon Elastic Compute Cloud (EC2). You can take snapshots of your gateway volume on a scheduled or ad hoc basis. This API enables you to take an ad hoc snapshot. For more information, see Editing a snapshot schedule. In the CreateSnapshot request, you identify the volume by providing its Amazon Resource Name (ARN). You must also provide description for the snapshot. When Storage Gateway takes the snapshot of specified volume, the snapshot and description appears in the Storage Gateway console. In response, Storage Gateway returns you a snapshot ID. You can use this snapshot ID to check the snapshot progress or later use it when you want to create a volume from a snapshot. This operation is only supported in stored and cached volume gateway type. To list or delete a snapshot, you must use the Amazon EC2 API. For more information, see DescribeSnapshots or DeleteSnapshot in the Amazon Elastic Compute Cloud API Reference. Volume and snapshot IDs are changing to a longer length ID format. For more information, see the important note on the Welcome page.","ref":"aws_storage_gateway.html#create_snapshot/2","title":"aws_storage_gateway.create_snapshot/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#create_snapshot/3","title":"aws_storage_gateway.create_snapshot/3","type":"function"},{"doc":"Initiates a snapshot of a gateway from a volume recovery point. This operation is only supported in the cached volume gateway type. A volume recovery point is a point in time at which all data of the volume is consistent and from which you can create a snapshot. To get a list of volume recovery point for cached volume gateway, use ListVolumeRecoveryPoints . In the CreateSnapshotFromVolumeRecoveryPoint request, you identify the volume by providing its Amazon Resource Name (ARN). You must also provide a description for the snapshot. When the gateway takes a snapshot of the specified volume, the snapshot and its description appear in the Storage Gateway console. In response, the gateway returns you a snapshot ID. You can use this snapshot ID to check the snapshot progress or later use it when you want to create a volume from a snapshot. To list or delete a snapshot, you must use the Amazon EC2 API. For more information, see DescribeSnapshots or DeleteSnapshot in the Amazon Elastic Compute Cloud API Reference.","ref":"aws_storage_gateway.html#create_snapshot_from_volume_recovery_point/2","title":"aws_storage_gateway.create_snapshot_from_volume_recovery_point/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#create_snapshot_from_volume_recovery_point/3","title":"aws_storage_gateway.create_snapshot_from_volume_recovery_point/3","type":"function"},{"doc":"Creates a volume on a specified gateway. This operation is only supported in the stored volume gateway type. The size of the volume to create is inferred from the disk size. You can choose to preserve existing data on the disk, create volume from an existing snapshot, or create an empty volume. If you choose to create an empty gateway volume, then any existing data on the disk is erased. In the request, you must specify the gateway and the disk information on which you are creating the volume. In response, the gateway creates the volume and returns volume information such as the volume Amazon Resource Name (ARN), its size, and the iSCSI target ARN that initiators can use to connect to the volume target.","ref":"aws_storage_gateway.html#create_stored_iscsi_volume/2","title":"aws_storage_gateway.create_stored_iscsi_volume/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#create_stored_iscsi_volume/3","title":"aws_storage_gateway.create_stored_iscsi_volume/3","type":"function"},{"doc":"Creates a new custom tape pool. You can use custom tape pool to enable tape retention lock on tapes that are archived in the custom pool.","ref":"aws_storage_gateway.html#create_tape_pool/2","title":"aws_storage_gateway.create_tape_pool/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#create_tape_pool/3","title":"aws_storage_gateway.create_tape_pool/3","type":"function"},{"doc":"Creates a virtual tape by using your own barcode. You write data to the virtual tape and then archive the tape. A barcode is unique and cannot be reused if it has already been used on a tape. This applies to barcodes used on deleted tapes. This operation is only supported in the tape gateway type. Cache storage must be allocated to the gateway before you can create a virtual tape. Use the AddCache operation to add cache storage to a gateway.","ref":"aws_storage_gateway.html#create_tape_with_barcode/2","title":"aws_storage_gateway.create_tape_with_barcode/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#create_tape_with_barcode/3","title":"aws_storage_gateway.create_tape_with_barcode/3","type":"function"},{"doc":"Creates one or more virtual tapes. You write data to the virtual tapes and then archive the tapes. This operation is only supported in the tape gateway type. Cache storage must be allocated to the gateway before you can create virtual tapes. Use the AddCache operation to add cache storage to a gateway.","ref":"aws_storage_gateway.html#create_tapes/2","title":"aws_storage_gateway.create_tapes/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#create_tapes/3","title":"aws_storage_gateway.create_tapes/3","type":"function"},{"doc":"Deletes the automatic tape creation policy of a gateway. If you delete this policy, new virtual tapes must be created manually. Use the Amazon Resource Name (ARN) of the gateway in your request to remove the policy.","ref":"aws_storage_gateway.html#delete_automatic_tape_creation_policy/2","title":"aws_storage_gateway.delete_automatic_tape_creation_policy/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#delete_automatic_tape_creation_policy/3","title":"aws_storage_gateway.delete_automatic_tape_creation_policy/3","type":"function"},{"doc":"Deletes the bandwidth rate limits of a gateway. You can delete either the upload and download bandwidth rate limit, or you can delete both. If you delete only one of the limits, the other limit remains unchanged. To specify which gateway to work with, use the Amazon Resource Name (ARN) of the gateway in your request. This operation is supported only for the stored volume, cached volume, and tape gateway types.","ref":"aws_storage_gateway.html#delete_bandwidth_rate_limit/2","title":"aws_storage_gateway.delete_bandwidth_rate_limit/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#delete_bandwidth_rate_limit/3","title":"aws_storage_gateway.delete_bandwidth_rate_limit/3","type":"function"},{"doc":"Deletes Challenge-Handshake Authentication Protocol (CHAP) credentials for a specified iSCSI target and initiator pair. This operation is supported in volume and tape gateway types.","ref":"aws_storage_gateway.html#delete_chap_credentials/2","title":"aws_storage_gateway.delete_chap_credentials/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#delete_chap_credentials/3","title":"aws_storage_gateway.delete_chap_credentials/3","type":"function"},{"doc":"Deletes a file share from an S3 File Gateway. This operation is only supported for S3 File Gateways.","ref":"aws_storage_gateway.html#delete_file_share/2","title":"aws_storage_gateway.delete_file_share/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#delete_file_share/3","title":"aws_storage_gateway.delete_file_share/3","type":"function"},{"doc":"Deletes a gateway. To specify which gateway to delete, use the Amazon Resource Name (ARN) of the gateway in your request. The operation deletes the gateway; however, it does not delete the gateway virtual machine (VM) from your host computer. After you delete a gateway, you cannot reactivate it. Completed snapshots of the gateway volumes are not deleted upon deleting the gateway, however, pending snapshots will not complete. After you delete a gateway, your next step is to remove it from your environment. You no longer pay software charges after the gateway is deleted; however, your existing Amazon EBS snapshots persist and you will continue to be billed for these snapshots. You can choose to remove all remaining Amazon EBS snapshots by canceling your Amazon EC2 subscription.  If you prefer not to cancel your Amazon EC2 subscription, you can delete your snapshots using the Amazon EC2 console. For more information, see the Storage Gateway detail page.","ref":"aws_storage_gateway.html#delete_gateway/2","title":"aws_storage_gateway.delete_gateway/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#delete_gateway/3","title":"aws_storage_gateway.delete_gateway/3","type":"function"},{"doc":"Deletes a snapshot of a volume. You can take snapshots of your gateway volumes on a scheduled or ad hoc basis. This API action enables you to delete a snapshot schedule for a volume. For more information, see Backing up your volumes. In the DeleteSnapshotSchedule request, you identify the volume by providing its Amazon Resource Name (ARN). This operation is only supported for cached volume gateway types. To list or delete a snapshot, you must use the Amazon EC2 API. For more information, go to DescribeSnapshots in the Amazon Elastic Compute Cloud API Reference.","ref":"aws_storage_gateway.html#delete_snapshot_schedule/2","title":"aws_storage_gateway.delete_snapshot_schedule/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#delete_snapshot_schedule/3","title":"aws_storage_gateway.delete_snapshot_schedule/3","type":"function"},{"doc":"Deletes the specified virtual tape. This operation is only supported in the tape gateway type.","ref":"aws_storage_gateway.html#delete_tape/2","title":"aws_storage_gateway.delete_tape/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#delete_tape/3","title":"aws_storage_gateway.delete_tape/3","type":"function"},{"doc":"Deletes the specified virtual tape from the virtual tape shelf (VTS). This operation is only supported in the tape gateway type.","ref":"aws_storage_gateway.html#delete_tape_archive/2","title":"aws_storage_gateway.delete_tape_archive/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#delete_tape_archive/3","title":"aws_storage_gateway.delete_tape_archive/3","type":"function"},{"doc":"Delete a custom tape pool. A custom tape pool can only be deleted if there are no tapes in the pool and if there are no automatic tape creation policies that reference the custom tape pool.","ref":"aws_storage_gateway.html#delete_tape_pool/2","title":"aws_storage_gateway.delete_tape_pool/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#delete_tape_pool/3","title":"aws_storage_gateway.delete_tape_pool/3","type":"function"},{"doc":"Deletes the specified storage volume that you previously created using the CreateCachediSCSIVolume or CreateStorediSCSIVolume API. This operation is only supported in the cached volume and stored volume types. For stored volume gateways, the local disk that was configured as the storage volume is not deleted. You can reuse the local disk to create another storage volume. Before you delete a volume, make sure there are no iSCSI connections to the volume you are deleting. You should also make sure there is no snapshot in progress. You can use the Amazon Elastic Compute Cloud (Amazon EC2) API to query snapshots on the volume you are deleting and check the snapshot status. For more information, go to DescribeSnapshots in the Amazon Elastic Compute Cloud API Reference. In the request, you must provide the Amazon Resource Name (ARN) of the storage volume you want to delete.","ref":"aws_storage_gateway.html#delete_volume/2","title":"aws_storage_gateway.delete_volume/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#delete_volume/3","title":"aws_storage_gateway.delete_volume/3","type":"function"},{"doc":"Returns information about the most recent high availability monitoring test that was performed on the host in a cluster. If a test isn't performed, the status and start time in the response would be null.","ref":"aws_storage_gateway.html#describe_availability_monitor_test/2","title":"aws_storage_gateway.describe_availability_monitor_test/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_availability_monitor_test/3","title":"aws_storage_gateway.describe_availability_monitor_test/3","type":"function"},{"doc":"Returns the bandwidth rate limits of a gateway. By default, these limits are not set, which means no bandwidth rate limiting is in effect. This operation is supported only for the stored volume, cached volume, and tape gateway types. To describe bandwidth rate limits for S3 file gateways, use DescribeBandwidthRateLimitSchedule . This operation returns a value for a bandwidth rate limit only if the limit is set. If no limits are set for the gateway, then this operation returns only the gateway ARN in the response body. To specify which gateway to describe, use the Amazon Resource Name (ARN) of the gateway in your request.","ref":"aws_storage_gateway.html#describe_bandwidth_rate_limit/2","title":"aws_storage_gateway.describe_bandwidth_rate_limit/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_bandwidth_rate_limit/3","title":"aws_storage_gateway.describe_bandwidth_rate_limit/3","type":"function"},{"doc":"Returns information about the bandwidth rate limit schedule of a gateway. By default, gateways do not have bandwidth rate limit schedules, which means no bandwidth rate limiting is in effect. This operation is supported only for volume, tape and S3 file gateways. FSx file gateways do not support bandwidth rate limits. This operation returns information about a gateway's bandwidth rate limit schedule. A bandwidth rate limit schedule consists of one or more bandwidth rate limit intervals. A bandwidth rate limit interval defines a period of time on one or more days of the week, during which bandwidth rate limits are specified for uploading, downloading, or both. A bandwidth rate limit interval consists of one or more days of the week, a start hour and minute, an ending hour and minute, and bandwidth rate limits for uploading and downloading If no bandwidth rate limit schedule intervals are set for the gateway, this operation returns an empty response. To specify which gateway to describe, use the Amazon Resource Name (ARN) of the gateway in your request.","ref":"aws_storage_gateway.html#describe_bandwidth_rate_limit_schedule/2","title":"aws_storage_gateway.describe_bandwidth_rate_limit_schedule/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_bandwidth_rate_limit_schedule/3","title":"aws_storage_gateway.describe_bandwidth_rate_limit_schedule/3","type":"function"},{"doc":"Returns information about the cache of a gateway. This operation is only supported in the cached volume, tape, and file gateway types. The response includes disk IDs that are configured as cache, and it includes the amount of cache allocated and used.","ref":"aws_storage_gateway.html#describe_cache/2","title":"aws_storage_gateway.describe_cache/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_cache/3","title":"aws_storage_gateway.describe_cache/3","type":"function"},{"doc":"Returns a description of the gateway volumes specified in the request. This operation is only supported in the cached volume gateway types. The list of gateway volumes in the request must be from one gateway. In the response, Storage Gateway returns volume information sorted by volume Amazon Resource Name (ARN).","ref":"aws_storage_gateway.html#describe_cached_iscsi_volumes/2","title":"aws_storage_gateway.describe_cached_iscsi_volumes/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_cached_iscsi_volumes/3","title":"aws_storage_gateway.describe_cached_iscsi_volumes/3","type":"function"},{"doc":"Returns an array of Challenge-Handshake Authentication Protocol (CHAP) credentials information for a specified iSCSI target, one for each target-initiator pair. This operation is supported in the volume and tape gateway types.","ref":"aws_storage_gateway.html#describe_chap_credentials/2","title":"aws_storage_gateway.describe_chap_credentials/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_chap_credentials/3","title":"aws_storage_gateway.describe_chap_credentials/3","type":"function"},{"doc":"Gets the file system association information. This operation is only supported for FSx File Gateways.","ref":"aws_storage_gateway.html#describe_file_system_associations/2","title":"aws_storage_gateway.describe_file_system_associations/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_file_system_associations/3","title":"aws_storage_gateway.describe_file_system_associations/3","type":"function"},{"doc":"Returns metadata about a gateway such as its name, network interfaces, configured time zone, and the state (whether the gateway is running or not). To specify which gateway to describe, use the Amazon Resource Name (ARN) of the gateway in your request.","ref":"aws_storage_gateway.html#describe_gateway_information/2","title":"aws_storage_gateway.describe_gateway_information/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_gateway_information/3","title":"aws_storage_gateway.describe_gateway_information/3","type":"function"},{"doc":"Returns your gateway's weekly maintenance start time including the day and time of the week. Note that values are in terms of the gateway's time zone.","ref":"aws_storage_gateway.html#describe_maintenance_start_time/2","title":"aws_storage_gateway.describe_maintenance_start_time/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_maintenance_start_time/3","title":"aws_storage_gateway.describe_maintenance_start_time/3","type":"function"},{"doc":"Gets a description for one or more Network File System (NFS) file shares from an S3 File Gateway. This operation is only supported for S3 File Gateways.","ref":"aws_storage_gateway.html#describe_nfs_file_shares/2","title":"aws_storage_gateway.describe_nfs_file_shares/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_nfs_file_shares/3","title":"aws_storage_gateway.describe_nfs_file_shares/3","type":"function"},{"doc":"Gets a description for one or more Server Message Block (SMB) file shares from a S3 File Gateway. This operation is only supported for S3 File Gateways.","ref":"aws_storage_gateway.html#describe_smb_file_shares/2","title":"aws_storage_gateway.describe_smb_file_shares/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_smb_file_shares/3","title":"aws_storage_gateway.describe_smb_file_shares/3","type":"function"},{"doc":"Gets a description of a Server Message Block (SMB) file share settings from a file gateway. This operation is only supported for file gateways.","ref":"aws_storage_gateway.html#describe_smb_settings/2","title":"aws_storage_gateway.describe_smb_settings/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_smb_settings/3","title":"aws_storage_gateway.describe_smb_settings/3","type":"function"},{"doc":"Describes the snapshot schedule for the specified gateway volume. The snapshot schedule information includes intervals at which snapshots are automatically initiated on the volume. This operation is only supported in the cached volume and stored volume types.","ref":"aws_storage_gateway.html#describe_snapshot_schedule/2","title":"aws_storage_gateway.describe_snapshot_schedule/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_snapshot_schedule/3","title":"aws_storage_gateway.describe_snapshot_schedule/3","type":"function"},{"doc":"Returns the description of the gateway volumes specified in the request. The list of gateway volumes in the request must be from one gateway. In the response, Storage Gateway returns volume information sorted by volume ARNs. This operation is only supported in stored volume gateway type.","ref":"aws_storage_gateway.html#describe_stored_iscsi_volumes/2","title":"aws_storage_gateway.describe_stored_iscsi_volumes/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_stored_iscsi_volumes/3","title":"aws_storage_gateway.describe_stored_iscsi_volumes/3","type":"function"},{"doc":"Returns a description of specified virtual tapes in the virtual tape shelf (VTS). This operation is only supported in the tape gateway type. If a specific TapeARN is not specified, Storage Gateway returns a description of all virtual tapes found in the VTS associated with your account.","ref":"aws_storage_gateway.html#describe_tape_archives/2","title":"aws_storage_gateway.describe_tape_archives/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_tape_archives/3","title":"aws_storage_gateway.describe_tape_archives/3","type":"function"},{"doc":"Returns a list of virtual tape recovery points that are available for the specified tape gateway. A recovery point is a point-in-time view of a virtual tape at which all the data on the virtual tape is consistent. If your gateway crashes, virtual tapes that have recovery points can be recovered to a new gateway. This operation is only supported in the tape gateway type.","ref":"aws_storage_gateway.html#describe_tape_recovery_points/2","title":"aws_storage_gateway.describe_tape_recovery_points/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_tape_recovery_points/3","title":"aws_storage_gateway.describe_tape_recovery_points/3","type":"function"},{"doc":"Returns a description of the specified Amazon Resource Name (ARN) of virtual tapes. If a TapeARN is not specified, returns a description of all virtual tapes associated with the specified gateway. This operation is only supported in the tape gateway type.","ref":"aws_storage_gateway.html#describe_tapes/2","title":"aws_storage_gateway.describe_tapes/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_tapes/3","title":"aws_storage_gateway.describe_tapes/3","type":"function"},{"doc":"Returns information about the upload buffer of a gateway. This operation is supported for the stored volume, cached volume, and tape gateway types. The response includes disk IDs that are configured as upload buffer space, and it includes the amount of upload buffer space allocated and used.","ref":"aws_storage_gateway.html#describe_upload_buffer/2","title":"aws_storage_gateway.describe_upload_buffer/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_upload_buffer/3","title":"aws_storage_gateway.describe_upload_buffer/3","type":"function"},{"doc":"Returns a description of virtual tape library (VTL) devices for the specified tape gateway. In the response, Storage Gateway returns VTL device information. This operation is only supported in the tape gateway type.","ref":"aws_storage_gateway.html#describe_vtl_devices/2","title":"aws_storage_gateway.describe_vtl_devices/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_vtl_devices/3","title":"aws_storage_gateway.describe_vtl_devices/3","type":"function"},{"doc":"Returns information about the working storage of a gateway. This operation is only supported in the stored volumes gateway type. This operation is deprecated in cached volumes API version (20120630). Use DescribeUploadBuffer instead. Working storage is also referred to as upload buffer. You can also use the DescribeUploadBuffer operation to add upload buffer to a stored volume gateway. The response includes disk IDs that are configured as working storage, and it includes the amount of working storage allocated and used.","ref":"aws_storage_gateway.html#describe_working_storage/2","title":"aws_storage_gateway.describe_working_storage/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#describe_working_storage/3","title":"aws_storage_gateway.describe_working_storage/3","type":"function"},{"doc":"Disconnects a volume from an iSCSI connection and then detaches the volume from the specified gateway. Detaching and attaching a volume enables you to recover your data from one gateway to a different gateway without creating a snapshot. It also makes it easier to move your volumes from an on-premises gateway to a gateway hosted on an Amazon EC2 instance. This operation is only supported in the volume gateway type.","ref":"aws_storage_gateway.html#detach_volume/2","title":"aws_storage_gateway.detach_volume/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#detach_volume/3","title":"aws_storage_gateway.detach_volume/3","type":"function"},{"doc":"Disables a tape gateway when the gateway is no longer functioning. For example, if your gateway VM is damaged, you can disable the gateway so you can recover virtual tapes. Use this operation for a tape gateway that is not reachable or not functioning. This operation is only supported in the tape gateway type. After a gateway is disabled, it cannot be enabled.","ref":"aws_storage_gateway.html#disable_gateway/2","title":"aws_storage_gateway.disable_gateway/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#disable_gateway/3","title":"aws_storage_gateway.disable_gateway/3","type":"function"},{"doc":"Disassociates an Amazon FSx file system from the specified gateway. After the disassociation process finishes, the gateway can no longer access the Amazon FSx file system. This operation is only supported in the FSx File Gateway type.","ref":"aws_storage_gateway.html#disassociate_file_system/2","title":"aws_storage_gateway.disassociate_file_system/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#disassociate_file_system/3","title":"aws_storage_gateway.disassociate_file_system/3","type":"function"},{"doc":"Adds a file gateway to an Active Directory domain. This operation is only supported for file gateways that support the SMB file protocol.","ref":"aws_storage_gateway.html#join_domain/2","title":"aws_storage_gateway.join_domain/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#join_domain/3","title":"aws_storage_gateway.join_domain/3","type":"function"},{"doc":"Lists the automatic tape creation policies for a gateway. If there are no automatic tape creation policies for the gateway, it returns an empty list. This operation is only supported for tape gateways.","ref":"aws_storage_gateway.html#list_automatic_tape_creation_policies/2","title":"aws_storage_gateway.list_automatic_tape_creation_policies/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#list_automatic_tape_creation_policies/3","title":"aws_storage_gateway.list_automatic_tape_creation_policies/3","type":"function"},{"doc":"Gets a list of the file shares for a specific S3 File Gateway, or the list of file shares that belong to the calling user account. This operation is only supported for S3 File Gateways.","ref":"aws_storage_gateway.html#list_file_shares/2","title":"aws_storage_gateway.list_file_shares/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#list_file_shares/3","title":"aws_storage_gateway.list_file_shares/3","type":"function"},{"doc":"Gets a list of FileSystemAssociationSummary objects. Each object contains a summary of a file system association. This operation is only supported for FSx File Gateways.","ref":"aws_storage_gateway.html#list_file_system_associations/2","title":"aws_storage_gateway.list_file_system_associations/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#list_file_system_associations/3","title":"aws_storage_gateway.list_file_system_associations/3","type":"function"},{"doc":"Lists gateways owned by an Amazon Web Services account in an Amazon Web Services Region specified in the request. The returned list is ordered by gateway Amazon Resource Name (ARN). By default, the operation returns a maximum of 100 gateways. This operation supports pagination that allows you to optionally reduce the number of gateways returned in a response. If you have more gateways than are returned in a response (that is, the response returns only a truncated list of your gateways), the response contains a marker that you can specify in your next request to fetch the next page of gateways.","ref":"aws_storage_gateway.html#list_gateways/2","title":"aws_storage_gateway.list_gateways/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#list_gateways/3","title":"aws_storage_gateway.list_gateways/3","type":"function"},{"doc":"Returns a list of the gateway's local disks. To specify which gateway to describe, you use the Amazon Resource Name (ARN) of the gateway in the body of the request. The request returns a list of all disks, specifying which are configured as working storage, cache storage, or stored volume or not configured at all. The response includes a DiskStatus field. This field can have a value of present (the disk is available to use), missing (the disk is no longer connected to the gateway), or mismatch (the disk node is occupied by a disk that has incorrect metadata or the disk content is corrupted).","ref":"aws_storage_gateway.html#list_local_disks/2","title":"aws_storage_gateway.list_local_disks/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#list_local_disks/3","title":"aws_storage_gateway.list_local_disks/3","type":"function"},{"doc":"Lists the tags that have been added to the specified resource. This operation is supported in storage gateways of all types.","ref":"aws_storage_gateway.html#list_tags_for_resource/2","title":"aws_storage_gateway.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#list_tags_for_resource/3","title":"aws_storage_gateway.list_tags_for_resource/3","type":"function"},{"doc":"Lists custom tape pools. You specify custom tape pools to list by specifying one or more custom tape pool Amazon Resource Names (ARNs). If you don't specify a custom tape pool ARN, the operation lists all custom tape pools. This operation supports pagination. You can optionally specify the Limit parameter in the body to limit the number of tape pools in the response. If the number of tape pools returned in the response is truncated, the response includes a Marker element that you can use in your subsequent request to retrieve the next set of tape pools.","ref":"aws_storage_gateway.html#list_tape_pools/2","title":"aws_storage_gateway.list_tape_pools/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#list_tape_pools/3","title":"aws_storage_gateway.list_tape_pools/3","type":"function"},{"doc":"Lists virtual tapes in your virtual tape library (VTL) and your virtual tape shelf (VTS). You specify the tapes to list by specifying one or more tape Amazon Resource Names (ARNs). If you don't specify a tape ARN, the operation lists all virtual tapes in both your VTL and VTS. This operation supports pagination. By default, the operation returns a maximum of up to 100 tapes. You can optionally specify the Limit parameter in the body to limit the number of tapes in the response. If the number of tapes returned in the response is truncated, the response includes a Marker element that you can use in your subsequent request to retrieve the next set of tapes. This operation is only supported in the tape gateway type.","ref":"aws_storage_gateway.html#list_tapes/2","title":"aws_storage_gateway.list_tapes/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#list_tapes/3","title":"aws_storage_gateway.list_tapes/3","type":"function"},{"doc":"Lists iSCSI initiators that are connected to a volume. You can use this operation to determine whether a volume is being used or not. This operation is only supported in the cached volume and stored volume gateway types.","ref":"aws_storage_gateway.html#list_volume_initiators/2","title":"aws_storage_gateway.list_volume_initiators/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#list_volume_initiators/3","title":"aws_storage_gateway.list_volume_initiators/3","type":"function"},{"doc":"Lists the recovery points for a specified gateway. This operation is only supported in the cached volume gateway type. Each cache volume has one recovery point. A volume recovery point is a point in time at which all data of the volume is consistent and from which you can create a snapshot or clone a new cached volume from a source volume. To create a snapshot from a volume recovery point use the CreateSnapshotFromVolumeRecoveryPoint operation.","ref":"aws_storage_gateway.html#list_volume_recovery_points/2","title":"aws_storage_gateway.list_volume_recovery_points/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#list_volume_recovery_points/3","title":"aws_storage_gateway.list_volume_recovery_points/3","type":"function"},{"doc":"Lists the iSCSI stored volumes of a gateway. Results are sorted by volume ARN. The response includes only the volume ARNs. If you want additional volume information, use the DescribeStorediSCSIVolumes or the DescribeCachediSCSIVolumes API. The operation supports pagination. By default, the operation returns a maximum of up to 100 volumes. You can optionally specify the Limit field in the body to limit the number of volumes in the response. If the number of volumes returned in the response is truncated, the response includes a Marker field. You can use this Marker value in your subsequent request to retrieve the next set of volumes. This operation is only supported in the cached volume and stored volume gateway types.","ref":"aws_storage_gateway.html#list_volumes/2","title":"aws_storage_gateway.list_volumes/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#list_volumes/3","title":"aws_storage_gateway.list_volumes/3","type":"function"},{"doc":"Sends you notification through CloudWatch Events when all files written to your file share have been uploaded to S3. Amazon S3. Storage Gateway can send a notification through Amazon CloudWatch Events when all files written to your file share up to that point in time have been uploaded to Amazon S3. These files include files written to the file share up to the time that you make a request for notification. When the upload is done, Storage Gateway sends you notification through an Amazon CloudWatch Event. You can configure CloudWatch Events to send the notification through event targets such as Amazon SNS or Lambda function. This operation is only supported for S3 File Gateways. For more information, see Getting file upload notification in the Storage Gateway User Guide.","ref":"aws_storage_gateway.html#notify_when_uploaded/2","title":"aws_storage_gateway.notify_when_uploaded/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#notify_when_uploaded/3","title":"aws_storage_gateway.notify_when_uploaded/3","type":"function"},{"doc":"Refreshes the cached inventory of objects for the specified file share. This operation finds objects in the Amazon S3 bucket that were added, removed, or replaced since the gateway last listed the bucket's contents and cached the results. This operation does not import files into the S3 File Gateway cache storage. It only updates the cached inventory to reflect changes in the inventory of the objects in the S3 bucket. This operation is only supported in the S3 File Gateway types. You can subscribe to be notified through an Amazon CloudWatch event when your RefreshCache operation completes. For more information, see Getting notified about file operations in the Storage Gateway User Guide. This operation is Only supported for S3 File Gateways. When this API is called, it only initiates the refresh operation. When the API call completes and returns a success code, it doesn't necessarily mean that the file refresh has completed. You should use the refresh-complete notification to determine that the operation has completed before you check for new files on the gateway file share. You can subscribe to be notified through a CloudWatch event when your RefreshCache operation completes. Throttle limit: This API is asynchronous, so the gateway will accept no more than two refreshes at any time. We recommend using the refresh-complete CloudWatch event notification before issuing additional requests. For more information, see Getting notified about file operations in the Storage Gateway User Guide. Wait at least 60 seconds between consecutive RefreshCache API requests. RefreshCache does not evict cache entries if invoked consecutively within 60 seconds of a previous RefreshCache request. If you invoke the RefreshCache API when two requests are already being processed, any new request will cause an InvalidGatewayRequestException error because too many requests were sent to the server. The S3 bucket name does not need to be included when entering the list of folders in the FolderList parameter. For more information, see Getting notified about file operations in the Storage Gateway User Guide.","ref":"aws_storage_gateway.html#refresh_cache/2","title":"aws_storage_gateway.refresh_cache/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#refresh_cache/3","title":"aws_storage_gateway.refresh_cache/3","type":"function"},{"doc":"Removes one or more tags from the specified resource. This operation is supported in storage gateways of all types.","ref":"aws_storage_gateway.html#remove_tags_from_resource/2","title":"aws_storage_gateway.remove_tags_from_resource/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#remove_tags_from_resource/3","title":"aws_storage_gateway.remove_tags_from_resource/3","type":"function"},{"doc":"Resets all cache disks that have encountered an error and makes the disks available for reconfiguration as cache storage. If your cache disk encounters an error, the gateway prevents read and write operations on virtual tapes in the gateway. For example, an error can occur when a disk is corrupted or removed from the gateway. When a cache is reset, the gateway loses its cache storage. At this point, you can reconfigure the disks as cache disks. This operation is only supported in the cached volume and tape types. If the cache disk you are resetting contains data that has not been uploaded to Amazon S3 yet, that data can be lost. After you reset cache disks, there will be no configured cache disks left in the gateway, so you must configure at least one new cache disk for your gateway to function properly.","ref":"aws_storage_gateway.html#reset_cache/2","title":"aws_storage_gateway.reset_cache/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#reset_cache/3","title":"aws_storage_gateway.reset_cache/3","type":"function"},{"doc":"Retrieves an archived virtual tape from the virtual tape shelf (VTS) to a tape gateway. Virtual tapes archived in the VTS are not associated with any gateway. However after a tape is retrieved, it is associated with a gateway, even though it is also listed in the VTS, that is, archive. This operation is only supported in the tape gateway type. Once a tape is successfully retrieved to a gateway, it cannot be retrieved again to another gateway. You must archive the tape again before you can retrieve it to another gateway. This operation is only supported in the tape gateway type.","ref":"aws_storage_gateway.html#retrieve_tape_archive/2","title":"aws_storage_gateway.retrieve_tape_archive/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#retrieve_tape_archive/3","title":"aws_storage_gateway.retrieve_tape_archive/3","type":"function"},{"doc":"Retrieves the recovery point for the specified virtual tape. This operation is only supported in the tape gateway type. A recovery point is a point in time view of a virtual tape at which all the data on the tape is consistent. If your gateway crashes, virtual tapes that have recovery points can be recovered to a new gateway. The virtual tape can be retrieved to only one gateway. The retrieved tape is read-only. The virtual tape can be retrieved to only a tape gateway. There is no charge for retrieving recovery points.","ref":"aws_storage_gateway.html#retrieve_tape_recovery_point/2","title":"aws_storage_gateway.retrieve_tape_recovery_point/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#retrieve_tape_recovery_point/3","title":"aws_storage_gateway.retrieve_tape_recovery_point/3","type":"function"},{"doc":"Sets the password for your VM local console. When you log in to the local console for the first time, you log in to the VM with the default credentials. We recommend that you set a new password. You don't need to know the default password to set a new password.","ref":"aws_storage_gateway.html#set_local_console_password/2","title":"aws_storage_gateway.set_local_console_password/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#set_local_console_password/3","title":"aws_storage_gateway.set_local_console_password/3","type":"function"},{"doc":"Sets the password for the guest user smbguest . The smbguest user is the user when the authentication method for the file share is set to GuestAccess . This operation only supported for S3 File Gateways","ref":"aws_storage_gateway.html#set_smb_guest_password/2","title":"aws_storage_gateway.set_smb_guest_password/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#set_smb_guest_password/3","title":"aws_storage_gateway.set_smb_guest_password/3","type":"function"},{"doc":"Shuts down a gateway. To specify which gateway to shut down, use the Amazon Resource Name (ARN) of the gateway in the body of your request. The operation shuts down the gateway service component running in the gateway's virtual machine (VM) and not the host VM. If you want to shut down the VM, it is recommended that you first shut down the gateway component in the VM to avoid unpredictable conditions. After the gateway is shutdown, you cannot call any other API except StartGateway , DescribeGatewayInformation , and ListGateways . For more information, see ActivateGateway . Your applications cannot read from or write to the gateway's storage volumes, and there are no snapshots taken. When you make a shutdown request, you will get a 200 OK success response immediately. However, it might take some time for the gateway to shut down. You can call the DescribeGatewayInformation API to check the status. For more information, see ActivateGateway . If do not intend to use the gateway again, you must delete the gateway (using DeleteGateway ) to no longer pay software charges associated with the gateway.","ref":"aws_storage_gateway.html#shutdown_gateway/2","title":"aws_storage_gateway.shutdown_gateway/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#shutdown_gateway/3","title":"aws_storage_gateway.shutdown_gateway/3","type":"function"},{"doc":"Start a test that verifies that the specified gateway is configured for High Availability monitoring in your host environment. This request only initiates the test and that a successful response only indicates that the test was started. It doesn't indicate that the test passed. For the status of the test, invoke the DescribeAvailabilityMonitorTest API. Starting this test will cause your gateway to go offline for a brief period.","ref":"aws_storage_gateway.html#start_availability_monitor_test/2","title":"aws_storage_gateway.start_availability_monitor_test/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#start_availability_monitor_test/3","title":"aws_storage_gateway.start_availability_monitor_test/3","type":"function"},{"doc":"Starts a gateway that you previously shut down (see ShutdownGateway ). After the gateway starts, you can then make other API calls, your applications can read from or write to the gateway's storage volumes and you will be able to take snapshot backups. When you make a request, you will get a 200 OK success response immediately. However, it might take some time for the gateway to be ready. You should call DescribeGatewayInformation and check the status before making any additional API calls. For more information, see ActivateGateway . To specify which gateway to start, use the Amazon Resource Name (ARN) of the gateway in your request.","ref":"aws_storage_gateway.html#start_gateway/2","title":"aws_storage_gateway.start_gateway/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#start_gateway/3","title":"aws_storage_gateway.start_gateway/3","type":"function"},{"doc":"Updates the automatic tape creation policy of a gateway. Use this to update the policy with a new set of automatic tape creation rules. This is only supported for tape gateways. By default, there is no automatic tape creation policy. A gateway can have only one automatic tape creation policy.","ref":"aws_storage_gateway.html#update_automatic_tape_creation_policy/2","title":"aws_storage_gateway.update_automatic_tape_creation_policy/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_automatic_tape_creation_policy/3","title":"aws_storage_gateway.update_automatic_tape_creation_policy/3","type":"function"},{"doc":"Updates the bandwidth rate limits of a gateway. You can update both the upload and download bandwidth rate limit or specify only one of the two. If you don't set a bandwidth rate limit, the existing rate limit remains. This operation is supported only for the stored volume, cached volume, and tape gateway types. To update bandwidth rate limits for S3 file gateways, use UpdateBandwidthRateLimitSchedule . By default, a gateway's bandwidth rate limits are not set. If you don't set any limit, the gateway does not have any limitations on its bandwidth usage and could potentially use the maximum available bandwidth. To specify which gateway to update, use the Amazon Resource Name (ARN) of the gateway in your request.","ref":"aws_storage_gateway.html#update_bandwidth_rate_limit/2","title":"aws_storage_gateway.update_bandwidth_rate_limit/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_bandwidth_rate_limit/3","title":"aws_storage_gateway.update_bandwidth_rate_limit/3","type":"function"},{"doc":"Updates the bandwidth rate limit schedule for a specified gateway. By default, gateways do not have bandwidth rate limit schedules, which means no bandwidth rate limiting is in effect. Use this to initiate or update a gateway's bandwidth rate limit schedule. This operation is supported only for volume, tape and S3 file gateways. FSx file gateways do not support bandwidth rate limits.","ref":"aws_storage_gateway.html#update_bandwidth_rate_limit_schedule/2","title":"aws_storage_gateway.update_bandwidth_rate_limit_schedule/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_bandwidth_rate_limit_schedule/3","title":"aws_storage_gateway.update_bandwidth_rate_limit_schedule/3","type":"function"},{"doc":"Updates the Challenge-Handshake Authentication Protocol (CHAP) credentials for a specified iSCSI target. By default, a gateway does not have CHAP enabled; however, for added security, you might use it. This operation is supported in the volume and tape gateway types. When you update CHAP credentials, all existing connections on the target are closed and initiators must reconnect with the new credentials.","ref":"aws_storage_gateway.html#update_chap_credentials/2","title":"aws_storage_gateway.update_chap_credentials/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_chap_credentials/3","title":"aws_storage_gateway.update_chap_credentials/3","type":"function"},{"doc":"Updates a file system association. This operation is only supported in the FSx File Gateways.","ref":"aws_storage_gateway.html#update_file_system_association/2","title":"aws_storage_gateway.update_file_system_association/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_file_system_association/3","title":"aws_storage_gateway.update_file_system_association/3","type":"function"},{"doc":"Updates a gateway's metadata, which includes the gateway's name and time zone. To specify which gateway to update, use the Amazon Resource Name (ARN) of the gateway in your request. For gateways activated after September 2, 2015, the gateway's ARN contains the gateway ID rather than the gateway name. However, changing the name of the gateway has no effect on the gateway's ARN.","ref":"aws_storage_gateway.html#update_gateway_information/2","title":"aws_storage_gateway.update_gateway_information/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_gateway_information/3","title":"aws_storage_gateway.update_gateway_information/3","type":"function"},{"doc":"Updates the gateway virtual machine (VM) software. The request immediately triggers the software update. When you make this request, you get a 200 OK success response immediately. However, it might take some time for the update to complete. You can call DescribeGatewayInformation to verify the gateway is in the STATE_RUNNING state. A software update forces a system restart of your gateway. You can minimize the chance of any disruption to your applications by increasing your iSCSI Initiators' timeouts. For more information about increasing iSCSI Initiator timeouts for Windows and Linux, see Customizing your Windows iSCSI settings and Customizing your Linux iSCSI settings, respectively.","ref":"aws_storage_gateway.html#update_gateway_software_now/2","title":"aws_storage_gateway.update_gateway_software_now/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_gateway_software_now/3","title":"aws_storage_gateway.update_gateway_software_now/3","type":"function"},{"doc":"Updates a gateway's weekly maintenance start time information, including day and time of the week. The maintenance time is the time in your gateway's time zone.","ref":"aws_storage_gateway.html#update_maintenance_start_time/2","title":"aws_storage_gateway.update_maintenance_start_time/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_maintenance_start_time/3","title":"aws_storage_gateway.update_maintenance_start_time/3","type":"function"},{"doc":"Updates a Network File System (NFS) file share. This operation is only supported in S3 File Gateways. To leave a file share field unchanged, set the corresponding input field to null. Updates the following file share settings: Default storage class for your S3 bucket Metadata defaults for your S3 bucket Allowed NFS clients for your file share Squash settings Write status of your file share","ref":"aws_storage_gateway.html#update_nfs_file_share/2","title":"aws_storage_gateway.update_nfs_file_share/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_nfs_file_share/3","title":"aws_storage_gateway.update_nfs_file_share/3","type":"function"},{"doc":"Updates a Server Message Block (SMB) file share. This operation is only supported for S3 File Gateways. To leave a file share field unchanged, set the corresponding input field to null. File gateways require Security Token Service (Amazon Web Services STS) to be activated to enable you to create a file share. Make sure that Amazon Web Services STS is activated in the Amazon Web Services Region you are creating your file gateway in. If Amazon Web Services STS is not activated in this Amazon Web Services Region, activate it. For information about how to activate Amazon Web Services STS, see Activating and deactivating Amazon Web Services STS in an Amazon Web Services Region in the Identity and Access Management User Guide. File gateways don't support creating hard or symbolic links on a file share.","ref":"aws_storage_gateway.html#update_smb_file_share/2","title":"aws_storage_gateway.update_smb_file_share/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_smb_file_share/3","title":"aws_storage_gateway.update_smb_file_share/3","type":"function"},{"doc":"Controls whether the shares on an S3 File Gateway are visible in a net view or browse list. The operation is only supported for S3 File Gateways.","ref":"aws_storage_gateway.html#update_smb_file_share_visibility/2","title":"aws_storage_gateway.update_smb_file_share_visibility/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_smb_file_share_visibility/3","title":"aws_storage_gateway.update_smb_file_share_visibility/3","type":"function"},{"doc":"Updates the list of Active Directory users and groups that have special permissions for SMB file shares on the gateway.","ref":"aws_storage_gateway.html#update_smb_local_groups/2","title":"aws_storage_gateway.update_smb_local_groups/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_smb_local_groups/3","title":"aws_storage_gateway.update_smb_local_groups/3","type":"function"},{"doc":"Updates the SMB security strategy on a file gateway. This action is only supported in file gateways. This API is called Security level in the User Guide. A higher security level can affect performance of the gateway.","ref":"aws_storage_gateway.html#update_smb_security_strategy/2","title":"aws_storage_gateway.update_smb_security_strategy/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_smb_security_strategy/3","title":"aws_storage_gateway.update_smb_security_strategy/3","type":"function"},{"doc":"Updates a snapshot schedule configured for a gateway volume. This operation is only supported in the cached volume and stored volume gateway types. The default snapshot schedule for volume is once every 24 hours, starting at the creation time of the volume. You can use this API to change the snapshot schedule configured for the volume. In the request you must identify the gateway volume whose snapshot schedule you want to update, and the schedule information, including when you want the snapshot to begin on a day and the frequency (in hours) of snapshots.","ref":"aws_storage_gateway.html#update_snapshot_schedule/2","title":"aws_storage_gateway.update_snapshot_schedule/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_snapshot_schedule/3","title":"aws_storage_gateway.update_snapshot_schedule/3","type":"function"},{"doc":"Updates the type of medium changer in a tape gateway. When you activate a tape gateway, you select a medium changer type for the tape gateway. This operation enables you to select a different type of medium changer after a tape gateway is activated. This operation is only supported in the tape gateway type.","ref":"aws_storage_gateway.html#update_vtl_device_type/2","title":"aws_storage_gateway.update_vtl_device_type/2","type":"function"},{"doc":"","ref":"aws_storage_gateway.html#update_vtl_device_type/3","title":"aws_storage_gateway.update_vtl_device_type/3","type":"function"},{"doc":"Security Token Service Security Token Service (STS) enables you to request temporary, limited-privilege credentials for Identity and Access Management (IAM) users or for users that you authenticate (federated users). This guide provides descriptions of the STS API. For more information about using this service, see Temporary Security Credentials.","ref":"aws_sts.html","title":"aws_sts","type":"module"},{"doc":"Returns a set of temporary security credentials that you can use to access Amazon Web Services resources. These temporary credentials consist of an access key ID, a secret access key, and a security token. Typically, you use AssumeRole within your account or for cross-account access. For a comparison of AssumeRole with other API operations that produce temporary credentials, see Requesting Temporary Security Credentials and Comparing the Amazon Web Services STS API operations in the IAM User Guide. Permissions The temporary security credentials created by AssumeRole can be used to make API calls to any Amazon Web Services service with the following exception: You cannot call the Amazon Web Services STS GetFederationToken or GetSessionToken API operations. (Optional) You can pass inline or managed session policies to this operation. You can pass a single JSON policy document to use as an inline session policy. You can also specify up to 10 managed policy Amazon Resource Names (ARNs) to use as managed session policies. The plaintext that you use for both inline and managed session policies can't exceed 2,048 characters. Passing policies to this operation returns new temporary credentials. The resulting session's permissions are the intersection of the role's identity-based policy and the session policies. You can use the role's temporary credentials in subsequent Amazon Web Services API calls to access resources in the account that owns the role. You cannot use session policies to grant more permissions than those allowed by the identity-based policy of the role that is being assumed. For more information, see Session Policies in the IAM User Guide. When you create a role, you create two policies: A role trust policy that specifies who can assume the role and a permissions policy that specifies what can be done with the role. You specify the trusted principal who is allowed to assume the role in the role trust policy. To assume a role from a different account, your Amazon Web Services account must be trusted by the role. The trust relationship is defined in the role's trust policy when the role is created. That trust policy states which accounts are allowed to delegate that access to users in the account. A user who wants to access a role in a different account must also have permissions that are delegated from the user account administrator. The administrator must attach a policy that allows the user to call AssumeRole for the ARN of the role in the other account. To allow a user to assume a role in the same account, you can do either of the following: Attach a policy to the user that allows the user to call AssumeRole (as long as the role's trust policy trusts the account). Add the user as a principal directly in the role's trust policy. You can do either because the role’s trust policy acts as an IAM resource-based policy. When a resource-based policy grants access to a principal in the same account, no additional identity-based policy is required. For more information about trust policies and resource-based policies, see IAM Policies in the IAM User Guide. Tags (Optional) You can pass tag key-value pairs to your session. These tags are called session tags. For more information about session tags, see Passing Session Tags in STS in the IAM User Guide. An administrator must grant you the permissions necessary to pass session tags. The administrator can also create granular permissions to allow you to pass only specific session tags. For more information, see Tutorial: Using Tags for Attribute-Based Access Control in the IAM User Guide. You can set the session tags as transitive. Transitive tags persist during role chaining. For more information, see Chaining Roles with Session Tags in the IAM User Guide. Using MFA with AssumeRole (Optional) You can include multi-factor authentication (MFA) information when you call AssumeRole . This is useful for cross-account scenarios to ensure that the user that assumes the role has been authenticated with an Amazon Web Services MFA device. In that scenario, the trust policy of the role being assumed includes a condition that tests for MFA authentication. If the caller does not include valid MFA information, the request to assume the role is denied. The condition in a trust policy that tests for MFA authentication might look like the following example. &amp;quot;Condition&amp;quot;: {&amp;quot;Bool&amp;quot;: {&amp;quot;aws:MultiFactorAuthPresent&amp;quot;: true}} For more information, see Configuring MFA-Protected API Access in the IAM User Guide guide. To use MFA with AssumeRole , you pass values for the SerialNumber and TokenCode parameters. The SerialNumber value identifies the user's hardware or virtual MFA device. The TokenCode is the time-based one-time password (TOTP) that the MFA device produces.","ref":"aws_sts.html#assume_role/2","title":"aws_sts.assume_role/2","type":"function"},{"doc":"","ref":"aws_sts.html#assume_role/3","title":"aws_sts.assume_role/3","type":"function"},{"doc":"Returns a set of temporary security credentials for users who have been authenticated via a SAML authentication response. This operation provides a mechanism for tying an enterprise identity store or directory to role-based Amazon Web Services access without user-specific credentials or configuration. For a comparison of AssumeRoleWithSAML with the other API operations that produce temporary credentials, see Requesting Temporary Security Credentials and Comparing the Amazon Web Services STS API operations in the IAM User Guide. The temporary security credentials returned by this operation consist of an access key ID, a secret access key, and a security token. Applications can use these temporary security credentials to sign calls to Amazon Web Services services. Session Duration By default, the temporary security credentials created by AssumeRoleWithSAML last for one hour. However, you can use the optional DurationSeconds parameter to specify the duration of your session. Your role session lasts for the duration that you specify, or until the time specified in the SAML authentication response's SessionNotOnOrAfter value, whichever is shorter. You can provide a DurationSeconds value from 900 seconds (15 minutes) up to the maximum session duration setting for the role. This setting can have a value from 1 hour to 12 hours. To learn how to view the maximum value for your role, see View the Maximum Session Duration Setting for a Role in the IAM User Guide. The maximum session duration limit applies when you use the AssumeRole* API operations or the assume-role* CLI commands. However the limit does not apply when you use those operations to create a console URL. For more information, see Using IAM Roles in the IAM User Guide. Role chaining limits your CLI or Amazon Web Services API role session to a maximum of one hour. When you use the AssumeRole API operation to assume a role, you can specify the duration of your role session with the DurationSeconds parameter. You can specify a parameter value of up to 43200 seconds (12 hours), depending on the maximum session duration setting for your role. However, if you assume a role using role chaining and provide a DurationSeconds parameter value greater than one hour, the operation fails. Permissions The temporary security credentials created by AssumeRoleWithSAML can be used to make API calls to any Amazon Web Services service with the following exception: you cannot call the STS GetFederationToken or GetSessionToken API operations. (Optional) You can pass inline or managed session policies to this operation. You can pass a single JSON policy document to use as an inline session policy. You can also specify up to 10 managed policy Amazon Resource Names (ARNs) to use as managed session policies. The plaintext that you use for both inline and managed session policies can't exceed 2,048 characters. Passing policies to this operation returns new temporary credentials. The resulting session's permissions are the intersection of the role's identity-based policy and the session policies. You can use the role's temporary credentials in subsequent Amazon Web Services API calls to access resources in the account that owns the role. You cannot use session policies to grant more permissions than those allowed by the identity-based policy of the role that is being assumed. For more information, see Session Policies in the IAM User Guide. Calling AssumeRoleWithSAML does not require the use of Amazon Web Services security credentials. The identity of the caller is validated by using keys in the metadata document that is uploaded for the SAML provider entity for your identity provider. Calling AssumeRoleWithSAML can result in an entry in your CloudTrail logs. The entry includes the value in the NameID element of the SAML assertion. We recommend that you use a NameIDType that is not associated with any personally identifiable information (PII). For example, you could instead use the persistent identifier ( urn:oasis:names:tc:SAML:2.0:nameid-format:persistent ). Tags (Optional) You can configure your IdP to pass attributes into your SAML assertion as session tags. Each session tag consists of a key name and an associated value. For more information about session tags, see Passing Session Tags in STS in the IAM User Guide. You can pass up to 50 session tags. The plaintext session tag keys can’t exceed 128 characters and the values can’t exceed 256 characters. For these and additional limits, see IAM and STS Character Limits in the IAM User Guide. An Amazon Web Services conversion compresses the passed inline session policy, managed policy ARNs, and session tags into a packed binary format that has a separate limit. Your request can fail for this limit even if your plaintext meets the other requirements. The PackedPolicySize response element indicates by percentage how close the policies and tags for your request are to the upper size limit. You can pass a session tag with the same key as a tag that is attached to the role. When you do, session tags override the role's tags with the same key. An administrator must grant you the permissions necessary to pass session tags. The administrator can also create granular permissions to allow you to pass only specific session tags. For more information, see Tutorial: Using Tags for Attribute-Based Access Control in the IAM User Guide. You can set the session tags as transitive. Transitive tags persist during role chaining. For more information, see Chaining Roles with Session Tags in the IAM User Guide. SAML Configuration Before your application can call AssumeRoleWithSAML , you must configure your SAML identity provider (IdP) to issue the claims required by Amazon Web Services. Additionally, you must use Identity and Access Management (IAM) to create a SAML provider entity in your Amazon Web Services account that represents your identity provider. You must also create an IAM role that specifies this SAML provider in its trust policy. For more information, see the following resources: About SAML 2.0-based Federation in the IAM User Guide. Creating SAML Identity Providers in the IAM User Guide. Configuring a Relying Party and Claims in the IAM User Guide. Creating a Role for SAML 2.0 Federation in the IAM User Guide.","ref":"aws_sts.html#assume_role_with_saml/2","title":"aws_sts.assume_role_with_saml/2","type":"function"},{"doc":"","ref":"aws_sts.html#assume_role_with_saml/3","title":"aws_sts.assume_role_with_saml/3","type":"function"},{"doc":"Returns a set of temporary security credentials for users who have been authenticated in a mobile or web application with a web identity provider. Example providers include the OAuth 2.0 providers Login with Amazon and Facebook, or any OpenID Connect-compatible identity provider such as Google or Amazon Cognito federated identities. For mobile applications, we recommend that you use Amazon Cognito. You can use Amazon Cognito with the Amazon Web Services SDK for iOS Developer Guide and the Amazon Web Services SDK for Android Developer Guide to uniquely identify a user. You can also supply the user with a consistent identity throughout the lifetime of an application. To learn more about Amazon Cognito, see Amazon Cognito Overview in Amazon Web Services SDK for Android Developer Guide and Amazon Cognito Overview in the Amazon Web Services SDK for iOS Developer Guide. Calling AssumeRoleWithWebIdentity does not require the use of Amazon Web Services security credentials. Therefore, you can distribute an application (for example, on mobile devices) that requests temporary security credentials without including long-term Amazon Web Services credentials in the application. You also don't need to deploy server-based proxy services that use long-term Amazon Web Services credentials. Instead, the identity of the caller is validated by using a token from the web identity provider. For a comparison of AssumeRoleWithWebIdentity with the other API operations that produce temporary credentials, see Requesting Temporary Security Credentials and Comparing the Amazon Web Services STS API operations in the IAM User Guide. The temporary security credentials returned by this API consist of an access key ID, a secret access key, and a security token. Applications can use these temporary security credentials to sign calls to Amazon Web Services service API operations. Session Duration By default, the temporary security credentials created by AssumeRoleWithWebIdentity last for one hour. However, you can use the optional DurationSeconds parameter to specify the duration of your session. You can provide a value from 900 seconds (15 minutes) up to the maximum session duration setting for the role. This setting can have a value from 1 hour to 12 hours. To learn how to view the maximum value for your role, see View the Maximum Session Duration Setting for a Role in the IAM User Guide. The maximum session duration limit applies when you use the AssumeRole* API operations or the assume-role* CLI commands. However the limit does not apply when you use those operations to create a console URL. For more information, see Using IAM Roles in the IAM User Guide. Permissions The temporary security credentials created by AssumeRoleWithWebIdentity can be used to make API calls to any Amazon Web Services service with the following exception: you cannot call the STS GetFederationToken or GetSessionToken API operations. (Optional) You can pass inline or managed session policies to this operation. You can pass a single JSON policy document to use as an inline session policy. You can also specify up to 10 managed policy Amazon Resource Names (ARNs) to use as managed session policies. The plaintext that you use for both inline and managed session policies can't exceed 2,048 characters. Passing policies to this operation returns new temporary credentials. The resulting session's permissions are the intersection of the role's identity-based policy and the session policies. You can use the role's temporary credentials in subsequent Amazon Web Services API calls to access resources in the account that owns the role. You cannot use session policies to grant more permissions than those allowed by the identity-based policy of the role that is being assumed. For more information, see Session Policies in the IAM User Guide. Tags (Optional) You can configure your IdP to pass attributes into your web identity token as session tags. Each session tag consists of a key name and an associated value. For more information about session tags, see Passing Session Tags in STS in the IAM User Guide. You can pass up to 50 session tags. The plaintext session tag keys can’t exceed 128 characters and the values can’t exceed 256 characters. For these and additional limits, see IAM and STS Character Limits in the IAM User Guide. An Amazon Web Services conversion compresses the passed inline session policy, managed policy ARNs, and session tags into a packed binary format that has a separate limit. Your request can fail for this limit even if your plaintext meets the other requirements. The PackedPolicySize response element indicates by percentage how close the policies and tags for your request are to the upper size limit. You can pass a session tag with the same key as a tag that is attached to the role. When you do, the session tag overrides the role tag with the same key. An administrator must grant you the permissions necessary to pass session tags. The administrator can also create granular permissions to allow you to pass only specific session tags. For more information, see Tutorial: Using Tags for Attribute-Based Access Control in the IAM User Guide. You can set the session tags as transitive. Transitive tags persist during role chaining. For more information, see Chaining Roles with Session Tags in the IAM User Guide. Identities Before your application can call AssumeRoleWithWebIdentity , you must have an identity token from a supported identity provider and create a role that the application can assume. The role that your application assumes must trust the identity provider that is associated with the identity token. In other words, the identity provider must be specified in the role's trust policy. Calling AssumeRoleWithWebIdentity can result in an entry in your CloudTrail logs. The entry includes the Subject of the provided web identity token. We recommend that you avoid using any personally identifiable information (PII) in this field. For example, you could instead use a GUID or a pairwise identifier, as suggested in the OIDC specification. For more information about how to use web identity federation and the AssumeRoleWithWebIdentity API, see the following resources: Using Web Identity Federation API Operations for Mobile Apps and Federation Through a Web-based Identity Provider. Web Identity Federation Playground. Walk through the process of authenticating through Login with Amazon, Facebook, or Google, getting temporary security credentials, and then using those credentials to make a request to Amazon Web Services. Amazon Web Services SDK for iOS Developer Guide and Amazon Web Services SDK for Android Developer Guide. These toolkits contain sample apps that show how to invoke the identity providers. The toolkits then show how to use the information from these providers to get and use temporary security credentials. Web Identity Federation with Mobile Applications. This article discusses web identity federation and shows an example of how to use web identity federation to get access to content in Amazon S3.","ref":"aws_sts.html#assume_role_with_web_identity/2","title":"aws_sts.assume_role_with_web_identity/2","type":"function"},{"doc":"","ref":"aws_sts.html#assume_role_with_web_identity/3","title":"aws_sts.assume_role_with_web_identity/3","type":"function"},{"doc":"Decodes additional information about the authorization status of a request from an encoded message returned in response to an Amazon Web Services request. For example, if a user is not authorized to perform an operation that he or she has requested, the request returns a Client.UnauthorizedOperation response (an HTTP 403 response). Some Amazon Web Services operations additionally return an encoded message that can provide details about this authorization failure. Only certain Amazon Web Services operations return an encoded authorization message. The documentation for an individual operation indicates whether that operation returns an encoded message in addition to returning an HTTP code. The message is encoded because the details of the authorization status can contain privileged information that the user who requested the operation should not see. To decode an authorization status message, a user must be granted permissions through an IAM policy to request the DecodeAuthorizationMessage ( sts:DecodeAuthorizationMessage ) action. The decoded message includes the following type of information: Whether the request was denied due to an explicit deny or due to the absence of an explicit allow. For more information, see Determining Whether a Request is Allowed or Denied in the IAM User Guide. The principal who made the request. The requested action. The requested resource. The values of condition keys in the context of the user's request.","ref":"aws_sts.html#decode_authorization_message/2","title":"aws_sts.decode_authorization_message/2","type":"function"},{"doc":"","ref":"aws_sts.html#decode_authorization_message/3","title":"aws_sts.decode_authorization_message/3","type":"function"},{"doc":"Returns the account identifier for the specified access key ID. Access keys consist of two parts: an access key ID (for example, AKIAIOSFODNN7EXAMPLE ) and a secret access key (for example, wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY ). For more information about access keys, see Managing Access Keys for IAM Users in the IAM User Guide. When you pass an access key ID to this operation, it returns the ID of the Amazon Web Services account to which the keys belong. Access key IDs beginning with AKIA are long-term credentials for an IAM user or the Amazon Web Services account root user. Access key IDs beginning with ASIA are temporary credentials that are created using STS operations. If the account in the response belongs to you, you can sign in as the root user and review your root user access keys. Then, you can pull a credentials report to learn which IAM user owns the keys. To learn who requested the temporary credentials for an ASIA access key, view the STS events in your CloudTrail logs in the IAM User Guide. This operation does not indicate the state of the access key. The key might be active, inactive, or deleted. Active keys might not have permissions to perform an operation. Providing a deleted access key might return an error that the key doesn't exist.","ref":"aws_sts.html#get_access_key_info/2","title":"aws_sts.get_access_key_info/2","type":"function"},{"doc":"","ref":"aws_sts.html#get_access_key_info/3","title":"aws_sts.get_access_key_info/3","type":"function"},{"doc":"Returns details about the IAM user or role whose credentials are used to call the operation. No permissions are required to perform this operation. If an administrator adds a policy to your IAM user or role that explicitly denies access to the sts:GetCallerIdentity action, you can still perform this operation. Permissions are not required because the same information is returned when an IAM user or role is denied access. To view an example response, see I Am Not Authorized to Perform: iam:DeleteVirtualMFADevice in the IAM User Guide.","ref":"aws_sts.html#get_caller_identity/2","title":"aws_sts.get_caller_identity/2","type":"function"},{"doc":"","ref":"aws_sts.html#get_caller_identity/3","title":"aws_sts.get_caller_identity/3","type":"function"},{"doc":"Returns a set of temporary security credentials (consisting of an access key ID, a secret access key, and a security token) for a federated user. A typical use is in a proxy application that gets temporary security credentials on behalf of distributed applications inside a corporate network. You must call the GetFederationToken operation using the long-term security credentials of an IAM user. As a result, this call is appropriate in contexts where those credentials can be safely stored, usually in a server-based application. For a comparison of GetFederationToken with the other API operations that produce temporary credentials, see Requesting Temporary Security Credentials and Comparing the Amazon Web Services STS API operations in the IAM User Guide. You can create a mobile-based or browser-based app that can authenticate users using a web identity provider like Login with Amazon, Facebook, Google, or an OpenID Connect-compatible identity provider. In this case, we recommend that you use Amazon Cognito or AssumeRoleWithWebIdentity . For more information, see Federation Through a Web-based Identity Provider in the IAM User Guide. You can also call GetFederationToken using the security credentials of an Amazon Web Services account root user, but we do not recommend it. Instead, we recommend that you create an IAM user for the purpose of the proxy application. Then attach a policy to the IAM user that limits federated users to only the actions and resources that they need to access. For more information, see IAM Best Practices in the IAM User Guide. Session duration The temporary credentials are valid for the specified duration, from 900 seconds (15 minutes) up to a maximum of 129,600 seconds (36 hours). The default session duration is 43,200 seconds (12 hours). Temporary credentials obtained by using the Amazon Web Services account root user credentials have a maximum duration of 3,600 seconds (1 hour). Permissions You can use the temporary credentials created by GetFederationToken in any Amazon Web Services service with the following exceptions: You cannot call any IAM operations using the CLI or the Amazon Web Services API. This limitation does not apply to console sessions. You cannot call any STS operations except GetCallerIdentity . You can use temporary credentials for single sign-on (SSO) to the console. You must pass an inline or managed session policy to this operation. You can pass a single JSON policy document to use as an inline session policy. You can also specify up to 10 managed policy Amazon Resource Names (ARNs) to use as managed session policies. The plaintext that you use for both inline and managed session policies can't exceed 2,048 characters. Though the session policy parameters are optional, if you do not pass a policy, then the resulting federated user session has no permissions. When you pass session policies, the session permissions are the intersection of the IAM user policies and the session policies that you pass. This gives you a way to further restrict the permissions for a federated user. You cannot use session policies to grant more permissions than those that are defined in the permissions policy of the IAM user. For more information, see Session Policies in the IAM User Guide. For information about using GetFederationToken to create temporary security credentials, see GetFederationToken—Federation Through a Custom Identity Broker. You can use the credentials to access a resource that has a resource-based policy. If that policy specifically references the federated user session in the Principal element of the policy, the session has the permissions allowed by the policy. These permissions are granted in addition to the permissions granted by the session policies. Tags (Optional) You can pass tag key-value pairs to your session. These are called session tags. For more information about session tags, see Passing Session Tags in STS in the IAM User Guide. You can create a mobile-based or browser-based app that can authenticate users using a web identity provider like Login with Amazon, Facebook, Google, or an OpenID Connect-compatible identity provider. In this case, we recommend that you use Amazon Cognito or AssumeRoleWithWebIdentity . For more information, see Federation Through a Web-based Identity Provider in the IAM User Guide. An administrator must grant you the permissions necessary to pass session tags. The administrator can also create granular permissions to allow you to pass only specific session tags. For more information, see Tutorial: Using Tags for Attribute-Based Access Control in the IAM User Guide. Tag key–value pairs are not case sensitive, but case is preserved. This means that you cannot have separate Department and department tag keys. Assume that the user that you are federating has the Department = Marketing tag and you pass the department = engineering session tag. Department and department are not saved as separate tags, and the session tag passed in the request takes precedence over the user tag.","ref":"aws_sts.html#get_federation_token/2","title":"aws_sts.get_federation_token/2","type":"function"},{"doc":"","ref":"aws_sts.html#get_federation_token/3","title":"aws_sts.get_federation_token/3","type":"function"},{"doc":"Returns a set of temporary credentials for an Amazon Web Services account or IAM user. The credentials consist of an access key ID, a secret access key, and a security token. Typically, you use GetSessionToken if you want to use MFA to protect programmatic calls to specific Amazon Web Services API operations like Amazon EC2 StopInstances . MFA-enabled IAM users would need to call GetSessionToken and submit an MFA code that is associated with their MFA device. Using the temporary security credentials that are returned from the call, IAM users can then make programmatic calls to API operations that require MFA authentication. If you do not supply a correct MFA code, then the API returns an access denied error. For a comparison of GetSessionToken with the other API operations that produce temporary credentials, see Requesting Temporary Security Credentials and Comparing the Amazon Web Services STS API operations in the IAM User Guide. No permissions are required for users to perform this operation. The purpose of the sts:GetSessionToken operation is to authenticate the user using MFA. You cannot use policies to control authentication operations. For more information, see Permissions for GetSessionToken in the IAM User Guide. Session Duration The GetSessionToken operation must be called by using the long-term Amazon Web Services security credentials of the Amazon Web Services account root user or an IAM user. Credentials that are created by IAM users are valid for the duration that you specify. This duration can range from 900 seconds (15 minutes) up to a maximum of 129,600 seconds (36 hours), with a default of 43,200 seconds (12 hours). Credentials based on account credentials can range from 900 seconds (15 minutes) up to 3,600 seconds (1 hour), with a default of 1 hour. Permissions The temporary security credentials created by GetSessionToken can be used to make API calls to any Amazon Web Services service with the following exceptions: You cannot call any IAM API operations unless MFA authentication information is included in the request. You cannot call any STS API except AssumeRole or GetCallerIdentity . We recommend that you do not call GetSessionToken with Amazon Web Services account root user credentials. Instead, follow our best practices by creating one or more IAM users, giving them the necessary permissions, and using IAM users for everyday interaction with Amazon Web Services. The credentials that are returned by GetSessionToken are based on permissions associated with the user whose credentials were used to call the operation. If GetSessionToken is called using Amazon Web Services account root user credentials, the temporary credentials have root user permissions. Similarly, if GetSessionToken is called using the credentials of an IAM user, the temporary credentials have the same permissions as the IAM user. For more information about using GetSessionToken to create temporary credentials, go to Temporary Credentials for Users in Untrusted Environments in the IAM User Guide.","ref":"aws_sts.html#get_session_token/2","title":"aws_sts.get_session_token/2","type":"function"},{"doc":"","ref":"aws_sts.html#get_session_token/3","title":"aws_sts.get_session_token/3","type":"function"},{"doc":"Amazon Web Services Support The Amazon Web Services Support API Reference is intended for programmers who need detailed information about the Amazon Web Services Support operations and data types. You can use the API to manage your support cases programmatically. The Amazon Web Services Support API uses HTTP methods that return results in JSON format. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support. You can also use the Amazon Web Services Support API to access features for Trusted Advisor. You can return a list of checks and their descriptions, get check results, specify checks to refresh, and get the refresh status of checks. You can manage your support cases with the following Amazon Web Services Support API operations: The CreateCase , DescribeCases , DescribeAttachment , and ResolveCase operations create Amazon Web Services Support cases, retrieve information about cases, and resolve cases. The DescribeCommunications , AddCommunicationToCase , and AddAttachmentsToSet operations retrieve and add communications and attachments to Amazon Web Services Support cases. The DescribeServices and DescribeSeverityLevels operations return Amazon Web Service names, service codes, service categories, and problem severity levels. You use these values when you call the CreateCase operation. You can also use the Amazon Web Services Support API to call the Trusted Advisor operations. For more information, see Trusted Advisor in the Amazon Web Services Support User Guide. For authentication of requests, Amazon Web Services Support uses Signature Version 4 Signing Process. For more information about this service and the endpoints to use, see About the Amazon Web Services Support API in the Amazon Web Services Support User Guide.","ref":"aws_support.html","title":"aws_support","type":"module"},{"doc":"Adds one or more attachments to an attachment set. An attachment set is a temporary container for attachments that you add to a case or case communication. The set is available for 1 hour after it's created. The expiryTime returned in the response is when the set expires. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support.","ref":"aws_support.html#add_attachments_to_set/2","title":"aws_support.add_attachments_to_set/2","type":"function"},{"doc":"","ref":"aws_support.html#add_attachments_to_set/3","title":"aws_support.add_attachments_to_set/3","type":"function"},{"doc":"Adds additional customer communication to an Amazon Web Services Support case. Use the caseId parameter to identify the case to which to add communication. You can list a set of email addresses to copy on the communication by using the ccEmailAddresses parameter. The communicationBody value contains the text of the communication. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support.","ref":"aws_support.html#add_communication_to_case/2","title":"aws_support.add_communication_to_case/2","type":"function"},{"doc":"","ref":"aws_support.html#add_communication_to_case/3","title":"aws_support.add_communication_to_case/3","type":"function"},{"doc":"Creates a case in the Amazon Web Services Support Center. This operation is similar to how you create a case in the Amazon Web Services Support Center Create Case page. The Amazon Web Services Support API doesn't support requesting service limit increases. You can submit a service limit increase in the following ways: Submit a request from the Amazon Web Services Support Center Create Case page. Use the Service Quotas RequestServiceQuotaIncrease operation. A successful CreateCase request returns an Amazon Web Services Support case number. You can use the DescribeCases operation and specify the case number to get existing Amazon Web Services Support cases. After you create a case, use the AddCommunicationToCase operation to add additional communication or attachments to an existing case. The caseId is separate from the displayId that appears in the Amazon Web Services Support Center. Use the DescribeCases operation to get the displayId . You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support.","ref":"aws_support.html#create_case/2","title":"aws_support.create_case/2","type":"function"},{"doc":"","ref":"aws_support.html#create_case/3","title":"aws_support.create_case/3","type":"function"},{"doc":"Returns the attachment that has the specified ID. Attachments can include screenshots, error logs, or other files that describe your issue. Attachment IDs are generated by the case management system when you add an attachment to a case or case communication. Attachment IDs are returned in the AttachmentDetails objects that are returned by the DescribeCommunications operation. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support.","ref":"aws_support.html#describe_attachment/2","title":"aws_support.describe_attachment/2","type":"function"},{"doc":"","ref":"aws_support.html#describe_attachment/3","title":"aws_support.describe_attachment/3","type":"function"},{"doc":"Returns a list of cases that you specify by passing one or more case IDs. You can use the afterTime and beforeTime parameters to filter the cases by date. You can set values for the includeResolvedCases and includeCommunications parameters to specify how much information to return. The response returns the following in JSON format: One or more CaseDetails data types. One or more nextToken values, which specify where to paginate the returned records represented by the CaseDetails objects. Case data is available for 12 months after creation. If a case was created more than 12 months ago, a request might return an error. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support.","ref":"aws_support.html#describe_cases/2","title":"aws_support.describe_cases/2","type":"function"},{"doc":"","ref":"aws_support.html#describe_cases/3","title":"aws_support.describe_cases/3","type":"function"},{"doc":"Returns communications and attachments for one or more support cases. Use the afterTime and beforeTime parameters to filter by date. You can use the caseId parameter to restrict the results to a specific case. Case data is available for 12 months after creation. If a case was created more than 12 months ago, a request for data might cause an error. You can use the maxResults and nextToken parameters to control the pagination of the results. Set maxResults to the number of cases that you want to display on each page, and use nextToken to specify the resumption of pagination. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support.","ref":"aws_support.html#describe_communications/2","title":"aws_support.describe_communications/2","type":"function"},{"doc":"","ref":"aws_support.html#describe_communications/3","title":"aws_support.describe_communications/3","type":"function"},{"doc":"Returns the current list of Amazon Web Services services and a list of service categories for each service. You then use service names and categories in your CreateCase requests. Each Amazon Web Services service has its own set of categories. The service codes and category codes correspond to the values that appear in the Service and Category lists on the Amazon Web Services Support Center Create Case page. The values in those fields don't necessarily match the service codes and categories returned by the DescribeServices operation. Always use the service codes and categories that the DescribeServices operation returns, so that you have the most recent set of service and category codes. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support.","ref":"aws_support.html#describe_services/2","title":"aws_support.describe_services/2","type":"function"},{"doc":"","ref":"aws_support.html#describe_services/3","title":"aws_support.describe_services/3","type":"function"},{"doc":"Returns the list of severity levels that you can assign to a support case. The severity level for a case is also a field in the CaseDetails data type that you include for a CreateCase request. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support.","ref":"aws_support.html#describe_severity_levels/2","title":"aws_support.describe_severity_levels/2","type":"function"},{"doc":"","ref":"aws_support.html#describe_severity_levels/3","title":"aws_support.describe_severity_levels/3","type":"function"},{"doc":"Returns the refresh status of the Trusted Advisor checks that have the specified check IDs. You can get the check IDs by calling the DescribeTrustedAdvisorChecks operation. Some checks are refreshed automatically, and you can't return their refresh statuses by using the DescribeTrustedAdvisorCheckRefreshStatuses operation. If you call this operation for these checks, you might see an InvalidParameterValue error. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support. To call the Trusted Advisor operations in the Amazon Web Services Support API, you must use the US East (N. Virginia) endpoint. Currently, the US West (Oregon) and Europe (Ireland) endpoints don't support the Trusted Advisor operations. For more information, see About the Amazon Web Services Support API in the Amazon Web Services Support User Guide.","ref":"aws_support.html#describe_trusted_advisor_check_refresh_statuses/2","title":"aws_support.describe_trusted_advisor_check_refresh_statuses/2","type":"function"},{"doc":"","ref":"aws_support.html#describe_trusted_advisor_check_refresh_statuses/3","title":"aws_support.describe_trusted_advisor_check_refresh_statuses/3","type":"function"},{"doc":"Returns the results of the Trusted Advisor check that has the specified check ID. You can get the check IDs by calling the DescribeTrustedAdvisorChecks operation. The response contains a TrustedAdvisorCheckResult object, which contains these three objects: TrustedAdvisorCategorySpecificSummary TrustedAdvisorResourceDetail TrustedAdvisorResourcesSummary In addition, the response contains these fields: status - The alert status of the check can be ok (green), warning (yellow), error (red), or not_available . timestamp - The time of the last refresh of the check. checkId - The unique identifier for the check. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support. To call the Trusted Advisor operations in the Amazon Web Services Support API, you must use the US East (N. Virginia) endpoint. Currently, the US West (Oregon) and Europe (Ireland) endpoints don't support the Trusted Advisor operations. For more information, see About the Amazon Web Services Support API in the Amazon Web Services Support User Guide.","ref":"aws_support.html#describe_trusted_advisor_check_result/2","title":"aws_support.describe_trusted_advisor_check_result/2","type":"function"},{"doc":"","ref":"aws_support.html#describe_trusted_advisor_check_result/3","title":"aws_support.describe_trusted_advisor_check_result/3","type":"function"},{"doc":"Returns the results for the Trusted Advisor check summaries for the check IDs that you specified. You can get the check IDs by calling the DescribeTrustedAdvisorChecks operation. The response contains an array of TrustedAdvisorCheckSummary objects. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support. To call the Trusted Advisor operations in the Amazon Web Services Support API, you must use the US East (N. Virginia) endpoint. Currently, the US West (Oregon) and Europe (Ireland) endpoints don't support the Trusted Advisor operations. For more information, see About the Amazon Web Services Support API in the Amazon Web Services Support User Guide.","ref":"aws_support.html#describe_trusted_advisor_check_summaries/2","title":"aws_support.describe_trusted_advisor_check_summaries/2","type":"function"},{"doc":"","ref":"aws_support.html#describe_trusted_advisor_check_summaries/3","title":"aws_support.describe_trusted_advisor_check_summaries/3","type":"function"},{"doc":"Returns information about all available Trusted Advisor checks, including the name, ID, category, description, and metadata. You must specify a language code. The response contains a TrustedAdvisorCheckDescription object for each check. You must set the Amazon Web Services Region to us-east-1. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support. The names and descriptions for Trusted Advisor checks are subject to change. We recommend that you specify the check ID in your code to uniquely identify a check. To call the Trusted Advisor operations in the Amazon Web Services Support API, you must use the US East (N. Virginia) endpoint. Currently, the US West (Oregon) and Europe (Ireland) endpoints don't support the Trusted Advisor operations. For more information, see About the Amazon Web Services Support API in the Amazon Web Services Support User Guide.","ref":"aws_support.html#describe_trusted_advisor_checks/2","title":"aws_support.describe_trusted_advisor_checks/2","type":"function"},{"doc":"","ref":"aws_support.html#describe_trusted_advisor_checks/3","title":"aws_support.describe_trusted_advisor_checks/3","type":"function"},{"doc":"Refreshes the Trusted Advisor check that you specify using the check ID. You can get the check IDs by calling the DescribeTrustedAdvisorChecks operation. Some checks are refreshed automatically. If you call the RefreshTrustedAdvisorCheck operation to refresh them, you might see the InvalidParameterValue error. The response contains a TrustedAdvisorCheckRefreshStatus object. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support. To call the Trusted Advisor operations in the Amazon Web Services Support API, you must use the US East (N. Virginia) endpoint. Currently, the US West (Oregon) and Europe (Ireland) endpoints don't support the Trusted Advisor operations. For more information, see About the Amazon Web Services Support API in the Amazon Web Services Support User Guide.","ref":"aws_support.html#refresh_trusted_advisor_check/2","title":"aws_support.refresh_trusted_advisor_check/2","type":"function"},{"doc":"","ref":"aws_support.html#refresh_trusted_advisor_check/3","title":"aws_support.refresh_trusted_advisor_check/3","type":"function"},{"doc":"Resolves a support case. This operation takes a caseId and returns the initial and final state of the case. You must have a Business, Enterprise On-Ramp, or Enterprise Support plan to use the Amazon Web Services Support API. If you call the Amazon Web Services Support API from an account that doesn't have a Business, Enterprise On-Ramp, or Enterprise Support plan, the SubscriptionRequiredException error message appears. For information about changing your support plan, see Amazon Web Services Support.","ref":"aws_support.html#resolve_case/2","title":"aws_support.resolve_case/2","type":"function"},{"doc":"","ref":"aws_support.html#resolve_case/3","title":"aws_support.resolve_case/3","type":"function"},{"doc":"Amazon Web Services Support App in Slack You can use the Amazon Web Services Support App in Slack API to manage your support cases in Slack for your Amazon Web Services account. After you configure your Slack workspace and channel with the Amazon Web Services Support App, you can perform the following tasks directly in your Slack channel: Create, search, update, and resolve your support cases Request service quota increases for your account Invite Amazon Web Services Support agents to your channel so that you can chat directly about your support cases For more information about how to perform these actions in Slack, see the following documentation in the Amazon Web Services Support User Guide: Amazon Web Services Support App in Slack Joining a live chat session with Amazon Web Services Support Requesting service quota increases Amazon Web Services Support App commands in Slack You can also use the Amazon Web Services Management Console instead of the Amazon Web Services Support App API to manage your Slack configurations. For more information, see Authorize a Slack workspace to enable the Amazon Web Services Support App. You must have a Business or Enterprise Support plan to use the Amazon Web Services Support App API. For more information about the Amazon Web Services Support App endpoints, see the Amazon Web Services Support App in Slack endpoints in the Amazon Web Services General Reference.","ref":"aws_support_app.html","title":"aws_support_app","type":"module"},{"doc":"Creates a Slack channel configuration for your Amazon Web Services account. You can add up to 5 Slack workspaces for your account. You can add up to 20 Slack channels for your account. A Slack channel can have up to 100 Amazon Web Services accounts. This means that only 100 accounts can add the same Slack channel to the Amazon Web Services Support App. We recommend that you only add the accounts that you need to manage support cases for your organization. This can reduce the notifications about case updates that you receive in the Slack channel. We recommend that you choose a private Slack channel so that only members in that channel have read and write access to your support cases. Anyone in your Slack channel can create, update, or resolve support cases for your account. Users require an invitation to join private channels.","ref":"aws_support_app.html#create_slack_channel_configuration/2","title":"aws_support_app.create_slack_channel_configuration/2","type":"function"},{"doc":"","ref":"aws_support_app.html#create_slack_channel_configuration/3","title":"aws_support_app.create_slack_channel_configuration/3","type":"function"},{"doc":"Deletes an alias for an Amazon Web Services account ID. The alias appears in the Amazon Web Services Support App page of the Amazon Web Services Support Center. The alias also appears in Slack messages from the Amazon Web Services Support App.","ref":"aws_support_app.html#delete_account_alias/2","title":"aws_support_app.delete_account_alias/2","type":"function"},{"doc":"","ref":"aws_support_app.html#delete_account_alias/3","title":"aws_support_app.delete_account_alias/3","type":"function"},{"doc":"Deletes a Slack channel configuration from your Amazon Web Services account. This operation doesn't delete your Slack channel.","ref":"aws_support_app.html#delete_slack_channel_configuration/2","title":"aws_support_app.delete_slack_channel_configuration/2","type":"function"},{"doc":"","ref":"aws_support_app.html#delete_slack_channel_configuration/3","title":"aws_support_app.delete_slack_channel_configuration/3","type":"function"},{"doc":"Deletes a Slack workspace configuration from your Amazon Web Services account. This operation doesn't delete your Slack workspace.","ref":"aws_support_app.html#delete_slack_workspace_configuration/2","title":"aws_support_app.delete_slack_workspace_configuration/2","type":"function"},{"doc":"","ref":"aws_support_app.html#delete_slack_workspace_configuration/3","title":"aws_support_app.delete_slack_workspace_configuration/3","type":"function"},{"doc":"Retrieves the alias from an Amazon Web Services account ID. The alias appears in the Amazon Web Services Support App page of the Amazon Web Services Support Center. The alias also appears in Slack messages from the Amazon Web Services Support App.","ref":"aws_support_app.html#get_account_alias/2","title":"aws_support_app.get_account_alias/2","type":"function"},{"doc":"","ref":"aws_support_app.html#get_account_alias/3","title":"aws_support_app.get_account_alias/3","type":"function"},{"doc":"Lists the Slack channel configurations for an Amazon Web Services account.","ref":"aws_support_app.html#list_slack_channel_configurations/2","title":"aws_support_app.list_slack_channel_configurations/2","type":"function"},{"doc":"","ref":"aws_support_app.html#list_slack_channel_configurations/3","title":"aws_support_app.list_slack_channel_configurations/3","type":"function"},{"doc":"Lists the Slack workspace configurations for an Amazon Web Services account.","ref":"aws_support_app.html#list_slack_workspace_configurations/2","title":"aws_support_app.list_slack_workspace_configurations/2","type":"function"},{"doc":"","ref":"aws_support_app.html#list_slack_workspace_configurations/3","title":"aws_support_app.list_slack_workspace_configurations/3","type":"function"},{"doc":"Creates or updates an individual alias for each Amazon Web Services account ID. The alias appears in the Amazon Web Services Support App page of the Amazon Web Services Support Center. The alias also appears in Slack messages from the Amazon Web Services Support App.","ref":"aws_support_app.html#put_account_alias/2","title":"aws_support_app.put_account_alias/2","type":"function"},{"doc":"","ref":"aws_support_app.html#put_account_alias/3","title":"aws_support_app.put_account_alias/3","type":"function"},{"doc":"Registers a Slack workspace for your Amazon Web Services account. To call this API, your account must be part of an organization in Organizations. If you're the management account and you want to register Slack workspaces for your organization, you must complete the following tasks: Sign in to the Amazon Web Services Support Center and authorize the Slack workspaces where you want your organization to have access to. See Authorize a Slack workspace in the Amazon Web Services Support User Guide. Call the RegisterSlackWorkspaceForOrganization API to authorize each Slack workspace for the organization. After the management account authorizes the Slack workspace, member accounts can call this API to authorize the same Slack workspace for their individual accounts. Member accounts don't need to authorize the Slack workspace manually through the Amazon Web Services Support Center. To use the Amazon Web Services Support App, each account must then complete the following tasks: Create an Identity and Access Management (IAM) role with the required permission. For more information, see Managing access to the Amazon Web Services Support App. Configure a Slack channel to use the Amazon Web Services Support App for support cases for that account. For more information, see Configuring a Slack channel.","ref":"aws_support_app.html#register_slack_workspace_for_organization/2","title":"aws_support_app.register_slack_workspace_for_organization/2","type":"function"},{"doc":"","ref":"aws_support_app.html#register_slack_workspace_for_organization/3","title":"aws_support_app.register_slack_workspace_for_organization/3","type":"function"},{"doc":"Updates the configuration for a Slack channel, such as case update notifications.","ref":"aws_support_app.html#update_slack_channel_configuration/2","title":"aws_support_app.update_slack_channel_configuration/2","type":"function"},{"doc":"","ref":"aws_support_app.html#update_slack_channel_configuration/3","title":"aws_support_app.update_slack_channel_configuration/3","type":"function"},{"doc":"Amazon Simple Workflow Service The Amazon Simple Workflow Service (Amazon SWF) makes it easy to build applications that use Amazon's cloud to coordinate work across distributed components. In Amazon SWF, a task represents a logical unit of work that is performed by a component of your workflow. Coordinating tasks in a workflow involves managing intertask dependencies, scheduling, and concurrency in accordance with the logical flow of the application. Amazon SWF gives you full control over implementing tasks and coordinating them without worrying about underlying complexities such as tracking their progress and maintaining their state. This documentation serves as reference only. For a broader overview of the Amazon SWF programming model, see the Amazon SWF Developer Guide .","ref":"aws_swf.html","title":"aws_swf","type":"module"},{"doc":"Returns the number of closed workflow executions within the given domain that meet the specified filtering criteria. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. tagFilter.tag : String constraint. The key is swf:tagFilter.tag . typeFilter.name : String constraint. The key is swf:typeFilter.name . typeFilter.version : String constraint. The key is swf:typeFilter.version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#count_closed_workflow_executions/2","title":"aws_swf.count_closed_workflow_executions/2","type":"function"},{"doc":"","ref":"aws_swf.html#count_closed_workflow_executions/3","title":"aws_swf.count_closed_workflow_executions/3","type":"function"},{"doc":"Returns the number of open workflow executions within the given domain that meet the specified filtering criteria. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. tagFilter.tag : String constraint. The key is swf:tagFilter.tag . typeFilter.name : String constraint. The key is swf:typeFilter.name . typeFilter.version : String constraint. The key is swf:typeFilter.version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#count_open_workflow_executions/2","title":"aws_swf.count_open_workflow_executions/2","type":"function"},{"doc":"","ref":"aws_swf.html#count_open_workflow_executions/3","title":"aws_swf.count_open_workflow_executions/3","type":"function"},{"doc":"Returns the estimated number of activity tasks in the specified task list. The count returned is an approximation and isn't guaranteed to be exact. If you specify a task list that no activity task was ever scheduled in then 0 is returned. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the taskList.name parameter by using a Condition element with the swf:taskList.name key to allow the action to access only certain task lists. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#count_pending_activity_tasks/2","title":"aws_swf.count_pending_activity_tasks/2","type":"function"},{"doc":"","ref":"aws_swf.html#count_pending_activity_tasks/3","title":"aws_swf.count_pending_activity_tasks/3","type":"function"},{"doc":"Returns the estimated number of decision tasks in the specified task list. The count returned is an approximation and isn't guaranteed to be exact. If you specify a task list that no decision task was ever scheduled in then 0 is returned. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the taskList.name parameter by using a Condition element with the swf:taskList.name key to allow the action to access only certain task lists. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#count_pending_decision_tasks/2","title":"aws_swf.count_pending_decision_tasks/2","type":"function"},{"doc":"","ref":"aws_swf.html#count_pending_decision_tasks/3","title":"aws_swf.count_pending_decision_tasks/3","type":"function"},{"doc":"Deprecates the specified activity type. After an activity type has been deprecated, you cannot create new tasks of that activity type. Tasks of this type that were scheduled before the type was deprecated continue to run. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. activityType.name : String constraint. The key is swf:activityType.name . activityType.version : String constraint. The key is swf:activityType.version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#deprecate_activity_type/2","title":"aws_swf.deprecate_activity_type/2","type":"function"},{"doc":"","ref":"aws_swf.html#deprecate_activity_type/3","title":"aws_swf.deprecate_activity_type/3","type":"function"},{"doc":"Deprecates the specified domain. After a domain has been deprecated it cannot be used to create new workflow executions or register new types. However, you can still use visibility actions on this domain. Deprecating a domain also deprecates all activity and workflow types registered in the domain. Executions that were started before the domain was deprecated continues to run. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#deprecate_domain/2","title":"aws_swf.deprecate_domain/2","type":"function"},{"doc":"","ref":"aws_swf.html#deprecate_domain/3","title":"aws_swf.deprecate_domain/3","type":"function"},{"doc":"Deprecates the specified workflow type. After a workflow type has been deprecated, you cannot create new executions of that type. Executions that were started before the type was deprecated continues to run. A deprecated workflow type may still be used when calling visibility actions. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. workflowType.name : String constraint. The key is swf:workflowType.name . workflowType.version : String constraint. The key is swf:workflowType.version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#deprecate_workflow_type/2","title":"aws_swf.deprecate_workflow_type/2","type":"function"},{"doc":"","ref":"aws_swf.html#deprecate_workflow_type/3","title":"aws_swf.deprecate_workflow_type/3","type":"function"},{"doc":"Returns information about the specified activity type. This includes configuration settings provided when the type was registered and other general information about the type. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. activityType.name : String constraint. The key is swf:activityType.name . activityType.version : String constraint. The key is swf:activityType.version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#describe_activity_type/2","title":"aws_swf.describe_activity_type/2","type":"function"},{"doc":"","ref":"aws_swf.html#describe_activity_type/3","title":"aws_swf.describe_activity_type/3","type":"function"},{"doc":"Returns information about the specified domain, including description and status. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#describe_domain/2","title":"aws_swf.describe_domain/2","type":"function"},{"doc":"","ref":"aws_swf.html#describe_domain/3","title":"aws_swf.describe_domain/3","type":"function"},{"doc":"Returns information about the specified workflow execution including its type and some statistics. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#describe_workflow_execution/2","title":"aws_swf.describe_workflow_execution/2","type":"function"},{"doc":"","ref":"aws_swf.html#describe_workflow_execution/3","title":"aws_swf.describe_workflow_execution/3","type":"function"},{"doc":"Returns information about the specified workflow type. This includes configuration settings specified when the type was registered and other information such as creation date, current status, etc. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. workflowType.name : String constraint. The key is swf:workflowType.name . workflowType.version : String constraint. The key is swf:workflowType.version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#describe_workflow_type/2","title":"aws_swf.describe_workflow_type/2","type":"function"},{"doc":"","ref":"aws_swf.html#describe_workflow_type/3","title":"aws_swf.describe_workflow_type/3","type":"function"},{"doc":"Returns the history of the specified workflow execution. The results may be split into multiple pages. To retrieve subsequent pages, make the call again using the nextPageToken returned by the initial call. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#get_workflow_execution_history/2","title":"aws_swf.get_workflow_execution_history/2","type":"function"},{"doc":"","ref":"aws_swf.html#get_workflow_execution_history/3","title":"aws_swf.get_workflow_execution_history/3","type":"function"},{"doc":"Returns information about all activities registered in the specified domain that match the specified name and registration status. The result includes information like creation date, current status of the activity, etc. The results may be split into multiple pages. To retrieve subsequent pages, make the call again using the nextPageToken returned by the initial call. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#list_activity_types/2","title":"aws_swf.list_activity_types/2","type":"function"},{"doc":"","ref":"aws_swf.html#list_activity_types/3","title":"aws_swf.list_activity_types/3","type":"function"},{"doc":"Returns a list of closed workflow executions in the specified domain that meet the filtering criteria. The results may be split into multiple pages. To retrieve subsequent pages, make the call again using the nextPageToken returned by the initial call. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. tagFilter.tag : String constraint. The key is swf:tagFilter.tag . typeFilter.name : String constraint. The key is swf:typeFilter.name . typeFilter.version : String constraint. The key is swf:typeFilter.version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#list_closed_workflow_executions/2","title":"aws_swf.list_closed_workflow_executions/2","type":"function"},{"doc":"","ref":"aws_swf.html#list_closed_workflow_executions/3","title":"aws_swf.list_closed_workflow_executions/3","type":"function"},{"doc":"Returns the list of domains registered in the account. The results may be split into multiple pages. To retrieve subsequent pages, make the call again using the nextPageToken returned by the initial call. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. The element must be set to arn:aws:swf::AccountID:domain/* , where AccountID is the account ID, with no dashes. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#list_domains/2","title":"aws_swf.list_domains/2","type":"function"},{"doc":"","ref":"aws_swf.html#list_domains/3","title":"aws_swf.list_domains/3","type":"function"},{"doc":"Returns a list of open workflow executions in the specified domain that meet the filtering criteria. The results may be split into multiple pages. To retrieve subsequent pages, make the call again using the nextPageToken returned by the initial call. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. tagFilter.tag : String constraint. The key is swf:tagFilter.tag . typeFilter.name : String constraint. The key is swf:typeFilter.name . typeFilter.version : String constraint. The key is swf:typeFilter.version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#list_open_workflow_executions/2","title":"aws_swf.list_open_workflow_executions/2","type":"function"},{"doc":"","ref":"aws_swf.html#list_open_workflow_executions/3","title":"aws_swf.list_open_workflow_executions/3","type":"function"},{"doc":"List tags for a given domain.","ref":"aws_swf.html#list_tags_for_resource/2","title":"aws_swf.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_swf.html#list_tags_for_resource/3","title":"aws_swf.list_tags_for_resource/3","type":"function"},{"doc":"Returns information about workflow types in the specified domain. The results may be split into multiple pages that can be retrieved by making the call repeatedly. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#list_workflow_types/2","title":"aws_swf.list_workflow_types/2","type":"function"},{"doc":"","ref":"aws_swf.html#list_workflow_types/3","title":"aws_swf.list_workflow_types/3","type":"function"},{"doc":"Used by workers to get an ActivityTask from the specified activity taskList . This initiates a long poll, where the service holds the HTTP connection open and responds as soon as a task becomes available. The maximum time the service holds on to the request before responding is 60 seconds. If no task is available within 60 seconds, the poll returns an empty result. An empty result, in this context, means that an ActivityTask is returned, but that the value of taskToken is an empty string. If a task is returned, the worker should use its type to identify and process it correctly. Workers should set their client side socket timeout to at least 70 seconds (10 seconds higher than the maximum time service may hold the poll request). Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the taskList.name parameter by using a Condition element with the swf:taskList.name key to allow the action to access only certain task lists. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#poll_for_activity_task/2","title":"aws_swf.poll_for_activity_task/2","type":"function"},{"doc":"","ref":"aws_swf.html#poll_for_activity_task/3","title":"aws_swf.poll_for_activity_task/3","type":"function"},{"doc":"Used by deciders to get a DecisionTask from the specified decision taskList . A decision task may be returned for any open workflow execution that is using the specified task list. The task includes a paginated view of the history of the workflow execution. The decider should use the workflow type and the history to determine how to properly handle the task. This action initiates a long poll, where the service holds the HTTP connection open and responds as soon a task becomes available. If no decision task is available in the specified task list before the timeout of 60 seconds expires, an empty result is returned. An empty result, in this context, means that a DecisionTask is returned, but that the value of taskToken is an empty string. Deciders should set their client side socket timeout to at least 70 seconds (10 seconds higher than the timeout). Because the number of workflow history events for a single workflow execution might be very large, the result returned might be split up across a number of pages. To retrieve subsequent pages, make additional calls to PollForDecisionTask using the nextPageToken returned by the initial call. Note that you do not call GetWorkflowExecutionHistory with this nextPageToken . Instead, call PollForDecisionTask again. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the taskList.name parameter by using a Condition element with the swf:taskList.name key to allow the action to access only certain task lists. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#poll_for_decision_task/2","title":"aws_swf.poll_for_decision_task/2","type":"function"},{"doc":"","ref":"aws_swf.html#poll_for_decision_task/3","title":"aws_swf.poll_for_decision_task/3","type":"function"},{"doc":"Used by activity workers to report to the service that the ActivityTask represented by the specified taskToken is still making progress. The worker can also specify details of the progress, for example percent complete, using the details parameter. This action can also be used by the worker as a mechanism to check if cancellation is being requested for the activity task. If a cancellation is being attempted for the specified task, then the boolean cancelRequested flag returned by the service is set to true . This action resets the taskHeartbeatTimeout clock. The taskHeartbeatTimeout is specified in RegisterActivityType . This action doesn't in itself create an event in the workflow execution history. However, if the task times out, the workflow execution history contains a ActivityTaskTimedOut event that contains the information from the last heartbeat generated by the activity worker. The taskStartToCloseTimeout of an activity type is the maximum duration of an activity task, regardless of the number of RecordActivityTaskHeartbeat requests received. The taskStartToCloseTimeout is also specified in RegisterActivityType . This operation is only useful for long-lived activities to report liveliness of the task and to determine if a cancellation is being attempted. If the cancelRequested flag returns true , a cancellation is being attempted. If the worker can cancel the activity, it should respond with RespondActivityTaskCanceled . Otherwise, it should ignore the cancellation request. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#record_activity_task_heartbeat/2","title":"aws_swf.record_activity_task_heartbeat/2","type":"function"},{"doc":"","ref":"aws_swf.html#record_activity_task_heartbeat/3","title":"aws_swf.record_activity_task_heartbeat/3","type":"function"},{"doc":"Registers a new activity type along with its configuration settings in the specified domain. A TypeAlreadyExists fault is returned if the type already exists in the domain. You cannot change any configuration settings of the type after its registration, and it must be registered as a new version. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. defaultTaskList.name : String constraint. The key is swf:defaultTaskList.name . name : String constraint. The key is swf:name . version : String constraint. The key is swf:version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#register_activity_type/2","title":"aws_swf.register_activity_type/2","type":"function"},{"doc":"","ref":"aws_swf.html#register_activity_type/3","title":"aws_swf.register_activity_type/3","type":"function"},{"doc":"Registers a new domain. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: You cannot use an IAM policy to control domain access for this action. The name of the domain being registered is available as the resource of this action. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#register_domain/2","title":"aws_swf.register_domain/2","type":"function"},{"doc":"","ref":"aws_swf.html#register_domain/3","title":"aws_swf.register_domain/3","type":"function"},{"doc":"Registers a new workflow type and its configuration settings in the specified domain. The retention period for the workflow history is set by the RegisterDomain action. If the type already exists, then a TypeAlreadyExists fault is returned. You cannot change the configuration settings of a workflow type once it is registered and it must be registered as a new version. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. defaultTaskList.name : String constraint. The key is swf:defaultTaskList.name . name : String constraint. The key is swf:name . version : String constraint. The key is swf:version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#register_workflow_type/2","title":"aws_swf.register_workflow_type/2","type":"function"},{"doc":"","ref":"aws_swf.html#register_workflow_type/3","title":"aws_swf.register_workflow_type/3","type":"function"},{"doc":"Records a WorkflowExecutionCancelRequested event in the currently running workflow execution identified by the given domain, workflowId, and runId. This logically requests the cancellation of the workflow execution as a whole. It is up to the decider to take appropriate actions when it receives an execution history with this event. If the runId isn't specified, the WorkflowExecutionCancelRequested event is recorded in the history of the current open workflow execution with the specified workflowId in the domain. Because this action allows the workflow to properly clean up and gracefully close, it should be used instead of TerminateWorkflowExecution when possible. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#request_cancel_workflow_execution/2","title":"aws_swf.request_cancel_workflow_execution/2","type":"function"},{"doc":"","ref":"aws_swf.html#request_cancel_workflow_execution/3","title":"aws_swf.request_cancel_workflow_execution/3","type":"function"},{"doc":"Used by workers to tell the service that the ActivityTask identified by the taskToken was successfully canceled. Additional details can be provided using the details argument. These details (if provided) appear in the ActivityTaskCanceled event added to the workflow history. Only use this operation if the canceled flag of a RecordActivityTaskHeartbeat request returns true and if the activity can be safely undone or abandoned. A task is considered open from the time that it is scheduled until it is closed. Therefore a task is reported as open while a worker is processing it. A task is closed after it has been specified in a call to RespondActivityTaskCompleted , RespondActivityTaskCanceled, RespondActivityTaskFailed , or the task has timed out. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#respond_activity_task_canceled/2","title":"aws_swf.respond_activity_task_canceled/2","type":"function"},{"doc":"","ref":"aws_swf.html#respond_activity_task_canceled/3","title":"aws_swf.respond_activity_task_canceled/3","type":"function"},{"doc":"Used by workers to tell the service that the ActivityTask identified by the taskToken completed successfully with a result (if provided). The result appears in the ActivityTaskCompleted event in the workflow history. If the requested task doesn't complete successfully, use RespondActivityTaskFailed instead. If the worker finds that the task is canceled through the canceled flag returned by RecordActivityTaskHeartbeat , it should cancel the task, clean up and then call RespondActivityTaskCanceled . A task is considered open from the time that it is scheduled until it is closed. Therefore a task is reported as open while a worker is processing it. A task is closed after it has been specified in a call to RespondActivityTaskCompleted, RespondActivityTaskCanceled , RespondActivityTaskFailed , or the task has timed out. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#respond_activity_task_completed/2","title":"aws_swf.respond_activity_task_completed/2","type":"function"},{"doc":"","ref":"aws_swf.html#respond_activity_task_completed/3","title":"aws_swf.respond_activity_task_completed/3","type":"function"},{"doc":"Used by workers to tell the service that the ActivityTask identified by the taskToken has failed with reason (if specified). The reason and details appear in the ActivityTaskFailed event added to the workflow history. A task is considered open from the time that it is scheduled until it is closed. Therefore a task is reported as open while a worker is processing it. A task is closed after it has been specified in a call to RespondActivityTaskCompleted , RespondActivityTaskCanceled , RespondActivityTaskFailed, or the task has timed out. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#respond_activity_task_failed/2","title":"aws_swf.respond_activity_task_failed/2","type":"function"},{"doc":"","ref":"aws_swf.html#respond_activity_task_failed/3","title":"aws_swf.respond_activity_task_failed/3","type":"function"},{"doc":"Used by deciders to tell the service that the DecisionTask identified by the taskToken has successfully completed. The decisions argument specifies the list of decisions made while processing the task. A DecisionTaskCompleted event is added to the workflow history. The executionContext specified is attached to the event in the workflow execution history. Access Control If an IAM policy grants permission to use RespondDecisionTaskCompleted , it can express permissions for the list of decisions in the decisions parameter. Each of the decisions has one or more parameters, much like a regular API call. To allow for policies to be as readable as possible, you can express permissions on decisions as if they were actual API calls, including applying conditions to some parameters. For more information, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#respond_decision_task_completed/2","title":"aws_swf.respond_decision_task_completed/2","type":"function"},{"doc":"","ref":"aws_swf.html#respond_decision_task_completed/3","title":"aws_swf.respond_decision_task_completed/3","type":"function"},{"doc":"Records a WorkflowExecutionSignaled event in the workflow execution history and creates a decision task for the workflow execution identified by the given domain, workflowId and runId. The event is recorded with the specified user defined signalName and input (if provided). If a runId isn't specified, then the WorkflowExecutionSignaled event is recorded in the history of the current open workflow with the matching workflowId in the domain. If the specified workflow execution isn't open, this method fails with UnknownResource . Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#signal_workflow_execution/2","title":"aws_swf.signal_workflow_execution/2","type":"function"},{"doc":"","ref":"aws_swf.html#signal_workflow_execution/3","title":"aws_swf.signal_workflow_execution/3","type":"function"},{"doc":"Starts an execution of the workflow type in the specified domain using the provided workflowId and input data. This action returns the newly started workflow execution. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. tagList.member.0 : The key is swf:tagList.member.0 . tagList.member.1 : The key is swf:tagList.member.1 . tagList.member.2 : The key is swf:tagList.member.2 . tagList.member.3 : The key is swf:tagList.member.3 . tagList.member.4 : The key is swf:tagList.member.4 . taskList : String constraint. The key is swf:taskList.name . workflowType.name : String constraint. The key is swf:workflowType.name . workflowType.version : String constraint. The key is swf:workflowType.version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#start_workflow_execution/2","title":"aws_swf.start_workflow_execution/2","type":"function"},{"doc":"","ref":"aws_swf.html#start_workflow_execution/3","title":"aws_swf.start_workflow_execution/3","type":"function"},{"doc":"Add a tag to a Amazon SWF domain. Amazon SWF supports a maximum of 50 tags per resource.","ref":"aws_swf.html#tag_resource/2","title":"aws_swf.tag_resource/2","type":"function"},{"doc":"","ref":"aws_swf.html#tag_resource/3","title":"aws_swf.tag_resource/3","type":"function"},{"doc":"Records a WorkflowExecutionTerminated event and forces closure of the workflow execution identified by the given domain, runId, and workflowId. The child policy, registered with the workflow type or specified when starting this execution, is applied to any open child workflow executions of this workflow execution. If the identified workflow execution was in progress, it is terminated immediately. If a runId isn't specified, then the WorkflowExecutionTerminated event is recorded in the history of the current open workflow with the matching workflowId in the domain. You should consider using RequestCancelWorkflowExecution action instead because it allows the workflow to gracefully close while TerminateWorkflowExecution doesn't. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#terminate_workflow_execution/2","title":"aws_swf.terminate_workflow_execution/2","type":"function"},{"doc":"","ref":"aws_swf.html#terminate_workflow_execution/3","title":"aws_swf.terminate_workflow_execution/3","type":"function"},{"doc":"Undeprecates a previously deprecated activity type. After an activity type has been undeprecated, you can create new tasks of that activity type. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. activityType.name : String constraint. The key is swf:activityType.name . activityType.version : String constraint. The key is swf:activityType.version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#undeprecate_activity_type/2","title":"aws_swf.undeprecate_activity_type/2","type":"function"},{"doc":"","ref":"aws_swf.html#undeprecate_activity_type/3","title":"aws_swf.undeprecate_activity_type/3","type":"function"},{"doc":"Undeprecates a previously deprecated domain. After a domain has been undeprecated it can be used to create new workflow executions or register new types. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. You cannot use an IAM policy to constrain this action's parameters. If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#undeprecate_domain/2","title":"aws_swf.undeprecate_domain/2","type":"function"},{"doc":"","ref":"aws_swf.html#undeprecate_domain/3","title":"aws_swf.undeprecate_domain/3","type":"function"},{"doc":"Undeprecates a previously deprecated workflow type. After a workflow type has been undeprecated, you can create new executions of that type. This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes. Access Control You can use IAM policies to control this action's access to Amazon SWF resources as follows: Use a Resource element with the domain name to limit the action to only specified domains. Use an Action element to allow or deny permission to call this action. Constrain the following parameters by using a Condition element with the appropriate keys. workflowType.name : String constraint. The key is swf:workflowType.name . workflowType.version : String constraint. The key is swf:workflowType.version . If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter is set to OPERATION_NOT_PERMITTED . For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows in the Amazon SWF Developer Guide.","ref":"aws_swf.html#undeprecate_workflow_type/2","title":"aws_swf.undeprecate_workflow_type/2","type":"function"},{"doc":"","ref":"aws_swf.html#undeprecate_workflow_type/3","title":"aws_swf.undeprecate_workflow_type/3","type":"function"},{"doc":"Remove a tag from a Amazon SWF domain.","ref":"aws_swf.html#untag_resource/2","title":"aws_swf.untag_resource/2","type":"function"},{"doc":"","ref":"aws_swf.html#untag_resource/3","title":"aws_swf.untag_resource/3","type":"function"},{"doc":"Amazon CloudWatch Synthetics You can use Amazon CloudWatch Synthetics to continually monitor your services. You can create and manage canaries, which are modular, lightweight scripts that monitor your endpoints and APIs from the outside-in. You can set up your canaries to run 24 hours a day, once per minute. The canaries help you check the availability and latency of your web services and troubleshoot anomalies by investigating load time data, screenshots of the UI, logs, and metrics. The canaries seamlessly integrate with CloudWatch ServiceLens to help you trace the causes of impacted nodes in your applications. For more information, see Using ServiceLens to Monitor the Health of Your Applications in the Amazon CloudWatch User Guide. Before you create and manage canaries, be aware of the security considerations. For more information, see Security Considerations for Synthetics Canaries.","ref":"aws_synthetics.html","title":"aws_synthetics","type":"module"},{"doc":"Associates a canary with a group. Using groups can help you with managing and automating your canaries, and you can also view aggregated run results and statistics for all canaries in a group. You must run this operation in the Region where the canary exists.","ref":"aws_synthetics.html#associate_resource/3","title":"aws_synthetics.associate_resource/3","type":"function"},{"doc":"","ref":"aws_synthetics.html#associate_resource/4","title":"aws_synthetics.associate_resource/4","type":"function"},{"doc":"Creates a canary. Canaries are scripts that monitor your endpoints and APIs from the outside-in. Canaries help you check the availability and latency of your web services and troubleshoot anomalies by investigating load time data, screenshots of the UI, logs, and metrics. You can set up a canary to run continuously or just once. Do not use CreateCanary to modify an existing canary. Use UpdateCanary instead. To create canaries, you must have the CloudWatchSyntheticsFullAccess policy. If you are creating a new IAM role for the canary, you also need the iam:CreateRole , iam:CreatePolicy and iam:AttachRolePolicy permissions. For more information, see Necessary Roles and Permissions. Do not include secrets or proprietary information in your canary names. The canary name makes up part of the Amazon Resource Name (ARN) for the canary, and the ARN is included in outbound calls over the internet. For more information, see Security Considerations for Synthetics Canaries.","ref":"aws_synthetics.html#create_canary/2","title":"aws_synthetics.create_canary/2","type":"function"},{"doc":"","ref":"aws_synthetics.html#create_canary/3","title":"aws_synthetics.create_canary/3","type":"function"},{"doc":"Creates a group which you can use to associate canaries with each other, including cross-Region canaries. Using groups can help you with managing and automating your canaries, and you can also view aggregated run results and statistics for all canaries in a group. Groups are global resources. When you create a group, it is replicated across Amazon Web Services Regions, and you can view it and add canaries to it from any Region. Although the group ARN format reflects the Region name where it was created, a group is not constrained to any Region. This means that you can put canaries from multiple Regions into the same group, and then use that group to view and manage all of those canaries in a single view. Groups are supported in all Regions except the Regions that are disabled by default. For more information about these Regions, see Enabling a Region. Each group can contain as many as 10 canaries. You can have as many as 20 groups in your account. Any single canary can be a member of up to 10 groups.","ref":"aws_synthetics.html#create_group/2","title":"aws_synthetics.create_group/2","type":"function"},{"doc":"","ref":"aws_synthetics.html#create_group/3","title":"aws_synthetics.create_group/3","type":"function"},{"doc":"Permanently deletes the specified canary. If you specify DeleteLambda to true , CloudWatch Synthetics also deletes the Lambda functions and layers that are used by the canary. Other resources used and created by the canary are not automatically deleted. After you delete a canary that you do not intend to use again, you should also delete the following: The CloudWatch alarms created for this canary. These alarms have a name of Synthetics-SharpDrop-Alarm-MyCanaryName . Amazon S3 objects and buckets, such as the canary's artifact location. IAM roles created for the canary. If they were created in the console, these roles have the name role/service-role/CloudWatchSyntheticsRole-MyCanaryName . CloudWatch Logs log groups created for the canary. These logs groups have the name /aws/lambda/cwsyn-MyCanaryName . Before you delete a canary, you might want to use GetCanary to display the information about this canary. Make note of the information returned by this operation so that you can delete these resources after you delete the canary.","ref":"aws_synthetics.html#delete_canary/3","title":"aws_synthetics.delete_canary/3","type":"function"},{"doc":"","ref":"aws_synthetics.html#delete_canary/4","title":"aws_synthetics.delete_canary/4","type":"function"},{"doc":"Deletes a group. The group doesn't need to be empty to be deleted. If there are canaries in the group, they are not deleted when you delete the group. Groups are a global resource that appear in all Regions, but the request to delete a group must be made from its home Region. You can find the home Region of a group within its ARN.","ref":"aws_synthetics.html#delete_group/3","title":"aws_synthetics.delete_group/3","type":"function"},{"doc":"","ref":"aws_synthetics.html#delete_group/4","title":"aws_synthetics.delete_group/4","type":"function"},{"doc":"This operation returns a list of the canaries in your account, along with full details about each canary. This operation supports resource-level authorization using an IAM policy and the Names parameter. If you specify the Names parameter, the operation is successful only if you have authorization to view all the canaries that you specify in your request. If you do not have permission to view any of the canaries, the request fails with a 403 response. You are required to use the Names parameter if you are logged on to a user or role that has an IAM policy that restricts which canaries that you are allowed to view. For more information, see Limiting a user to viewing specific canaries.","ref":"aws_synthetics.html#describe_canaries/2","title":"aws_synthetics.describe_canaries/2","type":"function"},{"doc":"","ref":"aws_synthetics.html#describe_canaries/3","title":"aws_synthetics.describe_canaries/3","type":"function"},{"doc":"Use this operation to see information from the most recent run of each canary that you have created. This operation supports resource-level authorization using an IAM policy and the Names parameter. If you specify the Names parameter, the operation is successful only if you have authorization to view all the canaries that you specify in your request. If you do not have permission to view any of the canaries, the request fails with a 403 response. You are required to use the Names parameter if you are logged on to a user or role that has an IAM policy that restricts which canaries that you are allowed to view. For more information, see Limiting a user to viewing specific canaries.","ref":"aws_synthetics.html#describe_canaries_last_run/2","title":"aws_synthetics.describe_canaries_last_run/2","type":"function"},{"doc":"","ref":"aws_synthetics.html#describe_canaries_last_run/3","title":"aws_synthetics.describe_canaries_last_run/3","type":"function"},{"doc":"Returns a list of Synthetics canary runtime versions. For more information, see Canary Runtime Versions.","ref":"aws_synthetics.html#describe_runtime_versions/2","title":"aws_synthetics.describe_runtime_versions/2","type":"function"},{"doc":"","ref":"aws_synthetics.html#describe_runtime_versions/3","title":"aws_synthetics.describe_runtime_versions/3","type":"function"},{"doc":"Removes a canary from a group. You must run this operation in the Region where the canary exists.","ref":"aws_synthetics.html#disassociate_resource/3","title":"aws_synthetics.disassociate_resource/3","type":"function"},{"doc":"","ref":"aws_synthetics.html#disassociate_resource/4","title":"aws_synthetics.disassociate_resource/4","type":"function"},{"doc":"Retrieves complete information about one canary. You must specify the name of the canary that you want. To get a list of canaries and their names, use DescribeCanaries.","ref":"aws_synthetics.html#get_canary/2","title":"aws_synthetics.get_canary/2","type":"function"},{"doc":"","ref":"aws_synthetics.html#get_canary/4","title":"aws_synthetics.get_canary/4","type":"function"},{"doc":"","ref":"aws_synthetics.html#get_canary/5","title":"aws_synthetics.get_canary/5","type":"function"},{"doc":"Retrieves a list of runs for a specified canary.","ref":"aws_synthetics.html#get_canary_runs/3","title":"aws_synthetics.get_canary_runs/3","type":"function"},{"doc":"","ref":"aws_synthetics.html#get_canary_runs/4","title":"aws_synthetics.get_canary_runs/4","type":"function"},{"doc":"Returns information about one group. Groups are a global resource, so you can use this operation from any Region.","ref":"aws_synthetics.html#get_group/2","title":"aws_synthetics.get_group/2","type":"function"},{"doc":"","ref":"aws_synthetics.html#get_group/4","title":"aws_synthetics.get_group/4","type":"function"},{"doc":"","ref":"aws_synthetics.html#get_group/5","title":"aws_synthetics.get_group/5","type":"function"},{"doc":"Returns a list of the groups that the specified canary is associated with. The canary that you specify must be in the current Region.","ref":"aws_synthetics.html#list_associated_groups/3","title":"aws_synthetics.list_associated_groups/3","type":"function"},{"doc":"","ref":"aws_synthetics.html#list_associated_groups/4","title":"aws_synthetics.list_associated_groups/4","type":"function"},{"doc":"This operation returns a list of the ARNs of the canaries that are associated with the specified group.","ref":"aws_synthetics.html#list_group_resources/3","title":"aws_synthetics.list_group_resources/3","type":"function"},{"doc":"","ref":"aws_synthetics.html#list_group_resources/4","title":"aws_synthetics.list_group_resources/4","type":"function"},{"doc":"Returns a list of all groups in the account, displaying their names, unique IDs, and ARNs. The groups from all Regions are returned.","ref":"aws_synthetics.html#list_groups/2","title":"aws_synthetics.list_groups/2","type":"function"},{"doc":"","ref":"aws_synthetics.html#list_groups/3","title":"aws_synthetics.list_groups/3","type":"function"},{"doc":"Displays the tags associated with a canary or group.","ref":"aws_synthetics.html#list_tags_for_resource/2","title":"aws_synthetics.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_synthetics.html#list_tags_for_resource/4","title":"aws_synthetics.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_synthetics.html#list_tags_for_resource/5","title":"aws_synthetics.list_tags_for_resource/5","type":"function"},{"doc":"Use this operation to run a canary that has already been created. The frequency of the canary runs is determined by the value of the canary's Schedule . To see a canary's schedule, use GetCanary.","ref":"aws_synthetics.html#start_canary/3","title":"aws_synthetics.start_canary/3","type":"function"},{"doc":"","ref":"aws_synthetics.html#start_canary/4","title":"aws_synthetics.start_canary/4","type":"function"},{"doc":"Stops the canary to prevent all future runs. If the canary is currently running,the run that is in progress completes on its own, publishes metrics, and uploads artifacts, but it is not recorded in Synthetics as a completed run. You can use StartCanary to start it running again with the canary’s current schedule at any point in the future.","ref":"aws_synthetics.html#stop_canary/3","title":"aws_synthetics.stop_canary/3","type":"function"},{"doc":"","ref":"aws_synthetics.html#stop_canary/4","title":"aws_synthetics.stop_canary/4","type":"function"},{"doc":"Assigns one or more tags (key-value pairs) to the specified canary or group. Tags can help you organize and categorize your resources. You can also use them to scope user permissions, by granting a user permission to access or change only resources with certain tag values. Tags don't have any semantic meaning to Amazon Web Services and are interpreted strictly as strings of characters. You can use the TagResource action with a resource that already has tags. If you specify a new tag key for the resource, this tag is appended to the list of tags associated with the resource. If you specify a tag key that is already associated with the resource, the new tag value that you specify replaces the previous value for that tag. You can associate as many as 50 tags with a canary or group.","ref":"aws_synthetics.html#tag_resource/3","title":"aws_synthetics.tag_resource/3","type":"function"},{"doc":"","ref":"aws_synthetics.html#tag_resource/4","title":"aws_synthetics.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from the specified resource.","ref":"aws_synthetics.html#untag_resource/3","title":"aws_synthetics.untag_resource/3","type":"function"},{"doc":"","ref":"aws_synthetics.html#untag_resource/4","title":"aws_synthetics.untag_resource/4","type":"function"},{"doc":"Updates the configuration of a canary that has already been created. You can't use this operation to update the tags of an existing canary. To change the tags of an existing canary, use TagResource.","ref":"aws_synthetics.html#update_canary/3","title":"aws_synthetics.update_canary/3","type":"function"},{"doc":"","ref":"aws_synthetics.html#update_canary/4","title":"aws_synthetics.update_canary/4","type":"function"},{"doc":"Amazon Textract detects and analyzes text in documents and converts it into machine-readable text. This is the API reference documentation for Amazon Textract.","ref":"aws_textract.html","title":"aws_textract","type":"module"},{"doc":"Analyzes an input document for relationships between detected items. The types of information returned are as follows: Form data (key-value pairs). The related information is returned in two Block objects, each of type KEY_VALUE_SET : a KEY Block object and a VALUE Block object. For example, Name: Ana Silva Carolina contains a key and value. Name: is the key. Ana Silva Carolina is the value. Table and table cell data. A TABLE Block object contains information about a detected table. A CELL Block object is returned for each cell in a table. Lines and words of text. A LINE Block object contains one or more WORD Block objects. All lines and words that are detected in the document are returned (including text that doesn't have a relationship with the value of FeatureTypes ). Signatures. A SIGNATURE Block object contains the location information of a signature in a document. If used in conjunction with forms or tables, a signature can be given a Key-Value pairing or be detected in the cell of a table. Query. A QUERY Block object contains the query text, alias and link to the associated Query results block object. Query Result. A QUERY_RESULT Block object contains the answer to the query and an ID that connects it to the query asked. This Block also contains a confidence score. Selection elements such as check boxes and option buttons (radio buttons) can be detected in form data and in tables. A SELECTION_ELEMENT Block object contains information about a selection element, including the selection status. You can choose which type of analysis to perform by specifying the FeatureTypes list. The output is returned in a list of Block objects. AnalyzeDocument is a synchronous operation. To analyze documents asynchronously, use StartDocumentAnalysis . For more information, see Document Text Analysis.","ref":"aws_textract.html#analyze_document/2","title":"aws_textract.analyze_document/2","type":"function"},{"doc":"","ref":"aws_textract.html#analyze_document/3","title":"aws_textract.analyze_document/3","type":"function"},{"doc":"AnalyzeExpense synchronously analyzes an input document for financially related relationships between text. Information is returned as ExpenseDocuments and seperated as follows: LineItemGroups - A data set containing LineItems which store information about the lines of text, such as an item purchased and its price on a receipt. SummaryFields - Contains all other information a receipt, such as header information or the vendors name.","ref":"aws_textract.html#analyze_expense/2","title":"aws_textract.analyze_expense/2","type":"function"},{"doc":"","ref":"aws_textract.html#analyze_expense/3","title":"aws_textract.analyze_expense/3","type":"function"},{"doc":"Analyzes identity documents for relevant information. This information is extracted and returned as IdentityDocumentFields , which records both the normalized field and value of the extracted text.Unlike other Amazon Textract operations, AnalyzeID doesn't return any Geometry data.","ref":"aws_textract.html#analyze_id/2","title":"aws_textract.analyze_id/2","type":"function"},{"doc":"","ref":"aws_textract.html#analyze_id/3","title":"aws_textract.analyze_id/3","type":"function"},{"doc":"Detects text in the input document. Amazon Textract can detect lines of text and the words that make up a line of text. The input document must be in one of the following image formats: JPEG, PNG, PDF, or TIFF. DetectDocumentText returns the detected text in an array of Block objects. Each document page has as an associated Block of type PAGE. Each PAGE Block object is the parent of LINE Block objects that represent the lines of detected text on a page. A LINE Block object is a parent for each word that makes up the line. Words are represented by Block objects of type WORD. DetectDocumentText is a synchronous operation. To analyze documents asynchronously, use StartDocumentTextDetection . For more information, see Document Text Detection.","ref":"aws_textract.html#detect_document_text/2","title":"aws_textract.detect_document_text/2","type":"function"},{"doc":"","ref":"aws_textract.html#detect_document_text/3","title":"aws_textract.detect_document_text/3","type":"function"},{"doc":"Gets the results for an Amazon Textract asynchronous operation that analyzes text in a document. You start asynchronous text analysis by calling StartDocumentAnalysis , which returns a job identifier ( JobId ). When the text analysis operation finishes, Amazon Textract publishes a completion status to the Amazon Simple Notification Service (Amazon SNS) topic that's registered in the initial call to StartDocumentAnalysis . To get the results of the text-detection operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetDocumentAnalysis , and pass the job identifier ( JobId ) from the initial call to StartDocumentAnalysis . GetDocumentAnalysis returns an array of Block objects. The following types of information are returned: Form data (key-value pairs). The related information is returned in two Block objects, each of type KEY_VALUE_SET : a KEY Block object and a VALUE Block object. For example, Name: Ana Silva Carolina contains a key and value. Name: is the key. Ana Silva Carolina is the value. Table and table cell data. A TABLE Block object contains information about a detected table. A CELL Block object is returned for each cell in a table. Lines and words of text. A LINE Block object contains one or more WORD Block objects. All lines and words that are detected in the document are returned (including text that doesn't have a relationship with the value of the StartDocumentAnalysis FeatureTypes input parameter). Query. A QUERY Block object contains the query text, alias and link to the associated Query results block object. Query Results. A QUERY_RESULT Block object contains the answer to the query and an ID that connects it to the query asked. This Block also contains a confidence score. While processing a document with queries, look out for INVALID_REQUEST_PARAMETERS output. This indicates that either the per page query limit has been exceeded or that the operation is trying to query a page in the document which doesn’t exist. Selection elements such as check boxes and option buttons (radio buttons) can be detected in form data and in tables. A SELECTION_ELEMENT Block object contains information about a selection element, including the selection status. Use the MaxResults parameter to limit the number of blocks that are returned. If there are more results than specified in MaxResults , the value of NextToken in the operation response contains a pagination token for getting the next set of results. To get the next page of results, call GetDocumentAnalysis , and populate the NextToken request parameter with the token value that's returned from the previous call to GetDocumentAnalysis . For more information, see Document Text Analysis.","ref":"aws_textract.html#get_document_analysis/2","title":"aws_textract.get_document_analysis/2","type":"function"},{"doc":"","ref":"aws_textract.html#get_document_analysis/3","title":"aws_textract.get_document_analysis/3","type":"function"},{"doc":"Gets the results for an Amazon Textract asynchronous operation that detects text in a document. Amazon Textract can detect lines of text and the words that make up a line of text. You start asynchronous text detection by calling StartDocumentTextDetection , which returns a job identifier ( JobId ). When the text detection operation finishes, Amazon Textract publishes a completion status to the Amazon Simple Notification Service (Amazon SNS) topic that's registered in the initial call to StartDocumentTextDetection . To get the results of the text-detection operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetDocumentTextDetection , and pass the job identifier ( JobId ) from the initial call to StartDocumentTextDetection . GetDocumentTextDetection returns an array of Block objects. Each document page has as an associated Block of type PAGE. Each PAGE Block object is the parent of LINE Block objects that represent the lines of detected text on a page. A LINE Block object is a parent for each word that makes up the line. Words are represented by Block objects of type WORD. Use the MaxResults parameter to limit the number of blocks that are returned. If there are more results than specified in MaxResults , the value of NextToken in the operation response contains a pagination token for getting the next set of results. To get the next page of results, call GetDocumentTextDetection , and populate the NextToken request parameter with the token value that's returned from the previous call to GetDocumentTextDetection . For more information, see Document Text Detection.","ref":"aws_textract.html#get_document_text_detection/2","title":"aws_textract.get_document_text_detection/2","type":"function"},{"doc":"","ref":"aws_textract.html#get_document_text_detection/3","title":"aws_textract.get_document_text_detection/3","type":"function"},{"doc":"Gets the results for an Amazon Textract asynchronous operation that analyzes invoices and receipts. Amazon Textract finds contact information, items purchased, and vendor name, from input invoices and receipts. You start asynchronous invoice/receipt analysis by calling StartExpenseAnalysis , which returns a job identifier ( JobId ). Upon completion of the invoice/receipt analysis, Amazon Textract publishes the completion status to the Amazon Simple Notification Service (Amazon SNS) topic. This topic must be registered in the initial call to StartExpenseAnalysis . To get the results of the invoice/receipt analysis operation, first ensure that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetExpenseAnalysis , and pass the job identifier ( JobId ) from the initial call to StartExpenseAnalysis . Use the MaxResults parameter to limit the number of blocks that are returned. If there are more results than specified in MaxResults , the value of NextToken in the operation response contains a pagination token for getting the next set of results. To get the next page of results, call GetExpenseAnalysis , and populate the NextToken request parameter with the token value that's returned from the previous call to GetExpenseAnalysis . For more information, see Analyzing Invoices and Receipts.","ref":"aws_textract.html#get_expense_analysis/2","title":"aws_textract.get_expense_analysis/2","type":"function"},{"doc":"","ref":"aws_textract.html#get_expense_analysis/3","title":"aws_textract.get_expense_analysis/3","type":"function"},{"doc":"Gets the results for an Amazon Textract asynchronous operation that analyzes text in a lending document. You start asynchronous text analysis by calling StartLendingAnalysis , which returns a job identifier ( JobId ). When the text analysis operation finishes, Amazon Textract publishes a completion status to the Amazon Simple Notification Service (Amazon SNS) topic that's registered in the initial call to StartLendingAnalysis . To get the results of the text analysis operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED. If so, call GetLendingAnalysis, and pass the job identifier ( JobId ) from the initial call to StartLendingAnalysis .","ref":"aws_textract.html#get_lending_analysis/2","title":"aws_textract.get_lending_analysis/2","type":"function"},{"doc":"","ref":"aws_textract.html#get_lending_analysis/3","title":"aws_textract.get_lending_analysis/3","type":"function"},{"doc":"Gets summarized results for the StartLendingAnalysis operation, which analyzes text in a lending document. The returned summary consists of information about documents grouped together by a common document type. Information like detected signatures, page numbers, and split documents is returned with respect to the type of grouped document. You start asynchronous text analysis by calling StartLendingAnalysis , which returns a job identifier ( JobId ). When the text analysis operation finishes, Amazon Textract publishes a completion status to the Amazon Simple Notification Service (Amazon SNS) topic that's registered in the initial call to StartLendingAnalysis . To get the results of the text analysis operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED. If so, call GetLendingAnalysisSummary , and pass the job identifier ( JobId ) from the initial call to StartLendingAnalysis .","ref":"aws_textract.html#get_lending_analysis_summary/2","title":"aws_textract.get_lending_analysis_summary/2","type":"function"},{"doc":"","ref":"aws_textract.html#get_lending_analysis_summary/3","title":"aws_textract.get_lending_analysis_summary/3","type":"function"},{"doc":"Starts the asynchronous analysis of an input document for relationships between detected items such as key-value pairs, tables, and selection elements. StartDocumentAnalysis can analyze text in documents that are in JPEG, PNG, TIFF, and PDF format. The documents are stored in an Amazon S3 bucket. Use DocumentLocation to specify the bucket name and file name of the document. StartDocumentAnalysis returns a job identifier ( JobId ) that you use to get the results of the operation. When text analysis is finished, Amazon Textract publishes a completion status to the Amazon Simple Notification Service (Amazon SNS) topic that you specify in NotificationChannel . To get the results of the text analysis operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetDocumentAnalysis , and pass the job identifier ( JobId ) from the initial call to StartDocumentAnalysis . For more information, see Document Text Analysis.","ref":"aws_textract.html#start_document_analysis/2","title":"aws_textract.start_document_analysis/2","type":"function"},{"doc":"","ref":"aws_textract.html#start_document_analysis/3","title":"aws_textract.start_document_analysis/3","type":"function"},{"doc":"Starts the asynchronous detection of text in a document. Amazon Textract can detect lines of text and the words that make up a line of text. StartDocumentTextDetection can analyze text in documents that are in JPEG, PNG, TIFF, and PDF format. The documents are stored in an Amazon S3 bucket. Use DocumentLocation to specify the bucket name and file name of the document. StartTextDetection returns a job identifier ( JobId ) that you use to get the results of the operation. When text detection is finished, Amazon Textract publishes a completion status to the Amazon Simple Notification Service (Amazon SNS) topic that you specify in NotificationChannel . To get the results of the text detection operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetDocumentTextDetection , and pass the job identifier ( JobId ) from the initial call to StartDocumentTextDetection . For more information, see Document Text Detection.","ref":"aws_textract.html#start_document_text_detection/2","title":"aws_textract.start_document_text_detection/2","type":"function"},{"doc":"","ref":"aws_textract.html#start_document_text_detection/3","title":"aws_textract.start_document_text_detection/3","type":"function"},{"doc":"Starts the asynchronous analysis of invoices or receipts for data like contact information, items purchased, and vendor names. StartExpenseAnalysis can analyze text in documents that are in JPEG, PNG, and PDF format. The documents must be stored in an Amazon S3 bucket. Use the DocumentLocation parameter to specify the name of your S3 bucket and the name of the document in that bucket. StartExpenseAnalysis returns a job identifier ( JobId ) that you will provide to GetExpenseAnalysis to retrieve the results of the operation. When the analysis of the input invoices/receipts is finished, Amazon Textract publishes a completion status to the Amazon Simple Notification Service (Amazon SNS) topic that you provide to the NotificationChannel . To obtain the results of the invoice and receipt analysis operation, ensure that the status value published to the Amazon SNS topic is SUCCEEDED . If so, call GetExpenseAnalysis , and pass the job identifier ( JobId ) that was returned by your call to StartExpenseAnalysis . For more information, see Analyzing Invoices and Receipts.","ref":"aws_textract.html#start_expense_analysis/2","title":"aws_textract.start_expense_analysis/2","type":"function"},{"doc":"","ref":"aws_textract.html#start_expense_analysis/3","title":"aws_textract.start_expense_analysis/3","type":"function"},{"doc":"Starts the classification and analysis of an input document. StartLendingAnalysis initiates the classification and analysis of a packet of lending documents. StartLendingAnalysis operates on a document file located in an Amazon S3 bucket. StartLendingAnalysis can analyze text in documents that are in one of the following formats: JPEG, PNG, TIFF, PDF. Use DocumentLocation to specify the bucket name and the file name of the document. StartLendingAnalysis returns a job identifier ( JobId ) that you use to get the results of the operation. When the text analysis is finished, Amazon Textract publishes a completion status to the Amazon Simple Notification Service (Amazon SNS) topic that you specify in NotificationChannel . To get the results of the text analysis operation, first check that the status value published to the Amazon SNS topic is SUCCEEDED. If the status is SUCCEEDED you can call either GetLendingAnalysis or GetLendingAnalysisSummary and provide the JobId to obtain the results of the analysis. If using OutputConfig to specify an Amazon S3 bucket, the output will be contained within the specified prefix in a directory labeled with the job-id. In the directory there are 3 sub-directories: detailedResponse (contains the GetLendingAnalysis response) summaryResponse (for the GetLendingAnalysisSummary response) splitDocuments (documents split across logical boundaries)","ref":"aws_textract.html#start_lending_analysis/2","title":"aws_textract.start_lending_analysis/2","type":"function"},{"doc":"","ref":"aws_textract.html#start_lending_analysis/3","title":"aws_textract.start_lending_analysis/3","type":"function"},{"doc":"Amazon Timestream Query","ref":"aws_timestream_query.html","title":"aws_timestream_query","type":"module"},{"doc":"Cancels a query that has been issued. Cancellation is provided only if the query has not completed running before the cancellation request was issued. Because cancellation is an idempotent operation, subsequent cancellation requests will return a CancellationMessage , indicating that the query has already been canceled. See code sample for details.","ref":"aws_timestream_query.html#cancel_query/2","title":"aws_timestream_query.cancel_query/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#cancel_query/3","title":"aws_timestream_query.cancel_query/3","type":"function"},{"doc":"Create a scheduled query that will be run on your behalf at the configured schedule. Timestream assumes the execution role provided as part of the ScheduledQueryExecutionRoleArn parameter to run the query. You can use the NotificationConfiguration parameter to configure notification for your scheduled query operations.","ref":"aws_timestream_query.html#create_scheduled_query/2","title":"aws_timestream_query.create_scheduled_query/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#create_scheduled_query/3","title":"aws_timestream_query.create_scheduled_query/3","type":"function"},{"doc":"Deletes a given scheduled query. This is an irreversible operation.","ref":"aws_timestream_query.html#delete_scheduled_query/2","title":"aws_timestream_query.delete_scheduled_query/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#delete_scheduled_query/3","title":"aws_timestream_query.delete_scheduled_query/3","type":"function"},{"doc":"DescribeEndpoints returns a list of available endpoints to make Timestream API calls against. This API is available through both Write and Query. Because the Timestream SDKs are designed to transparently work with the service’s architecture, including the management and mapping of the service endpoints, it is not recommended that you use this API unless: You are using VPC endpoints (Amazon Web Services PrivateLink) with Timestream Your application uses a programming language that does not yet have SDK support You require better control over the client-side implementation For detailed information on how and when to use and implement DescribeEndpoints, see The Endpoint Discovery Pattern.","ref":"aws_timestream_query.html#describe_endpoints/2","title":"aws_timestream_query.describe_endpoints/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#describe_endpoints/3","title":"aws_timestream_query.describe_endpoints/3","type":"function"},{"doc":"Provides detailed information about a scheduled query.","ref":"aws_timestream_query.html#describe_scheduled_query/2","title":"aws_timestream_query.describe_scheduled_query/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#describe_scheduled_query/3","title":"aws_timestream_query.describe_scheduled_query/3","type":"function"},{"doc":"You can use this API to run a scheduled query manually.","ref":"aws_timestream_query.html#execute_scheduled_query/2","title":"aws_timestream_query.execute_scheduled_query/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#execute_scheduled_query/3","title":"aws_timestream_query.execute_scheduled_query/3","type":"function"},{"doc":"Gets a list of all scheduled queries in the caller's Amazon account and Region. ListScheduledQueries is eventually consistent.","ref":"aws_timestream_query.html#list_scheduled_queries/2","title":"aws_timestream_query.list_scheduled_queries/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#list_scheduled_queries/3","title":"aws_timestream_query.list_scheduled_queries/3","type":"function"},{"doc":"List all tags on a Timestream query resource.","ref":"aws_timestream_query.html#list_tags_for_resource/2","title":"aws_timestream_query.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#list_tags_for_resource/3","title":"aws_timestream_query.list_tags_for_resource/3","type":"function"},{"doc":"A synchronous operation that allows you to submit a query with parameters to be stored by Timestream for later running. Timestream only supports using this operation with the PrepareQueryRequest$ValidateOnly set to true .","ref":"aws_timestream_query.html#prepare_query/2","title":"aws_timestream_query.prepare_query/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#prepare_query/3","title":"aws_timestream_query.prepare_query/3","type":"function"},{"doc":"Query is a synchronous operation that enables you to run a query against your Amazon Timestream data. Query will time out after 60 seconds. You must update the default timeout in the SDK to support a timeout of 60 seconds. See the code sample for details. Your query request will fail in the following cases: If you submit a Query request with the same client token outside of the 5-minute idempotency window. If you submit a Query request with the same client token, but change other parameters, within the 5-minute idempotency window. If the size of the row (including the query metadata) exceeds 1 MB, then the query will fail with the following error message: Query aborted as max page response size has been exceeded by the output result row If the IAM principal of the query initiator and the result reader are not the same and/or the query initiator and the result reader do not have the same query string in the query requests, the query will fail with an Invalid pagination token error.","ref":"aws_timestream_query.html#query/2","title":"aws_timestream_query.query/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#query/3","title":"aws_timestream_query.query/3","type":"function"},{"doc":"Associate a set of tags with a Timestream resource. You can then activate these user-defined tags so that they appear on the Billing and Cost Management console for cost allocation tracking.","ref":"aws_timestream_query.html#tag_resource/2","title":"aws_timestream_query.tag_resource/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#tag_resource/3","title":"aws_timestream_query.tag_resource/3","type":"function"},{"doc":"Removes the association of tags from a Timestream query resource.","ref":"aws_timestream_query.html#untag_resource/2","title":"aws_timestream_query.untag_resource/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#untag_resource/3","title":"aws_timestream_query.untag_resource/3","type":"function"},{"doc":"Update a scheduled query.","ref":"aws_timestream_query.html#update_scheduled_query/2","title":"aws_timestream_query.update_scheduled_query/2","type":"function"},{"doc":"","ref":"aws_timestream_query.html#update_scheduled_query/3","title":"aws_timestream_query.update_scheduled_query/3","type":"function"},{"doc":"Amazon Timestream Write Amazon Timestream is a fast, scalable, fully managed time series database service that makes it easy to store and analyze trillions of time series data points per day. With Timestream, you can easily store and analyze IoT sensor data to derive insights from your IoT applications. You can analyze industrial telemetry to streamline equipment management and maintenance. You can also store and analyze log data and metrics to improve the performance and availability of your applications. Timestream is built from the ground up to effectively ingest, process, and store time series data. It organizes data to optimize query processing. It automatically scales based on the volume of data ingested and on the query volume to ensure you receive optimal performance while inserting and querying data. As your data grows over time, Timestream’s adaptive query processing engine spans across storage tiers to provide fast analysis while reducing costs.","ref":"aws_timestream_write.html","title":"aws_timestream_write","type":"module"},{"doc":"Creates a new Timestream database. If the KMS key is not specified, the database will be encrypted with a Timestream managed KMS key located in your account. Refer to Amazon Web Services managed KMS keys for more info. Service quotas apply. See code sample for details.","ref":"aws_timestream_write.html#create_database/2","title":"aws_timestream_write.create_database/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#create_database/3","title":"aws_timestream_write.create_database/3","type":"function"},{"doc":"The CreateTable operation adds a new table to an existing database in your account. In an Amazon Web Services account, table names must be at least unique within each Region if they are in the same database. You may have identical table names in the same Region if the tables are in separate databases. While creating the table, you must specify the table name, database name, and the retention properties. Service quotas apply. See code sample for details.","ref":"aws_timestream_write.html#create_table/2","title":"aws_timestream_write.create_table/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#create_table/3","title":"aws_timestream_write.create_table/3","type":"function"},{"doc":"Deletes a given Timestream database. This is an irreversible operation. After a database is deleted, the time series data from its tables cannot be recovered. All tables in the database must be deleted first, or a ValidationException error will be thrown. Due to the nature of distributed retries, the operation can return either success or a ResourceNotFoundException. Clients should consider them equivalent. See code sample for details.","ref":"aws_timestream_write.html#delete_database/2","title":"aws_timestream_write.delete_database/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#delete_database/3","title":"aws_timestream_write.delete_database/3","type":"function"},{"doc":"Deletes a given Timestream table. This is an irreversible operation. After a Timestream database table is deleted, the time series data stored in the table cannot be recovered. Due to the nature of distributed retries, the operation can return either success or a ResourceNotFoundException. Clients should consider them equivalent. See code sample for details.","ref":"aws_timestream_write.html#delete_table/2","title":"aws_timestream_write.delete_table/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#delete_table/3","title":"aws_timestream_write.delete_table/3","type":"function"},{"doc":"Returns information about the database, including the database name, time that the database was created, and the total number of tables found within the database. Service quotas apply. See code sample for details.","ref":"aws_timestream_write.html#describe_database/2","title":"aws_timestream_write.describe_database/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#describe_database/3","title":"aws_timestream_write.describe_database/3","type":"function"},{"doc":"DescribeEndpoints returns a list of available endpoints to make Timestream API calls against. This API is available through both Write and Query. Because the Timestream SDKs are designed to transparently work with the service’s architecture, including the management and mapping of the service endpoints, it is not recommended that you use this API unless: You are using VPC endpoints (Amazon Web Services PrivateLink) with Timestream Your application uses a programming language that does not yet have SDK support You require better control over the client-side implementation For detailed information on how and when to use and implement DescribeEndpoints, see The Endpoint Discovery Pattern.","ref":"aws_timestream_write.html#describe_endpoints/2","title":"aws_timestream_write.describe_endpoints/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#describe_endpoints/3","title":"aws_timestream_write.describe_endpoints/3","type":"function"},{"doc":"Returns information about the table, including the table name, database name, retention duration of the memory store and the magnetic store. Service quotas apply. See code sample for details.","ref":"aws_timestream_write.html#describe_table/2","title":"aws_timestream_write.describe_table/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#describe_table/3","title":"aws_timestream_write.describe_table/3","type":"function"},{"doc":"Returns a list of your Timestream databases. Service quotas apply. See code sample for details.","ref":"aws_timestream_write.html#list_databases/2","title":"aws_timestream_write.list_databases/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#list_databases/3","title":"aws_timestream_write.list_databases/3","type":"function"},{"doc":"A list of tables, along with the name, status and retention properties of each table. See code sample for details.","ref":"aws_timestream_write.html#list_tables/2","title":"aws_timestream_write.list_tables/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#list_tables/3","title":"aws_timestream_write.list_tables/3","type":"function"},{"doc":"List all tags on a Timestream resource.","ref":"aws_timestream_write.html#list_tags_for_resource/2","title":"aws_timestream_write.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#list_tags_for_resource/3","title":"aws_timestream_write.list_tags_for_resource/3","type":"function"},{"doc":"Associate a set of tags with a Timestream resource. You can then activate these user-defined tags so that they appear on the Billing and Cost Management console for cost allocation tracking.","ref":"aws_timestream_write.html#tag_resource/2","title":"aws_timestream_write.tag_resource/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#tag_resource/3","title":"aws_timestream_write.tag_resource/3","type":"function"},{"doc":"Removes the association of tags from a Timestream resource.","ref":"aws_timestream_write.html#untag_resource/2","title":"aws_timestream_write.untag_resource/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#untag_resource/3","title":"aws_timestream_write.untag_resource/3","type":"function"},{"doc":"Modifies the KMS key for an existing database. While updating the database, you must specify the database name and the identifier of the new KMS key to be used ( KmsKeyId ). If there are any concurrent UpdateDatabase requests, first writer wins. See code sample for details.","ref":"aws_timestream_write.html#update_database/2","title":"aws_timestream_write.update_database/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#update_database/3","title":"aws_timestream_write.update_database/3","type":"function"},{"doc":"Modifies the retention duration of the memory store and magnetic store for your Timestream table. Note that the change in retention duration takes effect immediately. For example, if the retention period of the memory store was initially set to 2 hours and then changed to 24 hours, the memory store will be capable of holding 24 hours of data, but will be populated with 24 hours of data 22 hours after this change was made. Timestream does not retrieve data from the magnetic store to populate the memory store. See code sample for details.","ref":"aws_timestream_write.html#update_table/2","title":"aws_timestream_write.update_table/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#update_table/3","title":"aws_timestream_write.update_table/3","type":"function"},{"doc":"The WriteRecords operation enables you to write your time series data into Timestream. You can specify a single data point or a batch of data points to be inserted into the system. Timestream offers you with a flexible schema that auto detects the column names and data types for your Timestream tables based on the dimension names and data types of the data points you specify when invoking writes into the database. Timestream support eventual consistency read semantics. This means that when you query data immediately after writing a batch of data into Timestream, the query results might not reflect the results of a recently completed write operation. The results may also include some stale data. If you repeat the query request after a short time, the results should return the latest data. Service quotas apply. See code sample for details. Upserts You can use the Version parameter in a WriteRecords request to update data points. Timestream tracks a version number with each record. Version defaults to 1 when not specified for the record in the request. Timestream will update an existing record’s measure value along with its Version upon receiving a write request with a higher Version number for that record. Upon receiving an update request where the measure value is the same as that of the existing record, Timestream still updates Version , if it is greater than the existing value of Version . You can update a data point as many times as desired, as long as the value of Version continuously increases. For example, suppose you write a new record without indicating Version in the request. Timestream will store this record, and set Version to 1 . Now, suppose you try to update this record with a WriteRecords request of the same record with a different measure value but, like before, do not provide Version . In this case, Timestream will reject this update with a RejectedRecordsException since the updated record’s version is not greater than the existing value of Version. However, if you were to resend the update request with Version set to 2 , Timestream would then succeed in updating the record’s value, and the Version would be set to 2 . Next, suppose you sent a WriteRecords request with this same record and an identical measure value, but with Version set to 3 . In this case, Timestream would only update Version to 3 . Any further updates would need to send a version number greater than 3 , or the update requests would receive a RejectedRecordsException .","ref":"aws_timestream_write.html#write_records/2","title":"aws_timestream_write.write_records/2","type":"function"},{"doc":"","ref":"aws_timestream_write.html#write_records/3","title":"aws_timestream_write.write_records/3","type":"function"},{"doc":"Amazon Transcribe offers three main types of batch transcription: Standard, Medical, and Call Analytics. Standard transcriptions are the most common option. Refer to for details. Medical transcriptions are tailored to medical professionals and incorporate medical terms. A common use case for this service is transcribing doctor-patient dialogue into after-visit notes. Refer to for details. Call Analytics transcriptions are designed for use with call center audio on two different channels; if you're looking for insight into customer service calls, use this option. Refer to for details.","ref":"aws_transcribe.html","title":"aws_transcribe","type":"module"},{"doc":"Creates a new Call Analytics category. All categories are automatically applied to your Call Analytics transcriptions. Note that in order to apply categories to your transcriptions, you must create them before submitting your transcription request, as categories cannot be applied retroactively. When creating a new category, you can use the InputType parameter to label the category as a batch category ( POST_CALL ) or a streaming category ( REAL_TIME ). Batch categories can only be applied to batch transcriptions and streaming categories can only be applied to streaming transcriptions. If you do not include InputType , your category is created as a batch category by default. Call Analytics categories are composed of rules. For each category, you must create between 1 and 20 rules. Rules can include these parameters: , , , and . To update an existing category, see . To learn more about Call Analytics categories, see Creating categories for batch transcriptions and Creating categories for streaming transcriptions.","ref":"aws_transcribe.html#create_call_analytics_category/2","title":"aws_transcribe.create_call_analytics_category/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#create_call_analytics_category/3","title":"aws_transcribe.create_call_analytics_category/3","type":"function"},{"doc":"Creates a new custom language model. When creating a new custom language model, you must specify: If you want a Wideband (audio sample rates over 16,000 Hz) or Narrowband (audio sample rates under 16,000 Hz) base model The location of your training and tuning files (this must be an Amazon S3 URI) The language of your model A unique name for your model","ref":"aws_transcribe.html#create_language_model/2","title":"aws_transcribe.create_language_model/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#create_language_model/3","title":"aws_transcribe.create_language_model/3","type":"function"},{"doc":"Creates a new custom medical vocabulary. Before creating a new custom medical vocabulary, you must first upload a text file that contains your new entries, phrases, and terms into an Amazon S3 bucket. Note that this differs from , where you can include a list of terms within your request using the Phrases flag; CreateMedicalVocabulary does not support the Phrases flag. Each language has a character set that contains all allowed characters for that specific language. If you use unsupported characters, your custom vocabulary request fails. Refer to Character Sets for Custom Vocabularies to get the character set for your language. For more information, see Custom vocabularies.","ref":"aws_transcribe.html#create_medical_vocabulary/2","title":"aws_transcribe.create_medical_vocabulary/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#create_medical_vocabulary/3","title":"aws_transcribe.create_medical_vocabulary/3","type":"function"},{"doc":"Creates a new custom vocabulary. When creating a new custom vocabulary, you can either upload a text file that contains your new entries, phrases, and terms into an Amazon S3 bucket and include the URI in your request. Or you can include a list of terms directly in your request using the Phrases flag. Each language has a character set that contains all allowed characters for that specific language. If you use unsupported characters, your custom vocabulary request fails. Refer to Character Sets for Custom Vocabularies to get the character set for your language. For more information, see Custom vocabularies.","ref":"aws_transcribe.html#create_vocabulary/2","title":"aws_transcribe.create_vocabulary/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#create_vocabulary/3","title":"aws_transcribe.create_vocabulary/3","type":"function"},{"doc":"Creates a new custom vocabulary filter. You can use custom vocabulary filters to mask, delete, or flag specific words from your transcript. Custom vocabulary filters are commonly used to mask profanity in transcripts. Each language has a character set that contains all allowed characters for that specific language. If you use unsupported characters, your custom vocabulary filter request fails. Refer to Character Sets for Custom Vocabularies to get the character set for your language. For more information, see Vocabulary filtering.","ref":"aws_transcribe.html#create_vocabulary_filter/2","title":"aws_transcribe.create_vocabulary_filter/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#create_vocabulary_filter/3","title":"aws_transcribe.create_vocabulary_filter/3","type":"function"},{"doc":"Deletes a Call Analytics category. To use this operation, specify the name of the category you want to delete using CategoryName . Category names are case sensitive.","ref":"aws_transcribe.html#delete_call_analytics_category/2","title":"aws_transcribe.delete_call_analytics_category/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#delete_call_analytics_category/3","title":"aws_transcribe.delete_call_analytics_category/3","type":"function"},{"doc":"Deletes a Call Analytics job. To use this operation, specify the name of the job you want to delete using CallAnalyticsJobName . Job names are case sensitive.","ref":"aws_transcribe.html#delete_call_analytics_job/2","title":"aws_transcribe.delete_call_analytics_job/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#delete_call_analytics_job/3","title":"aws_transcribe.delete_call_analytics_job/3","type":"function"},{"doc":"Deletes a custom language model. To use this operation, specify the name of the language model you want to delete using ModelName . custom language model names are case sensitive.","ref":"aws_transcribe.html#delete_language_model/2","title":"aws_transcribe.delete_language_model/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#delete_language_model/3","title":"aws_transcribe.delete_language_model/3","type":"function"},{"doc":"Deletes a medical transcription job. To use this operation, specify the name of the job you want to delete using MedicalTranscriptionJobName . Job names are case sensitive.","ref":"aws_transcribe.html#delete_medical_transcription_job/2","title":"aws_transcribe.delete_medical_transcription_job/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#delete_medical_transcription_job/3","title":"aws_transcribe.delete_medical_transcription_job/3","type":"function"},{"doc":"Deletes a custom medical vocabulary. To use this operation, specify the name of the custom vocabulary you want to delete using VocabularyName . Custom vocabulary names are case sensitive.","ref":"aws_transcribe.html#delete_medical_vocabulary/2","title":"aws_transcribe.delete_medical_vocabulary/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#delete_medical_vocabulary/3","title":"aws_transcribe.delete_medical_vocabulary/3","type":"function"},{"doc":"Deletes a transcription job. To use this operation, specify the name of the job you want to delete using TranscriptionJobName . Job names are case sensitive.","ref":"aws_transcribe.html#delete_transcription_job/2","title":"aws_transcribe.delete_transcription_job/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#delete_transcription_job/3","title":"aws_transcribe.delete_transcription_job/3","type":"function"},{"doc":"Deletes a custom vocabulary. To use this operation, specify the name of the custom vocabulary you want to delete using VocabularyName . Custom vocabulary names are case sensitive.","ref":"aws_transcribe.html#delete_vocabulary/2","title":"aws_transcribe.delete_vocabulary/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#delete_vocabulary/3","title":"aws_transcribe.delete_vocabulary/3","type":"function"},{"doc":"Deletes a custom vocabulary filter. To use this operation, specify the name of the custom vocabulary filter you want to delete using VocabularyFilterName . Custom vocabulary filter names are case sensitive.","ref":"aws_transcribe.html#delete_vocabulary_filter/2","title":"aws_transcribe.delete_vocabulary_filter/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#delete_vocabulary_filter/3","title":"aws_transcribe.delete_vocabulary_filter/3","type":"function"},{"doc":"Provides information about the specified custom language model. This operation also shows if the base language model that you used to create your custom language model has been updated. If Amazon Transcribe has updated the base model, you can create a new custom language model using the updated base model. If you tried to create a new custom language model and the request wasn't successful, you can use DescribeLanguageModel to help identify the reason for this failure.","ref":"aws_transcribe.html#describe_language_model/2","title":"aws_transcribe.describe_language_model/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#describe_language_model/3","title":"aws_transcribe.describe_language_model/3","type":"function"},{"doc":"Provides information about the specified Call Analytics category. To get a list of your Call Analytics categories, use the operation.","ref":"aws_transcribe.html#get_call_analytics_category/2","title":"aws_transcribe.get_call_analytics_category/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#get_call_analytics_category/3","title":"aws_transcribe.get_call_analytics_category/3","type":"function"},{"doc":"Provides information about the specified Call Analytics job. To view the job's status, refer to CallAnalyticsJobStatus . If the status is COMPLETED , the job is finished. You can find your completed transcript at the URI specified in TranscriptFileUri . If the status is FAILED , FailureReason provides details on why your transcription job failed. If you enabled personally identifiable information (PII) redaction, the redacted transcript appears at the location specified in RedactedTranscriptFileUri . If you chose to redact the audio in your media file, you can find your redacted media file at the location specified in RedactedMediaFileUri . To get a list of your Call Analytics jobs, use the operation.","ref":"aws_transcribe.html#get_call_analytics_job/2","title":"aws_transcribe.get_call_analytics_job/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#get_call_analytics_job/3","title":"aws_transcribe.get_call_analytics_job/3","type":"function"},{"doc":"Provides information about the specified medical transcription job. To view the status of the specified medical transcription job, check the TranscriptionJobStatus field. If the status is COMPLETED , the job is finished. You can find the results at the location specified in TranscriptFileUri . If the status is FAILED , FailureReason provides details on why your transcription job failed. To get a list of your medical transcription jobs, use the operation.","ref":"aws_transcribe.html#get_medical_transcription_job/2","title":"aws_transcribe.get_medical_transcription_job/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#get_medical_transcription_job/3","title":"aws_transcribe.get_medical_transcription_job/3","type":"function"},{"doc":"Provides information about the specified custom medical vocabulary. To view the status of the specified custom medical vocabulary, check the VocabularyState field. If the status is READY , your custom vocabulary is available to use. If the status is FAILED , FailureReason provides details on why your vocabulary failed. To get a list of your custom medical vocabularies, use the operation.","ref":"aws_transcribe.html#get_medical_vocabulary/2","title":"aws_transcribe.get_medical_vocabulary/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#get_medical_vocabulary/3","title":"aws_transcribe.get_medical_vocabulary/3","type":"function"},{"doc":"Provides information about the specified transcription job. To view the status of the specified transcription job, check the TranscriptionJobStatus field. If the status is COMPLETED , the job is finished. You can find the results at the location specified in TranscriptFileUri . If the status is FAILED , FailureReason provides details on why your transcription job failed. If you enabled content redaction, the redacted transcript can be found at the location specified in RedactedTranscriptFileUri . To get a list of your transcription jobs, use the operation.","ref":"aws_transcribe.html#get_transcription_job/2","title":"aws_transcribe.get_transcription_job/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#get_transcription_job/3","title":"aws_transcribe.get_transcription_job/3","type":"function"},{"doc":"Provides information about the specified custom vocabulary. To view the status of the specified custom vocabulary, check the VocabularyState field. If the status is READY , your custom vocabulary is available to use. If the status is FAILED , FailureReason provides details on why your custom vocabulary failed. To get a list of your custom vocabularies, use the operation.","ref":"aws_transcribe.html#get_vocabulary/2","title":"aws_transcribe.get_vocabulary/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#get_vocabulary/3","title":"aws_transcribe.get_vocabulary/3","type":"function"},{"doc":"Provides information about the specified custom vocabulary filter. To get a list of your custom vocabulary filters, use the operation.","ref":"aws_transcribe.html#get_vocabulary_filter/2","title":"aws_transcribe.get_vocabulary_filter/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#get_vocabulary_filter/3","title":"aws_transcribe.get_vocabulary_filter/3","type":"function"},{"doc":"Provides a list of Call Analytics categories, including all rules that make up each category. To get detailed information about a specific Call Analytics category, use the operation.","ref":"aws_transcribe.html#list_call_analytics_categories/2","title":"aws_transcribe.list_call_analytics_categories/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#list_call_analytics_categories/3","title":"aws_transcribe.list_call_analytics_categories/3","type":"function"},{"doc":"Provides a list of Call Analytics jobs that match the specified criteria. If no criteria are specified, all Call Analytics jobs are returned. To get detailed information about a specific Call Analytics job, use the operation.","ref":"aws_transcribe.html#list_call_analytics_jobs/2","title":"aws_transcribe.list_call_analytics_jobs/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#list_call_analytics_jobs/3","title":"aws_transcribe.list_call_analytics_jobs/3","type":"function"},{"doc":"Provides a list of custom language models that match the specified criteria. If no criteria are specified, all custom language models are returned. To get detailed information about a specific custom language model, use the operation.","ref":"aws_transcribe.html#list_language_models/2","title":"aws_transcribe.list_language_models/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#list_language_models/3","title":"aws_transcribe.list_language_models/3","type":"function"},{"doc":"Provides a list of medical transcription jobs that match the specified criteria. If no criteria are specified, all medical transcription jobs are returned. To get detailed information about a specific medical transcription job, use the operation.","ref":"aws_transcribe.html#list_medical_transcription_jobs/2","title":"aws_transcribe.list_medical_transcription_jobs/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#list_medical_transcription_jobs/3","title":"aws_transcribe.list_medical_transcription_jobs/3","type":"function"},{"doc":"Provides a list of custom medical vocabularies that match the specified criteria. If no criteria are specified, all custom medical vocabularies are returned. To get detailed information about a specific custom medical vocabulary, use the operation.","ref":"aws_transcribe.html#list_medical_vocabularies/2","title":"aws_transcribe.list_medical_vocabularies/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#list_medical_vocabularies/3","title":"aws_transcribe.list_medical_vocabularies/3","type":"function"},{"doc":"Lists all tags associated with the specified transcription job, vocabulary, model, or resource. To learn more about using tags with Amazon Transcribe, refer to Tagging resources.","ref":"aws_transcribe.html#list_tags_for_resource/2","title":"aws_transcribe.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#list_tags_for_resource/3","title":"aws_transcribe.list_tags_for_resource/3","type":"function"},{"doc":"Provides a list of transcription jobs that match the specified criteria. If no criteria are specified, all transcription jobs are returned. To get detailed information about a specific transcription job, use the operation.","ref":"aws_transcribe.html#list_transcription_jobs/2","title":"aws_transcribe.list_transcription_jobs/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#list_transcription_jobs/3","title":"aws_transcribe.list_transcription_jobs/3","type":"function"},{"doc":"Provides a list of custom vocabularies that match the specified criteria. If no criteria are specified, all custom vocabularies are returned. To get detailed information about a specific custom vocabulary, use the operation.","ref":"aws_transcribe.html#list_vocabularies/2","title":"aws_transcribe.list_vocabularies/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#list_vocabularies/3","title":"aws_transcribe.list_vocabularies/3","type":"function"},{"doc":"Provides a list of custom vocabulary filters that match the specified criteria. If no criteria are specified, all custom vocabularies are returned. To get detailed information about a specific custom vocabulary filter, use the operation.","ref":"aws_transcribe.html#list_vocabulary_filters/2","title":"aws_transcribe.list_vocabulary_filters/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#list_vocabulary_filters/3","title":"aws_transcribe.list_vocabulary_filters/3","type":"function"},{"doc":"Transcribes the audio from a customer service call and applies any additional Request Parameters you choose to include in your request. In addition to many standard transcription features, Call Analytics provides you with call characteristics, call summarization, speaker sentiment, and optional redaction of your text transcript and your audio file. You can also apply custom categories to flag specified conditions. To learn more about these features and insights, refer to Analyzing call center audio with Call Analytics. If you want to apply categories to your Call Analytics job, you must create them before submitting your job request. Categories cannot be retroactively applied to a job. To create a new category, use the operation. To learn more about Call Analytics categories, see Creating categories for batch transcriptions and Creating categories for streaming transcriptions. To make a StartCallAnalyticsJob request, you must first upload your media file into an Amazon S3 bucket; you can then specify the Amazon S3 location of the file using the Media parameter. You must include the following parameters in your StartCallAnalyticsJob request: region : The Amazon Web Services Region where you are making your request. For a list of Amazon Web Services Regions supported with Amazon Transcribe, refer to Amazon Transcribe endpoints and quotas. CallAnalyticsJobName : A custom name that you create for your transcription job that's unique within your Amazon Web Services account. DataAccessRoleArn : The Amazon Resource Name (ARN) of an IAM role that has permissions to access the Amazon S3 bucket that contains your input files. Media ( MediaFileUri or RedactedMediaFileUri ): The Amazon S3 location of your media file. With Call Analytics, you can redact the audio contained in your media file by including RedactedMediaFileUri , instead of MediaFileUri , to specify the location of your input audio. If you choose to redact your audio, you can find your redacted media at the location specified in the RedactedMediaFileUri field of your response.","ref":"aws_transcribe.html#start_call_analytics_job/2","title":"aws_transcribe.start_call_analytics_job/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#start_call_analytics_job/3","title":"aws_transcribe.start_call_analytics_job/3","type":"function"},{"doc":"Transcribes the audio from a medical dictation or conversation and applies any additional Request Parameters you choose to include in your request. In addition to many standard transcription features, Amazon Transcribe Medical provides you with a robust medical vocabulary and, optionally, content identification, which adds flags to personal health information (PHI). To learn more about these features, refer to How Amazon Transcribe Medical works. To make a StartMedicalTranscriptionJob request, you must first upload your media file into an Amazon S3 bucket; you can then specify the S3 location of the file using the Media parameter. You must include the following parameters in your StartMedicalTranscriptionJob request: region : The Amazon Web Services Region where you are making your request. For a list of Amazon Web Services Regions supported with Amazon Transcribe, refer to Amazon Transcribe endpoints and quotas. MedicalTranscriptionJobName : A custom name you create for your transcription job that is unique within your Amazon Web Services account. Media ( MediaFileUri ): The Amazon S3 location of your media file. LanguageCode : This must be en-US . OutputBucketName : The Amazon S3 bucket where you want your transcript stored. If you want your output stored in a sub-folder of this bucket, you must also include OutputKey . Specialty : This must be PRIMARYCARE . Type : Choose whether your audio is a conversation or a dictation.","ref":"aws_transcribe.html#start_medical_transcription_job/2","title":"aws_transcribe.start_medical_transcription_job/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#start_medical_transcription_job/3","title":"aws_transcribe.start_medical_transcription_job/3","type":"function"},{"doc":"Transcribes the audio from a media file and applies any additional Request Parameters you choose to include in your request. To make a StartTranscriptionJob request, you must first upload your media file into an Amazon S3 bucket; you can then specify the Amazon S3 location of the file using the Media parameter. You must include the following parameters in your StartTranscriptionJob request: region : The Amazon Web Services Region where you are making your request. For a list of Amazon Web Services Regions supported with Amazon Transcribe, refer to Amazon Transcribe endpoints and quotas. TranscriptionJobName : A custom name you create for your transcription job that is unique within your Amazon Web Services account. Media ( MediaFileUri ): The Amazon S3 location of your media file. One of LanguageCode , IdentifyLanguage , or IdentifyMultipleLanguages : If you know the language of your media file, specify it using the LanguageCode parameter; you can find all valid language codes in the Supported languages table. If you don't know the languages spoken in your media, use either IdentifyLanguage or IdentifyMultipleLanguages and let Amazon Transcribe identify the languages for you.","ref":"aws_transcribe.html#start_transcription_job/2","title":"aws_transcribe.start_transcription_job/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#start_transcription_job/3","title":"aws_transcribe.start_transcription_job/3","type":"function"},{"doc":"Adds one or more custom tags, each in the form of a key:value pair, to the specified resource. To learn more about using tags with Amazon Transcribe, refer to Tagging resources.","ref":"aws_transcribe.html#tag_resource/2","title":"aws_transcribe.tag_resource/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#tag_resource/3","title":"aws_transcribe.tag_resource/3","type":"function"},{"doc":"Removes the specified tags from the specified Amazon Transcribe resource. If you include UntagResource in your request, you must also include ResourceArn and TagKeys .","ref":"aws_transcribe.html#untag_resource/2","title":"aws_transcribe.untag_resource/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#untag_resource/3","title":"aws_transcribe.untag_resource/3","type":"function"},{"doc":"Updates the specified Call Analytics category with new rules. Note that the UpdateCallAnalyticsCategory operation overwrites all existing rules contained in the specified category. You cannot append additional rules onto an existing category. To create a new category, see .","ref":"aws_transcribe.html#update_call_analytics_category/2","title":"aws_transcribe.update_call_analytics_category/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#update_call_analytics_category/3","title":"aws_transcribe.update_call_analytics_category/3","type":"function"},{"doc":"Updates an existing custom medical vocabulary with new values. This operation overwrites all existing information with your new values; you cannot append new terms onto an existing custom vocabulary.","ref":"aws_transcribe.html#update_medical_vocabulary/2","title":"aws_transcribe.update_medical_vocabulary/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#update_medical_vocabulary/3","title":"aws_transcribe.update_medical_vocabulary/3","type":"function"},{"doc":"Updates an existing custom vocabulary with new values. This operation overwrites all existing information with your new values; you cannot append new terms onto an existing custom vocabulary.","ref":"aws_transcribe.html#update_vocabulary/2","title":"aws_transcribe.update_vocabulary/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#update_vocabulary/3","title":"aws_transcribe.update_vocabulary/3","type":"function"},{"doc":"Updates an existing custom vocabulary filter with a new list of words. The new list you provide overwrites all previous entries; you cannot append new terms onto an existing custom vocabulary filter.","ref":"aws_transcribe.html#update_vocabulary_filter/2","title":"aws_transcribe.update_vocabulary_filter/2","type":"function"},{"doc":"","ref":"aws_transcribe.html#update_vocabulary_filter/3","title":"aws_transcribe.update_vocabulary_filter/3","type":"function"},{"doc":"Amazon Transcribe streaming offers three main types of real-time transcription: Standard, Medical, and Call Analytics. Standard transcriptions are the most common option. Refer to for details. Medical transcriptions are tailored to medical professionals and incorporate medical terms. A common use case for this service is transcribing doctor-patient dialogue in real time, so doctors can focus on their patient instead of taking notes. Refer to for details. Call Analytics transcriptions are designed for use with call center audio on two different channels; if you're looking for insight into customer service calls, use this option. Refer to for details.","ref":"aws_transcribe_streaming.html","title":"aws_transcribe_streaming","type":"module"},{"doc":"Starts a bidirectional HTTP/2 or WebSocket stream where audio is streamed to Amazon Transcribe and the transcription results are streamed to your application. Use this operation for Call Analytics transcriptions. The following parameters are required: language-code media-encoding sample-rate For more information on streaming with Amazon Transcribe, see Transcribing streaming audio.","ref":"aws_transcribe_streaming.html#start_call_analytics_stream_transcription/2","title":"aws_transcribe_streaming.start_call_analytics_stream_transcription/2","type":"function"},{"doc":"","ref":"aws_transcribe_streaming.html#start_call_analytics_stream_transcription/3","title":"aws_transcribe_streaming.start_call_analytics_stream_transcription/3","type":"function"},{"doc":"Starts a bidirectional HTTP/2 or WebSocket stream where audio is streamed to Amazon Transcribe Medical and the transcription results are streamed to your application. The following parameters are required: language-code media-encoding sample-rate For more information on streaming with Amazon Transcribe Medical, see Transcribing streaming audio.","ref":"aws_transcribe_streaming.html#start_medical_stream_transcription/2","title":"aws_transcribe_streaming.start_medical_stream_transcription/2","type":"function"},{"doc":"","ref":"aws_transcribe_streaming.html#start_medical_stream_transcription/3","title":"aws_transcribe_streaming.start_medical_stream_transcription/3","type":"function"},{"doc":"Starts a bidirectional HTTP/2 or WebSocket stream where audio is streamed to Amazon Transcribe and the transcription results are streamed to your application. The following parameters are required: language-code or identify-language media-encoding sample-rate For more information on streaming with Amazon Transcribe, see Transcribing streaming audio.","ref":"aws_transcribe_streaming.html#start_stream_transcription/2","title":"aws_transcribe_streaming.start_stream_transcription/2","type":"function"},{"doc":"","ref":"aws_transcribe_streaming.html#start_stream_transcription/3","title":"aws_transcribe_streaming.start_stream_transcription/3","type":"function"},{"doc":"Transfer Family is a fully managed service that enables the transfer of files over the File Transfer Protocol (FTP), File Transfer Protocol over SSL (FTPS), or Secure Shell (SSH) File Transfer Protocol (SFTP) directly into and out of Amazon Simple Storage Service (Amazon S3) or Amazon EFS. Additionally, you can use Applicability Statement 2 (AS2) to transfer files into and out of Amazon S3. Amazon Web Services helps you seamlessly migrate your file transfer workflows to Transfer Family by integrating with existing authentication systems, and providing DNS routing with Amazon Route 53 so nothing changes for your customers and partners, or their applications. With your data in Amazon S3, you can use it with Amazon Web Services for processing, analytics, machine learning, and archiving. Getting started with Transfer Family is easy since there is no infrastructure to buy and set up.","ref":"aws_transfer.html","title":"aws_transfer","type":"module"},{"doc":"Used by administrators to choose which groups in the directory should have access to upload and download files over the enabled protocols using Transfer Family. For example, a Microsoft Active Directory might contain 50,000 users, but only a small fraction might need the ability to transfer files to the server. An administrator can use CreateAccess to limit the access to the correct set of users who need this ability.","ref":"aws_transfer.html#create_access/2","title":"aws_transfer.create_access/2","type":"function"},{"doc":"","ref":"aws_transfer.html#create_access/3","title":"aws_transfer.create_access/3","type":"function"},{"doc":"Creates an agreement. An agreement is a bilateral trading partner agreement, or partnership, between an Transfer Family server and an AS2 process. The agreement defines the file and message transfer relationship between the server and the AS2 process. To define an agreement, Transfer Family combines a server, local profile, partner profile, certificate, and other attributes. The partner is identified with the PartnerProfileId , and the AS2 process is identified with the LocalProfileId .","ref":"aws_transfer.html#create_agreement/2","title":"aws_transfer.create_agreement/2","type":"function"},{"doc":"","ref":"aws_transfer.html#create_agreement/3","title":"aws_transfer.create_agreement/3","type":"function"},{"doc":"Creates the connector, which captures the parameters for an outbound connection for the AS2 protocol. The connector is required for sending files to an externally hosted AS2 server. For more details about connectors, see Create AS2 connectors.","ref":"aws_transfer.html#create_connector/2","title":"aws_transfer.create_connector/2","type":"function"},{"doc":"","ref":"aws_transfer.html#create_connector/3","title":"aws_transfer.create_connector/3","type":"function"},{"doc":"Creates the local or partner profile to use for AS2 transfers.","ref":"aws_transfer.html#create_profile/2","title":"aws_transfer.create_profile/2","type":"function"},{"doc":"","ref":"aws_transfer.html#create_profile/3","title":"aws_transfer.create_profile/3","type":"function"},{"doc":"Instantiates an auto-scaling virtual server based on the selected file transfer protocol in Amazon Web Services. When you make updates to your file transfer protocol-enabled server or when you work with users, use the service-generated ServerId property that is assigned to the newly created server.","ref":"aws_transfer.html#create_server/2","title":"aws_transfer.create_server/2","type":"function"},{"doc":"","ref":"aws_transfer.html#create_server/3","title":"aws_transfer.create_server/3","type":"function"},{"doc":"Creates a user and associates them with an existing file transfer protocol-enabled server. You can only create and associate users with servers that have the IdentityProviderType set to SERVICE_MANAGED . Using parameters for CreateUser , you can specify the user name, set the home directory, store the user's public key, and assign the user's Identity and Access Management (IAM) role. You can also optionally add a session policy, and assign metadata with tags that can be used to group and search for users.","ref":"aws_transfer.html#create_user/2","title":"aws_transfer.create_user/2","type":"function"},{"doc":"","ref":"aws_transfer.html#create_user/3","title":"aws_transfer.create_user/3","type":"function"},{"doc":"Allows you to create a workflow with specified steps and step details the workflow invokes after file transfer completes. After creating a workflow, you can associate the workflow created with any transfer servers by specifying the workflow-details field in CreateServer and UpdateServer operations.","ref":"aws_transfer.html#create_workflow/2","title":"aws_transfer.create_workflow/2","type":"function"},{"doc":"","ref":"aws_transfer.html#create_workflow/3","title":"aws_transfer.create_workflow/3","type":"function"},{"doc":"Allows you to delete the access specified in the ServerID and ExternalID parameters.","ref":"aws_transfer.html#delete_access/2","title":"aws_transfer.delete_access/2","type":"function"},{"doc":"","ref":"aws_transfer.html#delete_access/3","title":"aws_transfer.delete_access/3","type":"function"},{"doc":"Delete the agreement that's specified in the provided AgreementId .","ref":"aws_transfer.html#delete_agreement/2","title":"aws_transfer.delete_agreement/2","type":"function"},{"doc":"","ref":"aws_transfer.html#delete_agreement/3","title":"aws_transfer.delete_agreement/3","type":"function"},{"doc":"Deletes the certificate that's specified in the CertificateId parameter.","ref":"aws_transfer.html#delete_certificate/2","title":"aws_transfer.delete_certificate/2","type":"function"},{"doc":"","ref":"aws_transfer.html#delete_certificate/3","title":"aws_transfer.delete_certificate/3","type":"function"},{"doc":"Deletes the agreement that's specified in the provided ConnectorId .","ref":"aws_transfer.html#delete_connector/2","title":"aws_transfer.delete_connector/2","type":"function"},{"doc":"","ref":"aws_transfer.html#delete_connector/3","title":"aws_transfer.delete_connector/3","type":"function"},{"doc":"Deletes the host key that's specified in the HoskKeyId parameter.","ref":"aws_transfer.html#delete_host_key/2","title":"aws_transfer.delete_host_key/2","type":"function"},{"doc":"","ref":"aws_transfer.html#delete_host_key/3","title":"aws_transfer.delete_host_key/3","type":"function"},{"doc":"Deletes the profile that's specified in the ProfileId parameter.","ref":"aws_transfer.html#delete_profile/2","title":"aws_transfer.delete_profile/2","type":"function"},{"doc":"","ref":"aws_transfer.html#delete_profile/3","title":"aws_transfer.delete_profile/3","type":"function"},{"doc":"Deletes the file transfer protocol-enabled server that you specify. No response returns from this operation.","ref":"aws_transfer.html#delete_server/2","title":"aws_transfer.delete_server/2","type":"function"},{"doc":"","ref":"aws_transfer.html#delete_server/3","title":"aws_transfer.delete_server/3","type":"function"},{"doc":"Deletes a user's Secure Shell (SSH) public key.","ref":"aws_transfer.html#delete_ssh_public_key/2","title":"aws_transfer.delete_ssh_public_key/2","type":"function"},{"doc":"","ref":"aws_transfer.html#delete_ssh_public_key/3","title":"aws_transfer.delete_ssh_public_key/3","type":"function"},{"doc":"Deletes the user belonging to a file transfer protocol-enabled server you specify. No response returns from this operation. When you delete a user from a server, the user's information is lost.","ref":"aws_transfer.html#delete_user/2","title":"aws_transfer.delete_user/2","type":"function"},{"doc":"","ref":"aws_transfer.html#delete_user/3","title":"aws_transfer.delete_user/3","type":"function"},{"doc":"Deletes the specified workflow.","ref":"aws_transfer.html#delete_workflow/2","title":"aws_transfer.delete_workflow/2","type":"function"},{"doc":"","ref":"aws_transfer.html#delete_workflow/3","title":"aws_transfer.delete_workflow/3","type":"function"},{"doc":"Describes the access that is assigned to the specific file transfer protocol-enabled server, as identified by its ServerId property and its ExternalId . The response from this call returns the properties of the access that is associated with the ServerId value that was specified.","ref":"aws_transfer.html#describe_access/2","title":"aws_transfer.describe_access/2","type":"function"},{"doc":"","ref":"aws_transfer.html#describe_access/3","title":"aws_transfer.describe_access/3","type":"function"},{"doc":"Describes the agreement that's identified by the AgreementId .","ref":"aws_transfer.html#describe_agreement/2","title":"aws_transfer.describe_agreement/2","type":"function"},{"doc":"","ref":"aws_transfer.html#describe_agreement/3","title":"aws_transfer.describe_agreement/3","type":"function"},{"doc":"Describes the certificate that's identified by the CertificateId .","ref":"aws_transfer.html#describe_certificate/2","title":"aws_transfer.describe_certificate/2","type":"function"},{"doc":"","ref":"aws_transfer.html#describe_certificate/3","title":"aws_transfer.describe_certificate/3","type":"function"},{"doc":"Describes the connector that's identified by the ConnectorId.","ref":"aws_transfer.html#describe_connector/2","title":"aws_transfer.describe_connector/2","type":"function"},{"doc":"","ref":"aws_transfer.html#describe_connector/3","title":"aws_transfer.describe_connector/3","type":"function"},{"doc":"You can use DescribeExecution to check the details of the execution of the specified workflow.","ref":"aws_transfer.html#describe_execution/2","title":"aws_transfer.describe_execution/2","type":"function"},{"doc":"","ref":"aws_transfer.html#describe_execution/3","title":"aws_transfer.describe_execution/3","type":"function"},{"doc":"Returns the details of the host key that's specified by the HostKeyId and ServerId .","ref":"aws_transfer.html#describe_host_key/2","title":"aws_transfer.describe_host_key/2","type":"function"},{"doc":"","ref":"aws_transfer.html#describe_host_key/3","title":"aws_transfer.describe_host_key/3","type":"function"},{"doc":"Returns the details of the profile that's specified by the ProfileId .","ref":"aws_transfer.html#describe_profile/2","title":"aws_transfer.describe_profile/2","type":"function"},{"doc":"","ref":"aws_transfer.html#describe_profile/3","title":"aws_transfer.describe_profile/3","type":"function"},{"doc":"Describes the security policy that is attached to your file transfer protocol-enabled server. The response contains a description of the security policy's properties. For more information about security policies, see Working with security policies.","ref":"aws_transfer.html#describe_security_policy/2","title":"aws_transfer.describe_security_policy/2","type":"function"},{"doc":"","ref":"aws_transfer.html#describe_security_policy/3","title":"aws_transfer.describe_security_policy/3","type":"function"},{"doc":"Describes a file transfer protocol-enabled server that you specify by passing the ServerId parameter. The response contains a description of a server's properties. When you set EndpointType to VPC, the response will contain the EndpointDetails .","ref":"aws_transfer.html#describe_server/2","title":"aws_transfer.describe_server/2","type":"function"},{"doc":"","ref":"aws_transfer.html#describe_server/3","title":"aws_transfer.describe_server/3","type":"function"},{"doc":"Describes the user assigned to the specific file transfer protocol-enabled server, as identified by its ServerId property. The response from this call returns the properties of the user associated with the ServerId value that was specified.","ref":"aws_transfer.html#describe_user/2","title":"aws_transfer.describe_user/2","type":"function"},{"doc":"","ref":"aws_transfer.html#describe_user/3","title":"aws_transfer.describe_user/3","type":"function"},{"doc":"Describes the specified workflow.","ref":"aws_transfer.html#describe_workflow/2","title":"aws_transfer.describe_workflow/2","type":"function"},{"doc":"","ref":"aws_transfer.html#describe_workflow/3","title":"aws_transfer.describe_workflow/3","type":"function"},{"doc":"Imports the signing and encryption certificates that you need to create local (AS2) profiles and partner profiles.","ref":"aws_transfer.html#import_certificate/2","title":"aws_transfer.import_certificate/2","type":"function"},{"doc":"","ref":"aws_transfer.html#import_certificate/3","title":"aws_transfer.import_certificate/3","type":"function"},{"doc":"Adds a host key to the server that's specified by the ServerId parameter.","ref":"aws_transfer.html#import_host_key/2","title":"aws_transfer.import_host_key/2","type":"function"},{"doc":"","ref":"aws_transfer.html#import_host_key/3","title":"aws_transfer.import_host_key/3","type":"function"},{"doc":"Adds a Secure Shell (SSH) public key to a user account identified by a UserName value assigned to the specific file transfer protocol-enabled server, identified by ServerId . The response returns the UserName value, the ServerId value, and the name of the SshPublicKeyId .","ref":"aws_transfer.html#import_ssh_public_key/2","title":"aws_transfer.import_ssh_public_key/2","type":"function"},{"doc":"","ref":"aws_transfer.html#import_ssh_public_key/3","title":"aws_transfer.import_ssh_public_key/3","type":"function"},{"doc":"Lists the details for all the accesses you have on your server.","ref":"aws_transfer.html#list_accesses/2","title":"aws_transfer.list_accesses/2","type":"function"},{"doc":"","ref":"aws_transfer.html#list_accesses/3","title":"aws_transfer.list_accesses/3","type":"function"},{"doc":"Returns a list of the agreements for the server that's identified by the ServerId that you supply. If you want to limit the results to a certain number, supply a value for the MaxResults parameter. If you ran the command previously and received a value for NextToken , you can supply that value to continue listing agreements from where you left off.","ref":"aws_transfer.html#list_agreements/2","title":"aws_transfer.list_agreements/2","type":"function"},{"doc":"","ref":"aws_transfer.html#list_agreements/3","title":"aws_transfer.list_agreements/3","type":"function"},{"doc":"Returns a list of the current certificates that have been imported into Transfer Family. If you want to limit the results to a certain number, supply a value for the MaxResults parameter. If you ran the command previously and received a value for the NextToken parameter, you can supply that value to continue listing certificates from where you left off.","ref":"aws_transfer.html#list_certificates/2","title":"aws_transfer.list_certificates/2","type":"function"},{"doc":"","ref":"aws_transfer.html#list_certificates/3","title":"aws_transfer.list_certificates/3","type":"function"},{"doc":"Lists the connectors for the specified Region.","ref":"aws_transfer.html#list_connectors/2","title":"aws_transfer.list_connectors/2","type":"function"},{"doc":"","ref":"aws_transfer.html#list_connectors/3","title":"aws_transfer.list_connectors/3","type":"function"},{"doc":"Lists all executions for the specified workflow.","ref":"aws_transfer.html#list_executions/2","title":"aws_transfer.list_executions/2","type":"function"},{"doc":"","ref":"aws_transfer.html#list_executions/3","title":"aws_transfer.list_executions/3","type":"function"},{"doc":"Returns a list of host keys for the server that's specified by the ServerId parameter.","ref":"aws_transfer.html#list_host_keys/2","title":"aws_transfer.list_host_keys/2","type":"function"},{"doc":"","ref":"aws_transfer.html#list_host_keys/3","title":"aws_transfer.list_host_keys/3","type":"function"},{"doc":"Returns a list of the profiles for your system. If you want to limit the results to a certain number, supply a value for the MaxResults parameter. If you ran the command previously and received a value for NextToken , you can supply that value to continue listing profiles from where you left off.","ref":"aws_transfer.html#list_profiles/2","title":"aws_transfer.list_profiles/2","type":"function"},{"doc":"","ref":"aws_transfer.html#list_profiles/3","title":"aws_transfer.list_profiles/3","type":"function"},{"doc":"Lists the security policies that are attached to your file transfer protocol-enabled servers.","ref":"aws_transfer.html#list_security_policies/2","title":"aws_transfer.list_security_policies/2","type":"function"},{"doc":"","ref":"aws_transfer.html#list_security_policies/3","title":"aws_transfer.list_security_policies/3","type":"function"},{"doc":"Lists the file transfer protocol-enabled servers that are associated with your Amazon Web Services account.","ref":"aws_transfer.html#list_servers/2","title":"aws_transfer.list_servers/2","type":"function"},{"doc":"","ref":"aws_transfer.html#list_servers/3","title":"aws_transfer.list_servers/3","type":"function"},{"doc":"Lists all of the tags associated with the Amazon Resource Name (ARN) that you specify. The resource can be a user, server, or role.","ref":"aws_transfer.html#list_tags_for_resource/2","title":"aws_transfer.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_transfer.html#list_tags_for_resource/3","title":"aws_transfer.list_tags_for_resource/3","type":"function"},{"doc":"Lists the users for a file transfer protocol-enabled server that you specify by passing the ServerId parameter.","ref":"aws_transfer.html#list_users/2","title":"aws_transfer.list_users/2","type":"function"},{"doc":"","ref":"aws_transfer.html#list_users/3","title":"aws_transfer.list_users/3","type":"function"},{"doc":"Lists all of your workflows.","ref":"aws_transfer.html#list_workflows/2","title":"aws_transfer.list_workflows/2","type":"function"},{"doc":"","ref":"aws_transfer.html#list_workflows/3","title":"aws_transfer.list_workflows/3","type":"function"},{"doc":"Sends a callback for asynchronous custom steps. The ExecutionId , WorkflowId , and Token are passed to the target resource during execution of a custom step of a workflow. You must include those with their callback as well as providing a status.","ref":"aws_transfer.html#send_workflow_step_state/2","title":"aws_transfer.send_workflow_step_state/2","type":"function"},{"doc":"","ref":"aws_transfer.html#send_workflow_step_state/3","title":"aws_transfer.send_workflow_step_state/3","type":"function"},{"doc":"Begins an outbound file transfer to a remote AS2 server. You specify the ConnectorId and the file paths for where to send the files.","ref":"aws_transfer.html#start_file_transfer/2","title":"aws_transfer.start_file_transfer/2","type":"function"},{"doc":"","ref":"aws_transfer.html#start_file_transfer/3","title":"aws_transfer.start_file_transfer/3","type":"function"},{"doc":"Changes the state of a file transfer protocol-enabled server from OFFLINE to ONLINE . It has no impact on a server that is already ONLINE . An ONLINE server can accept and process file transfer jobs. The state of STARTING indicates that the server is in an intermediate state, either not fully able to respond, or not fully online. The values of START_FAILED can indicate an error condition. No response is returned from this call.","ref":"aws_transfer.html#start_server/2","title":"aws_transfer.start_server/2","type":"function"},{"doc":"","ref":"aws_transfer.html#start_server/3","title":"aws_transfer.start_server/3","type":"function"},{"doc":"Changes the state of a file transfer protocol-enabled server from ONLINE to OFFLINE . An OFFLINE server cannot accept and process file transfer jobs. Information tied to your server, such as server and user properties, are not affected by stopping your server. Stopping the server does not reduce or impact your file transfer protocol endpoint billing; you must delete the server to stop being billed. The state of STOPPING indicates that the server is in an intermediate state, either not fully able to respond, or not fully offline. The values of STOP_FAILED can indicate an error condition. No response is returned from this call.","ref":"aws_transfer.html#stop_server/2","title":"aws_transfer.stop_server/2","type":"function"},{"doc":"","ref":"aws_transfer.html#stop_server/3","title":"aws_transfer.stop_server/3","type":"function"},{"doc":"Attaches a key-value pair to a resource, as identified by its Amazon Resource Name (ARN). Resources are users, servers, roles, and other entities. There is no response returned from this call.","ref":"aws_transfer.html#tag_resource/2","title":"aws_transfer.tag_resource/2","type":"function"},{"doc":"","ref":"aws_transfer.html#tag_resource/3","title":"aws_transfer.tag_resource/3","type":"function"},{"doc":"If the IdentityProviderType of a file transfer protocol-enabled server is AWS_DIRECTORY_SERVICE or API_Gateway , tests whether your identity provider is set up successfully. We highly recommend that you call this operation to test your authentication method as soon as you create your server. By doing so, you can troubleshoot issues with the identity provider integration to ensure that your users can successfully use the service. The ServerId and UserName parameters are required. The ServerProtocol , SourceIp , and UserPassword are all optional. You cannot use TestIdentityProvider if the IdentityProviderType of your server is SERVICE_MANAGED . If you provide any incorrect values for any parameters, the Response field is empty. If you provide a server ID for a server that uses service-managed users, you get an error: An error occurred (InvalidRequestException) when calling the TestIdentityProvider operation: s-server-ID not configured for external auth If you enter a Server ID for the --server-id parameter that does not identify an actual Transfer server, you receive the following error: An error occurred (ResourceNotFoundException) when calling the TestIdentityProvider operation: Unknown server","ref":"aws_transfer.html#test_identity_provider/2","title":"aws_transfer.test_identity_provider/2","type":"function"},{"doc":"","ref":"aws_transfer.html#test_identity_provider/3","title":"aws_transfer.test_identity_provider/3","type":"function"},{"doc":"Detaches a key-value pair from a resource, as identified by its Amazon Resource Name (ARN). Resources are users, servers, roles, and other entities. No response is returned from this call.","ref":"aws_transfer.html#untag_resource/2","title":"aws_transfer.untag_resource/2","type":"function"},{"doc":"","ref":"aws_transfer.html#untag_resource/3","title":"aws_transfer.untag_resource/3","type":"function"},{"doc":"Allows you to update parameters for the access specified in the ServerID and ExternalID parameters.","ref":"aws_transfer.html#update_access/2","title":"aws_transfer.update_access/2","type":"function"},{"doc":"","ref":"aws_transfer.html#update_access/3","title":"aws_transfer.update_access/3","type":"function"},{"doc":"Updates some of the parameters for an existing agreement. Provide the AgreementId and the ServerId for the agreement that you want to update, along with the new values for the parameters to update.","ref":"aws_transfer.html#update_agreement/2","title":"aws_transfer.update_agreement/2","type":"function"},{"doc":"","ref":"aws_transfer.html#update_agreement/3","title":"aws_transfer.update_agreement/3","type":"function"},{"doc":"Updates the active and inactive dates for a certificate.","ref":"aws_transfer.html#update_certificate/2","title":"aws_transfer.update_certificate/2","type":"function"},{"doc":"","ref":"aws_transfer.html#update_certificate/3","title":"aws_transfer.update_certificate/3","type":"function"},{"doc":"Updates some of the parameters for an existing connector. Provide the ConnectorId for the connector that you want to update, along with the new values for the parameters to update.","ref":"aws_transfer.html#update_connector/2","title":"aws_transfer.update_connector/2","type":"function"},{"doc":"","ref":"aws_transfer.html#update_connector/3","title":"aws_transfer.update_connector/3","type":"function"},{"doc":"Updates the description for the host key that's specified by the ServerId and HostKeyId parameters.","ref":"aws_transfer.html#update_host_key/2","title":"aws_transfer.update_host_key/2","type":"function"},{"doc":"","ref":"aws_transfer.html#update_host_key/3","title":"aws_transfer.update_host_key/3","type":"function"},{"doc":"Updates some of the parameters for an existing profile. Provide the ProfileId for the profile that you want to update, along with the new values for the parameters to update.","ref":"aws_transfer.html#update_profile/2","title":"aws_transfer.update_profile/2","type":"function"},{"doc":"","ref":"aws_transfer.html#update_profile/3","title":"aws_transfer.update_profile/3","type":"function"},{"doc":"Updates the file transfer protocol-enabled server's properties after that server has been created. The UpdateServer call returns the ServerId of the server you updated.","ref":"aws_transfer.html#update_server/2","title":"aws_transfer.update_server/2","type":"function"},{"doc":"","ref":"aws_transfer.html#update_server/3","title":"aws_transfer.update_server/3","type":"function"},{"doc":"Assigns new properties to a user. Parameters you pass modify any or all of the following: the home directory, role, and policy for the UserName and ServerId you specify. The response returns the ServerId and the UserName for the updated user.","ref":"aws_transfer.html#update_user/2","title":"aws_transfer.update_user/2","type":"function"},{"doc":"","ref":"aws_transfer.html#update_user/3","title":"aws_transfer.update_user/3","type":"function"},{"doc":"Provides translation of the input content from the source language to the target language.","ref":"aws_translate.html","title":"aws_translate","type":"module"},{"doc":"Creates a parallel data resource in Amazon Translate by importing an input file from Amazon S3. Parallel data files contain examples that show how you want segments of text to be translated. By adding parallel data, you can influence the style, tone, and word choice in your translation output.","ref":"aws_translate.html#create_parallel_data/2","title":"aws_translate.create_parallel_data/2","type":"function"},{"doc":"","ref":"aws_translate.html#create_parallel_data/3","title":"aws_translate.create_parallel_data/3","type":"function"},{"doc":"Deletes a parallel data resource in Amazon Translate.","ref":"aws_translate.html#delete_parallel_data/2","title":"aws_translate.delete_parallel_data/2","type":"function"},{"doc":"","ref":"aws_translate.html#delete_parallel_data/3","title":"aws_translate.delete_parallel_data/3","type":"function"},{"doc":"A synchronous action that deletes a custom terminology.","ref":"aws_translate.html#delete_terminology/2","title":"aws_translate.delete_terminology/2","type":"function"},{"doc":"","ref":"aws_translate.html#delete_terminology/3","title":"aws_translate.delete_terminology/3","type":"function"},{"doc":"Gets the properties associated with an asynchronous batch translation job including name, ID, status, source and target languages, input/output S3 buckets, and so on.","ref":"aws_translate.html#describe_text_translation_job/2","title":"aws_translate.describe_text_translation_job/2","type":"function"},{"doc":"","ref":"aws_translate.html#describe_text_translation_job/3","title":"aws_translate.describe_text_translation_job/3","type":"function"},{"doc":"Provides information about a parallel data resource.","ref":"aws_translate.html#get_parallel_data/2","title":"aws_translate.get_parallel_data/2","type":"function"},{"doc":"","ref":"aws_translate.html#get_parallel_data/3","title":"aws_translate.get_parallel_data/3","type":"function"},{"doc":"Retrieves a custom terminology.","ref":"aws_translate.html#get_terminology/2","title":"aws_translate.get_terminology/2","type":"function"},{"doc":"","ref":"aws_translate.html#get_terminology/3","title":"aws_translate.get_terminology/3","type":"function"},{"doc":"Creates or updates a custom terminology, depending on whether one already exists for the given terminology name. Importing a terminology with the same name as an existing one will merge the terminologies based on the chosen merge strategy. The only supported merge strategy is OVERWRITE, where the imported terminology overwrites the existing terminology of the same name. If you import a terminology that overwrites an existing one, the new terminology takes up to 10 minutes to fully propagate. After that, translations have access to the new terminology.","ref":"aws_translate.html#import_terminology/2","title":"aws_translate.import_terminology/2","type":"function"},{"doc":"","ref":"aws_translate.html#import_terminology/3","title":"aws_translate.import_terminology/3","type":"function"},{"doc":"Provides a list of languages (RFC-5646 codes and names) that Amazon Translate supports.","ref":"aws_translate.html#list_languages/2","title":"aws_translate.list_languages/2","type":"function"},{"doc":"","ref":"aws_translate.html#list_languages/3","title":"aws_translate.list_languages/3","type":"function"},{"doc":"Provides a list of your parallel data resources in Amazon Translate.","ref":"aws_translate.html#list_parallel_data/2","title":"aws_translate.list_parallel_data/2","type":"function"},{"doc":"","ref":"aws_translate.html#list_parallel_data/3","title":"aws_translate.list_parallel_data/3","type":"function"},{"doc":"Lists all tags associated with a given Amazon Translate resource. For more information, see Tagging your resources.","ref":"aws_translate.html#list_tags_for_resource/2","title":"aws_translate.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_translate.html#list_tags_for_resource/3","title":"aws_translate.list_tags_for_resource/3","type":"function"},{"doc":"Provides a list of custom terminologies associated with your account.","ref":"aws_translate.html#list_terminologies/2","title":"aws_translate.list_terminologies/2","type":"function"},{"doc":"","ref":"aws_translate.html#list_terminologies/3","title":"aws_translate.list_terminologies/3","type":"function"},{"doc":"Gets a list of the batch translation jobs that you have submitted.","ref":"aws_translate.html#list_text_translation_jobs/2","title":"aws_translate.list_text_translation_jobs/2","type":"function"},{"doc":"","ref":"aws_translate.html#list_text_translation_jobs/3","title":"aws_translate.list_text_translation_jobs/3","type":"function"},{"doc":"Starts an asynchronous batch translation job. Use batch translation jobs to translate large volumes of text across multiple documents at once. For batch translation, you can input documents with different source languages (specify auto as the source language). You can specify one or more target languages. Batch translation translates each input document into each of the target languages. For more information, see Asynchronous batch processing. Batch translation jobs can be described with the DescribeTextTranslationJob operation, listed with the ListTextTranslationJobs operation, and stopped with the StopTextTranslationJob operation.","ref":"aws_translate.html#start_text_translation_job/2","title":"aws_translate.start_text_translation_job/2","type":"function"},{"doc":"","ref":"aws_translate.html#start_text_translation_job/3","title":"aws_translate.start_text_translation_job/3","type":"function"},{"doc":"Stops an asynchronous batch translation job that is in progress. If the job's state is IN_PROGRESS , the job will be marked for termination and put into the STOP_REQUESTED state. If the job completes before it can be stopped, it is put into the COMPLETED state. Otherwise, the job is put into the STOPPED state. Asynchronous batch translation jobs are started with the StartTextTranslationJob operation. You can use the DescribeTextTranslationJob or ListTextTranslationJobs operations to get a batch translation job's JobId .","ref":"aws_translate.html#stop_text_translation_job/2","title":"aws_translate.stop_text_translation_job/2","type":"function"},{"doc":"","ref":"aws_translate.html#stop_text_translation_job/3","title":"aws_translate.stop_text_translation_job/3","type":"function"},{"doc":"Associates a specific tag with a resource. A tag is a key-value pair that adds as a metadata to a resource. For more information, see Tagging your resources.","ref":"aws_translate.html#tag_resource/2","title":"aws_translate.tag_resource/2","type":"function"},{"doc":"","ref":"aws_translate.html#tag_resource/3","title":"aws_translate.tag_resource/3","type":"function"},{"doc":"Translates input text from the source language to the target language. For a list of available languages and language codes, see Supported languages.","ref":"aws_translate.html#translate_text/2","title":"aws_translate.translate_text/2","type":"function"},{"doc":"","ref":"aws_translate.html#translate_text/3","title":"aws_translate.translate_text/3","type":"function"},{"doc":"Removes a specific tag associated with an Amazon Translate resource. For more information, see Tagging your resources.","ref":"aws_translate.html#untag_resource/2","title":"aws_translate.untag_resource/2","type":"function"},{"doc":"","ref":"aws_translate.html#untag_resource/3","title":"aws_translate.untag_resource/3","type":"function"},{"doc":"Updates a previously created parallel data resource by importing a new input file from Amazon S3.","ref":"aws_translate.html#update_parallel_data/2","title":"aws_translate.update_parallel_data/2","type":"function"},{"doc":"","ref":"aws_translate.html#update_parallel_data/3","title":"aws_translate.update_parallel_data/3","type":"function"},{"doc":"","ref":"aws_util.html","title":"aws_util","type":"module"},{"doc":"Base16 encode binary data.","ref":"aws_util.html#base16/1","title":"aws_util.base16/1","type":"function"},{"doc":"Join binary values using the specified separator.","ref":"aws_util.html#binary_join/2","title":"aws_util.binary_join/2","type":"function"},{"doc":"Decode XML into a map representation When there is more than one element with the same tag name, their values get merged into a list. If the content is only text then a key with the element name and a value with the content is inserted. If the content is a mix between text and child elements, then the elements are processed as described above and all the text parts are merged under the binary __text key.","ref":"aws_util.html#decode_xml/1","title":"aws_util.decode_xml/1","type":"function"},{"doc":"Encode URI taking into account if it contains more than one segment.","ref":"aws_util.html#encode_multi_segment_uri/1","title":"aws_util.encode_multi_segment_uri/1","type":"function"},{"doc":"Encode the map's key/value pairs as a querystring. The query string must be sorted. The query string for query params that do not contain a value such as &quot;key&quot; should be encoded as &quot;key=&quot;. Without this fix, the request will result in a SignatureDoesNotMatch error.","ref":"aws_util.html#encode_query/1","title":"aws_util.encode_query/1","type":"function"},{"doc":"Encode URI into a percent-encoding string.","ref":"aws_util.html#encode_uri/1","title":"aws_util.encode_uri/1","type":"function"},{"doc":"Encode an Erlang map as XML All keys must be binaries. Values can be a binary, a list, an integer a float or another nested map.","ref":"aws_util.html#encode_xml/1","title":"aws_util.encode_xml/1","type":"function"},{"doc":"Get a value from nested maps","ref":"aws_util.html#get_in/2","title":"aws_util.get_in/2","type":"function"},{"doc":"Get a value from nested maps, return default value if missing","ref":"aws_util.html#get_in/3","title":"aws_util.get_in/3","type":"function"},{"doc":"Create an HMAC-SHA256 hexdigest for Key and Message.","ref":"aws_util.html#hmac_sha256/2","title":"aws_util.hmac_sha256/2","type":"function"},{"doc":"Create an HMAC-SHA256 hexdigest for Key and Message.","ref":"aws_util.html#hmac_sha256_hexdigest/2","title":"aws_util.hmac_sha256_hexdigest/2","type":"function"},{"doc":"Create a SHA256 hexdigest for Value.","ref":"aws_util.html#sha256_hexdigest/1","title":"aws_util.sha256_hexdigest/1","type":"function"},{"doc":"Amazon Connect Voice ID provides real-time caller authentication and fraud screening. This guide describes the APIs used for this service.","ref":"aws_voice_id.html","title":"aws_voice_id","type":"module"},{"doc":"Creates a domain that contains all Amazon Connect Voice ID data, such as speakers, fraudsters, customer audio, and voiceprints.","ref":"aws_voice_id.html#create_domain/2","title":"aws_voice_id.create_domain/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#create_domain/3","title":"aws_voice_id.create_domain/3","type":"function"},{"doc":"Deletes the specified domain from Voice ID.","ref":"aws_voice_id.html#delete_domain/2","title":"aws_voice_id.delete_domain/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#delete_domain/3","title":"aws_voice_id.delete_domain/3","type":"function"},{"doc":"Deletes the specified fraudster from Voice ID.","ref":"aws_voice_id.html#delete_fraudster/2","title":"aws_voice_id.delete_fraudster/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#delete_fraudster/3","title":"aws_voice_id.delete_fraudster/3","type":"function"},{"doc":"Deletes the specified speaker from Voice ID.","ref":"aws_voice_id.html#delete_speaker/2","title":"aws_voice_id.delete_speaker/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#delete_speaker/3","title":"aws_voice_id.delete_speaker/3","type":"function"},{"doc":"Describes the specified domain.","ref":"aws_voice_id.html#describe_domain/2","title":"aws_voice_id.describe_domain/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#describe_domain/3","title":"aws_voice_id.describe_domain/3","type":"function"},{"doc":"Describes the specified fraudster.","ref":"aws_voice_id.html#describe_fraudster/2","title":"aws_voice_id.describe_fraudster/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#describe_fraudster/3","title":"aws_voice_id.describe_fraudster/3","type":"function"},{"doc":"Describes the specified fraudster registration job.","ref":"aws_voice_id.html#describe_fraudster_registration_job/2","title":"aws_voice_id.describe_fraudster_registration_job/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#describe_fraudster_registration_job/3","title":"aws_voice_id.describe_fraudster_registration_job/3","type":"function"},{"doc":"Describes the specified speaker.","ref":"aws_voice_id.html#describe_speaker/2","title":"aws_voice_id.describe_speaker/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#describe_speaker/3","title":"aws_voice_id.describe_speaker/3","type":"function"},{"doc":"Describes the specified speaker enrollment job.","ref":"aws_voice_id.html#describe_speaker_enrollment_job/2","title":"aws_voice_id.describe_speaker_enrollment_job/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#describe_speaker_enrollment_job/3","title":"aws_voice_id.describe_speaker_enrollment_job/3","type":"function"},{"doc":"Evaluates a specified session based on audio data accumulated during a streaming Amazon Connect Voice ID call.","ref":"aws_voice_id.html#evaluate_session/2","title":"aws_voice_id.evaluate_session/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#evaluate_session/3","title":"aws_voice_id.evaluate_session/3","type":"function"},{"doc":"Lists all the domains in the Amazon Web Services account.","ref":"aws_voice_id.html#list_domains/2","title":"aws_voice_id.list_domains/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#list_domains/3","title":"aws_voice_id.list_domains/3","type":"function"},{"doc":"Lists all the fraudster registration jobs in the domain with the given JobStatus . If JobStatus is not provided, this lists all fraudster registration jobs in the given domain.","ref":"aws_voice_id.html#list_fraudster_registration_jobs/2","title":"aws_voice_id.list_fraudster_registration_jobs/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#list_fraudster_registration_jobs/3","title":"aws_voice_id.list_fraudster_registration_jobs/3","type":"function"},{"doc":"Lists all the speaker enrollment jobs in the domain with the specified JobStatus . If JobStatus is not provided, this lists all jobs with all possible speaker enrollment job statuses.","ref":"aws_voice_id.html#list_speaker_enrollment_jobs/2","title":"aws_voice_id.list_speaker_enrollment_jobs/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#list_speaker_enrollment_jobs/3","title":"aws_voice_id.list_speaker_enrollment_jobs/3","type":"function"},{"doc":"Lists all speakers in a specified domain.","ref":"aws_voice_id.html#list_speakers/2","title":"aws_voice_id.list_speakers/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#list_speakers/3","title":"aws_voice_id.list_speakers/3","type":"function"},{"doc":"Lists all tags associated with a specified Voice ID resource.","ref":"aws_voice_id.html#list_tags_for_resource/2","title":"aws_voice_id.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#list_tags_for_resource/3","title":"aws_voice_id.list_tags_for_resource/3","type":"function"},{"doc":"Opts out a speaker from Voice ID. A speaker can be opted out regardless of whether or not they already exist in Voice ID. If they don't yet exist, a new speaker is created in an opted out state. If they already exist, their existing status is overridden and they are opted out. Enrollment and evaluation authentication requests are rejected for opted out speakers, and opted out speakers have no voice embeddings stored in Voice ID.","ref":"aws_voice_id.html#opt_out_speaker/2","title":"aws_voice_id.opt_out_speaker/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#opt_out_speaker/3","title":"aws_voice_id.opt_out_speaker/3","type":"function"},{"doc":"Starts a new batch fraudster registration job using provided details.","ref":"aws_voice_id.html#start_fraudster_registration_job/2","title":"aws_voice_id.start_fraudster_registration_job/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#start_fraudster_registration_job/3","title":"aws_voice_id.start_fraudster_registration_job/3","type":"function"},{"doc":"Starts a new batch speaker enrollment job using specified details.","ref":"aws_voice_id.html#start_speaker_enrollment_job/2","title":"aws_voice_id.start_speaker_enrollment_job/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#start_speaker_enrollment_job/3","title":"aws_voice_id.start_speaker_enrollment_job/3","type":"function"},{"doc":"Tags a Voice ID resource with the provided list of tags.","ref":"aws_voice_id.html#tag_resource/2","title":"aws_voice_id.tag_resource/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#tag_resource/3","title":"aws_voice_id.tag_resource/3","type":"function"},{"doc":"Removes specified tags from a specified Amazon Connect Voice ID resource.","ref":"aws_voice_id.html#untag_resource/2","title":"aws_voice_id.untag_resource/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#untag_resource/3","title":"aws_voice_id.untag_resource/3","type":"function"},{"doc":"Updates the specified domain. This API has clobber behavior, and clears and replaces all attributes. If an optional field, such as 'Description' is not provided, it is removed from the domain.","ref":"aws_voice_id.html#update_domain/2","title":"aws_voice_id.update_domain/2","type":"function"},{"doc":"","ref":"aws_voice_id.html#update_domain/3","title":"aws_voice_id.update_domain/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. This is the AWS WAF Classic API Reference for using AWS WAF Classic with Amazon CloudFront. The AWS WAF Classic actions and data types listed in the reference are available for protecting Amazon CloudFront distributions. You can use these actions and data types via the endpoint waf.amazonaws.com. This guide is for developers who need detailed information about the AWS WAF Classic API actions, data types, and errors. For detailed information about AWS WAF Classic features and an overview of how to use the AWS WAF Classic API, see the AWS WAF Classic in the developer guide.","ref":"aws_waf.html","title":"aws_waf","type":"module"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a ByteMatchSet . You then use UpdateByteMatchSet to identify the part of a web request that you want AWS WAF to inspect, such as the values of the User-Agent header or the query string. For example, you can create a ByteMatchSet that matches any requests with User-Agent headers that contain the string BadBot . You can then configure AWS WAF to reject those requests. To create and configure a ByteMatchSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateByteMatchSet request. Submit a CreateByteMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateByteMatchSet request. Submit an UpdateByteMatchSet request to specify the part of the request that you want AWS WAF to inspect (for example, the header or the URI) and the value that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#create_byte_match_set/2","title":"aws_waf.create_byte_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_byte_match_set/3","title":"aws_waf.create_byte_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates an GeoMatchSet , which you use to specify which web requests you want to allow or block based on the country that the requests originate from. For example, if you're receiving a lot of requests from one or more countries and you want to block the requests, you can create an GeoMatchSet that contains those countries and then configure AWS WAF to block the requests. To create and configure a GeoMatchSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateGeoMatchSet request. Submit a CreateGeoMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateGeoMatchSet request. Submit an UpdateGeoMatchSetSet request to specify the countries that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#create_geo_match_set/2","title":"aws_waf.create_geo_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_geo_match_set/3","title":"aws_waf.create_geo_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates an IPSet , which you use to specify which web requests that you want to allow or block based on the IP addresses that the requests originate from. For example, if you're receiving a lot of requests from one or more individual IP addresses or one or more ranges of IP addresses and you want to block the requests, you can create an IPSet that contains those IP addresses and then configure AWS WAF to block the requests. To create and configure an IPSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateIPSet request. Submit a CreateIPSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateIPSet request. Submit an UpdateIPSet request to specify the IP addresses that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#create_ip_set/2","title":"aws_waf.create_ip_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_ip_set/3","title":"aws_waf.create_ip_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a RateBasedRule . The RateBasedRule contains a RateLimit , which specifies the maximum number of requests that AWS WAF allows from a specified IP address in a five-minute period. The RateBasedRule also contains the IPSet objects, ByteMatchSet objects, and other predicates that identify the requests that you want to count or block if these requests exceed the RateLimit . If you add more than one predicate to a RateBasedRule , a request not only must exceed the RateLimit , but it also must match all the conditions to be counted or blocked. For example, suppose you add the following to a RateBasedRule : An IPSet that matches the IP address 192.0.2.44/32 A ByteMatchSet that matches BadBot in the User-Agent header Further, you specify a RateLimit of 1,000. You then add the RateBasedRule to a WebACL and specify that you want to block requests that meet the conditions in the rule. For a request to be blocked, it must come from the IP address 192.0.2.44 and the User-Agent header in the request must contain the value BadBot . Further, requests that match these two conditions must be received at a rate of more than 1,000 requests every five minutes. If both conditions are met and the rate is exceeded, AWS WAF blocks the requests. If the rate drops below 1,000 for a five-minute period, AWS WAF no longer blocks the requests. As a second example, suppose you want to limit requests to a particular page on your site. To do this, you could add the following to a RateBasedRule : A ByteMatchSet with FieldToMatch of URI A PositionalConstraint of STARTS_WITH A TargetString of login Further, you specify a RateLimit of 1,000. By adding this RateBasedRule to a WebACL , you could limit requests to your login page without affecting the rest of your site. To create and configure a RateBasedRule , perform the following steps: Create and update the predicates that you want to include in the rule. For more information, see CreateByteMatchSet , CreateIPSet , and CreateSqlInjectionMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateRule request. Submit a CreateRateBasedRule request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRule request. Submit an UpdateRateBasedRule request to specify the predicates that you want to include in the rule. Create and update a WebACL that contains the RateBasedRule . For more information, see CreateWebACL . For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#create_rate_based_rule/2","title":"aws_waf.create_rate_based_rule/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_rate_based_rule/3","title":"aws_waf.create_rate_based_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a RegexMatchSet . You then use UpdateRegexMatchSet to identify the part of a web request that you want AWS WAF to inspect, such as the values of the User-Agent header or the query string. For example, you can create a RegexMatchSet that contains a RegexMatchTuple that looks for any requests with User-Agent headers that match a RegexPatternSet with pattern B[a@]dB[o0]t . You can then configure AWS WAF to reject those requests. To create and configure a RegexMatchSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateRegexMatchSet request. Submit a CreateRegexMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRegexMatchSet request. Submit an UpdateRegexMatchSet request to specify the part of the request that you want AWS WAF to inspect (for example, the header or the URI) and the value, using a RegexPatternSet , that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#create_regex_match_set/2","title":"aws_waf.create_regex_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_regex_match_set/3","title":"aws_waf.create_regex_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a RegexPatternSet . You then use UpdateRegexPatternSet to specify the regular expression (regex) pattern that you want AWS WAF to search for, such as B[a@]dB[o0]t . You can then configure AWS WAF to reject those requests. To create and configure a RegexPatternSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateRegexPatternSet request. Submit a CreateRegexPatternSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRegexPatternSet request. Submit an UpdateRegexPatternSet request to specify the string that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#create_regex_pattern_set/2","title":"aws_waf.create_regex_pattern_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_regex_pattern_set/3","title":"aws_waf.create_regex_pattern_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a Rule , which contains the IPSet objects, ByteMatchSet objects, and other predicates that identify the requests that you want to block. If you add more than one predicate to a Rule , a request must match all of the specifications to be allowed or blocked. For example, suppose that you add the following to a Rule : An IPSet that matches the IP address 192.0.2.44/32 A ByteMatchSet that matches BadBot in the User-Agent header You then add the Rule to a WebACL and specify that you want to blocks requests that satisfy the Rule . For a request to be blocked, it must come from the IP address 192.0.2.44 and the User-Agent header in the request must contain the value BadBot . To create and configure a Rule , perform the following steps: Create and update the predicates that you want to include in the Rule . For more information, see CreateByteMatchSet , CreateIPSet , and CreateSqlInjectionMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateRule request. Submit a CreateRule request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRule request. Submit an UpdateRule request to specify the predicates that you want to include in the Rule . Create and update a WebACL that contains the Rule . For more information, see CreateWebACL . For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#create_rule/2","title":"aws_waf.create_rule/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_rule/3","title":"aws_waf.create_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a RuleGroup . A rule group is a collection of predefined rules that you add to a web ACL. You use UpdateRuleGroup to add rules to the rule group. Rule groups are subject to the following limits: Three rule groups per account. You can request an increase to this limit by contacting customer support. One rule group per web ACL. Ten rules per rule group. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#create_rule_group/2","title":"aws_waf.create_rule_group/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_rule_group/3","title":"aws_waf.create_rule_group/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a SizeConstraintSet . You then use UpdateSizeConstraintSet to identify the part of a web request that you want AWS WAF to check for length, such as the length of the User-Agent header or the length of the query string. For example, you can create a SizeConstraintSet that matches any requests that have a query string that is longer than 100 bytes. You can then configure AWS WAF to reject those requests. To create and configure a SizeConstraintSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateSizeConstraintSet request. Submit a CreateSizeConstraintSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateSizeConstraintSet request. Submit an UpdateSizeConstraintSet request to specify the part of the request that you want AWS WAF to inspect (for example, the header or the URI) and the value that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#create_size_constraint_set/2","title":"aws_waf.create_size_constraint_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_size_constraint_set/3","title":"aws_waf.create_size_constraint_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a SqlInjectionMatchSet , which you use to allow, block, or count requests that contain snippets of SQL code in a specified part of web requests. AWS WAF searches for character sequences that are likely to be malicious strings. To create and configure a SqlInjectionMatchSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateSqlInjectionMatchSet request. Submit a CreateSqlInjectionMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateSqlInjectionMatchSet request. Submit an UpdateSqlInjectionMatchSet request to specify the parts of web requests in which you want to allow, block, or count malicious SQL code. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#create_sql_injection_match_set/2","title":"aws_waf.create_sql_injection_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_sql_injection_match_set/3","title":"aws_waf.create_sql_injection_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a WebACL , which contains the Rules that identify the CloudFront web requests that you want to allow, block, or count. AWS WAF evaluates Rules in order based on the value of Priority for each Rule . You also specify a default action, either ALLOW or BLOCK . If a web request doesn't match any of the Rules in a WebACL , AWS WAF responds to the request with the default action. To create and configure a WebACL , perform the following steps: Create and update the ByteMatchSet objects and other predicates that you want to include in Rules . For more information, see CreateByteMatchSet , UpdateByteMatchSet , CreateIPSet , UpdateIPSet , CreateSqlInjectionMatchSet , and UpdateSqlInjectionMatchSet . Create and update the Rules that you want to include in the WebACL . For more information, see CreateRule and UpdateRule . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateWebACL request. Submit a CreateWebACL request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateWebACL request. Submit an UpdateWebACL request to specify the Rules that you want to include in the WebACL , to specify the default action, and to associate the WebACL with a CloudFront distribution. For more information about how to use the AWS WAF API, see the AWS WAF Developer Guide.","ref":"aws_waf.html#create_web_acl/2","title":"aws_waf.create_web_acl/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_web_acl/3","title":"aws_waf.create_web_acl/3","type":"function"},{"doc":"Creates an AWS CloudFormation WAFV2 template for the specified web ACL in the specified Amazon S3 bucket. Then, in CloudFormation, you create a stack from the template, to create the web ACL and its resources in AWS WAFV2. Use this to migrate your AWS WAF Classic web ACL to the latest version of AWS WAF. This is part of a larger migration procedure for web ACLs from AWS WAF Classic to the latest version of AWS WAF. For the full procedure, including caveats and manual steps to complete the migration and switch over to the new web ACL, see Migrating your AWS WAF Classic resources to AWS WAF in the AWS WAF Developer Guide.","ref":"aws_waf.html#create_web_acl_migration_stack/2","title":"aws_waf.create_web_acl_migration_stack/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_web_acl_migration_stack/3","title":"aws_waf.create_web_acl_migration_stack/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates an XssMatchSet , which you use to allow, block, or count requests that contain cross-site scripting attacks in the specified part of web requests. AWS WAF searches for character sequences that are likely to be malicious strings. To create and configure an XssMatchSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateXssMatchSet request. Submit a CreateXssMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateXssMatchSet request. Submit an UpdateXssMatchSet request to specify the parts of web requests in which you want to allow, block, or count cross-site scripting attacks. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#create_xss_match_set/2","title":"aws_waf.create_xss_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#create_xss_match_set/3","title":"aws_waf.create_xss_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a ByteMatchSet . You can't delete a ByteMatchSet if it's still used in any Rules or if it still includes any ByteMatchTuple objects (any filters). If you just want to remove a ByteMatchSet from a Rule , use UpdateRule . To permanently delete a ByteMatchSet , perform the following steps: Update the ByteMatchSet to remove filters, if any. For more information, see UpdateByteMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteByteMatchSet request. Submit a DeleteByteMatchSet request.","ref":"aws_waf.html#delete_byte_match_set/2","title":"aws_waf.delete_byte_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_byte_match_set/3","title":"aws_waf.delete_byte_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a GeoMatchSet . You can't delete a GeoMatchSet if it's still used in any Rules or if it still includes any countries. If you just want to remove a GeoMatchSet from a Rule , use UpdateRule . To permanently delete a GeoMatchSet from AWS WAF, perform the following steps: Update the GeoMatchSet to remove any countries. For more information, see UpdateGeoMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteGeoMatchSet request. Submit a DeleteGeoMatchSet request.","ref":"aws_waf.html#delete_geo_match_set/2","title":"aws_waf.delete_geo_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_geo_match_set/3","title":"aws_waf.delete_geo_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes an IPSet . You can't delete an IPSet if it's still used in any Rules or if it still includes any IP addresses. If you just want to remove an IPSet from a Rule , use UpdateRule . To permanently delete an IPSet from AWS WAF, perform the following steps: Update the IPSet to remove IP address ranges, if any. For more information, see UpdateIPSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteIPSet request. Submit a DeleteIPSet request.","ref":"aws_waf.html#delete_ip_set/2","title":"aws_waf.delete_ip_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_ip_set/3","title":"aws_waf.delete_ip_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes the LoggingConfiguration from the specified web ACL.","ref":"aws_waf.html#delete_logging_configuration/2","title":"aws_waf.delete_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_logging_configuration/3","title":"aws_waf.delete_logging_configuration/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes an IAM policy from the specified RuleGroup. The user making the request must be the owner of the RuleGroup.","ref":"aws_waf.html#delete_permission_policy/2","title":"aws_waf.delete_permission_policy/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_permission_policy/3","title":"aws_waf.delete_permission_policy/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a RateBasedRule . You can't delete a rule if it's still used in any WebACL objects or if it still includes any predicates, such as ByteMatchSet objects. If you just want to remove a rule from a WebACL , use UpdateWebACL . To permanently delete a RateBasedRule from AWS WAF, perform the following steps: Update the RateBasedRule to remove predicates, if any. For more information, see UpdateRateBasedRule . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteRateBasedRule request. Submit a DeleteRateBasedRule request.","ref":"aws_waf.html#delete_rate_based_rule/2","title":"aws_waf.delete_rate_based_rule/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_rate_based_rule/3","title":"aws_waf.delete_rate_based_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a RegexMatchSet . You can't delete a RegexMatchSet if it's still used in any Rules or if it still includes any RegexMatchTuples objects (any filters). If you just want to remove a RegexMatchSet from a Rule , use UpdateRule . To permanently delete a RegexMatchSet , perform the following steps: Update the RegexMatchSet to remove filters, if any. For more information, see UpdateRegexMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteRegexMatchSet request. Submit a DeleteRegexMatchSet request.","ref":"aws_waf.html#delete_regex_match_set/2","title":"aws_waf.delete_regex_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_regex_match_set/3","title":"aws_waf.delete_regex_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a RegexPatternSet . You can't delete a RegexPatternSet if it's still used in any RegexMatchSet or if the RegexPatternSet is not empty.","ref":"aws_waf.html#delete_regex_pattern_set/2","title":"aws_waf.delete_regex_pattern_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_regex_pattern_set/3","title":"aws_waf.delete_regex_pattern_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a Rule . You can't delete a Rule if it's still used in any WebACL objects or if it still includes any predicates, such as ByteMatchSet objects. If you just want to remove a Rule from a WebACL , use UpdateWebACL . To permanently delete a Rule from AWS WAF, perform the following steps: Update the Rule to remove predicates, if any. For more information, see UpdateRule . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteRule request. Submit a DeleteRule request.","ref":"aws_waf.html#delete_rule/2","title":"aws_waf.delete_rule/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_rule/3","title":"aws_waf.delete_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a RuleGroup . You can't delete a RuleGroup if it's still used in any WebACL objects or if it still includes any rules. If you just want to remove a RuleGroup from a WebACL , use UpdateWebACL . To permanently delete a RuleGroup from AWS WAF, perform the following steps: Update the RuleGroup to remove rules, if any. For more information, see UpdateRuleGroup . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteRuleGroup request. Submit a DeleteRuleGroup request.","ref":"aws_waf.html#delete_rule_group/2","title":"aws_waf.delete_rule_group/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_rule_group/3","title":"aws_waf.delete_rule_group/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a SizeConstraintSet . You can't delete a SizeConstraintSet if it's still used in any Rules or if it still includes any SizeConstraint objects (any filters). If you just want to remove a SizeConstraintSet from a Rule , use UpdateRule . To permanently delete a SizeConstraintSet , perform the following steps: Update the SizeConstraintSet to remove filters, if any. For more information, see UpdateSizeConstraintSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteSizeConstraintSet request. Submit a DeleteSizeConstraintSet request.","ref":"aws_waf.html#delete_size_constraint_set/2","title":"aws_waf.delete_size_constraint_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_size_constraint_set/3","title":"aws_waf.delete_size_constraint_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a SqlInjectionMatchSet . You can't delete a SqlInjectionMatchSet if it's still used in any Rules or if it still contains any SqlInjectionMatchTuple objects. If you just want to remove a SqlInjectionMatchSet from a Rule , use UpdateRule . To permanently delete a SqlInjectionMatchSet from AWS WAF, perform the following steps: Update the SqlInjectionMatchSet to remove filters, if any. For more information, see UpdateSqlInjectionMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteSqlInjectionMatchSet request. Submit a DeleteSqlInjectionMatchSet request.","ref":"aws_waf.html#delete_sql_injection_match_set/2","title":"aws_waf.delete_sql_injection_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_sql_injection_match_set/3","title":"aws_waf.delete_sql_injection_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a WebACL . You can't delete a WebACL if it still contains any Rules . To delete a WebACL , perform the following steps: Update the WebACL to remove Rules , if any. For more information, see UpdateWebACL . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteWebACL request. Submit a DeleteWebACL request.","ref":"aws_waf.html#delete_web_acl/2","title":"aws_waf.delete_web_acl/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_web_acl/3","title":"aws_waf.delete_web_acl/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes an XssMatchSet . You can't delete an XssMatchSet if it's still used in any Rules or if it still contains any XssMatchTuple objects. If you just want to remove an XssMatchSet from a Rule , use UpdateRule . To permanently delete an XssMatchSet from AWS WAF, perform the following steps: Update the XssMatchSet to remove filters, if any. For more information, see UpdateXssMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteXssMatchSet request. Submit a DeleteXssMatchSet request.","ref":"aws_waf.html#delete_xss_match_set/2","title":"aws_waf.delete_xss_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#delete_xss_match_set/3","title":"aws_waf.delete_xss_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the ByteMatchSet specified by ByteMatchSetId .","ref":"aws_waf.html#get_byte_match_set/2","title":"aws_waf.get_byte_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_byte_match_set/3","title":"aws_waf.get_byte_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. When you want to create, update, or delete AWS WAF objects, get a change token and include the change token in the create, update, or delete request. Change tokens ensure that your application doesn't submit conflicting requests to AWS WAF. Each create, update, or delete request must use a unique change token. If your application submits a GetChangeToken request and then submits a second GetChangeToken request before submitting a create, update, or delete request, the second GetChangeToken request returns the same value as the first GetChangeToken request. When you use a change token in a create, update, or delete request, the status of the change token changes to PENDING , which indicates that AWS WAF is propagating the change to all AWS WAF servers. Use GetChangeTokenStatus to determine the status of your change token.","ref":"aws_waf.html#get_change_token/2","title":"aws_waf.get_change_token/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_change_token/3","title":"aws_waf.get_change_token/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the status of a ChangeToken that you got by calling GetChangeToken . ChangeTokenStatus is one of the following values: PROVISIONED : You requested the change token by calling GetChangeToken , but you haven't used it yet in a call to create, update, or delete an AWS WAF object. PENDING : AWS WAF is propagating the create, update, or delete request to all AWS WAF servers. INSYNC : Propagation is complete.","ref":"aws_waf.html#get_change_token_status/2","title":"aws_waf.get_change_token_status/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_change_token_status/3","title":"aws_waf.get_change_token_status/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the GeoMatchSet that is specified by GeoMatchSetId .","ref":"aws_waf.html#get_geo_match_set/2","title":"aws_waf.get_geo_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_geo_match_set/3","title":"aws_waf.get_geo_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the IPSet that is specified by IPSetId .","ref":"aws_waf.html#get_ip_set/2","title":"aws_waf.get_ip_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_ip_set/3","title":"aws_waf.get_ip_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the LoggingConfiguration for the specified web ACL.","ref":"aws_waf.html#get_logging_configuration/2","title":"aws_waf.get_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_logging_configuration/3","title":"aws_waf.get_logging_configuration/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the IAM policy attached to the RuleGroup.","ref":"aws_waf.html#get_permission_policy/2","title":"aws_waf.get_permission_policy/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_permission_policy/3","title":"aws_waf.get_permission_policy/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the RateBasedRule that is specified by the RuleId that you included in the GetRateBasedRule request.","ref":"aws_waf.html#get_rate_based_rule/2","title":"aws_waf.get_rate_based_rule/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_rate_based_rule/3","title":"aws_waf.get_rate_based_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of IP addresses currently being blocked by the RateBasedRule that is specified by the RuleId . The maximum number of managed keys that will be blocked is 10,000. If more than 10,000 addresses exceed the rate limit, the 10,000 addresses with the highest rates will be blocked.","ref":"aws_waf.html#get_rate_based_rule_managed_keys/2","title":"aws_waf.get_rate_based_rule_managed_keys/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_rate_based_rule_managed_keys/3","title":"aws_waf.get_rate_based_rule_managed_keys/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the RegexMatchSet specified by RegexMatchSetId .","ref":"aws_waf.html#get_regex_match_set/2","title":"aws_waf.get_regex_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_regex_match_set/3","title":"aws_waf.get_regex_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the RegexPatternSet specified by RegexPatternSetId .","ref":"aws_waf.html#get_regex_pattern_set/2","title":"aws_waf.get_regex_pattern_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_regex_pattern_set/3","title":"aws_waf.get_regex_pattern_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the Rule that is specified by the RuleId that you included in the GetRule request.","ref":"aws_waf.html#get_rule/2","title":"aws_waf.get_rule/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_rule/3","title":"aws_waf.get_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the RuleGroup that is specified by the RuleGroupId that you included in the GetRuleGroup request. To view the rules in a rule group, use ListActivatedRulesInRuleGroup .","ref":"aws_waf.html#get_rule_group/2","title":"aws_waf.get_rule_group/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_rule_group/3","title":"aws_waf.get_rule_group/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Gets detailed information about a specified number of requests--a sample--that AWS WAF randomly selects from among the first 5,000 requests that your AWS resource received during a time range that you choose. You can specify a sample size of up to 500 requests, and you can specify any time range in the previous three hours. GetSampledRequests returns a time range, which is usually the time range that you specified. However, if your resource (such as a CloudFront distribution) received 5,000 requests before the specified time range elapsed, GetSampledRequests returns an updated time range. This new time range indicates the actual period during which AWS WAF selected the requests in the sample.","ref":"aws_waf.html#get_sampled_requests/2","title":"aws_waf.get_sampled_requests/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_sampled_requests/3","title":"aws_waf.get_sampled_requests/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the SizeConstraintSet specified by SizeConstraintSetId .","ref":"aws_waf.html#get_size_constraint_set/2","title":"aws_waf.get_size_constraint_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_size_constraint_set/3","title":"aws_waf.get_size_constraint_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the SqlInjectionMatchSet that is specified by SqlInjectionMatchSetId .","ref":"aws_waf.html#get_sql_injection_match_set/2","title":"aws_waf.get_sql_injection_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_sql_injection_match_set/3","title":"aws_waf.get_sql_injection_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the WebACL that is specified by WebACLId .","ref":"aws_waf.html#get_web_acl/2","title":"aws_waf.get_web_acl/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_web_acl/3","title":"aws_waf.get_web_acl/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the XssMatchSet that is specified by XssMatchSetId .","ref":"aws_waf.html#get_xss_match_set/2","title":"aws_waf.get_xss_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#get_xss_match_set/3","title":"aws_waf.get_xss_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of ActivatedRule objects.","ref":"aws_waf.html#list_activated_rules_in_rule_group/2","title":"aws_waf.list_activated_rules_in_rule_group/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_activated_rules_in_rule_group/3","title":"aws_waf.list_activated_rules_in_rule_group/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of ByteMatchSetSummary objects.","ref":"aws_waf.html#list_byte_match_sets/2","title":"aws_waf.list_byte_match_sets/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_byte_match_sets/3","title":"aws_waf.list_byte_match_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of GeoMatchSetSummary objects in the response.","ref":"aws_waf.html#list_geo_match_sets/2","title":"aws_waf.list_geo_match_sets/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_geo_match_sets/3","title":"aws_waf.list_geo_match_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of IPSetSummary objects in the response.","ref":"aws_waf.html#list_ip_sets/2","title":"aws_waf.list_ip_sets/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_ip_sets/3","title":"aws_waf.list_ip_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of LoggingConfiguration objects.","ref":"aws_waf.html#list_logging_configurations/2","title":"aws_waf.list_logging_configurations/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_logging_configurations/3","title":"aws_waf.list_logging_configurations/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of RuleSummary objects.","ref":"aws_waf.html#list_rate_based_rules/2","title":"aws_waf.list_rate_based_rules/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_rate_based_rules/3","title":"aws_waf.list_rate_based_rules/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of RegexMatchSetSummary objects.","ref":"aws_waf.html#list_regex_match_sets/2","title":"aws_waf.list_regex_match_sets/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_regex_match_sets/3","title":"aws_waf.list_regex_match_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of RegexPatternSetSummary objects.","ref":"aws_waf.html#list_regex_pattern_sets/2","title":"aws_waf.list_regex_pattern_sets/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_regex_pattern_sets/3","title":"aws_waf.list_regex_pattern_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of RuleGroup objects.","ref":"aws_waf.html#list_rule_groups/2","title":"aws_waf.list_rule_groups/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_rule_groups/3","title":"aws_waf.list_rule_groups/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of RuleSummary objects.","ref":"aws_waf.html#list_rules/2","title":"aws_waf.list_rules/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_rules/3","title":"aws_waf.list_rules/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of SizeConstraintSetSummary objects.","ref":"aws_waf.html#list_size_constraint_sets/2","title":"aws_waf.list_size_constraint_sets/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_size_constraint_sets/3","title":"aws_waf.list_size_constraint_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of SqlInjectionMatchSet objects.","ref":"aws_waf.html#list_sql_injection_match_sets/2","title":"aws_waf.list_sql_injection_match_sets/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_sql_injection_match_sets/3","title":"aws_waf.list_sql_injection_match_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of RuleGroup objects that you are subscribed to.","ref":"aws_waf.html#list_subscribed_rule_groups/2","title":"aws_waf.list_subscribed_rule_groups/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_subscribed_rule_groups/3","title":"aws_waf.list_subscribed_rule_groups/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Retrieves the tags associated with the specified AWS resource. Tags are key:value pairs that you can use to categorize and manage your resources, for purposes like billing. For example, you might set the tag key to &quot;customer&quot; and the value to the customer name or ID. You can specify one or more tags to add to each AWS resource, up to 50 tags for a resource. Tagging is only available through the API, SDKs, and CLI. You can't manage or view tags through the AWS WAF Classic console. You can tag the AWS resources that you manage through AWS WAF Classic: web ACLs, rule groups, and rules.","ref":"aws_waf.html#list_tags_for_resource/2","title":"aws_waf.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_tags_for_resource/3","title":"aws_waf.list_tags_for_resource/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of WebACLSummary objects in the response.","ref":"aws_waf.html#list_web_acls/2","title":"aws_waf.list_web_acls/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_web_acls/3","title":"aws_waf.list_web_acls/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of XssMatchSet objects.","ref":"aws_waf.html#list_xss_match_sets/2","title":"aws_waf.list_xss_match_sets/2","type":"function"},{"doc":"","ref":"aws_waf.html#list_xss_match_sets/3","title":"aws_waf.list_xss_match_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Associates a LoggingConfiguration with a specified web ACL. You can access information about all traffic that AWS WAF inspects using the following steps: Create an Amazon Kinesis Data Firehose. Create the data firehose with a PUT source and in the region that you are operating. However, if you are capturing logs for Amazon CloudFront, always create the firehose in US East (N. Virginia). Do not create the data firehose using a Kinesis stream as your source. Associate that firehose to your web ACL using a PutLoggingConfiguration request. When you successfully enable logging using a PutLoggingConfiguration request, AWS WAF will create a service linked role with the necessary permissions to write logs to the Amazon Kinesis Data Firehose. For more information, see Logging Web ACL Traffic Information in the AWS WAF Developer Guide.","ref":"aws_waf.html#put_logging_configuration/2","title":"aws_waf.put_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_waf.html#put_logging_configuration/3","title":"aws_waf.put_logging_configuration/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Attaches an IAM policy to the specified resource. The only supported use for this action is to share a RuleGroup across accounts. The PutPermissionPolicy is subject to the following restrictions: You can attach only one policy with each PutPermissionPolicy request. The policy must include an Effect , Action and Principal . Effect must specify Allow . The Action in the policy must be waf:UpdateWebACL , waf-regional:UpdateWebACL , waf:GetRuleGroup and waf-regional:GetRuleGroup . Any extra or wildcard actions in the policy will be rejected. The policy cannot include a Resource parameter. The ARN in the request must be a valid WAF RuleGroup ARN and the RuleGroup must exist in the same region. The user making the request must be the owner of the RuleGroup. Your policy must be composed using IAM Policy version 2012-10-17. For more information, see IAM Policies. An example of a valid policy parameter is shown in the Examples section below.","ref":"aws_waf.html#put_permission_policy/2","title":"aws_waf.put_permission_policy/2","type":"function"},{"doc":"","ref":"aws_waf.html#put_permission_policy/3","title":"aws_waf.put_permission_policy/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Associates tags with the specified AWS resource. Tags are key:value pairs that you can use to categorize and manage your resources, for purposes like billing. For example, you might set the tag key to &quot;customer&quot; and the value to the customer name or ID. You can specify one or more tags to add to each AWS resource, up to 50 tags for a resource. Tagging is only available through the API, SDKs, and CLI. You can't manage or view tags through the AWS WAF Classic console. You can use this action to tag the AWS resources that you manage through AWS WAF Classic: web ACLs, rule groups, and rules.","ref":"aws_waf.html#tag_resource/2","title":"aws_waf.tag_resource/2","type":"function"},{"doc":"","ref":"aws_waf.html#tag_resource/3","title":"aws_waf.tag_resource/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use.","ref":"aws_waf.html#untag_resource/2","title":"aws_waf.untag_resource/2","type":"function"},{"doc":"","ref":"aws_waf.html#untag_resource/3","title":"aws_waf.untag_resource/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes ByteMatchTuple objects (filters) in a ByteMatchSet . For each ByteMatchTuple object, you specify the following values: Whether to insert or delete the object from the array. If you want to change a ByteMatchSetUpdate object, you delete the existing object and add a new one. The part of a web request that you want AWS WAF to inspect, such as a query string or the value of the User-Agent header. The bytes (typically a string that corresponds with ASCII characters) that you want AWS WAF to look for. For more information, including how you specify the values for the AWS WAF API and the AWS CLI or SDKs, see TargetString in the ByteMatchTuple data type. Where to look, such as at the beginning or the end of a query string. Whether to perform any conversions on the request, such as converting it to lowercase, before inspecting it for the specified string. For example, you can add a ByteMatchSetUpdate object that matches web requests in which User-Agent headers contain the string BadBot . You can then configure AWS WAF to block those requests. To create and configure a ByteMatchSet , perform the following steps: Create a ByteMatchSet. For more information, see CreateByteMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateByteMatchSet request. Submit an UpdateByteMatchSet request to specify the part of the request that you want AWS WAF to inspect (for example, the header or the URI) and the value that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#update_byte_match_set/2","title":"aws_waf.update_byte_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#update_byte_match_set/3","title":"aws_waf.update_byte_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes GeoMatchConstraint objects in an GeoMatchSet . For each GeoMatchConstraint object, you specify the following values: Whether to insert or delete the object from the array. If you want to change an GeoMatchConstraint object, you delete the existing object and add a new one. The Type . The only valid value for Type is Country . The Value , which is a two character code for the country to add to the GeoMatchConstraint object. Valid codes are listed in GeoMatchConstraint$Value . To create and configure an GeoMatchSet , perform the following steps: Submit a CreateGeoMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateGeoMatchSet request. Submit an UpdateGeoMatchSet request to specify the country that you want AWS WAF to watch for. When you update an GeoMatchSet , you specify the country that you want to add and/or the country that you want to delete. If you want to change a country, you delete the existing country and add the new one. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#update_geo_match_set/2","title":"aws_waf.update_geo_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#update_geo_match_set/3","title":"aws_waf.update_geo_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes IPSetDescriptor objects in an IPSet . For each IPSetDescriptor object, you specify the following values: Whether to insert or delete the object from the array. If you want to change an IPSetDescriptor object, you delete the existing object and add a new one. The IP address version, IPv4 or IPv6 . The IP address in CIDR notation, for example, 192.0.2.0/24 (for the range of IP addresses from 192.0.2.0 to 192.0.2.255 ) or 192.0.2.44/32 (for the individual IP address 192.0.2.44 ). AWS WAF supports IPv4 address ranges: /8 and any range between /16 through /32. AWS WAF supports IPv6 address ranges: /24, /32, /48, /56, /64, and /128. For more information about CIDR notation, see the Wikipedia entry Classless Inter-Domain Routing. IPv6 addresses can be represented using any of the following formats: 1111:0000:0000:0000:0000:0000:0000:0111/128 1111:0:0:0:0:0:0:0111/128 1111::0111/128 1111::111/128 You use an IPSet to specify which web requests you want to allow or block based on the IP addresses that the requests originated from. For example, if you're receiving a lot of requests from one or a small number of IP addresses and you want to block the requests, you can create an IPSet that specifies those IP addresses, and then configure AWS WAF to block the requests. To create and configure an IPSet , perform the following steps: Submit a CreateIPSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateIPSet request. Submit an UpdateIPSet request to specify the IP addresses that you want AWS WAF to watch for. When you update an IPSet , you specify the IP addresses that you want to add and/or the IP addresses that you want to delete. If you want to change an IP address, you delete the existing IP address and add the new one. You can insert a maximum of 1000 addresses in a single request. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#update_ip_set/2","title":"aws_waf.update_ip_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#update_ip_set/3","title":"aws_waf.update_ip_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes Predicate objects in a rule and updates the RateLimit in the rule. Each Predicate object identifies a predicate, such as a ByteMatchSet or an IPSet , that specifies the web requests that you want to block or count. The RateLimit specifies the number of requests every five minutes that triggers the rule. If you add more than one predicate to a RateBasedRule , a request must match all the predicates and exceed the RateLimit to be counted or blocked. For example, suppose you add the following to a RateBasedRule : An IPSet that matches the IP address 192.0.2.44/32 A ByteMatchSet that matches BadBot in the User-Agent header Further, you specify a RateLimit of 1,000. You then add the RateBasedRule to a WebACL and specify that you want to block requests that satisfy the rule. For a request to be blocked, it must come from the IP address 192.0.2.44 and the User-Agent header in the request must contain the value BadBot . Further, requests that match these two conditions much be received at a rate of more than 1,000 every five minutes. If the rate drops below this limit, AWS WAF no longer blocks the requests. As a second example, suppose you want to limit requests to a particular page on your site. To do this, you could add the following to a RateBasedRule : A ByteMatchSet with FieldToMatch of URI A PositionalConstraint of STARTS_WITH A TargetString of login Further, you specify a RateLimit of 1,000. By adding this RateBasedRule to a WebACL , you could limit requests to your login page without affecting the rest of your site.","ref":"aws_waf.html#update_rate_based_rule/2","title":"aws_waf.update_rate_based_rule/2","type":"function"},{"doc":"","ref":"aws_waf.html#update_rate_based_rule/3","title":"aws_waf.update_rate_based_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes RegexMatchTuple objects (filters) in a RegexMatchSet . For each RegexMatchSetUpdate object, you specify the following values: Whether to insert or delete the object from the array. If you want to change a RegexMatchSetUpdate object, you delete the existing object and add a new one. The part of a web request that you want AWS WAF to inspectupdate, such as a query string or the value of the User-Agent header. The identifier of the pattern (a regular expression) that you want AWS WAF to look for. For more information, see RegexPatternSet . Whether to perform any conversions on the request, such as converting it to lowercase, before inspecting it for the specified string. For example, you can create a RegexPatternSet that matches any requests with User-Agent headers that contain the string B[a@]dB[o0]t . You can then configure AWS WAF to reject those requests. To create and configure a RegexMatchSet , perform the following steps: Create a RegexMatchSet. For more information, see CreateRegexMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRegexMatchSet request. Submit an UpdateRegexMatchSet request to specify the part of the request that you want AWS WAF to inspect (for example, the header or the URI) and the identifier of the RegexPatternSet that contain the regular expression patters you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#update_regex_match_set/2","title":"aws_waf.update_regex_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#update_regex_match_set/3","title":"aws_waf.update_regex_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes RegexPatternString objects in a RegexPatternSet . For each RegexPatternString object, you specify the following values: Whether to insert or delete the RegexPatternString . The regular expression pattern that you want to insert or delete. For more information, see RegexPatternSet . For example, you can create a RegexPatternString such as B[a@]dB[o0]t . AWS WAF will match this RegexPatternString to: BadBot BadB0t B@dBot B@dB0t To create and configure a RegexPatternSet , perform the following steps: Create a RegexPatternSet. For more information, see CreateRegexPatternSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRegexPatternSet request. Submit an UpdateRegexPatternSet request to specify the regular expression pattern that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#update_regex_pattern_set/2","title":"aws_waf.update_regex_pattern_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#update_regex_pattern_set/3","title":"aws_waf.update_regex_pattern_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes Predicate objects in a Rule . Each Predicate object identifies a predicate, such as a ByteMatchSet or an IPSet , that specifies the web requests that you want to allow, block, or count. If you add more than one predicate to a Rule , a request must match all of the specifications to be allowed, blocked, or counted. For example, suppose that you add the following to a Rule : A ByteMatchSet that matches the value BadBot in the User-Agent header An IPSet that matches the IP address 192.0.2.44 You then add the Rule to a WebACL and specify that you want to block requests that satisfy the Rule . For a request to be blocked, the User-Agent header in the request must contain the value BadBot and the request must originate from the IP address 192.0.2.44. To create and configure a Rule , perform the following steps: Create and update the predicates that you want to include in the Rule . Create the Rule . See CreateRule . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRule request. Submit an UpdateRule request to add predicates to the Rule . Create and update a WebACL that contains the Rule . See CreateWebACL . If you want to replace one ByteMatchSet or IPSet with another, you delete the existing one and add the new one. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#update_rule/2","title":"aws_waf.update_rule/2","type":"function"},{"doc":"","ref":"aws_waf.html#update_rule/3","title":"aws_waf.update_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes ActivatedRule objects in a RuleGroup . You can only insert REGULAR rules into a rule group. You can have a maximum of ten rules per rule group. To create and configure a RuleGroup , perform the following steps: Create and update the Rules that you want to include in the RuleGroup . See CreateRule . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRuleGroup request. Submit an UpdateRuleGroup request to add Rules to the RuleGroup . Create and update a WebACL that contains the RuleGroup . See CreateWebACL . If you want to replace one Rule with another, you delete the existing one and add the new one. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#update_rule_group/2","title":"aws_waf.update_rule_group/2","type":"function"},{"doc":"","ref":"aws_waf.html#update_rule_group/3","title":"aws_waf.update_rule_group/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes SizeConstraint objects (filters) in a SizeConstraintSet . For each SizeConstraint object, you specify the following values: Whether to insert or delete the object from the array. If you want to change a SizeConstraintSetUpdate object, you delete the existing object and add a new one. The part of a web request that you want AWS WAF to evaluate, such as the length of a query string or the length of the User-Agent header. Whether to perform any transformations on the request, such as converting it to lowercase, before checking its length. Note that transformations of the request body are not supported because the AWS resource forwards only the first 8192 bytes of your request to AWS WAF. You can only specify a single type of TextTransformation. A ComparisonOperator used for evaluating the selected part of the request against the specified Size , such as equals, greater than, less than, and so on. The length, in bytes, that you want AWS WAF to watch for in selected part of the request. The length is computed after applying the transformation. For example, you can add a SizeConstraintSetUpdate object that matches web requests in which the length of the User-Agent header is greater than 100 bytes. You can then configure AWS WAF to block those requests. To create and configure a SizeConstraintSet , perform the following steps: Create a SizeConstraintSet. For more information, see CreateSizeConstraintSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateSizeConstraintSet request. Submit an UpdateSizeConstraintSet request to specify the part of the request that you want AWS WAF to inspect (for example, the header or the URI) and the value that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#update_size_constraint_set/2","title":"aws_waf.update_size_constraint_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#update_size_constraint_set/3","title":"aws_waf.update_size_constraint_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes SqlInjectionMatchTuple objects (filters) in a SqlInjectionMatchSet . For each SqlInjectionMatchTuple object, you specify the following values: Action : Whether to insert the object into or delete the object from the array. To change a SqlInjectionMatchTuple , you delete the existing object and add a new one. FieldToMatch : The part of web requests that you want AWS WAF to inspect and, if you want AWS WAF to inspect a header or custom query parameter, the name of the header or parameter. TextTransformation : Which text transformation, if any, to perform on the web request before inspecting the request for snippets of malicious SQL code. You can only specify a single type of TextTransformation. You use SqlInjectionMatchSet objects to specify which CloudFront requests that you want to allow, block, or count. For example, if you're receiving requests that contain snippets of SQL code in the query string and you want to block the requests, you can create a SqlInjectionMatchSet with the applicable settings, and then configure AWS WAF to block the requests. To create and configure a SqlInjectionMatchSet , perform the following steps: Submit a CreateSqlInjectionMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateIPSet request. Submit an UpdateSqlInjectionMatchSet request to specify the parts of web requests that you want AWS WAF to inspect for snippets of SQL code. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#update_sql_injection_match_set/2","title":"aws_waf.update_sql_injection_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#update_sql_injection_match_set/3","title":"aws_waf.update_sql_injection_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes ActivatedRule objects in a WebACL . Each Rule identifies web requests that you want to allow, block, or count. When you update a WebACL , you specify the following values: A default action for the WebACL , either ALLOW or BLOCK . AWS WAF performs the default action if a request doesn't match the criteria in any of the Rules in a WebACL . The Rules that you want to add or delete. If you want to replace one Rule with another, you delete the existing Rule and add the new one. For each Rule , whether you want AWS WAF to allow requests, block requests, or count requests that match the conditions in the Rule . The order in which you want AWS WAF to evaluate the Rules in a WebACL . If you add more than one Rule to a WebACL , AWS WAF evaluates each request against the Rules in order based on the value of Priority . (The Rule that has the lowest value for Priority is evaluated first.) When a web request matches all the predicates (such as ByteMatchSets and IPSets ) in a Rule , AWS WAF immediately takes the corresponding action, allow or block, and doesn't evaluate the request against the remaining Rules in the WebACL , if any. To create and configure a WebACL , perform the following steps: Create and update the predicates that you want to include in Rules . For more information, see CreateByteMatchSet , UpdateByteMatchSet , CreateIPSet , UpdateIPSet , CreateSqlInjectionMatchSet , and UpdateSqlInjectionMatchSet . Create and update the Rules that you want to include in the WebACL . For more information, see CreateRule and UpdateRule . Create a WebACL . See CreateWebACL . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateWebACL request. Submit an UpdateWebACL request to specify the Rules that you want to include in the WebACL , to specify the default action, and to associate the WebACL with a CloudFront distribution. The ActivatedRule can be a rule group. If you specify a rule group as your ActivatedRule , you can exclude specific rules from that rule group. If you already have a rule group associated with a web ACL and want to submit an UpdateWebACL request to exclude certain rules from that rule group, you must first remove the rule group from the web ACL, the re-insert it again, specifying the excluded rules. For details, see ActivatedRule$ExcludedRules . Be aware that if you try to add a RATE_BASED rule to a web ACL without setting the rule type when first creating the rule, the UpdateWebACL request will fail because the request tries to add a REGULAR rule (the default rule type) with the specified ID, which does not exist. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#update_web_acl/2","title":"aws_waf.update_web_acl/2","type":"function"},{"doc":"","ref":"aws_waf.html#update_web_acl/3","title":"aws_waf.update_web_acl/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes XssMatchTuple objects (filters) in an XssMatchSet . For each XssMatchTuple object, you specify the following values: Action : Whether to insert the object into or delete the object from the array. To change an XssMatchTuple , you delete the existing object and add a new one. FieldToMatch : The part of web requests that you want AWS WAF to inspect and, if you want AWS WAF to inspect a header or custom query parameter, the name of the header or parameter. TextTransformation : Which text transformation, if any, to perform on the web request before inspecting the request for cross-site scripting attacks. You can only specify a single type of TextTransformation. You use XssMatchSet objects to specify which CloudFront requests that you want to allow, block, or count. For example, if you're receiving requests that contain cross-site scripting attacks in the request body and you want to block the requests, you can create an XssMatchSet with the applicable settings, and then configure AWS WAF to block the requests. To create and configure an XssMatchSet , perform the following steps: Submit a CreateXssMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateIPSet request. Submit an UpdateXssMatchSet request to specify the parts of web requests that you want AWS WAF to inspect for cross-site scripting attacks. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf.html#update_xss_match_set/2","title":"aws_waf.update_xss_match_set/2","type":"function"},{"doc":"","ref":"aws_waf.html#update_xss_match_set/3","title":"aws_waf.update_xss_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic Regional documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. This is the AWS WAF Regional Classic API Reference for using AWS WAF Classic with the AWS resources, Elastic Load Balancing (ELB) Application Load Balancers and API Gateway APIs. The AWS WAF Classic actions and data types listed in the reference are available for protecting Elastic Load Balancing (ELB) Application Load Balancers and API Gateway APIs. You can use these actions and data types by means of the endpoints listed in AWS Regions and Endpoints. This guide is for developers who need detailed information about the AWS WAF Classic API actions, data types, and errors. For detailed information about AWS WAF Classic features and an overview of how to use the AWS WAF Classic API, see the AWS WAF Classic in the developer guide.","ref":"aws_waf_regional.html","title":"aws_waf_regional","type":"module"},{"doc":"This is AWS WAF Classic Regional documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Associates a web ACL with a resource, either an application load balancer or Amazon API Gateway stage.","ref":"aws_waf_regional.html#associate_web_acl/2","title":"aws_waf_regional.associate_web_acl/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#associate_web_acl/3","title":"aws_waf_regional.associate_web_acl/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a ByteMatchSet . You then use UpdateByteMatchSet to identify the part of a web request that you want AWS WAF to inspect, such as the values of the User-Agent header or the query string. For example, you can create a ByteMatchSet that matches any requests with User-Agent headers that contain the string BadBot . You can then configure AWS WAF to reject those requests. To create and configure a ByteMatchSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateByteMatchSet request. Submit a CreateByteMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateByteMatchSet request. Submit an UpdateByteMatchSet request to specify the part of the request that you want AWS WAF to inspect (for example, the header or the URI) and the value that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_byte_match_set/2","title":"aws_waf_regional.create_byte_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_byte_match_set/3","title":"aws_waf_regional.create_byte_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates an GeoMatchSet , which you use to specify which web requests you want to allow or block based on the country that the requests originate from. For example, if you're receiving a lot of requests from one or more countries and you want to block the requests, you can create an GeoMatchSet that contains those countries and then configure AWS WAF to block the requests. To create and configure a GeoMatchSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateGeoMatchSet request. Submit a CreateGeoMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateGeoMatchSet request. Submit an UpdateGeoMatchSetSet request to specify the countries that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_geo_match_set/2","title":"aws_waf_regional.create_geo_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_geo_match_set/3","title":"aws_waf_regional.create_geo_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates an IPSet , which you use to specify which web requests that you want to allow or block based on the IP addresses that the requests originate from. For example, if you're receiving a lot of requests from one or more individual IP addresses or one or more ranges of IP addresses and you want to block the requests, you can create an IPSet that contains those IP addresses and then configure AWS WAF to block the requests. To create and configure an IPSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateIPSet request. Submit a CreateIPSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateIPSet request. Submit an UpdateIPSet request to specify the IP addresses that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_ip_set/2","title":"aws_waf_regional.create_ip_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_ip_set/3","title":"aws_waf_regional.create_ip_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a RateBasedRule . The RateBasedRule contains a RateLimit , which specifies the maximum number of requests that AWS WAF allows from a specified IP address in a five-minute period. The RateBasedRule also contains the IPSet objects, ByteMatchSet objects, and other predicates that identify the requests that you want to count or block if these requests exceed the RateLimit . If you add more than one predicate to a RateBasedRule , a request not only must exceed the RateLimit , but it also must match all the conditions to be counted or blocked. For example, suppose you add the following to a RateBasedRule : An IPSet that matches the IP address 192.0.2.44/32 A ByteMatchSet that matches BadBot in the User-Agent header Further, you specify a RateLimit of 1,000. You then add the RateBasedRule to a WebACL and specify that you want to block requests that meet the conditions in the rule. For a request to be blocked, it must come from the IP address 192.0.2.44 and the User-Agent header in the request must contain the value BadBot . Further, requests that match these two conditions must be received at a rate of more than 1,000 requests every five minutes. If both conditions are met and the rate is exceeded, AWS WAF blocks the requests. If the rate drops below 1,000 for a five-minute period, AWS WAF no longer blocks the requests. As a second example, suppose you want to limit requests to a particular page on your site. To do this, you could add the following to a RateBasedRule : A ByteMatchSet with FieldToMatch of URI A PositionalConstraint of STARTS_WITH A TargetString of login Further, you specify a RateLimit of 1,000. By adding this RateBasedRule to a WebACL , you could limit requests to your login page without affecting the rest of your site. To create and configure a RateBasedRule , perform the following steps: Create and update the predicates that you want to include in the rule. For more information, see CreateByteMatchSet , CreateIPSet , and CreateSqlInjectionMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateRule request. Submit a CreateRateBasedRule request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRule request. Submit an UpdateRateBasedRule request to specify the predicates that you want to include in the rule. Create and update a WebACL that contains the RateBasedRule . For more information, see CreateWebACL . For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_rate_based_rule/2","title":"aws_waf_regional.create_rate_based_rule/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_rate_based_rule/3","title":"aws_waf_regional.create_rate_based_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a RegexMatchSet . You then use UpdateRegexMatchSet to identify the part of a web request that you want AWS WAF to inspect, such as the values of the User-Agent header or the query string. For example, you can create a RegexMatchSet that contains a RegexMatchTuple that looks for any requests with User-Agent headers that match a RegexPatternSet with pattern B[a@]dB[o0]t . You can then configure AWS WAF to reject those requests. To create and configure a RegexMatchSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateRegexMatchSet request. Submit a CreateRegexMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRegexMatchSet request. Submit an UpdateRegexMatchSet request to specify the part of the request that you want AWS WAF to inspect (for example, the header or the URI) and the value, using a RegexPatternSet , that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_regex_match_set/2","title":"aws_waf_regional.create_regex_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_regex_match_set/3","title":"aws_waf_regional.create_regex_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a RegexPatternSet . You then use UpdateRegexPatternSet to specify the regular expression (regex) pattern that you want AWS WAF to search for, such as B[a@]dB[o0]t . You can then configure AWS WAF to reject those requests. To create and configure a RegexPatternSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateRegexPatternSet request. Submit a CreateRegexPatternSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRegexPatternSet request. Submit an UpdateRegexPatternSet request to specify the string that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_regex_pattern_set/2","title":"aws_waf_regional.create_regex_pattern_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_regex_pattern_set/3","title":"aws_waf_regional.create_regex_pattern_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a Rule , which contains the IPSet objects, ByteMatchSet objects, and other predicates that identify the requests that you want to block. If you add more than one predicate to a Rule , a request must match all of the specifications to be allowed or blocked. For example, suppose that you add the following to a Rule : An IPSet that matches the IP address 192.0.2.44/32 A ByteMatchSet that matches BadBot in the User-Agent header You then add the Rule to a WebACL and specify that you want to blocks requests that satisfy the Rule . For a request to be blocked, it must come from the IP address 192.0.2.44 and the User-Agent header in the request must contain the value BadBot . To create and configure a Rule , perform the following steps: Create and update the predicates that you want to include in the Rule . For more information, see CreateByteMatchSet , CreateIPSet , and CreateSqlInjectionMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateRule request. Submit a CreateRule request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRule request. Submit an UpdateRule request to specify the predicates that you want to include in the Rule . Create and update a WebACL that contains the Rule . For more information, see CreateWebACL . For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_rule/2","title":"aws_waf_regional.create_rule/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_rule/3","title":"aws_waf_regional.create_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a RuleGroup . A rule group is a collection of predefined rules that you add to a web ACL. You use UpdateRuleGroup to add rules to the rule group. Rule groups are subject to the following limits: Three rule groups per account. You can request an increase to this limit by contacting customer support. One rule group per web ACL. Ten rules per rule group. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_rule_group/2","title":"aws_waf_regional.create_rule_group/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_rule_group/3","title":"aws_waf_regional.create_rule_group/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a SizeConstraintSet . You then use UpdateSizeConstraintSet to identify the part of a web request that you want AWS WAF to check for length, such as the length of the User-Agent header or the length of the query string. For example, you can create a SizeConstraintSet that matches any requests that have a query string that is longer than 100 bytes. You can then configure AWS WAF to reject those requests. To create and configure a SizeConstraintSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateSizeConstraintSet request. Submit a CreateSizeConstraintSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateSizeConstraintSet request. Submit an UpdateSizeConstraintSet request to specify the part of the request that you want AWS WAF to inspect (for example, the header or the URI) and the value that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_size_constraint_set/2","title":"aws_waf_regional.create_size_constraint_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_size_constraint_set/3","title":"aws_waf_regional.create_size_constraint_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a SqlInjectionMatchSet , which you use to allow, block, or count requests that contain snippets of SQL code in a specified part of web requests. AWS WAF searches for character sequences that are likely to be malicious strings. To create and configure a SqlInjectionMatchSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateSqlInjectionMatchSet request. Submit a CreateSqlInjectionMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateSqlInjectionMatchSet request. Submit an UpdateSqlInjectionMatchSet request to specify the parts of web requests in which you want to allow, block, or count malicious SQL code. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_sql_injection_match_set/2","title":"aws_waf_regional.create_sql_injection_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_sql_injection_match_set/3","title":"aws_waf_regional.create_sql_injection_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates a WebACL , which contains the Rules that identify the CloudFront web requests that you want to allow, block, or count. AWS WAF evaluates Rules in order based on the value of Priority for each Rule . You also specify a default action, either ALLOW or BLOCK . If a web request doesn't match any of the Rules in a WebACL , AWS WAF responds to the request with the default action. To create and configure a WebACL , perform the following steps: Create and update the ByteMatchSet objects and other predicates that you want to include in Rules . For more information, see CreateByteMatchSet , UpdateByteMatchSet , CreateIPSet , UpdateIPSet , CreateSqlInjectionMatchSet , and UpdateSqlInjectionMatchSet . Create and update the Rules that you want to include in the WebACL . For more information, see CreateRule and UpdateRule . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateWebACL request. Submit a CreateWebACL request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateWebACL request. Submit an UpdateWebACL request to specify the Rules that you want to include in the WebACL , to specify the default action, and to associate the WebACL with a CloudFront distribution. For more information about how to use the AWS WAF API, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_web_acl/2","title":"aws_waf_regional.create_web_acl/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_web_acl/3","title":"aws_waf_regional.create_web_acl/3","type":"function"},{"doc":"Creates an AWS CloudFormation WAFV2 template for the specified web ACL in the specified Amazon S3 bucket. Then, in CloudFormation, you create a stack from the template, to create the web ACL and its resources in AWS WAFV2. Use this to migrate your AWS WAF Classic web ACL to the latest version of AWS WAF. This is part of a larger migration procedure for web ACLs from AWS WAF Classic to the latest version of AWS WAF. For the full procedure, including caveats and manual steps to complete the migration and switch over to the new web ACL, see Migrating your AWS WAF Classic resources to AWS WAF in the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_web_acl_migration_stack/2","title":"aws_waf_regional.create_web_acl_migration_stack/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_web_acl_migration_stack/3","title":"aws_waf_regional.create_web_acl_migration_stack/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Creates an XssMatchSet , which you use to allow, block, or count requests that contain cross-site scripting attacks in the specified part of web requests. AWS WAF searches for character sequences that are likely to be malicious strings. To create and configure an XssMatchSet , perform the following steps: Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a CreateXssMatchSet request. Submit a CreateXssMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateXssMatchSet request. Submit an UpdateXssMatchSet request to specify the parts of web requests in which you want to allow, block, or count cross-site scripting attacks. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#create_xss_match_set/2","title":"aws_waf_regional.create_xss_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#create_xss_match_set/3","title":"aws_waf_regional.create_xss_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a ByteMatchSet . You can't delete a ByteMatchSet if it's still used in any Rules or if it still includes any ByteMatchTuple objects (any filters). If you just want to remove a ByteMatchSet from a Rule , use UpdateRule . To permanently delete a ByteMatchSet , perform the following steps: Update the ByteMatchSet to remove filters, if any. For more information, see UpdateByteMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteByteMatchSet request. Submit a DeleteByteMatchSet request.","ref":"aws_waf_regional.html#delete_byte_match_set/2","title":"aws_waf_regional.delete_byte_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_byte_match_set/3","title":"aws_waf_regional.delete_byte_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a GeoMatchSet . You can't delete a GeoMatchSet if it's still used in any Rules or if it still includes any countries. If you just want to remove a GeoMatchSet from a Rule , use UpdateRule . To permanently delete a GeoMatchSet from AWS WAF, perform the following steps: Update the GeoMatchSet to remove any countries. For more information, see UpdateGeoMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteGeoMatchSet request. Submit a DeleteGeoMatchSet request.","ref":"aws_waf_regional.html#delete_geo_match_set/2","title":"aws_waf_regional.delete_geo_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_geo_match_set/3","title":"aws_waf_regional.delete_geo_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes an IPSet . You can't delete an IPSet if it's still used in any Rules or if it still includes any IP addresses. If you just want to remove an IPSet from a Rule , use UpdateRule . To permanently delete an IPSet from AWS WAF, perform the following steps: Update the IPSet to remove IP address ranges, if any. For more information, see UpdateIPSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteIPSet request. Submit a DeleteIPSet request.","ref":"aws_waf_regional.html#delete_ip_set/2","title":"aws_waf_regional.delete_ip_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_ip_set/3","title":"aws_waf_regional.delete_ip_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes the LoggingConfiguration from the specified web ACL.","ref":"aws_waf_regional.html#delete_logging_configuration/2","title":"aws_waf_regional.delete_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_logging_configuration/3","title":"aws_waf_regional.delete_logging_configuration/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes an IAM policy from the specified RuleGroup. The user making the request must be the owner of the RuleGroup.","ref":"aws_waf_regional.html#delete_permission_policy/2","title":"aws_waf_regional.delete_permission_policy/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_permission_policy/3","title":"aws_waf_regional.delete_permission_policy/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a RateBasedRule . You can't delete a rule if it's still used in any WebACL objects or if it still includes any predicates, such as ByteMatchSet objects. If you just want to remove a rule from a WebACL , use UpdateWebACL . To permanently delete a RateBasedRule from AWS WAF, perform the following steps: Update the RateBasedRule to remove predicates, if any. For more information, see UpdateRateBasedRule . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteRateBasedRule request. Submit a DeleteRateBasedRule request.","ref":"aws_waf_regional.html#delete_rate_based_rule/2","title":"aws_waf_regional.delete_rate_based_rule/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_rate_based_rule/3","title":"aws_waf_regional.delete_rate_based_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a RegexMatchSet . You can't delete a RegexMatchSet if it's still used in any Rules or if it still includes any RegexMatchTuples objects (any filters). If you just want to remove a RegexMatchSet from a Rule , use UpdateRule . To permanently delete a RegexMatchSet , perform the following steps: Update the RegexMatchSet to remove filters, if any. For more information, see UpdateRegexMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteRegexMatchSet request. Submit a DeleteRegexMatchSet request.","ref":"aws_waf_regional.html#delete_regex_match_set/2","title":"aws_waf_regional.delete_regex_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_regex_match_set/3","title":"aws_waf_regional.delete_regex_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a RegexPatternSet . You can't delete a RegexPatternSet if it's still used in any RegexMatchSet or if the RegexPatternSet is not empty.","ref":"aws_waf_regional.html#delete_regex_pattern_set/2","title":"aws_waf_regional.delete_regex_pattern_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_regex_pattern_set/3","title":"aws_waf_regional.delete_regex_pattern_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a Rule . You can't delete a Rule if it's still used in any WebACL objects or if it still includes any predicates, such as ByteMatchSet objects. If you just want to remove a Rule from a WebACL , use UpdateWebACL . To permanently delete a Rule from AWS WAF, perform the following steps: Update the Rule to remove predicates, if any. For more information, see UpdateRule . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteRule request. Submit a DeleteRule request.","ref":"aws_waf_regional.html#delete_rule/2","title":"aws_waf_regional.delete_rule/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_rule/3","title":"aws_waf_regional.delete_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a RuleGroup . You can't delete a RuleGroup if it's still used in any WebACL objects or if it still includes any rules. If you just want to remove a RuleGroup from a WebACL , use UpdateWebACL . To permanently delete a RuleGroup from AWS WAF, perform the following steps: Update the RuleGroup to remove rules, if any. For more information, see UpdateRuleGroup . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteRuleGroup request. Submit a DeleteRuleGroup request.","ref":"aws_waf_regional.html#delete_rule_group/2","title":"aws_waf_regional.delete_rule_group/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_rule_group/3","title":"aws_waf_regional.delete_rule_group/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a SizeConstraintSet . You can't delete a SizeConstraintSet if it's still used in any Rules or if it still includes any SizeConstraint objects (any filters). If you just want to remove a SizeConstraintSet from a Rule , use UpdateRule . To permanently delete a SizeConstraintSet , perform the following steps: Update the SizeConstraintSet to remove filters, if any. For more information, see UpdateSizeConstraintSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteSizeConstraintSet request. Submit a DeleteSizeConstraintSet request.","ref":"aws_waf_regional.html#delete_size_constraint_set/2","title":"aws_waf_regional.delete_size_constraint_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_size_constraint_set/3","title":"aws_waf_regional.delete_size_constraint_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a SqlInjectionMatchSet . You can't delete a SqlInjectionMatchSet if it's still used in any Rules or if it still contains any SqlInjectionMatchTuple objects. If you just want to remove a SqlInjectionMatchSet from a Rule , use UpdateRule . To permanently delete a SqlInjectionMatchSet from AWS WAF, perform the following steps: Update the SqlInjectionMatchSet to remove filters, if any. For more information, see UpdateSqlInjectionMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteSqlInjectionMatchSet request. Submit a DeleteSqlInjectionMatchSet request.","ref":"aws_waf_regional.html#delete_sql_injection_match_set/2","title":"aws_waf_regional.delete_sql_injection_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_sql_injection_match_set/3","title":"aws_waf_regional.delete_sql_injection_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes a WebACL . You can't delete a WebACL if it still contains any Rules . To delete a WebACL , perform the following steps: Update the WebACL to remove Rules , if any. For more information, see UpdateWebACL . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteWebACL request. Submit a DeleteWebACL request.","ref":"aws_waf_regional.html#delete_web_acl/2","title":"aws_waf_regional.delete_web_acl/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_web_acl/3","title":"aws_waf_regional.delete_web_acl/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Permanently deletes an XssMatchSet . You can't delete an XssMatchSet if it's still used in any Rules or if it still contains any XssMatchTuple objects. If you just want to remove an XssMatchSet from a Rule , use UpdateRule . To permanently delete an XssMatchSet from AWS WAF, perform the following steps: Update the XssMatchSet to remove filters, if any. For more information, see UpdateXssMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of a DeleteXssMatchSet request. Submit a DeleteXssMatchSet request.","ref":"aws_waf_regional.html#delete_xss_match_set/2","title":"aws_waf_regional.delete_xss_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#delete_xss_match_set/3","title":"aws_waf_regional.delete_xss_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic Regional documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Removes a web ACL from the specified resource, either an application load balancer or Amazon API Gateway stage.","ref":"aws_waf_regional.html#disassociate_web_acl/2","title":"aws_waf_regional.disassociate_web_acl/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#disassociate_web_acl/3","title":"aws_waf_regional.disassociate_web_acl/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the ByteMatchSet specified by ByteMatchSetId .","ref":"aws_waf_regional.html#get_byte_match_set/2","title":"aws_waf_regional.get_byte_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_byte_match_set/3","title":"aws_waf_regional.get_byte_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. When you want to create, update, or delete AWS WAF objects, get a change token and include the change token in the create, update, or delete request. Change tokens ensure that your application doesn't submit conflicting requests to AWS WAF. Each create, update, or delete request must use a unique change token. If your application submits a GetChangeToken request and then submits a second GetChangeToken request before submitting a create, update, or delete request, the second GetChangeToken request returns the same value as the first GetChangeToken request. When you use a change token in a create, update, or delete request, the status of the change token changes to PENDING , which indicates that AWS WAF is propagating the change to all AWS WAF servers. Use GetChangeTokenStatus to determine the status of your change token.","ref":"aws_waf_regional.html#get_change_token/2","title":"aws_waf_regional.get_change_token/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_change_token/3","title":"aws_waf_regional.get_change_token/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the status of a ChangeToken that you got by calling GetChangeToken . ChangeTokenStatus is one of the following values: PROVISIONED : You requested the change token by calling GetChangeToken , but you haven't used it yet in a call to create, update, or delete an AWS WAF object. PENDING : AWS WAF is propagating the create, update, or delete request to all AWS WAF servers. INSYNC : Propagation is complete.","ref":"aws_waf_regional.html#get_change_token_status/2","title":"aws_waf_regional.get_change_token_status/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_change_token_status/3","title":"aws_waf_regional.get_change_token_status/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the GeoMatchSet that is specified by GeoMatchSetId .","ref":"aws_waf_regional.html#get_geo_match_set/2","title":"aws_waf_regional.get_geo_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_geo_match_set/3","title":"aws_waf_regional.get_geo_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the IPSet that is specified by IPSetId .","ref":"aws_waf_regional.html#get_ip_set/2","title":"aws_waf_regional.get_ip_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_ip_set/3","title":"aws_waf_regional.get_ip_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the LoggingConfiguration for the specified web ACL.","ref":"aws_waf_regional.html#get_logging_configuration/2","title":"aws_waf_regional.get_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_logging_configuration/3","title":"aws_waf_regional.get_logging_configuration/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the IAM policy attached to the RuleGroup.","ref":"aws_waf_regional.html#get_permission_policy/2","title":"aws_waf_regional.get_permission_policy/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_permission_policy/3","title":"aws_waf_regional.get_permission_policy/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the RateBasedRule that is specified by the RuleId that you included in the GetRateBasedRule request.","ref":"aws_waf_regional.html#get_rate_based_rule/2","title":"aws_waf_regional.get_rate_based_rule/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_rate_based_rule/3","title":"aws_waf_regional.get_rate_based_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of IP addresses currently being blocked by the RateBasedRule that is specified by the RuleId . The maximum number of managed keys that will be blocked is 10,000. If more than 10,000 addresses exceed the rate limit, the 10,000 addresses with the highest rates will be blocked.","ref":"aws_waf_regional.html#get_rate_based_rule_managed_keys/2","title":"aws_waf_regional.get_rate_based_rule_managed_keys/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_rate_based_rule_managed_keys/3","title":"aws_waf_regional.get_rate_based_rule_managed_keys/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the RegexMatchSet specified by RegexMatchSetId .","ref":"aws_waf_regional.html#get_regex_match_set/2","title":"aws_waf_regional.get_regex_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_regex_match_set/3","title":"aws_waf_regional.get_regex_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the RegexPatternSet specified by RegexPatternSetId .","ref":"aws_waf_regional.html#get_regex_pattern_set/2","title":"aws_waf_regional.get_regex_pattern_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_regex_pattern_set/3","title":"aws_waf_regional.get_regex_pattern_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the Rule that is specified by the RuleId that you included in the GetRule request.","ref":"aws_waf_regional.html#get_rule/2","title":"aws_waf_regional.get_rule/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_rule/3","title":"aws_waf_regional.get_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the RuleGroup that is specified by the RuleGroupId that you included in the GetRuleGroup request. To view the rules in a rule group, use ListActivatedRulesInRuleGroup .","ref":"aws_waf_regional.html#get_rule_group/2","title":"aws_waf_regional.get_rule_group/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_rule_group/3","title":"aws_waf_regional.get_rule_group/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Gets detailed information about a specified number of requests--a sample--that AWS WAF randomly selects from among the first 5,000 requests that your AWS resource received during a time range that you choose. You can specify a sample size of up to 500 requests, and you can specify any time range in the previous three hours. GetSampledRequests returns a time range, which is usually the time range that you specified. However, if your resource (such as a CloudFront distribution) received 5,000 requests before the specified time range elapsed, GetSampledRequests returns an updated time range. This new time range indicates the actual period during which AWS WAF selected the requests in the sample.","ref":"aws_waf_regional.html#get_sampled_requests/2","title":"aws_waf_regional.get_sampled_requests/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_sampled_requests/3","title":"aws_waf_regional.get_sampled_requests/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the SizeConstraintSet specified by SizeConstraintSetId .","ref":"aws_waf_regional.html#get_size_constraint_set/2","title":"aws_waf_regional.get_size_constraint_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_size_constraint_set/3","title":"aws_waf_regional.get_size_constraint_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the SqlInjectionMatchSet that is specified by SqlInjectionMatchSetId .","ref":"aws_waf_regional.html#get_sql_injection_match_set/2","title":"aws_waf_regional.get_sql_injection_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_sql_injection_match_set/3","title":"aws_waf_regional.get_sql_injection_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the WebACL that is specified by WebACLId .","ref":"aws_waf_regional.html#get_web_acl/2","title":"aws_waf_regional.get_web_acl/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_web_acl/3","title":"aws_waf_regional.get_web_acl/3","type":"function"},{"doc":"This is AWS WAF Classic Regional documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the web ACL for the specified resource, either an application load balancer or Amazon API Gateway stage.","ref":"aws_waf_regional.html#get_web_acl_for_resource/2","title":"aws_waf_regional.get_web_acl_for_resource/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_web_acl_for_resource/3","title":"aws_waf_regional.get_web_acl_for_resource/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns the XssMatchSet that is specified by XssMatchSetId .","ref":"aws_waf_regional.html#get_xss_match_set/2","title":"aws_waf_regional.get_xss_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#get_xss_match_set/3","title":"aws_waf_regional.get_xss_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of ActivatedRule objects.","ref":"aws_waf_regional.html#list_activated_rules_in_rule_group/2","title":"aws_waf_regional.list_activated_rules_in_rule_group/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_activated_rules_in_rule_group/3","title":"aws_waf_regional.list_activated_rules_in_rule_group/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of ByteMatchSetSummary objects.","ref":"aws_waf_regional.html#list_byte_match_sets/2","title":"aws_waf_regional.list_byte_match_sets/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_byte_match_sets/3","title":"aws_waf_regional.list_byte_match_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of GeoMatchSetSummary objects in the response.","ref":"aws_waf_regional.html#list_geo_match_sets/2","title":"aws_waf_regional.list_geo_match_sets/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_geo_match_sets/3","title":"aws_waf_regional.list_geo_match_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of IPSetSummary objects in the response.","ref":"aws_waf_regional.html#list_ip_sets/2","title":"aws_waf_regional.list_ip_sets/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_ip_sets/3","title":"aws_waf_regional.list_ip_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of LoggingConfiguration objects.","ref":"aws_waf_regional.html#list_logging_configurations/2","title":"aws_waf_regional.list_logging_configurations/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_logging_configurations/3","title":"aws_waf_regional.list_logging_configurations/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of RuleSummary objects.","ref":"aws_waf_regional.html#list_rate_based_rules/2","title":"aws_waf_regional.list_rate_based_rules/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_rate_based_rules/3","title":"aws_waf_regional.list_rate_based_rules/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of RegexMatchSetSummary objects.","ref":"aws_waf_regional.html#list_regex_match_sets/2","title":"aws_waf_regional.list_regex_match_sets/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_regex_match_sets/3","title":"aws_waf_regional.list_regex_match_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of RegexPatternSetSummary objects.","ref":"aws_waf_regional.html#list_regex_pattern_sets/2","title":"aws_waf_regional.list_regex_pattern_sets/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_regex_pattern_sets/3","title":"aws_waf_regional.list_regex_pattern_sets/3","type":"function"},{"doc":"This is AWS WAF Classic Regional documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of resources associated with the specified web ACL.","ref":"aws_waf_regional.html#list_resources_for_web_acl/2","title":"aws_waf_regional.list_resources_for_web_acl/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_resources_for_web_acl/3","title":"aws_waf_regional.list_resources_for_web_acl/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of RuleGroup objects.","ref":"aws_waf_regional.html#list_rule_groups/2","title":"aws_waf_regional.list_rule_groups/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_rule_groups/3","title":"aws_waf_regional.list_rule_groups/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of RuleSummary objects.","ref":"aws_waf_regional.html#list_rules/2","title":"aws_waf_regional.list_rules/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_rules/3","title":"aws_waf_regional.list_rules/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of SizeConstraintSetSummary objects.","ref":"aws_waf_regional.html#list_size_constraint_sets/2","title":"aws_waf_regional.list_size_constraint_sets/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_size_constraint_sets/3","title":"aws_waf_regional.list_size_constraint_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of SqlInjectionMatchSet objects.","ref":"aws_waf_regional.html#list_sql_injection_match_sets/2","title":"aws_waf_regional.list_sql_injection_match_sets/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_sql_injection_match_sets/3","title":"aws_waf_regional.list_sql_injection_match_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of RuleGroup objects that you are subscribed to.","ref":"aws_waf_regional.html#list_subscribed_rule_groups/2","title":"aws_waf_regional.list_subscribed_rule_groups/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_subscribed_rule_groups/3","title":"aws_waf_regional.list_subscribed_rule_groups/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Retrieves the tags associated with the specified AWS resource. Tags are key:value pairs that you can use to categorize and manage your resources, for purposes like billing. For example, you might set the tag key to &quot;customer&quot; and the value to the customer name or ID. You can specify one or more tags to add to each AWS resource, up to 50 tags for a resource. Tagging is only available through the API, SDKs, and CLI. You can't manage or view tags through the AWS WAF Classic console. You can tag the AWS resources that you manage through AWS WAF Classic: web ACLs, rule groups, and rules.","ref":"aws_waf_regional.html#list_tags_for_resource/2","title":"aws_waf_regional.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_tags_for_resource/3","title":"aws_waf_regional.list_tags_for_resource/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of WebACLSummary objects in the response.","ref":"aws_waf_regional.html#list_web_acls/2","title":"aws_waf_regional.list_web_acls/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_web_acls/3","title":"aws_waf_regional.list_web_acls/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Returns an array of XssMatchSet objects.","ref":"aws_waf_regional.html#list_xss_match_sets/2","title":"aws_waf_regional.list_xss_match_sets/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#list_xss_match_sets/3","title":"aws_waf_regional.list_xss_match_sets/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Associates a LoggingConfiguration with a specified web ACL. You can access information about all traffic that AWS WAF inspects using the following steps: Create an Amazon Kinesis Data Firehose. Create the data firehose with a PUT source and in the region that you are operating. However, if you are capturing logs for Amazon CloudFront, always create the firehose in US East (N. Virginia). Do not create the data firehose using a Kinesis stream as your source. Associate that firehose to your web ACL using a PutLoggingConfiguration request. When you successfully enable logging using a PutLoggingConfiguration request, AWS WAF will create a service linked role with the necessary permissions to write logs to the Amazon Kinesis Data Firehose. For more information, see Logging Web ACL Traffic Information in the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#put_logging_configuration/2","title":"aws_waf_regional.put_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#put_logging_configuration/3","title":"aws_waf_regional.put_logging_configuration/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Attaches an IAM policy to the specified resource. The only supported use for this action is to share a RuleGroup across accounts. The PutPermissionPolicy is subject to the following restrictions: You can attach only one policy with each PutPermissionPolicy request. The policy must include an Effect , Action and Principal . Effect must specify Allow . The Action in the policy must be waf:UpdateWebACL , waf-regional:UpdateWebACL , waf:GetRuleGroup and waf-regional:GetRuleGroup . Any extra or wildcard actions in the policy will be rejected. The policy cannot include a Resource parameter. The ARN in the request must be a valid WAF RuleGroup ARN and the RuleGroup must exist in the same region. The user making the request must be the owner of the RuleGroup. Your policy must be composed using IAM Policy version 2012-10-17. For more information, see IAM Policies. An example of a valid policy parameter is shown in the Examples section below.","ref":"aws_waf_regional.html#put_permission_policy/2","title":"aws_waf_regional.put_permission_policy/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#put_permission_policy/3","title":"aws_waf_regional.put_permission_policy/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Associates tags with the specified AWS resource. Tags are key:value pairs that you can use to categorize and manage your resources, for purposes like billing. For example, you might set the tag key to &quot;customer&quot; and the value to the customer name or ID. You can specify one or more tags to add to each AWS resource, up to 50 tags for a resource. Tagging is only available through the API, SDKs, and CLI. You can't manage or view tags through the AWS WAF Classic console. You can use this action to tag the AWS resources that you manage through AWS WAF Classic: web ACLs, rule groups, and rules.","ref":"aws_waf_regional.html#tag_resource/2","title":"aws_waf_regional.tag_resource/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#tag_resource/3","title":"aws_waf_regional.tag_resource/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use.","ref":"aws_waf_regional.html#untag_resource/2","title":"aws_waf_regional.untag_resource/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#untag_resource/3","title":"aws_waf_regional.untag_resource/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes ByteMatchTuple objects (filters) in a ByteMatchSet . For each ByteMatchTuple object, you specify the following values: Whether to insert or delete the object from the array. If you want to change a ByteMatchSetUpdate object, you delete the existing object and add a new one. The part of a web request that you want AWS WAF to inspect, such as a query string or the value of the User-Agent header. The bytes (typically a string that corresponds with ASCII characters) that you want AWS WAF to look for. For more information, including how you specify the values for the AWS WAF API and the AWS CLI or SDKs, see TargetString in the ByteMatchTuple data type. Where to look, such as at the beginning or the end of a query string. Whether to perform any conversions on the request, such as converting it to lowercase, before inspecting it for the specified string. For example, you can add a ByteMatchSetUpdate object that matches web requests in which User-Agent headers contain the string BadBot . You can then configure AWS WAF to block those requests. To create and configure a ByteMatchSet , perform the following steps: Create a ByteMatchSet. For more information, see CreateByteMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateByteMatchSet request. Submit an UpdateByteMatchSet request to specify the part of the request that you want AWS WAF to inspect (for example, the header or the URI) and the value that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#update_byte_match_set/2","title":"aws_waf_regional.update_byte_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#update_byte_match_set/3","title":"aws_waf_regional.update_byte_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes GeoMatchConstraint objects in an GeoMatchSet . For each GeoMatchConstraint object, you specify the following values: Whether to insert or delete the object from the array. If you want to change an GeoMatchConstraint object, you delete the existing object and add a new one. The Type . The only valid value for Type is Country . The Value , which is a two character code for the country to add to the GeoMatchConstraint object. Valid codes are listed in GeoMatchConstraint$Value . To create and configure an GeoMatchSet , perform the following steps: Submit a CreateGeoMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateGeoMatchSet request. Submit an UpdateGeoMatchSet request to specify the country that you want AWS WAF to watch for. When you update an GeoMatchSet , you specify the country that you want to add and/or the country that you want to delete. If you want to change a country, you delete the existing country and add the new one. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#update_geo_match_set/2","title":"aws_waf_regional.update_geo_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#update_geo_match_set/3","title":"aws_waf_regional.update_geo_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes IPSetDescriptor objects in an IPSet . For each IPSetDescriptor object, you specify the following values: Whether to insert or delete the object from the array. If you want to change an IPSetDescriptor object, you delete the existing object and add a new one. The IP address version, IPv4 or IPv6 . The IP address in CIDR notation, for example, 192.0.2.0/24 (for the range of IP addresses from 192.0.2.0 to 192.0.2.255 ) or 192.0.2.44/32 (for the individual IP address 192.0.2.44 ). AWS WAF supports IPv4 address ranges: /8 and any range between /16 through /32. AWS WAF supports IPv6 address ranges: /24, /32, /48, /56, /64, and /128. For more information about CIDR notation, see the Wikipedia entry Classless Inter-Domain Routing. IPv6 addresses can be represented using any of the following formats: 1111:0000:0000:0000:0000:0000:0000:0111/128 1111:0:0:0:0:0:0:0111/128 1111::0111/128 1111::111/128 You use an IPSet to specify which web requests you want to allow or block based on the IP addresses that the requests originated from. For example, if you're receiving a lot of requests from one or a small number of IP addresses and you want to block the requests, you can create an IPSet that specifies those IP addresses, and then configure AWS WAF to block the requests. To create and configure an IPSet , perform the following steps: Submit a CreateIPSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateIPSet request. Submit an UpdateIPSet request to specify the IP addresses that you want AWS WAF to watch for. When you update an IPSet , you specify the IP addresses that you want to add and/or the IP addresses that you want to delete. If you want to change an IP address, you delete the existing IP address and add the new one. You can insert a maximum of 1000 addresses in a single request. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#update_ip_set/2","title":"aws_waf_regional.update_ip_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#update_ip_set/3","title":"aws_waf_regional.update_ip_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes Predicate objects in a rule and updates the RateLimit in the rule. Each Predicate object identifies a predicate, such as a ByteMatchSet or an IPSet , that specifies the web requests that you want to block or count. The RateLimit specifies the number of requests every five minutes that triggers the rule. If you add more than one predicate to a RateBasedRule , a request must match all the predicates and exceed the RateLimit to be counted or blocked. For example, suppose you add the following to a RateBasedRule : An IPSet that matches the IP address 192.0.2.44/32 A ByteMatchSet that matches BadBot in the User-Agent header Further, you specify a RateLimit of 1,000. You then add the RateBasedRule to a WebACL and specify that you want to block requests that satisfy the rule. For a request to be blocked, it must come from the IP address 192.0.2.44 and the User-Agent header in the request must contain the value BadBot . Further, requests that match these two conditions much be received at a rate of more than 1,000 every five minutes. If the rate drops below this limit, AWS WAF no longer blocks the requests. As a second example, suppose you want to limit requests to a particular page on your site. To do this, you could add the following to a RateBasedRule : A ByteMatchSet with FieldToMatch of URI A PositionalConstraint of STARTS_WITH A TargetString of login Further, you specify a RateLimit of 1,000. By adding this RateBasedRule to a WebACL , you could limit requests to your login page without affecting the rest of your site.","ref":"aws_waf_regional.html#update_rate_based_rule/2","title":"aws_waf_regional.update_rate_based_rule/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#update_rate_based_rule/3","title":"aws_waf_regional.update_rate_based_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes RegexMatchTuple objects (filters) in a RegexMatchSet . For each RegexMatchSetUpdate object, you specify the following values: Whether to insert or delete the object from the array. If you want to change a RegexMatchSetUpdate object, you delete the existing object and add a new one. The part of a web request that you want AWS WAF to inspectupdate, such as a query string or the value of the User-Agent header. The identifier of the pattern (a regular expression) that you want AWS WAF to look for. For more information, see RegexPatternSet . Whether to perform any conversions on the request, such as converting it to lowercase, before inspecting it for the specified string. For example, you can create a RegexPatternSet that matches any requests with User-Agent headers that contain the string B[a@]dB[o0]t . You can then configure AWS WAF to reject those requests. To create and configure a RegexMatchSet , perform the following steps: Create a RegexMatchSet. For more information, see CreateRegexMatchSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRegexMatchSet request. Submit an UpdateRegexMatchSet request to specify the part of the request that you want AWS WAF to inspect (for example, the header or the URI) and the identifier of the RegexPatternSet that contain the regular expression patters you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#update_regex_match_set/2","title":"aws_waf_regional.update_regex_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#update_regex_match_set/3","title":"aws_waf_regional.update_regex_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes RegexPatternString objects in a RegexPatternSet . For each RegexPatternString object, you specify the following values: Whether to insert or delete the RegexPatternString . The regular expression pattern that you want to insert or delete. For more information, see RegexPatternSet . For example, you can create a RegexPatternString such as B[a@]dB[o0]t . AWS WAF will match this RegexPatternString to: BadBot BadB0t B@dBot B@dB0t To create and configure a RegexPatternSet , perform the following steps: Create a RegexPatternSet. For more information, see CreateRegexPatternSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRegexPatternSet request. Submit an UpdateRegexPatternSet request to specify the regular expression pattern that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#update_regex_pattern_set/2","title":"aws_waf_regional.update_regex_pattern_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#update_regex_pattern_set/3","title":"aws_waf_regional.update_regex_pattern_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes Predicate objects in a Rule . Each Predicate object identifies a predicate, such as a ByteMatchSet or an IPSet , that specifies the web requests that you want to allow, block, or count. If you add more than one predicate to a Rule , a request must match all of the specifications to be allowed, blocked, or counted. For example, suppose that you add the following to a Rule : A ByteMatchSet that matches the value BadBot in the User-Agent header An IPSet that matches the IP address 192.0.2.44 You then add the Rule to a WebACL and specify that you want to block requests that satisfy the Rule . For a request to be blocked, the User-Agent header in the request must contain the value BadBot and the request must originate from the IP address 192.0.2.44. To create and configure a Rule , perform the following steps: Create and update the predicates that you want to include in the Rule . Create the Rule . See CreateRule . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRule request. Submit an UpdateRule request to add predicates to the Rule . Create and update a WebACL that contains the Rule . See CreateWebACL . If you want to replace one ByteMatchSet or IPSet with another, you delete the existing one and add the new one. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#update_rule/2","title":"aws_waf_regional.update_rule/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#update_rule/3","title":"aws_waf_regional.update_rule/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes ActivatedRule objects in a RuleGroup . You can only insert REGULAR rules into a rule group. You can have a maximum of ten rules per rule group. To create and configure a RuleGroup , perform the following steps: Create and update the Rules that you want to include in the RuleGroup . See CreateRule . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateRuleGroup request. Submit an UpdateRuleGroup request to add Rules to the RuleGroup . Create and update a WebACL that contains the RuleGroup . See CreateWebACL . If you want to replace one Rule with another, you delete the existing one and add the new one. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#update_rule_group/2","title":"aws_waf_regional.update_rule_group/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#update_rule_group/3","title":"aws_waf_regional.update_rule_group/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes SizeConstraint objects (filters) in a SizeConstraintSet . For each SizeConstraint object, you specify the following values: Whether to insert or delete the object from the array. If you want to change a SizeConstraintSetUpdate object, you delete the existing object and add a new one. The part of a web request that you want AWS WAF to evaluate, such as the length of a query string or the length of the User-Agent header. Whether to perform any transformations on the request, such as converting it to lowercase, before checking its length. Note that transformations of the request body are not supported because the AWS resource forwards only the first 8192 bytes of your request to AWS WAF. You can only specify a single type of TextTransformation. A ComparisonOperator used for evaluating the selected part of the request against the specified Size , such as equals, greater than, less than, and so on. The length, in bytes, that you want AWS WAF to watch for in selected part of the request. The length is computed after applying the transformation. For example, you can add a SizeConstraintSetUpdate object that matches web requests in which the length of the User-Agent header is greater than 100 bytes. You can then configure AWS WAF to block those requests. To create and configure a SizeConstraintSet , perform the following steps: Create a SizeConstraintSet. For more information, see CreateSizeConstraintSet . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateSizeConstraintSet request. Submit an UpdateSizeConstraintSet request to specify the part of the request that you want AWS WAF to inspect (for example, the header or the URI) and the value that you want AWS WAF to watch for. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#update_size_constraint_set/2","title":"aws_waf_regional.update_size_constraint_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#update_size_constraint_set/3","title":"aws_waf_regional.update_size_constraint_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes SqlInjectionMatchTuple objects (filters) in a SqlInjectionMatchSet . For each SqlInjectionMatchTuple object, you specify the following values: Action : Whether to insert the object into or delete the object from the array. To change a SqlInjectionMatchTuple , you delete the existing object and add a new one. FieldToMatch : The part of web requests that you want AWS WAF to inspect and, if you want AWS WAF to inspect a header or custom query parameter, the name of the header or parameter. TextTransformation : Which text transformation, if any, to perform on the web request before inspecting the request for snippets of malicious SQL code. You can only specify a single type of TextTransformation. You use SqlInjectionMatchSet objects to specify which CloudFront requests that you want to allow, block, or count. For example, if you're receiving requests that contain snippets of SQL code in the query string and you want to block the requests, you can create a SqlInjectionMatchSet with the applicable settings, and then configure AWS WAF to block the requests. To create and configure a SqlInjectionMatchSet , perform the following steps: Submit a CreateSqlInjectionMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateIPSet request. Submit an UpdateSqlInjectionMatchSet request to specify the parts of web requests that you want AWS WAF to inspect for snippets of SQL code. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#update_sql_injection_match_set/2","title":"aws_waf_regional.update_sql_injection_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#update_sql_injection_match_set/3","title":"aws_waf_regional.update_sql_injection_match_set/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes ActivatedRule objects in a WebACL . Each Rule identifies web requests that you want to allow, block, or count. When you update a WebACL , you specify the following values: A default action for the WebACL , either ALLOW or BLOCK . AWS WAF performs the default action if a request doesn't match the criteria in any of the Rules in a WebACL . The Rules that you want to add or delete. If you want to replace one Rule with another, you delete the existing Rule and add the new one. For each Rule , whether you want AWS WAF to allow requests, block requests, or count requests that match the conditions in the Rule . The order in which you want AWS WAF to evaluate the Rules in a WebACL . If you add more than one Rule to a WebACL , AWS WAF evaluates each request against the Rules in order based on the value of Priority . (The Rule that has the lowest value for Priority is evaluated first.) When a web request matches all the predicates (such as ByteMatchSets and IPSets ) in a Rule , AWS WAF immediately takes the corresponding action, allow or block, and doesn't evaluate the request against the remaining Rules in the WebACL , if any. To create and configure a WebACL , perform the following steps: Create and update the predicates that you want to include in Rules . For more information, see CreateByteMatchSet , UpdateByteMatchSet , CreateIPSet , UpdateIPSet , CreateSqlInjectionMatchSet , and UpdateSqlInjectionMatchSet . Create and update the Rules that you want to include in the WebACL . For more information, see CreateRule and UpdateRule . Create a WebACL . See CreateWebACL . Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateWebACL request. Submit an UpdateWebACL request to specify the Rules that you want to include in the WebACL , to specify the default action, and to associate the WebACL with a CloudFront distribution. The ActivatedRule can be a rule group. If you specify a rule group as your ActivatedRule , you can exclude specific rules from that rule group. If you already have a rule group associated with a web ACL and want to submit an UpdateWebACL request to exclude certain rules from that rule group, you must first remove the rule group from the web ACL, the re-insert it again, specifying the excluded rules. For details, see ActivatedRule$ExcludedRules . Be aware that if you try to add a RATE_BASED rule to a web ACL without setting the rule type when first creating the rule, the UpdateWebACL request will fail because the request tries to add a REGULAR rule (the default rule type) with the specified ID, which does not exist. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#update_web_acl/2","title":"aws_waf_regional.update_web_acl/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#update_web_acl/3","title":"aws_waf_regional.update_web_acl/3","type":"function"},{"doc":"This is AWS WAF Classic documentation. For more information, see AWS WAF Classic in the developer guide. For the latest version of AWS WAF, use the AWS WAFV2 API and see the AWS WAF Developer Guide. With the latest version, AWS WAF has a single set of endpoints for regional and global use. Inserts or deletes XssMatchTuple objects (filters) in an XssMatchSet . For each XssMatchTuple object, you specify the following values: Action : Whether to insert the object into or delete the object from the array. To change an XssMatchTuple , you delete the existing object and add a new one. FieldToMatch : The part of web requests that you want AWS WAF to inspect and, if you want AWS WAF to inspect a header or custom query parameter, the name of the header or parameter. TextTransformation : Which text transformation, if any, to perform on the web request before inspecting the request for cross-site scripting attacks. You can only specify a single type of TextTransformation. You use XssMatchSet objects to specify which CloudFront requests that you want to allow, block, or count. For example, if you're receiving requests that contain cross-site scripting attacks in the request body and you want to block the requests, you can create an XssMatchSet with the applicable settings, and then configure AWS WAF to block the requests. To create and configure an XssMatchSet , perform the following steps: Submit a CreateXssMatchSet request. Use GetChangeToken to get the change token that you provide in the ChangeToken parameter of an UpdateIPSet request. Submit an UpdateXssMatchSet request to specify the parts of web requests that you want AWS WAF to inspect for cross-site scripting attacks. For more information about how to use the AWS WAF API to allow or block HTTP requests, see the AWS WAF Developer Guide.","ref":"aws_waf_regional.html#update_xss_match_set/2","title":"aws_waf_regional.update_xss_match_set/2","type":"function"},{"doc":"","ref":"aws_waf_regional.html#update_xss_match_set/3","title":"aws_waf_regional.update_xss_match_set/3","type":"function"},{"doc":"WAF This is the latest version of the WAF API, released in November, 2019. The names of the entities that you use to access this API, like endpoints and namespaces, all have the versioning information added, like &quot;V2&quot; or &quot;v2&quot;, to distinguish from the prior version. We recommend migrating your resources to this version, because it has a number of significant improvements. If you used WAF prior to this release, you can't use this WAFV2 API to access any WAF resources that you created before. You can access your old rules, web ACLs, and other WAF resources only through the WAF Classic APIs. The WAF Classic APIs have retained the prior names, endpoints, and namespaces. For information, including how to migrate your WAF resources to this version, see the WAF Developer Guide. WAF is a web application firewall that lets you monitor the HTTP and HTTPS requests that are forwarded to Amazon CloudFront, an Amazon API Gateway REST API, an Application Load Balancer, an AppSync GraphQL API, or an Amazon Cognito user pool. WAF also lets you control access to your content. Based on conditions that you specify, such as the IP addresses that requests originate from or the values of query strings, the Amazon API Gateway REST API, CloudFront distribution, the Application Load Balancer, the AppSync GraphQL API, or the Amazon Cognito user pool responds to requests either with the requested content or with an HTTP 403 status code (Forbidden). You also can configure CloudFront to return a custom error page when a request is blocked. This API guide is for developers who need detailed information about WAF API actions, data types, and errors. For detailed information about WAF features and an overview of how to use WAF, see the WAF Developer Guide. You can make calls using the endpoints listed in WAF endpoints and quotas. For regional applications, you can use any of the endpoints in the list. A regional application can be an Application Load Balancer (ALB), an Amazon API Gateway REST API, an AppSync GraphQL API, or an Amazon Cognito user pool. For Amazon CloudFront applications, you must use the API endpoint listed for US East (N. Virginia): us-east-1. Alternatively, you can use one of the Amazon Web Services SDKs to access an API that's tailored to the programming language or platform that you're using. For more information, see Amazon Web Services SDKs. We currently provide two versions of the WAF API: this API and the prior versions, the classic WAF APIs. This new API provides the same functionality as the older versions, with the following major improvements: You use one API for both global and regional applications. Where you need to distinguish the scope, you specify a Scope parameter and set it to CLOUDFRONT or REGIONAL . You can define a web ACL or rule group with a single call, and update it with a single call. You define all rule specifications in JSON format, and pass them to your rule group or web ACL calls. The limits WAF places on the use of rules more closely reflects the cost of running each type of rule. Rule groups include capacity settings, so you know the maximum cost of a rule group when you use it.","ref":"aws_wafv2.html","title":"aws_wafv2","type":"module"},{"doc":"Associates a web ACL with a regional application resource, to protect the resource. A regional application can be an Application Load Balancer (ALB), an Amazon API Gateway REST API, an AppSync GraphQL API, or an Amazon Cognito user pool. For Amazon CloudFront, don't use this call. Instead, use your CloudFront distribution configuration. To associate a web ACL, in the CloudFront call UpdateDistribution , set the web ACL ID to the Amazon Resource Name (ARN) of the web ACL. For information, see UpdateDistribution. When you make changes to web ACLs or web ACL components, like rules and rule groups, WAF propagates the changes everywhere that the web ACL and its components are stored and used. Your changes are applied within seconds, but there might be a brief period of inconsistency when the changes have arrived in some places and not in others. So, for example, if you change a rule action setting, the action might be the old action in one area and the new action in another area. Or if you add an IP address to an IP set used in a blocking rule, the new address might briefly be blocked in one area while still allowed in another. This temporary inconsistency can occur when you first associate a web ACL with an Amazon Web Services resource and when you change a web ACL that is already associated with a resource. Generally, any inconsistencies of this type last only a few seconds.","ref":"aws_wafv2.html#associate_web_acl/2","title":"aws_wafv2.associate_web_acl/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#associate_web_acl/3","title":"aws_wafv2.associate_web_acl/3","type":"function"},{"doc":"Returns the web ACL capacity unit (WCU) requirements for a specified scope and set of rules. You can use this to check the capacity requirements for the rules you want to use in a RuleGroup or WebACL . WAF uses WCUs to calculate and control the operating resources that are used to run your rules, rule groups, and web ACLs. WAF calculates capacity differently for each rule type, to reflect the relative cost of each rule. Simple rules that cost little to run use fewer WCUs than more complex rules that use more processing power. Rule group capacity is fixed at creation, which helps users plan their web ACL WCU usage when they use a rule group. The WCU limit for web ACLs is 1,500.","ref":"aws_wafv2.html#check_capacity/2","title":"aws_wafv2.check_capacity/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#check_capacity/3","title":"aws_wafv2.check_capacity/3","type":"function"},{"doc":"Creates an IPSet , which you use to identify web requests that originate from specific IP addresses or ranges of IP addresses. For example, if you're receiving a lot of requests from a ranges of IP addresses, you can configure WAF to block them using an IPSet that lists those IP addresses.","ref":"aws_wafv2.html#create_ip_set/2","title":"aws_wafv2.create_ip_set/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#create_ip_set/3","title":"aws_wafv2.create_ip_set/3","type":"function"},{"doc":"Creates a RegexPatternSet , which you reference in a RegexPatternSetReferenceStatement , to have WAF inspect a web request component for the specified patterns.","ref":"aws_wafv2.html#create_regex_pattern_set/2","title":"aws_wafv2.create_regex_pattern_set/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#create_regex_pattern_set/3","title":"aws_wafv2.create_regex_pattern_set/3","type":"function"},{"doc":"Creates a RuleGroup per the specifications provided. A rule group defines a collection of rules to inspect and control web requests that you can use in a WebACL . When you create a rule group, you define an immutable capacity limit. If you update a rule group, you must stay within the capacity. This allows others to reuse the rule group with confidence in its capacity requirements.","ref":"aws_wafv2.html#create_rule_group/2","title":"aws_wafv2.create_rule_group/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#create_rule_group/3","title":"aws_wafv2.create_rule_group/3","type":"function"},{"doc":"Creates a WebACL per the specifications provided. A web ACL defines a collection of rules to use to inspect and control web requests. Each rule has an action defined (allow, block, or count) for requests that match the statement of the rule. In the web ACL, you assign a default action to take (allow, block) for any request that does not match any of the rules. The rules in a web ACL can be a combination of the types Rule , RuleGroup , and managed rule group. You can associate a web ACL with one or more Amazon Web Services resources to protect. The resources can be an Amazon CloudFront distribution, an Amazon API Gateway REST API, an Application Load Balancer, an AppSync GraphQL API, or an Amazon Cognito user pool.","ref":"aws_wafv2.html#create_web_acl/2","title":"aws_wafv2.create_web_acl/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#create_web_acl/3","title":"aws_wafv2.create_web_acl/3","type":"function"},{"doc":"Deletes all rule groups that are managed by Firewall Manager for the specified web ACL. You can only use this if ManagedByFirewallManager is false in the specified WebACL .","ref":"aws_wafv2.html#delete_firewall_manager_rule_groups/2","title":"aws_wafv2.delete_firewall_manager_rule_groups/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#delete_firewall_manager_rule_groups/3","title":"aws_wafv2.delete_firewall_manager_rule_groups/3","type":"function"},{"doc":"Deletes the specified IPSet .","ref":"aws_wafv2.html#delete_ip_set/2","title":"aws_wafv2.delete_ip_set/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#delete_ip_set/3","title":"aws_wafv2.delete_ip_set/3","type":"function"},{"doc":"Deletes the LoggingConfiguration from the specified web ACL.","ref":"aws_wafv2.html#delete_logging_configuration/2","title":"aws_wafv2.delete_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#delete_logging_configuration/3","title":"aws_wafv2.delete_logging_configuration/3","type":"function"},{"doc":"Permanently deletes an IAM policy from the specified rule group. You must be the owner of the rule group to perform this operation.","ref":"aws_wafv2.html#delete_permission_policy/2","title":"aws_wafv2.delete_permission_policy/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#delete_permission_policy/3","title":"aws_wafv2.delete_permission_policy/3","type":"function"},{"doc":"Deletes the specified RegexPatternSet .","ref":"aws_wafv2.html#delete_regex_pattern_set/2","title":"aws_wafv2.delete_regex_pattern_set/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#delete_regex_pattern_set/3","title":"aws_wafv2.delete_regex_pattern_set/3","type":"function"},{"doc":"Deletes the specified RuleGroup .","ref":"aws_wafv2.html#delete_rule_group/2","title":"aws_wafv2.delete_rule_group/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#delete_rule_group/3","title":"aws_wafv2.delete_rule_group/3","type":"function"},{"doc":"Deletes the specified WebACL . You can only use this if ManagedByFirewallManager is false in the specified WebACL . Before deleting any web ACL, first disassociate it from all resources. To retrieve a list of the resources that are associated with a web ACL, use the following calls: For regional resources, call ListResourcesForWebACL . For Amazon CloudFront distributions, use the CloudFront call ListDistributionsByWebACLId . For information, see ListDistributionsByWebACLId. To disassociate a resource from a web ACL, use the following calls: For regional resources, call DisassociateWebACL . For Amazon CloudFront distributions, provide an empty web ACL ID in the CloudFront call UpdateDistribution . For information, see UpdateDistribution.","ref":"aws_wafv2.html#delete_web_acl/2","title":"aws_wafv2.delete_web_acl/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#delete_web_acl/3","title":"aws_wafv2.delete_web_acl/3","type":"function"},{"doc":"Provides high-level information for a managed rule group, including descriptions of the rules.","ref":"aws_wafv2.html#describe_managed_rule_group/2","title":"aws_wafv2.describe_managed_rule_group/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#describe_managed_rule_group/3","title":"aws_wafv2.describe_managed_rule_group/3","type":"function"},{"doc":"Disassociates the specified regional application resource from any existing web ACL association. A resource can have at most one web ACL association. A regional application can be an Application Load Balancer (ALB), an Amazon API Gateway REST API, an AppSync GraphQL API, or an Amazon Cognito user pool. For Amazon CloudFront, don't use this call. Instead, use your CloudFront distribution configuration. To disassociate a web ACL, provide an empty web ACL ID in the CloudFront call UpdateDistribution . For information, see UpdateDistribution.","ref":"aws_wafv2.html#disassociate_web_acl/2","title":"aws_wafv2.disassociate_web_acl/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#disassociate_web_acl/3","title":"aws_wafv2.disassociate_web_acl/3","type":"function"},{"doc":"Generates a presigned download URL for the specified release of the mobile SDK. The mobile SDK is not generally available. Customers who have access to the mobile SDK can use it to establish and manage WAF tokens for use in HTTP(S) requests from a mobile device to WAF. For more information, see WAF client application integration in the WAF Developer Guide.","ref":"aws_wafv2.html#generate_mobile_sdk_release_url/2","title":"aws_wafv2.generate_mobile_sdk_release_url/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#generate_mobile_sdk_release_url/3","title":"aws_wafv2.generate_mobile_sdk_release_url/3","type":"function"},{"doc":"Retrieves the specified IPSet .","ref":"aws_wafv2.html#get_ip_set/2","title":"aws_wafv2.get_ip_set/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#get_ip_set/3","title":"aws_wafv2.get_ip_set/3","type":"function"},{"doc":"Returns the LoggingConfiguration for the specified web ACL.","ref":"aws_wafv2.html#get_logging_configuration/2","title":"aws_wafv2.get_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#get_logging_configuration/3","title":"aws_wafv2.get_logging_configuration/3","type":"function"},{"doc":"Retrieves the specified managed rule set. This is intended for use only by vendors of managed rule sets. Vendors are Amazon Web Services and Amazon Web Services Marketplace sellers. Vendors, you can use the managed rule set APIs to provide controlled rollout of your versioned managed rule group offerings for your customers. The APIs are ListManagedRuleSets , GetManagedRuleSet , PutManagedRuleSetVersions , and UpdateManagedRuleSetVersionExpiryDate .","ref":"aws_wafv2.html#get_managed_rule_set/2","title":"aws_wafv2.get_managed_rule_set/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#get_managed_rule_set/3","title":"aws_wafv2.get_managed_rule_set/3","type":"function"},{"doc":"Retrieves information for the specified mobile SDK release, including release notes and tags. The mobile SDK is not generally available. Customers who have access to the mobile SDK can use it to establish and manage WAF tokens for use in HTTP(S) requests from a mobile device to WAF. For more information, see WAF client application integration in the WAF Developer Guide.","ref":"aws_wafv2.html#get_mobile_sdk_release/2","title":"aws_wafv2.get_mobile_sdk_release/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#get_mobile_sdk_release/3","title":"aws_wafv2.get_mobile_sdk_release/3","type":"function"},{"doc":"Returns the IAM policy that is attached to the specified rule group. You must be the owner of the rule group to perform this operation.","ref":"aws_wafv2.html#get_permission_policy/2","title":"aws_wafv2.get_permission_policy/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#get_permission_policy/3","title":"aws_wafv2.get_permission_policy/3","type":"function"},{"doc":"Retrieves the keys that are currently blocked by a rate-based rule instance. The maximum number of managed keys that can be blocked for a single rate-based rule instance is 10,000. If more than 10,000 addresses exceed the rate limit, those with the highest rates are blocked. For a rate-based rule that you've defined inside a rule group, provide the name of the rule group reference statement in your request, in addition to the rate-based rule name and the web ACL name. WAF monitors web requests and manages keys independently for each unique combination of web ACL, optional rule group, and rate-based rule. For example, if you define a rate-based rule inside a rule group, and then use the rule group in a web ACL, WAF monitors web requests and manages keys for that web ACL, rule group reference statement, and rate-based rule instance. If you use the same rule group in a second web ACL, WAF monitors web requests and manages keys for this second usage completely independent of your first.","ref":"aws_wafv2.html#get_rate_based_statement_managed_keys/2","title":"aws_wafv2.get_rate_based_statement_managed_keys/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#get_rate_based_statement_managed_keys/3","title":"aws_wafv2.get_rate_based_statement_managed_keys/3","type":"function"},{"doc":"Retrieves the specified RegexPatternSet .","ref":"aws_wafv2.html#get_regex_pattern_set/2","title":"aws_wafv2.get_regex_pattern_set/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#get_regex_pattern_set/3","title":"aws_wafv2.get_regex_pattern_set/3","type":"function"},{"doc":"Retrieves the specified RuleGroup .","ref":"aws_wafv2.html#get_rule_group/2","title":"aws_wafv2.get_rule_group/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#get_rule_group/3","title":"aws_wafv2.get_rule_group/3","type":"function"},{"doc":"Gets detailed information about a specified number of requests--a sample--that WAF randomly selects from among the first 5,000 requests that your Amazon Web Services resource received during a time range that you choose. You can specify a sample size of up to 500 requests, and you can specify any time range in the previous three hours. GetSampledRequests returns a time range, which is usually the time range that you specified. However, if your resource (such as a CloudFront distribution) received 5,000 requests before the specified time range elapsed, GetSampledRequests returns an updated time range. This new time range indicates the actual period during which WAF selected the requests in the sample.","ref":"aws_wafv2.html#get_sampled_requests/2","title":"aws_wafv2.get_sampled_requests/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#get_sampled_requests/3","title":"aws_wafv2.get_sampled_requests/3","type":"function"},{"doc":"Retrieves the specified WebACL .","ref":"aws_wafv2.html#get_web_acl/2","title":"aws_wafv2.get_web_acl/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#get_web_acl/3","title":"aws_wafv2.get_web_acl/3","type":"function"},{"doc":"Retrieves the WebACL for the specified resource.","ref":"aws_wafv2.html#get_web_acl_for_resource/2","title":"aws_wafv2.get_web_acl_for_resource/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#get_web_acl_for_resource/3","title":"aws_wafv2.get_web_acl_for_resource/3","type":"function"},{"doc":"Returns a list of the available versions for the specified managed rule group.","ref":"aws_wafv2.html#list_available_managed_rule_group_versions/2","title":"aws_wafv2.list_available_managed_rule_group_versions/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#list_available_managed_rule_group_versions/3","title":"aws_wafv2.list_available_managed_rule_group_versions/3","type":"function"},{"doc":"Retrieves an array of managed rule groups that are available for you to use. This list includes all Amazon Web Services Managed Rules rule groups and all of the Amazon Web Services Marketplace managed rule groups that you're subscribed to.","ref":"aws_wafv2.html#list_available_managed_rule_groups/2","title":"aws_wafv2.list_available_managed_rule_groups/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#list_available_managed_rule_groups/3","title":"aws_wafv2.list_available_managed_rule_groups/3","type":"function"},{"doc":"Retrieves an array of IPSetSummary objects for the IP sets that you manage.","ref":"aws_wafv2.html#list_ip_sets/2","title":"aws_wafv2.list_ip_sets/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#list_ip_sets/3","title":"aws_wafv2.list_ip_sets/3","type":"function"},{"doc":"Retrieves an array of your LoggingConfiguration objects.","ref":"aws_wafv2.html#list_logging_configurations/2","title":"aws_wafv2.list_logging_configurations/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#list_logging_configurations/3","title":"aws_wafv2.list_logging_configurations/3","type":"function"},{"doc":"Retrieves the managed rule sets that you own. This is intended for use only by vendors of managed rule sets. Vendors are Amazon Web Services and Amazon Web Services Marketplace sellers. Vendors, you can use the managed rule set APIs to provide controlled rollout of your versioned managed rule group offerings for your customers. The APIs are ListManagedRuleSets , GetManagedRuleSet , PutManagedRuleSetVersions , and UpdateManagedRuleSetVersionExpiryDate .","ref":"aws_wafv2.html#list_managed_rule_sets/2","title":"aws_wafv2.list_managed_rule_sets/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#list_managed_rule_sets/3","title":"aws_wafv2.list_managed_rule_sets/3","type":"function"},{"doc":"Retrieves a list of the available releases for the mobile SDK and the specified device platform. The mobile SDK is not generally available. Customers who have access to the mobile SDK can use it to establish and manage WAF tokens for use in HTTP(S) requests from a mobile device to WAF. For more information, see WAF client application integration in the WAF Developer Guide.","ref":"aws_wafv2.html#list_mobile_sdk_releases/2","title":"aws_wafv2.list_mobile_sdk_releases/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#list_mobile_sdk_releases/3","title":"aws_wafv2.list_mobile_sdk_releases/3","type":"function"},{"doc":"Retrieves an array of RegexPatternSetSummary objects for the regex pattern sets that you manage.","ref":"aws_wafv2.html#list_regex_pattern_sets/2","title":"aws_wafv2.list_regex_pattern_sets/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#list_regex_pattern_sets/3","title":"aws_wafv2.list_regex_pattern_sets/3","type":"function"},{"doc":"Retrieves an array of the Amazon Resource Names (ARNs) for the regional resources that are associated with the specified web ACL. If you want the list of Amazon CloudFront resources, use the CloudFront call ListDistributionsByWebACLId .","ref":"aws_wafv2.html#list_resources_for_web_acl/2","title":"aws_wafv2.list_resources_for_web_acl/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#list_resources_for_web_acl/3","title":"aws_wafv2.list_resources_for_web_acl/3","type":"function"},{"doc":"Retrieves an array of RuleGroupSummary objects for the rule groups that you manage.","ref":"aws_wafv2.html#list_rule_groups/2","title":"aws_wafv2.list_rule_groups/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#list_rule_groups/3","title":"aws_wafv2.list_rule_groups/3","type":"function"},{"doc":"Retrieves the TagInfoForResource for the specified resource. Tags are key:value pairs that you can use to categorize and manage your resources, for purposes like billing. For example, you might set the tag key to &quot;customer&quot; and the value to the customer name or ID. You can specify one or more tags to add to each Amazon Web Services resource, up to 50 tags for a resource. You can tag the Amazon Web Services resources that you manage through WAF: web ACLs, rule groups, IP sets, and regex pattern sets. You can't manage or view tags through the WAF console.","ref":"aws_wafv2.html#list_tags_for_resource/2","title":"aws_wafv2.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#list_tags_for_resource/3","title":"aws_wafv2.list_tags_for_resource/3","type":"function"},{"doc":"Retrieves an array of WebACLSummary objects for the web ACLs that you manage.","ref":"aws_wafv2.html#list_web_acls/2","title":"aws_wafv2.list_web_acls/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#list_web_acls/3","title":"aws_wafv2.list_web_acls/3","type":"function"},{"doc":"Enables the specified LoggingConfiguration , to start logging from a web ACL, according to the configuration provided. This operation completely replaces any mutable specifications that you already have for a logging configuration with the ones that you provide to this call. To modify an existing logging configuration, do the following: Retrieve it by calling GetLoggingConfiguration Update its settings as needed Provide the complete logging configuration specification to this call You can define one logging destination per web ACL. You can access information about the traffic that WAF inspects using the following steps: Create your logging destination. You can use an Amazon CloudWatch Logs log group, an Amazon Simple Storage Service (Amazon S3) bucket, or an Amazon Kinesis Data Firehose. The name that you give the destination must start with aws-waf-logs- . Depending on the type of destination, you might need to configure additional settings or permissions. For configuration requirements and pricing information for each destination type, see Logging web ACL traffic in the WAF Developer Guide. Associate your logging destination to your web ACL using a PutLoggingConfiguration request. When you successfully enable logging using a PutLoggingConfiguration request, WAF creates an additional role or policy that is required to write logs to the logging destination. For an Amazon CloudWatch Logs log group, WAF creates a resource policy on the log group. For an Amazon S3 bucket, WAF creates a bucket policy. For an Amazon Kinesis Data Firehose, WAF creates a service-linked role. For additional information about web ACL logging, see Logging web ACL traffic information in the WAF Developer Guide.","ref":"aws_wafv2.html#put_logging_configuration/2","title":"aws_wafv2.put_logging_configuration/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#put_logging_configuration/3","title":"aws_wafv2.put_logging_configuration/3","type":"function"},{"doc":"Defines the versions of your managed rule set that you are offering to the customers. Customers see your offerings as managed rule groups with versioning. This is intended for use only by vendors of managed rule sets. Vendors are Amazon Web Services and Amazon Web Services Marketplace sellers. Vendors, you can use the managed rule set APIs to provide controlled rollout of your versioned managed rule group offerings for your customers. The APIs are ListManagedRuleSets , GetManagedRuleSet , PutManagedRuleSetVersions , and UpdateManagedRuleSetVersionExpiryDate . Customers retrieve their managed rule group list by calling ListAvailableManagedRuleGroups . The name that you provide here for your managed rule set is the name the customer sees for the corresponding managed rule group. Customers can retrieve the available versions for a managed rule group by calling ListAvailableManagedRuleGroupVersions . You provide a rule group specification for each version. For each managed rule set, you must specify a version that you recommend using. To initiate the expiration of a managed rule group version, use UpdateManagedRuleSetVersionExpiryDate .","ref":"aws_wafv2.html#put_managed_rule_set_versions/2","title":"aws_wafv2.put_managed_rule_set_versions/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#put_managed_rule_set_versions/3","title":"aws_wafv2.put_managed_rule_set_versions/3","type":"function"},{"doc":"Attaches an IAM policy to the specified resource. Use this to share a rule group across accounts. You must be the owner of the rule group to perform this operation. This action is subject to the following restrictions: You can attach only one policy with each PutPermissionPolicy request. The ARN in the request must be a valid WAF RuleGroup ARN and the rule group must exist in the same Region. The user making the request must be the owner of the rule group.","ref":"aws_wafv2.html#put_permission_policy/2","title":"aws_wafv2.put_permission_policy/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#put_permission_policy/3","title":"aws_wafv2.put_permission_policy/3","type":"function"},{"doc":"Associates tags with the specified Amazon Web Services resource. Tags are key:value pairs that you can use to categorize and manage your resources, for purposes like billing. For example, you might set the tag key to &quot;customer&quot; and the value to the customer name or ID. You can specify one or more tags to add to each Amazon Web Services resource, up to 50 tags for a resource. You can tag the Amazon Web Services resources that you manage through WAF: web ACLs, rule groups, IP sets, and regex pattern sets. You can't manage or view tags through the WAF console.","ref":"aws_wafv2.html#tag_resource/2","title":"aws_wafv2.tag_resource/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#tag_resource/3","title":"aws_wafv2.tag_resource/3","type":"function"},{"doc":"Disassociates tags from an Amazon Web Services resource. Tags are key:value pairs that you can associate with Amazon Web Services resources. For example, the tag key might be &quot;customer&quot; and the tag value might be &quot;companyA.&quot; You can specify one or more tags to add to each container. You can add up to 50 tags to each Amazon Web Services resource.","ref":"aws_wafv2.html#untag_resource/2","title":"aws_wafv2.untag_resource/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#untag_resource/3","title":"aws_wafv2.untag_resource/3","type":"function"},{"doc":"Updates the specified IPSet . This operation completely replaces the mutable specifications that you already have for the IP set with the ones that you provide to this call. To modify an IP set, do the following: Retrieve it by calling GetIPSet Update its settings as needed Provide the complete IP set specification to this call When you make changes to web ACLs or web ACL components, like rules and rule groups, WAF propagates the changes everywhere that the web ACL and its components are stored and used. Your changes are applied within seconds, but there might be a brief period of inconsistency when the changes have arrived in some places and not in others. So, for example, if you change a rule action setting, the action might be the old action in one area and the new action in another area. Or if you add an IP address to an IP set used in a blocking rule, the new address might briefly be blocked in one area while still allowed in another. This temporary inconsistency can occur when you first associate a web ACL with an Amazon Web Services resource and when you change a web ACL that is already associated with a resource. Generally, any inconsistencies of this type last only a few seconds.","ref":"aws_wafv2.html#update_ip_set/2","title":"aws_wafv2.update_ip_set/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#update_ip_set/3","title":"aws_wafv2.update_ip_set/3","type":"function"},{"doc":"Updates the expiration information for your managed rule set. Use this to initiate the expiration of a managed rule group version. After you initiate expiration for a version, WAF excludes it from the response to ListAvailableManagedRuleGroupVersions for the managed rule group. This is intended for use only by vendors of managed rule sets. Vendors are Amazon Web Services and Amazon Web Services Marketplace sellers. Vendors, you can use the managed rule set APIs to provide controlled rollout of your versioned managed rule group offerings for your customers. The APIs are ListManagedRuleSets , GetManagedRuleSet , PutManagedRuleSetVersions , and UpdateManagedRuleSetVersionExpiryDate .","ref":"aws_wafv2.html#update_managed_rule_set_version_expiry_date/2","title":"aws_wafv2.update_managed_rule_set_version_expiry_date/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#update_managed_rule_set_version_expiry_date/3","title":"aws_wafv2.update_managed_rule_set_version_expiry_date/3","type":"function"},{"doc":"Updates the specified RegexPatternSet . This operation completely replaces the mutable specifications that you already have for the regex pattern set with the ones that you provide to this call. To modify a regex pattern set, do the following: Retrieve it by calling GetRegexPatternSet Update its settings as needed Provide the complete regex pattern set specification to this call When you make changes to web ACLs or web ACL components, like rules and rule groups, WAF propagates the changes everywhere that the web ACL and its components are stored and used. Your changes are applied within seconds, but there might be a brief period of inconsistency when the changes have arrived in some places and not in others. So, for example, if you change a rule action setting, the action might be the old action in one area and the new action in another area. Or if you add an IP address to an IP set used in a blocking rule, the new address might briefly be blocked in one area while still allowed in another. This temporary inconsistency can occur when you first associate a web ACL with an Amazon Web Services resource and when you change a web ACL that is already associated with a resource. Generally, any inconsistencies of this type last only a few seconds.","ref":"aws_wafv2.html#update_regex_pattern_set/2","title":"aws_wafv2.update_regex_pattern_set/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#update_regex_pattern_set/3","title":"aws_wafv2.update_regex_pattern_set/3","type":"function"},{"doc":"Updates the specified RuleGroup . This operation completely replaces the mutable specifications that you already have for the rule group with the ones that you provide to this call. To modify a rule group, do the following: Retrieve it by calling GetRuleGroup Update its settings as needed Provide the complete rule group specification to this call When you make changes to web ACLs or web ACL components, like rules and rule groups, WAF propagates the changes everywhere that the web ACL and its components are stored and used. Your changes are applied within seconds, but there might be a brief period of inconsistency when the changes have arrived in some places and not in others. So, for example, if you change a rule action setting, the action might be the old action in one area and the new action in another area. Or if you add an IP address to an IP set used in a blocking rule, the new address might briefly be blocked in one area while still allowed in another. This temporary inconsistency can occur when you first associate a web ACL with an Amazon Web Services resource and when you change a web ACL that is already associated with a resource. Generally, any inconsistencies of this type last only a few seconds. A rule group defines a collection of rules to inspect and control web requests that you can use in a WebACL . When you create a rule group, you define an immutable capacity limit. If you update a rule group, you must stay within the capacity. This allows others to reuse the rule group with confidence in its capacity requirements.","ref":"aws_wafv2.html#update_rule_group/2","title":"aws_wafv2.update_rule_group/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#update_rule_group/3","title":"aws_wafv2.update_rule_group/3","type":"function"},{"doc":"Updates the specified WebACL . While updating a web ACL, WAF provides continuous coverage to the resources that you have associated with the web ACL. This operation completely replaces the mutable specifications that you already have for the web ACL with the ones that you provide to this call. To modify a web ACL, do the following: Retrieve it by calling GetWebACL Update its settings as needed Provide the complete web ACL specification to this call When you make changes to web ACLs or web ACL components, like rules and rule groups, WAF propagates the changes everywhere that the web ACL and its components are stored and used. Your changes are applied within seconds, but there might be a brief period of inconsistency when the changes have arrived in some places and not in others. So, for example, if you change a rule action setting, the action might be the old action in one area and the new action in another area. Or if you add an IP address to an IP set used in a blocking rule, the new address might briefly be blocked in one area while still allowed in another. This temporary inconsistency can occur when you first associate a web ACL with an Amazon Web Services resource and when you change a web ACL that is already associated with a resource. Generally, any inconsistencies of this type last only a few seconds. A web ACL defines a collection of rules to use to inspect and control web requests. Each rule has an action defined (allow, block, or count) for requests that match the statement of the rule. In the web ACL, you assign a default action to take (allow, block) for any request that does not match any of the rules. The rules in a web ACL can be a combination of the types Rule , RuleGroup , and managed rule group. You can associate a web ACL with one or more Amazon Web Services resources to protect. The resources can be an Amazon CloudFront distribution, an Amazon API Gateway REST API, an Application Load Balancer, an AppSync GraphQL API, or an Amazon Cognito user pool.","ref":"aws_wafv2.html#update_web_acl/2","title":"aws_wafv2.update_web_acl/2","type":"function"},{"doc":"","ref":"aws_wafv2.html#update_web_acl/3","title":"aws_wafv2.update_web_acl/3","type":"function"},{"doc":"Well-Architected Tool This is the Well-Architected Tool API Reference. The WA Tool API provides programmatic access to the Well-Architected Tool in the Amazon Web Services Management Console. For information about the Well-Architected Tool, see the Well-Architected Tool User Guide.","ref":"aws_wellarchitected.html","title":"aws_wellarchitected","type":"module"},{"doc":"Associate a lens to a workload. Up to 10 lenses can be associated with a workload in a single API operation. A maximum of 20 lenses can be associated with a workload. Disclaimer By accessing and/or applying custom lenses created by another Amazon Web Services user or account, you acknowledge that custom lenses created by other users and shared with you are Third Party Content as defined in the Amazon Web Services Customer Agreement.","ref":"aws_wellarchitected.html#associate_lenses/3","title":"aws_wellarchitected.associate_lenses/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#associate_lenses/4","title":"aws_wellarchitected.associate_lenses/4","type":"function"},{"doc":"Create a lens share. The owner of a lens can share it with other Amazon Web Services accounts, IAM users, an organization, and organizational units (OUs) in the same Amazon Web Services Region. Shared access to a lens is not removed until the lens invitation is deleted. Disclaimer By sharing your custom lenses with other Amazon Web Services accounts, you acknowledge that Amazon Web Services will make your custom lenses available to those other accounts. Those other accounts may continue to access and use your shared custom lenses even if you delete the custom lenses from your own Amazon Web Services account or terminate your Amazon Web Services account.","ref":"aws_wellarchitected.html#create_lens_share/3","title":"aws_wellarchitected.create_lens_share/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#create_lens_share/4","title":"aws_wellarchitected.create_lens_share/4","type":"function"},{"doc":"Create a new lens version. A lens can have up to 100 versions. After a lens has been imported, create a new lens version to publish it. The owner of a lens can share the lens with other Amazon Web Services accounts and IAM users in the same Amazon Web Services Region. Only the owner of a lens can delete it.","ref":"aws_wellarchitected.html#create_lens_version/3","title":"aws_wellarchitected.create_lens_version/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#create_lens_version/4","title":"aws_wellarchitected.create_lens_version/4","type":"function"},{"doc":"Create a milestone for an existing workload.","ref":"aws_wellarchitected.html#create_milestone/3","title":"aws_wellarchitected.create_milestone/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#create_milestone/4","title":"aws_wellarchitected.create_milestone/4","type":"function"},{"doc":"Create a new workload. The owner of a workload can share the workload with other Amazon Web Services accounts, IAM users, an organization, and organizational units (OUs) in the same Amazon Web Services Region. Only the owner of a workload can delete it. For more information, see Defining a Workload in the Well-Architected Tool User Guide.","ref":"aws_wellarchitected.html#create_workload/2","title":"aws_wellarchitected.create_workload/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#create_workload/3","title":"aws_wellarchitected.create_workload/3","type":"function"},{"doc":"Create a workload share. The owner of a workload can share it with other Amazon Web Services accounts and IAM users in the same Amazon Web Services Region. Shared access to a workload is not removed until the workload invitation is deleted. For more information, see Sharing a Workload in the Well-Architected Tool User Guide.","ref":"aws_wellarchitected.html#create_workload_share/3","title":"aws_wellarchitected.create_workload_share/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#create_workload_share/4","title":"aws_wellarchitected.create_workload_share/4","type":"function"},{"doc":"Delete an existing lens. Only the owner of a lens can delete it. After the lens is deleted, Amazon Web Services accounts and IAM users that you shared the lens with can continue to use it, but they will no longer be able to apply it to new workloads. Disclaimer By sharing your custom lenses with other Amazon Web Services accounts, you acknowledge that Amazon Web Services will make your custom lenses available to those other accounts. Those other accounts may continue to access and use your shared custom lenses even if you delete the custom lenses from your own Amazon Web Services account or terminate your Amazon Web Services account.","ref":"aws_wellarchitected.html#delete_lens/3","title":"aws_wellarchitected.delete_lens/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#delete_lens/4","title":"aws_wellarchitected.delete_lens/4","type":"function"},{"doc":"Delete a lens share. After the lens share is deleted, Amazon Web Services accounts, IAM users, organizations, and organizational units (OUs) that you shared the lens with can continue to use it, but they will no longer be able to apply it to new workloads. Disclaimer By sharing your custom lenses with other Amazon Web Services accounts, you acknowledge that Amazon Web Services will make your custom lenses available to those other accounts. Those other accounts may continue to access and use your shared custom lenses even if you delete the custom lenses from your own Amazon Web Services account or terminate your Amazon Web Services account.","ref":"aws_wellarchitected.html#delete_lens_share/4","title":"aws_wellarchitected.delete_lens_share/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#delete_lens_share/5","title":"aws_wellarchitected.delete_lens_share/5","type":"function"},{"doc":"Delete an existing workload.","ref":"aws_wellarchitected.html#delete_workload/3","title":"aws_wellarchitected.delete_workload/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#delete_workload/4","title":"aws_wellarchitected.delete_workload/4","type":"function"},{"doc":"Delete a workload share.","ref":"aws_wellarchitected.html#delete_workload_share/4","title":"aws_wellarchitected.delete_workload_share/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#delete_workload_share/5","title":"aws_wellarchitected.delete_workload_share/5","type":"function"},{"doc":"Disassociate a lens from a workload. Up to 10 lenses can be disassociated from a workload in a single API operation. The Amazon Web Services Well-Architected Framework lens ( wellarchitected ) cannot be removed from a workload.","ref":"aws_wellarchitected.html#disassociate_lenses/3","title":"aws_wellarchitected.disassociate_lenses/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#disassociate_lenses/4","title":"aws_wellarchitected.disassociate_lenses/4","type":"function"},{"doc":"Export an existing lens. Lenses are defined in JSON. For more information, see JSON format specification in the Well-Architected Tool User Guide. Only the owner of a lens can export it. Disclaimer Do not include or gather personal identifiable information (PII) of end users or other identifiable individuals in or via your custom lenses. If your custom lens or those shared with you and used in your account do include or collect PII you are responsible for: ensuring that the included PII is processed in accordance with applicable law, providing adequate privacy notices, and obtaining necessary consents for processing such data.","ref":"aws_wellarchitected.html#export_lens/2","title":"aws_wellarchitected.export_lens/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#export_lens/4","title":"aws_wellarchitected.export_lens/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#export_lens/5","title":"aws_wellarchitected.export_lens/5","type":"function"},{"doc":"Get the answer to a specific question in a workload review.","ref":"aws_wellarchitected.html#get_answer/4","title":"aws_wellarchitected.get_answer/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_answer/6","title":"aws_wellarchitected.get_answer/6","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_answer/7","title":"aws_wellarchitected.get_answer/7","type":"function"},{"doc":"Get an existing lens.","ref":"aws_wellarchitected.html#get_lens/2","title":"aws_wellarchitected.get_lens/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_lens/4","title":"aws_wellarchitected.get_lens/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_lens/5","title":"aws_wellarchitected.get_lens/5","type":"function"},{"doc":"Get lens review.","ref":"aws_wellarchitected.html#get_lens_review/3","title":"aws_wellarchitected.get_lens_review/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_lens_review/5","title":"aws_wellarchitected.get_lens_review/5","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_lens_review/6","title":"aws_wellarchitected.get_lens_review/6","type":"function"},{"doc":"Get lens review report.","ref":"aws_wellarchitected.html#get_lens_review_report/3","title":"aws_wellarchitected.get_lens_review_report/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_lens_review_report/5","title":"aws_wellarchitected.get_lens_review_report/5","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_lens_review_report/6","title":"aws_wellarchitected.get_lens_review_report/6","type":"function"},{"doc":"Get lens version differences.","ref":"aws_wellarchitected.html#get_lens_version_difference/2","title":"aws_wellarchitected.get_lens_version_difference/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_lens_version_difference/4","title":"aws_wellarchitected.get_lens_version_difference/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_lens_version_difference/5","title":"aws_wellarchitected.get_lens_version_difference/5","type":"function"},{"doc":"Get a milestone for an existing workload.","ref":"aws_wellarchitected.html#get_milestone/3","title":"aws_wellarchitected.get_milestone/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_milestone/5","title":"aws_wellarchitected.get_milestone/5","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_milestone/6","title":"aws_wellarchitected.get_milestone/6","type":"function"},{"doc":"Get an existing workload.","ref":"aws_wellarchitected.html#get_workload/2","title":"aws_wellarchitected.get_workload/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_workload/4","title":"aws_wellarchitected.get_workload/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#get_workload/5","title":"aws_wellarchitected.get_workload/5","type":"function"},{"doc":"Import a new lens. The lens cannot be applied to workloads or shared with other Amazon Web Services accounts until it's published with CreateLensVersion Lenses are defined in JSON. For more information, see JSON format specification in the Well-Architected Tool User Guide. A custom lens cannot exceed 500 KB in size. Disclaimer Do not include or gather personal identifiable information (PII) of end users or other identifiable individuals in or via your custom lenses. If your custom lens or those shared with you and used in your account do include or collect PII you are responsible for: ensuring that the included PII is processed in accordance with applicable law, providing adequate privacy notices, and obtaining necessary consents for processing such data.","ref":"aws_wellarchitected.html#import_lens/2","title":"aws_wellarchitected.import_lens/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#import_lens/3","title":"aws_wellarchitected.import_lens/3","type":"function"},{"doc":"List of answers.","ref":"aws_wellarchitected.html#list_answers/3","title":"aws_wellarchitected.list_answers/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_answers/5","title":"aws_wellarchitected.list_answers/5","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_answers/6","title":"aws_wellarchitected.list_answers/6","type":"function"},{"doc":"List of Trusted Advisor check details by account related to the workload.","ref":"aws_wellarchitected.html#list_check_details/3","title":"aws_wellarchitected.list_check_details/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_check_details/4","title":"aws_wellarchitected.list_check_details/4","type":"function"},{"doc":"List of Trusted Advisor checks summarized for all accounts related to the workload.","ref":"aws_wellarchitected.html#list_check_summaries/3","title":"aws_wellarchitected.list_check_summaries/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_check_summaries/4","title":"aws_wellarchitected.list_check_summaries/4","type":"function"},{"doc":"List lens review improvements.","ref":"aws_wellarchitected.html#list_lens_review_improvements/3","title":"aws_wellarchitected.list_lens_review_improvements/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_lens_review_improvements/5","title":"aws_wellarchitected.list_lens_review_improvements/5","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_lens_review_improvements/6","title":"aws_wellarchitected.list_lens_review_improvements/6","type":"function"},{"doc":"List lens reviews.","ref":"aws_wellarchitected.html#list_lens_reviews/2","title":"aws_wellarchitected.list_lens_reviews/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_lens_reviews/4","title":"aws_wellarchitected.list_lens_reviews/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_lens_reviews/5","title":"aws_wellarchitected.list_lens_reviews/5","type":"function"},{"doc":"List the lens shares associated with the lens.","ref":"aws_wellarchitected.html#list_lens_shares/2","title":"aws_wellarchitected.list_lens_shares/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_lens_shares/4","title":"aws_wellarchitected.list_lens_shares/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_lens_shares/5","title":"aws_wellarchitected.list_lens_shares/5","type":"function"},{"doc":"List the available lenses.","ref":"aws_wellarchitected.html#list_lenses/1","title":"aws_wellarchitected.list_lenses/1","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_lenses/3","title":"aws_wellarchitected.list_lenses/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_lenses/4","title":"aws_wellarchitected.list_lenses/4","type":"function"},{"doc":"List all milestones for an existing workload.","ref":"aws_wellarchitected.html#list_milestones/3","title":"aws_wellarchitected.list_milestones/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_milestones/4","title":"aws_wellarchitected.list_milestones/4","type":"function"},{"doc":"List lens notifications.","ref":"aws_wellarchitected.html#list_notifications/2","title":"aws_wellarchitected.list_notifications/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_notifications/3","title":"aws_wellarchitected.list_notifications/3","type":"function"},{"doc":"List the workload invitations.","ref":"aws_wellarchitected.html#list_share_invitations/1","title":"aws_wellarchitected.list_share_invitations/1","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_share_invitations/3","title":"aws_wellarchitected.list_share_invitations/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_share_invitations/4","title":"aws_wellarchitected.list_share_invitations/4","type":"function"},{"doc":"List the tags for a resource. The WorkloadArn parameter can be either a workload ARN or a custom lens ARN.","ref":"aws_wellarchitected.html#list_tags_for_resource/2","title":"aws_wellarchitected.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_tags_for_resource/4","title":"aws_wellarchitected.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_tags_for_resource/5","title":"aws_wellarchitected.list_tags_for_resource/5","type":"function"},{"doc":"List the workload shares associated with the workload.","ref":"aws_wellarchitected.html#list_workload_shares/2","title":"aws_wellarchitected.list_workload_shares/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_workload_shares/4","title":"aws_wellarchitected.list_workload_shares/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_workload_shares/5","title":"aws_wellarchitected.list_workload_shares/5","type":"function"},{"doc":"List workloads. Paginated.","ref":"aws_wellarchitected.html#list_workloads/2","title":"aws_wellarchitected.list_workloads/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#list_workloads/3","title":"aws_wellarchitected.list_workloads/3","type":"function"},{"doc":"Adds one or more tags to the specified resource. The WorkloadArn parameter can be either a workload ARN or a custom lens ARN.","ref":"aws_wellarchitected.html#tag_resource/3","title":"aws_wellarchitected.tag_resource/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#tag_resource/4","title":"aws_wellarchitected.tag_resource/4","type":"function"},{"doc":"Deletes specified tags from a resource. The WorkloadArn parameter can be either a workload ARN or a custom lens ARN. To specify multiple tags, use separate tagKeys parameters, for example: DELETE /tags/WorkloadArn?tagKeys=key1&amp;amp;tagKeys=key2","ref":"aws_wellarchitected.html#untag_resource/3","title":"aws_wellarchitected.untag_resource/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#untag_resource/4","title":"aws_wellarchitected.untag_resource/4","type":"function"},{"doc":"Update the answer to a specific question in a workload review.","ref":"aws_wellarchitected.html#update_answer/5","title":"aws_wellarchitected.update_answer/5","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#update_answer/6","title":"aws_wellarchitected.update_answer/6","type":"function"},{"doc":"Updates whether the Amazon Web Services account is opted into organization sharing features.","ref":"aws_wellarchitected.html#update_global_settings/2","title":"aws_wellarchitected.update_global_settings/2","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#update_global_settings/3","title":"aws_wellarchitected.update_global_settings/3","type":"function"},{"doc":"Update lens review.","ref":"aws_wellarchitected.html#update_lens_review/4","title":"aws_wellarchitected.update_lens_review/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#update_lens_review/5","title":"aws_wellarchitected.update_lens_review/5","type":"function"},{"doc":"Update a workload or custom lens share invitation. This API operation can be called independently of any resource. Previous documentation implied that a workload ARN must be specified.","ref":"aws_wellarchitected.html#update_share_invitation/3","title":"aws_wellarchitected.update_share_invitation/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#update_share_invitation/4","title":"aws_wellarchitected.update_share_invitation/4","type":"function"},{"doc":"Update an existing workload.","ref":"aws_wellarchitected.html#update_workload/3","title":"aws_wellarchitected.update_workload/3","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#update_workload/4","title":"aws_wellarchitected.update_workload/4","type":"function"},{"doc":"Update a workload share.","ref":"aws_wellarchitected.html#update_workload_share/4","title":"aws_wellarchitected.update_workload_share/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#update_workload_share/5","title":"aws_wellarchitected.update_workload_share/5","type":"function"},{"doc":"Upgrade lens review.","ref":"aws_wellarchitected.html#upgrade_lens_review/4","title":"aws_wellarchitected.upgrade_lens_review/4","type":"function"},{"doc":"","ref":"aws_wellarchitected.html#upgrade_lens_review/5","title":"aws_wellarchitected.upgrade_lens_review/5","type":"function"},{"doc":"Amazon Connect Wisdom delivers agents the information they need to solve customer issues as they're actively speaking with customers. Agents can search across connected repositories from within their agent desktop to find answers quickly. Use the Amazon Connect Wisdom APIs to create an assistant and a knowledge base, for example, or manage content by uploading custom files.","ref":"aws_wisdom.html","title":"aws_wisdom","type":"module"},{"doc":"Creates an Amazon Connect Wisdom assistant.","ref":"aws_wisdom.html#create_assistant/2","title":"aws_wisdom.create_assistant/2","type":"function"},{"doc":"","ref":"aws_wisdom.html#create_assistant/3","title":"aws_wisdom.create_assistant/3","type":"function"},{"doc":"Creates an association between an Amazon Connect Wisdom assistant and another resource. Currently, the only supported association is with a knowledge base. An assistant can have only a single association.","ref":"aws_wisdom.html#create_assistant_association/3","title":"aws_wisdom.create_assistant_association/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#create_assistant_association/4","title":"aws_wisdom.create_assistant_association/4","type":"function"},{"doc":"Creates Wisdom content. Before to calling this API, use StartContentUpload to upload an asset.","ref":"aws_wisdom.html#create_content/3","title":"aws_wisdom.create_content/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#create_content/4","title":"aws_wisdom.create_content/4","type":"function"},{"doc":"Creates a knowledge base. When using this API, you cannot reuse Amazon AppIntegrations DataIntegrations with external knowledge bases such as Salesforce and ServiceNow. If you do, you'll get an InvalidRequestException error. &lt;p&gt;For example, you're programmatically managing your external knowledge base, and you want to add or remove one of the fields that is being ingested from Salesforce. Do the following:&lt;/p&gt; &lt;ol&gt; &lt;li&gt; &lt;p&gt;Call &lt;a href=&quot;https://docs.aws.amazon.com/wisdom/latest/APIReference/API_DeleteKnowledgeBase.html&quot;&gt;DeleteKnowledgeBase&lt;/a&gt;.&lt;/p&gt; &lt;/li&gt; &lt;li&gt; &lt;p&gt;Call &lt;a href=&quot;https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_DeleteDataIntegration.html&quot;&gt;DeleteDataIntegration&lt;/a&gt;.&lt;/p&gt; &lt;/li&gt; &lt;li&gt; &lt;p&gt;Call &lt;a href=&quot;https://docs.aws.amazon.com/appintegrations/latest/APIReference/API_CreateDataIntegration.html&quot;&gt;CreateDataIntegration&lt;/a&gt; to recreate the DataIntegration or a create different one.&lt;/p&gt; &lt;/li&gt; &lt;li&gt; &lt;p&gt;Call CreateKnowledgeBase.&lt;/p&gt; &lt;/li&gt; &lt;/ol&gt; &lt;/note&gt;","ref":"aws_wisdom.html#create_knowledge_base/2","title":"aws_wisdom.create_knowledge_base/2","type":"function"},{"doc":"","ref":"aws_wisdom.html#create_knowledge_base/3","title":"aws_wisdom.create_knowledge_base/3","type":"function"},{"doc":"Creates a session. A session is a contextual container used for generating recommendations. Amazon Connect creates a new Wisdom session for each contact on which Wisdom is enabled.","ref":"aws_wisdom.html#create_session/3","title":"aws_wisdom.create_session/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#create_session/4","title":"aws_wisdom.create_session/4","type":"function"},{"doc":"Deletes an assistant.","ref":"aws_wisdom.html#delete_assistant/3","title":"aws_wisdom.delete_assistant/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#delete_assistant/4","title":"aws_wisdom.delete_assistant/4","type":"function"},{"doc":"Deletes an assistant association.","ref":"aws_wisdom.html#delete_assistant_association/4","title":"aws_wisdom.delete_assistant_association/4","type":"function"},{"doc":"","ref":"aws_wisdom.html#delete_assistant_association/5","title":"aws_wisdom.delete_assistant_association/5","type":"function"},{"doc":"Deletes the content.","ref":"aws_wisdom.html#delete_content/4","title":"aws_wisdom.delete_content/4","type":"function"},{"doc":"","ref":"aws_wisdom.html#delete_content/5","title":"aws_wisdom.delete_content/5","type":"function"},{"doc":"Deletes the knowledge base. When you use this API to delete an external knowledge base such as Salesforce or ServiceNow, you must also delete the Amazon AppIntegrations DataIntegration. This is because you can't reuse the DataIntegration after it's been associated with an external knowledge base. However, you can delete and recreate it. See DeleteDataIntegration and CreateDataIntegration in the Amazon AppIntegrations API Reference.","ref":"aws_wisdom.html#delete_knowledge_base/3","title":"aws_wisdom.delete_knowledge_base/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#delete_knowledge_base/4","title":"aws_wisdom.delete_knowledge_base/4","type":"function"},{"doc":"Retrieves information about an assistant.","ref":"aws_wisdom.html#get_assistant/2","title":"aws_wisdom.get_assistant/2","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_assistant/4","title":"aws_wisdom.get_assistant/4","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_assistant/5","title":"aws_wisdom.get_assistant/5","type":"function"},{"doc":"Retrieves information about an assistant association.","ref":"aws_wisdom.html#get_assistant_association/3","title":"aws_wisdom.get_assistant_association/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_assistant_association/5","title":"aws_wisdom.get_assistant_association/5","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_assistant_association/6","title":"aws_wisdom.get_assistant_association/6","type":"function"},{"doc":"Retrieves content, including a pre-signed URL to download the content.","ref":"aws_wisdom.html#get_content/3","title":"aws_wisdom.get_content/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_content/5","title":"aws_wisdom.get_content/5","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_content/6","title":"aws_wisdom.get_content/6","type":"function"},{"doc":"Retrieves summary information about the content.","ref":"aws_wisdom.html#get_content_summary/3","title":"aws_wisdom.get_content_summary/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_content_summary/5","title":"aws_wisdom.get_content_summary/5","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_content_summary/6","title":"aws_wisdom.get_content_summary/6","type":"function"},{"doc":"Retrieves information about the knowledge base.","ref":"aws_wisdom.html#get_knowledge_base/2","title":"aws_wisdom.get_knowledge_base/2","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_knowledge_base/4","title":"aws_wisdom.get_knowledge_base/4","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_knowledge_base/5","title":"aws_wisdom.get_knowledge_base/5","type":"function"},{"doc":"Retrieves recommendations for the specified session. To avoid retrieving the same recommendations in subsequent calls, use NotifyRecommendationsReceived. This API supports long-polling behavior with the waitTimeSeconds parameter. Short poll is the default behavior and only returns recommendations already available. To perform a manual query against an assistant, use QueryAssistant.","ref":"aws_wisdom.html#get_recommendations/3","title":"aws_wisdom.get_recommendations/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_recommendations/5","title":"aws_wisdom.get_recommendations/5","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_recommendations/6","title":"aws_wisdom.get_recommendations/6","type":"function"},{"doc":"Retrieves information for a specified session.","ref":"aws_wisdom.html#get_session/3","title":"aws_wisdom.get_session/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_session/5","title":"aws_wisdom.get_session/5","type":"function"},{"doc":"","ref":"aws_wisdom.html#get_session/6","title":"aws_wisdom.get_session/6","type":"function"},{"doc":"Lists information about assistant associations.","ref":"aws_wisdom.html#list_assistant_associations/2","title":"aws_wisdom.list_assistant_associations/2","type":"function"},{"doc":"","ref":"aws_wisdom.html#list_assistant_associations/4","title":"aws_wisdom.list_assistant_associations/4","type":"function"},{"doc":"","ref":"aws_wisdom.html#list_assistant_associations/5","title":"aws_wisdom.list_assistant_associations/5","type":"function"},{"doc":"Lists information about assistants.","ref":"aws_wisdom.html#list_assistants/1","title":"aws_wisdom.list_assistants/1","type":"function"},{"doc":"","ref":"aws_wisdom.html#list_assistants/3","title":"aws_wisdom.list_assistants/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#list_assistants/4","title":"aws_wisdom.list_assistants/4","type":"function"},{"doc":"Lists the content.","ref":"aws_wisdom.html#list_contents/2","title":"aws_wisdom.list_contents/2","type":"function"},{"doc":"","ref":"aws_wisdom.html#list_contents/4","title":"aws_wisdom.list_contents/4","type":"function"},{"doc":"","ref":"aws_wisdom.html#list_contents/5","title":"aws_wisdom.list_contents/5","type":"function"},{"doc":"Lists the knowledge bases.","ref":"aws_wisdom.html#list_knowledge_bases/1","title":"aws_wisdom.list_knowledge_bases/1","type":"function"},{"doc":"","ref":"aws_wisdom.html#list_knowledge_bases/3","title":"aws_wisdom.list_knowledge_bases/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#list_knowledge_bases/4","title":"aws_wisdom.list_knowledge_bases/4","type":"function"},{"doc":"Lists the tags for the specified resource.","ref":"aws_wisdom.html#list_tags_for_resource/2","title":"aws_wisdom.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_wisdom.html#list_tags_for_resource/4","title":"aws_wisdom.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_wisdom.html#list_tags_for_resource/5","title":"aws_wisdom.list_tags_for_resource/5","type":"function"},{"doc":"Removes the specified recommendations from the specified assistant's queue of newly available recommendations. You can use this API in conjunction with GetRecommendations and a waitTimeSeconds input for long-polling behavior and avoiding duplicate recommendations.","ref":"aws_wisdom.html#notify_recommendations_received/4","title":"aws_wisdom.notify_recommendations_received/4","type":"function"},{"doc":"","ref":"aws_wisdom.html#notify_recommendations_received/5","title":"aws_wisdom.notify_recommendations_received/5","type":"function"},{"doc":"Performs a manual search against the specified assistant. To retrieve recommendations for an assistant, use GetRecommendations.","ref":"aws_wisdom.html#query_assistant/3","title":"aws_wisdom.query_assistant/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#query_assistant/4","title":"aws_wisdom.query_assistant/4","type":"function"},{"doc":"Removes a URI template from a knowledge base.","ref":"aws_wisdom.html#remove_knowledge_base_template_uri/3","title":"aws_wisdom.remove_knowledge_base_template_uri/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#remove_knowledge_base_template_uri/4","title":"aws_wisdom.remove_knowledge_base_template_uri/4","type":"function"},{"doc":"Searches for content in a specified knowledge base. Can be used to get a specific content resource by its name.","ref":"aws_wisdom.html#search_content/3","title":"aws_wisdom.search_content/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#search_content/4","title":"aws_wisdom.search_content/4","type":"function"},{"doc":"Searches for sessions.","ref":"aws_wisdom.html#search_sessions/3","title":"aws_wisdom.search_sessions/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#search_sessions/4","title":"aws_wisdom.search_sessions/4","type":"function"},{"doc":"Get a URL to upload content to a knowledge base. To upload content, first make a PUT request to the returned URL with your file, making sure to include the required headers. Then use CreateContent to finalize the content creation process or UpdateContent to modify an existing resource. You can only upload content to a knowledge base of type CUSTOM.","ref":"aws_wisdom.html#start_content_upload/3","title":"aws_wisdom.start_content_upload/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#start_content_upload/4","title":"aws_wisdom.start_content_upload/4","type":"function"},{"doc":"Adds the specified tags to the specified resource.","ref":"aws_wisdom.html#tag_resource/3","title":"aws_wisdom.tag_resource/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#tag_resource/4","title":"aws_wisdom.tag_resource/4","type":"function"},{"doc":"Removes the specified tags from the specified resource.","ref":"aws_wisdom.html#untag_resource/3","title":"aws_wisdom.untag_resource/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#untag_resource/4","title":"aws_wisdom.untag_resource/4","type":"function"},{"doc":"Updates information about the content.","ref":"aws_wisdom.html#update_content/4","title":"aws_wisdom.update_content/4","type":"function"},{"doc":"","ref":"aws_wisdom.html#update_content/5","title":"aws_wisdom.update_content/5","type":"function"},{"doc":"Updates the template URI of a knowledge base. This is only supported for knowledge bases of type EXTERNAL. Include a single variable in ${variable} format; this interpolated by Wisdom using ingested content. For example, if you ingest a Salesforce article, it has an Id value, and you can set the template URI to https://myInstanceName.lightning.force.com/lightning/r/Knowledge__kav/*${Id}*/view .","ref":"aws_wisdom.html#update_knowledge_base_template_uri/3","title":"aws_wisdom.update_knowledge_base_template_uri/3","type":"function"},{"doc":"","ref":"aws_wisdom.html#update_knowledge_base_template_uri/4","title":"aws_wisdom.update_knowledge_base_template_uri/4","type":"function"},{"doc":"The Amazon WorkDocs API is designed for the following use cases: File Migration: File migration applications are supported for users who want to migrate their files from an on-premises or off-premises file system or service. Users can insert files into a user directory structure, as well as allow for basic metadata changes, such as modifications to the permissions of files. Security: Support security applications are supported for users who have additional security needs, such as antivirus or data loss prevention. The API actions, along with CloudTrail, allow these applications to detect when changes occur in Amazon WorkDocs. Then, the application can take the necessary actions and replace the target file. If the target file violates the policy, the application can also choose to email the user. eDiscovery/Analytics: General administrative applications are supported, such as eDiscovery and analytics. These applications can choose to mimic or record the actions in an Amazon WorkDocs site, along with CloudTrail, to replicate data for eDiscovery, backup, or analytical applications. All Amazon WorkDocs API actions are Amazon authenticated and certificate-signed. They not only require the use of the Amazon Web Services SDK, but also allow for the exclusive use of IAM users and roles to help facilitate access, trust, and permission policies. By creating a role and allowing an IAM user to access the Amazon WorkDocs site, the IAM user gains full administrative visibility into the entire Amazon WorkDocs site (or as set in the IAM policy). This includes, but is not limited to, the ability to modify file permissions and upload any file to any user. This allows developers to perform the three use cases above, as well as give users the ability to grant access on a selective basis using the IAM model. The pricing for Amazon WorkDocs APIs varies depending on the API call type for these actions: READ (Get*) WRITE (Activate*, Add*, Create*, Deactivate*, Initiate*, Update*) LIST (Describe*) DELETE*, CANCEL For information about Amazon WorkDocs API pricing, see Amazon WorkDocs Pricing.","ref":"aws_workdocs.html","title":"aws_workdocs","type":"module"},{"doc":"Aborts the upload of the specified document version that was previously initiated by InitiateDocumentVersionUpload . The client should make this call only when it no longer intends to upload the document version, or fails to do so.","ref":"aws_workdocs.html#abort_document_version_upload/4","title":"aws_workdocs.abort_document_version_upload/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#abort_document_version_upload/5","title":"aws_workdocs.abort_document_version_upload/5","type":"function"},{"doc":"Activates the specified user. Only active users can access Amazon WorkDocs.","ref":"aws_workdocs.html#activate_user/3","title":"aws_workdocs.activate_user/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#activate_user/4","title":"aws_workdocs.activate_user/4","type":"function"},{"doc":"Creates a set of permissions for the specified folder or document. The resource permissions are overwritten if the principals already have different permissions.","ref":"aws_workdocs.html#add_resource_permissions/3","title":"aws_workdocs.add_resource_permissions/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#add_resource_permissions/4","title":"aws_workdocs.add_resource_permissions/4","type":"function"},{"doc":"Adds a new comment to the specified document version.","ref":"aws_workdocs.html#create_comment/4","title":"aws_workdocs.create_comment/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#create_comment/5","title":"aws_workdocs.create_comment/5","type":"function"},{"doc":"Adds one or more custom properties to the specified resource (a folder, document, or version).","ref":"aws_workdocs.html#create_custom_metadata/3","title":"aws_workdocs.create_custom_metadata/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#create_custom_metadata/4","title":"aws_workdocs.create_custom_metadata/4","type":"function"},{"doc":"Creates a folder with the specified name and parent folder.","ref":"aws_workdocs.html#create_folder/2","title":"aws_workdocs.create_folder/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#create_folder/3","title":"aws_workdocs.create_folder/3","type":"function"},{"doc":"Adds the specified list of labels to the given resource (a document or folder)","ref":"aws_workdocs.html#create_labels/3","title":"aws_workdocs.create_labels/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#create_labels/4","title":"aws_workdocs.create_labels/4","type":"function"},{"doc":"Configure Amazon WorkDocs to use Amazon SNS notifications. The endpoint receives a confirmation message, and must confirm the subscription. For more information, see Setting up notifications for an IAM user or role in the Amazon WorkDocs Developer Guide.","ref":"aws_workdocs.html#create_notification_subscription/3","title":"aws_workdocs.create_notification_subscription/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#create_notification_subscription/4","title":"aws_workdocs.create_notification_subscription/4","type":"function"},{"doc":"Creates a user in a Simple AD or Microsoft AD directory. The status of a newly created user is &quot;ACTIVE&quot;. New users can access Amazon WorkDocs.","ref":"aws_workdocs.html#create_user/2","title":"aws_workdocs.create_user/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#create_user/3","title":"aws_workdocs.create_user/3","type":"function"},{"doc":"Deactivates the specified user, which revokes the user's access to Amazon WorkDocs.","ref":"aws_workdocs.html#deactivate_user/3","title":"aws_workdocs.deactivate_user/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#deactivate_user/4","title":"aws_workdocs.deactivate_user/4","type":"function"},{"doc":"Deletes the specified comment from the document version.","ref":"aws_workdocs.html#delete_comment/5","title":"aws_workdocs.delete_comment/5","type":"function"},{"doc":"","ref":"aws_workdocs.html#delete_comment/6","title":"aws_workdocs.delete_comment/6","type":"function"},{"doc":"Deletes custom metadata from the specified resource.","ref":"aws_workdocs.html#delete_custom_metadata/3","title":"aws_workdocs.delete_custom_metadata/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#delete_custom_metadata/4","title":"aws_workdocs.delete_custom_metadata/4","type":"function"},{"doc":"Permanently deletes the specified document and its associated metadata.","ref":"aws_workdocs.html#delete_document/3","title":"aws_workdocs.delete_document/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#delete_document/4","title":"aws_workdocs.delete_document/4","type":"function"},{"doc":"Deletes a specific version of a document.","ref":"aws_workdocs.html#delete_document_version/4","title":"aws_workdocs.delete_document_version/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#delete_document_version/5","title":"aws_workdocs.delete_document_version/5","type":"function"},{"doc":"Permanently deletes the specified folder and its contents.","ref":"aws_workdocs.html#delete_folder/3","title":"aws_workdocs.delete_folder/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#delete_folder/4","title":"aws_workdocs.delete_folder/4","type":"function"},{"doc":"Deletes the contents of the specified folder.","ref":"aws_workdocs.html#delete_folder_contents/3","title":"aws_workdocs.delete_folder_contents/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#delete_folder_contents/4","title":"aws_workdocs.delete_folder_contents/4","type":"function"},{"doc":"Deletes the specified list of labels from a resource.","ref":"aws_workdocs.html#delete_labels/3","title":"aws_workdocs.delete_labels/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#delete_labels/4","title":"aws_workdocs.delete_labels/4","type":"function"},{"doc":"Deletes the specified subscription from the specified organization.","ref":"aws_workdocs.html#delete_notification_subscription/4","title":"aws_workdocs.delete_notification_subscription/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#delete_notification_subscription/5","title":"aws_workdocs.delete_notification_subscription/5","type":"function"},{"doc":"Deletes the specified user from a Simple AD or Microsoft AD directory. Deleting a user immediately and permanently deletes all content in that user's folder structure. Site retention policies do NOT apply to this type of deletion.","ref":"aws_workdocs.html#delete_user/3","title":"aws_workdocs.delete_user/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#delete_user/4","title":"aws_workdocs.delete_user/4","type":"function"},{"doc":"Describes the user activities in a specified time period.","ref":"aws_workdocs.html#describe_activities/1","title":"aws_workdocs.describe_activities/1","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_activities/3","title":"aws_workdocs.describe_activities/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_activities/4","title":"aws_workdocs.describe_activities/4","type":"function"},{"doc":"List all the comments for the specified document version.","ref":"aws_workdocs.html#describe_comments/3","title":"aws_workdocs.describe_comments/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_comments/5","title":"aws_workdocs.describe_comments/5","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_comments/6","title":"aws_workdocs.describe_comments/6","type":"function"},{"doc":"Retrieves the document versions for the specified document. By default, only active versions are returned.","ref":"aws_workdocs.html#describe_document_versions/2","title":"aws_workdocs.describe_document_versions/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_document_versions/4","title":"aws_workdocs.describe_document_versions/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_document_versions/5","title":"aws_workdocs.describe_document_versions/5","type":"function"},{"doc":"Describes the contents of the specified folder, including its documents and subfolders. By default, Amazon WorkDocs returns the first 100 active document and folder metadata items. If there are more results, the response includes a marker that you can use to request the next set of results. You can also request initialized documents.","ref":"aws_workdocs.html#describe_folder_contents/2","title":"aws_workdocs.describe_folder_contents/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_folder_contents/4","title":"aws_workdocs.describe_folder_contents/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_folder_contents/5","title":"aws_workdocs.describe_folder_contents/5","type":"function"},{"doc":"Describes the groups specified by the query. Groups are defined by the underlying Active Directory.","ref":"aws_workdocs.html#describe_groups/2","title":"aws_workdocs.describe_groups/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_groups/4","title":"aws_workdocs.describe_groups/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_groups/5","title":"aws_workdocs.describe_groups/5","type":"function"},{"doc":"Lists the specified notification subscriptions.","ref":"aws_workdocs.html#describe_notification_subscriptions/2","title":"aws_workdocs.describe_notification_subscriptions/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_notification_subscriptions/4","title":"aws_workdocs.describe_notification_subscriptions/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_notification_subscriptions/5","title":"aws_workdocs.describe_notification_subscriptions/5","type":"function"},{"doc":"Describes the permissions of a specified resource.","ref":"aws_workdocs.html#describe_resource_permissions/2","title":"aws_workdocs.describe_resource_permissions/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_resource_permissions/4","title":"aws_workdocs.describe_resource_permissions/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_resource_permissions/5","title":"aws_workdocs.describe_resource_permissions/5","type":"function"},{"doc":"Describes the current user's special folders; the RootFolder and the RecycleBin . RootFolder is the root of user's files and folders and RecycleBin is the root of recycled items. This is not a valid action for SigV4 (administrative API) clients. This action requires an authentication token. To get an authentication token, register an application with Amazon WorkDocs. For more information, see Authentication and Access Control for User Applications in the Amazon WorkDocs Developer Guide.","ref":"aws_workdocs.html#describe_root_folders/2","title":"aws_workdocs.describe_root_folders/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_root_folders/4","title":"aws_workdocs.describe_root_folders/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_root_folders/5","title":"aws_workdocs.describe_root_folders/5","type":"function"},{"doc":"Describes the specified users. You can describe all users or filter the results (for example, by status or organization). By default, Amazon WorkDocs returns the first 24 active or pending users. If there are more results, the response includes a marker that you can use to request the next set of results.","ref":"aws_workdocs.html#describe_users/1","title":"aws_workdocs.describe_users/1","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_users/3","title":"aws_workdocs.describe_users/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#describe_users/4","title":"aws_workdocs.describe_users/4","type":"function"},{"doc":"Retrieves details of the current user for whom the authentication token was generated. This is not a valid action for SigV4 (administrative API) clients. This action requires an authentication token. To get an authentication token, register an application with Amazon WorkDocs. For more information, see Authentication and Access Control for User Applications in the Amazon WorkDocs Developer Guide.","ref":"aws_workdocs.html#get_current_user/2","title":"aws_workdocs.get_current_user/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_current_user/4","title":"aws_workdocs.get_current_user/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_current_user/5","title":"aws_workdocs.get_current_user/5","type":"function"},{"doc":"Retrieves details of a document.","ref":"aws_workdocs.html#get_document/2","title":"aws_workdocs.get_document/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_document/4","title":"aws_workdocs.get_document/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_document/5","title":"aws_workdocs.get_document/5","type":"function"},{"doc":"Retrieves the path information (the hierarchy from the root folder) for the requested document. By default, Amazon WorkDocs returns a maximum of 100 levels upwards from the requested document and only includes the IDs of the parent folders in the path. You can limit the maximum number of levels. You can also request the names of the parent folders.","ref":"aws_workdocs.html#get_document_path/2","title":"aws_workdocs.get_document_path/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_document_path/4","title":"aws_workdocs.get_document_path/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_document_path/5","title":"aws_workdocs.get_document_path/5","type":"function"},{"doc":"Retrieves version metadata for the specified document.","ref":"aws_workdocs.html#get_document_version/3","title":"aws_workdocs.get_document_version/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_document_version/5","title":"aws_workdocs.get_document_version/5","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_document_version/6","title":"aws_workdocs.get_document_version/6","type":"function"},{"doc":"Retrieves the metadata of the specified folder.","ref":"aws_workdocs.html#get_folder/2","title":"aws_workdocs.get_folder/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_folder/4","title":"aws_workdocs.get_folder/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_folder/5","title":"aws_workdocs.get_folder/5","type":"function"},{"doc":"Retrieves the path information (the hierarchy from the root folder) for the specified folder. By default, Amazon WorkDocs returns a maximum of 100 levels upwards from the requested folder and only includes the IDs of the parent folders in the path. You can limit the maximum number of levels. You can also request the parent folder names.","ref":"aws_workdocs.html#get_folder_path/2","title":"aws_workdocs.get_folder_path/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_folder_path/4","title":"aws_workdocs.get_folder_path/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_folder_path/5","title":"aws_workdocs.get_folder_path/5","type":"function"},{"doc":"Retrieves a collection of resources, including folders and documents. The only CollectionType supported is SHARED_WITH_ME .","ref":"aws_workdocs.html#get_resources/1","title":"aws_workdocs.get_resources/1","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_resources/3","title":"aws_workdocs.get_resources/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#get_resources/4","title":"aws_workdocs.get_resources/4","type":"function"},{"doc":"Creates a new document object and version object. The client specifies the parent folder ID and name of the document to upload. The ID is optionally specified when creating a new version of an existing document. This is the first step to upload a document. Next, upload the document to the URL returned from the call, and then call UpdateDocumentVersion . To cancel the document upload, call AbortDocumentVersionUpload .","ref":"aws_workdocs.html#initiate_document_version_upload/2","title":"aws_workdocs.initiate_document_version_upload/2","type":"function"},{"doc":"","ref":"aws_workdocs.html#initiate_document_version_upload/3","title":"aws_workdocs.initiate_document_version_upload/3","type":"function"},{"doc":"Removes all the permissions from the specified resource.","ref":"aws_workdocs.html#remove_all_resource_permissions/3","title":"aws_workdocs.remove_all_resource_permissions/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#remove_all_resource_permissions/4","title":"aws_workdocs.remove_all_resource_permissions/4","type":"function"},{"doc":"Removes the permission for the specified principal from the specified resource.","ref":"aws_workdocs.html#remove_resource_permission/4","title":"aws_workdocs.remove_resource_permission/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#remove_resource_permission/5","title":"aws_workdocs.remove_resource_permission/5","type":"function"},{"doc":"Recovers a deleted version of an Amazon WorkDocs document.","ref":"aws_workdocs.html#restore_document_versions/3","title":"aws_workdocs.restore_document_versions/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#restore_document_versions/4","title":"aws_workdocs.restore_document_versions/4","type":"function"},{"doc":"Updates the specified attributes of a document. The user must have access to both the document and its parent folder, if applicable.","ref":"aws_workdocs.html#update_document/3","title":"aws_workdocs.update_document/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#update_document/4","title":"aws_workdocs.update_document/4","type":"function"},{"doc":"Changes the status of the document version to ACTIVE. Amazon WorkDocs also sets its document container to ACTIVE. This is the last step in a document upload, after the client uploads the document to an S3-presigned URL returned by InitiateDocumentVersionUpload .","ref":"aws_workdocs.html#update_document_version/4","title":"aws_workdocs.update_document_version/4","type":"function"},{"doc":"","ref":"aws_workdocs.html#update_document_version/5","title":"aws_workdocs.update_document_version/5","type":"function"},{"doc":"Updates the specified attributes of the specified folder. The user must have access to both the folder and its parent folder, if applicable.","ref":"aws_workdocs.html#update_folder/3","title":"aws_workdocs.update_folder/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#update_folder/4","title":"aws_workdocs.update_folder/4","type":"function"},{"doc":"Updates the specified attributes of the specified user, and grants or revokes administrative privileges to the Amazon WorkDocs site.","ref":"aws_workdocs.html#update_user/3","title":"aws_workdocs.update_user/3","type":"function"},{"doc":"","ref":"aws_workdocs.html#update_user/4","title":"aws_workdocs.update_user/4","type":"function"},{"doc":"Amazon WorkLink is a cloud-based service that provides secure access to internal websites and web apps from iOS and Android phones. In a single step, your users, such as employees, can access internal websites as efficiently as they access any other public website. They enter a URL in their web browser, or choose a link to an internal website in an email. Amazon WorkLink authenticates the user's access and securely renders authorized internal web content in a secure rendering service in the AWS cloud. Amazon WorkLink doesn't download or store any internal web content on mobile devices.","ref":"aws_worklink.html","title":"aws_worklink","type":"module"},{"doc":"Specifies a domain to be associated to Amazon WorkLink.","ref":"aws_worklink.html#associate_domain/2","title":"aws_worklink.associate_domain/2","type":"function"},{"doc":"","ref":"aws_worklink.html#associate_domain/3","title":"aws_worklink.associate_domain/3","type":"function"},{"doc":"Associates a website authorization provider with a specified fleet. This is used to authorize users against associated websites in the company network.","ref":"aws_worklink.html#associate_website_authorization_provider/2","title":"aws_worklink.associate_website_authorization_provider/2","type":"function"},{"doc":"","ref":"aws_worklink.html#associate_website_authorization_provider/3","title":"aws_worklink.associate_website_authorization_provider/3","type":"function"},{"doc":"Imports the root certificate of a certificate authority (CA) used to obtain TLS certificates used by associated websites within the company network.","ref":"aws_worklink.html#associate_website_certificate_authority/2","title":"aws_worklink.associate_website_certificate_authority/2","type":"function"},{"doc":"","ref":"aws_worklink.html#associate_website_certificate_authority/3","title":"aws_worklink.associate_website_certificate_authority/3","type":"function"},{"doc":"Creates a fleet. A fleet consists of resources and the configuration that delivers associated websites to authorized users who download and set up the Amazon WorkLink app.","ref":"aws_worklink.html#create_fleet/2","title":"aws_worklink.create_fleet/2","type":"function"},{"doc":"","ref":"aws_worklink.html#create_fleet/3","title":"aws_worklink.create_fleet/3","type":"function"},{"doc":"Deletes a fleet. Prevents users from accessing previously associated websites.","ref":"aws_worklink.html#delete_fleet/2","title":"aws_worklink.delete_fleet/2","type":"function"},{"doc":"","ref":"aws_worklink.html#delete_fleet/3","title":"aws_worklink.delete_fleet/3","type":"function"},{"doc":"Describes the configuration for delivering audit streams to the customer account.","ref":"aws_worklink.html#describe_audit_stream_configuration/2","title":"aws_worklink.describe_audit_stream_configuration/2","type":"function"},{"doc":"","ref":"aws_worklink.html#describe_audit_stream_configuration/3","title":"aws_worklink.describe_audit_stream_configuration/3","type":"function"},{"doc":"Describes the networking configuration to access the internal websites associated with the specified fleet.","ref":"aws_worklink.html#describe_company_network_configuration/2","title":"aws_worklink.describe_company_network_configuration/2","type":"function"},{"doc":"","ref":"aws_worklink.html#describe_company_network_configuration/3","title":"aws_worklink.describe_company_network_configuration/3","type":"function"},{"doc":"Provides information about a user's device.","ref":"aws_worklink.html#describe_device/2","title":"aws_worklink.describe_device/2","type":"function"},{"doc":"","ref":"aws_worklink.html#describe_device/3","title":"aws_worklink.describe_device/3","type":"function"},{"doc":"Describes the device policy configuration for the specified fleet.","ref":"aws_worklink.html#describe_device_policy_configuration/2","title":"aws_worklink.describe_device_policy_configuration/2","type":"function"},{"doc":"","ref":"aws_worklink.html#describe_device_policy_configuration/3","title":"aws_worklink.describe_device_policy_configuration/3","type":"function"},{"doc":"Provides information about the domain.","ref":"aws_worklink.html#describe_domain/2","title":"aws_worklink.describe_domain/2","type":"function"},{"doc":"","ref":"aws_worklink.html#describe_domain/3","title":"aws_worklink.describe_domain/3","type":"function"},{"doc":"Provides basic information for the specified fleet, excluding identity provider, networking, and device configuration details.","ref":"aws_worklink.html#describe_fleet_metadata/2","title":"aws_worklink.describe_fleet_metadata/2","type":"function"},{"doc":"","ref":"aws_worklink.html#describe_fleet_metadata/3","title":"aws_worklink.describe_fleet_metadata/3","type":"function"},{"doc":"Describes the identity provider configuration of the specified fleet.","ref":"aws_worklink.html#describe_identity_provider_configuration/2","title":"aws_worklink.describe_identity_provider_configuration/2","type":"function"},{"doc":"","ref":"aws_worklink.html#describe_identity_provider_configuration/3","title":"aws_worklink.describe_identity_provider_configuration/3","type":"function"},{"doc":"Provides information about the certificate authority.","ref":"aws_worklink.html#describe_website_certificate_authority/2","title":"aws_worklink.describe_website_certificate_authority/2","type":"function"},{"doc":"","ref":"aws_worklink.html#describe_website_certificate_authority/3","title":"aws_worklink.describe_website_certificate_authority/3","type":"function"},{"doc":"Disassociates a domain from Amazon WorkLink. End users lose the ability to access the domain with Amazon WorkLink.","ref":"aws_worklink.html#disassociate_domain/2","title":"aws_worklink.disassociate_domain/2","type":"function"},{"doc":"","ref":"aws_worklink.html#disassociate_domain/3","title":"aws_worklink.disassociate_domain/3","type":"function"},{"doc":"Disassociates a website authorization provider from a specified fleet. After the disassociation, users can't load any associated websites that require this authorization provider.","ref":"aws_worklink.html#disassociate_website_authorization_provider/2","title":"aws_worklink.disassociate_website_authorization_provider/2","type":"function"},{"doc":"","ref":"aws_worklink.html#disassociate_website_authorization_provider/3","title":"aws_worklink.disassociate_website_authorization_provider/3","type":"function"},{"doc":"Removes a certificate authority (CA).","ref":"aws_worklink.html#disassociate_website_certificate_authority/2","title":"aws_worklink.disassociate_website_certificate_authority/2","type":"function"},{"doc":"","ref":"aws_worklink.html#disassociate_website_certificate_authority/3","title":"aws_worklink.disassociate_website_certificate_authority/3","type":"function"},{"doc":"Retrieves a list of devices registered with the specified fleet.","ref":"aws_worklink.html#list_devices/2","title":"aws_worklink.list_devices/2","type":"function"},{"doc":"","ref":"aws_worklink.html#list_devices/3","title":"aws_worklink.list_devices/3","type":"function"},{"doc":"Retrieves a list of domains associated to a specified fleet.","ref":"aws_worklink.html#list_domains/2","title":"aws_worklink.list_domains/2","type":"function"},{"doc":"","ref":"aws_worklink.html#list_domains/3","title":"aws_worklink.list_domains/3","type":"function"},{"doc":"Retrieves a list of fleets for the current account and Region.","ref":"aws_worklink.html#list_fleets/2","title":"aws_worklink.list_fleets/2","type":"function"},{"doc":"","ref":"aws_worklink.html#list_fleets/3","title":"aws_worklink.list_fleets/3","type":"function"},{"doc":"Retrieves a list of tags for the specified resource.","ref":"aws_worklink.html#list_tags_for_resource/2","title":"aws_worklink.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_worklink.html#list_tags_for_resource/4","title":"aws_worklink.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_worklink.html#list_tags_for_resource/5","title":"aws_worklink.list_tags_for_resource/5","type":"function"},{"doc":"Retrieves a list of website authorization providers associated with a specified fleet.","ref":"aws_worklink.html#list_website_authorization_providers/2","title":"aws_worklink.list_website_authorization_providers/2","type":"function"},{"doc":"","ref":"aws_worklink.html#list_website_authorization_providers/3","title":"aws_worklink.list_website_authorization_providers/3","type":"function"},{"doc":"Retrieves a list of certificate authorities added for the current account and Region.","ref":"aws_worklink.html#list_website_certificate_authorities/2","title":"aws_worklink.list_website_certificate_authorities/2","type":"function"},{"doc":"","ref":"aws_worklink.html#list_website_certificate_authorities/3","title":"aws_worklink.list_website_certificate_authorities/3","type":"function"},{"doc":"Moves a domain to ACTIVE status if it was in the INACTIVE status.","ref":"aws_worklink.html#restore_domain_access/2","title":"aws_worklink.restore_domain_access/2","type":"function"},{"doc":"","ref":"aws_worklink.html#restore_domain_access/3","title":"aws_worklink.restore_domain_access/3","type":"function"},{"doc":"Moves a domain to INACTIVE status if it was in the ACTIVE status.","ref":"aws_worklink.html#revoke_domain_access/2","title":"aws_worklink.revoke_domain_access/2","type":"function"},{"doc":"","ref":"aws_worklink.html#revoke_domain_access/3","title":"aws_worklink.revoke_domain_access/3","type":"function"},{"doc":"Signs the user out from all of their devices. The user can sign in again if they have valid credentials.","ref":"aws_worklink.html#sign_out_user/2","title":"aws_worklink.sign_out_user/2","type":"function"},{"doc":"","ref":"aws_worklink.html#sign_out_user/3","title":"aws_worklink.sign_out_user/3","type":"function"},{"doc":"Adds or overwrites one or more tags for the specified resource, such as a fleet. Each tag consists of a key and an optional value. If a resource already has a tag with the same key, this operation updates its value.","ref":"aws_worklink.html#tag_resource/3","title":"aws_worklink.tag_resource/3","type":"function"},{"doc":"","ref":"aws_worklink.html#tag_resource/4","title":"aws_worklink.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from the specified resource.","ref":"aws_worklink.html#untag_resource/3","title":"aws_worklink.untag_resource/3","type":"function"},{"doc":"","ref":"aws_worklink.html#untag_resource/4","title":"aws_worklink.untag_resource/4","type":"function"},{"doc":"Updates the audit stream configuration for the fleet.","ref":"aws_worklink.html#update_audit_stream_configuration/2","title":"aws_worklink.update_audit_stream_configuration/2","type":"function"},{"doc":"","ref":"aws_worklink.html#update_audit_stream_configuration/3","title":"aws_worklink.update_audit_stream_configuration/3","type":"function"},{"doc":"Updates the company network configuration for the fleet.","ref":"aws_worklink.html#update_company_network_configuration/2","title":"aws_worklink.update_company_network_configuration/2","type":"function"},{"doc":"","ref":"aws_worklink.html#update_company_network_configuration/3","title":"aws_worklink.update_company_network_configuration/3","type":"function"},{"doc":"Updates the device policy configuration for the fleet.","ref":"aws_worklink.html#update_device_policy_configuration/2","title":"aws_worklink.update_device_policy_configuration/2","type":"function"},{"doc":"","ref":"aws_worklink.html#update_device_policy_configuration/3","title":"aws_worklink.update_device_policy_configuration/3","type":"function"},{"doc":"Updates domain metadata, such as DisplayName.","ref":"aws_worklink.html#update_domain_metadata/2","title":"aws_worklink.update_domain_metadata/2","type":"function"},{"doc":"","ref":"aws_worklink.html#update_domain_metadata/3","title":"aws_worklink.update_domain_metadata/3","type":"function"},{"doc":"Updates fleet metadata, such as DisplayName.","ref":"aws_worklink.html#update_fleet_metadata/2","title":"aws_worklink.update_fleet_metadata/2","type":"function"},{"doc":"","ref":"aws_worklink.html#update_fleet_metadata/3","title":"aws_worklink.update_fleet_metadata/3","type":"function"},{"doc":"Updates the identity provider configuration for the fleet.","ref":"aws_worklink.html#update_identity_provider_configuration/2","title":"aws_worklink.update_identity_provider_configuration/2","type":"function"},{"doc":"","ref":"aws_worklink.html#update_identity_provider_configuration/3","title":"aws_worklink.update_identity_provider_configuration/3","type":"function"},{"doc":"WorkMail is a secure, managed business email and calendaring service with support for existing desktop and mobile email clients. You can access your email, contacts, and calendars using Microsoft Outlook, your browser, or other native iOS and Android email applications. You can integrate WorkMail with your existing corporate directory and control both the keys that encrypt your data and the location in which your data is stored. The WorkMail API is designed for the following scenarios: Listing and describing organizations Managing users Managing groups Managing resources All WorkMail API operations are Amazon-authenticated and certificate-signed. They not only require the use of the AWS SDK, but also allow for the exclusive use of AWS Identity and Access Management users and roles to help facilitate access, trust, and permission policies. By creating a role and allowing an IAM user to access the WorkMail site, the IAM user gains full administrative visibility into the entire WorkMail organization (or as set in the IAM policy). This includes, but is not limited to, the ability to create, update, and delete users, groups, and resources. This allows developers to perform the scenarios listed above, as well as give users the ability to grant access on a selective basis using the IAM model.","ref":"aws_workmail.html","title":"aws_workmail","type":"module"},{"doc":"Adds a member (user or group) to the resource's set of delegates.","ref":"aws_workmail.html#associate_delegate_to_resource/2","title":"aws_workmail.associate_delegate_to_resource/2","type":"function"},{"doc":"","ref":"aws_workmail.html#associate_delegate_to_resource/3","title":"aws_workmail.associate_delegate_to_resource/3","type":"function"},{"doc":"Adds a member (user or group) to the group's set.","ref":"aws_workmail.html#associate_member_to_group/2","title":"aws_workmail.associate_member_to_group/2","type":"function"},{"doc":"","ref":"aws_workmail.html#associate_member_to_group/3","title":"aws_workmail.associate_member_to_group/3","type":"function"},{"doc":"Assumes an impersonation role for the given WorkMail organization. This method returns an authentication token you can use to make impersonated calls.","ref":"aws_workmail.html#assume_impersonation_role/2","title":"aws_workmail.assume_impersonation_role/2","type":"function"},{"doc":"","ref":"aws_workmail.html#assume_impersonation_role/3","title":"aws_workmail.assume_impersonation_role/3","type":"function"},{"doc":"Cancels a mailbox export job. If the mailbox export job is near completion, it might not be possible to cancel it.","ref":"aws_workmail.html#cancel_mailbox_export_job/2","title":"aws_workmail.cancel_mailbox_export_job/2","type":"function"},{"doc":"","ref":"aws_workmail.html#cancel_mailbox_export_job/3","title":"aws_workmail.cancel_mailbox_export_job/3","type":"function"},{"doc":"Adds an alias to the set of a given member (user or group) of WorkMail.","ref":"aws_workmail.html#create_alias/2","title":"aws_workmail.create_alias/2","type":"function"},{"doc":"","ref":"aws_workmail.html#create_alias/3","title":"aws_workmail.create_alias/3","type":"function"},{"doc":"Creates an AvailabilityConfiguration for the given WorkMail organization and domain.","ref":"aws_workmail.html#create_availability_configuration/2","title":"aws_workmail.create_availability_configuration/2","type":"function"},{"doc":"","ref":"aws_workmail.html#create_availability_configuration/3","title":"aws_workmail.create_availability_configuration/3","type":"function"},{"doc":"Creates a group that can be used in WorkMail by calling the RegisterToWorkMail operation.","ref":"aws_workmail.html#create_group/2","title":"aws_workmail.create_group/2","type":"function"},{"doc":"","ref":"aws_workmail.html#create_group/3","title":"aws_workmail.create_group/3","type":"function"},{"doc":"Creates an impersonation role for the given WorkMail organization. Idempotency ensures that an API request completes no more than one time. With an idempotent request, if the original request completes successfully, any subsequent retries also complete successfully without performing any further actions.","ref":"aws_workmail.html#create_impersonation_role/2","title":"aws_workmail.create_impersonation_role/2","type":"function"},{"doc":"","ref":"aws_workmail.html#create_impersonation_role/3","title":"aws_workmail.create_impersonation_role/3","type":"function"},{"doc":"Creates a new mobile device access rule for the specified WorkMail organization.","ref":"aws_workmail.html#create_mobile_device_access_rule/2","title":"aws_workmail.create_mobile_device_access_rule/2","type":"function"},{"doc":"","ref":"aws_workmail.html#create_mobile_device_access_rule/3","title":"aws_workmail.create_mobile_device_access_rule/3","type":"function"},{"doc":"Creates a new WorkMail organization. Optionally, you can choose to associate an existing AWS Directory Service directory with your organization. If an AWS Directory Service directory ID is specified, the organization alias must match the directory alias. If you choose not to associate an existing directory with your organization, then we create a new WorkMail directory for you. For more information, see Adding an organization in the WorkMail Administrator Guide. You can associate multiple email domains with an organization, then choose your default email domain from the WorkMail console. You can also associate a domain that is managed in an Amazon Route 53 public hosted zone. For more information, see Adding a domain and Choosing the default domain in the WorkMail Administrator Guide. Optionally, you can use a customer managed key from AWS Key Management Service (AWS KMS) to encrypt email for your organization. If you don't associate an AWS KMS key, WorkMail creates a default, AWS managed key for you.","ref":"aws_workmail.html#create_organization/2","title":"aws_workmail.create_organization/2","type":"function"},{"doc":"","ref":"aws_workmail.html#create_organization/3","title":"aws_workmail.create_organization/3","type":"function"},{"doc":"Creates a new WorkMail resource.","ref":"aws_workmail.html#create_resource/2","title":"aws_workmail.create_resource/2","type":"function"},{"doc":"","ref":"aws_workmail.html#create_resource/3","title":"aws_workmail.create_resource/3","type":"function"},{"doc":"Creates a user who can be used in WorkMail by calling the RegisterToWorkMail operation.","ref":"aws_workmail.html#create_user/2","title":"aws_workmail.create_user/2","type":"function"},{"doc":"","ref":"aws_workmail.html#create_user/3","title":"aws_workmail.create_user/3","type":"function"},{"doc":"Deletes an access control rule for the specified WorkMail organization. Deleting already deleted and non-existing rules does not produce an error. In those cases, the service sends back an HTTP 200 response with an empty HTTP body.","ref":"aws_workmail.html#delete_access_control_rule/2","title":"aws_workmail.delete_access_control_rule/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_access_control_rule/3","title":"aws_workmail.delete_access_control_rule/3","type":"function"},{"doc":"Remove one or more specified aliases from a set of aliases for a given user.","ref":"aws_workmail.html#delete_alias/2","title":"aws_workmail.delete_alias/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_alias/3","title":"aws_workmail.delete_alias/3","type":"function"},{"doc":"Deletes the AvailabilityConfiguration for the given WorkMail organization and domain.","ref":"aws_workmail.html#delete_availability_configuration/2","title":"aws_workmail.delete_availability_configuration/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_availability_configuration/3","title":"aws_workmail.delete_availability_configuration/3","type":"function"},{"doc":"Deletes the email monitoring configuration for a specified organization.","ref":"aws_workmail.html#delete_email_monitoring_configuration/2","title":"aws_workmail.delete_email_monitoring_configuration/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_email_monitoring_configuration/3","title":"aws_workmail.delete_email_monitoring_configuration/3","type":"function"},{"doc":"Deletes a group from WorkMail.","ref":"aws_workmail.html#delete_group/2","title":"aws_workmail.delete_group/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_group/3","title":"aws_workmail.delete_group/3","type":"function"},{"doc":"Deletes an impersonation role for the given WorkMail organization.","ref":"aws_workmail.html#delete_impersonation_role/2","title":"aws_workmail.delete_impersonation_role/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_impersonation_role/3","title":"aws_workmail.delete_impersonation_role/3","type":"function"},{"doc":"Deletes permissions granted to a member (user or group).","ref":"aws_workmail.html#delete_mailbox_permissions/2","title":"aws_workmail.delete_mailbox_permissions/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_mailbox_permissions/3","title":"aws_workmail.delete_mailbox_permissions/3","type":"function"},{"doc":"Deletes the mobile device access override for the given WorkMail organization, user, and device. Deleting already deleted and non-existing overrides does not produce an error. In those cases, the service sends back an HTTP 200 response with an empty HTTP body.","ref":"aws_workmail.html#delete_mobile_device_access_override/2","title":"aws_workmail.delete_mobile_device_access_override/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_mobile_device_access_override/3","title":"aws_workmail.delete_mobile_device_access_override/3","type":"function"},{"doc":"Deletes a mobile device access rule for the specified WorkMail organization. Deleting already deleted and non-existing rules does not produce an error. In those cases, the service sends back an HTTP 200 response with an empty HTTP body.","ref":"aws_workmail.html#delete_mobile_device_access_rule/2","title":"aws_workmail.delete_mobile_device_access_rule/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_mobile_device_access_rule/3","title":"aws_workmail.delete_mobile_device_access_rule/3","type":"function"},{"doc":"Deletes an WorkMail organization and all underlying AWS resources managed by WorkMail as part of the organization. You can choose whether to delete the associated directory. For more information, see Removing an organization in the WorkMail Administrator Guide.","ref":"aws_workmail.html#delete_organization/2","title":"aws_workmail.delete_organization/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_organization/3","title":"aws_workmail.delete_organization/3","type":"function"},{"doc":"Deletes the specified resource.","ref":"aws_workmail.html#delete_resource/2","title":"aws_workmail.delete_resource/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_resource/3","title":"aws_workmail.delete_resource/3","type":"function"},{"doc":"Deletes the specified retention policy from the specified organization.","ref":"aws_workmail.html#delete_retention_policy/2","title":"aws_workmail.delete_retention_policy/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_retention_policy/3","title":"aws_workmail.delete_retention_policy/3","type":"function"},{"doc":"Deletes a user from WorkMail and all subsequent systems. Before you can delete a user, the user state must be DISABLED . Use the DescribeUser action to confirm the user state. Deleting a user is permanent and cannot be undone. WorkMail archives user mailboxes for 30 days before they are permanently removed.","ref":"aws_workmail.html#delete_user/2","title":"aws_workmail.delete_user/2","type":"function"},{"doc":"","ref":"aws_workmail.html#delete_user/3","title":"aws_workmail.delete_user/3","type":"function"},{"doc":"Mark a user, group, or resource as no longer used in WorkMail. This action disassociates the mailbox and schedules it for clean-up. WorkMail keeps mailboxes for 30 days before they are permanently removed. The functionality in the console is Disable.","ref":"aws_workmail.html#deregister_from_work_mail/2","title":"aws_workmail.deregister_from_work_mail/2","type":"function"},{"doc":"","ref":"aws_workmail.html#deregister_from_work_mail/3","title":"aws_workmail.deregister_from_work_mail/3","type":"function"},{"doc":"Removes a domain from WorkMail, stops email routing to WorkMail, and removes the authorization allowing WorkMail use. SES keeps the domain because other applications may use it. You must first remove any email address used by WorkMail entities before you remove the domain.","ref":"aws_workmail.html#deregister_mail_domain/2","title":"aws_workmail.deregister_mail_domain/2","type":"function"},{"doc":"","ref":"aws_workmail.html#deregister_mail_domain/3","title":"aws_workmail.deregister_mail_domain/3","type":"function"},{"doc":"Describes the current email monitoring configuration for a specified organization.","ref":"aws_workmail.html#describe_email_monitoring_configuration/2","title":"aws_workmail.describe_email_monitoring_configuration/2","type":"function"},{"doc":"","ref":"aws_workmail.html#describe_email_monitoring_configuration/3","title":"aws_workmail.describe_email_monitoring_configuration/3","type":"function"},{"doc":"Returns the data available for the group.","ref":"aws_workmail.html#describe_group/2","title":"aws_workmail.describe_group/2","type":"function"},{"doc":"","ref":"aws_workmail.html#describe_group/3","title":"aws_workmail.describe_group/3","type":"function"},{"doc":"Lists the settings in a DMARC policy for a specified organization.","ref":"aws_workmail.html#describe_inbound_dmarc_settings/2","title":"aws_workmail.describe_inbound_dmarc_settings/2","type":"function"},{"doc":"","ref":"aws_workmail.html#describe_inbound_dmarc_settings/3","title":"aws_workmail.describe_inbound_dmarc_settings/3","type":"function"},{"doc":"Describes the current status of a mailbox export job.","ref":"aws_workmail.html#describe_mailbox_export_job/2","title":"aws_workmail.describe_mailbox_export_job/2","type":"function"},{"doc":"","ref":"aws_workmail.html#describe_mailbox_export_job/3","title":"aws_workmail.describe_mailbox_export_job/3","type":"function"},{"doc":"Provides more information regarding a given organization based on its identifier.","ref":"aws_workmail.html#describe_organization/2","title":"aws_workmail.describe_organization/2","type":"function"},{"doc":"","ref":"aws_workmail.html#describe_organization/3","title":"aws_workmail.describe_organization/3","type":"function"},{"doc":"Returns the data available for the resource.","ref":"aws_workmail.html#describe_resource/2","title":"aws_workmail.describe_resource/2","type":"function"},{"doc":"","ref":"aws_workmail.html#describe_resource/3","title":"aws_workmail.describe_resource/3","type":"function"},{"doc":"Provides information regarding the user.","ref":"aws_workmail.html#describe_user/2","title":"aws_workmail.describe_user/2","type":"function"},{"doc":"","ref":"aws_workmail.html#describe_user/3","title":"aws_workmail.describe_user/3","type":"function"},{"doc":"Removes a member from the resource's set of delegates.","ref":"aws_workmail.html#disassociate_delegate_from_resource/2","title":"aws_workmail.disassociate_delegate_from_resource/2","type":"function"},{"doc":"","ref":"aws_workmail.html#disassociate_delegate_from_resource/3","title":"aws_workmail.disassociate_delegate_from_resource/3","type":"function"},{"doc":"Removes a member from a group.","ref":"aws_workmail.html#disassociate_member_from_group/2","title":"aws_workmail.disassociate_member_from_group/2","type":"function"},{"doc":"","ref":"aws_workmail.html#disassociate_member_from_group/3","title":"aws_workmail.disassociate_member_from_group/3","type":"function"},{"doc":"Gets the effects of an organization's access control rules as they apply to a specified IPv4 address, access protocol action, and user ID or impersonation role ID. You must provide either the user ID or impersonation role ID. Impersonation role ID can only be used with Action EWS.","ref":"aws_workmail.html#get_access_control_effect/2","title":"aws_workmail.get_access_control_effect/2","type":"function"},{"doc":"","ref":"aws_workmail.html#get_access_control_effect/3","title":"aws_workmail.get_access_control_effect/3","type":"function"},{"doc":"Gets the default retention policy details for the specified organization.","ref":"aws_workmail.html#get_default_retention_policy/2","title":"aws_workmail.get_default_retention_policy/2","type":"function"},{"doc":"","ref":"aws_workmail.html#get_default_retention_policy/3","title":"aws_workmail.get_default_retention_policy/3","type":"function"},{"doc":"Gets the impersonation role details for the given WorkMail organization.","ref":"aws_workmail.html#get_impersonation_role/2","title":"aws_workmail.get_impersonation_role/2","type":"function"},{"doc":"","ref":"aws_workmail.html#get_impersonation_role/3","title":"aws_workmail.get_impersonation_role/3","type":"function"},{"doc":"Tests whether the given impersonation role can impersonate a target user.","ref":"aws_workmail.html#get_impersonation_role_effect/2","title":"aws_workmail.get_impersonation_role_effect/2","type":"function"},{"doc":"","ref":"aws_workmail.html#get_impersonation_role_effect/3","title":"aws_workmail.get_impersonation_role_effect/3","type":"function"},{"doc":"Gets details for a mail domain, including domain records required to configure your domain with recommended security.","ref":"aws_workmail.html#get_mail_domain/2","title":"aws_workmail.get_mail_domain/2","type":"function"},{"doc":"","ref":"aws_workmail.html#get_mail_domain/3","title":"aws_workmail.get_mail_domain/3","type":"function"},{"doc":"Requests a user's mailbox details for a specified organization and user.","ref":"aws_workmail.html#get_mailbox_details/2","title":"aws_workmail.get_mailbox_details/2","type":"function"},{"doc":"","ref":"aws_workmail.html#get_mailbox_details/3","title":"aws_workmail.get_mailbox_details/3","type":"function"},{"doc":"Simulates the effect of the mobile device access rules for the given attributes of a sample access event. Use this method to test the effects of the current set of mobile device access rules for the WorkMail organization for a particular user's attributes.","ref":"aws_workmail.html#get_mobile_device_access_effect/2","title":"aws_workmail.get_mobile_device_access_effect/2","type":"function"},{"doc":"","ref":"aws_workmail.html#get_mobile_device_access_effect/3","title":"aws_workmail.get_mobile_device_access_effect/3","type":"function"},{"doc":"Gets the mobile device access override for the given WorkMail organization, user, and device.","ref":"aws_workmail.html#get_mobile_device_access_override/2","title":"aws_workmail.get_mobile_device_access_override/2","type":"function"},{"doc":"","ref":"aws_workmail.html#get_mobile_device_access_override/3","title":"aws_workmail.get_mobile_device_access_override/3","type":"function"},{"doc":"Lists the access control rules for the specified organization.","ref":"aws_workmail.html#list_access_control_rules/2","title":"aws_workmail.list_access_control_rules/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_access_control_rules/3","title":"aws_workmail.list_access_control_rules/3","type":"function"},{"doc":"Creates a paginated call to list the aliases associated with a given entity.","ref":"aws_workmail.html#list_aliases/2","title":"aws_workmail.list_aliases/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_aliases/3","title":"aws_workmail.list_aliases/3","type":"function"},{"doc":"List all the AvailabilityConfiguration 's for the given WorkMail organization.","ref":"aws_workmail.html#list_availability_configurations/2","title":"aws_workmail.list_availability_configurations/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_availability_configurations/3","title":"aws_workmail.list_availability_configurations/3","type":"function"},{"doc":"Returns an overview of the members of a group. Users and groups can be members of a group.","ref":"aws_workmail.html#list_group_members/2","title":"aws_workmail.list_group_members/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_group_members/3","title":"aws_workmail.list_group_members/3","type":"function"},{"doc":"Returns summaries of the organization's groups.","ref":"aws_workmail.html#list_groups/2","title":"aws_workmail.list_groups/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_groups/3","title":"aws_workmail.list_groups/3","type":"function"},{"doc":"Lists all the impersonation roles for the given WorkMail organization.","ref":"aws_workmail.html#list_impersonation_roles/2","title":"aws_workmail.list_impersonation_roles/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_impersonation_roles/3","title":"aws_workmail.list_impersonation_roles/3","type":"function"},{"doc":"Lists the mail domains in a given WorkMail organization.","ref":"aws_workmail.html#list_mail_domains/2","title":"aws_workmail.list_mail_domains/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_mail_domains/3","title":"aws_workmail.list_mail_domains/3","type":"function"},{"doc":"Lists the mailbox export jobs started for the specified organization within the last seven days.","ref":"aws_workmail.html#list_mailbox_export_jobs/2","title":"aws_workmail.list_mailbox_export_jobs/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_mailbox_export_jobs/3","title":"aws_workmail.list_mailbox_export_jobs/3","type":"function"},{"doc":"Lists the mailbox permissions associated with a user, group, or resource mailbox.","ref":"aws_workmail.html#list_mailbox_permissions/2","title":"aws_workmail.list_mailbox_permissions/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_mailbox_permissions/3","title":"aws_workmail.list_mailbox_permissions/3","type":"function"},{"doc":"Lists all the mobile device access overrides for any given combination of WorkMail organization, user, or device.","ref":"aws_workmail.html#list_mobile_device_access_overrides/2","title":"aws_workmail.list_mobile_device_access_overrides/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_mobile_device_access_overrides/3","title":"aws_workmail.list_mobile_device_access_overrides/3","type":"function"},{"doc":"Lists the mobile device access rules for the specified WorkMail organization.","ref":"aws_workmail.html#list_mobile_device_access_rules/2","title":"aws_workmail.list_mobile_device_access_rules/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_mobile_device_access_rules/3","title":"aws_workmail.list_mobile_device_access_rules/3","type":"function"},{"doc":"Returns summaries of the customer's organizations.","ref":"aws_workmail.html#list_organizations/2","title":"aws_workmail.list_organizations/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_organizations/3","title":"aws_workmail.list_organizations/3","type":"function"},{"doc":"Lists the delegates associated with a resource. Users and groups can be resource delegates and answer requests on behalf of the resource.","ref":"aws_workmail.html#list_resource_delegates/2","title":"aws_workmail.list_resource_delegates/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_resource_delegates/3","title":"aws_workmail.list_resource_delegates/3","type":"function"},{"doc":"Returns summaries of the organization's resources.","ref":"aws_workmail.html#list_resources/2","title":"aws_workmail.list_resources/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_resources/3","title":"aws_workmail.list_resources/3","type":"function"},{"doc":"Lists the tags applied to an WorkMail organization resource.","ref":"aws_workmail.html#list_tags_for_resource/2","title":"aws_workmail.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_tags_for_resource/3","title":"aws_workmail.list_tags_for_resource/3","type":"function"},{"doc":"Returns summaries of the organization's users.","ref":"aws_workmail.html#list_users/2","title":"aws_workmail.list_users/2","type":"function"},{"doc":"","ref":"aws_workmail.html#list_users/3","title":"aws_workmail.list_users/3","type":"function"},{"doc":"Adds a new access control rule for the specified organization. The rule allows or denies access to the organization for the specified IPv4 addresses, access protocol actions, user IDs and impersonation IDs. Adding a new rule with the same name as an existing rule replaces the older rule.","ref":"aws_workmail.html#put_access_control_rule/2","title":"aws_workmail.put_access_control_rule/2","type":"function"},{"doc":"","ref":"aws_workmail.html#put_access_control_rule/3","title":"aws_workmail.put_access_control_rule/3","type":"function"},{"doc":"Creates or updates the email monitoring configuration for a specified organization.","ref":"aws_workmail.html#put_email_monitoring_configuration/2","title":"aws_workmail.put_email_monitoring_configuration/2","type":"function"},{"doc":"","ref":"aws_workmail.html#put_email_monitoring_configuration/3","title":"aws_workmail.put_email_monitoring_configuration/3","type":"function"},{"doc":"Enables or disables a DMARC policy for a given organization.","ref":"aws_workmail.html#put_inbound_dmarc_settings/2","title":"aws_workmail.put_inbound_dmarc_settings/2","type":"function"},{"doc":"","ref":"aws_workmail.html#put_inbound_dmarc_settings/3","title":"aws_workmail.put_inbound_dmarc_settings/3","type":"function"},{"doc":"Sets permissions for a user, group, or resource. This replaces any pre-existing permissions.","ref":"aws_workmail.html#put_mailbox_permissions/2","title":"aws_workmail.put_mailbox_permissions/2","type":"function"},{"doc":"","ref":"aws_workmail.html#put_mailbox_permissions/3","title":"aws_workmail.put_mailbox_permissions/3","type":"function"},{"doc":"Creates or updates a mobile device access override for the given WorkMail organization, user, and device.","ref":"aws_workmail.html#put_mobile_device_access_override/2","title":"aws_workmail.put_mobile_device_access_override/2","type":"function"},{"doc":"","ref":"aws_workmail.html#put_mobile_device_access_override/3","title":"aws_workmail.put_mobile_device_access_override/3","type":"function"},{"doc":"Puts a retention policy to the specified organization.","ref":"aws_workmail.html#put_retention_policy/2","title":"aws_workmail.put_retention_policy/2","type":"function"},{"doc":"","ref":"aws_workmail.html#put_retention_policy/3","title":"aws_workmail.put_retention_policy/3","type":"function"},{"doc":"Registers a new domain in WorkMail and SES, and configures it for use by WorkMail. Emails received by SES for this domain are routed to the specified WorkMail organization, and WorkMail has permanent permission to use the specified domain for sending your users' emails.","ref":"aws_workmail.html#register_mail_domain/2","title":"aws_workmail.register_mail_domain/2","type":"function"},{"doc":"","ref":"aws_workmail.html#register_mail_domain/3","title":"aws_workmail.register_mail_domain/3","type":"function"},{"doc":"Registers an existing and disabled user, group, or resource for WorkMail use by associating a mailbox and calendaring capabilities. It performs no change if the user, group, or resource is enabled and fails if the user, group, or resource is deleted. This operation results in the accumulation of costs. For more information, see Pricing. The equivalent console functionality for this operation is Enable. Users can either be created by calling the CreateUser API operation or they can be synchronized from your directory. For more information, see DeregisterFromWorkMail .","ref":"aws_workmail.html#register_to_work_mail/2","title":"aws_workmail.register_to_work_mail/2","type":"function"},{"doc":"","ref":"aws_workmail.html#register_to_work_mail/3","title":"aws_workmail.register_to_work_mail/3","type":"function"},{"doc":"Allows the administrator to reset the password for a user.","ref":"aws_workmail.html#reset_password/2","title":"aws_workmail.reset_password/2","type":"function"},{"doc":"","ref":"aws_workmail.html#reset_password/3","title":"aws_workmail.reset_password/3","type":"function"},{"doc":"Starts a mailbox export job to export MIME-format email messages and calendar items from the specified mailbox to the specified Amazon Simple Storage Service (Amazon S3) bucket. For more information, see Exporting mailbox content in the WorkMail Administrator Guide.","ref":"aws_workmail.html#start_mailbox_export_job/2","title":"aws_workmail.start_mailbox_export_job/2","type":"function"},{"doc":"","ref":"aws_workmail.html#start_mailbox_export_job/3","title":"aws_workmail.start_mailbox_export_job/3","type":"function"},{"doc":"Applies the specified tags to the specified WorkMailorganization resource.","ref":"aws_workmail.html#tag_resource/2","title":"aws_workmail.tag_resource/2","type":"function"},{"doc":"","ref":"aws_workmail.html#tag_resource/3","title":"aws_workmail.tag_resource/3","type":"function"},{"doc":"Performs a test on an availability provider to ensure that access is allowed. For EWS, it verifies the provided credentials can be used to successfully log in. For Lambda, it verifies that the Lambda function can be invoked and that the resource access policy was configured to deny anonymous access. An anonymous invocation is one done without providing either a SourceArn or SourceAccount header. The request must contain either one provider definition ( EwsProvider or LambdaProvider ) or the DomainName parameter. If the DomainName parameter is provided, the configuration stored under the DomainName will be tested.","ref":"aws_workmail.html#test_availability_configuration/2","title":"aws_workmail.test_availability_configuration/2","type":"function"},{"doc":"","ref":"aws_workmail.html#test_availability_configuration/3","title":"aws_workmail.test_availability_configuration/3","type":"function"},{"doc":"Untags the specified tags from the specified WorkMail organization resource.","ref":"aws_workmail.html#untag_resource/2","title":"aws_workmail.untag_resource/2","type":"function"},{"doc":"","ref":"aws_workmail.html#untag_resource/3","title":"aws_workmail.untag_resource/3","type":"function"},{"doc":"Updates an existing AvailabilityConfiguration for the given WorkMail organization and domain.","ref":"aws_workmail.html#update_availability_configuration/2","title":"aws_workmail.update_availability_configuration/2","type":"function"},{"doc":"","ref":"aws_workmail.html#update_availability_configuration/3","title":"aws_workmail.update_availability_configuration/3","type":"function"},{"doc":"Updates the default mail domain for an organization. The default mail domain is used by the WorkMail AWS Console to suggest an email address when enabling a mail user. You can only have one default domain.","ref":"aws_workmail.html#update_default_mail_domain/2","title":"aws_workmail.update_default_mail_domain/2","type":"function"},{"doc":"","ref":"aws_workmail.html#update_default_mail_domain/3","title":"aws_workmail.update_default_mail_domain/3","type":"function"},{"doc":"Updates an impersonation role for the given WorkMail organization.","ref":"aws_workmail.html#update_impersonation_role/2","title":"aws_workmail.update_impersonation_role/2","type":"function"},{"doc":"","ref":"aws_workmail.html#update_impersonation_role/3","title":"aws_workmail.update_impersonation_role/3","type":"function"},{"doc":"Updates a user's current mailbox quota for a specified organization and user.","ref":"aws_workmail.html#update_mailbox_quota/2","title":"aws_workmail.update_mailbox_quota/2","type":"function"},{"doc":"","ref":"aws_workmail.html#update_mailbox_quota/3","title":"aws_workmail.update_mailbox_quota/3","type":"function"},{"doc":"Updates a mobile device access rule for the specified WorkMail organization.","ref":"aws_workmail.html#update_mobile_device_access_rule/2","title":"aws_workmail.update_mobile_device_access_rule/2","type":"function"},{"doc":"","ref":"aws_workmail.html#update_mobile_device_access_rule/3","title":"aws_workmail.update_mobile_device_access_rule/3","type":"function"},{"doc":"Updates the primary email for a user, group, or resource. The current email is moved into the list of aliases (or swapped between an existing alias and the current primary email), and the email provided in the input is promoted as the primary.","ref":"aws_workmail.html#update_primary_email_address/2","title":"aws_workmail.update_primary_email_address/2","type":"function"},{"doc":"","ref":"aws_workmail.html#update_primary_email_address/3","title":"aws_workmail.update_primary_email_address/3","type":"function"},{"doc":"Updates data for the resource. To have the latest information, it must be preceded by a DescribeResource call. The dataset in the request should be the one expected when performing another DescribeResource call.","ref":"aws_workmail.html#update_resource/2","title":"aws_workmail.update_resource/2","type":"function"},{"doc":"","ref":"aws_workmail.html#update_resource/3","title":"aws_workmail.update_resource/3","type":"function"},{"doc":"The WorkMail Message Flow API provides access to email messages as they are being sent and received by a WorkMail organization.","ref":"aws_workmailmessageflow.html","title":"aws_workmailmessageflow","type":"module"},{"doc":"Retrieves the raw content of an in-transit email message, in MIME format.","ref":"aws_workmailmessageflow.html#get_raw_message_content/2","title":"aws_workmailmessageflow.get_raw_message_content/2","type":"function"},{"doc":"","ref":"aws_workmailmessageflow.html#get_raw_message_content/4","title":"aws_workmailmessageflow.get_raw_message_content/4","type":"function"},{"doc":"","ref":"aws_workmailmessageflow.html#get_raw_message_content/5","title":"aws_workmailmessageflow.get_raw_message_content/5","type":"function"},{"doc":"Updates the raw content of an in-transit email message, in MIME format. This example describes how to update in-transit email message. For more information and examples for using this API, see Updating message content with AWS Lambda. Updates to an in-transit message only appear when you call PutRawMessageContent from an AWS Lambda function configured with a synchronous Run Lambda rule. If you call PutRawMessageContent on a delivered or sent message, the message remains unchanged, even though GetRawMessageContent returns an updated message.","ref":"aws_workmailmessageflow.html#put_raw_message_content/3","title":"aws_workmailmessageflow.put_raw_message_content/3","type":"function"},{"doc":"","ref":"aws_workmailmessageflow.html#put_raw_message_content/4","title":"aws_workmailmessageflow.put_raw_message_content/4","type":"function"},{"doc":"Amazon WorkSpaces Service Amazon WorkSpaces enables you to provision virtual, cloud-based Microsoft Windows or Amazon Linux desktops for your users, known as WorkSpaces. WorkSpaces eliminates the need to procure and deploy hardware or install complex software. You can quickly add or remove users as your needs change. Users can access their virtual desktops from multiple devices or web browsers. This API Reference provides detailed information about the actions, data types, parameters, and errors of the WorkSpaces service. For more information about the supported Amazon Web Services Regions, endpoints, and service quotas of the Amazon WorkSpaces service, see WorkSpaces endpoints and quotas in the Amazon Web Services General Reference. You can also manage your WorkSpaces resources using the WorkSpaces console, Command Line Interface (CLI), and SDKs. For more information about administering WorkSpaces, see the Amazon WorkSpaces Administration Guide. For more information about using the Amazon WorkSpaces client application or web browser to access provisioned WorkSpaces, see the Amazon WorkSpaces User Guide. For more information about using the CLI to manage your WorkSpaces resources, see the WorkSpaces section of the CLI Reference.","ref":"aws_workspaces.html","title":"aws_workspaces","type":"module"},{"doc":"Associates the specified connection alias with the specified directory to enable cross-Region redirection. For more information, see Cross-Region Redirection for Amazon WorkSpaces. Before performing this operation, call DescribeConnectionAliases to make sure that the current state of the connection alias is CREATED .","ref":"aws_workspaces.html#associate_connection_alias/2","title":"aws_workspaces.associate_connection_alias/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#associate_connection_alias/3","title":"aws_workspaces.associate_connection_alias/3","type":"function"},{"doc":"Associates the specified IP access control group with the specified directory.","ref":"aws_workspaces.html#associate_ip_groups/2","title":"aws_workspaces.associate_ip_groups/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#associate_ip_groups/3","title":"aws_workspaces.associate_ip_groups/3","type":"function"},{"doc":"Adds one or more rules to the specified IP access control group. This action gives users permission to access their WorkSpaces from the CIDR address ranges specified in the rules.","ref":"aws_workspaces.html#authorize_ip_rules/2","title":"aws_workspaces.authorize_ip_rules/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#authorize_ip_rules/3","title":"aws_workspaces.authorize_ip_rules/3","type":"function"},{"doc":"Copies the specified image from the specified Region to the current Region. For more information about copying images, see Copy a Custom WorkSpaces Image. In the China (Ningxia) Region, you can copy images only within the same Region. In Amazon Web Services GovCloud (US), to copy images to and from other Regions, contact Amazon Web Services Support. Before copying a shared image, be sure to verify that it has been shared from the correct Amazon Web Services account. To determine if an image has been shared and to see the ID of the Amazon Web Services account that owns an image, use the DescribeWorkSpaceImages and DescribeWorkspaceImagePermissions API operations.","ref":"aws_workspaces.html#copy_workspace_image/2","title":"aws_workspaces.copy_workspace_image/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#copy_workspace_image/3","title":"aws_workspaces.copy_workspace_image/3","type":"function"},{"doc":"Creates a client-add-in for Amazon Connect within a directory. You can create only one Amazon Connect client add-in within a directory. This client add-in allows WorkSpaces users to seamlessly connect to Amazon Connect.","ref":"aws_workspaces.html#create_connect_client_add_in/2","title":"aws_workspaces.create_connect_client_add_in/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#create_connect_client_add_in/3","title":"aws_workspaces.create_connect_client_add_in/3","type":"function"},{"doc":"Creates the specified connection alias for use with cross-Region redirection. For more information, see Cross-Region Redirection for Amazon WorkSpaces.","ref":"aws_workspaces.html#create_connection_alias/2","title":"aws_workspaces.create_connection_alias/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#create_connection_alias/3","title":"aws_workspaces.create_connection_alias/3","type":"function"},{"doc":"Creates an IP access control group. An IP access control group provides you with the ability to control the IP addresses from which users are allowed to access their WorkSpaces. To specify the CIDR address ranges, add rules to your IP access control group and then associate the group with your directory. You can add rules when you create the group or at any time using AuthorizeIpRules . There is a default IP access control group associated with your directory. If you don't associate an IP access control group with your directory, the default group is used. The default group includes a default rule that allows users to access their WorkSpaces from anywhere. You cannot modify the default IP access control group for your directory.","ref":"aws_workspaces.html#create_ip_group/2","title":"aws_workspaces.create_ip_group/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#create_ip_group/3","title":"aws_workspaces.create_ip_group/3","type":"function"},{"doc":"Creates a standby WorkSpace in a secondary Region.","ref":"aws_workspaces.html#create_standby_workspaces/2","title":"aws_workspaces.create_standby_workspaces/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#create_standby_workspaces/3","title":"aws_workspaces.create_standby_workspaces/3","type":"function"},{"doc":"Creates the specified tags for the specified WorkSpaces resource.","ref":"aws_workspaces.html#create_tags/2","title":"aws_workspaces.create_tags/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#create_tags/3","title":"aws_workspaces.create_tags/3","type":"function"},{"doc":"Creates a new updated WorkSpace image based on the specified source image. The new updated WorkSpace image has the latest drivers and other updates required by the Amazon WorkSpaces components. To determine which WorkSpace images need to be updated with the latest Amazon WorkSpaces requirements, use DescribeWorkspaceImages. Only Windows 10, Windows Server 2016, and Windows Server 2019 WorkSpace images can be programmatically updated at this time. Microsoft Windows updates and other application updates are not included in the update process. The source WorkSpace image is not deleted. You can delete the source image after you've verified your new updated image and created a new bundle.","ref":"aws_workspaces.html#create_updated_workspace_image/2","title":"aws_workspaces.create_updated_workspace_image/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#create_updated_workspace_image/3","title":"aws_workspaces.create_updated_workspace_image/3","type":"function"},{"doc":"Creates the specified WorkSpace bundle. For more information about creating WorkSpace bundles, see Create a Custom WorkSpaces Image and Bundle.","ref":"aws_workspaces.html#create_workspace_bundle/2","title":"aws_workspaces.create_workspace_bundle/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#create_workspace_bundle/3","title":"aws_workspaces.create_workspace_bundle/3","type":"function"},{"doc":"Creates a new WorkSpace image from an existing WorkSpace.","ref":"aws_workspaces.html#create_workspace_image/2","title":"aws_workspaces.create_workspace_image/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#create_workspace_image/3","title":"aws_workspaces.create_workspace_image/3","type":"function"},{"doc":"Creates one or more WorkSpaces. This operation is asynchronous and returns before the WorkSpaces are created. The MANUAL running mode value is only supported by Amazon WorkSpaces Core. Contact your account team to be allow-listed to use this value. For more information, see Amazon WorkSpaces Core.","ref":"aws_workspaces.html#create_workspaces/2","title":"aws_workspaces.create_workspaces/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#create_workspaces/3","title":"aws_workspaces.create_workspaces/3","type":"function"},{"doc":"Deletes customized client branding. Client branding allows you to customize your WorkSpace's client login portal. You can tailor your login portal company logo, the support email address, support link, link to reset password, and a custom message for users trying to sign in. After you delete your customized client branding, your login portal reverts to the default client branding.","ref":"aws_workspaces.html#delete_client_branding/2","title":"aws_workspaces.delete_client_branding/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#delete_client_branding/3","title":"aws_workspaces.delete_client_branding/3","type":"function"},{"doc":"Deletes a client-add-in for Amazon Connect that is configured within a directory.","ref":"aws_workspaces.html#delete_connect_client_add_in/2","title":"aws_workspaces.delete_connect_client_add_in/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#delete_connect_client_add_in/3","title":"aws_workspaces.delete_connect_client_add_in/3","type":"function"},{"doc":"Deletes the specified connection alias. For more information, see Cross-Region Redirection for Amazon WorkSpaces. If you will no longer be using a fully qualified domain name (FQDN) as the registration code for your WorkSpaces users, you must take certain precautions to prevent potential security issues. For more information, see Security Considerations if You Stop Using Cross-Region Redirection. To delete a connection alias that has been shared, the shared account must first disassociate the connection alias from any directories it has been associated with. Then you must unshare the connection alias from the account it has been shared with. You can delete a connection alias only after it is no longer shared with any accounts or associated with any directories.","ref":"aws_workspaces.html#delete_connection_alias/2","title":"aws_workspaces.delete_connection_alias/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#delete_connection_alias/3","title":"aws_workspaces.delete_connection_alias/3","type":"function"},{"doc":"Deletes the specified IP access control group. You cannot delete an IP access control group that is associated with a directory.","ref":"aws_workspaces.html#delete_ip_group/2","title":"aws_workspaces.delete_ip_group/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#delete_ip_group/3","title":"aws_workspaces.delete_ip_group/3","type":"function"},{"doc":"Deletes the specified tags from the specified WorkSpaces resource.","ref":"aws_workspaces.html#delete_tags/2","title":"aws_workspaces.delete_tags/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#delete_tags/3","title":"aws_workspaces.delete_tags/3","type":"function"},{"doc":"Deletes the specified WorkSpace bundle. For more information about deleting WorkSpace bundles, see Delete a Custom WorkSpaces Bundle or Image.","ref":"aws_workspaces.html#delete_workspace_bundle/2","title":"aws_workspaces.delete_workspace_bundle/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#delete_workspace_bundle/3","title":"aws_workspaces.delete_workspace_bundle/3","type":"function"},{"doc":"Deletes the specified image from your account. To delete an image, you must first delete any bundles that are associated with the image and unshare the image if it is shared with other accounts.","ref":"aws_workspaces.html#delete_workspace_image/2","title":"aws_workspaces.delete_workspace_image/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#delete_workspace_image/3","title":"aws_workspaces.delete_workspace_image/3","type":"function"},{"doc":"Deregisters the specified directory. This operation is asynchronous and returns before the WorkSpace directory is deregistered. If any WorkSpaces are registered to this directory, you must remove them before you can deregister the directory. Simple AD and AD Connector are made available to you free of charge to use with WorkSpaces. If there are no WorkSpaces being used with your Simple AD or AD Connector directory for 30 consecutive days, this directory will be automatically deregistered for use with Amazon WorkSpaces, and you will be charged for this directory as per the Directory Service pricing terms. To delete empty directories, see Delete the Directory for Your WorkSpaces. If you delete your Simple AD or AD Connector directory, you can always create a new one when you want to start using WorkSpaces again.","ref":"aws_workspaces.html#deregister_workspace_directory/2","title":"aws_workspaces.deregister_workspace_directory/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#deregister_workspace_directory/3","title":"aws_workspaces.deregister_workspace_directory/3","type":"function"},{"doc":"Retrieves a list that describes the configuration of Bring Your Own License (BYOL) for the specified account.","ref":"aws_workspaces.html#describe_account/2","title":"aws_workspaces.describe_account/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_account/3","title":"aws_workspaces.describe_account/3","type":"function"},{"doc":"Retrieves a list that describes modifications to the configuration of Bring Your Own License (BYOL) for the specified account.","ref":"aws_workspaces.html#describe_account_modifications/2","title":"aws_workspaces.describe_account_modifications/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_account_modifications/3","title":"aws_workspaces.describe_account_modifications/3","type":"function"},{"doc":"Describes the specified client branding. Client branding allows you to customize the log in page of various device types for your users. You can add your company logo, the support email address, support link, link to reset password, and a custom message for users trying to sign in. Only device types that have branding information configured will be shown in the response.","ref":"aws_workspaces.html#describe_client_branding/2","title":"aws_workspaces.describe_client_branding/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_client_branding/3","title":"aws_workspaces.describe_client_branding/3","type":"function"},{"doc":"Retrieves a list that describes one or more specified Amazon WorkSpaces clients.","ref":"aws_workspaces.html#describe_client_properties/2","title":"aws_workspaces.describe_client_properties/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_client_properties/3","title":"aws_workspaces.describe_client_properties/3","type":"function"},{"doc":"Retrieves a list of Amazon Connect client add-ins that have been created.","ref":"aws_workspaces.html#describe_connect_client_add_ins/2","title":"aws_workspaces.describe_connect_client_add_ins/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_connect_client_add_ins/3","title":"aws_workspaces.describe_connect_client_add_ins/3","type":"function"},{"doc":"Describes the permissions that the owner of a connection alias has granted to another Amazon Web Services account for the specified connection alias. For more information, see Cross-Region Redirection for Amazon WorkSpaces.","ref":"aws_workspaces.html#describe_connection_alias_permissions/2","title":"aws_workspaces.describe_connection_alias_permissions/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_connection_alias_permissions/3","title":"aws_workspaces.describe_connection_alias_permissions/3","type":"function"},{"doc":"Retrieves a list that describes the connection aliases used for cross-Region redirection. For more information, see Cross-Region Redirection for Amazon WorkSpaces.","ref":"aws_workspaces.html#describe_connection_aliases/2","title":"aws_workspaces.describe_connection_aliases/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_connection_aliases/3","title":"aws_workspaces.describe_connection_aliases/3","type":"function"},{"doc":"Describes one or more of your IP access control groups.","ref":"aws_workspaces.html#describe_ip_groups/2","title":"aws_workspaces.describe_ip_groups/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_ip_groups/3","title":"aws_workspaces.describe_ip_groups/3","type":"function"},{"doc":"Describes the specified tags for the specified WorkSpaces resource.","ref":"aws_workspaces.html#describe_tags/2","title":"aws_workspaces.describe_tags/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_tags/3","title":"aws_workspaces.describe_tags/3","type":"function"},{"doc":"Retrieves a list that describes the available WorkSpace bundles. You can filter the results using either bundle ID or owner, but not both.","ref":"aws_workspaces.html#describe_workspace_bundles/2","title":"aws_workspaces.describe_workspace_bundles/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_workspace_bundles/3","title":"aws_workspaces.describe_workspace_bundles/3","type":"function"},{"doc":"Describes the available directories that are registered with Amazon WorkSpaces.","ref":"aws_workspaces.html#describe_workspace_directories/2","title":"aws_workspaces.describe_workspace_directories/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_workspace_directories/3","title":"aws_workspaces.describe_workspace_directories/3","type":"function"},{"doc":"Describes the permissions that the owner of an image has granted to other Amazon Web Services accounts for an image.","ref":"aws_workspaces.html#describe_workspace_image_permissions/2","title":"aws_workspaces.describe_workspace_image_permissions/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_workspace_image_permissions/3","title":"aws_workspaces.describe_workspace_image_permissions/3","type":"function"},{"doc":"Retrieves a list that describes one or more specified images, if the image identifiers are provided. Otherwise, all images in the account are described.","ref":"aws_workspaces.html#describe_workspace_images/2","title":"aws_workspaces.describe_workspace_images/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_workspace_images/3","title":"aws_workspaces.describe_workspace_images/3","type":"function"},{"doc":"Describes the snapshots for the specified WorkSpace.","ref":"aws_workspaces.html#describe_workspace_snapshots/2","title":"aws_workspaces.describe_workspace_snapshots/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_workspace_snapshots/3","title":"aws_workspaces.describe_workspace_snapshots/3","type":"function"},{"doc":"Describes the specified WorkSpaces. You can filter the results by using the bundle identifier, directory identifier, or owner, but you can specify only one filter at a time.","ref":"aws_workspaces.html#describe_workspaces/2","title":"aws_workspaces.describe_workspaces/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_workspaces/3","title":"aws_workspaces.describe_workspaces/3","type":"function"},{"doc":"Describes the connection status of the specified WorkSpaces.","ref":"aws_workspaces.html#describe_workspaces_connection_status/2","title":"aws_workspaces.describe_workspaces_connection_status/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#describe_workspaces_connection_status/3","title":"aws_workspaces.describe_workspaces_connection_status/3","type":"function"},{"doc":"Disassociates a connection alias from a directory. Disassociating a connection alias disables cross-Region redirection between two directories in different Regions. For more information, see Cross-Region Redirection for Amazon WorkSpaces. Before performing this operation, call DescribeConnectionAliases to make sure that the current state of the connection alias is CREATED .","ref":"aws_workspaces.html#disassociate_connection_alias/2","title":"aws_workspaces.disassociate_connection_alias/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#disassociate_connection_alias/3","title":"aws_workspaces.disassociate_connection_alias/3","type":"function"},{"doc":"Disassociates the specified IP access control group from the specified directory.","ref":"aws_workspaces.html#disassociate_ip_groups/2","title":"aws_workspaces.disassociate_ip_groups/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#disassociate_ip_groups/3","title":"aws_workspaces.disassociate_ip_groups/3","type":"function"},{"doc":"Imports client branding. Client branding allows you to customize your WorkSpace's client login portal. You can tailor your login portal company logo, the support email address, support link, link to reset password, and a custom message for users trying to sign in. After you import client branding, the default branding experience for the specified platform type is replaced with the imported experience You must specify at least one platform type when importing client branding. You can import up to 6 MB of data with each request. If your request exceeds this limit, you can import client branding for different platform types using separate requests. In each platform type, the SupportEmail and SupportLink parameters are mutually exclusive. You can specify only one parameter for each platform type, but not both. Imported data can take up to a minute to appear in the WorkSpaces client.","ref":"aws_workspaces.html#import_client_branding/2","title":"aws_workspaces.import_client_branding/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#import_client_branding/3","title":"aws_workspaces.import_client_branding/3","type":"function"},{"doc":"Imports the specified Windows 10 Bring Your Own License (BYOL) image into Amazon WorkSpaces. The image must be an already licensed Amazon EC2 image that is in your Amazon Web Services account, and you must own the image. For more information about creating BYOL images, see Bring Your Own Windows Desktop Licenses.","ref":"aws_workspaces.html#import_workspace_image/2","title":"aws_workspaces.import_workspace_image/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#import_workspace_image/3","title":"aws_workspaces.import_workspace_image/3","type":"function"},{"doc":"Retrieves a list of IP address ranges, specified as IPv4 CIDR blocks, that you can use for the network management interface when you enable Bring Your Own License (BYOL). This operation can be run only by Amazon Web Services accounts that are enabled for BYOL. If your account isn't enabled for BYOL, you'll receive an AccessDeniedException error. The management network interface is connected to a secure Amazon WorkSpaces management network. It is used for interactive streaming of the WorkSpace desktop to Amazon WorkSpaces clients, and to allow Amazon WorkSpaces to manage the WorkSpace.","ref":"aws_workspaces.html#list_available_management_cidr_ranges/2","title":"aws_workspaces.list_available_management_cidr_ranges/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#list_available_management_cidr_ranges/3","title":"aws_workspaces.list_available_management_cidr_ranges/3","type":"function"},{"doc":"Migrates a WorkSpace from one operating system or bundle type to another, while retaining the data on the user volume. The migration process recreates the WorkSpace by using a new root volume from the target bundle image and the user volume from the last available snapshot of the original WorkSpace. During migration, the original D:\\Users\\%USERNAME% user profile folder is renamed to D:\\Users\\%USERNAME%MMddyyTHHmmss%.NotMigrated . A new D:\\Users\\%USERNAME%\\ folder is generated by the new OS. Certain files in the old user profile are moved to the new user profile. For available migration scenarios, details about what happens during migration, and best practices, see Migrate a WorkSpace.","ref":"aws_workspaces.html#migrate_workspace/2","title":"aws_workspaces.migrate_workspace/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#migrate_workspace/3","title":"aws_workspaces.migrate_workspace/3","type":"function"},{"doc":"Modifies the configuration of Bring Your Own License (BYOL) for the specified account.","ref":"aws_workspaces.html#modify_account/2","title":"aws_workspaces.modify_account/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#modify_account/3","title":"aws_workspaces.modify_account/3","type":"function"},{"doc":"Modifies the properties of the certificate-based authentication you want to use with your WorkSpaces.","ref":"aws_workspaces.html#modify_certificate_based_auth_properties/2","title":"aws_workspaces.modify_certificate_based_auth_properties/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#modify_certificate_based_auth_properties/3","title":"aws_workspaces.modify_certificate_based_auth_properties/3","type":"function"},{"doc":"Modifies the properties of the specified Amazon WorkSpaces clients.","ref":"aws_workspaces.html#modify_client_properties/2","title":"aws_workspaces.modify_client_properties/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#modify_client_properties/3","title":"aws_workspaces.modify_client_properties/3","type":"function"},{"doc":"Modifies multiple properties related to SAML 2.0 authentication, including the enablement status, user access URL, and relay state parameter name that are used for configuring federation with an SAML 2.0 identity provider.","ref":"aws_workspaces.html#modify_saml_properties/2","title":"aws_workspaces.modify_saml_properties/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#modify_saml_properties/3","title":"aws_workspaces.modify_saml_properties/3","type":"function"},{"doc":"Modifies the self-service WorkSpace management capabilities for your users. For more information, see Enable Self-Service WorkSpace Management Capabilities for Your Users.","ref":"aws_workspaces.html#modify_selfservice_permissions/2","title":"aws_workspaces.modify_selfservice_permissions/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#modify_selfservice_permissions/3","title":"aws_workspaces.modify_selfservice_permissions/3","type":"function"},{"doc":"Specifies which devices and operating systems users can use to access their WorkSpaces. For more information, see Control Device Access.","ref":"aws_workspaces.html#modify_workspace_access_properties/2","title":"aws_workspaces.modify_workspace_access_properties/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#modify_workspace_access_properties/3","title":"aws_workspaces.modify_workspace_access_properties/3","type":"function"},{"doc":"Modify the default properties used to create WorkSpaces.","ref":"aws_workspaces.html#modify_workspace_creation_properties/2","title":"aws_workspaces.modify_workspace_creation_properties/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#modify_workspace_creation_properties/3","title":"aws_workspaces.modify_workspace_creation_properties/3","type":"function"},{"doc":"Modifies the specified WorkSpace properties. For important information about how to modify the size of the root and user volumes, see Modify a WorkSpace. The MANUAL running mode value is only supported by Amazon WorkSpaces Core. Contact your account team to be allow-listed to use this value. For more information, see Amazon WorkSpaces Core.","ref":"aws_workspaces.html#modify_workspace_properties/2","title":"aws_workspaces.modify_workspace_properties/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#modify_workspace_properties/3","title":"aws_workspaces.modify_workspace_properties/3","type":"function"},{"doc":"Sets the state of the specified WorkSpace. To maintain a WorkSpace without being interrupted, set the WorkSpace state to ADMIN_MAINTENANCE . WorkSpaces in this state do not respond to requests to reboot, stop, start, rebuild, or restore. An AutoStop WorkSpace in this state is not stopped. Users cannot log into a WorkSpace in the ADMIN_MAINTENANCE state.","ref":"aws_workspaces.html#modify_workspace_state/2","title":"aws_workspaces.modify_workspace_state/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#modify_workspace_state/3","title":"aws_workspaces.modify_workspace_state/3","type":"function"},{"doc":"Reboots the specified WorkSpaces. You cannot reboot a WorkSpace unless its state is AVAILABLE or UNHEALTHY . This operation is asynchronous and returns before the WorkSpaces have rebooted.","ref":"aws_workspaces.html#reboot_workspaces/2","title":"aws_workspaces.reboot_workspaces/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#reboot_workspaces/3","title":"aws_workspaces.reboot_workspaces/3","type":"function"},{"doc":"Rebuilds the specified WorkSpace. You cannot rebuild a WorkSpace unless its state is AVAILABLE , ERROR , UNHEALTHY , STOPPED , or REBOOTING . Rebuilding a WorkSpace is a potentially destructive action that can result in the loss of data. For more information, see Rebuild a WorkSpace. This operation is asynchronous and returns before the WorkSpaces have been completely rebuilt.","ref":"aws_workspaces.html#rebuild_workspaces/2","title":"aws_workspaces.rebuild_workspaces/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#rebuild_workspaces/3","title":"aws_workspaces.rebuild_workspaces/3","type":"function"},{"doc":"Registers the specified directory. This operation is asynchronous and returns before the WorkSpace directory is registered. If this is the first time you are registering a directory, you will need to create the workspaces_DefaultRole role before you can register a directory. For more information, see Creating the workspaces_DefaultRole Role.","ref":"aws_workspaces.html#register_workspace_directory/2","title":"aws_workspaces.register_workspace_directory/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#register_workspace_directory/3","title":"aws_workspaces.register_workspace_directory/3","type":"function"},{"doc":"Restores the specified WorkSpace to its last known healthy state. You cannot restore a WorkSpace unless its state is AVAILABLE , ERROR , UNHEALTHY , or STOPPED . Restoring a WorkSpace is a potentially destructive action that can result in the loss of data. For more information, see Restore a WorkSpace. This operation is asynchronous and returns before the WorkSpace is completely restored.","ref":"aws_workspaces.html#restore_workspace/2","title":"aws_workspaces.restore_workspace/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#restore_workspace/3","title":"aws_workspaces.restore_workspace/3","type":"function"},{"doc":"Removes one or more rules from the specified IP access control group.","ref":"aws_workspaces.html#revoke_ip_rules/2","title":"aws_workspaces.revoke_ip_rules/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#revoke_ip_rules/3","title":"aws_workspaces.revoke_ip_rules/3","type":"function"},{"doc":"Starts the specified WorkSpaces. You cannot start a WorkSpace unless it has a running mode of AutoStop and a state of STOPPED .","ref":"aws_workspaces.html#start_workspaces/2","title":"aws_workspaces.start_workspaces/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#start_workspaces/3","title":"aws_workspaces.start_workspaces/3","type":"function"},{"doc":"Stops the specified WorkSpaces. You cannot stop a WorkSpace unless it has a running mode of AutoStop and a state of AVAILABLE , IMPAIRED , UNHEALTHY , or ERROR .","ref":"aws_workspaces.html#stop_workspaces/2","title":"aws_workspaces.stop_workspaces/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#stop_workspaces/3","title":"aws_workspaces.stop_workspaces/3","type":"function"},{"doc":"Terminates the specified WorkSpaces. Terminating a WorkSpace is a permanent action and cannot be undone. The user's data is destroyed. If you need to archive any user data, contact Amazon Web Services Support before terminating the WorkSpace. You can terminate a WorkSpace that is in any state except SUSPENDED . This operation is asynchronous and returns before the WorkSpaces have been completely terminated. After a WorkSpace is terminated, the TERMINATED state is returned only briefly before the WorkSpace directory metadata is cleaned up, so this state is rarely returned. To confirm that a WorkSpace is terminated, check for the WorkSpace ID by using DescribeWorkSpaces. If the WorkSpace ID isn't returned, then the WorkSpace has been successfully terminated. Simple AD and AD Connector are made available to you free of charge to use with WorkSpaces. If there are no WorkSpaces being used with your Simple AD or AD Connector directory for 30 consecutive days, this directory will be automatically deregistered for use with Amazon WorkSpaces, and you will be charged for this directory as per the Directory Service pricing terms. To delete empty directories, see Delete the Directory for Your WorkSpaces. If you delete your Simple AD or AD Connector directory, you can always create a new one when you want to start using WorkSpaces again.","ref":"aws_workspaces.html#terminate_workspaces/2","title":"aws_workspaces.terminate_workspaces/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#terminate_workspaces/3","title":"aws_workspaces.terminate_workspaces/3","type":"function"},{"doc":"Updates a Amazon Connect client add-in. Use this action to update the name and endpoint URL of a Amazon Connect client add-in.","ref":"aws_workspaces.html#update_connect_client_add_in/2","title":"aws_workspaces.update_connect_client_add_in/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#update_connect_client_add_in/3","title":"aws_workspaces.update_connect_client_add_in/3","type":"function"},{"doc":"Shares or unshares a connection alias with one account by specifying whether that account has permission to associate the connection alias with a directory. If the association permission is granted, the connection alias is shared with that account. If the association permission is revoked, the connection alias is unshared with the account. For more information, see Cross-Region Redirection for Amazon WorkSpaces. Before performing this operation, call DescribeConnectionAliases to make sure that the current state of the connection alias is CREATED . To delete a connection alias that has been shared, the shared account must first disassociate the connection alias from any directories it has been associated with. Then you must unshare the connection alias from the account it has been shared with. You can delete a connection alias only after it is no longer shared with any accounts or associated with any directories.","ref":"aws_workspaces.html#update_connection_alias_permission/2","title":"aws_workspaces.update_connection_alias_permission/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#update_connection_alias_permission/3","title":"aws_workspaces.update_connection_alias_permission/3","type":"function"},{"doc":"Replaces the current rules of the specified IP access control group with the specified rules.","ref":"aws_workspaces.html#update_rules_of_ip_group/2","title":"aws_workspaces.update_rules_of_ip_group/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#update_rules_of_ip_group/3","title":"aws_workspaces.update_rules_of_ip_group/3","type":"function"},{"doc":"Updates a WorkSpace bundle with a new image. For more information about updating WorkSpace bundles, see Update a Custom WorkSpaces Bundle. Existing WorkSpaces aren't automatically updated when you update the bundle that they're based on. To update existing WorkSpaces that are based on a bundle that you've updated, you must either rebuild the WorkSpaces or delete and recreate them.","ref":"aws_workspaces.html#update_workspace_bundle/2","title":"aws_workspaces.update_workspace_bundle/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#update_workspace_bundle/3","title":"aws_workspaces.update_workspace_bundle/3","type":"function"},{"doc":"Shares or unshares an image with one account in the same Amazon Web Services Region by specifying whether that account has permission to copy the image. If the copy image permission is granted, the image is shared with that account. If the copy image permission is revoked, the image is unshared with the account. After an image has been shared, the recipient account can copy the image to other Regions as needed. In the China (Ningxia) Region, you can copy images only within the same Region. In Amazon Web Services GovCloud (US), to copy images to and from other Regions, contact Amazon Web Services Support. For more information about sharing images, see Share or Unshare a Custom WorkSpaces Image. To delete an image that has been shared, you must unshare the image before you delete it. Sharing Bring Your Own License (BYOL) images across Amazon Web Services accounts isn't supported at this time in Amazon Web Services GovCloud (US). To share BYOL images across accounts in Amazon Web Services GovCloud (US), contact Amazon Web Services Support.","ref":"aws_workspaces.html#update_workspace_image_permission/2","title":"aws_workspaces.update_workspace_image_permission/2","type":"function"},{"doc":"","ref":"aws_workspaces.html#update_workspace_image_permission/3","title":"aws_workspaces.update_workspace_image_permission/3","type":"function"},{"doc":"WorkSpaces Web is a low cost, fully managed WorkSpace built specifically to facilitate secure, web-based workloads. WorkSpaces Web makes it easy for customers to safely provide their employees with access to internal websites and SaaS web applications without the administrative burden of appliances or specialized client software. WorkSpaces Web provides simple policy tools tailored for user interactions, while offloading common tasks like capacity management, scaling, and maintaining browser images.","ref":"aws_workspaces_web.html","title":"aws_workspaces_web","type":"module"},{"doc":"Associates a browser settings resource with a web portal.","ref":"aws_workspaces_web.html#associate_browser_settings/3","title":"aws_workspaces_web.associate_browser_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#associate_browser_settings/4","title":"aws_workspaces_web.associate_browser_settings/4","type":"function"},{"doc":"Associates a network settings resource with a web portal.","ref":"aws_workspaces_web.html#associate_network_settings/3","title":"aws_workspaces_web.associate_network_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#associate_network_settings/4","title":"aws_workspaces_web.associate_network_settings/4","type":"function"},{"doc":"Associates a trust store with a web portal.","ref":"aws_workspaces_web.html#associate_trust_store/3","title":"aws_workspaces_web.associate_trust_store/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#associate_trust_store/4","title":"aws_workspaces_web.associate_trust_store/4","type":"function"},{"doc":"Associates a user access logging settings resource with a web portal.","ref":"aws_workspaces_web.html#associate_user_access_logging_settings/3","title":"aws_workspaces_web.associate_user_access_logging_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#associate_user_access_logging_settings/4","title":"aws_workspaces_web.associate_user_access_logging_settings/4","type":"function"},{"doc":"Associates a user settings resource with a web portal.","ref":"aws_workspaces_web.html#associate_user_settings/3","title":"aws_workspaces_web.associate_user_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#associate_user_settings/4","title":"aws_workspaces_web.associate_user_settings/4","type":"function"},{"doc":"Creates a browser settings resource that can be associated with a web portal. Once associated with a web portal, browser settings control how the browser will behave once a user starts a streaming session for the web portal.","ref":"aws_workspaces_web.html#create_browser_settings/2","title":"aws_workspaces_web.create_browser_settings/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#create_browser_settings/3","title":"aws_workspaces_web.create_browser_settings/3","type":"function"},{"doc":"Creates an identity provider resource that is then associated with a web portal.","ref":"aws_workspaces_web.html#create_identity_provider/2","title":"aws_workspaces_web.create_identity_provider/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#create_identity_provider/3","title":"aws_workspaces_web.create_identity_provider/3","type":"function"},{"doc":"Creates a network settings resource that can be associated with a web portal. Once associated with a web portal, network settings define how streaming instances will connect with your specified VPC.","ref":"aws_workspaces_web.html#create_network_settings/2","title":"aws_workspaces_web.create_network_settings/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#create_network_settings/3","title":"aws_workspaces_web.create_network_settings/3","type":"function"},{"doc":"Creates a web portal.","ref":"aws_workspaces_web.html#create_portal/2","title":"aws_workspaces_web.create_portal/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#create_portal/3","title":"aws_workspaces_web.create_portal/3","type":"function"},{"doc":"Creates a trust store that can be associated with a web portal. A trust store contains certificate authority (CA) certificates. Once associated with a web portal, the browser in a streaming session will recognize certificates that have been issued using any of the CAs in the trust store. If your organization has internal websites that use certificates issued by private CAs, you should add the private CA certificate to the trust store.","ref":"aws_workspaces_web.html#create_trust_store/2","title":"aws_workspaces_web.create_trust_store/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#create_trust_store/3","title":"aws_workspaces_web.create_trust_store/3","type":"function"},{"doc":"Creates a user access logging settings resource that can be associated with a web portal.","ref":"aws_workspaces_web.html#create_user_access_logging_settings/2","title":"aws_workspaces_web.create_user_access_logging_settings/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#create_user_access_logging_settings/3","title":"aws_workspaces_web.create_user_access_logging_settings/3","type":"function"},{"doc":"Creates a user settings resource that can be associated with a web portal. Once associated with a web portal, user settings control how users can transfer data between a streaming session and the their local devices.","ref":"aws_workspaces_web.html#create_user_settings/2","title":"aws_workspaces_web.create_user_settings/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#create_user_settings/3","title":"aws_workspaces_web.create_user_settings/3","type":"function"},{"doc":"Deletes browser settings.","ref":"aws_workspaces_web.html#delete_browser_settings/3","title":"aws_workspaces_web.delete_browser_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#delete_browser_settings/4","title":"aws_workspaces_web.delete_browser_settings/4","type":"function"},{"doc":"Deletes the identity provider.","ref":"aws_workspaces_web.html#delete_identity_provider/3","title":"aws_workspaces_web.delete_identity_provider/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#delete_identity_provider/4","title":"aws_workspaces_web.delete_identity_provider/4","type":"function"},{"doc":"Deletes network settings.","ref":"aws_workspaces_web.html#delete_network_settings/3","title":"aws_workspaces_web.delete_network_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#delete_network_settings/4","title":"aws_workspaces_web.delete_network_settings/4","type":"function"},{"doc":"Deletes a web portal.","ref":"aws_workspaces_web.html#delete_portal/3","title":"aws_workspaces_web.delete_portal/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#delete_portal/4","title":"aws_workspaces_web.delete_portal/4","type":"function"},{"doc":"Deletes the trust store.","ref":"aws_workspaces_web.html#delete_trust_store/3","title":"aws_workspaces_web.delete_trust_store/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#delete_trust_store/4","title":"aws_workspaces_web.delete_trust_store/4","type":"function"},{"doc":"Deletes user access logging settings.","ref":"aws_workspaces_web.html#delete_user_access_logging_settings/3","title":"aws_workspaces_web.delete_user_access_logging_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#delete_user_access_logging_settings/4","title":"aws_workspaces_web.delete_user_access_logging_settings/4","type":"function"},{"doc":"Deletes user settings.","ref":"aws_workspaces_web.html#delete_user_settings/3","title":"aws_workspaces_web.delete_user_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#delete_user_settings/4","title":"aws_workspaces_web.delete_user_settings/4","type":"function"},{"doc":"Disassociates browser settings from a web portal.","ref":"aws_workspaces_web.html#disassociate_browser_settings/3","title":"aws_workspaces_web.disassociate_browser_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#disassociate_browser_settings/4","title":"aws_workspaces_web.disassociate_browser_settings/4","type":"function"},{"doc":"Disassociates network settings from a web portal.","ref":"aws_workspaces_web.html#disassociate_network_settings/3","title":"aws_workspaces_web.disassociate_network_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#disassociate_network_settings/4","title":"aws_workspaces_web.disassociate_network_settings/4","type":"function"},{"doc":"Disassociates a trust store from a web portal.","ref":"aws_workspaces_web.html#disassociate_trust_store/3","title":"aws_workspaces_web.disassociate_trust_store/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#disassociate_trust_store/4","title":"aws_workspaces_web.disassociate_trust_store/4","type":"function"},{"doc":"Disassociates user access logging settings from a web portal.","ref":"aws_workspaces_web.html#disassociate_user_access_logging_settings/3","title":"aws_workspaces_web.disassociate_user_access_logging_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#disassociate_user_access_logging_settings/4","title":"aws_workspaces_web.disassociate_user_access_logging_settings/4","type":"function"},{"doc":"Disassociates user settings from a web portal.","ref":"aws_workspaces_web.html#disassociate_user_settings/3","title":"aws_workspaces_web.disassociate_user_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#disassociate_user_settings/4","title":"aws_workspaces_web.disassociate_user_settings/4","type":"function"},{"doc":"Gets browser settings.","ref":"aws_workspaces_web.html#get_browser_settings/2","title":"aws_workspaces_web.get_browser_settings/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_browser_settings/4","title":"aws_workspaces_web.get_browser_settings/4","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_browser_settings/5","title":"aws_workspaces_web.get_browser_settings/5","type":"function"},{"doc":"Gets the identity provider.","ref":"aws_workspaces_web.html#get_identity_provider/2","title":"aws_workspaces_web.get_identity_provider/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_identity_provider/4","title":"aws_workspaces_web.get_identity_provider/4","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_identity_provider/5","title":"aws_workspaces_web.get_identity_provider/5","type":"function"},{"doc":"Gets the network settings.","ref":"aws_workspaces_web.html#get_network_settings/2","title":"aws_workspaces_web.get_network_settings/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_network_settings/4","title":"aws_workspaces_web.get_network_settings/4","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_network_settings/5","title":"aws_workspaces_web.get_network_settings/5","type":"function"},{"doc":"Gets the web portal.","ref":"aws_workspaces_web.html#get_portal/2","title":"aws_workspaces_web.get_portal/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_portal/4","title":"aws_workspaces_web.get_portal/4","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_portal/5","title":"aws_workspaces_web.get_portal/5","type":"function"},{"doc":"Gets the service provider metadata.","ref":"aws_workspaces_web.html#get_portal_service_provider_metadata/2","title":"aws_workspaces_web.get_portal_service_provider_metadata/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_portal_service_provider_metadata/4","title":"aws_workspaces_web.get_portal_service_provider_metadata/4","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_portal_service_provider_metadata/5","title":"aws_workspaces_web.get_portal_service_provider_metadata/5","type":"function"},{"doc":"Gets the trust store.","ref":"aws_workspaces_web.html#get_trust_store/2","title":"aws_workspaces_web.get_trust_store/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_trust_store/4","title":"aws_workspaces_web.get_trust_store/4","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_trust_store/5","title":"aws_workspaces_web.get_trust_store/5","type":"function"},{"doc":"Gets the trust store certificate.","ref":"aws_workspaces_web.html#get_trust_store_certificate/3","title":"aws_workspaces_web.get_trust_store_certificate/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_trust_store_certificate/5","title":"aws_workspaces_web.get_trust_store_certificate/5","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_trust_store_certificate/6","title":"aws_workspaces_web.get_trust_store_certificate/6","type":"function"},{"doc":"Gets user access logging settings.","ref":"aws_workspaces_web.html#get_user_access_logging_settings/2","title":"aws_workspaces_web.get_user_access_logging_settings/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_user_access_logging_settings/4","title":"aws_workspaces_web.get_user_access_logging_settings/4","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_user_access_logging_settings/5","title":"aws_workspaces_web.get_user_access_logging_settings/5","type":"function"},{"doc":"Gets user settings.","ref":"aws_workspaces_web.html#get_user_settings/2","title":"aws_workspaces_web.get_user_settings/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_user_settings/4","title":"aws_workspaces_web.get_user_settings/4","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#get_user_settings/5","title":"aws_workspaces_web.get_user_settings/5","type":"function"},{"doc":"Retrieves a list of browser settings.","ref":"aws_workspaces_web.html#list_browser_settings/1","title":"aws_workspaces_web.list_browser_settings/1","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_browser_settings/3","title":"aws_workspaces_web.list_browser_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_browser_settings/4","title":"aws_workspaces_web.list_browser_settings/4","type":"function"},{"doc":"Retrieves a list of identity providers for a specific web portal.","ref":"aws_workspaces_web.html#list_identity_providers/2","title":"aws_workspaces_web.list_identity_providers/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_identity_providers/4","title":"aws_workspaces_web.list_identity_providers/4","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_identity_providers/5","title":"aws_workspaces_web.list_identity_providers/5","type":"function"},{"doc":"Retrieves a list of network settings.","ref":"aws_workspaces_web.html#list_network_settings/1","title":"aws_workspaces_web.list_network_settings/1","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_network_settings/3","title":"aws_workspaces_web.list_network_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_network_settings/4","title":"aws_workspaces_web.list_network_settings/4","type":"function"},{"doc":"Retrieves a list or web portals.","ref":"aws_workspaces_web.html#list_portals/1","title":"aws_workspaces_web.list_portals/1","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_portals/3","title":"aws_workspaces_web.list_portals/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_portals/4","title":"aws_workspaces_web.list_portals/4","type":"function"},{"doc":"Retrieves a list of tags for a resource.","ref":"aws_workspaces_web.html#list_tags_for_resource/2","title":"aws_workspaces_web.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_tags_for_resource/4","title":"aws_workspaces_web.list_tags_for_resource/4","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_tags_for_resource/5","title":"aws_workspaces_web.list_tags_for_resource/5","type":"function"},{"doc":"Retrieves a list of trust store certificates.","ref":"aws_workspaces_web.html#list_trust_store_certificates/2","title":"aws_workspaces_web.list_trust_store_certificates/2","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_trust_store_certificates/4","title":"aws_workspaces_web.list_trust_store_certificates/4","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_trust_store_certificates/5","title":"aws_workspaces_web.list_trust_store_certificates/5","type":"function"},{"doc":"Retrieves a list of trust stores.","ref":"aws_workspaces_web.html#list_trust_stores/1","title":"aws_workspaces_web.list_trust_stores/1","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_trust_stores/3","title":"aws_workspaces_web.list_trust_stores/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_trust_stores/4","title":"aws_workspaces_web.list_trust_stores/4","type":"function"},{"doc":"Retrieves a list of user access logging settings.","ref":"aws_workspaces_web.html#list_user_access_logging_settings/1","title":"aws_workspaces_web.list_user_access_logging_settings/1","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_user_access_logging_settings/3","title":"aws_workspaces_web.list_user_access_logging_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_user_access_logging_settings/4","title":"aws_workspaces_web.list_user_access_logging_settings/4","type":"function"},{"doc":"Retrieves a list of user settings.","ref":"aws_workspaces_web.html#list_user_settings/1","title":"aws_workspaces_web.list_user_settings/1","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_user_settings/3","title":"aws_workspaces_web.list_user_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#list_user_settings/4","title":"aws_workspaces_web.list_user_settings/4","type":"function"},{"doc":"Adds or overwrites one or more tags for the specified resource.","ref":"aws_workspaces_web.html#tag_resource/3","title":"aws_workspaces_web.tag_resource/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#tag_resource/4","title":"aws_workspaces_web.tag_resource/4","type":"function"},{"doc":"Removes one or more tags from the specified resource.","ref":"aws_workspaces_web.html#untag_resource/3","title":"aws_workspaces_web.untag_resource/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#untag_resource/4","title":"aws_workspaces_web.untag_resource/4","type":"function"},{"doc":"Updates browser settings.","ref":"aws_workspaces_web.html#update_browser_settings/3","title":"aws_workspaces_web.update_browser_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#update_browser_settings/4","title":"aws_workspaces_web.update_browser_settings/4","type":"function"},{"doc":"Updates the identity provider.","ref":"aws_workspaces_web.html#update_identity_provider/3","title":"aws_workspaces_web.update_identity_provider/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#update_identity_provider/4","title":"aws_workspaces_web.update_identity_provider/4","type":"function"},{"doc":"Updates network settings.","ref":"aws_workspaces_web.html#update_network_settings/3","title":"aws_workspaces_web.update_network_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#update_network_settings/4","title":"aws_workspaces_web.update_network_settings/4","type":"function"},{"doc":"Updates a web portal.","ref":"aws_workspaces_web.html#update_portal/3","title":"aws_workspaces_web.update_portal/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#update_portal/4","title":"aws_workspaces_web.update_portal/4","type":"function"},{"doc":"Updates the trust store.","ref":"aws_workspaces_web.html#update_trust_store/3","title":"aws_workspaces_web.update_trust_store/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#update_trust_store/4","title":"aws_workspaces_web.update_trust_store/4","type":"function"},{"doc":"Updates the user access logging settings.","ref":"aws_workspaces_web.html#update_user_access_logging_settings/3","title":"aws_workspaces_web.update_user_access_logging_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#update_user_access_logging_settings/4","title":"aws_workspaces_web.update_user_access_logging_settings/4","type":"function"},{"doc":"Updates the user settings.","ref":"aws_workspaces_web.html#update_user_settings/3","title":"aws_workspaces_web.update_user_settings/3","type":"function"},{"doc":"","ref":"aws_workspaces_web.html#update_user_settings/4","title":"aws_workspaces_web.update_user_settings/4","type":"function"},{"doc":"Amazon Web Services X-Ray provides APIs for managing debug traces and retrieving service maps and other data created by processing those traces.","ref":"aws_xray.html","title":"aws_xray","type":"module"},{"doc":"Retrieves a list of traces specified by ID. Each trace is a collection of segment documents that originates from a single request. Use GetTraceSummaries to get a list of trace IDs.","ref":"aws_xray.html#batch_get_traces/2","title":"aws_xray.batch_get_traces/2","type":"function"},{"doc":"","ref":"aws_xray.html#batch_get_traces/3","title":"aws_xray.batch_get_traces/3","type":"function"},{"doc":"Creates a group resource with a name and a filter expression.","ref":"aws_xray.html#create_group/2","title":"aws_xray.create_group/2","type":"function"},{"doc":"","ref":"aws_xray.html#create_group/3","title":"aws_xray.create_group/3","type":"function"},{"doc":"Creates a rule to control sampling behavior for instrumented applications. Services retrieve rules with GetSamplingRules, and evaluate each rule in ascending order of priority for each request. If a rule matches, the service records a trace, borrowing it from the reservoir size. After 10 seconds, the service reports back to X-Ray with GetSamplingTargets to get updated versions of each in-use rule. The updated rule contains a trace quota that the service can use instead of borrowing from the reservoir.","ref":"aws_xray.html#create_sampling_rule/2","title":"aws_xray.create_sampling_rule/2","type":"function"},{"doc":"","ref":"aws_xray.html#create_sampling_rule/3","title":"aws_xray.create_sampling_rule/3","type":"function"},{"doc":"Deletes a group resource.","ref":"aws_xray.html#delete_group/2","title":"aws_xray.delete_group/2","type":"function"},{"doc":"","ref":"aws_xray.html#delete_group/3","title":"aws_xray.delete_group/3","type":"function"},{"doc":"Deletes a resource policy from the target Amazon Web Services account.","ref":"aws_xray.html#delete_resource_policy/2","title":"aws_xray.delete_resource_policy/2","type":"function"},{"doc":"","ref":"aws_xray.html#delete_resource_policy/3","title":"aws_xray.delete_resource_policy/3","type":"function"},{"doc":"Deletes a sampling rule.","ref":"aws_xray.html#delete_sampling_rule/2","title":"aws_xray.delete_sampling_rule/2","type":"function"},{"doc":"","ref":"aws_xray.html#delete_sampling_rule/3","title":"aws_xray.delete_sampling_rule/3","type":"function"},{"doc":"Retrieves the current encryption configuration for X-Ray data.","ref":"aws_xray.html#get_encryption_config/2","title":"aws_xray.get_encryption_config/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_encryption_config/3","title":"aws_xray.get_encryption_config/3","type":"function"},{"doc":"Retrieves group resource details.","ref":"aws_xray.html#get_group/2","title":"aws_xray.get_group/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_group/3","title":"aws_xray.get_group/3","type":"function"},{"doc":"Retrieves all active group details.","ref":"aws_xray.html#get_groups/2","title":"aws_xray.get_groups/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_groups/3","title":"aws_xray.get_groups/3","type":"function"},{"doc":"Retrieves the summary information of an insight. This includes impact to clients and root cause services, the top anomalous services, the category, the state of the insight, and the start and end time of the insight.","ref":"aws_xray.html#get_insight/2","title":"aws_xray.get_insight/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_insight/3","title":"aws_xray.get_insight/3","type":"function"},{"doc":"X-Ray reevaluates insights periodically until they're resolved, and records each intermediate state as an event. You can review an insight's events in the Impact Timeline on the Inspect page in the X-Ray console.","ref":"aws_xray.html#get_insight_events/2","title":"aws_xray.get_insight_events/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_insight_events/3","title":"aws_xray.get_insight_events/3","type":"function"},{"doc":"Retrieves a service graph structure filtered by the specified insight. The service graph is limited to only structural information. For a complete service graph, use this API with the GetServiceGraph API.","ref":"aws_xray.html#get_insight_impact_graph/2","title":"aws_xray.get_insight_impact_graph/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_insight_impact_graph/3","title":"aws_xray.get_insight_impact_graph/3","type":"function"},{"doc":"Retrieves the summaries of all insights in the specified group matching the provided filter values.","ref":"aws_xray.html#get_insight_summaries/2","title":"aws_xray.get_insight_summaries/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_insight_summaries/3","title":"aws_xray.get_insight_summaries/3","type":"function"},{"doc":"Retrieves all sampling rules.","ref":"aws_xray.html#get_sampling_rules/2","title":"aws_xray.get_sampling_rules/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_sampling_rules/3","title":"aws_xray.get_sampling_rules/3","type":"function"},{"doc":"Retrieves information about recent sampling results for all sampling rules.","ref":"aws_xray.html#get_sampling_statistic_summaries/2","title":"aws_xray.get_sampling_statistic_summaries/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_sampling_statistic_summaries/3","title":"aws_xray.get_sampling_statistic_summaries/3","type":"function"},{"doc":"Requests a sampling quota for rules that the service is using to sample requests.","ref":"aws_xray.html#get_sampling_targets/2","title":"aws_xray.get_sampling_targets/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_sampling_targets/3","title":"aws_xray.get_sampling_targets/3","type":"function"},{"doc":"Retrieves a document that describes services that process incoming requests, and downstream services that they call as a result. Root services process incoming requests and make calls to downstream services. Root services are applications that use the Amazon Web Services X-Ray SDK. Downstream services can be other applications, Amazon Web Services resources, HTTP web APIs, or SQL databases.","ref":"aws_xray.html#get_service_graph/2","title":"aws_xray.get_service_graph/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_service_graph/3","title":"aws_xray.get_service_graph/3","type":"function"},{"doc":"Get an aggregation of service statistics defined by a specific time range.","ref":"aws_xray.html#get_time_series_service_statistics/2","title":"aws_xray.get_time_series_service_statistics/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_time_series_service_statistics/3","title":"aws_xray.get_time_series_service_statistics/3","type":"function"},{"doc":"Retrieves a service graph for one or more specific trace IDs.","ref":"aws_xray.html#get_trace_graph/2","title":"aws_xray.get_trace_graph/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_trace_graph/3","title":"aws_xray.get_trace_graph/3","type":"function"},{"doc":"Retrieves IDs and annotations for traces available for a specified time frame using an optional filter. To get the full traces, pass the trace IDs to BatchGetTraces . A filter expression can target traced requests that hit specific service nodes or edges, have errors, or come from a known user. For example, the following filter expression targets traces that pass through api.example.com : service(&amp;quot;api.example.com&amp;quot;) This filter expression finds traces that have an annotation named account with the value 12345 : annotation.account = &amp;quot;12345&amp;quot; For a full list of indexed fields and keywords that you can use in filter expressions, see Using Filter Expressions in the Amazon Web Services X-Ray Developer Guide.","ref":"aws_xray.html#get_trace_summaries/2","title":"aws_xray.get_trace_summaries/2","type":"function"},{"doc":"","ref":"aws_xray.html#get_trace_summaries/3","title":"aws_xray.get_trace_summaries/3","type":"function"},{"doc":"Returns the list of resource policies in the target Amazon Web Services account.","ref":"aws_xray.html#list_resource_policies/2","title":"aws_xray.list_resource_policies/2","type":"function"},{"doc":"","ref":"aws_xray.html#list_resource_policies/3","title":"aws_xray.list_resource_policies/3","type":"function"},{"doc":"Returns a list of tags that are applied to the specified Amazon Web Services X-Ray group or sampling rule.","ref":"aws_xray.html#list_tags_for_resource/2","title":"aws_xray.list_tags_for_resource/2","type":"function"},{"doc":"","ref":"aws_xray.html#list_tags_for_resource/3","title":"aws_xray.list_tags_for_resource/3","type":"function"},{"doc":"Updates the encryption configuration for X-Ray data.","ref":"aws_xray.html#put_encryption_config/2","title":"aws_xray.put_encryption_config/2","type":"function"},{"doc":"","ref":"aws_xray.html#put_encryption_config/3","title":"aws_xray.put_encryption_config/3","type":"function"},{"doc":"Sets the resource policy to grant one or more Amazon Web Services services and accounts permissions to access X-Ray. Each resource policy will be associated with a specific Amazon Web Services account. Each Amazon Web Services account can have a maximum of 5 resource policies, and each policy name must be unique within that account. The maximum size of each resource policy is 5KB.","ref":"aws_xray.html#put_resource_policy/2","title":"aws_xray.put_resource_policy/2","type":"function"},{"doc":"","ref":"aws_xray.html#put_resource_policy/3","title":"aws_xray.put_resource_policy/3","type":"function"},{"doc":"Used by the Amazon Web Services X-Ray daemon to upload telemetry.","ref":"aws_xray.html#put_telemetry_records/2","title":"aws_xray.put_telemetry_records/2","type":"function"},{"doc":"","ref":"aws_xray.html#put_telemetry_records/3","title":"aws_xray.put_telemetry_records/3","type":"function"},{"doc":"Uploads segment documents to Amazon Web Services X-Ray. The X-Ray SDK generates segment documents and sends them to the X-Ray daemon, which uploads them in batches. A segment document can be a completed segment, an in-progress segment, or an array of subsegments. Segments must include the following fields. For the full segment document schema, see Amazon Web Services X-Ray Segment Documents in the Amazon Web Services X-Ray Developer Guide. Required segment document fields name - The name of the service that handled the request. id - A 64-bit identifier for the segment, unique among segments in the same trace, in 16 hexadecimal digits. trace_id - A unique identifier that connects all segments and subsegments originating from a single client request. start_time - Time the segment or subsegment was created, in floating point seconds in epoch time, accurate to milliseconds. For example, 1480615200.010 or 1.480615200010E9 . end_time - Time the segment or subsegment was closed. For example, 1480615200.090 or 1.480615200090E9 . Specify either an end_time or in_progress . in_progress - Set to true instead of specifying an end_time to record that a segment has been started, but is not complete. Send an in-progress segment when your application receives a request that will take a long time to serve, to trace that the request was received. When the response is sent, send the complete segment to overwrite the in-progress segment. A trace_id consists of three numbers separated by hyphens. For example, 1-58406520-a006649127e371903a2de979. This includes: Trace ID Format The version number, for instance, 1 . The time of the original request, in Unix epoch time, in 8 hexadecimal digits. For example, 10:00AM December 2nd, 2016 PST in epoch time is 1480615200 seconds, or 58406520 in hexadecimal. A 96-bit identifier for the trace, globally unique, in 24 hexadecimal digits.","ref":"aws_xray.html#put_trace_segments/2","title":"aws_xray.put_trace_segments/2","type":"function"},{"doc":"","ref":"aws_xray.html#put_trace_segments/3","title":"aws_xray.put_trace_segments/3","type":"function"},{"doc":"Applies tags to an existing Amazon Web Services X-Ray group or sampling rule.","ref":"aws_xray.html#tag_resource/2","title":"aws_xray.tag_resource/2","type":"function"},{"doc":"","ref":"aws_xray.html#tag_resource/3","title":"aws_xray.tag_resource/3","type":"function"},{"doc":"Removes tags from an Amazon Web Services X-Ray group or sampling rule. You cannot edit or delete system tags (those with an aws: prefix).","ref":"aws_xray.html#untag_resource/2","title":"aws_xray.untag_resource/2","type":"function"},{"doc":"","ref":"aws_xray.html#untag_resource/3","title":"aws_xray.untag_resource/3","type":"function"},{"doc":"Updates a group resource.","ref":"aws_xray.html#update_group/2","title":"aws_xray.update_group/2","type":"function"},{"doc":"","ref":"aws_xray.html#update_group/3","title":"aws_xray.update_group/3","type":"function"},{"doc":"Modifies a sampling rule's configuration.","ref":"aws_xray.html#update_sampling_rule/2","title":"aws_xray.update_sampling_rule/2","type":"function"},{"doc":"","ref":"aws_xray.html#update_sampling_rule/3","title":"aws_xray.update_sampling_rule/3","type":"function"},{"doc":":rocket: Create, configure, and manage AWS services from Erlang code. :rocket:","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"A clean API separated per service. One module per service. Support for most of the AWS services. Generated by aws-codegen using the same JSON descriptions of AWS services used to build the AWS SDK for Go . Documentation updated from the official AWS docs.","ref":"readme.html#features","title":"Overview - Features","type":"extras"},{"doc":"Here is an example of listing Amazon Kinesis streams. First of all, start a shell with rebar3 shell , then: &gt; Client = aws_client : make_client ( &lt;&lt; &quot;my-access-key-id&quot; &gt;&gt; , &lt;&lt; &quot;my-secret-access-key&quot; &gt;&gt; , &lt;&lt; &quot;eu-west-1&quot; &gt;&gt; ) , [ . . . ] &gt; { ok , Result , _ Response } = aws_kinesis : list_streams ( Client , \#{ } ) , [ . . . ] &gt; io : format ( &quot; ~p ~n &quot; , [ Result ] ) . \#{ &lt;&lt; &quot;HasMoreStreams&quot; &gt;&gt; =&gt; false , &lt;&lt; &quot;StreamNames&quot; &gt;&gt; =&gt; [ ] } Here is another example, this time using a temporary client, showing how to upload a file to S3 and how to fetch it back: &gt; Client = aws_client : make_temporary_client ( &lt;&lt; &quot;my-access-key-id&quot; &gt;&gt; , &lt;&lt; &quot;my-secret-access-key&quot; &gt;&gt; , &lt;&lt; &quot;my-token&quot; &gt;&gt; , &lt;&lt; &quot;eu-west-1&quot; &gt;&gt; ) . [ . . . ] &gt; { ok , Content } = file : read_file ( &quot;/tmp/erlang-logo.png&quot; ) . [ . . . ] &gt; aws_s3 : put_object ( Client , &lt;&lt; &quot;my-bucket&quot; &gt;&gt; , &lt;&lt; &quot;my-key&quot; &gt;&gt; , \#{ &lt;&lt; &quot;Body&quot; &gt;&gt; =&gt; Content } ) . [ . . . ] &gt; { ok , Response , _ } = aws_s3 : get_object ( Client , &lt;&lt; &quot;my-bucket&quot; &gt;&gt; , &lt;&lt; &quot;my-key&quot; &gt;&gt; ) . [ . . . ] &gt; Content = maps : get ( &lt;&lt; &quot;Body&quot; &gt;&gt; , Response ) .","ref":"readme.html#usage","title":"Overview - Usage","type":"extras"},{"doc":"Simply add the library to your rebar.config : { deps , [ { aws , &quot;0.5.0&quot; , { pkg , aws_erlang } } ] } .","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"Credentials can be obtained via the separate aws_credentials application, which can be configured to fetch credentials from: Erlang environment variables OS environment variables An AWS credentials file ECS task credentials EC2 metadata (including v2 - IMDS) Here is an example on how to obtain credentials: &gt; Credentials = aws_credentials : get_credentials ( ) . [ . . . ] &gt; \#{ access_key_id := AccessKeyId , token := Token , region := Region , secret_access_key := SecretAccessKey } = Credentials . The aws_credentials application can be installed by adding the following to your rebar.config : { deps , [ { aws_credentials , &quot;0.1.0&quot; } ] } .","ref":"readme.html#obtaining-credentials","title":"Overview - Obtaining Credentials","type":"extras"},{"doc":"The service-specific modules are generated using the aws-codegen library from the JSON descriptions of AWS services provided by Amazon. The rest of the code is manually written and used as support for the generated code.","ref":"readme.html#development","title":"Overview - Development","type":"extras"},{"doc":"Check it Online Hex Docs Build it locally Add the rebar3_docs plugin to your global rebar3 config in ~/.config/rebar3/rebar.config : { plugins , [ rebar3_docs ] } . Then simply: $ rebar3 docs The docs will be available in ./doc .","ref":"readme.html#documentation","title":"Overview - Documentation","type":"extras"},{"doc":"$ rebar3 eunit","ref":"readme.html#running-tests","title":"Overview - Running Tests","type":"extras"},{"doc":"Copyright 2015 Jamshed Kakar jkakar@kakar.ca Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"readme.html#license","title":"Overview - License","type":"extras"},{"doc":"Copyright (c) 2015, Jamshed Kakar jkakar@kakar.ca . Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http :// www . apache . org / licenses / LICENSE - 2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"License","type":"extras"}]